-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 314, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 144, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "AXY_Panel", 257, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Panel)
	self.Panel_2 = self.Panel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "WIX_bgImage", 258, cc.size(640, 765), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/BigImages/background/newactivity_bag02.webp")
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(0, 0, 640, 765))
	addChildForPre(self.Panel_2, self.bgImage)

	self.Listview = ccui.Layout:create()
	setValue(self.Listview, "WIX_Listview", 618, cc.size(640, 394), cc.p(320, 201.6), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.Listview)

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "TXN_Panel", 617, cc.size(640, 765), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.Panel)
	self.Panel_3 = self.Panel

	self.bgImage2 = ccui.ImageView:create()
	setValue(self.bgImage2, "bgImage2", 260, cc.size(600, 253), cc.p(320, 516.222), nil, nil, nil, nil, false)
	self.bgImage2:loadTexture("ccs/UiImages/newactivity/newactivity_9dia.png", 1)
	self.bgImage2:setScale9Enabled(true)
	self.bgImage2:setCapInsets(cc.rect(30, 30, 76, 193))
	addChildForPre(self.Panel_3, self.bgImage2)

	self.sprite2 = cc.Sprite:create()
	setValue(self.sprite2, "sprite2", 259, cc.size(529, 86), cc.p(334.713, 693.4321), nil, nil, nil, nil, nil)
	self.sprite2:setSpriteFrame("ccs/UiImages/newactivity/newactivity_title.png")
	addChildForPre(self.Panel_3, self.sprite2)

	self.titleBg1 = ccui.ImageView:create()
	setValue(self.titleBg1, "titleBg1", 619, cc.size(130, 30), cc.p(109.5362, 594.1968), nil, nil, nil, nil, false)
	self.titleBg1:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.titleBg1:setScale9Enabled(true)
	self.titleBg1:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.Panel_3, self.titleBg1)

	self.titleBg2 = ccui.ImageView:create()
	setValue(self.titleBg2, "titleBg2", 620, cc.size(130, 30), cc.p(109.5362, 516.1715), nil, nil, nil, nil, false)
	self.titleBg2:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.titleBg2:setScale9Enabled(true)
	self.titleBg2:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.Panel_3, self.titleBg2)

	self.titleBg3 = ccui.ImageView:create()
	setValue(self.titleBg3, "titleBg3", 664, cc.size(130, 30), cc.p(109.5362, 444.8552), nil, nil, nil, nil, false)
	self.titleBg3:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.titleBg3:setScale9Enabled(true)
	self.titleBg3:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.Panel_3, self.titleBg3)

	self.active_timeTitle = createLabel({text=[[Text Label]], font=getFont(), size=24,align = 1})
	setValue(self.active_timeTitle, "active_timeTitle", 621, cc.size(109, 28), cc.p(109.5362, 594.5997), nil, nil, nil, nil, nil)
	self.active_timeTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_3, self.active_timeTitle)

	self.active_content = createLabel({text=[[Text Label]], font=getFont(), size=24,align = 1})
	setValue(self.active_content, "active_content", 622, cc.size(109, 28), cc.p(109.5362, 516.1714), nil, nil, nil, nil, nil)
	self.active_content:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_3, self.active_content)

	self.active_time = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.active_time, "active_time", 623, cc.size(109, 28), cc.p(192.4662, 594.5998), cc.p(0, 0.5), nil, nil, nil, nil)
	self.active_time:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_3, self.active_time)

	self.activityDescLabel = createLabel({text=[[Text Label]], font=getFont(), size=24, dimensions = cc.size(380.0000, 100.0000)})
	setValue(self.activityDescLabel, "activityDescLabel", 624, cc.size(380, 100), cc.p(192.4662, 530.1715), cc.p(0, 1), nil, nil, nil, false)
	self.activityDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_3, self.activityDescLabel)

	self.alltimeLableTitle = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.alltimeLableTitle, "alltimeLableTitle", 625, cc.size(109, 28), cc.p(301.4662, 554.9058), cc.p(1, 0.5), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.alltimeLableTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.alltimeLableTitle:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.Panel_3, self.alltimeLableTitle)

	self.alltimeLable = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.alltimeLable, "alltimeLable", 626, cc.size(109, 28), cc.p(319.9468, 554.9058), cc.p(0, 0.5), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.alltimeLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.alltimeLable:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.Panel_3, self.alltimeLable)

	self.spendnumtitle = createLabel({text=[[累计消费]], font=getFont(), size=24,align = 1})
	setValue(self.spendnumtitle, "spendnumtitle", 665, cc.size(96, 28), cc.p(109.5362, 443.3549), nil, nil, nil, nil, nil)
	self.spendnumtitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_3, self.spendnumtitle)

	self.spendnum = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.spendnum, "spendnum", 666, cc.size(109, 28), cc.p(249.856, 439.9515), cc.p(0, 0.5), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.spendnum:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.spendnum:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.Panel_3, self.spendnum)

	self.Image_1 = ccui.ImageView:create()
	setValue(self.Image_1, "Image_1", 667, cc.size(46, 38), cc.p(214.0352, 440.3229), nil, nil, nil, nil, nil)
	self.Image_1:loadTexture("ccs/UiImages/mainUiFeeling/mainUi_zuanshi.png", 1)
	addChildForPre(self.Panel_3, self.Image_1)

	self.newactivity = cc.Sprite:create()
	setValue(self.newactivity, "TXN_newactivity", 261, cc.size(588, 61), cc.p(315.3962, 746.9305), nil, cc.c4b(100, 100, 100, 255), nil, nil, nil)
	self.newactivity:setSpriteFrame("ccs/UiImages/newactivity/newactivity_ing_zhuangshi.png")
	addChildForPre(self.Panel_3, self.newactivity)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/BigImages/background/newactivity_bag02.jpg",
	"ccs/plist/newactivity.plist",
	"ccs/plist/mainUiFeeling.plist",
}

return _M
