-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 3, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonShopDialog then 
 		self.commonShopDialog = CommonShopDialog.new() 
 	else 
		self.commonShopDialog = BaseUi.new("ccs/ui/commonDialog/CommonShopDialog.lua")
 	end 
	setValue(self.commonShopDialog, "commonShopDialog", 1870, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonShopDialog)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 2045, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.contentPanel = ccui.Layout:create()
	setValue(self.contentPanel, "WIX_contentPanel", 234, cc.size(640, 765), cc.p(320, 384), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.contentPanel)

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "WTX_Panel", 108, cc.size(640, 145), cc.p(0, 762.7), nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.Panel)
	self.Panel_3 = self.Panel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "WXT_bgImage", 37, cc.size(640, 141), cc.p(320, 72.5), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/image9/newactivity_hengtgiao.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(0, 0, 7, 141))
	addChildForPre(self.Panel_3, self.bgImage)

	self.bottonPanel = ccui.Layout:create()
	setValue(self.bottonPanel, "TWX_bottonPanel", 1, cc.size(580, 135), cc.p(320, 72.5), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.Panel_3, self.bottonPanel)

	self.LButton = ccui.Button:create()
	setValue(self.LButton, "LYN_LButton", 38, cc.size(27, 54), cc.p(12.8, 72.5), nil, cc.c4b(158, 88, 1, 255), nil, nil, nil)
	self.LButton:loadTextureNormal("ccs/UiImages/image9/newactivity_butzuoyou.png", 1)
	self.LButton:loadTexturePressed("ccs/UiImages/image9/newactivity_butzuoyou.png", 1)
	self.LButton:loadTextureDisabled("ccs/UiImages/image9/newactivity_butzuoyou.png", 1)
	self.LButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.LButton:setTitleText([[]])
	self.LButton:setTitleColor(cc.c3b(158, 88, 1))
	self.LButton:setTitleFontSize(14)
	self.LButton:setTitleFontName(getFont())
	setClickEvent(self, self.LButton, "LButton")
	addChildForPre(self.Panel_3, self.LButton)

	self.RButton = ccui.Button:create()
	setValue(self.RButton, "RYN_RButton", 109, cc.size(27, 54), cc.p(627.2, 72.5), nil, cc.c4b(158, 88, 1, 255), nil, nil, nil)
	self.RButton:setRotationSkewX(180)
	self.RButton:setRotationSkewY(180)
	self.RButton:loadTextureNormal("ccs/UiImages/image9/newactivity_butzuoyou.png", 1)
	self.RButton:loadTexturePressed("ccs/UiImages/image9/newactivity_butzuoyou.png", 1)
	self.RButton:loadTextureDisabled("ccs/UiImages/image9/newactivity_butzuoyou.png", 1)
	self.RButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.RButton:setTitleText([[]])
	self.RButton:setTitleColor(cc.c3b(158, 88, 1))
	self.RButton:setTitleFontSize(14)
	self.RButton:setTitleFontName(getFont())
	setClickEvent(self, self.RButton, "RButton")
	addChildForPre(self.Panel_3, self.RButton)

	self.closeButton = ccui.Button:create()
	setValue(self.closeButton, "TRN_closeButton", 1916, cc.size(80, 60), cc.p(640, 960), cc.p(1, 1), nil, nil, nil, nil)
	self.closeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_close_0.png", 1)
	self.closeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_close_1.png", 1)
	self.closeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_close_0.png", 1)
	self.closeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.closeButton:setTitleText([[]])
	self.closeButton:setTitleColor(cc.c3b(65, 65, 70))
	self.closeButton:setTitleFontSize(14)
	self.closeButton:setTitleFontName(getFont())
	setClickEvent(self, self.closeButton, "closeButton")
	addChildForPre(self.dialogPanel_2, self.closeButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
}

return _M
