-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 619, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 620, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "XYN_dialogPanel", 621, cc.size(495, 681), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.PanelCommonBg = ccui.ImageView:create()
	setValue(self.PanelCommonBg, "PanelCommonBg", 622, cc.size(495, 681), cc.p(247.5, 340.5), nil, nil, nil, nil, false)
	self.PanelCommonBg:loadTexture("ccs/UiImages/image9/commonPanel_s9_bg_1.png", 1)
	self.PanelCommonBg:setScale9Enabled(true)
	self.PanelCommonBg:setCapInsets(cc.rect(30, 30, 112, 10))
	addChildForPre(self.dialogPanel_2, self.PanelCommonBg)

	self.Image_2 = ccui.ImageView:create()
	setValue(self.Image_2, "Image_2", 623, cc.size(371.25, 646.95), cc.p(247.5, 340.5), nil, nil, nil, nil, false)
	self.Image_2:loadTexture("ccs/UiImages/image9/CommonPanel_img_chuangkoubeijing_1.png", 1)
	self.Image_2:setScale9Enabled(true)
	self.Image_2:setCapInsets(cc.rect(0, 0, 470, 5))
	addChildForPre(self.dialogPanel_2, self.Image_2)

	self.Image_3 = ccui.ImageView:create()
	setValue(self.Image_3, "Image_3", 628, cc.size(470.25, 70), cc.p(247.5, 54.48), nil, nil, nil, nil, false)
	self.Image_3:loadTexture("ccs/UiImages/commonBg/CommonPanel_img_bg_1.jpg", 1)
	self.Image_3:setScale9Enabled(true)
	self.Image_3:setCapInsets(cc.rect(0, 0, 466, 79))
	addChildForPre(self.dialogPanel_2, self.Image_3)

	self.titlePanel = ccui.Layout:create()
	setValue(self.titlePanel, "titlePanel", 625, cc.size(360, 60), cc.p(247.5, 674.1899), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.titlePanel)
	self.titlePanel_3 = self.titlePanel

	self.PanelCommonHeader = cc.Sprite:create()
	setValue(self.PanelCommonHeader, "PanelCommonHeader", 626, cc.size(462, 106), cc.p(180, 30), nil, nil, nil, nil, nil)
	self.PanelCommonHeader:setScale(0.5)
	self.PanelCommonHeader:setSpriteFrame("ccs/UiImages/commonBg/CommonPanel_img_WinHeader_1.png")
	addChildForPre(self.titlePanel_3, self.PanelCommonHeader)

	self.dialogTitleLabel = createLabel({text=[[Text Label]], font=getFont(), size=26})
	setValue(self.dialogTitleLabel, "dialogTitleLabel", 627, cc.size(118, 31), cc.p(180, 30), nil, nil, nil, nil, nil)
	self.dialogTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.titlePanel_3, self.dialogTitleLabel)

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "AXY_Panel", 630, cc.size(470, 550), cc.p(247.5, 360.93), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.Panel)
	self.Panel_3 = self.Panel

	self.listviewPanel = ccui.Layout:create()
	setValue(self.listviewPanel, "listviewPanel", 635, cc.size(470, 486), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Panel_3, self.listviewPanel)

	self.buttonPanel = ccui.Layout:create()
	setValue(self.buttonPanel, "buttonPanel", 631, cc.size(470, 50), cc.p(0, 489.5), nil, nil, nil, nil, nil)
	setBgColor(self.buttonPanel, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.Panel_3, self.buttonPanel)
	self.buttonPanel_4 = self.buttonPanel

	self.Image = ccui.ImageView:create()
	setValue(self.Image, "Image", 632, cc.size(470, 50), cc.p(235, 25), nil, nil, nil, nil, false)
	self.Image:loadTexture("ccs/UiImages/commonBg/common_img_diban00.png", 1)
	self.Image:setScale9Enabled(true)
	self.Image:setCapInsets(cc.rect(0, 0, 640, 62))
	addChildForPre(self.buttonPanel_4, self.Image)

	self.purpleButton = ccui.Button:create()
	setValue(self.purpleButton, "purpleButton", 633, cc.size(124, 52), cc.p(84.6, 25), nil, nil, nil, nil, false)
	self.purpleButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.purpleButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.purpleButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.purpleButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.purpleButton:setTitleText([[Button]])
	self.purpleButton:setTitleFontSize(24)
	self.purpleButton:setTitleFontName(getFont())
	setClickEvent(self, self.purpleButton, "purpleButton")
	addChildForPre(self.buttonPanel_4, self.purpleButton)

	self.orangeButton = ccui.Button:create()
	setValue(self.orangeButton, "orangeButton", 634, cc.size(124, 52), cc.p(220.9, 25), nil, nil, nil, nil, false)
	self.orangeButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.orangeButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.orangeButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.orangeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.orangeButton:setTitleText([[Button]])
	self.orangeButton:setTitleFontSize(24)
	self.orangeButton:setTitleFontName(getFont())
	setClickEvent(self, self.orangeButton, "orangeButton")
	addChildForPre(self.buttonPanel_4, self.orangeButton)

	self.orangeTwoButton = ccui.Button:create()
	setValue(self.orangeTwoButton, "orangeTwoButton", 64, cc.size(124, 52), cc.p(357.2, 25), nil, nil, nil, nil, false)
	self.orangeTwoButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.orangeTwoButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.orangeTwoButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.orangeTwoButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.orangeTwoButton:setTitleText([[Button]])
	self.orangeTwoButton:setTitleFontSize(24)
	self.orangeTwoButton:setTitleFontName(getFont())
	setClickEvent(self, self.orangeTwoButton, "orangeTwoButton")
	addChildForPre(self.buttonPanel_4, self.orangeTwoButton)

	self.closeButton = ccui.Button:create()
	setValue(self.closeButton, "closeButton", 624, cc.size(92, 72), cc.p(460.35, 653.76), nil, nil, nil, nil, nil)
	self.closeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_close_0.png", 1)
	self.closeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_close_1.png", 1)
	self.closeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_close_0.png", 1)
	self.closeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.closeButton:setTitleText([[]])
	self.closeButton:setTitleColor(cc.c3b(65, 65, 70))
	self.closeButton:setTitleFontSize(14)
	self.closeButton:setTitleFontName(getFont())
	setClickEvent(self, self.closeButton, "closeButton")
	addChildForPre(self.dialogPanel_2, self.closeButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/commonBg.plist",
	"ccs/plist/common.plist",
}

return _M
