-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 295, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 296, cc.size(474, 130), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.cellPanel = ccui.Layout:create()
	setValue(self.cellPanel, "cellPanel", 262, cc.size(474, 130), cc.p(237, 65), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.cellPanel)
	self.cellPanel_2 = self.cellPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 261, cc.size(459, 124), cc.p(237, 65), nil, nil, nil, nil, nil)
	self.bgImage:loadTexture("ccs/UiImages/newactivity/newactivity_bak4.png", 1)
	addChildForPre(self.cellPanel_2, self.bgImage)

	self.infoText = createLabel({text=[[infoText]], font=getFont(), size=20,valign = 1})
	setValue(self.infoText, "infoText", 299, cc.size(68, 23), cc.p(27.2681, 69.5654), cc.p(0, 0.5), nil, nil, nil, nil)
	self.infoText:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.cellPanel_2, self.infoText)

	self.itemPanel = ccui.Layout:create()
	setValue(self.itemPanel, "itemPanel", 298, cc.size(80, 80), cc.p(284.4, 66.521), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.cellPanel_2, self.itemPanel)

	self.rewardButton = ccui.Button:create()
	setValue(self.rewardButton, "rewardButton", 242, cc.size(98, 51), cc.p(400.6848, 66.5228), nil, nil, nil, nil, false)
	self.rewardButton:loadTextureNormal("ccs/UiImages/image9/CommonPanel_btn_smallred_0.png", 1)
	self.rewardButton:loadTexturePressed("ccs/UiImages/image9/CommonPanel_btn_smallred_1.png", 1)
	self.rewardButton:loadTextureDisabled("ccs/UiImages/image9/CommonPanel_btn_small_2.png", 1)
	self.rewardButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.rewardButton:setTitleText([[Button]])
	self.rewardButton:setTitleFontSize(24)
	self.rewardButton:setTitleFontName(getFont())
	setClickEvent(self, self.rewardButton, "rewardButton")
	addChildForPre(self.cellPanel_2, self.rewardButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/newactivity1.plist",
	"ccs/plist/common.plist",
}

return _M
