-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 61, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 62, cc.size(640, 960), cc.p(-0.0001, 0), nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bgPanel = ccui.Layout:create()
	setValue(self.bgPanel, "AXY_bgPanel", 96, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.bgPanel)
	self.bgPanel_2 = self.bgPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "WIX_bgImage", 97, cc.size(640, 765), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/BigImages/background/newactivity_bag02.webp")
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(0, 0, 640, 765))
	addChildForPre(self.bgPanel_2, self.bgImage)

	self.zhanJianPanel = ccui.Layout:create()
	setValue(self.zhanJianPanel, "TXN_zhanJianPanel", 237, cc.size(640, 765), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.zhanJianPanel)
	self.zhanJianPanel_2 = self.zhanJianPanel

	self.tankBG = ccui.ImageView:create()
	setValue(self.tankBG, "tankBG", 7, cc.size(753, 413), cc.p(320, 257.5755), nil, nil, nil, nil, false)
	self.tankBG:setScale(0.85)
	self.tankBG:loadTexture("ccs/BigImages/background/newactivity_arenapointBg.webp")
	self.tankBG:setScale9Enabled(true)
	self.tankBG:setCapInsets(cc.rect(10, 10, 733, 393))
	addChildForPre(self.zhanJianPanel_2, self.tankBG)

	self.tankinfoButton = ccui.Button:create()
	self.tankinfoButton:setScale9Enabled(true)
	self.tankinfoButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.tankinfoButton:setContentSize(cc.size(388, 228))
	setValue(self.tankinfoButton, "tankinfoButton", 337, nil, cc.p(320, 280.5255), nil, nil, nil, nil, false)
	self.tankinfoButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.tankinfoButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.tankinfoButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.tankinfoButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tankinfoButton:setTitleText([[]])
	self.tankinfoButton:setTitleColor(cc.c3b(65, 65, 70))
	self.tankinfoButton:setTitleFontSize(14)
	self.tankinfoButton:setTitleFontName(getFont())
	setClickEvent(self, self.tankinfoButton, "tankinfoButton")
	addChildForPre(self.zhanJianPanel_2, self.tankinfoButton)

	self.btnPanel = ccui.Layout:create()
	setValue(self.btnPanel, "TXN_btnPanel", 239, cc.size(640, 200), cc.p(320, 41.952), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.btnPanel)
	self.btnPanel_2 = self.btnPanel

	self.FigntlingButton = ccui.Button:create()
	setValue(self.FigntlingButton, "FigntlingButton", 447, cc.size(153, 64), cc.p(320, 100), nil, nil, nil, nil, false)
	self.FigntlingButton:loadTextureNormal("ccs/UiImages/image9/common_btn_yellow_0.png", 1)
	self.FigntlingButton:loadTexturePressed("ccs/UiImages/image9/common_btn_yellow_1.png", 1)
	self.FigntlingButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.FigntlingButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.FigntlingButton:setTitleText([[Button]])
	self.FigntlingButton:setTitleFontSize(24)
	self.FigntlingButton:setTitleFontName(getFont())
	setClickEvent(self, self.FigntlingButton, "FigntlingButton")
	addChildForPre(self.btnPanel_2, self.FigntlingButton)

	self.mainPanel = ccui.Layout:create()
	setValue(self.mainPanel, "TXN_mainPanel", 63, cc.size(600, 237), cc.p(18.82, 448.35), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.mainPanel)
	self.mainPanel_2 = self.mainPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 6, cc.size(630, 234.63), cc.p(300, 118.5), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/newactivity/newactivity_9dia.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(30, 30, 71, 216))
	addChildForPre(self.mainPanel_2, self.bgImage)

	self.bg1Image = ccui.ImageView:create()
	setValue(self.bg1Image, "bg1Image", 102, cc.size(130, 30), cc.p(113.8401, 185.9703), nil, nil, nil, nil, false)
	self.bg1Image:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.bg1Image:setScale9Enabled(true)
	self.bg1Image:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.mainPanel_2, self.bg1Image)

	self.bg2Image = ccui.ImageView:create()
	setValue(self.bg2Image, "bg2Image", 103, cc.size(130, 30), cc.p(113.8401, 113.9401), nil, nil, nil, nil, false)
	self.bg2Image:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.bg2Image:setScale9Enabled(true)
	self.bg2Image:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.mainPanel_2, self.bg2Image)

	self.active_time = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.active_time, "active_time", 458, cc.size(109, 28), cc.p(199.5501, 186.3901), cc.p(0, 0.5), nil, nil, nil, nil)
	self.active_time:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.mainPanel_2, self.active_time)

	self.activityDescLabel = createLabel({text=[[Text Label]], font=getFont(), size=24, dimensions = cc.size(300.0000, 88.0000)})
	setValue(self.activityDescLabel, "activityDescLabel", 459, cc.size(300, 88), cc.p(199.8, 128.4387), cc.p(0, 1), nil, nil, nil, false)
	self.activityDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.mainPanel_2, self.activityDescLabel)

	self.active_timeTitle = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.active_timeTitle, "active_timeTitle", 456, cc.size(109, 28), cc.p(113.84, 185.9702), nil, nil, nil, nil, nil)
	self.active_timeTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.mainPanel_2, self.active_timeTitle)

	self.active_content = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.active_content, "active_content", 457, cc.size(109, 28), cc.p(113.84, 113.9402), nil, nil, nil, nil, nil)
	self.active_content:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.mainPanel_2, self.active_content)

	self.alltimeLableTitle = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.alltimeLableTitle, "alltimeLableTitle", 149, cc.size(109, 28), cc.p(311.1, 152.7304), cc.p(1, 0.5), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.alltimeLableTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.alltimeLableTitle:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.mainPanel_2, self.alltimeLableTitle)

	self.alltimeLable = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.alltimeLable, "alltimeLable", 150, cc.size(109, 28), cc.p(321.35, 152.7304), cc.p(0, 0.5), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.alltimeLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.alltimeLable:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.mainPanel_2, self.alltimeLable)

	self.newactivity = cc.Sprite:create()
	setValue(self.newactivity, "TXN_newactivity", 299, cc.size(588, 61), cc.p(300, 303.36), nil, nil, nil, nil, nil)
	self.newactivity:setSpriteFrame("ccs/UiImages/newactivity/newactivity_ing_zhuangshi.png")
	addChildForPre(self.mainPanel_2, self.newactivity)

	self.Image_55 = ccui.ImageView:create()
	setValue(self.Image_55, "Image_55", 300, cc.size(529, 86), cc.p(300, 263.07), nil, nil, nil, nil, nil)
	self.Image_55:loadTexture("ccs/UiImages/newactivity/newactivity_title.png", 1)
	addChildForPre(self.mainPanel_2, self.Image_55)

	self.TitleLable = createLabel({text=[[Text Label]], font=getFont(), size=40})
	setValue(self.TitleLable, "TitleLable", 452, cc.size(182, 45), cc.p(300, 263.07), nil, nil, nil, nil, nil)
	self.TitleLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.mainPanel_2, self.TitleLable)

	self.Image = ccui.ImageView:create()
	setValue(self.Image, "TXN_Image", 301, cc.size(640, 90), cc.p(320, -144.96), nil, nil, nil, nil, false)
	self.Image:loadTexture("ccs/UiImages/newactivity/newactivity_img_jinbi.png", 1)
	self.Image:setScale9Enabled(true)
	self.Image:setCapInsets(cc.rect(0, 0, 640, 90))
	addChildForPre(self.rootPanel_1, self.Image)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/BigImages/background/newactivity_bag02.jpg",
	"ccs/BigImages/background/newactivity_arenapointBg.jpg",
	"ccs/plist/image9.plist",
	"ccs/plist/newactivity.plist",
	"ccs/plist/mainUiFeeling.plist",
}

return _M
