-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 164, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.oldPanel = ccui.Layout:create()
	setValue(self.oldPanel, "AXY_oldPanel", 214, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.oldPanel)
	self.oldPanel_2 = self.oldPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "WIX_bgImage", 215, cc.size(640, 765), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/BigImages/background/newactivity_bag02.webp")
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(0, 0, 640, 765))
	addChildForPre(self.oldPanel_2, self.bgImage)

	self.Listview = ccui.Layout:create()
	setValue(self.Listview, "WIX_Listview", 42, cc.size(640, 425), cc.p(320, 211.2), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.oldPanel_2, self.Listview)

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "TXN_Panel", 13, cc.size(640, 765), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.oldPanel_2, self.Panel)
	self.Panel_3 = self.Panel

	self.Image1 = ccui.ImageView:create()
	setValue(self.Image1, "Image1", 217, cc.size(600, 253), cc.p(320, 548.4285), nil, nil, nil, nil, false)
	self.Image1:loadTexture("ccs/UiImages/newactivity/newactivity_9dia.png", 1)
	self.Image1:setScale9Enabled(true)
	self.Image1:setCapInsets(cc.rect(30, 30, 76, 193))
	addChildForPre(self.Panel_3, self.Image1)

	self.chargeButton = ccui.Button:create()
	setValue(self.chargeButton, "chargeButton", 43, cc.size(153, 64), cc.p(515.136, 481.95), nil, nil, nil, nil, false)
	self.chargeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_yellow_0.png", 1)
	self.chargeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_yellow_1.png", 1)
	self.chargeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.chargeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.chargeButton:setTitleText([[charge]])
	self.chargeButton:setTitleColor(cc.c3b(251, 251, 251))
	self.chargeButton:setTitleFontSize(24)
	self.chargeButton:setTitleFontName(getFont())
	setClickEvent(self, self.chargeButton, "chargeButton")
	addChildForPre(self.Panel_3, self.chargeButton)

	self.titleBg1 = ccui.ImageView:create()
	setValue(self.titleBg1, "titleBg1", 500, cc.size(130, 30), cc.p(110.079, 632.1735), nil, nil, nil, nil, false)
	self.titleBg1:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.titleBg1:setScale9Enabled(true)
	self.titleBg1:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.Panel_3, self.titleBg1)

	self.titleBg2 = ccui.ImageView:create()
	setValue(self.titleBg2, "titleBg2", 501, cc.size(130, 30), cc.p(110.079, 550.423), nil, nil, nil, nil, false)
	self.titleBg2:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.titleBg2:setScale9Enabled(true)
	self.titleBg2:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.Panel_3, self.titleBg2)

	self.titleBg3 = ccui.ImageView:create()
	setValue(self.titleBg3, "titleBg3", 502, cc.size(130, 30), cc.p(110.079, 470.3275), nil, nil, nil, nil, false)
	self.titleBg3:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.titleBg3:setScale9Enabled(true)
	self.titleBg3:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.Panel_3, self.titleBg3)

	self.active_content = createLabel({text=[[活动内容*]], font=getFont(), size=24,align = 1})
	setValue(self.active_content, "active_content", 145, cc.size(105, 28), cc.p(110.079, 550.423), nil, nil, nil, nil, nil)
	self.active_content:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_3, self.active_content)

	self.active_timeTitle = createLabel({text=[[Text Label]], font=getFont(), size=24,align = 1})
	setValue(self.active_timeTitle, "active_timeTitle", 44, cc.size(109, 28), cc.p(110.079, 632.1735), nil, nil, nil, nil, nil)
	self.active_timeTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_3, self.active_timeTitle)

	self.active_time = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.active_time, "active_time", 45, cc.size(109, 28), cc.p(185.024, 632.196), cc.p(0, 0.5), nil, nil, nil, nil)
	self.active_time:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_3, self.active_time)

	self.chargenumtitle = createLabel({text=[[Text Label]], font=getFont(), size=24,align = 1})
	setValue(self.chargenumtitle, "chargenumtitle", 46, cc.size(109, 28), cc.p(110.079, 470.3275), nil, nil, nil, nil, nil)
	self.chargenumtitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_3, self.chargenumtitle)

	self.chargenum = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.chargenum, "chargenum", 48, cc.size(109, 28), cc.p(240.96, 469.3275), cc.p(0, 0.5), cc.c4b(48, 233, 255, 255), nil, nil, nil)
	self.chargenum:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.chargenum:setColor(cc.c4b(48, 233, 255, 255))
	addChildForPre(self.Panel_3, self.chargenum)

	self.activityDescLabel = createLabel({text=[[Text Label]], font=getFont(), size=24, dimensions = cc.size(380.0000, 100.0000)})
	setValue(self.activityDescLabel, "activityDescLabel", 51, cc.size(380, 100), cc.p(185.024, 563.4225), cc.p(0, 1), nil, nil, nil, false)
	self.activityDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_3, self.activityDescLabel)

	self.Image1 = ccui.ImageView:create()
	setValue(self.Image1, "Image1", 367, cc.size(46, 38), cc.p(207.616, 472.0815), nil, nil, nil, nil, nil)
	self.Image1:loadTexture("ccs/UiImages/mainUiFeeling/mainUi_zuanshi.png", 1)
	addChildForPre(self.Panel_3, self.Image1)

	self.alltimeLableTitle = createLabel({text=[[剩余时间:]], font=getFont(), size=24})
	setValue(self.alltimeLableTitle, "alltimeLableTitle", 368, cc.size(102, 28), cc.p(301.0157, 591.8967), cc.p(1, 0.5), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.alltimeLableTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.alltimeLableTitle:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.Panel_3, self.alltimeLableTitle)

	self.alltimeLable = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.alltimeLable, "alltimeLable", 369, cc.size(109, 28), cc.p(313.5933, 591.8967), cc.p(0, 0.5), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.alltimeLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.alltimeLable:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.Panel_3, self.alltimeLable)

	self.timelimitLable = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.timelimitLable, "timelimitLable", 156, cc.size(91, 23), cc.p(-83.648, 591.345), nil, cc.c4b(255, 191, 0, 255), nil, nil, nil)
	self.timelimitLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.timelimitLable:setColor(cc.c4b(255, 191, 0, 255))
	addChildForPre(self.Panel_3, self.timelimitLable)

	self.Sprite1 = cc.Sprite:create()
	setValue(self.Sprite1, "Sprite1", 216, cc.size(529, 86), cc.p(320, 711.45), nil, nil, nil, nil, nil)
	self.Sprite1:setSpriteFrame("ccs/UiImages/newactivity/newactivity_title.png")
	addChildForPre(self.Panel_3, self.Sprite1)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/BigImages/background/newactivity_bag02.jpg",
	"ccs/plist/newactivity.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/mainUiFeeling.plist",
}

return _M
