-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 97, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bgPanel = ccui.Layout:create()
	setValue(self.bgPanel, "AXY_bgPanel", 61, cc.size(640, 960), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.bgPanel)
	self.bgPanel_2 = self.bgPanel

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "Panel", 62, cc.size(200, 200), cc.p(320, 960), cc.p(0.5, 1), nil, nil, nil, nil)
	self.Panel:setScale(0.86)
	addChildForPre(self.bgPanel_2, self.Panel)
	self.Panel_3 = self.Panel

	self.treasure = cc.Sprite:create()
	setValue(self.treasure, "treasure", 63, cc.size(46, 46), cc.p(100, -352), nil, nil, nil, nil, nil)
	self.treasure:setTexture("Default/Sprite.png")
	addChildForPre(self.Panel_3, self.treasure)

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "WIX_bgImage", 174, cc.size(640, 765), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/BigImages/background/newactivity_bag02.webp")
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(0, 0, 640, 765))
	addChildForPre(self.bgPanel_2, self.bgImage)

	self.labelPanel = ccui.Layout:create()
	setValue(self.labelPanel, "TXN_labelPanel", 13, cc.size(620, 390), cc.p(9.2, 288), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.labelPanel)
	self.labelPanel_2 = self.labelPanel

	self.bglabImage = ccui.ImageView:create()
	setValue(self.bglabImage, "bglabImage", 175, cc.size(620, 400), cc.p(310, 195), nil, nil, nil, nil, false)
	self.bglabImage:loadTexture("ccs/UiImages/newactivity/newactivity_9dia.png", 1)
	self.bglabImage:setScale9Enabled(true)
	self.bglabImage:setCapInsets(cc.rect(30, 30, 71, 186))
	addChildForPre(self.labelPanel_2, self.bglabImage)

	self.Image1 = ccui.ImageView:create()
	setValue(self.Image1, "Image1", 1217, cc.size(130, 30), cc.p(91.1786, 211.9282), nil, nil, nil, nil, false)
	self.Image1:setVisible(false)
	self.Image1:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.Image1:setScale9Enabled(true)
	self.Image1:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.labelPanel_2, self.Image1)

	self.Image2 = ccui.ImageView:create()
	setValue(self.Image2, "Image2", 1218, cc.size(130, 30), cc.p(91.1786, 148.9033), nil, nil, nil, nil, false)
	self.Image2:setVisible(false)
	self.Image2:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.Image2:setScale9Enabled(true)
	self.Image2:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.labelPanel_2, self.Image2)

	self.chargeButton = ccui.Button:create()
	setValue(self.chargeButton, "chargeButton", 43, cc.size(153, 64), cc.p(-188.79, 116.61), nil, nil, nil, nil, false)
	self.chargeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.chargeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.chargeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.chargeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.chargeButton:setTitleText([[charge]])
	self.chargeButton:setTitleColor(cc.c3b(251, 251, 251))
	self.chargeButton:setTitleFontSize(24)
	self.chargeButton:setTitleFontName(getFont())
	setClickEvent(self, self.chargeButton, "chargeButton")
	addChildForPre(self.labelPanel_2, self.chargeButton)

	self.active_content = createLabel({text=[[活动内容*]], font=getFont(), size=24,align = 1})
	setValue(self.active_content, "active_content", 145, cc.size(105, 28), cc.p(91.1786, 148.9033), nil, nil, nil, nil, nil)
	self.active_content:setVisible(false)
	self.active_content:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_2, self.active_content)

	self.active_timeTitle = createLabel({text=[[Text Label]], font=getFont(), size=24,align = 1})
	setValue(self.active_timeTitle, "active_timeTitle", 44, cc.size(109, 28), cc.p(91.1786, 213.9366), nil, nil, nil, nil, nil)
	self.active_timeTitle:setVisible(false)
	self.active_timeTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_2, self.active_timeTitle)

	self.active_time = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.active_time, "active_time", 45, cc.size(109, 28), cc.p(280.24, 333.918), cc.p(0, 0.5), nil, nil, nil, nil)
	self.active_time:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_2, self.active_time)

	self.activityDescLabel = createLabel({text=[[Text Label]], font=getFont(), size=24, dimensions = cc.size(297.0000, 90.0000)})
	setValue(self.activityDescLabel, "activityDescLabel", 51, cc.size(297, 90), cc.p(280.24, 281.892), cc.p(0, 1), nil, nil, nil, false)
	self.activityDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_2, self.activityDescLabel)

	self.alltimeLableTitle = createLabel({text=[[剩余时间:]], font=getFont(), size=22})
	setValue(self.alltimeLableTitle, "alltimeLableTitle", 368, cc.size(94, 26), cc.p(403.682, 301.86), cc.p(1, 0.5), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.alltimeLableTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.alltimeLableTitle:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.labelPanel_2, self.alltimeLableTitle)

	self.alltimeLable = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.alltimeLable, "alltimeLable", 369, cc.size(109, 28), cc.p(410.936, 301.002), cc.p(0, 0.5), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.alltimeLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.alltimeLable:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.labelPanel_2, self.alltimeLable)

	self.warShipSprite = cc.Sprite:create()
	setValue(self.warShipSprite, "warShipSprite", 176, cc.size(694, 898), cc.p(-5.62, 255.52), cc.p(0, 0.5), nil, nil, nil, nil)
	self.warShipSprite:setScale(0.4)
	self.warShipSprite:setTexture("ccs/BigImages/ship_main/5_rb_zl_hnec_zhu.webp")
	addChildForPre(self.labelPanel_2, self.warShipSprite)

	self.prostituteSprite = cc.Sprite:create()
	setValue(self.prostituteSprite, "prostituteSprite", 178, cc.size(361, 452), cc.p(203.21, 122.8), nil, nil, nil, nil, nil)
	self.prostituteSprite:setScale(0.6)
	self.prostituteSprite:setTexture("ccs/BigImages/userHead/userHead_img_meizi02.webp")
	addChildForPre(self.labelPanel_2, self.prostituteSprite)

	self.prostituteButton = ccui.Button:create()
	setValue(self.prostituteButton, "prostituteButton", 59, cc.size(153, 64), cc.p(116.994, 31.2), nil, nil, nil, nil, false)
	self.prostituteButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.prostituteButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.prostituteButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.prostituteButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.prostituteButton:setTitleText([[前往阵容]])
	self.prostituteButton:setTitleFontSize(24)
	self.prostituteButton:setTitleFontName(getFont())
	setClickEvent(self, self.prostituteButton, "prostituteButton")
	addChildForPre(self.labelPanel_2, self.prostituteButton)

	self.spritequality1 = cc.Sprite:create()
	setValue(self.spritequality1, "spritequality1", 397, cc.size(100, 100), cc.p(316.696, 134.784), nil, nil, nil, nil, nil)
	self.spritequality1:setScale(0.5)
	self.spritequality1:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.labelPanel_2, self.spritequality1)

	self.spritequality2 = cc.Sprite:create()
	setValue(self.spritequality2, "spritequality2", 398, cc.size(100, 100), cc.p(420.546, 134.784), nil, nil, nil, nil, nil)
	self.spritequality2:setScale(0.5)
	self.spritequality2:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.labelPanel_2, self.spritequality2)

	self.spritequality3 = cc.Sprite:create()
	setValue(self.spritequality3, "spritequality3", 399, cc.size(100, 100), cc.p(524.458, 134.784), nil, nil, nil, nil, nil)
	self.spritequality3:setScale(0.5)
	self.spritequality3:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.labelPanel_2, self.spritequality3)

	self.spritequality4 = cc.Sprite:create()
	setValue(self.spritequality4, "spritequality4", 400, cc.size(100, 100), cc.p(317.254, 67.782), nil, nil, nil, nil, nil)
	self.spritequality4:setScale(0.5)
	self.spritequality4:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.labelPanel_2, self.spritequality4)

	self.spritequality5 = cc.Sprite:create()
	setValue(self.spritequality5, "spritequality5", 401, cc.size(100, 100), cc.p(421.104, 67.782), nil, nil, nil, nil, nil)
	self.spritequality5:setScale(0.5)
	self.spritequality5:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.labelPanel_2, self.spritequality5)

	self.spriteicon1 = cc.Sprite:create()
	setValue(self.spriteicon1, "spriteicon1", 48, cc.size(100, 100), cc.p(316.696, 134.784), nil, nil, nil, nil, nil)
	self.spriteicon1:setScale(0.5)
	self.spriteicon1:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.labelPanel_2, self.spriteicon1)

	self.spriteicon2 = cc.Sprite:create()
	setValue(self.spriteicon2, "spriteicon2", 49, cc.size(100, 100), cc.p(420.546, 134.784), nil, nil, nil, nil, nil)
	self.spriteicon2:setScale(0.5)
	self.spriteicon2:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.labelPanel_2, self.spriteicon2)

	self.spriteicon3 = cc.Sprite:create()
	setValue(self.spriteicon3, "spriteicon3", 50, cc.size(100, 100), cc.p(524.458, 134.784), nil, nil, nil, nil, nil)
	self.spriteicon3:setScale(0.5)
	self.spriteicon3:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.labelPanel_2, self.spriteicon3)

	self.spriteicon4 = cc.Sprite:create()
	setValue(self.spriteicon4, "spriteicon4", 51, cc.size(100, 100), cc.p(317.254, 67.782), nil, nil, nil, nil, nil)
	self.spriteicon4:setScale(0.5)
	self.spriteicon4:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.labelPanel_2, self.spriteicon4)

	self.spriteicon5 = cc.Sprite:create()
	setValue(self.spriteicon5, "spriteicon5", 52, cc.size(100, 100), cc.p(421.104, 67.782), nil, nil, nil, nil, nil)
	self.spriteicon5:setScale(0.5)
	self.spriteicon5:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.labelPanel_2, self.spriteicon5)

	self.itemnum1 = createLabel({text=[[999]], font=getFont(), size=24})
	setValue(self.itemnum1, "itemnum1", 54, cc.size(40, 28), cc.p(341.93, 134.784), cc.p(0, 0.5), nil, nil, nil, nil)
	self.itemnum1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_2, self.itemnum1)

	self.itemnum4 = createLabel({text=[[22]], font=getFont(), size=24})
	setValue(self.itemnum4, "itemnum4", 55, cc.size(26, 28), cc.p(341.992, 67.782), cc.p(0, 0.5), nil, nil, nil, nil)
	self.itemnum4:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_2, self.itemnum4)

	self.itemnum5 = createLabel({text=[[999]], font=getFont(), size=24})
	setValue(self.itemnum5, "itemnum5", 56, cc.size(40, 28), cc.p(447.888, 67.782), cc.p(0, 0.5), nil, nil, nil, nil)
	self.itemnum5:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_2, self.itemnum5)

	self.itemnum2 = createLabel({text=[[999]], font=getFont(), size=24})
	setValue(self.itemnum2, "itemnum2", 57, cc.size(40, 28), cc.p(451.05, 134.784), cc.p(0, 0.5), nil, nil, nil, nil)
	self.itemnum2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_2, self.itemnum2)

	self.itemnum3 = createLabel({text=[[22]], font=getFont(), size=24})
	setValue(self.itemnum3, "itemnum3", 58, cc.size(26, 28), cc.p(550.994, 134.784), cc.p(0, 0.5), nil, nil, nil, nil)
	self.itemnum3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_2, self.itemnum3)

	self.infoButton = ccui.Button:create()
	self.infoButton:setScale9Enabled(true)
	self.infoButton:setCapInsets(cc.rect(0, 0, 81, 26))
	self.infoButton:setContentSize(cc.size(80, 30))
	setValue(self.infoButton, "infoButton", 59, nil, cc.p(-203.76, 178.2132), nil, nil, nil, nil, false)
	self.infoButton:loadTextureNormal("ccs/UiImages/image9/Underline.png", 1)
	self.infoButton:loadTexturePressed("ccs/UiImages/image9/Underline.png", 1)
	self.infoButton:loadTextureDisabled("ccs/UiImages/image9/Underline.png", 1)
	self.infoButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.infoButton:setTitleText([[Button]])
	self.infoButton:setTitleFontSize(25)
	self.infoButton:setTitleFontName(getFont())
	setClickEvent(self, self.infoButton, "infoButton")
	addChildForPre(self.labelPanel_2, self.infoButton)

	self.spriteButton1 = ccui.Button:create()
	self.spriteButton1:setScale9Enabled(true)
	self.spriteButton1:setCapInsets(cc.rect(0, 0, 10, 10))
	self.spriteButton1:setContentSize(cc.size(50, 50))
	setValue(self.spriteButton1, "spriteButton1", 207, nil, cc.p(316.696, 134.784), nil, nil, nil, nil, false)
	self.spriteButton1:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.spriteButton1:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.spriteButton1:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.spriteButton1:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.spriteButton1:setTitleText([[]])
	self.spriteButton1:setTitleColor(cc.c3b(65, 65, 70))
	self.spriteButton1:setTitleFontSize(14)
	self.spriteButton1:setTitleFontName(getFont())
	setClickEvent(self, self.spriteButton1, "spriteButton1")
	addChildForPre(self.labelPanel_2, self.spriteButton1)

	self.spriteButton2 = ccui.Button:create()
	self.spriteButton2:setScale9Enabled(true)
	self.spriteButton2:setCapInsets(cc.rect(0, 0, 10, 10))
	self.spriteButton2:setContentSize(cc.size(50, 50))
	setValue(self.spriteButton2, "spriteButton2", 208, nil, cc.p(420.546, 134.784), nil, nil, nil, nil, false)
	self.spriteButton2:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.spriteButton2:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.spriteButton2:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.spriteButton2:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.spriteButton2:setTitleText([[]])
	self.spriteButton2:setTitleColor(cc.c3b(65, 65, 70))
	self.spriteButton2:setTitleFontSize(14)
	self.spriteButton2:setTitleFontName(getFont())
	setClickEvent(self, self.spriteButton2, "spriteButton2")
	addChildForPre(self.labelPanel_2, self.spriteButton2)

	self.spriteButton3 = ccui.Button:create()
	self.spriteButton3:setScale9Enabled(true)
	self.spriteButton3:setCapInsets(cc.rect(0, 0, 10, 10))
	self.spriteButton3:setContentSize(cc.size(50, 50))
	setValue(self.spriteButton3, "spriteButton3", 209, nil, cc.p(524.458, 134.784), nil, nil, nil, nil, false)
	self.spriteButton3:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.spriteButton3:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.spriteButton3:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.spriteButton3:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.spriteButton3:setTitleText([[]])
	self.spriteButton3:setTitleColor(cc.c3b(65, 65, 70))
	self.spriteButton3:setTitleFontSize(14)
	self.spriteButton3:setTitleFontName(getFont())
	setClickEvent(self, self.spriteButton3, "spriteButton3")
	addChildForPre(self.labelPanel_2, self.spriteButton3)

	self.spriteButton4 = ccui.Button:create()
	self.spriteButton4:setScale9Enabled(true)
	self.spriteButton4:setCapInsets(cc.rect(0, 0, 10, 10))
	self.spriteButton4:setContentSize(cc.size(50, 50))
	setValue(self.spriteButton4, "spriteButton4", 210, nil, cc.p(317.254, 67.782), nil, nil, nil, nil, false)
	self.spriteButton4:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.spriteButton4:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.spriteButton4:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.spriteButton4:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.spriteButton4:setTitleText([[]])
	self.spriteButton4:setTitleColor(cc.c3b(65, 65, 70))
	self.spriteButton4:setTitleFontSize(14)
	self.spriteButton4:setTitleFontName(getFont())
	setClickEvent(self, self.spriteButton4, "spriteButton4")
	addChildForPre(self.labelPanel_2, self.spriteButton4)

	self.spriteButton5 = ccui.Button:create()
	self.spriteButton5:setScale9Enabled(true)
	self.spriteButton5:setCapInsets(cc.rect(0, 0, 10, 10))
	self.spriteButton5:setContentSize(cc.size(50, 50))
	setValue(self.spriteButton5, "spriteButton5", 211, nil, cc.p(421.104, 67.782), nil, nil, nil, nil, false)
	self.spriteButton5:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.spriteButton5:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.spriteButton5:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.spriteButton5:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.spriteButton5:setTitleText([[]])
	self.spriteButton5:setTitleColor(cc.c3b(65, 65, 70))
	self.spriteButton5:setTitleFontSize(14)
	self.spriteButton5:setTitleFontName(getFont())
	setClickEvent(self, self.spriteButton5, "spriteButton5")
	addChildForPre(self.labelPanel_2, self.spriteButton5)

	self.Listview = ccui.Layout:create()
	setValue(self.Listview, "WIX_Listview", 42, cc.size(640, 272), cc.p(320, 9.6), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Listview)

	self.titleSprite = cc.Sprite:create()
	setValue(self.titleSprite, "TXN_titleSprite", 32, cc.size(529, 86), cc.p(320, 717.2), nil, nil, nil, nil, nil)
	self.titleSprite:setSpriteFrame("ccs/UiImages/newactivity/newactivity_title.png")
	addChildForPre(self.rootPanel_1, self.titleSprite)

	self.newSprite = cc.Sprite:create()
	setValue(self.newSprite, "TXN_newSprite", 179, cc.size(588, 61), cc.p(320, 746.0161), nil, nil, nil, nil, nil)
	self.newSprite:setSpriteFrame("ccs/UiImages/newactivity/newactivity_ing_zhuangshi.png")
	addChildForPre(self.rootPanel_1, self.newSprite)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"Default/Sprite.png",
	"ccs/BigImages/background/newactivity_bag02.jpg",
	"ccs/plist/newactivity.plist",
	"ccs/plist/mainUiFeeling.plist",
	"ccs/plist/image9.plist",
	"ccs/BigImages/ship_main/5_rb_zl_hnec_zhu.png",
	"ccs/BigImages/userHead/userHead_img_meizi02.png",
	"ccs/plist/commonBg.plist",
}

return _M
