-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 31, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 32, cc.size(90, 135), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.cellButton = ccui.Button:create()
	self.cellButton:setScale9Enabled(true)
	self.cellButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.cellButton:setContentSize(cc.size(75, 135))
	setValue(self.cellButton, "cellButton", 46, nil, cc.p(45, 72.9), nil, nil, nil, nil, false)
	self.cellButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.cellButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.cellButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.cellButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.cellButton:setTitleText([[]])
	self.cellButton:setTitleColor(cc.c3b(65, 65, 70))
	self.cellButton:setTitleFontSize(14)
	self.cellButton:setTitleFontName(getFont())
	setClickEvent(self, self.cellButton, "cellButton")
	addChildForPre(self.rootPanel_1, self.cellButton)

	self.showPanel = ccui.Layout:create()
	setValue(self.showPanel, "showPanel", 24, cc.size(90, 135), cc.p(45, 67.5), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.showPanel:setScale(0.9)
	addChildForPre(self.rootPanel_1, self.showPanel)
	self.showPanel_2 = self.showPanel

	self.bgSprite = cc.Sprite:create()
	setValue(self.bgSprite, "bgSprite", 47, cc.size(87, 134), cc.p(45, 67.5), nil, nil, nil, nil, nil)
	self.bgSprite:setSpriteFrame("ccs/UiImages/newactivity/newactivity_turnoverCard.png")
	addChildForPre(self.showPanel_2, self.bgSprite)

	self.infoLabel = createLabel({text=[[infoLabel]], font=getFont(), size=22,align = 1,valign = 1})
	setValue(self.infoLabel, "infoLabel", 48, cc.size(89, 26), cc.p(45, 21.6), nil, nil, nil, nil, nil)
	self.infoLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.showPanel_2, self.infoLabel)

	self.bgFlipSprite = cc.Sprite:create()
	setValue(self.bgFlipSprite, "bgFlipSprite", 25, cc.size(85, 135), cc.p(45, 67.5), nil, nil, nil, nil, nil)
	self.bgFlipSprite:setSpriteFrame("ccs/UiImages/newactivity/newactivity_turnoverCardFlip.png")
	addChildForPre(self.showPanel_2, self.bgFlipSprite)

	self.effectPanel = ccui.Layout:create()
	setValue(self.effectPanel, "effectPanel", 9, cc.size(75, 116.2252), cc.p(45, 67.5), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.showPanel_2, self.effectPanel)

	self.effectSprite = cc.Sprite:create()
	setValue(self.effectSprite, "effectSprite", 70, cc.size(120, 166), cc.p(45, 67.5), nil, nil, nil, nil, nil)
	self.effectSprite:setVisible(false)
	self.effectSprite:setSpriteFrame("ccs/UiImages/newactivity/newactivity_turnoverCardGuang.png")
	addChildForPre(self.showPanel_2, self.effectSprite)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/newactivity.plist",
}

return _M
