-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 13, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.contentPanel = ccui.Layout:create()
	setValue(self.contentPanel, "AXY_contentPanel", 25, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.contentPanel)
	self.contentPanel_2 = self.contentPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "WIX_bgImage", 301, cc.size(640, 765), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/BigImages/background/newactivity_bag02.webp")
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(0, 0, 640, 765))
	addChildForPre(self.contentPanel_2, self.bgImage)

	self.cardPanel = ccui.Layout:create()
	setValue(self.cardPanel, "TXN_cardPanel", 29, cc.size(623, 166), cc.p(319.9999, 325.1501), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.contentPanel_2, self.cardPanel)
	self.cardPanel_3 = self.cardPanel

	self.card1Panel = ccui.Layout:create()
	setValue(self.card1Panel, "card1Panel", 159, cc.size(90, 136), cc.p(582.3898, 83), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.cardPanel_3, self.card1Panel)

	self.card2Panel = ccui.Layout:create()
	setValue(self.card2Panel, "card2Panel", 160, cc.size(90, 136), cc.p(492.4535, 83), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.cardPanel_3, self.card2Panel)

	self.card3Panel = ccui.Layout:create()
	setValue(self.card3Panel, "card3Panel", 161, cc.size(90, 136), cc.p(402.5173, 83), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.cardPanel_3, self.card3Panel)

	self.card4Panel = ccui.Layout:create()
	setValue(self.card4Panel, "card4Panel", 162, cc.size(90, 136), cc.p(312.5811, 83), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.cardPanel_3, self.card4Panel)

	self.card5Panel = ccui.Layout:create()
	setValue(self.card5Panel, "card5Panel", 163, cc.size(90, 136), cc.p(222.6449, 83), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.cardPanel_3, self.card5Panel)

	self.card6Panel = ccui.Layout:create()
	setValue(self.card6Panel, "card6Panel", 164, cc.size(90, 136), cc.p(132.7086, 83), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.cardPanel_3, self.card6Panel)

	self.card7Panel = ccui.Layout:create()
	setValue(self.card7Panel, "card7Panel", 165, cc.size(90, 136), cc.p(42.7723, 83), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.cardPanel_3, self.card7Panel)

	self.buttonPanel = ccui.Layout:create()
	setValue(self.buttonPanel, "TXN_buttonPanel", 107, cc.size(640, 200), cc.p(319.9999, 134.9681), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.contentPanel_2, self.buttonPanel)
	self.buttonPanel_3 = self.buttonPanel

	self.getGoldLabel = createLabel({text=[[获得
金币]], font=getFont(), size=40})
	setValue(self.getGoldLabel, "getGoldLabel", 156, cc.size(80, 90), cc.p(177.984, 123.2396), nil, nil, nil, nil, nil)
	self.getGoldLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.buttonPanel_3, self.getGoldLabel)

	self.beEqualTolabel = createLabel({text=[[=]], font=getFont(), size=40})
	setValue(self.beEqualTolabel, "beEqualTolabel", 157, cc.size(23, 45), cc.p(236.8, 123.2396), nil, nil, nil, nil, nil)
	self.beEqualTolabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.buttonPanel_3, self.beEqualTolabel)

	self.rideLabel = createLabel({text=[[X]], font=getFont(), size=40})
	setValue(self.rideLabel, "rideLabel", 167, cc.size(26, 45), cc.p(379.968, 123.2396), nil, nil, nil, nil, nil)
	self.rideLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.buttonPanel_3, self.rideLabel)

	self.card8Panel = ccui.Layout:create()
	setValue(self.card8Panel, "card8Panel", 158, cc.size(90, 136), cc.p(302.0159, 122.6598), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.buttonPanel_3, self.card8Panel)

	self.receiveButton = ccui.Button:create()
	setValue(self.receiveButton, "receiveButton", 22, cc.size(153, 64), cc.p(320, 17.6042), nil, nil, nil, nil, false)
	self.receiveButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.receiveButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.receiveButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.receiveButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.receiveButton:setTitleText([[receive]])
	self.receiveButton:setTitleFontSize(25)
	self.receiveButton:setTitleFontName(getFont())
	setClickEvent(self, self.receiveButton, "receiveButton")
	addChildForPre(self.buttonPanel_3, self.receiveButton)

	self.receiveInfoLabel = createLabel({text=[[10000]], font=getFont(), size=40,align = 1,valign = 1})
	setValue(self.receiveInfoLabel, "receiveInfoLabel", 28, cc.size(111, 45), cc.p(409.024, 123.3224), cc.p(0, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.receiveInfoLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.receiveInfoLabel:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.buttonPanel_3, self.receiveInfoLabel)

	self.Image = ccui.ImageView:create()
	setValue(self.Image, "TXN_Image", 297, cc.size(640, 90), cc.p(320, -144.96), nil, nil, nil, nil, nil)
	self.Image:loadTexture("ccs/UiImages/newactivity/newactivity_img_jinbi.png", 1)
	addChildForPre(self.rootPanel_1, self.Image)

	self.labelPanel = ccui.Layout:create()
	setValue(self.labelPanel, "TXN_labelPanel", 114, cc.size(640, 253), cc.p(320, 429.4), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.labelPanel)
	self.labelPanel_2 = self.labelPanel

	self.labelbgImage = ccui.ImageView:create()
	setValue(self.labelbgImage, "labelbgImage", 233, cc.size(640, 253), cc.p(320, 126.5), nil, nil, nil, nil, false)
	self.labelbgImage:loadTexture("ccs/UiImages/newactivity/newactivity_9dia.png", 1)
	self.labelbgImage:setScale9Enabled(true)
	self.labelbgImage:setCapInsets(cc.rect(30, 30, 71, 186))
	addChildForPre(self.labelPanel_2, self.labelbgImage)

	self.bg1Image = ccui.ImageView:create()
	setValue(self.bg1Image, "bg1Image", 112, cc.size(130, 30), cc.p(113.84, 204.96), nil, nil, nil, nil, false)
	self.bg1Image:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.bg1Image:setScale9Enabled(true)
	self.bg1Image:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.labelPanel_2, self.bg1Image)

	self.bg2Image = ccui.ImageView:create()
	setValue(self.bg2Image, "bg2Image", 113, cc.size(130, 30), cc.p(113.84, 127.06), nil, nil, nil, nil, false)
	self.bg2Image:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.bg2Image:setScale9Enabled(true)
	self.bg2Image:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.labelPanel_2, self.bg2Image)

	self.active_timeTitle = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.active_timeTitle, "active_timeTitle", 44, cc.size(109, 28), cc.p(113.84, 204.96), nil, nil, nil, nil, nil)
	self.active_timeTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_2, self.active_timeTitle)

	self.active_content = createLabel({text=[[活动内容*]], font=getFont(), size=24})
	setValue(self.active_content, "active_content", 145, cc.size(105, 28), cc.p(113.84, 127.06), nil, nil, nil, nil, nil)
	self.active_content:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_2, self.active_content)

	self.active_time = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.active_time, "active_time", 45, cc.size(109, 28), cc.p(199.55, 204.96), cc.p(0, 0.5), nil, nil, nil, nil)
	self.active_time:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_2, self.active_time)

	self.activityDescLabel = createLabel({text=[[Text Label]], font=getFont(), size=24, dimensions = cc.size(300.0000, 105.0000)})
	setValue(self.activityDescLabel, "activityDescLabel", 51, cc.size(300, 105), cc.p(199.55, 141.05), cc.p(0, 1), nil, nil, nil, false)
	self.activityDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_2, self.activityDescLabel)

	self.alltimeLableTitle = createLabel({text=[[剩余时间:]], font=getFont(), size=22})
	setValue(self.alltimeLableTitle, "alltimeLableTitle", 368, cc.size(94, 26), cc.p(311.1, 167.28), cc.p(1, 0.5), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.alltimeLableTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.alltimeLableTitle:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.labelPanel_2, self.alltimeLableTitle)

	self.alltimeLable = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.alltimeLable, "alltimeLable", 369, cc.size(91, 23), cc.p(321.35, 167.28), cc.p(0, 0.5), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.alltimeLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.alltimeLable:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.labelPanel_2, self.alltimeLable)

	self.Image_39 = ccui.ImageView:create()
	setValue(self.Image_39, "Image_39", 276, cc.size(529, 86), cc.p(320, 280.83), nil, nil, nil, nil, nil)
	self.Image_39:loadTexture("ccs/UiImages/newactivity/newactivity_title.png", 1)
	addChildForPre(self.labelPanel_2, self.Image_39)

	self.newactivity = cc.Sprite:create()
	setValue(self.newactivity, "TXN_newactivity", 275, cc.size(588, 61), cc.p(320, 323.84), nil, nil, nil, nil, nil)
	self.newactivity:setSpriteFrame("ccs/UiImages/newactivity/newactivity_ing_zhuangshi.png")
	addChildForPre(self.labelPanel_2, self.newactivity)

	self.TitleLable = createLabel({text=[[Text Label]], font=getFont(), size=40})
	setValue(self.TitleLable, "TitleLable", 277, cc.size(182, 45), cc.p(320, 280.83), nil, nil, nil, nil, nil)
	self.TitleLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_2, self.TitleLable)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/BigImages/background/newactivity_bag02.jpg",
	"ccs/plist/image9.plist",
	"ccs/plist/newactivity.plist",
	"ccs/plist/mainUiFeeling.plist",
}

return _M
