-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 28, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 78, cc.size(640, 189), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bgimage = ccui.ImageView:create()
	setValue(self.bgimage, "bgimage", 34, cc.size(620, 180), cc.p(320, 94.5), nil, nil, nil, nil, false)
	self.bgimage:loadTexture("ccs/UiImages/newactivity/newactivity_9dib.png", 1)
	self.bgimage:setScale9Enabled(true)
	self.bgimage:setCapInsets(cc.rect(30, 30, 19, 112))
	addChildForPre(self.rootPanel_1, self.bgimage)

	self.leftPanel = ccui.Layout:create()
	setValue(self.leftPanel, "leftPanel", 21, cc.size(320, 189), cc.p(320, 0), cc.p(1, 0), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.leftPanel)
	self.leftPanel_2 = self.leftPanel

	self.leftItemPanel = ccui.Layout:create()
	setValue(self.leftItemPanel, "leftItemPanel", 23, cc.size(150, 130), cc.p(89.6, 75.6), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.leftPanel_2, self.leftItemPanel)

	self.leftButton = ccui.Button:create()
	setValue(self.leftButton, "leftButton", 20, cc.size(153, 64), cc.p(233.6, 94.5), nil, nil, nil, nil, false)
	self.leftButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.leftButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.leftButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.leftButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.leftButton:setTitleText([[leftButton]])
	self.leftButton:setTitleFontSize(25)
	self.leftButton:setTitleFontName(getFont())
	setClickEvent(self, self.leftButton, "leftButton")
	addChildForPre(self.leftPanel_2, self.leftButton)

	self.leftLabel = createLabel({text=[[leftLabel]], font=getFont(), size=25})
	setValue(self.leftLabel, "leftLabel", 24, cc.size(94, 29), cc.p(16, 167.265), cc.p(0, 0.5), nil, nil, nil, nil)
	self.leftLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftPanel_2, self.leftLabel)

	self.rightPanel = ccui.Layout:create()
	setValue(self.rightPanel, "rightPanel", 22, cc.size(320, 189), cc.p(320, 0), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.rightPanel)
	self.rightPanel_2 = self.rightPanel

	self.rightItemPanel = ccui.Layout:create()
	setValue(self.rightItemPanel, "rightItemPanel", 80, cc.size(150, 130), cc.p(89.6, 75.6), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rightPanel_2, self.rightItemPanel)

	self.rightButton = ccui.Button:create()
	setValue(self.rightButton, "rightButton", 79, cc.size(153, 64), cc.p(233.6, 94.5), nil, nil, nil, nil, false)
	self.rightButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.rightButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.rightButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.rightButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.rightButton:setTitleText([[rightButton]])
	self.rightButton:setTitleFontSize(25)
	self.rightButton:setTitleFontName(getFont())
	setClickEvent(self, self.rightButton, "rightButton")
	addChildForPre(self.rightPanel_2, self.rightButton)

	self.rightLabel = createLabel({text=[[rightLabel]], font=getFont(), size=25})
	setValue(self.rightLabel, "rightLabel", 65, cc.size(109, 29), cc.p(16, 167.265), cc.p(0, 0.5), nil, nil, nil, nil)
	self.rightLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightPanel_2, self.rightLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/newactivity.plist",
	"ccs/plist/image9.plist",
}

return _M
