-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 983, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "AXY_Panel", 135, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Panel)
	self.Panel_2 = self.Panel

	self.interPanel = ccui.Layout:create()
	setValue(self.interPanel, "WIX_interPanel", 108, cc.size(640, 765), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.interPanel)
	self.interPanel_3 = self.interPanel

	self.image1 = ccui.ImageView:create()
	setValue(self.image1, "WIX_image1", 72, cc.size(640, 765), cc.p(320, 382.5), nil, nil, nil, nil, false)
	self.image1:loadTexture("ccs/BigImages/background/newactivity_bag01.webp")
	self.image1:setScale9Enabled(true)
	self.image1:setCapInsets(cc.rect(0, 0, 640, 765))
	addChildForPre(self.interPanel_3, self.image1)

	self.Sprite2 = cc.Sprite:create()
	setValue(self.Sprite2, "TXN_Sprite2", 122, cc.size(162, 148), cc.p(428.1945, 590.6283), nil, nil, nil, nil, nil)
	self.Sprite2:setSpriteFrame("ccs/UiImages/newactivity/newactivity_lihe01.png")
	addChildForPre(self.interPanel_3, self.Sprite2)

	self.Sprite3 = cc.Sprite:create()
	setValue(self.Sprite3, "TXN_Sprite3", 123, cc.size(162, 148), cc.p(323.5842, 517.8664), nil, nil, nil, nil, nil)
	self.Sprite3:setSpriteFrame("ccs/UiImages/newactivity/newactivity_lihe01.png")
	addChildForPre(self.interPanel_3, self.Sprite3)

	self.Sprite4 = cc.Sprite:create()
	setValue(self.Sprite4, "TXN_Sprite4", 124, cc.size(162, 148), cc.p(516.415, 513.3239), nil, nil, nil, nil, nil)
	self.Sprite4:setSpriteFrame("ccs/UiImages/newactivity/newactivity_lihe01.png")
	addChildForPre(self.interPanel_3, self.Sprite4)

	self.Sprite5 = cc.Sprite:create()
	setValue(self.Sprite5, "TXN_Sprite5", 125, cc.size(300, 457), cc.p(136.009, 539.639), nil, nil, nil, nil, nil)
	self.Sprite5:setTexture("ccs/BigImages/userHead/leaderHead_img_1.webp")
	addChildForPre(self.interPanel_3, self.Sprite5)

	self.Sprite6 = cc.Sprite:create()
	setValue(self.Sprite6, "TXN_Sprite6", 126, cc.size(46, 46), cc.p(425.5719, 701.9658), nil, nil, nil, nil, nil)
	self.Sprite6:setVisible(false)
	self.Sprite6:setTexture("Default/Sprite.png")
	addChildForPre(self.interPanel_3, self.Sprite6)

	self.Sprite7 = cc.Sprite:create()
	setValue(self.Sprite7, "TXN_Sprite7", 127, cc.size(588, 61), cc.p(320, 749.7), nil, nil, nil, nil, nil)
	self.Sprite7:setSpriteFrame("ccs/UiImages/newactivity/newactivity_ing_zhuangshi.png")
	addChildForPre(self.interPanel_3, self.Sprite7)

	self.ListView = ccui.Layout:create()
	setValue(self.ListView, "WIX_ListView", 984, cc.size(640, 484), cc.p(320, 244.8), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.interPanel_3, self.ListView)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/BigImages/background/newactivity_bag01.jpg",
	"ccs/plist/newactivity.plist",
	"ccs/BigImages/userHead/leaderHead_img_1.png",
	"Default/Sprite.png",
}

return _M
