-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 315, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 316, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bgPanel = ccui.Layout:create()
	setValue(self.bgPanel, "AXY_bgPanel", 31, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	self.bgPanel:setClippingEnabled(true)
	addChildForPre(self.rootPanel_1, self.bgPanel)
	self.bgPanel_2 = self.bgPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "WIX_bgImage", 375, cc.size(640, 765), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/BigImages/background/newactivity_bag02.webp")
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(0, 0, 640, 765))
	addChildForPre(self.bgPanel_2, self.bgImage)

	self.labelPanel = ccui.Layout:create()
	setValue(self.labelPanel, "TXN_labelPanel", 337, cc.size(600, 245), cc.p(18.8236, 438.3476), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.labelPanel)
	self.labelPanel_2 = self.labelPanel

	self.bgImage2 = ccui.ImageView:create()
	setValue(self.bgImage2, "bgImage2", 353, cc.size(600, 225), cc.p(300, 134.75), nil, nil, nil, nil, false)
	self.bgImage2:loadTexture("ccs/UiImages/newactivity/newactivity_9dia.png", 1)
	self.bgImage2:setScale9Enabled(true)
	self.bgImage2:setCapInsets(cc.rect(30, 30, 71, 186))
	addChildForPre(self.labelPanel_2, self.bgImage2)

	self.bg1Image = ccui.ImageView:create()
	setValue(self.bg1Image, "bg1Image", 1081, cc.size(130, 30), cc.p(113.84, 198.97), nil, nil, nil, nil, false)
	self.bg1Image:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.bg1Image:setScale9Enabled(true)
	self.bg1Image:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.labelPanel_2, self.bg1Image)

	self.bg2Image = ccui.ImageView:create()
	setValue(self.bg2Image, "bg2Image", 1082, cc.size(130, 30), cc.p(113.84, 126.94), nil, nil, nil, nil, false)
	self.bg2Image:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.bg2Image:setScale9Enabled(true)
	self.bg2Image:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.labelPanel_2, self.bg2Image)

	self.active_time = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.active_time, "active_time", 346, cc.size(109, 28), cc.p(199.5546, 199.3943), cc.p(0, 0.5), nil, nil, nil, nil)
	self.active_time:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_2, self.active_time)

	self.activityDescLabel = createLabel({text=[[Text Label]], font=getFont(), size=24, dimensions = cc.size(300.0000, 100.0000)})
	setValue(self.activityDescLabel, "activityDescLabel", 347, cc.size(300, 100), cc.p(198.12, 141.4385), cc.p(0, 1), nil, nil, nil, false)
	self.activityDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_2, self.activityDescLabel)

	self.active_timeTitle = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.active_timeTitle, "active_timeTitle", 344, cc.size(109, 28), cc.p(113.84, 198.97), nil, nil, nil, nil, nil)
	self.active_timeTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_2, self.active_timeTitle)

	self.active_content = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.active_content, "active_content", 345, cc.size(109, 28), cc.p(113.84, 126.94), nil, nil, nil, nil, nil)
	self.active_content:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_2, self.active_content)

	self.alltimeLableTitle = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.alltimeLableTitle, "alltimeLableTitle", 250, cc.size(109, 28), cc.p(311.1028, 165.7296), cc.p(1, 0.5), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.alltimeLableTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.alltimeLableTitle:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.labelPanel_2, self.alltimeLableTitle)

	self.alltimeLable = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.alltimeLable, "alltimeLable", 251, cc.size(109, 28), cc.p(321.35, 165.7296), cc.p(0, 0.5), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.alltimeLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.alltimeLable:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.labelPanel_2, self.alltimeLable)

	self.sprite2 = cc.Sprite:create()
	setValue(self.sprite2, "sprite2", 376, cc.size(529, 86), cc.p(300, 271.95), nil, nil, nil, nil, nil)
	self.sprite2:setSpriteFrame("ccs/UiImages/newactivity/newactivity_title.png")
	addChildForPre(self.labelPanel_2, self.sprite2)

	self.newactivity = cc.Sprite:create()
	setValue(self.newactivity, "TXN_newactivity", 377, cc.size(588, 61), cc.p(300, 313.6), nil, nil, nil, nil, nil)
	self.newactivity:setSpriteFrame("ccs/UiImages/newactivity/newactivity_ing_zhuangshi.png")
	addChildForPre(self.labelPanel_2, self.newactivity)

	self.alltimeTitleLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.alltimeTitleLabel, "alltimeTitleLabel", 444, cc.size(91, 23), cc.p(300, 271.95), nil, nil, nil, nil, nil)
	self.alltimeTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_2, self.alltimeTitleLabel)

	self.Image = ccui.ImageView:create()
	setValue(self.Image, "TXN_Image", 42, cc.size(640, 90.048), cc.p(320, -144.96), nil, nil, nil, nil, false)
	self.Image:loadTexture("ccs/UiImages/newactivity/newactivity_img_jinbi.png", 1)
	self.Image:setScale9Enabled(true)
	self.Image:setCapInsets(cc.rect(0, 0, 640, 90))
	addChildForPre(self.rootPanel_1, self.Image)

	self.switchPanel = ccui.Layout:create()
	setValue(self.switchPanel, "TXN_switchPanel", 2652, cc.size(640, 199.968), cc.p(320, 276), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.switchPanel)
	self.switchPanel_2 = self.switchPanel

	self.rightButton = ccui.Button:create()
	setValue(self.rightButton, "RYN_rightButton", 1625, cc.size(27, 54), cc.p(640, 99.984), cc.p(0, 0.5), cc.c4b(255, 197, 0, 255), nil, nil, nil)
	self.rightButton:setRotationSkewX(180)
	self.rightButton:setRotationSkewY(180)
	self.rightButton:setScaleX(1)
	self.rightButton:setScaleY(2)
	self.rightButton:loadTextureNormal("ccs/UiImages/image9/newactivity_butzuoyou.png", 1)
	self.rightButton:loadTexturePressed("ccs/UiImages/image9/newactivity_butzuoyou.png", 1)
	self.rightButton:loadTextureDisabled("ccs/UiImages/image9/newactivity_butzuoyou.png", 1)
	self.rightButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.rightButton:setTitleText([[]])
	self.rightButton:setTitleColor(cc.c3b(65, 65, 70))
	self.rightButton:setTitleFontSize(14)
	self.rightButton:setTitleFontName(getFont())
	setClickEvent(self, self.rightButton, "rightButton")
	addChildForPre(self.switchPanel_2, self.rightButton)

	self.leftButton = ccui.Button:create()
	setValue(self.leftButton, "LYN_leftButton", 1626, cc.size(27, 54), cc.p(0, 99.984), cc.p(0, 0.5), cc.c4b(255, 197, 0, 255), nil, nil, nil)
	self.leftButton:setScaleX(1)
	self.leftButton:setScaleY(2)
	self.leftButton:loadTextureNormal("ccs/UiImages/image9/newactivity_butzuoyou.png", 1)
	self.leftButton:loadTexturePressed("ccs/UiImages/image9/newactivity_butzuoyou.png", 1)
	self.leftButton:loadTextureDisabled("ccs/UiImages/image9/newactivity_butzuoyou.png", 1)
	self.leftButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.leftButton:setTitleText([[]])
	self.leftButton:setTitleColor(cc.c3b(65, 65, 70))
	self.leftButton:setTitleFontSize(14)
	self.leftButton:setTitleFontName(getFont())
	setClickEvent(self, self.leftButton, "leftButton")
	addChildForPre(self.switchPanel_2, self.leftButton)

	self.ListViewPanel = ccui.Layout:create()
	setValue(self.ListViewPanel, "TXN_ListViewPanel", 46, cc.size(540, 484), cc.p(320, 240), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.ListViewPanel:setClippingEnabled(true)
	addChildForPre(self.rootPanel_1, self.ListViewPanel)
	self.ListViewPanel_2 = self.ListViewPanel

	if LimLevelpacksCellUi then 
 		self.limLevelpacksCell1Ui = LimLevelpacksCellUi.new() 
 	else 
		self.limLevelpacksCell1Ui = BaseUi.new("ccs/ui/active/LimLevelpacksCellUi.lua")
 	end 
	setValue(self.limLevelpacksCell1Ui, "TXN_limLevelpacksCell1Ui", 739, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.ListViewPanel_2, self.limLevelpacksCell1Ui)

	if LimLevelpacksCellUi then 
 		self.limLevelpacksCell2Ui = LimLevelpacksCellUi.new() 
 	else 
		self.limLevelpacksCell2Ui = BaseUi.new("ccs/ui/active/LimLevelpacksCellUi.lua")
 	end 
	setValue(self.limLevelpacksCell2Ui, "TXN_limLevelpacksCell2Ui", 825, nil, cc.p(270, 0), nil, nil, nil, nil, nil)
	addChildForPre(self.ListViewPanel_2, self.limLevelpacksCell2Ui)

	if LimLevelpacksCellUi then 
 		self.limLevelpacksCell3Ui = LimLevelpacksCellUi.new() 
 	else 
		self.limLevelpacksCell3Ui = BaseUi.new("ccs/ui/active/LimLevelpacksCellUi.lua")
 	end 
	setValue(self.limLevelpacksCell3Ui, "TXN_limLevelpacksCell3Ui", 4135, nil, cc.p(540, 0), nil, nil, nil, nil, nil)
	addChildForPre(self.ListViewPanel_2, self.limLevelpacksCell3Ui)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/BigImages/background/newactivity_bag02.jpg",
	"ccs/plist/newactivity.plist",
	"ccs/plist/mainUiFeeling.plist",
	"ccs/plist/image9.plist",
}

return _M
