-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 408, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 421, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "XYN_dialogPanel", 409, cc.size(536, 600), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.bgSprite2 = cc.Sprite:create()
	setValue(self.bgSprite2, "bgSprite2", 426, cc.size(325, 292), cc.p(268, 306), nil, nil, nil, nil, nil)
	self.bgSprite2:setSpriteFrame("ccs/UiImages/newactivity/newactivity_bakguang.png")
	addChildForPre(self.dialogPanel_2, self.bgSprite2)

	self.bgSprite1 = cc.Sprite:create()
	setValue(self.bgSprite1, "bgSprite1", 424, cc.size(526, 436), cc.p(268, 312), nil, nil, nil, nil, nil)
	self.bgSprite1:setSpriteFrame("ccs/UiImages/newactivity/newactivity_bak7.png")
	addChildForPre(self.dialogPanel_2, self.bgSprite1)

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 64, cc.size(514.56, 276), cc.p(268, 300), nil, cc.c4b(76, 76, 76, 255), nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.dialogPanel_2, self.bgImage)

	self.prizePanel = ccui.Layout:create()
	setValue(self.prizePanel, "prizePanel", 423, cc.size(450, 260), cc.p(268, 303), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.prizePanel)
	self.prizePanel_3 = self.prizePanel

	self.prizeNode1 = ccui.Layout:create()
	setValue(self.prizeNode1, "prizeNode1", 100, cc.size(150, 130), cc.p(67.501, 162), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.prizePanel_3, self.prizeNode1)

	self.prizeNode2 = ccui.Layout:create()
	setValue(self.prizeNode2, "prizeNode2", 101, cc.size(150, 130), cc.p(225.001, 162), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.prizePanel_3, self.prizeNode2)

	self.prizeNode3 = ccui.Layout:create()
	setValue(self.prizeNode3, "prizeNode3", 102, cc.size(150, 130), cc.p(382.5, 162), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.prizePanel_3, self.prizeNode3)

	self.Particle_1 = cc.ParticleSystemQuad:create("ccs/Particle/xunzhang01.plist")
 	self.Particle_1:setPositionType(2) 
	setValue(self.Particle_1, "Particle_1", 142, nil, cc.p(67.5015, 162), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.prizePanel_3, self.Particle_1)

	self.Particle_2 = cc.ParticleSystemQuad:create("ccs/Particle/xunzhang01.plist")
 	self.Particle_2:setPositionType(2) 
	setValue(self.Particle_2, "Particle_2", 143, nil, cc.p(225.001, 162), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.prizePanel_3, self.Particle_2)

	self.Particle_3 = cc.ParticleSystemQuad:create("ccs/Particle/xunzhang01.plist")
 	self.Particle_3:setPositionType(2) 
	setValue(self.Particle_3, "Particle_3", 144, nil, cc.p(382.5, 162), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.prizePanel_3, self.Particle_3)

	self.titleSprite = cc.Sprite:create()
	setValue(self.titleSprite, "titleSprite", 422, cc.size(46, 46), cc.p(262.104, 532.56), nil, nil, nil, nil, nil)
	self.titleSprite:setTexture("Default/Sprite.png")
	addChildForPre(self.dialogPanel_2, self.titleSprite)

	self.bottomButton1 = ccui.Button:create()
	setValue(self.bottomButton1, "bottomButton1", 425, cc.size(153, 64), cc.p(133.9993, 63.8601), nil, nil, nil, nil, false)
	self.bottomButton1:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.bottomButton1:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.bottomButton1:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.bottomButton1:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.bottomButton1:setTitleText([[Button]])
	self.bottomButton1:setTitleFontSize(24)
	self.bottomButton1:setTitleFontName(getFont())
	setClickEvent(self, self.bottomButton1, "bottomButton1")
	addChildForPre(self.dialogPanel_2, self.bottomButton1)

	self.bottomButton2 = ccui.Button:create()
	setValue(self.bottomButton2, "bottomButton2", 62, cc.size(153, 64), cc.p(402.0001, 63.8601), nil, nil, nil, nil, false)
	self.bottomButton2:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.bottomButton2:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.bottomButton2:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.bottomButton2:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.bottomButton2:setTitleText([[Button]])
	self.bottomButton2:setTitleFontSize(24)
	self.bottomButton2:setTitleFontName(getFont())
	setClickEvent(self, self.bottomButton2, "bottomButton2")
	addChildForPre(self.dialogPanel_2, self.bottomButton2)

	self.PromptLable = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.PromptLable, "PromptLable", 63, cc.size(109, 28), cc.p(268.0006, 221), nil, cc.c4b(255, 217, 48, 255), nil, nil, nil)
	self.PromptLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.PromptLable:setColor(cc.c4b(255, 217, 48, 255))
	addChildForPre(self.dialogPanel_2, self.PromptLable)

	self.priceLable = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.priceLable, "priceLable", 191, cc.size(109, 28), cc.p(123.2794, 125.0001), cc.p(0, 0.5), nil, nil, nil, nil)
	self.priceLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.priceLable)

	self.Sprite_15 = cc.Sprite:create()
	setValue(self.Sprite_15, "Sprite_15", 192, cc.size(100, 100), cc.p(85.7593, 125.0002), nil, nil, nil, nil, nil)
	self.Sprite_15:setScale(0.5)
	self.Sprite_15:setSpriteFrame("ccs/UiImages/icon/zuanshi.png")
	addChildForPre(self.dialogPanel_2, self.Sprite_15)

	self.priceLable2 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.priceLable2, "priceLable2", 103, cc.size(109, 28), cc.p(133.9994, 125.0001), nil, nil, nil, nil, nil)
	self.priceLable2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.priceLable2)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/newactivity.plist",
	"ccs/plist/battle.plist",
	"Default/Sprite.png",
	"ccs/plist/image9.plist",
	"ccs/plist/icon.plist",
}

return _M
