-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 315, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 316, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bg1Panel = ccui.Layout:create()
	setValue(self.bg1Panel, "STX_bg1Panel", 285, cc.size(640, 960), cc.p(0, 765), cc.p(0, 1), nil, nil, nil, nil)
	self.bg1Panel:setVisible(false)
	setBgColor(self.bg1Panel, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.bg1Panel)
	self.bg1Panel_2 = self.bg1Panel

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "Panel", 287, cc.size(200, 200), cc.p(320, 960), cc.p(0.5, 1), nil, nil, nil, nil)
	self.Panel:setScale(0.86)
	setBgColor(self.Panel, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.bg1Panel_2, self.Panel)
	self.Panel_3 = self.Panel

	self.Sprite = cc.Sprite:create()
	setValue(self.Sprite, "Sprite", 284, cc.size(750, 1106), cc.p(100, -358.5), nil, nil, nil, nil, nil)
	self.Sprite:setTexture("ccs/BigImages/background/egg1.webp")
	addChildForPre(self.Panel_3, self.Sprite)

	self.bgPanel = ccui.Layout:create()
	setValue(self.bgPanel, "AXY_bgPanel", 31, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	self.bgPanel:setClippingEnabled(true)
	addChildForPre(self.rootPanel_1, self.bgPanel)
	self.bgPanel_2 = self.bgPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "WIX_bgImage", 375, cc.size(640, 765), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/BigImages/background/newactivity_bag02.webp")
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(0, 0, 640, 765))
	addChildForPre(self.bgPanel_2, self.bgImage)

	self.labelPanel = ccui.Layout:create()
	setValue(self.labelPanel, "TXN_labelPanel", 337, cc.size(600, 245), cc.p(18.8236, 438.3476), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.labelPanel)
	self.labelPanel_2 = self.labelPanel

	self.bgImage2 = ccui.ImageView:create()
	setValue(self.bgImage2, "bgImage2", 353, cc.size(600, 253), cc.p(300, 122.5), nil, nil, nil, nil, false)
	self.bgImage2:loadTexture("ccs/UiImages/newactivity/newactivity_9dia.png", 1)
	self.bgImage2:setScale9Enabled(true)
	self.bgImage2:setCapInsets(cc.rect(30, 30, 71, 186))
	addChildForPre(self.labelPanel_2, self.bgImage2)

	self.bg1Image = ccui.ImageView:create()
	setValue(self.bg1Image, "bg1Image", 982, cc.size(130, 30), cc.p(113.84, 198.97), nil, nil, nil, nil, false)
	self.bg1Image:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.bg1Image:setScale9Enabled(true)
	self.bg1Image:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.labelPanel_2, self.bg1Image)

	self.bg2Image = ccui.ImageView:create()
	setValue(self.bg2Image, "bg2Image", 983, cc.size(130, 30), cc.p(113.84, 126.94), nil, nil, nil, nil, false)
	self.bg2Image:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.bg2Image:setScale9Enabled(true)
	self.bg2Image:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.labelPanel_2, self.bg2Image)

	self.bg3Image = ccui.ImageView:create()
	setValue(self.bg3Image, "bg3Image", 984, cc.size(130, 30), cc.p(116.34, 53.9245), nil, nil, nil, nil, false)
	self.bg3Image:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.bg3Image:setScale9Enabled(true)
	self.bg3Image:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.labelPanel_2, self.bg3Image)

	self.active_time = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.active_time, "active_time", 346, cc.size(109, 28), cc.p(199.5546, 199.3943), cc.p(0, 0.5), nil, nil, nil, nil)
	self.active_time:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_2, self.active_time)

	self.activityDescLabel = createLabel({text=[[Text Label]], font=getFont(), size=24, dimensions = cc.size(360.0000, 100.0000)})
	setValue(self.activityDescLabel, "activityDescLabel", 347, cc.size(360, 100), cc.p(198.12, 141.4385), cc.p(0, 1), nil, nil, nil, false)
	self.activityDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_2, self.activityDescLabel)

	self.active_timeTitle = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.active_timeTitle, "active_timeTitle", 344, cc.size(109, 28), cc.p(113.84, 198.97), nil, nil, nil, nil, nil)
	self.active_timeTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_2, self.active_timeTitle)

	self.active_content = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.active_content, "active_content", 345, cc.size(109, 28), cc.p(113.84, 126.94), nil, nil, nil, nil, nil)
	self.active_content:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_2, self.active_content)

	self.alltimeLableTitle = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.alltimeLableTitle, "alltimeLableTitle", 250, cc.size(109, 28), cc.p(311.1028, 165.7296), cc.p(1, 0.5), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.alltimeLableTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.alltimeLableTitle:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.labelPanel_2, self.alltimeLableTitle)

	self.alltimeLable = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.alltimeLable, "alltimeLable", 251, cc.size(109, 28), cc.p(321.35, 165.7296), cc.p(0, 0.5), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.alltimeLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.alltimeLable:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.labelPanel_2, self.alltimeLable)

	self.gotoChargeButton = ccui.Button:create()
	setValue(self.gotoChargeButton, "gotoChargeButton", 86, cc.size(215, 76), cc.p(469.5, 48.9755), nil, nil, nil, nil, false)
	self.gotoChargeButton:loadTextureNormal("ccs/UiImages/login/login_img_top-02.png", 1)
	self.gotoChargeButton:loadTexturePressed("ccs/UiImages/login/login_img_top-02.png", 1)
	self.gotoChargeButton:loadTextureDisabled("ccs/UiImages/login/login_img_top-02.png", 1)
	self.gotoChargeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.gotoChargeButton:setTitleText([[Button]])
	self.gotoChargeButton:setTitleFontSize(24)
	self.gotoChargeButton:setTitleFontName(getFont())
	setClickEvent(self, self.gotoChargeButton, "gotoChargeButton")
	addChildForPre(self.labelPanel_2, self.gotoChargeButton)

	self.numLable = createLabel({text=[[#FFDC00]], font=getFont(), size=24})
	setValue(self.numLable, "numLable", 51, cc.size(104, 28), cc.p(198.12, 51.744), cc.p(0, 0.5), cc.c4b(255, 220, 0, 255), nil, nil, nil)
	self.numLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.numLable:setColor(cc.c4b(255, 220, 0, 255))
	addChildForPre(self.labelPanel_2, self.numLable)

	self.numTitle = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.numTitle, "numTitle", 49, cc.size(109, 28), cc.p(116.34, 53.9245), nil, nil, nil, nil, nil)
	self.numTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_2, self.numTitle)

	self.sprite2 = cc.Sprite:create()
	setValue(self.sprite2, "sprite2", 376, cc.size(529, 86), cc.p(300, 271.95), nil, nil, nil, nil, nil)
	self.sprite2:setVisible(false)
	self.sprite2:setSpriteFrame("ccs/UiImages/newactivity/newactivity_title.png")
	addChildForPre(self.labelPanel_2, self.sprite2)

	self.Image_93 = ccui.ImageView:create()
	setValue(self.Image_93, "Image_93", 1179, cc.size(416, 86), cc.p(300, 271.95), nil, nil, nil, nil, false)
	self.Image_93:loadTexture("ccs/UiImages/newactivity/newactivity_title.png", 1)
	self.Image_93:setScale9Enabled(true)
	self.Image_93:setCapInsets(cc.rect(100, 36, 329, 14))
	addChildForPre(self.labelPanel_2, self.Image_93)

	self.newactivity = cc.Sprite:create()
	setValue(self.newactivity, "TXN_newactivity", 377, cc.size(588, 61), cc.p(300, 313.6), nil, nil, nil, nil, nil)
	self.newactivity:setSpriteFrame("ccs/UiImages/newactivity/newactivity_ing_zhuangshi.png")
	addChildForPre(self.labelPanel_2, self.newactivity)

	self.alltimeTitleLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.alltimeTitleLabel, "alltimeTitleLabel", 444, cc.size(91, 23), cc.p(300, 271.95), nil, nil, nil, nil, nil)
	self.alltimeTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_2, self.alltimeTitleLabel)

	self.catPanel = ccui.Layout:create()
	setValue(self.catPanel, "TXN_catPanel", 331, cc.size(640, 765), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	self.catPanel:setScale(0.86)
	addChildForPre(self.rootPanel_1, self.catPanel)
	self.catPanel_2 = self.catPanel

	self.luckycat = cc.Sprite:create()
	setValue(self.luckycat, "luckycat", 30, cc.size(682, 371), cc.p(320, 382.5), nil, nil, nil, nil, nil)
	self.luckycat:setTexture("ccs/BigImages/background/newactivity_mao.webp")
	addChildForPre(self.catPanel_2, self.luckycat)

	self.infolab1 = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.infolab1, "infolab1", 33, cc.size(91, 23), cc.p(253.0442, 411.9435), cc.p(0, 0.5), nil, nil, nil, nil)
	self.infolab1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.catPanel_2, self.infolab1)

	self.infolab2 = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.infolab2, "infolab2", 34, cc.size(91, 23), cc.p(253.0442, 363.229), cc.p(0, 0.5), nil, nil, nil, nil)
	self.infolab2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.catPanel_2, self.infolab2)

	self.numPanel = ccui.Layout:create()
	setValue(self.numPanel, "TXN_numPanel", 65, cc.size(500, 135), cc.p(70.4, 124.704), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.numPanel)
	self.numPanel_2 = self.numPanel

	self.Sprite_109 = cc.Sprite:create()
	setValue(self.Sprite_109, "Sprite_109", 40, cc.size(646, 180), cc.p(253, 67.5), nil, nil, nil, nil, nil)
	self.Sprite_109:setScale(0.8)
	self.Sprite_109:setTexture("ccs/BigImages/background/newactivity_kuang2.webp")
	addChildForPre(self.numPanel_2, self.Sprite_109)

	self.lightSprite1 = cc.Sprite:create()
	setValue(self.lightSprite1, "lightSprite1", 66, cc.size(46, 46), cc.p(60, 70.4999), nil, nil, nil, nil, nil)
	self.lightSprite1:setScale(0.8)
	self.lightSprite1:setTexture("Default/Sprite.png")
	addChildForPre(self.numPanel_2, self.lightSprite1)

	self.lightSprite2 = cc.Sprite:create()
	setValue(self.lightSprite2, "lightSprite2", 67, cc.size(46, 46), cc.p(155.5, 70.4999), nil, nil, nil, nil, nil)
	self.lightSprite2:setScale(0.8)
	self.lightSprite2:setTexture("Default/Sprite.png")
	addChildForPre(self.numPanel_2, self.lightSprite2)

	self.lightSprite3 = cc.Sprite:create()
	setValue(self.lightSprite3, "lightSprite3", 68, cc.size(46, 46), cc.p(251.9999, 70.4999), nil, nil, nil, nil, nil)
	self.lightSprite3:setScale(0.8)
	self.lightSprite3:setTexture("Default/Sprite.png")
	addChildForPre(self.numPanel_2, self.lightSprite3)

	self.lightSprite4 = cc.Sprite:create()
	setValue(self.lightSprite4, "lightSprite4", 69, cc.size(46, 46), cc.p(347, 70.4999), nil, nil, nil, nil, nil)
	self.lightSprite4:setScale(0.8)
	self.lightSprite4:setTexture("Default/Sprite.png")
	addChildForPre(self.numPanel_2, self.lightSprite4)

	self.lightSprite5 = cc.Sprite:create()
	setValue(self.lightSprite5, "lightSprite5", 70, cc.size(46, 46), cc.p(442.55, 70.4999), nil, nil, nil, nil, nil)
	self.lightSprite5:setScale(0.8)
	self.lightSprite5:setTexture("Default/Sprite.png")
	addChildForPre(self.numPanel_2, self.lightSprite5)

	self.lockPanel = ccui.Layout:create()
	setValue(self.lockPanel, "TXN_lockPanel", 83, cc.size(500, 135), cc.p(70.4, 124.704), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.lockPanel)
	self.lockPanel_2 = self.lockPanel

	self.lockSprite5 = cc.Sprite:create()
	setValue(self.lockSprite5, "lockSprite5", 73, cc.size(119, 46), cc.p(60, 70.4998), nil, nil, nil, nil, nil)
	self.lockSprite5:setScale(0.8)
	self.lockSprite5:setSpriteFrame("ccs/UiImages/common/camp_img_suo.png")
	addChildForPre(self.lockPanel_2, self.lockSprite5)

	self.lockSprite4 = cc.Sprite:create()
	setValue(self.lockSprite4, "lockSprite4", 74, cc.size(119, 46), cc.p(155.5, 70.4998), nil, nil, nil, nil, nil)
	self.lockSprite4:setScale(0.8)
	self.lockSprite4:setSpriteFrame("ccs/UiImages/common/camp_img_suo.png")
	addChildForPre(self.lockPanel_2, self.lockSprite4)

	self.lockSprite3 = cc.Sprite:create()
	setValue(self.lockSprite3, "lockSprite3", 75, cc.size(119, 46), cc.p(250.9998, 70.4998), nil, nil, nil, nil, nil)
	self.lockSprite3:setScale(0.8)
	self.lockSprite3:setSpriteFrame("ccs/UiImages/common/camp_img_suo.png")
	addChildForPre(self.lockPanel_2, self.lockSprite3)

	self.lockSprite2 = cc.Sprite:create()
	setValue(self.lockSprite2, "lockSprite2", 76, cc.size(119, 46), cc.p(347, 70.4998), nil, nil, nil, nil, nil)
	self.lockSprite2:setScaleX(0.8)
	self.lockSprite2:setScaleY(0.79)
	self.lockSprite2:setSpriteFrame("ccs/UiImages/common/camp_img_suo.png")
	addChildForPre(self.lockPanel_2, self.lockSprite2)

	self.lockSprite1 = cc.Sprite:create()
	setValue(self.lockSprite1, "lockSprite1", 77, cc.size(119, 46), cc.p(442.55, 70.4998), nil, nil, nil, nil, nil)
	self.lockSprite1:setScale(0.8)
	self.lockSprite1:setSpriteFrame("ccs/UiImages/common/camp_img_suo.png")
	addChildForPre(self.lockPanel_2, self.lockSprite1)

	self.btnPanel = ccui.Layout:create()
	setValue(self.btnPanel, "TXN_btnPanel", 338, cc.size(200, 100), cc.p(320, 41.952), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.btnPanel)
	self.btnPanel_2 = self.btnPanel

	self.Image_25 = ccui.ImageView:create()
	setValue(self.Image_25, "Image_25", 88, cc.size(100, 100), cc.p(52.26, 108.92), nil, nil, nil, nil, nil)
	self.Image_25:setScale(0.5)
	self.Image_25:loadTexture("ccs/UiImages/icon/zuanshi.png", 1)
	addChildForPre(self.btnPanel_2, self.Image_25)

	self.diamondButton = ccui.Button:create()
	setValue(self.diamondButton, "diamondButton", 85, cc.size(153, 64), cc.p(96.84, 66.05), nil, nil, nil, nil, false)
	self.diamondButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.diamondButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.diamondButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.diamondButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.diamondButton:setTitleText([[Button]])
	self.diamondButton:setTitleFontSize(24)
	self.diamondButton:setTitleFontName(getFont())
	setClickEvent(self, self.diamondButton, "diamondButton")
	addChildForPre(self.btnPanel_2, self.diamondButton)

	self.priceLable = createLabel({text=[[100000]], font=getFont(), size=25})
	setValue(self.priceLable, "priceLable", 89, cc.size(83, 29), cc.p(81.02, 110.96), cc.p(0, 0.5), nil, nil, nil, nil)
	self.priceLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.btnPanel_2, self.priceLable)

	self.vipGradeLabel = createLabel({text=[[Text Label]], font=getFont(), size=30})
	setValue(self.vipGradeLabel, "vipGradeLabel", 378, cc.size(136, 34), cc.p(100, 25), nil, cc.c4b(255, 0, 0, 255), nil, nil, nil)
	self.vipGradeLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.vipGradeLabel:setColor(cc.c4b(255, 0, 0, 255))
	addChildForPre(self.btnPanel_2, self.vipGradeLabel)

	self.Image = ccui.ImageView:create()
	setValue(self.Image, "TXN_Image", 42, cc.size(640, 90), cc.p(320, -145), nil, nil, nil, nil, false)
	self.Image:loadTexture("ccs/UiImages/newactivity/newactivity_img_jinbi.png", 1)
	self.Image:setScale9Enabled(true)
	self.Image:setCapInsets(cc.rect(0, 0, 640, 90))
	addChildForPre(self.rootPanel_1, self.Image)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/BigImages/background/egg1.jpg",
	"ccs/BigImages/background/newactivity_bag02.jpg",
	"ccs/plist/newactivity.plist",
	"ccs/plist/mainUiFeeling.plist",
	"ccs/plist/login.plist",
	"ccs/BigImages/background/newactivity_mao.png",
	"ccs/BigImages/background/newactivity_kuang2.png",
	"Default/Sprite.png",
	"ccs/plist/common.plist",
	"ccs/plist/icon.plist",
	"ccs/plist/image9.plist",
}

return _M
