-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 711, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 712, cc.size(470, 550), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "AXY_Panel", 779, cc.size(470, 550), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Panel)
	self.Panel_2 = self.Panel

	self.buttonPanel = ccui.Layout:create()
	setValue(self.buttonPanel, "buttonPanel", 798, cc.size(470, 50), cc.p(0, 489.5), nil, nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.buttonPanel)
	self.buttonPanel_3 = self.buttonPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 883, cc.size(470, 50), cc.p(235, 25), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/commonBg/common_img_diban00.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(0, 0, 640, 62))
	addChildForPre(self.buttonPanel_3, self.bgImage)

	self.purpleButton = ccui.Button:create()
	setValue(self.purpleButton, "purpleButton", 880, cc.size(124, 46), cc.p(84.6, 25), nil, nil, nil, nil, false)
	self.purpleButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.purpleButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.purpleButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.purpleButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.purpleButton:setTitleText([[Button]])
	self.purpleButton:setTitleFontSize(24)
	self.purpleButton:setTitleFontName(getFont())
	setClickEvent(self, self.purpleButton, "purpleButton")
	addChildForPre(self.buttonPanel_3, self.purpleButton)

	self.orangeButton = ccui.Button:create()
	setValue(self.orangeButton, "orangeButton", 882, cc.size(124, 46), cc.p(220.9, 25), nil, nil, nil, nil, false)
	self.orangeButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.orangeButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.orangeButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.orangeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.orangeButton:setTitleText([[Button]])
	self.orangeButton:setTitleFontSize(24)
	self.orangeButton:setTitleFontName(getFont())
	setClickEvent(self, self.orangeButton, "orangeButton")
	addChildForPre(self.buttonPanel_3, self.orangeButton)

	self.listviewPanel = ccui.Layout:create()
	setValue(self.listviewPanel, "listviewPanel", 780, cc.size(470, 486), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.listviewPanel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/common.plist",
}

return _M
