-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 61, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 62, cc.size(640, 960), cc.p(-0.0001, 0), nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "AXY_Panel", 676, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Panel)
	self.Panel_2 = self.Panel

	self.mainPanel = ccui.Layout:create()
	setValue(self.mainPanel, "WIX_mainPanel", 63, cc.size(640, 765), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	setBgColor(self.mainPanel, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.Panel_2, self.mainPanel)
	self.mainPanel_3 = self.mainPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "WIX_bgImage", 6, cc.size(640, 765), cc.p(320, 382.5), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/BigImages/background/newactivity_bag02.webp")
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(30, 30, 580, 705))
	addChildForPre(self.mainPanel_3, self.bgImage)

	self.labelPanel = ccui.Layout:create()
	setValue(self.labelPanel, "TXN_labelPanel", 656, cc.size(640, 255), cc.p(320, 566.1), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.mainPanel_3, self.labelPanel)
	self.labelPanel_4 = self.labelPanel

	self.labelImage = ccui.ImageView:create()
	setValue(self.labelImage, "labelImage", 657, cc.size(640, 255), cc.p(320, 127.5), nil, nil, nil, nil, false)
	self.labelImage:loadTexture("ccs/UiImages/newactivity/newactivity_9dia.png", 1)
	self.labelImage:setScale9Enabled(true)
	self.labelImage:setCapInsets(cc.rect(50, 50, 31, 146))
	addChildForPre(self.labelPanel_4, self.labelImage)

	self.rewardInfoButton = ccui.Button:create()
	setValue(self.rewardInfoButton, "rewardInfoButton", 460, cc.size(133, 114), cc.p(549.9746, 74.5656), nil, nil, nil, nil, nil)
	self.rewardInfoButton:loadTextureNormal("ccs/UiImages/battle/icon_box02.png", 1)
	self.rewardInfoButton:loadTexturePressed("ccs/UiImages/battle/icon_box01.png", 1)
	self.rewardInfoButton:loadTextureDisabled("ccs/UiImages/battle/icon_box01.png", 1)
	self.rewardInfoButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.rewardInfoButton:setTitleText([[]])
	self.rewardInfoButton:setTitleFontSize(24)
	self.rewardInfoButton:setTitleFontName(getFont())
	setClickEvent(self, self.rewardInfoButton, "rewardInfoButton")
	addChildForPre(self.labelPanel_4, self.rewardInfoButton)

	self.active_time = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.active_time, "active_time", 458, cc.size(109, 28), cc.p(161.1555, 197.2103), cc.p(0, 0.5), nil, nil, nil, nil)
	self.active_time:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_4, self.active_time)

	self.activityDescLabel = createLabel({text=[[Text Label]], font=getFont(), size=24, dimensions = cc.size(400.0000, 100.0000)})
	setValue(self.activityDescLabel, "activityDescLabel", 459, cc.size(400, 100), cc.p(161.1555, 145.2623), cc.p(0, 1), nil, nil, nil, false)
	self.activityDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_4, self.activityDescLabel)

	self.timeLable = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.timeLable, "timeLable", 298, cc.size(91, 23), cc.p(-193.486, 86.5512), cc.p(1, 0.5), nil, nil, nil, nil)
	self.timeLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_4, self.timeLable)

	self.titlebg3 = ccui.ImageView:create()
	setValue(self.titlebg3, "titlebg3", 800, cc.size(130, 30), cc.p(95.0902, 46.0424), nil, nil, nil, nil, false)
	self.titlebg3:loadTexture("ccs/UiImages/newactivity/newactivity_chendi.png", 1)
	self.titlebg3:setScale9Enabled(true)
	self.titlebg3:setCapInsets(cc.rect(0, 0, 189, 40))
	addChildForPre(self.labelPanel_4, self.titlebg3)

	self.titlebg2 = ccui.ImageView:create()
	setValue(self.titlebg2, "titlebg2", 655, cc.size(130, 30), cc.p(92.8769, 194.8953), nil, nil, nil, nil, false)
	self.titlebg2:loadTexture("ccs/UiImages/newactivity/newactivity_chendi.png", 1)
	self.titlebg2:setScale9Enabled(true)
	self.titlebg2:setCapInsets(cc.rect(0, 0, 189, 40))
	addChildForPre(self.labelPanel_4, self.titlebg2)

	self.titlebg1 = ccui.ImageView:create()
	setValue(self.titlebg1, "titlebg1", 654, cc.size(130, 30), cc.p(92.8769, 129.8206), nil, nil, nil, nil, false)
	self.titlebg1:loadTexture("ccs/UiImages/newactivity/newactivity_chendi.png", 1)
	self.titlebg1:setScale9Enabled(true)
	self.titlebg1:setCapInsets(cc.rect(0, 0, 189, 40))
	addChildForPre(self.labelPanel_4, self.titlebg1)

	self.active_timeTitle = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.active_timeTitle, "active_timeTitle", 456, cc.size(109, 28), cc.p(92.8769, 196.2103), nil, nil, nil, nil, nil)
	self.active_timeTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_4, self.active_timeTitle)

	self.active_content = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.active_content, "active_content", 457, cc.size(109, 28), cc.p(92.8769, 131.2622), nil, nil, nil, nil, nil)
	self.active_content:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_4, self.active_content)

	self.timeLabledes = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.timeLabledes, "timeLabledes", 299, cc.size(91, 23), cc.p(-176.9487, 84.5966), cc.p(0, 0.5), nil, nil, nil, nil)
	self.timeLabledes:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_4, self.timeLabledes)

	self.numtitleLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.numtitleLabel, "numtitleLabel", 799, cc.size(109, 28), cc.p(95.09, 44.8163), nil, nil, nil, nil, nil)
	self.numtitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_4, self.numtitleLabel)

	self.num1Label = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.num1Label, "num1Label", 869, cc.size(109, 28), cc.p(217.8684, 46.5406), nil, nil, nil, nil, nil)
	self.num1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_4, self.num1Label)

	self.num2Label = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.num2Label, "num2Label", 870, cc.size(109, 28), cc.p(345.2497, 46.5409), nil, nil, nil, nil, nil)
	self.num2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_4, self.num2Label)

	self.rewardtitle = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.rewardtitle, "rewardtitle", 873, cc.size(109, 28), cc.p(550.995, 46.8923), nil, nil, nil, nil, nil)
	self.rewardtitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_4, self.rewardtitle)

	self.timeLabel1 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.timeLabel1, "timeLabel1", 878, cc.size(109, 28), cc.p(268.1139, 166.0797), cc.p(1, 0.5), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.timeLabel1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.timeLabel1:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.labelPanel_4, self.timeLabel1)

	self.timeLabel2 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.timeLabel2, "timeLabel2", 879, cc.size(109, 28), cc.p(277.5859, 166.0797), cc.p(0, 0.5), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.timeLabel2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.timeLabel2:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.labelPanel_4, self.timeLabel2)

	self.purplePanel = ccui.Layout:create()
	setValue(self.purplePanel, "HXY_purplePanel", 658, cc.size(320, 442), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.mainPanel_3, self.purplePanel)
	self.purplePanel_4 = self.purplePanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "HXY_bgImage", 339, cc.size(300, 340), cc.p(162.9847, 269.6201), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/newactivity/newactivity_purple.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(20, 50, 30, 4))
	addChildForPre(self.purplePanel_4, self.bgImage)

	self.tanksprite1 = cc.Sprite:create()
	setValue(self.tanksprite1, "XYN_tanksprite1", 338, cc.size(646, 878), cc.p(160, 282.88), nil, nil, nil, nil, nil)
	self.tanksprite1:setScale(0.4)
	self.tanksprite1:setTexture("ccs/BigImages/ship_main/4_dg_zl_bfly_zhu.webp")
	addChildForPre(self.purplePanel_4, self.tanksprite1)

	self.starPanel = ccui.Layout:create()
	setValue(self.starPanel, "TXN_starPanel", 659, cc.size(200, 50), cc.p(160, 380.1201), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.purplePanel_4, self.starPanel)
	self.starPanel_5 = self.starPanel

	self.WinStar_1 = cc.Sprite:create()
	setValue(self.WinStar_1, "WinStar_1", 44, cc.size(40, 38), cc.p(40, 26.4173), nil, nil, nil, nil, nil)
	self.WinStar_1:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.starPanel_5, self.WinStar_1)

	self.WinStar_2 = cc.Sprite:create()
	setValue(self.WinStar_2, "WinStar_2", 40, cc.size(40, 38), cc.p(80, 26.4173), nil, nil, nil, nil, nil)
	self.WinStar_2:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.starPanel_5, self.WinStar_2)

	self.WinStar_3 = cc.Sprite:create()
	setValue(self.WinStar_3, "WinStar_3", 42, cc.size(40, 38), cc.p(120, 26.4173), nil, nil, nil, nil, nil)
	self.WinStar_3:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.starPanel_5, self.WinStar_3)

	self.WinStar_4 = cc.Sprite:create()
	setValue(self.WinStar_4, "WinStar_4", 43, cc.size(40, 38), cc.p(160, 26.4173), nil, nil, nil, nil, nil)
	self.WinStar_4:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.starPanel_5, self.WinStar_4)

	self.diamondIcon = ccui.ImageView:create()
	setValue(self.diamondIcon, "BXN_diamondIcon", 300, cc.size(35, 35), cc.p(192.5499, 84.2955), nil, nil, nil, nil, nil)
	self.diamondIcon:loadTexture("ccs/UiImages/common/commonIcon_icon_ZuanShi_2.png", 1)
	addChildForPre(self.purplePanel_4, self.diamondIcon)

	self.priceLable1 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.priceLable1, "BXN_priceLable1", 301, cc.size(109, 28), cc.p(213.3056, 84.2955), cc.p(0, 0.5), nil, nil, nil, nil)
	self.priceLable1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.purplePanel_4, self.priceLable1)

	self.diamond1Button = ccui.Button:create()
	setValue(self.diamond1Button, "BXN_diamond1Button", 448, cc.size(153, 64), cc.p(242.0266, 38.6018), nil, nil, nil, nil, false)
	self.diamond1Button:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.diamond1Button:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.diamond1Button:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.diamond1Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.diamond1Button:setTitleText([[Button]])
	self.diamond1Button:setTitleFontSize(24)
	self.diamond1Button:setTitleFontName(getFont())
	setClickEvent(self, self.diamond1Button, "diamond1Button")
	addChildForPre(self.purplePanel_4, self.diamond1Button)

	self.free1Button = ccui.Button:create()
	setValue(self.free1Button, "BXN_free1Button", 447, cc.size(153, 64), cc.p(82.0536, 38.6018), nil, nil, nil, nil, false)
	self.free1Button:loadTextureNormal("ccs/UiImages/image9/common_btn_yellow_0.png", 1)
	self.free1Button:loadTexturePressed("ccs/UiImages/image9/common_btn_yellow_1.png", 1)
	self.free1Button:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.free1Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.free1Button:setTitleText([[Button]])
	self.free1Button:setTitleFontSize(24)
	self.free1Button:setTitleFontName(getFont())
	setClickEvent(self, self.free1Button, "free1Button")
	addChildForPre(self.purplePanel_4, self.free1Button)

	self.tankinfo1Button = ccui.Button:create()
	self.tankinfo1Button:setScale9Enabled(true)
	self.tankinfo1Button:setCapInsets(cc.rect(0, 0, 10, 10))
	self.tankinfo1Button:setContentSize(cc.size(300, 336))
	setValue(self.tankinfo1Button, "TXN_tankinfo1Button", 337, nil, cc.p(163.4219, 269.62), nil, nil, nil, nil, false)
	self.tankinfo1Button:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.tankinfo1Button:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.tankinfo1Button:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.tankinfo1Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tankinfo1Button:setTitleText([[]])
	self.tankinfo1Button:setTitleColor(cc.c3b(65, 65, 70))
	self.tankinfo1Button:setTitleFontSize(14)
	self.tankinfo1Button:setTitleFontName(getFont())
	setClickEvent(self, self.tankinfo1Button, "tankinfo1Button")
	addChildForPre(self.purplePanel_4, self.tankinfo1Button)

	self.purpleShipLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.purpleShipLabel, "XYN_purpleShipLabel", 871, cc.size(109, 28), cc.p(158.2641, 130.9102), nil, cc.c4b(210, 0, 255, 255), nil, nil, nil)
	self.purpleShipLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.purpleShipLabel:setColor(cc.c4b(210, 0, 255, 255))
	addChildForPre(self.purplePanel_4, self.purpleShipLabel)

	self.diamondPanel1 = ccui.Layout:create()
	setValue(self.diamondPanel1, "BXN_diamondPanel1", 874, cc.size(150, 43), cc.p(15.6308, 60.5706), nil, nil, nil, nil, nil)
	addChildForPre(self.purplePanel_4, self.diamondPanel1)
	self.diamondPanel1_5 = self.diamondPanel1

	self.diamondIconOnce = ccui.ImageView:create()
	setValue(self.diamondIconOnce, "BXN_diamondIconOnce", 1054, cc.size(35, 35), cc.p(15, 21.5), nil, nil, nil, nil, nil)
	self.diamondIconOnce:loadTexture("ccs/UiImages/common/commonIcon_icon_ZuanShi_2.png", 1)
	addChildForPre(self.diamondPanel1_5, self.diamondIconOnce)

	self.priceLableOnce1 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.priceLableOnce1, "BXN_priceLableOnce1", 1055, cc.size(109, 28), cc.p(34.5, 21.5), cc.p(0, 0.5), nil, nil, nil, nil)
	self.priceLableOnce1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.diamondPanel1_5, self.priceLableOnce1)

	self.freeLabel1 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.freeLabel1, "BXN_freeLabel1", 876, cc.size(109, 28), cc.p(87.9247, 84.017), nil, nil, nil, nil, nil)
	self.freeLabel1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.purplePanel_4, self.freeLabel1)

	self.orangePanel = ccui.Layout:create()
	setValue(self.orangePanel, "HXY_orangePanel", 660, cc.size(320, 442), cc.p(320, 0), nil, nil, nil, nil, nil)
	addChildForPre(self.mainPanel_3, self.orangePanel)
	self.orangePanel_4 = self.orangePanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "HXY_bgImage", 661, cc.size(300, 340), cc.p(160, 269.62), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/newactivity/newactivity_orange.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(20, 50, 30, 4))
	addChildForPre(self.orangePanel_4, self.bgImage)

	self.tanksprite2 = cc.Sprite:create()
	setValue(self.tanksprite2, "XYN_tanksprite2", 668, cc.size(646, 878), cc.p(160, 282.88), nil, nil, nil, nil, nil)
	self.tanksprite2:setScale(0.4)
	self.tanksprite2:setTexture("ccs/BigImages/ship_main/4_dg_zl_bfly_zhu.webp")
	addChildForPre(self.orangePanel_4, self.tanksprite2)

	self.starPanel = ccui.Layout:create()
	setValue(self.starPanel, "TXN_starPanel", 662, cc.size(200, 50), cc.p(160, 380.12), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.orangePanel_4, self.starPanel)
	self.starPanel_5 = self.starPanel

	self.WinStar_1_Copy = cc.Sprite:create()
	setValue(self.WinStar_1_Copy, "WinStar_1_Copy", 663, cc.size(40, 38), cc.p(20, 26.4173), nil, nil, nil, nil, nil)
	self.WinStar_1_Copy:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.starPanel_5, self.WinStar_1_Copy)

	self.WinStar_2_Copy = cc.Sprite:create()
	setValue(self.WinStar_2_Copy, "WinStar_2_Copy", 664, cc.size(40, 38), cc.p(59, 26.4173), nil, nil, nil, nil, nil)
	self.WinStar_2_Copy:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.starPanel_5, self.WinStar_2_Copy)

	self.WinStar_3_Copy = cc.Sprite:create()
	setValue(self.WinStar_3_Copy, "WinStar_3_Copy", 665, cc.size(40, 38), cc.p(100.0001, 26.4173), nil, nil, nil, nil, nil)
	self.WinStar_3_Copy:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.starPanel_5, self.WinStar_3_Copy)

	self.WinStar_4_Copy = cc.Sprite:create()
	setValue(self.WinStar_4_Copy, "WinStar_4_Copy", 666, cc.size(40, 38), cc.p(141.0001, 26.4173), nil, nil, nil, nil, nil)
	self.WinStar_4_Copy:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.starPanel_5, self.WinStar_4_Copy)

	self.WinStar_5_Copy = cc.Sprite:create()
	setValue(self.WinStar_5_Copy, "WinStar_5_Copy", 667, cc.size(40, 38), cc.p(182, 25), nil, nil, nil, nil, nil)
	self.WinStar_5_Copy:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.starPanel_5, self.WinStar_5_Copy)

	self.diamondIcon = ccui.ImageView:create()
	setValue(self.diamondIcon, "BXN_diamondIcon", 669, cc.size(35, 35), cc.p(192.5499, 84.2955), nil, nil, nil, nil, nil)
	self.diamondIcon:loadTexture("ccs/UiImages/common/commonIcon_icon_ZuanShi_2.png", 1)
	addChildForPre(self.orangePanel_4, self.diamondIcon)

	self.priceLable2 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.priceLable2, "BXN_priceLable2", 670, cc.size(109, 28), cc.p(209.3972, 84.2955), cc.p(0, 0.5), nil, nil, nil, nil)
	self.priceLable2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.orangePanel_4, self.priceLable2)

	self.diamond2Button = ccui.Button:create()
	setValue(self.diamond2Button, "BXN_diamond2Button", 671, cc.size(153, 64), cc.p(242.0266, 38.6018), nil, nil, nil, nil, false)
	self.diamond2Button:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.diamond2Button:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.diamond2Button:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.diamond2Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.diamond2Button:setTitleText([[Button]])
	self.diamond2Button:setTitleFontSize(24)
	self.diamond2Button:setTitleFontName(getFont())
	setClickEvent(self, self.diamond2Button, "diamond2Button")
	addChildForPre(self.orangePanel_4, self.diamond2Button)

	self.free2Button = ccui.Button:create()
	setValue(self.free2Button, "BXN_free2Button", 674, cc.size(153, 64), cc.p(82.0536, 38.6018), nil, nil, nil, nil, false)
	self.free2Button:loadTextureNormal("ccs/UiImages/image9/common_btn_yellow_0.png", 1)
	self.free2Button:loadTexturePressed("ccs/UiImages/image9/common_btn_yellow_1.png", 1)
	self.free2Button:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.free2Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.free2Button:setTitleText([[Button]])
	self.free2Button:setTitleFontSize(24)
	self.free2Button:setTitleFontName(getFont())
	setClickEvent(self, self.free2Button, "free2Button")
	addChildForPre(self.orangePanel_4, self.free2Button)

	self.tankinfo2Button = ccui.Button:create()
	self.tankinfo2Button:setScale9Enabled(true)
	self.tankinfo2Button:setCapInsets(cc.rect(0, 0, 10, 10))
	self.tankinfo2Button:setContentSize(cc.size(300, 322))
	setValue(self.tankinfo2Button, "TXN_tankinfo2Button", 675, nil, cc.p(160, 269.62), nil, nil, nil, nil, false)
	self.tankinfo2Button:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.tankinfo2Button:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.tankinfo2Button:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.tankinfo2Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tankinfo2Button:setTitleText([[]])
	self.tankinfo2Button:setTitleColor(cc.c3b(65, 65, 70))
	self.tankinfo2Button:setTitleFontSize(14)
	self.tankinfo2Button:setTitleFontName(getFont())
	setClickEvent(self, self.tankinfo2Button, "tankinfo2Button")
	addChildForPre(self.orangePanel_4, self.tankinfo2Button)

	self.orangeShipLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.orangeShipLabel, "XYN_orangeShipLabel", 872, cc.size(109, 28), cc.p(152.4009, 128.9563), nil, cc.c4b(255, 70, 0, 255), nil, nil, nil)
	self.orangeShipLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.orangeShipLabel:setColor(cc.c4b(255, 70, 0, 255))
	addChildForPre(self.orangePanel_4, self.orangeShipLabel)

	self.diamondPanel2 = ccui.Layout:create()
	setValue(self.diamondPanel2, "BXN_diamondPanel2", 875, cc.size(150, 43), cc.p(16, 61.88), nil, nil, nil, nil, nil)
	addChildForPre(self.orangePanel_4, self.diamondPanel2)
	self.diamondPanel2_5 = self.diamondPanel2

	self.diamondIconOnce = ccui.ImageView:create()
	setValue(self.diamondIconOnce, "BXN_diamondIconOnce", 672, cc.size(35, 35), cc.p(15, 21.5), nil, nil, nil, nil, nil)
	self.diamondIconOnce:loadTexture("ccs/UiImages/common/commonIcon_icon_ZuanShi_2.png", 1)
	addChildForPre(self.diamondPanel2_5, self.diamondIconOnce)

	self.priceLableOnce2 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.priceLableOnce2, "BXN_priceLableOnce2", 673, cc.size(109, 28), cc.p(34.5, 21.5), cc.p(0, 0.5), nil, nil, nil, nil)
	self.priceLableOnce2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.diamondPanel2_5, self.priceLableOnce2)

	self.freeLabel2 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.freeLabel2, "BXN_freeLabel2", 877, cc.size(109, 28), cc.p(85.9715, 84.017), nil, nil, nil, nil, nil)
	self.freeLabel2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.orangePanel_4, self.freeLabel2)

	self.titleImage = ccui.ImageView:create()
	setValue(self.titleImage, "TXN_titleImage", 700, cc.size(529, 86), cc.p(320, 719.1), nil, nil, nil, nil, false)
	self.titleImage:loadTexture("ccs/UiImages/newactivity/newactivity_title.png", 1)
	self.titleImage:setScale9Enabled(true)
	self.titleImage:setCapInsets(cc.rect(0, 0, 529, 86))
	addChildForPre(self.mainPanel_3, self.titleImage)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/BigImages/background/newactivity_bag02.jpg",
	"ccs/plist/newactivity.plist",
	"ccs/plist/battle.plist",
	"ccs/BigImages/ship_main/4_dg_zl_bfly_zhu.png",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
}

return _M
