-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 193, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "AXY_Panel", 167, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Panel)
	self.Panel_2 = self.Panel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "WIX_bgImage", 301, cc.size(640, 765), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/BigImages/background/newactivity_bag02.webp")
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(0, 0, 640, 765))
	addChildForPre(self.Panel_2, self.bgImage)

	self.Image4 = ccui.ImageView:create()
	setValue(self.Image4, "BXN_Image4", 194, cc.size(46, 46), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	self.Image4:loadTexture("Default/ImageFile.png")
	addChildForPre(self.Panel_2, self.Image4)

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "TXN_Panel", 13, cc.size(640, 765), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.Panel)
	self.Panel_3 = self.Panel

	self.Image_5 = ccui.ImageView:create()
	setValue(self.Image_5, "Image_5", 196, cc.size(600, 270), cc.p(320, 546.21), nil, nil, nil, nil, false)
	self.Image_5:loadTexture("ccs/UiImages/newactivity/newactivity_9dia.png", 1)
	self.Image_5:setScale9Enabled(true)
	self.Image_5:setCapInsets(cc.rect(30, 30, 76, 193))
	addChildForPre(self.Panel_3, self.Image_5)

	self.chargeButton = ccui.Button:create()
	setValue(self.chargeButton, "chargeButton", 43, cc.size(153, 64), cc.p(519.936, 466.65), nil, nil, nil, nil, false)
	self.chargeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_yellow_0.png", 1)
	self.chargeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_yellow_1.png", 1)
	self.chargeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.chargeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.chargeButton:setTitleText([[charge]])
	self.chargeButton:setTitleColor(cc.c3b(251, 251, 251))
	self.chargeButton:setTitleFontSize(24)
	self.chargeButton:setTitleFontName(getFont())
	setClickEvent(self, self.chargeButton, "chargeButton")
	addChildForPre(self.Panel_3, self.chargeButton)

	self.titleBg1 = ccui.ImageView:create()
	setValue(self.titleBg1, "titleBg1", 264, cc.size(130, 30), cc.p(105.8662, 623.5212), nil, nil, nil, nil, false)
	self.titleBg1:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.titleBg1:setScale9Enabled(true)
	self.titleBg1:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.Panel_3, self.titleBg1)

	self.titleBg2 = ccui.ImageView:create()
	setValue(self.titleBg2, "titleBg2", 265, cc.size(130, 30), cc.p(105.8662, 555.2833), nil, nil, nil, nil, false)
	self.titleBg2:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.titleBg2:setScale9Enabled(true)
	self.titleBg2:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.Panel_3, self.titleBg2)

	self.titleBg3 = ccui.ImageView:create()
	setValue(self.titleBg3, "titleBg3", 263, cc.size(130, 30), cc.p(105.8662, 468.9283), nil, nil, nil, nil, false)
	self.titleBg3:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.titleBg3:setScale9Enabled(true)
	self.titleBg3:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.Panel_3, self.titleBg3)

	self.active_content = createLabel({text=[[活动内容*]], font=getFont(), size=24})
	setValue(self.active_content, "active_content", 145, cc.size(105, 28), cc.p(105.8716, 553.6768), nil, nil, nil, nil, nil)
	self.active_content:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_3, self.active_content)

	self.active_timeTitle = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.active_timeTitle, "active_timeTitle", 44, cc.size(109, 28), cc.p(105.8716, 623.7505), nil, nil, nil, nil, nil)
	self.active_timeTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_3, self.active_timeTitle)

	self.active_time = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.active_time, "active_time", 45, cc.size(109, 28), cc.p(177.1581, 623.7505), cc.p(0, 0.5), nil, nil, nil, nil)
	self.active_time:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_3, self.active_time)

	self.chargenumtitle = createLabel({text=[[chargenumtitle]], font=getFont(), size=24})
	setValue(self.chargenumtitle, "chargenumtitle", 47, cc.size(157, 28), cc.p(105.8716, 468.1498), nil, nil, nil, nil, nil)
	self.chargenumtitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_3, self.chargenumtitle)

	self.chargenum = createLabel({text=[[chargenum]], font=getFont(), size=24,valign = 1})
	setValue(self.chargenum, "chargenum", 49, cc.size(120, 28), cc.p(253.9579, 470.0153), cc.p(0, 0.5), nil, nil, nil, nil)
	self.chargenum:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_3, self.chargenum)

	self.activityDescLabel = createLabel({text=[[Text Label]], font=getFont(), size=24, dimensions = cc.size(380.0000, 100.0000)})
	setValue(self.activityDescLabel, "activityDescLabel", 51, cc.size(380, 100), cc.p(177.1582, 567.3997), cc.p(0, 1), nil, nil, nil, false)
	self.activityDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_3, self.activityDescLabel)

	self.Image_1 = ccui.ImageView:create()
	setValue(self.Image_1, "Image_1", 50, cc.size(46, 38), cc.p(190.5981, 471.928), cc.p(0, 0.5), nil, nil, nil, nil)
	self.Image_1:loadTexture("ccs/UiImages/mainUiFeeling/mainUi_zuanshi.png", 1)
	addChildForPre(self.Panel_3, self.Image_1)

	self.alltimeLableTitle = createLabel({text=[[剩余时间:]], font=getFont(), size=24})
	setValue(self.alltimeLableTitle, "alltimeLableTitle", 368, cc.size(102, 28), cc.p(293.8625, 590.6113), cc.p(1, 0.5), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.alltimeLableTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.alltimeLableTitle:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.Panel_3, self.alltimeLableTitle)

	self.alltimeLable = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.alltimeLable, "alltimeLable", 369, cc.size(109, 28), cc.p(301.1359, 590.6082), cc.p(0, 0.5), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.alltimeLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.alltimeLable:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.Panel_3, self.alltimeLable)

	self.desLable1 = createLabel({text=[[Text Label]], font=getFont(), size=28})
	setValue(self.desLable1, "desLable1", 31, cc.size(127, 32), cc.p(-106.3235, 530.8166), nil, nil, nil, nil, nil)
	self.desLable1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_3, self.desLable1)

	self.desLable2 = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.desLable2, "desLable2", 32, cc.size(91, 23), cc.p(-103.319, 493.3162), nil, nil, nil, nil, nil)
	self.desLable2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_3, self.desLable2)

	self.Sprite7 = cc.Sprite:create()
	setValue(self.Sprite7, "TXN_Sprite7", 195, cc.size(529, 86), cc.p(314.0231, 709.8489), nil, nil, nil, nil, nil)
	self.Sprite7:setSpriteFrame("ccs/UiImages/newactivity/newactivity_title.png")
	addChildForPre(self.Panel_3, self.Sprite7)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/BigImages/background/newactivity_bag02.jpg",
	"Default/ImageFile.png",
	"ccs/plist/newactivity.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/mainUiFeeling.plist",
}

return _M
