-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 470, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "WIX_Panel", 13, cc.size(640, 765), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Panel)
	self.Panel_2 = self.Panel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "WIX_bgImage", 301, cc.size(640, 765), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/BigImages/background/newactivity_bag02.webp")
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(0, 0, 640, 765))
	addChildForPre(self.Panel_2, self.bgImage)

	self.Image_21 = ccui.ImageView:create()
	setValue(self.Image_21, "TXN_Image_21", 214, cc.size(325, 292), cc.p(538.9357, 42.594), nil, cc.c4b(243, 85, 85, 255), 51, nil, nil)
	self.Image_21:setScale(2)
	self.Image_21:loadTexture("ccs/UiImages/newactivity/newactivity_bakguang.png", 1)
	addChildForPre(self.Panel_2, self.Image_21)

	self.titleSprite = cc.Sprite:create()
	setValue(self.titleSprite, "TXN_titleSprite", 371, cc.size(529, 86), cc.p(313.792, 703.8), nil, nil, nil, nil, nil)
	self.titleSprite:setSpriteFrame("ccs/UiImages/newactivity/newactivity_title.png")
	addChildForPre(self.Panel_2, self.titleSprite)

	self.sprite = cc.Sprite:create()
	setValue(self.sprite, "TXN_sprite", 471, cc.size(588, 61), cc.p(320, 749.7), nil, nil, 127, nil, nil)
	self.sprite:setSpriteFrame("ccs/UiImages/newactivity/newactivity_ing_zhuangshi.png")
	addChildForPre(self.Panel_2, self.sprite)

	self.exhibitionImage = ccui.ImageView:create()
	setValue(self.exhibitionImage, "TXN_exhibitionImage", 57, cc.size(570, 367), cc.p(320, 267.75), nil, nil, nil, nil, nil)
	self.exhibitionImage:loadTexture("ccs/BigImages/background/newactivity_resetchargeBg.webp")
	addChildForPre(self.Panel_2, self.exhibitionImage)

	self.rechargeButton = ccui.Button:create()
	setValue(self.rechargeButton, "TXN_rechargeButton", 58, cc.size(153, 64), cc.p(320, 35.037), nil, nil, nil, nil, false)
	self.rechargeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_yellow_0.png", 1)
	self.rechargeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_yellow_1.png", 1)
	self.rechargeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.rechargeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.rechargeButton:setTitleText([[首充重置]])
	self.rechargeButton:setTitleFontSize(24)
	self.rechargeButton:setTitleFontName(getFont())
	setClickEvent(self, self.rechargeButton, "rechargeButton")
	addChildForPre(self.Panel_2, self.rechargeButton)

	self.labelPanel = ccui.Layout:create()
	setValue(self.labelPanel, "TXN_labelPanel", 224, cc.size(640, 253), cc.p(320, 413.1), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.labelPanel)
	self.labelPanel_3 = self.labelPanel

	self.labelbgImage = ccui.ImageView:create()
	setValue(self.labelbgImage, "labelbgImage", 225, cc.size(640, 253), cc.p(320, 126.5), nil, nil, nil, nil, false)
	self.labelbgImage:loadTexture("ccs/UiImages/newactivity/newactivity_9dia.png", 1)
	self.labelbgImage:setScale9Enabled(true)
	self.labelbgImage:setCapInsets(cc.rect(30, 30, 76, 193))
	addChildForPre(self.labelPanel_3, self.labelbgImage)

	self.bg1Image = ccui.ImageView:create()
	setValue(self.bg1Image, "bg1Image", 957, cc.size(130, 30), cc.p(99.4644, 207.0001), nil, nil, nil, nil, false)
	self.bg1Image:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.bg1Image:setScale9Enabled(true)
	self.bg1Image:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.labelPanel_3, self.bg1Image)

	self.bg2Image = ccui.ImageView:create()
	setValue(self.bg2Image, "bg2Image", 958, cc.size(130, 30), cc.p(99.4643, 126.3571), nil, nil, nil, nil, false)
	self.bg2Image:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.bg2Image:setScale9Enabled(true)
	self.bg2Image:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.labelPanel_3, self.bg2Image)

	self.alltimeLable = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.alltimeLable, "alltimeLable", 369, cc.size(109, 28), cc.p(327.5217, 167.2792), cc.p(0, 0.5), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.alltimeLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.alltimeLable:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.labelPanel_3, self.alltimeLable)

	self.alltimeLableTitle = createLabel({text=[[剩余时间:]], font=getFont(), size=24})
	setValue(self.alltimeLableTitle, "alltimeLableTitle", 368, cc.size(102, 28), cc.p(320.2466, 167.2797), cc.p(1, 0.5), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.alltimeLableTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.alltimeLableTitle:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.labelPanel_3, self.alltimeLableTitle)

	self.activityDescLabel = createLabel({text=[[Text Label]], font=getFont(), size=24, dimensions = cc.size(380.0000, 100.0000)})
	setValue(self.activityDescLabel, "activityDescLabel", 51, cc.size(380, 100), cc.p(187.136, 141.0475), cc.p(0, 1), nil, nil, nil, false)
	self.activityDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_3, self.activityDescLabel)

	self.active_time = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.active_time, "active_time", 45, cc.size(109, 28), cc.p(187.136, 204.9553), cc.p(0, 0.5), nil, nil, nil, nil)
	self.active_time:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_3, self.active_time)

	self.active_timeTitle = createLabel({text=[[Text Label]], font=getFont(), size=24,align = 1})
	setValue(self.active_timeTitle, "active_timeTitle", 44, cc.size(109, 28), cc.p(99.456, 204.9553), nil, nil, nil, nil, nil)
	self.active_timeTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_3, self.active_timeTitle)

	self.active_content = createLabel({text=[[活动内容*]], font=getFont(), size=24,align = 1})
	setValue(self.active_content, "active_content", 145, cc.size(105, 28), cc.p(99.456, 127.0566), nil, nil, nil, nil, nil)
	self.active_content:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_3, self.active_content)

	self.activetitleLabel = createLabel({text=[[Text Label]], font=getFont(), size=40})
	setValue(self.activetitleLabel, "activetitleLabel", 212, cc.size(182, 45), cc.p(319.9998, 291.8298), nil, nil, nil, nil, nil)
	self.activetitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_3, self.activetitleLabel)

	self.Image = ccui.ImageView:create()
	setValue(self.Image, "TXN_Image", 213, cc.size(640, 90), cc.p(320, -144.96), nil, nil, nil, nil, false)
	self.Image:loadTexture("ccs/UiImages/newactivity/newactivity_img_jinbi.png", 1)
	self.Image:setScale9Enabled(true)
	self.Image:setCapInsets(cc.rect(0, 0, 640, 90))
	addChildForPre(self.rootPanel_1, self.Image)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/BigImages/background/newactivity_bag02.jpg",
	"ccs/plist/newactivity.plist",
	"ccs/BigImages/background/newactivity_resetchargeBg.png",
	"ccs/plist/image9.plist",
	"ccs/plist/mainUiFeeling.plist",
}

return _M
