-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 61, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 62, cc.size(640, 960), cc.p(-0.0001, 0), nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bgPanel = ccui.Layout:create()
	setValue(self.bgPanel, "AXY_bgPanel", 481, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.bgPanel)
	self.bgPanel_2 = self.bgPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "WIX_bgImage", 482, cc.size(640, 765), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/BigImages/background/newactivity_bag02.webp")
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(0, 0, 640, 765))
	addChildForPre(self.bgPanel_2, self.bgImage)

	self.zhanJianPanel = ccui.Layout:create()
	setValue(self.zhanJianPanel, "TXN_zhanJianPanel", 483, cc.size(640, 765), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.zhanJianPanel)
	self.zhanJianPanel_2 = self.zhanJianPanel

	self.tankBG = ccui.ImageView:create()
	setValue(self.tankBG, "tankBG", 7, cc.size(753, 413), cc.p(320, 257.5755), nil, nil, nil, nil, nil)
	self.tankBG:setScale(0.85)
	self.tankBG:loadTexture("ccs/BigImages/background/newactivity_secretlabBg.webp")
	addChildForPre(self.zhanJianPanel_2, self.tankBG)

	self.tankinfoButton = ccui.Button:create()
	self.tankinfoButton:setScale9Enabled(true)
	self.tankinfoButton:setCapInsets(cc.rect(0, 0, 1, 1))
	self.tankinfoButton:setContentSize(cc.size(375, 228))
	setValue(self.tankinfoButton, "tankinfoButton", 337, nil, cc.p(320, 280.5255), nil, nil, 0, nil, false)
	self.tankinfoButton:loadTextureNormal("ccs/UiImages/image9/CommonPanel_img_txtbg_1.png", 1)
	self.tankinfoButton:loadTexturePressed("ccs/UiImages/image9/CommonPanel_img_txtbg_1.png", 1)
	self.tankinfoButton:loadTextureDisabled("ccs/UiImages/image9/CommonPanel_img_txtbg_1.png", 1)
	self.tankinfoButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tankinfoButton:setTitleText([[]])
	self.tankinfoButton:setTitleColor(cc.c3b(65, 65, 70))
	self.tankinfoButton:setTitleFontSize(14)
	self.tankinfoButton:setTitleFontName(getFont())
	setClickEvent(self, self.tankinfoButton, "tankinfoButton")
	addChildForPre(self.zhanJianPanel_2, self.tankinfoButton)

	self.bgImages = ccui.ImageView:create()
	setValue(self.bgImages, "bgImages", 653, cc.size(386, 28), cc.p(320, 182.25), nil, nil, nil, nil, false)
	self.bgImages:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.bgImages:setScale9Enabled(true)
	self.bgImages:setCapInsets(cc.rect(10, 10, 54, 8))
	addChildForPre(self.zhanJianPanel_2, self.bgImages)

	self.tanknameLable = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.tanknameLable, "tanknameLable", 654, cc.size(109, 28), cc.p(320, 182.25), nil, cc.c4b(253, 132, 53, 255), nil, nil, nil)
	self.tanknameLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.tanknameLable:setColor(cc.c4b(253, 132, 53, 255))
	addChildForPre(self.zhanJianPanel_2, self.tanknameLable)

	self.btnPanel = ccui.Layout:create()
	setValue(self.btnPanel, "TXN_btnPanel", 484, cc.size(640, 200), cc.p(320, 28.952), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.btnPanel)
	self.btnPanel_2 = self.btnPanel

	self.freeButton = ccui.Button:create()
	setValue(self.freeButton, "freeButton", 447, cc.size(153, 64), cc.p(149, 101.9907), nil, nil, nil, nil, false)
	self.freeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.freeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.freeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.freeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.freeButton:setTitleText([[Button]])
	self.freeButton:setTitleFontSize(24)
	self.freeButton:setTitleFontName(getFont())
	setClickEvent(self, self.freeButton, "freeButton")
	addChildForPre(self.btnPanel_2, self.freeButton)

	self.diamondButton = ccui.Button:create()
	setValue(self.diamondButton, "diamondButton", 448, cc.size(153, 64), cc.p(481.23, 101.9907), nil, nil, nil, nil, false)
	self.diamondButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.diamondButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.diamondButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.diamondButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.diamondButton:setTitleText([[Button]])
	self.diamondButton:setTitleFontSize(24)
	self.diamondButton:setTitleFontName(getFont())
	setClickEvent(self, self.diamondButton, "diamondButton")
	addChildForPre(self.btnPanel_2, self.diamondButton)

	self.diconSprite = ccui.ImageView:create()
	setValue(self.diconSprite, "diconSprite", 109, cc.size(100, 100), cc.p(107.1563, 146.9798), nil, nil, nil, nil, nil)
	self.diconSprite:setScale(0.5)
	self.diconSprite:loadTexture("ccs/UiImages/icon/zuanshi.png", 1)
	addChildForPre(self.btnPanel_2, self.diconSprite)

	self.priceLableOnce = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.priceLableOnce, "priceLableOnce", 110, cc.size(109, 28), cc.p(134.9643, 146.9797), cc.p(0, 0.5), nil, nil, nil, nil)
	self.priceLableOnce:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.btnPanel_2, self.priceLableOnce)

	self.numsLab = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.numsLab, "numsLab", 108, cc.size(109, 28), cc.p(148.0375, 146.9793), nil, nil, nil, nil, nil)
	self.numsLab:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.btnPanel_2, self.numsLab)

	self.timeLabledes = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.timeLabledes, "timeLabledes", 299, cc.size(109, 28), cc.p(159.5333, 175.9752), cc.p(0, 0.5), cc.c4b(255, 31, 13, 255), nil, nil, nil)
	self.timeLabledes:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.timeLabledes:setColor(cc.c4b(255, 31, 13, 255))
	addChildForPre(self.btnPanel_2, self.timeLabledes)

	self.timeLable = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.timeLable, "timeLable", 298, cc.size(109, 28), cc.p(159.5264, 175.9752), cc.p(1, 0.5), cc.c4b(255, 31, 13, 255), nil, nil, nil)
	self.timeLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.timeLable:setColor(cc.c4b(255, 31, 13, 255))
	addChildForPre(self.btnPanel_2, self.timeLable)

	self.diamondIcon = ccui.ImageView:create()
	setValue(self.diamondIcon, "diamondIcon", 300, cc.size(100, 100), cc.p(437.9725, 146.9798), nil, nil, nil, nil, nil)
	self.diamondIcon:setScale(0.5)
	self.diamondIcon:loadTexture("ccs/UiImages/icon/zuanshi.png", 1)
	addChildForPre(self.btnPanel_2, self.diamondIcon)

	self.priceLable = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.priceLable, "priceLable", 301, cc.size(109, 28), cc.p(462.6114, 146.9798), cc.p(0, 0.5), nil, nil, nil, nil)
	self.priceLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.btnPanel_2, self.priceLable)

	self.mainPanel = ccui.Layout:create()
	setValue(self.mainPanel, "TXN_mainPanel", 63, cc.size(600, 245), cc.p(18.82, 438.35), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.mainPanel)
	self.mainPanel_2 = self.mainPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 6, cc.size(630, 253), cc.p(300, 122.5), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/newactivity/newactivity_9dia.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(30, 30, 71, 186))
	addChildForPre(self.mainPanel_2, self.bgImage)

	self.bg1Image = ccui.ImageView:create()
	setValue(self.bg1Image, "bg1Image", 99, cc.size(130, 30), cc.p(113.84, 198.97), nil, nil, nil, nil, false)
	self.bg1Image:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.bg1Image:setScale9Enabled(true)
	self.bg1Image:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.mainPanel_2, self.bg1Image)

	self.bg2Image = ccui.ImageView:create()
	setValue(self.bg2Image, "bg2Image", 100, cc.size(130, 30), cc.p(113.84, 124.43), nil, nil, nil, nil, false)
	self.bg2Image:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.bg2Image:setScale9Enabled(true)
	self.bg2Image:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.mainPanel_2, self.bg2Image)

	self.bg3Image = ccui.ImageView:create()
	setValue(self.bg3Image, "bg3Image", 101, cc.size(130, 30), cc.p(113.82, 55.811), nil, nil, nil, nil, false)
	self.bg3Image:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.bg3Image:setScale9Enabled(true)
	self.bg3Image:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.mainPanel_2, self.bg3Image)

	self.Image_59 = ccui.ImageView:create()
	setValue(self.Image_59, "Image_59", 94, cc.size(529, 86), cc.p(300, 271.95), nil, nil, nil, nil, nil)
	self.Image_59:loadTexture("ccs/UiImages/newactivity/newactivity_title.png", 1)
	addChildForPre(self.mainPanel_2, self.Image_59)

	self.newactivity = cc.Sprite:create()
	setValue(self.newactivity, "TXN_newactivity", 93, cc.size(588, 61), cc.p(300, 313.6), nil, nil, nil, nil, nil)
	self.newactivity:setSpriteFrame("ccs/UiImages/newactivity/newactivity_ing_zhuangshi.png")
	addChildForPre(self.mainPanel_2, self.newactivity)

	self.UpdesLabel = createLabel({text=[[Text Label]], font=getFont(), size=30})
	setValue(self.UpdesLabel, "UpdesLabel", 450, cc.size(136, 34), cc.p(1147.0759, 324.4045), nil, nil, nil, nil, nil)
	self.UpdesLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.mainPanel_2, self.UpdesLabel)

	self.TitleLable = createLabel({text=[[Text Label]], font=getFont(), size=40})
	setValue(self.TitleLable, "TitleLable", 452, cc.size(182, 45), cc.p(300, 271.95), nil, nil, nil, nil, nil)
	self.TitleLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.mainPanel_2, self.TitleLable)

	self.active_time = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.active_time, "active_time", 458, cc.size(109, 28), cc.p(199.55, 199.39), cc.p(0, 0.5), nil, nil, nil, nil)
	self.active_time:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.mainPanel_2, self.active_time)

	self.activityDescLabel = createLabel({text=[[Text Label]], font=getFont(), size=24, dimensions = cc.size(300.0000, 100.0000)})
	setValue(self.activityDescLabel, "activityDescLabel", 459, cc.size(300, 100), cc.p(199.8, 141.4385), cc.p(0, 1), nil, nil, nil, false)
	self.activityDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.mainPanel_2, self.activityDescLabel)

	self.active_timeTitle = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.active_timeTitle, "active_timeTitle", 456, cc.size(109, 28), cc.p(113.84, 198.97), nil, nil, nil, nil, nil)
	self.active_timeTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.mainPanel_2, self.active_timeTitle)

	self.active_content = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.active_content, "active_content", 457, cc.size(109, 28), cc.p(113.84, 124.43), nil, nil, nil, nil, nil)
	self.active_content:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.mainPanel_2, self.active_content)

	self.rewardInfoButton = ccui.Button:create()
	setValue(self.rewardInfoButton, "rewardInfoButton", 460, cc.size(103, 93), cc.p(388.98, 53.3), nil, nil, nil, nil, nil)
	self.rewardInfoButton:loadTextureNormal("ccs/UiImages/newactivity/newactivity_paihangbang.png", 1)
	self.rewardInfoButton:loadTexturePressed("ccs/UiImages/newactivity/newactivity_paihangbang.png", 1)
	self.rewardInfoButton:loadTextureDisabled("ccs/UiImages/newactivity/newactivity_paihangbang.png", 1)
	self.rewardInfoButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.rewardInfoButton:setTitleText([[]])
	self.rewardInfoButton:setTitleFontSize(24)
	self.rewardInfoButton:setTitleFontName(getFont())
	setClickEvent(self, self.rewardInfoButton, "rewardInfoButton")
	addChildForPre(self.mainPanel_2, self.rewardInfoButton)

	self.rankingListButton = ccui.Button:create()
	setValue(self.rankingListButton, "rankingListButton", 95, cc.size(103, 93), cc.p(523.06, 53.3), nil, nil, nil, nil, nil)
	self.rankingListButton:loadTextureNormal("ccs/UiImages/newactivity/newactivity_paihangbang.png", 1)
	self.rankingListButton:loadTexturePressed("ccs/UiImages/newactivity/newactivity_paihangbang.png", 1)
	self.rankingListButton:loadTextureDisabled("ccs/UiImages/newactivity/newactivity_paihangbang.png", 1)
	self.rankingListButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.rankingListButton:setTitleText([[]])
	self.rankingListButton:setTitleColor(cc.c3b(65, 65, 70))
	self.rankingListButton:setTitleFontSize(14)
	self.rankingListButton:setTitleFontName(getFont())
	setClickEvent(self, self.rankingListButton, "rankingListButton")
	addChildForPre(self.mainPanel_2, self.rankingListButton)

	self.rankingTtile = createLabel({text=[[Text Label]], font=getFont(), size=26})
	setValue(self.rankingTtile, "rankingTtile", 302, cc.size(118, 31), cc.p(1144.8894, 426.5273), nil, nil, nil, nil, nil)
	self.rankingTtile:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.mainPanel_2, self.rankingTtile)

	self.rankNumLable = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.rankNumLable, "rankNumLable", 303, cc.size(109, 28), cc.p(199.56, 53.9245), cc.p(0, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.rankNumLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rankNumLable:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.mainPanel_2, self.rankNumLable)

	self.rankLable = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.rankLable, "rankLable", 304, cc.size(109, 28), cc.p(113.82, 55.811), nil, nil, nil, nil, nil)
	self.rankLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.mainPanel_2, self.rankLable)

	self.rankingLable = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.rankingLable, "rankingLable", 305, cc.size(91, 23), cc.p(-538.4396, 18.9525), nil, nil, nil, nil, nil)
	self.rankingLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.mainPanel_2, self.rankingLable)

	self.rankingnumLable = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.rankingnumLable, "rankingnumLable", 306, cc.size(91, 23), cc.p(-588.4197, 106.646), cc.p(0, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.rankingnumLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rankingnumLable:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.mainPanel_2, self.rankingnumLable)

	self.rankingRewardLable = createLabel({text=[[Text Label]], font=getFont(), size=24,valign = 1})
	setValue(self.rankingRewardLable, "rankingRewardLable", 79, cc.size(109, 28), cc.p(300, -303.3054), nil, cc.c4b(42, 142, 255, 255), nil, nil, nil)
	self.rankingRewardLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rankingRewardLable:setColor(cc.c4b(42, 142, 255, 255))
	addChildForPre(self.mainPanel_2, self.rankingRewardLable)

	self.alltimeLableTitle = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.alltimeLableTitle, "alltimeLableTitle", 223, cc.size(109, 28), cc.p(311.1, 165.73), cc.p(1, 0.5), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.alltimeLableTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.alltimeLableTitle:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.mainPanel_2, self.alltimeLableTitle)

	self.alltimeLable = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.alltimeLable, "alltimeLable", 262, cc.size(109, 28), cc.p(321.35, 165.73), cc.p(0, 0.5), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.alltimeLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.alltimeLable:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.mainPanel_2, self.alltimeLable)

	self.Image = ccui.ImageView:create()
	setValue(self.Image, "TXN_Image", 301, cc.size(640, 90), cc.p(320, -144.96), nil, nil, nil, nil, nil)
	self.Image:loadTexture("ccs/UiImages/newactivity/newactivity_img_jinbi.png", 1)
	addChildForPre(self.rootPanel_1, self.Image)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/BigImages/background/newactivity_bag02.jpg",
	"ccs/BigImages/background/newactivity_secretlabBg.jpg",
	"ccs/plist/image9.plist",
	"ccs/plist/mainUiFeeling.plist",
	"ccs/plist/icon.plist",
	"ccs/plist/newactivity.plist",
}

return _M
