-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 238, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "WIX_bgImage", 239, cc.size(640, 765), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/BigImages/background/newactivity_bag02.webp")
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(0, 0, 640, 765))
	addChildForPre(self.rootPanel_1, self.bgImage)

	self.Listview = ccui.Layout:create()
	setValue(self.Listview, "WIX_Listview", 42, cc.size(640, 282), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Listview)

	self.Sprite = cc.Sprite:create()
	setValue(self.Sprite, "TXN_Sprite", 240, cc.size(529, 86), cc.p(326.7654, 711.3958), nil, nil, nil, nil, nil)
	self.Sprite:setSpriteFrame("ccs/UiImages/newactivity/newactivity_title.png")
	addChildForPre(self.rootPanel_1, self.Sprite)

	self.newactivity = cc.Sprite:create()
	setValue(self.newactivity, "TXN_newactivity", 157, cc.size(588, 61), cc.p(320, 748.8), nil, nil, nil, nil, nil)
	self.newactivity:setSpriteFrame("ccs/UiImages/newactivity/newactivity_ing_zhuangshi.png")
	addChildForPre(self.rootPanel_1, self.newactivity)

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "TXN_Panel", 13, cc.size(640, 400), cc.p(320, 278.4), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Panel)
	self.Panel_2 = self.Panel

	self.bgImage2 = ccui.ImageView:create()
	setValue(self.bgImage2, "bgImage2", 241, cc.size(620, 400), cc.p(320, 200), nil, nil, nil, nil, false)
	self.bgImage2:loadTexture("ccs/UiImages/newactivity/newactivity_9dia.png", 1)
	self.bgImage2:setScale9Enabled(true)
	self.bgImage2:setCapInsets(cc.rect(30, 30, 76, 193))
	addChildForPre(self.Panel_2, self.bgImage2)

	self.Image_17 = ccui.ImageView:create()
	setValue(self.Image_17, "Image_17", 108, cc.size(582.4, 200), cc.p(320, 120), nil, cc.c4b(6, 6, 6, 255), 102, nil, false)
	self.Image_17:loadTexture("ccs/UiImages/newactivity/newactivity_9dib.png", 1)
	self.Image_17:setScale9Enabled(true)
	self.Image_17:setCapInsets(cc.rect(30, 30, 19, 112))
	addChildForPre(self.Panel_2, self.Image_17)

	self.Image3 = ccui.ImageView:create()
	setValue(self.Image3, "Image3", 1219, cc.size(130, 30), cc.p(111.7145, 335.1431), nil, nil, nil, nil, false)
	self.Image3:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.Image3:setScale9Enabled(true)
	self.Image3:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.Panel_2, self.Image3)

	self.Image1 = ccui.ImageView:create()
	setValue(self.Image1, "Image1", 1220, cc.size(130, 30), cc.p(111.7145, 266.0004), nil, nil, nil, nil, false)
	self.Image1:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.Image1:setScale9Enabled(true)
	self.Image1:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.Panel_2, self.Image1)

	self.chargeButton = ccui.Button:create()
	setValue(self.chargeButton, "chargeButton", 43, cc.size(153, 64), cc.p(-207.616, 195.2), nil, nil, nil, nil, false)
	self.chargeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_yellow_0.png", 1)
	self.chargeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_yellow_1.png", 1)
	self.chargeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.chargeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.chargeButton:setTitleText([[charge]])
	self.chargeButton:setTitleColor(cc.c3b(251, 251, 251))
	self.chargeButton:setTitleFontSize(24)
	self.chargeButton:setTitleFontName(getFont())
	setClickEvent(self, self.chargeButton, "chargeButton")
	addChildForPre(self.Panel_2, self.chargeButton)

	self.tanknameLable = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.tanknameLable, "tanknameLable", 380, cc.size(91, 23), cc.p(-217, 269.3784), nil, cc.c4b(255, 144, 0, 255), nil, nil, nil)
	self.tanknameLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.tanknameLable:setColor(cc.c4b(255, 144, 0, 255))
	addChildForPre(self.Panel_2, self.tanknameLable)

	self.active_content = createLabel({text=[[活动内容*]], font=getFont(), size=25,align = 1})
	setValue(self.active_content, "active_content", 145, cc.size(109, 29), cc.p(111.744, 264.6), nil, nil, nil, nil, nil)
	self.active_content:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_2, self.active_content)

	self.active_timeTitle = createLabel({text=[[Text Label]], font=getFont(), size=25,align = 1})
	setValue(self.active_timeTitle, "active_timeTitle", 44, cc.size(113, 29), cc.p(111.744, 338.64), nil, nil, nil, nil, nil)
	self.active_timeTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_2, self.active_timeTitle)

	self.active_time = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.active_time, "active_time", 45, cc.size(109, 28), cc.p(204.416, 336.84), cc.p(0, 0.5), nil, nil, nil, nil)
	self.active_time:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_2, self.active_time)

	self.activityDescLabel = createLabel({text=[[Text Label]], font=getFont(), size=24, dimensions = cc.size(350.0000, 100.0000)})
	setValue(self.activityDescLabel, "activityDescLabel", 51, cc.size(350, 100), cc.p(204.416, 279.08), cc.p(0, 1), nil, nil, nil, false)
	self.activityDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_2, self.activityDescLabel)

	self.tankimg = ccui.ImageView:create()
	setValue(self.tankimg, "tankimg", 119, cc.size(481, 222), cc.p(262.1733, 190.5765), cc.p(0.5, 1), nil, nil, nil, nil)
	self.tankimg:setScale(0.8)
	self.tankimg:setVisible(false)
	self.tankimg:loadTexture("ccs/UiImages/newactivity/newactivity_ship.png", 1)
	addChildForPre(self.Panel_2, self.tankimg)

	self.alltimeLableTitle = createLabel({text=[[剩余时间:]], font=getFont(), size=22})
	setValue(self.alltimeLableTitle, "alltimeLableTitle", 368, cc.size(94, 26), cc.p(313.9893, 300.4894), cc.p(1, 0.5), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.alltimeLableTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.alltimeLableTitle:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.Panel_2, self.alltimeLableTitle)

	self.alltimeLable = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.alltimeLable, "alltimeLable", 369, cc.size(109, 28), cc.p(323.2238, 300.4894), cc.p(0, 0.5), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.alltimeLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.alltimeLable:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.Panel_2, self.alltimeLable)

	self.getPaperButton = ccui.Button:create()
	setValue(self.getPaperButton, "getPaperButton", 152, cc.size(153, 64), cc.p(531.328, 67.16), nil, nil, nil, nil, false)
	self.getPaperButton:loadTextureNormal("ccs/UiImages/image9/common_btn_yellow_0.png", 1)
	self.getPaperButton:loadTexturePressed("ccs/UiImages/image9/common_btn_yellow_1.png", 1)
	self.getPaperButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.getPaperButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.getPaperButton:setTitleText([[Button]])
	self.getPaperButton:setTitleColor(cc.c3b(251, 251, 251))
	self.getPaperButton:setTitleFontSize(24)
	self.getPaperButton:setTitleFontName(getFont())
	setClickEvent(self, self.getPaperButton, "getPaperButton")
	addChildForPre(self.Panel_2, self.getPaperButton)

	self.activityDescLabel1 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.activityDescLabel1, "activityDescLabel1", 379, cc.size(109, 28), cc.p(-275.7468, 316.2281), cc.p(0, 0.5), nil, nil, nil, nil)
	self.activityDescLabel1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_2, self.activityDescLabel1)

	self.dayPanel = ccui.Layout:create()
	setValue(self.dayPanel, "dayPanel", 353, cc.size(640, 68), cc.p(320, 168), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.dayPanel)
	self.dayPanel_3 = self.dayPanel

	self.dayBgImage = ccui.ImageView:create()
	setValue(self.dayBgImage, "dayBgImage", 354, cc.size(567, 25.16), cc.p(320, 27.4244), nil, nil, nil, nil, false)
	self.dayBgImage:loadTexture("ccs/UiImages/battle/s9_img_expa.png", 1)
	self.dayBgImage:setScale9Enabled(true)
	self.dayBgImage:setCapInsets(cc.rect(10, 10, 225, 4))
	addChildForPre(self.dayPanel_3, self.dayBgImage)

	self.day7Image = ccui.ImageView:create()
	setValue(self.day7Image, "day7Image", 197, cc.size(80, 24), cc.p(557.312, 27.4244), nil, nil, nil, nil, false)
	self.day7Image:setVisible(false)
	self.day7Image:loadTexture("ccs/UiImages/battle/s9_img_expd.png", 1)
	self.day7Image:setScale9Enabled(true)
	self.day7Image:setCapInsets(cc.rect(0, 0, 245, 24))
	addChildForPre(self.dayPanel_3, self.day7Image)

	self.day6Image = ccui.ImageView:create()
	setValue(self.day6Image, "day6Image", 196, cc.size(80, 24), cc.p(478.272, 27.4244), nil, nil, nil, nil, false)
	self.day6Image:setVisible(false)
	self.day6Image:loadTexture("ccs/UiImages/battle/s9_img_expd.png", 1)
	self.day6Image:setScale9Enabled(true)
	self.day6Image:setCapInsets(cc.rect(0, 0, 245, 24))
	addChildForPre(self.dayPanel_3, self.day6Image)

	self.day5Image = ccui.ImageView:create()
	setValue(self.day5Image, "day5Image", 195, cc.size(80, 24), cc.p(399.232, 27.4244), nil, nil, nil, nil, false)
	self.day5Image:setVisible(false)
	self.day5Image:loadTexture("ccs/UiImages/battle/s9_img_expd.png", 1)
	self.day5Image:setScale9Enabled(true)
	self.day5Image:setCapInsets(cc.rect(0, 0, 245, 24))
	addChildForPre(self.dayPanel_3, self.day5Image)

	self.day4Image = ccui.ImageView:create()
	setValue(self.day4Image, "day4Image", 194, cc.size(80, 24), cc.p(320.192, 27.4244), nil, nil, nil, nil, false)
	self.day4Image:setVisible(false)
	self.day4Image:loadTexture("ccs/UiImages/battle/s9_img_expd.png", 1)
	self.day4Image:setScale9Enabled(true)
	self.day4Image:setCapInsets(cc.rect(0, 0, 245, 24))
	addChildForPre(self.dayPanel_3, self.day4Image)

	self.day3Image = ccui.ImageView:create()
	setValue(self.day3Image, "day3Image", 193, cc.size(80, 24), cc.p(241.088, 27.4244), nil, nil, nil, nil, false)
	self.day3Image:setVisible(false)
	self.day3Image:loadTexture("ccs/UiImages/battle/s9_img_expd.png", 1)
	self.day3Image:setScale9Enabled(true)
	self.day3Image:setCapInsets(cc.rect(0, 0, 245, 24))
	addChildForPre(self.dayPanel_3, self.day3Image)

	self.day2Image = ccui.ImageView:create()
	setValue(self.day2Image, "day2Image", 192, cc.size(80, 24), cc.p(162.048, 27.4244), nil, nil, nil, nil, false)
	self.day2Image:setVisible(false)
	self.day2Image:loadTexture("ccs/UiImages/battle/s9_img_expd.png", 1)
	self.day2Image:setScale9Enabled(true)
	self.day2Image:setCapInsets(cc.rect(0, 0, 245, 24))
	addChildForPre(self.dayPanel_3, self.day2Image)

	self.day1Image = ccui.ImageView:create()
	setValue(self.day1Image, "day1Image", 191, cc.size(80, 24), cc.p(83.008, 27.4244), nil, nil, nil, nil, false)
	self.day1Image:setVisible(false)
	self.day1Image:loadTexture("ccs/UiImages/battle/s9_img_expd.png", 1)
	self.day1Image:setScale9Enabled(true)
	self.day1Image:setCapInsets(cc.rect(0, 0, 245, 24))
	addChildForPre(self.dayPanel_3, self.day1Image)

	self.fen1Image = ccui.ImageView:create()
	setValue(self.fen1Image, "fen1Image", 501, cc.size(2, 18), cc.p(122.5, 27.4244), nil, nil, nil, nil, false)
	self.fen1Image:loadTexture("ccs/UiImages/newactivity/newactivity_fen_splitLine.png", 1)
	self.fen1Image:setScale9Enabled(true)
	self.fen1Image:setCapInsets(cc.rect(0, 0, 2, 27))
	addChildForPre(self.dayPanel_3, self.fen1Image)

	self.fen2Image = ccui.ImageView:create()
	setValue(self.fen2Image, "fen2Image", 502, cc.size(2, 18), cc.p(201.5, 27.4244), nil, nil, nil, nil, false)
	self.fen2Image:loadTexture("ccs/UiImages/newactivity/newactivity_fen_splitLine.png", 1)
	self.fen2Image:setScale9Enabled(true)
	self.fen2Image:setCapInsets(cc.rect(0, 0, 2, 27))
	addChildForPre(self.dayPanel_3, self.fen2Image)

	self.fen3Image = ccui.ImageView:create()
	setValue(self.fen3Image, "fen3Image", 503, cc.size(2, 18), cc.p(280.5, 27.4244), nil, nil, nil, nil, false)
	self.fen3Image:loadTexture("ccs/UiImages/newactivity/newactivity_fen_splitLine.png", 1)
	self.fen3Image:setScale9Enabled(true)
	self.fen3Image:setCapInsets(cc.rect(0, 0, 2, 27))
	addChildForPre(self.dayPanel_3, self.fen3Image)

	self.fen4Image = ccui.ImageView:create()
	setValue(self.fen4Image, "fen4Image", 504, cc.size(2, 18), cc.p(360, 27.4244), nil, nil, nil, nil, false)
	self.fen4Image:loadTexture("ccs/UiImages/newactivity/newactivity_fen_splitLine.png", 1)
	self.fen4Image:setScale9Enabled(true)
	self.fen4Image:setCapInsets(cc.rect(0, 0, 2, 27))
	addChildForPre(self.dayPanel_3, self.fen4Image)

	self.fen5Image = ccui.ImageView:create()
	setValue(self.fen5Image, "fen5Image", 505, cc.size(2, 18), cc.p(439, 27.4244), nil, nil, nil, nil, false)
	self.fen5Image:loadTexture("ccs/UiImages/newactivity/newactivity_fen_splitLine.png", 1)
	self.fen5Image:setScale9Enabled(true)
	self.fen5Image:setCapInsets(cc.rect(0, 0, 2, 27))
	addChildForPre(self.dayPanel_3, self.fen5Image)

	self.fen6Image = ccui.ImageView:create()
	setValue(self.fen6Image, "fen6Image", 506, cc.size(2, 18), cc.p(518, 27.4244), nil, nil, nil, nil, false)
	self.fen6Image:loadTexture("ccs/UiImages/newactivity/newactivity_fen_splitLine.png", 1)
	self.fen6Image:setScale9Enabled(true)
	self.fen6Image:setCapInsets(cc.rect(0, 0, 2, 27))
	addChildForPre(self.dayPanel_3, self.fen6Image)

	self.rewardPanel = ccui.Layout:create()
	setValue(self.rewardPanel, "rewardPanel", 226, cc.size(640, 200), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.rewardPanel)
	self.rewardPanel_3 = self.rewardPanel

	self.chargenumtitle = createLabel({text=[[Text Label]], font=getFont(), size=25,align = 1})
	setValue(self.chargenumtitle, "chargenumtitle", 46, cc.size(113, 29), cc.p(233.344, 120), nil, nil, nil, nil, nil)
	self.chargenumtitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rewardPanel_3, self.chargenumtitle)

	self.shipNameLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.shipNameLabel, "shipNameLabel", 2407, cc.size(109, 28), cc.p(379.136, 120), nil, nil, nil, nil, nil)
	self.shipNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rewardPanel_3, self.shipNameLabel)

	if PaperIconUi then 
 		self.paperIconUi = PaperIconUi.new() 
 	else 
		self.paperIconUi = BaseUi.new("ccs/ui/paper/PaperIconUi.lua")
 	end 
	setValue(self.paperIconUi, "paperIconUi", 435, nil, cc.p(297.6, 0), nil, nil, nil, nil, nil)
	self.paperIconUi:setScale(0.8)
	addChildForPre(self.rewardPanel_3, self.paperIconUi)

	if CommonItemCellIconUi then 
 		self.commonItemCellIconUi = CommonItemCellIconUi.new() 
 	else 
		self.commonItemCellIconUi = BaseUi.new("ccs/ui/commonDialog/CommonItemCellIconUi.lua")
 	end 
	setValue(self.commonItemCellIconUi, "commonItemCellIconUi", 501, nil, cc.p(198.4, 24), nil, nil, nil, nil, nil)
	self.commonItemCellIconUi:setScale(0.8)
	addChildForPre(self.rewardPanel_3, self.commonItemCellIconUi)

	self.haveSprite1 = ccui.ImageView:create()
	setValue(self.haveSprite1, "haveSprite1", 519, cc.size(89, 87), cc.p(237.6, 65), nil, nil, nil, nil, nil)
	self.haveSprite1:setScale(0.8)
	self.haveSprite1:loadTexture("ccs/UiImages/newactivity/newactivity_duigou.png", 1)
	addChildForPre(self.rewardPanel_3, self.haveSprite1)

	self.haveSprite2 = ccui.ImageView:create()
	setValue(self.haveSprite2, "haveSprite2", 520, cc.size(89, 87), cc.p(375, 65), nil, nil, nil, nil, nil)
	self.haveSprite2:setScale(0.8)
	self.haveSprite2:loadTexture("ccs/UiImages/newactivity/newactivity_duigou.png", 1)
	addChildForPre(self.rewardPanel_3, self.haveSprite2)

	self.paperIconButton = ccui.Button:create()
	self.paperIconButton:setScale9Enabled(true)
	self.paperIconButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.paperIconButton:setContentSize(cc.size(140.8, 82))
	setValue(self.paperIconButton, "paperIconButton", 551, nil, cc.p(377.4, 66), nil, nil, nil, nil, false)
	self.paperIconButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.paperIconButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.paperIconButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.paperIconButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.paperIconButton:setTitleText([[]])
	self.paperIconButton:setTitleColor(cc.c3b(65, 65, 70))
	self.paperIconButton:setTitleFontSize(14)
	self.paperIconButton:setTitleFontName(getFont())
	setClickEvent(self, self.paperIconButton, "paperIconButton")
	addChildForPre(self.rewardPanel_3, self.paperIconButton)

	self.commonItemButton = ccui.Button:create()
	self.commonItemButton:setScale9Enabled(true)
	self.commonItemButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.commonItemButton:setContentSize(cc.size(83.2, 84))
	setValue(self.commonItemButton, "commonItemButton", 552, nil, cc.p(237, 65), nil, nil, nil, nil, false)
	self.commonItemButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.commonItemButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.commonItemButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.commonItemButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.commonItemButton:setTitleText([[]])
	self.commonItemButton:setTitleColor(cc.c3b(65, 65, 70))
	self.commonItemButton:setTitleFontSize(14)
	self.commonItemButton:setTitleFontName(getFont())
	setClickEvent(self, self.commonItemButton, "commonItemButton")
	addChildForPre(self.rewardPanel_3, self.commonItemButton)

	self.cumulativeLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.cumulativeLabel, "cumulativeLabel", 381, cc.size(109, 28), cc.p(320, 198), nil, nil, nil, nil, nil)
	self.cumulativeLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_2, self.cumulativeLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/BigImages/background/newactivity_bag02.jpg",
	"ccs/plist/newactivity.plist",
	"ccs/plist/mainUiFeeling.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/battle.plist",
}

return _M
