-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 983, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "AXY_Panel", 2103, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Panel)
	self.Panel_2 = self.Panel

	self.oldPanel = ccui.Layout:create()
	setValue(self.oldPanel, "WIX_oldPanel", 2104, cc.size(640, 765), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.oldPanel)
	self.oldPanel_3 = self.oldPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "WIX_bgImage", 1, cc.size(640, 765), cc.p(320, 382.5), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/BigImages/background/newactivity_bag01.webp")
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(0, 0, 640, 765))
	addChildForPre(self.oldPanel_3, self.bgImage)

	self.rewardPanel = ccui.Layout:create()
	setValue(self.rewardPanel, "WIX_rewardPanel", 90, cc.size(640, 460), cc.p(320, 237.15), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.oldPanel_3, self.rewardPanel)

	self.Sprite2 = cc.Sprite:create()
	setValue(self.Sprite2, "TXN_Sprite2", 2131, cc.size(46, 46), cc.p(461.1505, 694.3277), nil, nil, nil, nil, nil)
	self.Sprite2:setVisible(false)
	self.Sprite2:setTexture("Default/Sprite.png")
	addChildForPre(self.oldPanel_3, self.Sprite2)

	self.Sprite4 = cc.Sprite:create()
	setValue(self.Sprite4, "TXN_Sprite4", 2133, cc.size(162, 148), cc.p(205.4245, 686.5807), nil, nil, nil, nil, nil)
	self.Sprite4:setSpriteFrame("ccs/UiImages/newactivity/newactivity_lihe01.png")
	addChildForPre(self.oldPanel_3, self.Sprite4)

	self.Sprite3 = cc.Sprite:create()
	setValue(self.Sprite3, "TXN_Sprite3", 2132, cc.size(46, 46), cc.p(202.2856, 567.1681), nil, nil, nil, nil, nil)
	self.Sprite3:setTexture("Default/Sprite.png")
	addChildForPre(self.oldPanel_3, self.Sprite3)

	self.Sprite5 = cc.Sprite:create()
	setValue(self.Sprite5, "TXN_Sprite5", 2134, cc.size(46, 46), cc.p(449.3732, 580.8127), nil, nil, nil, nil, nil)
	self.Sprite5:setTexture("Default/Sprite.png")
	addChildForPre(self.oldPanel_3, self.Sprite5)

	self.Sprite6 = cc.Sprite:create()
	setValue(self.Sprite6, "TXN_Sprite6", 2135, cc.size(588, 61), cc.p(320, 747.1755), nil, nil, nil, nil, nil)
	self.Sprite6:setSpriteFrame("ccs/UiImages/newactivity/newactivity_ing_zhuangshi.png")
	addChildForPre(self.oldPanel_3, self.Sprite6)

	self.Sprite1 = cc.Sprite:create()
	setValue(self.Sprite1, "BXN_Sprite1", 2136, cc.size(640, 8), cc.p(320, 0), nil, nil, nil, nil, nil)
	self.Sprite1:setSpriteFrame("ccs/UiImages/image9/common_img_jiemian02.png")
	addChildForPre(self.oldPanel_3, self.Sprite1)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/BigImages/background/newactivity_bag01.jpg",
	"Default/Sprite.png",
	"ccs/plist/newactivity.plist",
	"ccs/plist/image9.plist",
}

return _M
