-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 470, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "WIX_Panel", 13, cc.size(640, 765), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Panel)
	self.Panel_2 = self.Panel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "WIX_bgImage", 301, cc.size(640, 765), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/BigImages/background/newactivity_bag02.webp")
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(0, 0, 640, 765))
	addChildForPre(self.Panel_2, self.bgImage)

	self.sprite = cc.Sprite:create()
	setValue(self.sprite, "TXN_sprite", 471, cc.size(588, 61), cc.p(320, 749.7), nil, nil, 127, nil, nil)
	self.sprite:setSpriteFrame("ccs/UiImages/newactivity/newactivity_ing_zhuangshi.png")
	addChildForPre(self.Panel_2, self.sprite)

	self.rechargeButton = ccui.Button:create()
	setValue(self.rechargeButton, "TXN_rechargeButton", 58, cc.size(153, 64), cc.p(320, 35.037), nil, nil, nil, nil, false)
	self.rechargeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_yellow_0.png", 1)
	self.rechargeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_yellow_1.png", 1)
	self.rechargeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.rechargeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.rechargeButton:setTitleText([[首充重置]])
	self.rechargeButton:setTitleFontSize(24)
	self.rechargeButton:setTitleFontName(getFont())
	setClickEvent(self, self.rechargeButton, "rechargeButton")
	addChildForPre(self.Panel_2, self.rechargeButton)

	self.labelPanel = ccui.Layout:create()
	setValue(self.labelPanel, "TXN_labelPanel", 224, cc.size(640, 344.25), cc.p(320, 298.35), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.labelPanel)
	self.labelPanel_3 = self.labelPanel

	self.titleSprite = ccui.ImageView:create()
	setValue(self.titleSprite, "titleSprite", 76, cc.size(529, 86), cc.p(320, 421.7989), nil, nil, nil, nil, false)
	self.titleSprite:loadTexture("ccs/UiImages/newactivity/newactivity_title.png", 1)
	self.titleSprite:setScale9Enabled(true)
	self.titleSprite:setCapInsets(cc.rect(0, 0, 529, 86))
	addChildForPre(self.labelPanel_3, self.titleSprite)

	self.labelbgImage = ccui.ImageView:create()
	setValue(self.labelbgImage, "labelbgImage", 225, cc.size(403.2, 289.17), cc.p(435.2, 180.8595), nil, nil, nil, nil, false)
	self.labelbgImage:loadTexture("ccs/UiImages/newactivity/newactivity_9dia.png", 1)
	self.labelbgImage:setScale9Enabled(true)
	self.labelbgImage:setCapInsets(cc.rect(30, 30, 76, 193))
	addChildForPre(self.labelPanel_3, self.labelbgImage)

	self.activityDescLabel = createLabel({text=[[Text Label]], font=getFont(), size=24, dimensions = cc.size(279.0000, 200.0000)})
	setValue(self.activityDescLabel, "activityDescLabel", 51, cc.size(279, 200), cc.p(263.8834, 285.5), cc.p(0, 1), nil, nil, nil, false)
	self.activityDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_3, self.activityDescLabel)

	self.activetitleLabel = createLabel({text=[[Text Label]], font=getFont(), size=40})
	setValue(self.activetitleLabel, "activetitleLabel", 212, cc.size(182, 45), cc.p(320, 424.1956), nil, nil, nil, nil, nil)
	self.activetitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_3, self.activetitleLabel)

	self.girlSprite = cc.Sprite:create()
	setValue(self.girlSprite, "girlSprite", 77, cc.size(300, 457), cc.p(134.4, 172.55), nil, nil, nil, nil, nil)
	self.girlSprite:setScale(0.9)
	self.girlSprite:setTexture("ccs/BigImages/userHead/leaderHead_img_1.webp")
	addChildForPre(self.labelPanel_3, self.girlSprite)

	self.listViewPanel = ccui.Layout:create()
	setValue(self.listViewPanel, "TXN_listViewPanel", 78, cc.size(634, 175), cc.p(320, 179.95), cc.p(0.5, 0.5), nil, 153, nil, nil)
	addChildForPre(self.Panel_2, self.listViewPanel)
	self.listViewPanel_3 = self.listViewPanel

	self.listViewBgImage = ccui.ImageView:create()
	setValue(self.listViewBgImage, "AXY_listViewBgImage", 79, cc.size(621.32, 173.25), cc.p(317, 87.5), nil, nil, nil, nil, false)
	self.listViewBgImage:loadTexture("ccs/UiImages/newactivity/newactivity_9dib.png", 1)
	self.listViewBgImage:setScale9Enabled(true)
	self.listViewBgImage:setCapInsets(cc.rect(10, 10, 59, 152))
	addChildForPre(self.listViewPanel_3, self.listViewBgImage)

	self.listViewCell = ccui.Layout:create()
	setValue(self.listViewCell, "listViewCell", 694, cc.size(538.9, 145.25), cc.p(317, 87.5), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.listViewPanel_3, self.listViewCell)

	self.Image = ccui.ImageView:create()
	setValue(self.Image, "TXN_Image", 213, cc.size(640, 90), cc.p(320, -144.96), nil, nil, nil, nil, false)
	self.Image:loadTexture("ccs/UiImages/newactivity/newactivity_img_jinbi.png", 1)
	self.Image:setScale9Enabled(true)
	self.Image:setCapInsets(cc.rect(0, 0, 640, 90))
	addChildForPre(self.rootPanel_1, self.Image)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/BigImages/background/newactivity_bag02.jpg",
	"ccs/plist/newactivity.plist",
	"ccs/plist/image9.plist",
	"ccs/BigImages/userHead/leaderHead_img_1.png",
}

return _M
