-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 224, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 225, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonNewUi then 
 		self.commonNewUi = CommonNewUi.new() 
 	else 
		self.commonNewUi = BaseUi.new("ccs/ui/commonDialog/CommonNewUi.lua")
 	end 
	setValue(self.commonNewUi, "commonNewUi", 446, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonNewUi)

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "AXY_Panel", 226, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Panel)
	self.Panel_2 = self.Panel

	self.topBGImage = ccui.ImageView:create()
	setValue(self.topBGImage, "WIX_topBGImage", 256, cc.size(580, 250), cc.p(320, 691.2), nil, nil, nil, nil, false)
	self.topBGImage:loadTexture("ccs/UiImages/image9/common_s9_diban1.png", 1)
	self.topBGImage:setScale9Enabled(true)
	self.topBGImage:setCapInsets(cc.rect(10, 10, 4, 4))
	addChildForPre(self.Panel_2, self.topBGImage)

	self.logListView = ccui.Layout:create()
	setValue(self.logListView, "WIX_logListView", 285, cc.size(580, 250), cc.p(320, 691.2), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.logListView)

	self.topImage = ccui.ImageView:create()
	setValue(self.topImage, "WTX_topImage", 121, cc.size(640, 8), cc.p(317.76, 835.2), nil, nil, nil, nil, false)
	self.topImage:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	self.topImage:setScale9Enabled(true)
	self.topImage:setCapInsets(cc.rect(0, 0, 640, 8))
	addChildForPre(self.Panel_2, self.topImage)

	self.topPanel = ccui.Layout:create()
	setValue(self.topPanel, "TXN_topPanel", 252, cc.size(640, 300), cc.p(320, 681.6), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.topPanel)
	self.topPanel_3 = self.topPanel

	self.legionSprite = cc.Sprite:create()
	setValue(self.legionSprite, "legionSprite", 921, cc.size(100, 100), cc.p(320, 150), nil, nil, 89, nil, nil)
	self.legionSprite:setScale(1.5)
	self.legionSprite:setSpriteFrame("ccs/UiImages/icon/legion_01.png")
	addChildForPre(self.topPanel_3, self.legionSprite)

	self.notDonationLabel = createLabel({text=[[notDonationLabel]], font=getFont(), size=30,align = 1,valign = 1})
	setValue(self.notDonationLabel, "notDonationLabel", 80, cc.size(235, 34), cc.p(320, 150), nil, nil, nil, nil, nil)
	self.notDonationLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.topPanel_3, self.notDonationLabel)

	self.donatelabel = createLabel({text=[[xxxxx]], font=getFont(), size=24})
	setValue(self.donatelabel, "donatelabel", 122, cc.size(60, 28), cc.p(146.816, 330.42), cc.p(1, 0.5), cc.c4b(0, 255, 12, 255), nil, nil, nil)
	self.donatelabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.donatelabel:setColor(cc.c4b(0, 255, 12, 255))
	addChildForPre(self.topPanel_3, self.donatelabel)

	self.donateNumlabel = createLabel({text=[[9999]], font=getFont(), size=24})
	setValue(self.donateNumlabel, "donateNumlabel", 236, cc.size(53, 28), cc.p(155.712, 330.42), cc.p(0, 0.5), cc.c4b(0, 255, 12, 255), nil, nil, nil)
	self.donateNumlabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.donateNumlabel:setColor(cc.c4b(0, 255, 12, 255))
	addChildForPre(self.topPanel_3, self.donateNumlabel)

	self.buildlabel = createLabel({text=[[xxxxx]], font=getFont(), size=24})
	setValue(self.buildlabel, "buildlabel", 123, cc.size(60, 28), cc.p(457.9488, 330.4093), cc.p(1, 0.5), cc.c4b(0, 150, 255, 255), nil, nil, nil)
	self.buildlabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.buildlabel:setColor(cc.c4b(0, 150, 255, 255))
	addChildForPre(self.topPanel_3, self.buildlabel)

	self.buildNumlabel = createLabel({text=[[99999]], font=getFont(), size=24})
	setValue(self.buildNumlabel, "buildNumlabel", 237, cc.size(66, 28), cc.p(467.9948, 330.4093), cc.p(0, 0.5), cc.c4b(0, 150, 255, 255), nil, nil, nil)
	self.buildNumlabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.buildNumlabel:setColor(cc.c4b(0, 150, 255, 255))
	addChildForPre(self.topPanel_3, self.buildNumlabel)

	self.bottom1Panel = ccui.Layout:create()
	setValue(self.bottom1Panel, "BXN_bottom1Panel", 253, cc.size(640, 150), cc.p(320, 441.6), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.bottom1Panel)
	self.bottom1Panel_3 = self.bottom1Panel

	self.bottomBG1Panel = ccui.Layout:create()
	setValue(self.bottomBG1Panel, "bottomBG1Panel", 374, cc.size(270, 200), cc.p(320, 75), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.bottom1Panel_3, self.bottomBG1Panel)
	self.bottomBG1Panel_4 = self.bottomBG1Panel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 1019, cc.size(612, 167), cc.p(135, 100), nil, nil, nil, nil, nil)
	self.bgImage:loadTexture("ccs/UiImages/commonBg/common_img_ditiao.png", 1)
	addChildForPre(self.bottomBG1Panel_4, self.bgImage)

	self.frameImage = ccui.ImageView:create()
	setValue(self.frameImage, "frameImage", 1020, cc.size(462, 143), cc.p(53.001, 103), nil, nil, nil, nil, nil)
	self.frameImage:setScale(0.9)
	self.frameImage:loadTexture("ccs/UiImages/commonBg/battle_img_paihang04.png", 1)
	addChildForPre(self.bottomBG1Panel_4, self.frameImage)

	self.goldButton = ccui.Button:create()
	setValue(self.goldButton, "goldButton", 395, cc.size(153, 64), cc.p(532.8, 53.49), nil, nil, nil, nil, false)
	self.goldButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.goldButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.goldButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.goldButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.goldButton:setTitleText([[gold]])
	self.goldButton:setTitleFontSize(25)
	self.goldButton:setTitleFontName(getFont())
	setClickEvent(self, self.goldButton, "goldButton")
	addChildForPre(self.bottom1Panel_3, self.goldButton)

	self.constructionDesc1Label = createLabel({text=[[constructionDescLabel]], font=getFont(), size=24})
	setValue(self.constructionDesc1Label, "constructionDesc1Label", 396, cc.size(242, 28), cc.p(292.928, 88.14), nil, cc.c4b(0, 150, 255, 255), nil, nil, nil)
	self.constructionDesc1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.constructionDesc1Label:setColor(cc.c4b(0, 150, 255, 255))
	addChildForPre(self.bottom1Panel_3, self.constructionDesc1Label)

	self.contributionDesc1Label = createLabel({text=[[contributionDescLabel]], font=getFont(), size=24})
	setValue(self.contributionDesc1Label, "contributionDesc1Label", 397, cc.size(237, 28), cc.p(290.432, 52.095), nil, cc.c4b(0, 255, 12, 255), nil, nil, nil)
	self.contributionDesc1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.contributionDesc1Label:setColor(cc.c4b(0, 255, 12, 255))
	addChildForPre(self.bottom1Panel_3, self.contributionDesc1Label)

	self.IconGold = cc.Sprite:create()
	setValue(self.IconGold, "IconGold", 398, cc.size(100, 100), cc.p(109.952, 75), nil, nil, nil, nil, nil)
	self.IconGold:setSpriteFrame("ccs/UiImages/icon/jinbi.png")
	addChildForPre(self.bottom1Panel_3, self.IconGold)

	self.cost1Sprite = cc.Sprite:create()
	setValue(self.cost1Sprite, "cost1Sprite", 118, cc.size(100, 100), cc.p(492.992, 109.02), nil, nil, nil, nil, nil)
	self.cost1Sprite:setScale(0.35)
	self.cost1Sprite:setSpriteFrame("ccs/UiImages/icon/jinbi.png")
	addChildForPre(self.bottom1Panel_3, self.cost1Sprite)

	self.cost1Label = createLabel({text=[[5000]], font=getFont(), size=24})
	setValue(self.cost1Label, "cost1Label", 119, cc.size(53, 28), cc.p(520.192, 108.48), cc.p(0, 0.5), nil, nil, nil, nil)
	self.cost1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bottom1Panel_3, self.cost1Label)

	self.bottom2Panel = ccui.Layout:create()
	setValue(self.bottom2Panel, "BXN_bottom2Panel", 399, cc.size(640, 150), cc.p(320, 268.8), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.bottom2Panel)
	self.bottom2Panel_3 = self.bottom2Panel

	self.bottomBG2Panel = ccui.Layout:create()
	setValue(self.bottomBG2Panel, "bottomBG2Panel", 400, cc.size(270, 200), cc.p(320, 75), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.bottom2Panel_3, self.bottomBG2Panel)
	self.bottomBG2Panel_4 = self.bottomBG2Panel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 1021, cc.size(612, 167), cc.p(135, 100), nil, nil, nil, nil, nil)
	self.bgImage:loadTexture("ccs/UiImages/commonBg/common_img_ditiao.png", 1)
	addChildForPre(self.bottomBG2Panel_4, self.bgImage)

	self.frameImage = ccui.ImageView:create()
	setValue(self.frameImage, "frameImage", 1022, cc.size(462, 143), cc.p(53.001, 101.82), nil, nil, nil, nil, nil)
	self.frameImage:setScale(0.9)
	self.frameImage:loadTexture("ccs/UiImages/commonBg/battle_img_paihang04.png", 1)
	addChildForPre(self.bottomBG2Panel_4, self.frameImage)

	self.diamond1Button = ccui.Button:create()
	setValue(self.diamond1Button, "diamond1Button", 420, cc.size(153, 64), cc.p(532.8, 50.895), nil, nil, nil, nil, false)
	self.diamond1Button:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.diamond1Button:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.diamond1Button:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.diamond1Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.diamond1Button:setTitleText([[diamond1]])
	self.diamond1Button:setTitleFontSize(25)
	self.diamond1Button:setTitleFontName(getFont())
	setClickEvent(self, self.diamond1Button, "diamond1Button")
	addChildForPre(self.bottom2Panel_3, self.diamond1Button)

	self.constructionDesc2Label = createLabel({text=[[constructionDescLabel]], font=getFont(), size=24})
	setValue(self.constructionDesc2Label, "constructionDesc2Label", 421, cc.size(242, 28), cc.p(292.928, 90), nil, cc.c4b(0, 150, 255, 255), nil, nil, nil)
	self.constructionDesc2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.constructionDesc2Label:setColor(cc.c4b(0, 150, 255, 255))
	addChildForPre(self.bottom2Panel_3, self.constructionDesc2Label)

	self.contributionDesc2Label = createLabel({text=[[contributionDescLabel]], font=getFont(), size=24})
	setValue(self.contributionDesc2Label, "contributionDesc2Label", 422, cc.size(237, 28), cc.p(290.432, 52.095), nil, cc.c4b(0, 255, 12, 255), nil, nil, nil)
	self.contributionDesc2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.contributionDesc2Label:setColor(cc.c4b(0, 255, 12, 255))
	addChildForPre(self.bottom2Panel_3, self.contributionDesc2Label)

	self.IconDiamond = cc.Sprite:create()
	setValue(self.IconDiamond, "IconDiamond", 423, cc.size(100, 100), cc.p(109.952, 75), nil, nil, nil, nil, nil)
	self.IconDiamond:setSpriteFrame("ccs/UiImages/icon/zuanshi.png")
	addChildForPre(self.bottom2Panel_3, self.IconDiamond)

	self.cost2Sprite = cc.Sprite:create()
	setValue(self.cost2Sprite, "cost2Sprite", 116, cc.size(35, 35), cc.p(492.9964, 110.7896), nil, nil, nil, nil, nil)
	self.cost2Sprite:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainUi_zuanshi.png")
	addChildForPre(self.bottom2Panel_3, self.cost2Sprite)

	self.cost2Label = createLabel({text=[[50]], font=getFont(), size=24})
	setValue(self.cost2Label, "cost2Label", 117, cc.size(26, 28), cc.p(531.1991, 109.594), cc.p(0, 0.5), nil, nil, nil, nil)
	self.cost2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bottom2Panel_3, self.cost2Label)

	self.bottom3Panel = ccui.Layout:create()
	setValue(self.bottom3Panel, "BXN_bottom3Panel", 424, cc.size(640, 150), cc.p(320, 96), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.bottom3Panel)
	self.bottom3Panel_3 = self.bottom3Panel

	self.bottomBG3Panel = ccui.Layout:create()
	setValue(self.bottomBG3Panel, "bottomBG3Panel", 425, cc.size(270, 200), cc.p(320, 75), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.bottom3Panel_3, self.bottomBG3Panel)
	self.bottomBG3Panel_4 = self.bottomBG3Panel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 1023, cc.size(612, 167), cc.p(135, 100), nil, nil, nil, nil, nil)
	self.bgImage:loadTexture("ccs/UiImages/commonBg/common_img_ditiao.png", 1)
	addChildForPre(self.bottomBG3Panel_4, self.bgImage)

	self.frameImage = ccui.ImageView:create()
	setValue(self.frameImage, "frameImage", 1024, cc.size(462, 143), cc.p(53.001, 101.82), nil, nil, nil, nil, nil)
	self.frameImage:setScale(0.9)
	self.frameImage:loadTexture("ccs/UiImages/commonBg/battle_img_paihang04.png", 1)
	addChildForPre(self.bottomBG3Panel_4, self.frameImage)

	self.diamond2Button = ccui.Button:create()
	setValue(self.diamond2Button, "diamond2Button", 445, cc.size(153, 64), cc.p(532.8, 53.625), nil, nil, nil, nil, false)
	self.diamond2Button:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.diamond2Button:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.diamond2Button:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.diamond2Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.diamond2Button:setTitleText([[diamond2]])
	self.diamond2Button:setTitleFontSize(25)
	self.diamond2Button:setTitleFontName(getFont())
	setClickEvent(self, self.diamond2Button, "diamond2Button")
	addChildForPre(self.bottom3Panel_3, self.diamond2Button)

	self.constructionDesc3Label = createLabel({text=[[constructionDescLabel]], font=getFont(), size=24})
	setValue(self.constructionDesc3Label, "constructionDesc3Label", 446, cc.size(242, 28), cc.p(292.928, 90), nil, cc.c4b(0, 150, 255, 255), nil, nil, nil)
	self.constructionDesc3Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.constructionDesc3Label:setColor(cc.c4b(0, 150, 255, 255))
	addChildForPre(self.bottom3Panel_3, self.constructionDesc3Label)

	self.contributionDesc3Label = createLabel({text=[[contributionDescLabel]], font=getFont(), size=24})
	setValue(self.contributionDesc3Label, "contributionDesc3Label", 447, cc.size(237, 28), cc.p(290.432, 48.675), nil, cc.c4b(0, 255, 12, 255), nil, nil, nil)
	self.contributionDesc3Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.contributionDesc3Label:setColor(cc.c4b(0, 255, 12, 255))
	addChildForPre(self.bottom3Panel_3, self.contributionDesc3Label)

	self.IconDiamond = cc.Sprite:create()
	setValue(self.IconDiamond, "IconDiamond", 448, cc.size(100, 100), cc.p(109.952, 75), nil, nil, nil, nil, nil)
	self.IconDiamond:setSpriteFrame("ccs/UiImages/icon/zuanshi.png")
	addChildForPre(self.bottom3Panel_3, self.IconDiamond)

	self.cost3Label = createLabel({text=[[50]], font=getFont(), size=24})
	setValue(self.cost3Label, "cost3Label", 114, cc.size(26, 28), cc.p(531.1991, 114.5927), cc.p(0, 0.5), nil, nil, nil, nil)
	self.cost3Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bottom3Panel_3, self.cost3Label)

	self.cost3Sprite = cc.Sprite:create()
	setValue(self.cost3Sprite, "cost3Sprite", 115, cc.size(35, 35), cc.p(492.9964, 114.4634), nil, nil, nil, nil, nil)
	self.cost3Sprite:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainUi_zuanshi.png")
	addChildForPre(self.bottom3Panel_3, self.cost3Sprite)

	self.Image = ccui.ImageView:create()
	setValue(self.Image, "WBX_Image", 554, cc.size(640, 30), cc.p(320, 542.112), nil, nil, nil, nil, false)
	self.Image:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.Image:setScale9Enabled(true)
	self.Image:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.Panel_2, self.Image)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/icon.plist",
	"ccs/plist/commonBg.plist",
	"ccs/plist/mainUiFeeling.plist",
}

return _M
