-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 77, cc.size(640, 170), nil, nil, nil, nil, nil, nil)
	self.rootPanel:setClippingEnabled(true)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bigPanel = ccui.Layout:create()
	setValue(self.bigPanel, "bigPanel", 789, cc.size(640, 170), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.bigPanel)
	self.bigPanel_2 = self.bigPanel

	self.commonChildSprite = ccui.ImageView:create()
	setValue(self.commonChildSprite, "commonChildSprite", 108, cc.size(612, 167), cc.p(320, 85), nil, nil, nil, nil, nil)
	self.commonChildSprite:loadTexture("ccs/UiImages/commonBg/common_img_ditiao.png", 1)
	addChildForPre(self.bigPanel_2, self.commonChildSprite)

	self.Partition = cc.Sprite:create()
	setValue(self.Partition, "Partition", 215, cc.size(462, 143), cc.p(238.4689, 87.8319), nil, nil, nil, nil, nil)
	self.Partition:setScale(0.9)
	self.Partition:setSpriteFrame("ccs/UiImages/commonBg/battle_img_paihang04.png")
	addChildForPre(self.bigPanel_2, self.Partition)

	self.numSprite = cc.Sprite:create()
	setValue(self.numSprite, "numSprite", 482, cc.size(44, 70), cc.p(53.888, 82.059), cc.p(0, 0.5), nil, nil, nil, nil)
	self.numSprite:setSpriteFrame("ccs/UiImages/common/battle_img_shuzi03.png")
	addChildForPre(self.bigPanel_2, self.numSprite)

	self.allianceNumLabel = createLabel({text=[[999]], font=getFont(), size=48})
	setValue(self.allianceNumLabel, "allianceNumLabel", 742, cc.size(80, 54), cc.p(60.136, 84.133), cc.p(0, 0.5), nil, nil, nil, nil)
	self.allianceNumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.allianceNumLabel)

	self.badgeIconPanel = ccui.Layout:create()
	setValue(self.badgeIconPanel, "badgeIconPanel", 90, cc.size(130, 130), cc.p(-150.4731, 89.756), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.bigPanel_2, self.badgeIconPanel)

	self.allianceNameLabel = createLabel({text=[[军团名称名称名称]], font=getFont(), size=24})
	setValue(self.allianceNameLabel, "allianceNameLabel", 79, cc.size(192, 28), cc.p(245.7483, 126.2249), cc.p(0, 0.5), nil, nil, nil, nil)
	self.allianceNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.allianceNameLabel)

	self.allianceDescLabel = createLabel({text=[[军团111111111111111111]], font=getFont(), size=20, dimensions = cc.size(250.0000, 70.0000)})
	setValue(self.allianceDescLabel, "allianceDescLabel", 743, cc.size(250, 70), cc.p(-510.08, 98.787), cc.p(0, 1), nil, nil, nil, false)
	self.allianceDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.allianceDescLabel)

	self.allianceDescTitleLabel = createLabel({text=[[军团公告*]], font=getFont(), size=24})
	setValue(self.allianceDescTitleLabel, "allianceDescTitleLabel", 80, cc.size(105, 28), cc.p(-510.08, 115.787), cc.p(0, 0.5), nil, nil, nil, nil)
	self.allianceDescTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.allianceDescTitleLabel)

	self.allianceLevelLabel = createLabel({text=[[等级：]], font=getFont(), size=20})
	setValue(self.allianceLevelLabel, "allianceLevelLabel", 81, cc.size(60, 23), cc.p(299.0497, 99.9256), cc.p(1, 0.5), nil, nil, nil, nil)
	self.allianceLevelLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.allianceLevelLabel)

	self.allianceMemberLabel = createLabel({text=[[成员:]], font=getFont(), size=20})
	setValue(self.allianceMemberLabel, "allianceMemberLabel", 83, cc.size(45, 23), cc.p(299.0497, 70.6897), cc.p(1, 0.5), nil, nil, nil, nil)
	self.allianceMemberLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.allianceMemberLabel)

	self.allianceMbLabel = createLabel({text=[[22/30*]], font=getFont(), size=20})
	setValue(self.allianceMbLabel, "allianceMbLabel", 85, cc.size(57, 23), cc.p(312.8159, 70.9749), cc.p(0, 0.5), nil, nil, nil, nil)
	self.allianceMbLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.allianceMbLabel)

	self.allianceApplyButton = ccui.Button:create()
	setValue(self.allianceApplyButton, "allianceApplyButton", 86, cc.size(153, 64), cc.p(530.7657, 87.7405), nil, nil, nil, nil, false)
	self.allianceApplyButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.allianceApplyButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.allianceApplyButton:loadTextureDisabled("ccs/UiImages/image9/CommonPanel_btn_small_2.png", 1)
	self.allianceApplyButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.allianceApplyButton:setTitleText([[申请*]])
	self.allianceApplyButton:setTitleFontSize(25)
	self.allianceApplyButton:setTitleFontName(getFont())
	setClickEvent(self, self.allianceApplyButton, "allianceApplyButton")
	addChildForPre(self.bigPanel_2, self.allianceApplyButton)

	self.allianecContryTitleLabel = createLabel({text=[[阵营]], font=getFont(), size=20})
	setValue(self.allianecContryTitleLabel, "allianecContryTitleLabel", 158, cc.size(40, 23), cc.p(299.0494, 41.4965), cc.p(1, 0.5019), nil, nil, nil, nil)
	self.allianecContryTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.allianecContryTitleLabel)

	self.allianecContryLabel = createLabel({text=[[阵营]], font=getFont(), size=20})
	setValue(self.allianecContryLabel, "allianecContryLabel", 220, cc.size(40, 23), cc.p(312.8159, 41.9102), cc.p(0, 0.5), nil, nil, nil, nil)
	self.allianecContryLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.allianecContryLabel)

	self.legionSprite = cc.Sprite:create()
	setValue(self.legionSprite, "legionSprite", 101, cc.size(100, 100), cc.p(184, 81.369), nil, nil, nil, nil, nil)
	self.legionSprite:setSpriteFrame("ccs/UiImages/icon/legion_01.png")
	addChildForPre(self.bigPanel_2, self.legionSprite)

	self.levnumLabel = createLabel({text=[[10]], font=getFont(), size=20})
	setValue(self.levnumLabel, "levnumLabel", 102, cc.size(22, 23), cc.p(312.8159, 98.5996), cc.p(0, 0.5), cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.levnumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.levnumLabel:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.bigPanel_2, self.levnumLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/icon.plist",
}

return _M
