-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 77, cc.size(640, 175), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bigPanel = ccui.Layout:create()
	setValue(self.bigPanel, "bigPanel", 789, cc.size(640, 160), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.bigPanel)
	self.bigPanel_2 = self.bigPanel

	self.commonChildSprite = ccui.ImageView:create()
	setValue(self.commonChildSprite, "commonChildSprite", 128, cc.size(612, 167), cc.p(320, 80), nil, nil, nil, nil, nil)
	self.commonChildSprite:loadTexture("ccs/UiImages/commonBg/common_img_ditiao.png", 1)
	addChildForPre(self.bigPanel_2, self.commonChildSprite)

	self.contributionDescLabel = createLabel({text=[[contributionDesc]], font=getFont(), size=26})
	setValue(self.contributionDescLabel, "contributionDescLabel", 742, cc.size(193, 31), cc.p(454.4, 80), cc.p(0, 0.5), nil, nil, nil, nil)
	self.contributionDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.contributionDescLabel)

	self.memberBGImage = ccui.ImageView:create()
	setValue(self.memberBGImage, "memberBGImage", 78, cc.size(462, 143), cc.p(236.8, 80), nil, nil, nil, nil, nil)
	self.memberBGImage:setScale(0.9)
	self.memberBGImage:loadTexture("ccs/UiImages/commonBg/battle_img_paihang04.png", 1)
	addChildForPre(self.bigPanel_2, self.memberBGImage)

	self.headPanel = ccui.Layout:create()
	setValue(self.headPanel, "headPanel", 1445, cc.size(158, 124), cc.p(32, 19.2), nil, nil, nil, nil, nil)
	self.headPanel:setClippingEnabled(true)
	addChildForPre(self.bigPanel_2, self.headPanel)
	self.headPanel_3 = self.headPanel

	self.memberImage = ccui.ImageView:create()
	setValue(self.memberImage, "memberImage", 927, cc.size(355, 477), cc.p(77.025, 6.2), nil, nil, nil, nil, nil)
	self.memberImage:setScale(0.5)
	self.memberImage:loadTexture("ccs/BigImages/userHead/userHead_country1_1.webp")
	addChildForPre(self.headPanel_3, self.memberImage)

	self.memberNameLabel = createLabel({text=[[memberName]], font=getFont(), size=24})
	setValue(self.memberNameLabel, "memberNameLabel", 79, cc.size(152, 28), cc.p(244.2993, 116.8319), cc.p(0, 0.5), nil, nil, nil, nil)
	self.memberNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.memberNameLabel)

	self.labelBgImage = ccui.ImageView:create()
	setValue(self.labelBgImage, "labelBgImage", 1458, cc.size(60, 20), cc.p(66.1131, 28.0817), nil, nil, nil, nil, false)
	self.labelBgImage:setRotationSkewX(180)
	self.labelBgImage:setRotationSkewY(180)
	self.labelBgImage:loadTexture("ccs/UiImages/common/common_img_level.png", 1)
	self.labelBgImage:setScale9Enabled(true)
	self.labelBgImage:setCapInsets(cc.rect(0, 0, 38, 20))
	addChildForPre(self.bigPanel_2, self.labelBgImage)

	self.fightingNumLabel = createLabel({text=[[1111111111111]], font=getFont(), size=20,valign = 1})
	setValue(self.fightingNumLabel, "fightingNumLabel", 743, cc.size(126, 23), cc.p(260.1073, 37.168), cc.p(0, 0.5), cc.c4b(255, 0, 0, 255), nil, nil, nil)
	self.fightingNumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.fightingNumLabel:setColor(cc.c4b(255, 0, 0, 255))
	addChildForPre(self.bigPanel_2, self.fightingNumLabel)

	self.fightingTitleLabel = createLabel({text=[[Fighting]], font=getFont(), size=20})
	setValue(self.fightingTitleLabel, "fightingTitleLabel", 80, cc.size(71, 23), cc.p(187.5953, 37.168), cc.p(0, 0.5), cc.c4b(255, 0, 0, 255), nil, nil, nil)
	self.fightingTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.fightingTitleLabel:setColor(cc.c4b(255, 0, 0, 255))
	addChildForPre(self.bigPanel_2, self.fightingTitleLabel)

	self.memberLevelTitleLabel = createLabel({text=[[Lv]], font=getFont(), size=20})
	setValue(self.memberLevelTitleLabel, "memberLevelTitleLabel", 81, cc.size(21, 23), cc.p(41.2025, 27.4156), cc.p(0, 0.5), cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.memberLevelTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.memberLevelTitleLabel:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.bigPanel_2, self.memberLevelTitleLabel)

	self.memberPositionTitleLabel = createLabel({text=[[Position]], font=getFont(), size=20})
	setValue(self.memberPositionTitleLabel, "memberPositionTitleLabel", 83, cc.size(71, 23), cc.p(187.5953, 72.384), cc.p(0, 0.5), cc.c4b(255, 102, 0, 255), nil, nil, nil)
	self.memberPositionTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.memberPositionTitleLabel:setColor(cc.c4b(255, 102, 0, 255))
	addChildForPre(self.bigPanel_2, self.memberPositionTitleLabel)

	self.contributionTitleLabel = createLabel({text=[[contribution]], font=getFont(), size=20})
	setValue(self.contributionTitleLabel, "contributionTitleLabel", 85, cc.size(103, 23), cc.p(373.7073, 72.384), cc.p(1, 0.5), nil, nil, nil, nil)
	self.contributionTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.contributionTitleLabel)

	self.memberLevelLabel = createLabel({text=[[00]], font=getFont(), size=20})
	setValue(self.memberLevelLabel, "memberLevelLabel", 492, cc.size(22, 23), cc.p(68.5946, 27.4156), cc.p(0, 0.5), cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.memberLevelLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.memberLevelLabel:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.bigPanel_2, self.memberLevelLabel)

	self.contributionNumLabel = createLabel({text=[[0000000]], font=getFont(), size=20})
	setValue(self.contributionNumLabel, "contributionNumLabel", 493, cc.size(77, 23), cc.p(379.0192, 72.384), cc.p(0, 0.5), cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.contributionNumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.contributionNumLabel:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.bigPanel_2, self.contributionNumLabel)

	self.onlineLabel = createLabel({text=[[onlineLabel]], font=getFont(), size=26})
	setValue(self.onlineLabel, "onlineLabel", 784, cc.size(133, 31), cc.p(546.432, 56.656), nil, nil, nil, nil, nil)
	self.onlineLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.onlineLabel)

	self.clickButton = ccui.Button:create()
	self.clickButton:setScale9Enabled(true)
	self.clickButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.clickButton:setContentSize(cc.size(900, 150))
	setValue(self.clickButton, "clickButton", 44, nil, cc.p(320, 80), nil, nil, nil, nil, false)
	self.clickButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.clickButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.clickButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.clickButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.clickButton:setTitleText([[]])
	self.clickButton:setTitleColor(cc.c3b(65, 65, 70))
	self.clickButton:setTitleFontSize(14)
	self.clickButton:setTitleFontName(getFont())
	setClickEvent(self, self.clickButton, "clickButton")
	addChildForPre(self.bigPanel_2, self.clickButton)

	self.mililevelImg = ccui.ImageView:create()
	setValue(self.mililevelImg, "mililevelImg", 20, cc.size(100, 100), cc.p(202.2809, 114.2486), nil, nil, nil, nil, nil)
	self.mililevelImg:setScale(0.5)
	self.mililevelImg:loadTexture("ccs/UiImages/icon/military_1.jpg", 1)
	addChildForPre(self.bigPanel_2, self.mililevelImg)

	self.REDPOINT_ALLIANCE_IMPEACH = cc.Sprite:create()
	setValue(self.REDPOINT_ALLIANCE_IMPEACH, "REDPOINT_ALLIANCE_IMPEACH", 51, cc.size(25, 25), nil, nil, nil, 0, nil, nil)
	self.REDPOINT_ALLIANCE_IMPEACH:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.Node_0, self.REDPOINT_ALLIANCE_IMPEACH)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/BigImages/userHead/userHead_country1_1.png",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/icon.plist",
}

return _M
