-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 1099, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 1100, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame5Ui then 
 		self.commonDialogFrame5Ui = CommonDialogFrame5Ui.new() 
 	else 
		self.commonDialogFrame5Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame5Ui.lua")
 	end 
	setValue(self.commonDialogFrame5Ui, "commonDialogFrame5Ui", 1106, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame5Ui)

	self.oldPanel = ccui.Layout:create()
	setValue(self.oldPanel, "XYN_oldPanel", 1328, cc.size(640, 480), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.oldPanel)
	self.oldPanel_2 = self.oldPanel

	self.inputBGImage = ccui.ImageView:create()
	setValue(self.inputBGImage, "inputBGImage", 1330, cc.size(350, 50), cc.p(320, 297.6), nil, nil, nil, nil, false)
	self.inputBGImage:loadTexture("ccs/UiImages/image9/common_s9_diban1.png", 1)
	self.inputBGImage:setScale9Enabled(true)
	self.inputBGImage:setCapInsets(cc.rect(10, 0, 4, 24))
	addChildForPre(self.oldPanel_2, self.inputBGImage)

	self.desc2Label = createLabel({text=[[desc2Label]], font=getFont(), size=24})
	setValue(self.desc2Label, "desc2Label", 1333, cc.size(122, 28), cc.p(311.488, 225.6), cc.p(1, 0.6023), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.desc2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.desc2Label:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.oldPanel_2, self.desc2Label)

	self.IconDiamond = cc.Sprite:create()
	setValue(self.IconDiamond, "IconDiamond", 81, cc.size(35, 35), cc.p(339.2, 221.472), nil, nil, nil, nil, nil)
	self.IconDiamond:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainUi_zuanshi.png")
	addChildForPre(self.oldPanel_2, self.IconDiamond)

	self.desc2goldLabel = createLabel({text=[[desc2Label]], font=getFont(), size=24})
	setValue(self.desc2goldLabel, "desc2goldLabel", 79, cc.size(122, 28), cc.p(363.52, 225.6), cc.p(0, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.desc2goldLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.desc2goldLabel:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.oldPanel_2, self.desc2goldLabel)

	self.cancelButton = ccui.Button:create()
	setValue(self.cancelButton, "cancelButton", 1334, cc.size(153, 64), cc.p(201.6, 145.296), nil, nil, nil, nil, false)
	self.cancelButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.cancelButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.cancelButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.cancelButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.cancelButton:setTitleText([[cancel]])
	self.cancelButton:setTitleFontSize(25)
	self.cancelButton:setTitleFontName(getFont())
	setClickEvent(self, self.cancelButton, "cancelButton")
	addChildForPre(self.oldPanel_2, self.cancelButton)

	self.okButton = ccui.Button:create()
	setValue(self.okButton, "okButton", 1335, cc.size(153, 64), cc.p(457.6, 145.296), nil, nil, nil, nil, false)
	self.okButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.okButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.okButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.okButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.okButton:setTitleText([[ok]])
	self.okButton:setTitleFontSize(25)
	self.okButton:setTitleFontName(getFont())
	setClickEvent(self, self.okButton, "okButton")
	addChildForPre(self.oldPanel_2, self.okButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/mainUiFeeling.plist",
}

return _M
