-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 77, cc.size(640, 175), nil, nil, nil, nil, nil, nil)
	self.rootPanel:setClippingEnabled(true)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bigPanel = ccui.Layout:create()
	setValue(self.bigPanel, "bigPanel", 789, cc.size(640, 160), cc.p(320, 1.75), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.bigPanel)
	self.bigPanel_2 = self.bigPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 400, cc.size(612, 167), cc.p(320, 80), nil, nil, nil, nil, nil)
	self.bgImage:loadTexture("ccs/UiImages/commonBg/common_img_ditiao.png", 1)
	addChildForPre(self.bigPanel_2, self.bgImage)

	self.commonChildGreen = ccui.ImageView:create()
	setValue(self.commonChildGreen, "commonChildGreen", 145, cc.size(462, 143), cc.p(255.232, 81.568), nil, nil, nil, nil, nil)
	self.commonChildGreen:loadTexture("ccs/UiImages/commonBg/battle_img_paihang04.png", 1)
	addChildForPre(self.bigPanel_2, self.commonChildGreen)

	self.allianceNumLabel = createLabel({text=[[1]], font=getFont(), size=48})
	setValue(self.allianceNumLabel, "allianceNumLabel", 742, cc.size(26, 54), cc.p(86.656, 81.376), nil, nil, nil, nil, nil)
	self.allianceNumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.allianceNumLabel)

	self.badgeIconPanel = ccui.Layout:create()
	setValue(self.badgeIconPanel, "badgeIconPanel", 434, cc.size(130, 130), cc.p(-63.424, 85.024), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.bigPanel_2, self.badgeIconPanel)

	self.allianceNameLabel = createLabel({text=[[军团名称]], font=getFont(), size=24})
	setValue(self.allianceNameLabel, "allianceNameLabel", 79, cc.size(96, 28), cc.p(245.184, 116.512), cc.p(0, 0.5), nil, nil, nil, nil)
	self.allianceNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.allianceNameLabel)

	self.allianceLevelLabel = createLabel({text=[[等级:]], font=getFont(), size=20})
	setValue(self.allianceLevelLabel, "allianceLevelLabel", 81, cc.size(45, 23), cc.p(262.272, 77.152), cc.p(0, 0.5), nil, nil, nil, nil)
	self.allianceLevelLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.allianceLevelLabel)

	self.allianceMemberLabel = createLabel({text=[[成员:]], font=getFont(), size=20})
	setValue(self.allianceMemberLabel, "allianceMemberLabel", 83, cc.size(45, 23), cc.p(262.272, 44.368), cc.p(0, 0.5), nil, nil, nil, nil)
	self.allianceMemberLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.allianceMemberLabel)

	self.allianceMbLabel = createLabel({text=[[22/30]], font=getFont(), size=20})
	setValue(self.allianceMbLabel, "allianceMbLabel", 85, cc.size(50, 23), cc.p(316.16, 44.368), cc.p(0, 0.5), nil, nil, nil, nil)
	self.allianceMbLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.allianceMbLabel)

	self.allianceDescLabel = createLabel({text=[[军团111111111111111111]], font=getFont(), size=18, dimensions = cc.size(250.0000, 70.0000)})
	setValue(self.allianceDescLabel, "allianceDescLabel", 743, cc.size(250, 70), cc.p(-261.888, 98.512), cc.p(0, 1), nil, nil, nil, false)
	self.allianceDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.allianceDescLabel)

	self.allianceDescTitleLabel = createLabel({text=[[军团公告*]], font=getFont(), size=24})
	setValue(self.allianceDescTitleLabel, "allianceDescTitleLabel", 80, cc.size(105, 28), cc.p(-156.416, 117.264), cc.p(0, 0.5), nil, nil, nil, nil)
	self.allianceDescTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.allianceDescTitleLabel)

	self.numSprite = cc.Sprite:create()
	setValue(self.numSprite, "numSprite", 650, cc.size(46, 46), cc.p(63.104, 80.992), cc.p(0, 0.5), nil, nil, nil, nil)
	self.numSprite:setTexture("Default/Sprite.png")
	addChildForPre(self.bigPanel_2, self.numSprite)

	self.allianecContryTitleLabel = createLabel({text=[[xxx]], font=getFont(), size=20})
	setValue(self.allianecContryTitleLabel, "allianecContryTitleLabel", 253, cc.size(30, 23), cc.p(545, 42.796), nil, nil, nil, nil, nil)
	self.allianecContryTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.allianecContryTitleLabel)

	self.allianecContryLabel = createLabel({text=[[xxxx]], font=getFont(), size=20})
	setValue(self.allianecContryLabel, "allianecContryLabel", 254, cc.size(40, 23), cc.p(-85.8181, 36.359), nil, nil, nil, nil, nil)
	self.allianecContryLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.allianecContryLabel)

	self.levNumLabel = createLabel({text=[[000]], font=getFont(), size=20})
	setValue(self.levNumLabel, "levNumLabel", 437, cc.size(33, 23), cc.p(316.1698, 77.1446), cc.p(0, 0.5), cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.levNumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.levNumLabel:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.bigPanel_2, self.levNumLabel)

	self.legionSprite = cc.Sprite:create()
	setValue(self.legionSprite, "legionSprite", 438, cc.size(100, 100), cc.p(176.7574, 77.4171), nil, nil, nil, nil, nil)
	self.legionSprite:setSpriteFrame("ccs/UiImages/icon/legion_01.png")
	addChildForPre(self.bigPanel_2, self.legionSprite)

	self.countrySprite = cc.Sprite:create()
	setValue(self.countrySprite, "countrySprite", 54, cc.size(100, 100), cc.p(545, 102.5), nil, nil, nil, nil, nil)
	self.countrySprite:setSpriteFrame("ccs/UiImages/icon/legion_icon_02.png")
	addChildForPre(self.bigPanel_2, self.countrySprite)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"Default/Sprite.png",
	"ccs/plist/legion.plist",
}

return _M
