-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 68, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.topContent = ccui.Layout:create()
	setValue(self.topContent, "TXN_topContent", 69, cc.size(640, 85), cc.p(0, 796.8), cc.p(0, 1), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.topContent)
	self.topContent_2 = self.topContent

	self.textBGImage = ccui.ImageView:create()
	setValue(self.textBGImage, "textBGImage", 418, cc.size(340, 30), cc.p(199.9919, 44.5574), nil, nil, nil, nil, false)
	self.textBGImage:loadTexture("ccs/UiImages/image9/common_s9_diban1.png", 1)
	self.textBGImage:setScale9Enabled(true)
	self.textBGImage:setCapInsets(cc.rect(9, 1, 5, 22))
	addChildForPre(self.topContent_2, self.textBGImage)

	self.allianceID_input = ccui.EditBox:create(cc.size(300, 20), ccui.Scale9Sprite:create())
	setValue(self.allianceID_input, "allianceID_input", 72, cc.size(300, 20), cc.p(39.7542, 45.5862), cc.p(0, 0.5), cc.c4b(226, 242, 167, 255), nil, nil, nil)
	self.allianceID_input:setText([[]])
	self.allianceID_input:setReturnType(1)
	self.allianceID_input:setInputMode(6)
	self.allianceID_input:setPlaceHolder([[请输入军团ID]])
	self.allianceID_input:setFontSize(20)
	self.allianceID_input:setPlaceholderFontSize(20)
	self.allianceID_input:setFontColor(cc.c4b(226, 242, 167, 255))
	self.allianceID_input:setFontName(getFont())
	self.allianceID_input:setPlaceholderFontName(getFont())
	addChildForPre(self.topContent_2, self.allianceID_input)

	self.serchButton = ccui.Button:create()
	setValue(self.serchButton, "serchButton", 73, cc.size(153, 64), cc.p(497.4136, 44.6581), nil, nil, nil, nil, false)
	self.serchButton:loadTextureNormal("ccs/UiImages/image9/common_btn_green_0.png", 1)
	self.serchButton:loadTexturePressed("ccs/UiImages/image9/common_btn_green_1.png", 1)
	self.serchButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.serchButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.serchButton:setTitleText([[查找*]])
	self.serchButton:setTitleFontSize(25)
	self.serchButton:setTitleFontName(getFont())
	setClickEvent(self, self.serchButton, "serchButton")
	addChildForPre(self.topContent_2, self.serchButton)

	self.Image = ccui.ImageView:create()
	setValue(self.Image, "WTX_Image", 293, cc.size(640, 30), cc.p(320, 710.4), nil, nil, nil, nil, false)
	self.Image:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.Image:setScale9Enabled(true)
	self.Image:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.rootPanel_1, self.Image)

	self.listViewContent = ccui.Layout:create()
	setValue(self.listViewContent, "WIX_listViewContent", 70, cc.size(640, 704), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.listViewContent)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
}

return _M
