-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 77, cc.size(640, 170), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bigPanel = ccui.Layout:create()
	setValue(self.bigPanel, "bigPanel", 789, cc.size(640, 170), cc.p(320, 86.7), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.bigPanel)
	self.bigPanel_2 = self.bigPanel

	self.bigBGPanel = ccui.Layout:create()
	setValue(self.bigBGPanel, "bigBGPanel", 767, cc.size(640, 170), cc.p(320, 85), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.bigPanel_2, self.bigBGPanel)
	self.bigBGPanel_3 = self.bigBGPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 821, cc.size(612, 167), cc.p(320, 81.6), nil, nil, nil, nil, nil)
	self.bgImage:loadTexture("ccs/UiImages/commonBg/common_img_ditiao.png", 1)
	addChildForPre(self.bigBGPanel_3, self.bgImage)

	self.qualityBgSprite = cc.Sprite:create()
	setValue(self.qualityBgSprite, "qualityBgSprite", 507, cc.size(46, 46), cc.p(96.192, 91.766), nil, nil, nil, nil, nil)
	self.qualityBgSprite:setTexture("Default/Sprite.png")
	addChildForPre(self.bigBGPanel_3, self.qualityBgSprite)

	self.itemImage = ccui.ImageView:create()
	setValue(self.itemImage, "itemImage", 56, cc.size(46, 46), cc.p(96.192, 91.766), nil, nil, nil, nil, nil)
	self.itemImage:loadTexture("Default/ImageFile.png")
	addChildForPre(self.bigBGPanel_3, self.itemImage)

	self.itemLabel = createLabel({text=[[item]], font=getFont(), size=24})
	setValue(self.itemLabel, "itemLabel", 54, cc.size(45, 28), cc.p(160, 135.2911), cc.p(0, 0.5), nil, nil, nil, nil)
	self.itemLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigBGPanel_3, self.itemLabel)

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 241, cc.size(280, 36), cc.p(154, 37.8678), cc.p(0, 0.5), nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/image9/common_s9_diban.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(10, 10, 14, 14))
	addChildForPre(self.bigPanel_2, self.bgImage)

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 60, cc.size(280, 60), cc.p(154, 89.1551), cc.p(0, 0.5), nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/image9/common_s9_diban.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(10, 10, 14, 14))
	addChildForPre(self.bigPanel_2, self.bgImage)

	self.descriptionLabel = createLabel({text=[[descriptionLabel]], font=getFont(), size=18, dimensions = cc.size(262.0000, 120.0000)})
	setValue(self.descriptionLabel, "descriptionLabel", 79, cc.size(262, 120), cc.p(163.2, 114.172), cc.p(0, 1), nil, nil, nil, false)
	self.descriptionLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.descriptionLabel)

	self.buyNumDescLabel = createLabel({text=[[buyNumDescLabel]], font=getFont(), size=20})
	setValue(self.buyNumDescLabel, "buyNumDescLabel", 824, cc.size(168, 23), cc.p(521.6, 106.998), nil, nil, nil, nil, nil)
	self.buyNumDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.buyNumDescLabel)

	self.corpsLimitLabel = createLabel({text=[[corpsLimitLabel]], font=getFont(), size=20})
	setValue(self.corpsLimitLabel, "corpsLimitLabel", 19, cc.size(140, 23), cc.p(521.6, 132.498), nil, cc.c4b(255, 234, 0, 255), nil, nil, nil)
	self.corpsLimitLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.corpsLimitLabel:setColor(cc.c4b(255, 234, 0, 255))
	addChildForPre(self.bigPanel_2, self.corpsLimitLabel)

	self.costLabel = createLabel({text=[[Text Label]], font=getFont(), size=18})
	setValue(self.costLabel, "costLabel", 498, cc.size(82, 21), cc.p(163.2, 39.1), cc.p(0, 0.5), nil, nil, nil, nil)
	self.costLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.costLabel)

	self.ownNumLabel = createLabel({text=[[ownNumLabel]], font=getFont(), size=18})
	setValue(self.ownNumLabel, "ownNumLabel", 1148, cc.size(115, 21), cc.p(95.872, 28.084), nil, nil, nil, nil, nil)
	self.ownNumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.ownNumLabel)

	self.buyButton = ccui.Button:create()
	setValue(self.buyButton, "buyButton", 86, cc.size(153, 64), cc.p(521.6, 62.713), nil, nil, nil, nil, false)
	self.buyButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.buyButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.buyButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.buyButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.buyButton:setTitleText([[buy]])
	self.buyButton:setTitleFontSize(25)
	self.buyButton:setTitleFontName(getFont())
	setClickEvent(self, self.buyButton, "buyButton")
	addChildForPre(self.bigPanel_2, self.buyButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"Default/Sprite.png",
	"Default/ImageFile.png",
	"ccs/plist/image9.plist",
}

return _M
