-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_1 = cc.Node:create()
	setValue(self.Node_1, "Node_1", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_1)
 	self.uiRootNode = self.Node_1
	self.Node_1_0 = self.Node_1

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 12, cc.size(640, 185), nil, nil, nil, nil, nil, nil)
	setBgColor(self.rootPanel, 1, 0, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.Node_1_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bigPanel = ccui.Layout:create()
	setValue(self.bigPanel, "bigPanel", 21, cc.size(640, 185), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.bigPanel)
	self.bigPanel_2 = self.bigPanel

	self.panelBg1 = ccui.ImageView:create()
	setValue(self.panelBg1, "panelBg1", 713, cc.size(612, 167), cc.p(320, 86.95), nil, nil, nil, nil, nil)
	self.panelBg1:setScaleX(1.02)
	self.panelBg1:setScaleY(1.09)
	self.panelBg1:loadTexture("ccs/UiImages/commonBg/common_img_ditiao.png", 1)
	addChildForPre(self.bigPanel_2, self.panelBg1)

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 174, cc.size(270, 83), cc.p(282.6204, 60.2262), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/image9/common_s9_diban1.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(10, 10, 4, 4))
	addChildForPre(self.bigPanel_2, self.bgImage)

	self.upgradeButton = ccui.Button:create()
	setValue(self.upgradeButton, "upgradeButton", 19, cc.size(153, 64), cc.p(512, 48.1), nil, nil, nil, nil, false)
	self.upgradeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.upgradeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.upgradeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.upgradeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.upgradeButton:setTitleText([[upgrade]])
	self.upgradeButton:setTitleFontSize(25)
	self.upgradeButton:setTitleFontName(getFont())
	setClickEvent(self, self.upgradeButton, "upgradeButton")
	addChildForPre(self.bigPanel_2, self.upgradeButton)

	self.needAlianceNumb = createLabel({text=[[1000000000]], font=getFont(), size=24})
	setValue(self.needAlianceNumb, "needAlianceNumb", 18, cc.size(133, 28), cc.p(508.931, 118.4), nil, cc.c4b(0, 156, 255, 255), nil, nil, nil)
	self.needAlianceNumb:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.needAlianceNumb:setColor(cc.c4b(0, 156, 255, 255))
	addChildForPre(self.bigPanel_2, self.needAlianceNumb)

	self.alianceConstructionLabel = createLabel({text=[[军团建设]], font=getFont(), size=24})
	setValue(self.alianceConstructionLabel, "alianceConstructionLabel", 23, cc.size(96, 28), cc.p(508.9309, 146.6408), nil, cc.c4b(0, 156, 255, 255), nil, nil, nil)
	self.alianceConstructionLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.alianceConstructionLabel:setColor(cc.c4b(0, 156, 255, 255))
	addChildForPre(self.bigPanel_2, self.alianceConstructionLabel)

	self.levelUnlockLabel = createLabel({text=[[军团LV2解锁]], font=getFont(), size=24})
	setValue(self.levelUnlockLabel, "levelUnlockLabel", 269, cc.size(136, 28), cc.p(510.1319, 93.4816), nil, cc.c4b(255, 0, 0, 255), nil, nil, nil)
	self.levelUnlockLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.levelUnlockLabel:setColor(cc.c4b(255, 0, 0, 255))
	addChildForPre(self.bigPanel_2, self.levelUnlockLabel)

	self.itemName = createLabel({text=[[name]], font=getFont(), size=24,align = 1})
	setValue(self.itemName, "itemName", 1396, cc.size(60, 28), cc.p(79.2041, 33.3703), nil, nil, nil, nil, nil)
	self.itemName:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.itemName)

	self.techDescriptionLabel = createLabel({text=[[type:]], font=getFont(), size=20, dimensions = cc.size(260.0000, 100.0000)})
	setValue(self.techDescriptionLabel, "techDescriptionLabel", 55, cc.size(260, 100), cc.p(151.1078, 98.4276), cc.p(0, 1), nil, nil, nil, false)
	self.techDescriptionLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.techDescriptionLabel)

	self.levelLabel = createLabel({text=[[99]], font=getFont(), size=24,valign = 1})
	setValue(self.levelLabel, "levelLabel", 14, cc.size(26, 28), cc.p(210.5107, 136.8385), cc.p(0, 0.5), cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.levelLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.levelLabel:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.bigPanel_2, self.levelLabel)

	self.levelTitleLabel = createLabel({text=[[等级:]], font=getFont(), size=24,align = 1,valign = 1})
	setValue(self.levelTitleLabel, "levelTitleLabel", 175, cc.size(54, 28), cc.p(153.6, 136.8385), cc.p(0, 0.5), nil, nil, nil, nil)
	self.levelTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.levelTitleLabel)

	self.bgsprite = cc.Sprite:create()
	setValue(self.bgsprite, "bgsprite", 253, cc.size(100, 100), cc.p(83.8362, 97.5237), nil, nil, nil, nil, nil)
	self.bgsprite:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.bigPanel_2, self.bgsprite)

	self.techIconSprite = cc.Sprite:create()
	setValue(self.techIconSprite, "techIconSprite", 75, cc.size(100, 100), cc.p(83.5797, 100.9507), nil, nil, nil, nil, nil)
	self.techIconSprite:setSpriteFrame("ccs/UiImages/icon/keji_5.png")
	addChildForPre(self.bigPanel_2, self.techIconSprite)

	self.techIconButton = ccui.Button:create()
	self.techIconButton:setScale9Enabled(true)
	self.techIconButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.techIconButton:setContentSize(cc.size(100, 100))
	setValue(self.techIconButton, "techIconButton", 48, nil, cc.p(82.1255, 99.2346), nil, nil, nil, nil, false)
	self.techIconButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.techIconButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.techIconButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.techIconButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.techIconButton:setTitleText([[]])
	self.techIconButton:setTitleColor(cc.c3b(65, 65, 70))
	self.techIconButton:setTitleFontSize(14)
	self.techIconButton:setTitleFontName(getFont())
	setClickEvent(self, self.techIconButton, "techIconButton")
	addChildForPre(self.bigPanel_2, self.techIconButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/icon.plist",
}

return _M
