-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 321, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 322, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "AXY_Panel", 323, cc.size(640, 550), cc.p(320, 538.4402), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Panel)
	self.Panel_2 = self.Panel

	self.bgFrameImage = ccui.ImageView:create()
	setValue(self.bgFrameImage, "bgFrameImage", 1599, cc.size(490, 547), cc.p(320, 275), nil, nil, nil, nil, false)
	self.bgFrameImage:loadTexture("ccs/UiImages/image9/commonPanel_s9_bg_1.png", 1)
	self.bgFrameImage:setScale9Enabled(true)
	self.bgFrameImage:setCapInsets(cc.rect(30, 30, 112, 10))
	addChildForPre(self.Panel_2, self.bgFrameImage)

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 1634, cc.size(470, 510), cc.p(320, 275), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/image9/CommonPanel_img_chuangkoubeijing_1.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(0, 0, 470, 5))
	addChildForPre(self.Panel_2, self.bgImage)

	self.transferButton = ccui.Button:create()
	setValue(self.transferButton, "transferButton", 426, cc.size(153, 64), cc.p(412.688, 128.9789), nil, nil, nil, nil, false)
	self.transferButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.transferButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.transferButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.transferButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.transferButton:setTitleText([[Transfer]])
	self.transferButton:setTitleFontSize(25)
	self.transferButton:setTitleFontName(getFont())
	setClickEvent(self, self.transferButton, "transferButton")
	addChildForPre(self.Panel_2, self.transferButton)

	self.checkButton = ccui.Button:create()
	setValue(self.checkButton, "checkButton", 427, cc.size(153, 64), cc.p(224.1885, 128.9789), nil, nil, nil, nil, false)
	self.checkButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.checkButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.checkButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.checkButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.checkButton:setTitleText([[check]])
	self.checkButton:setTitleFontSize(25)
	self.checkButton:setTitleFontName(getFont())
	setClickEvent(self, self.checkButton, "checkButton")
	addChildForPre(self.Panel_2, self.checkButton)

	self.removeButton = ccui.Button:create()
	setValue(self.removeButton, "removeButton", 428, cc.size(153, 64), cc.p(412.688, 58.5777), nil, nil, nil, nil, false)
	self.removeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.removeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.removeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.removeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.removeButton:setTitleText([[remove]])
	self.removeButton:setTitleFontSize(25)
	self.removeButton:setTitleFontName(getFont())
	setClickEvent(self, self.removeButton, "removeButton")
	addChildForPre(self.Panel_2, self.removeButton)

	self.redPoint = cc.Sprite:create()
	setValue(self.redPoint, "redPoint", 149, cc.size(25, 25), cc.p(-44.8, 154.99), nil, nil, nil, nil, nil)
	self.redPoint:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.Panel_2, self.redPoint)

	self.topPanel = ccui.Layout:create()
	setValue(self.topPanel, "topPanel", 430, cc.size(640, 210), cc.p(320, 357.5), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.topPanel)
	self.topPanel_3 = self.topPanel

	self.topBG2Image = ccui.ImageView:create()
	setValue(self.topBG2Image, "topBG2Image", 1637, cc.size(220, 316), cc.p(204.0981, 88.6413), nil, nil, nil, nil, false)
	self.topBG2Image:loadTexture("ccs/UiImages/image9/common_s9_diban1.png", 1)
	self.topBG2Image:setScale9Enabled(true)
	self.topBG2Image:setCapInsets(cc.rect(10, 10, 4, 4))
	addChildForPre(self.topPanel_3, self.topBG2Image)

	self.topBGImage = ccui.ImageView:create()
	setValue(self.topBGImage, "topBGImage", 431, cc.size(220, 316), cc.p(433.4718, 88.6413), nil, nil, nil, nil, false)
	self.topBGImage:loadTexture("ccs/UiImages/image9/common_s9_diban1.png", 1)
	self.topBGImage:setScale9Enabled(true)
	self.topBGImage:setCapInsets(cc.rect(10, 10, 4, 4))
	addChildForPre(self.topPanel_3, self.topBGImage)

	self.userPicImage = ccui.ImageView:create()
	setValue(self.userPicImage, "userPicImage", 1006, cc.size(355, 477), cc.p(207.41, 88.3862), nil, nil, nil, nil, nil)
	self.userPicImage:setScale(0.6)
	self.userPicImage:loadTexture("ccs/BigImages/userHead/userHead_country1_1.webp")
	addChildForPre(self.topPanel_3, self.userPicImage)

	self.memberNameLabel = createLabel({text=[[memberNameLabel]], font=getFont(), size=28})
	setValue(self.memberNameLabel, "memberNameLabel", 432, cc.size(245, 32), cc.p(438.9846, 211.6694), nil, cc.c4b(0, 170, 255, 255), nil, nil, nil)
	self.memberNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.memberNameLabel:setColor(cc.c4b(0, 170, 255, 255))
	addChildForPre(self.topPanel_3, self.memberNameLabel)

	self.fightingTitleLabel = createLabel({text=[[战斗力：]], font=getFont(), size=24})
	setValue(self.fightingTitleLabel, "fightingTitleLabel", 433, cc.size(96, 28), cc.p(437.6218, -5.5984), cc.p(1, 0.5), cc.c4b(255, 0, 0, 255), nil, nil, nil)
	self.fightingTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.fightingTitleLabel:setColor(cc.c4b(255, 0, 0, 255))
	addChildForPre(self.topPanel_3, self.fightingTitleLabel)

	self.fightingLabel = createLabel({text=[[fighting]], font=getFont(), size=24})
	setValue(self.fightingLabel, "fightingLabel", 434, cc.size(77, 28), cc.p(453.1926, -5.5984), cc.p(0, 0.5), cc.c4b(255, 0, 0, 255), nil, nil, nil)
	self.fightingLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.fightingLabel:setColor(cc.c4b(255, 0, 0, 255))
	addChildForPre(self.topPanel_3, self.fightingLabel)

	self.contributionTitleLabel = createLabel({text=[[当前贡献]], font=getFont(), size=24})
	setValue(self.contributionTitleLabel, "contributionTitleLabel", 435, cc.size(96, 28), cc.p(437.6218, 147.4884), cc.p(1, 0.5), nil, nil, nil, nil)
	self.contributionTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.topPanel_3, self.contributionTitleLabel)

	self.contributionLabel = createLabel({text=[[1000]], font=getFont(), size=24})
	setValue(self.contributionLabel, "contributionLabel", 436, cc.size(53, 28), cc.p(453.1926, 147.4884), cc.p(0, 0.5), nil, nil, nil, nil)
	self.contributionLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.topPanel_3, self.contributionLabel)

	self.contributionTotalTitleLabel = createLabel({text=[[总贡献]], font=getFont(), size=24})
	setValue(self.contributionTotalTitleLabel, "contributionTotalTitleLabel", 437, cc.size(72, 28), cc.p(437.6218, 110.7166), cc.p(1, 0.5), nil, nil, nil, nil)
	self.contributionTotalTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.topPanel_3, self.contributionTotalTitleLabel)

	self.contributionTotalLabel = createLabel({text=[[1000]], font=getFont(), size=24})
	setValue(self.contributionTotalLabel, "contributionTotalLabel", 438, cc.size(53, 28), cc.p(453.1926, 110.7166), cc.p(0, 0.5), nil, nil, nil, nil)
	self.contributionTotalLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.topPanel_3, self.contributionTotalLabel)

	self.positionTitleLabel = createLabel({text=[[职位：]], font=getFont(), size=24})
	setValue(self.positionTitleLabel, "positionTitleLabel", 1635, cc.size(72, 28), cc.p(437.6218, 70.9449), cc.p(1, 0.5), nil, nil, nil, nil)
	self.positionTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.topPanel_3, self.positionTitleLabel)

	self.positionLabel = createLabel({text=[[position]], font=getFont(), size=24})
	setValue(self.positionLabel, "positionLabel", 439, cc.size(82, 28), cc.p(453.1926, 70.9449), cc.p(0, 0.5), nil, nil, nil, nil)
	self.positionLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.topPanel_3, self.positionLabel)

	self.levelTitleLabel = createLabel({text=[[等级：]], font=getFont(), size=24})
	setValue(self.levelTitleLabel, "levelTitleLabel", 1635, cc.size(72, 28), cc.p(437.6218, 31.1732), cc.p(1, 0.5), nil, nil, nil, nil)
	self.levelTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.topPanel_3, self.levelTitleLabel)

	self.levelLabel = createLabel({text=[[1000]], font=getFont(), size=24})
	setValue(self.levelLabel, "levelLabel", 1007, cc.size(53, 28), cc.p(453.1926, 31.1732), cc.p(0, 0.5), nil, nil, nil, nil)
	self.levelLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.topPanel_3, self.levelLabel)

	self.rightButton = ccui.Button:create()
	setValue(self.rightButton, "rightButton", 197, cc.size(58, 106), cc.p(606.6978, 305.7499), nil, nil, nil, nil, nil)
	self.rightButton:loadTextureNormal("ccs/UiImages/common/login_btn_zuoyou.png", 1)
	self.rightButton:loadTexturePressed("ccs/UiImages/common/login_btn_zuoyou.png", 1)
	self.rightButton:loadTextureDisabled("ccs/UiImages/common/login_btn_zuoyou.png", 1)
	self.rightButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.rightButton:setTitleText([[]])
	self.rightButton:setTitleColor(cc.c3b(65, 65, 70))
	self.rightButton:setTitleFontSize(14)
	self.rightButton:setTitleFontName(getFont())
	setClickEvent(self, self.rightButton, "rightButton")
	addChildForPre(self.Panel_2, self.rightButton)

	self.leftButton = ccui.Button:create()
	setValue(self.leftButton, "leftButton", 198, cc.size(58, 106), cc.p(34.9427, 305.7498), nil, nil, nil, nil, nil)
	self.leftButton:setFlippedX(true)
	self.leftButton:loadTextureNormal("ccs/UiImages/common/login_btn_zuoyou.png", 1)
	self.leftButton:loadTexturePressed("ccs/UiImages/common/login_btn_zuoyou.png", 1)
	self.leftButton:loadTextureDisabled("ccs/UiImages/common/login_btn_zuoyou.png", 1)
	self.leftButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.leftButton:setTitleText([[]])
	self.leftButton:setTitleColor(cc.c3b(65, 65, 70))
	self.leftButton:setTitleFontSize(14)
	self.leftButton:setTitleFontName(getFont())
	setClickEvent(self, self.leftButton, "leftButton")
	addChildForPre(self.Panel_2, self.leftButton)

	self.chatButton = ccui.Button:create()
	setValue(self.chatButton, "chatButton", 1598, cc.size(153, 64), cc.p(224.1885, 58.5777), nil, nil, nil, nil, false)
	self.chatButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.chatButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.chatButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.chatButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.chatButton:setTitleText([[remove]])
	self.chatButton:setTitleFontSize(25)
	self.chatButton:setTitleFontName(getFont())
	setClickEvent(self, self.chatButton, "chatButton")
	addChildForPre(self.Panel_2, self.chatButton)

	self.titleSprite = cc.Sprite:create()
	setValue(self.titleSprite, "titleSprite", 1600, cc.size(462, 106), cc.p(329.5402, 535.5), nil, nil, nil, nil, nil)
	self.titleSprite:setScale(0.5)
	self.titleSprite:setSpriteFrame("ccs/UiImages/commonBg/CommonPanel_img_WinHeader_1.png")
	addChildForPre(self.Panel_2, self.titleSprite)

	self.closeButton = ccui.Button:create()
	setValue(self.closeButton, "closeButton", 1632, cc.size(86, 55), cc.p(520.7905, 544.3284), nil, nil, nil, nil, nil)
	self.closeButton:loadTextureNormal("ccs/UiImages/image9/CommonPanel_btn_X_0.png", 1)
	self.closeButton:loadTexturePressed("ccs/UiImages/image9/CommonPanel_btn_X_1.png", 1)
	self.closeButton:loadTextureDisabled("ccs/UiImages/image9/CommonPanel_btn_X_0.png", 1)
	self.closeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.closeButton:setTitleText([[]])
	self.closeButton:setTitleColor(cc.c3b(65, 65, 70))
	self.closeButton:setTitleFontSize(14)
	self.closeButton:setTitleFontName(getFont())
	setClickEvent(self, self.closeButton, "closeButton")
	addChildForPre(self.Panel_2, self.closeButton)

	self.titleLabel = createLabel({text=[[Text Label]], font=getFont(), size=30})
	setValue(self.titleLabel, "titleLabel", 1633, cc.size(136, 34), cc.p(329.54, 541.3856), nil, nil, nil, nil, nil)
	self.titleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_2, self.titleLabel)

	self.countryLabel = createLabel({text=[[联盟]], font=getFont(), size=20})
	setValue(self.countryLabel, "countryLabel", 1638, cc.size(40, 23), cc.p(207.7964, 233.64), nil, nil, nil, nil, nil)
	self.countryLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_2, self.countryLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/common.plist",
	"ccs/BigImages/userHead/userHead_country1_1.png",
	"ccs/plist/commonBg.plist",
}

return _M
