-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 99, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 123, cc.size(138, 132), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.Machine_gun = cc.Sprite:create()
	setValue(self.Machine_gun, "Machine_gun", 107, cc.size(256, 256), cc.p(69, 66), nil, nil, nil, nil, nil)
	self.Machine_gun:setScale(0.5)
	self.Machine_gun:setSpriteFrame("ccs/UiImages/allianceBadge/Machine_gun.png")
	addChildForPre(self.rootPanel_1, self.Machine_gun)

	self.Particle_1 = cc.ParticleSystemQuad:create("ccs/Particle/allianceBadge1_Par04.plist")
 	self.Particle_1:setPositionType(2) 
	setValue(self.Particle_1, "Particle_1", 108, nil, cc.p(69, 66), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle_1:setScale(0.3)
	addChildForPre(self.rootPanel_1, self.Particle_1)

	self.Particle_2 = cc.ParticleSystemQuad:create("ccs/Particle/allianceBadge10_Par01.plist")
 	self.Particle_2:setPositionType(2) 
	setValue(self.Particle_2, "Particle_2", 111, nil, cc.p(83.5639, 24.3331), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle_2:setRotationSkewX(27)
	self.Particle_2:setRotationSkewY(26.9953)
	self.Particle_2:setScale(0.3)
	addChildForPre(self.rootPanel_1, self.Particle_2)

	self.Particle_3 = cc.ParticleSystemQuad:create("ccs/Particle/allianceBadge10_Par01.plist")
 	self.Particle_3:setPositionType(2) 
	setValue(self.Particle_3, "Particle_3", 112, nil, cc.p(55, 24.3276), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle_3:setRotationSkewX(-39)
	self.Particle_3:setRotationSkewY(140.987)
	self.Particle_3:setScale(0.3)
	addChildForPre(self.rootPanel_1, self.Particle_3)

	self.Bullet_holes_1 = cc.ParticleSystemQuad:create("ccs/Particle/allianceBadge10_par02.plist")
 	self.Bullet_holes_1:setPositionType(2) 
	setValue(self.Bullet_holes_1, "Bullet_holes_1", 113, nil, cc.p(60.3337, 79.0001), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Bullet_holes_1:setScale(0.1)
	addChildForPre(self.rootPanel_1, self.Bullet_holes_1)

	self.Bullet_holes_2 = cc.ParticleSystemQuad:create("ccs/Particle/allianceBadge10_par02.plist")
 	self.Bullet_holes_2:setPositionType(2) 
	setValue(self.Bullet_holes_2, "Bullet_holes_2", 114, nil, cc.p(61.9734, 56.8109), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Bullet_holes_2:setScale(0.1)
	addChildForPre(self.rootPanel_1, self.Bullet_holes_2)

	self.Bullet_holes_3 = cc.ParticleSystemQuad:create("ccs/Particle/allianceBadge10_par02.plist")
 	self.Bullet_holes_3:setPositionType(2) 
	setValue(self.Bullet_holes_3, "Bullet_holes_3", 115, nil, cc.p(79.5409, 68.1622), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Bullet_holes_3:setScale(0.1)
	addChildForPre(self.rootPanel_1, self.Bullet_holes_3)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(60)
	self.animation:setTimeSpeed(1)
	local timeLine
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(5, true, 60.3337, 79.0001, nil))
	timeLine:setNode(self.Bullet_holes_1)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(5, true, 0.1000, 0.1000, nil))
	timeLine:setNode(self.Bullet_holes_1)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(5, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.Bullet_holes_1)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateEventFrame(5, true, "hole01", nil))
	timeLine:setNode(self.Bullet_holes_1)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(10, true, 61.9734, 56.8109, nil))
	timeLine:setNode(self.Bullet_holes_2)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(10, true, 0.1000, 0.1000, nil))
	timeLine:setNode(self.Bullet_holes_2)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(10, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.Bullet_holes_2)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateEventFrame(10, true, "hole02", nil))
	timeLine:setNode(self.Bullet_holes_2)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(60, true, 79.5409, 68.1622, nil))
	timeLine:setNode(self.Bullet_holes_3)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(60, true, 0.1000, 0.1000, nil))
	timeLine:setNode(self.Bullet_holes_3)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(60, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.Bullet_holes_3)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateEventFrame(60, true, "hole03", nil))
	timeLine:setNode(self.Bullet_holes_3)
	return self
end

_M.textures = {
	"ccs/plist/allianceBadge.plist",
}

return _M
