-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 99, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 123, cc.size(138, 132), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.leopard01 = cc.Sprite:create()
	setValue(self.leopard01, "leopard01", 87, cc.size(256, 256), cc.p(69, 66), nil, nil, nil, nil, nil)
	self.leopard01:setScale(0.5)
	self.leopard01:setSpriteFrame("ccs/UiImages/allianceBadge/leopard01.png")
	addChildForPre(self.rootPanel_1, self.leopard01)

	self.Particle_1 = cc.ParticleSystemQuad:create("ccs/Particle/allianceBadge6_Par02.plist")
 	self.Particle_1:setPositionType(2) 
	setValue(self.Particle_1, "Particle_1", 89, nil, cc.p(68.1858, 59.2416), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle_1:setScale(0.4)
	addChildForPre(self.rootPanel_1, self.Particle_1)

	self.Particle_2 = cc.ParticleSystemQuad:create("ccs/Particle/allianceBadge6_Par03.plist")
 	self.Particle_2:setPositionType(2) 
	setValue(self.Particle_2, "Particle_2", 90, nil, cc.p(69, 66), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle_2:setScale(0.6)
	addChildForPre(self.rootPanel_1, self.Particle_2)

	self.Particle_4 = cc.ParticleSystemQuad:create("ccs/Particle/allianceBadge15_Par01.plist")
 	self.Particle_4:setPositionType(2) 
	setValue(self.Particle_4, "Particle_4", 92, nil, cc.p(69, 66), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle_4:setScale(0.7)
	addChildForPre(self.rootPanel_1, self.Particle_4)

	self.leopard02 = cc.Sprite:create()
	setValue(self.leopard02, "leopard02", 88, cc.size(92, 94), cc.p(67.3716, 62.7528), nil, nil, nil, nil, nil)
	self.leopard02:setScale(0.5)
	self.leopard02:setSpriteFrame("ccs/UiImages/allianceBadge/leopard02.png")
	addChildForPre(self.rootPanel_1, self.leopard02)

	self.Particle_6 = cc.ParticleSystemQuad:create("ccs/Particle/allianceBadge15_Par02.plist")
 	self.Particle_6:setPositionType(2) 
	setValue(self.Particle_6, "Particle_6", 94, nil, cc.p(66.999, 70.752), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle_6:setRotationSkewX(-35)
	self.Particle_6:setRotationSkewY(-35.0028)
	self.Particle_6:setScaleX(0.3)
	self.Particle_6:setScaleY(0.5)
	addChildForPre(self.rootPanel_1, self.Particle_6)

	self.Particle_3 = cc.ParticleSystemQuad:create("ccs/Particle/allianceBadge15_Par02.plist")
 	self.Particle_3:setPositionType(2) 
	setValue(self.Particle_3, "Particle_3", 95, nil, cc.p(68.3652, 70.752), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle_3:setRotationSkewX(-15)
	self.Particle_3:setRotationSkewY(-195.0321)
	self.Particle_3:setScaleX(0.5)
	self.Particle_3:setScaleY(0.3)
	addChildForPre(self.rootPanel_1, self.Particle_3)

	self.Particle_5 = cc.ParticleSystemQuad:create("ccs/Particle/allianceBadge15_Par03.plist")
 	self.Particle_5:setPositionType(2) 
	setValue(self.Particle_5, "Particle_5", 96, nil, cc.p(67.6476, 51.4008), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle_5:setScale(0.5)
	addChildForPre(self.rootPanel_1, self.Particle_5)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(60)
	self.animation:setTimeSpeed(1)
	local timeLine
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 67.3785, 62.7568, nil))
	timeLine:addFrame(CreatePositionFrame(60, true, 67.3785, 62.7568, nil))
	timeLine:setNode(self.leopard02)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 0.5000, 0.5000, nil))
	timeLine:addFrame(CreateScaleFrame(60, true, 0.5000, 0.5000, nil))
	timeLine:setNode(self.leopard02)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(60, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.leopard02)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateEventFrame(0, true, "begin", nil))
	timeLine:addFrame(CreateEventFrame(60, true, "over", nil))
	timeLine:setNode(self.leopard02)
	return self
end

_M.textures = {
	"ccs/plist/allianceBadge.plist",
}

return _M
