-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 99, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 123, cc.size(138, 132), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bone = cc.Sprite:create()
	setValue(self.bone, "bone", 110, cc.size(256, 256), cc.p(69, 66), nil, nil, nil, nil, nil)
	self.bone:setScale(0.5)
	self.bone:setSpriteFrame("ccs/UiImages/allianceBadge/bone.png")
	addChildForPre(self.rootPanel_1, self.bone)

	self.Particle_1 = cc.ParticleSystemQuad:create("ccs/Particle/allianceBadge1_Par01.plist")
 	self.Particle_1:setPositionType(2) 
	setValue(self.Particle_1, "Particle_1", 108, nil, cc.p(62.859, 62.6868), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle_1:setRotationSkewX(-40)
	self.Particle_1:setRotationSkewY(-9.9981)
	self.Particle_1:setScale(0.2)
	addChildForPre(self.rootPanel_1, self.Particle_1)

	self.Particle_2 = cc.ParticleSystemQuad:create("ccs/Particle/allianceBadge1_Par02.plist")
 	self.Particle_2:setPositionType(2) 
	setValue(self.Particle_2, "Particle_2", 113, nil, cc.p(74.796, 62.6868), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle_2:setRotationSkewX(40)
	self.Particle_2:setRotationSkewY(10)
	self.Particle_2:setScale(0.2)
	addChildForPre(self.rootPanel_1, self.Particle_2)

	self.Particle_3 = cc.ParticleSystemQuad:create("ccs/Particle/allianceBadge1_Par03.plist")
 	self.Particle_3:setPositionType(2) 
	setValue(self.Particle_3, "Particle_3", 119, nil, cc.p(69.1242, 56.7996), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle_3:setScale(0.2)
	addChildForPre(self.rootPanel_1, self.Particle_3)

	self.Particle_4 = cc.ParticleSystemQuad:create("ccs/Particle/allianceBadge1_Par04.plist")
 	self.Particle_4:setPositionType(2) 
	setValue(self.Particle_4, "Particle_4", 120, nil, cc.p(69, 66), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle_4:setScale(0.3)
	addChildForPre(self.rootPanel_1, self.Particle_4)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/allianceBadge.plist",
}

return _M
