-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 99, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 123, cc.size(138, 132), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.sniper = cc.Sprite:create()
	setValue(self.sniper, "sniper", 73, cc.size(256, 256), cc.p(69, 66), nil, nil, nil, nil, nil)
	self.sniper:setScale(0.5)
	self.sniper:setSpriteFrame("ccs/UiImages/allianceBadge/sniper.png")
	addChildForPre(self.rootPanel_1, self.sniper)

	self.Particle_1 = cc.ParticleSystemQuad:create("ccs/Particle/allianceBadge2_Par02.plist")
 	self.Particle_1:setPositionType(2) 
	setValue(self.Particle_1, "Particle_1", 74, nil, cc.p(69, 66), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle_1:setScale(0.4)
	addChildForPre(self.rootPanel_1, self.Particle_1)

	self.Particle_2 = cc.ParticleSystemQuad:create("ccs/Particle/allianceBadge8_Par02.plist")
 	self.Particle_2:setPositionType(2) 
	setValue(self.Particle_2, "Particle_2", 85, nil, cc.p(69, 66), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle_2:setScale(0.2)
	addChildForPre(self.rootPanel_1, self.Particle_2)

	self.Particle_3 = cc.ParticleSystemQuad:create("ccs/Particle/allianceBadge8_Par03.plist")
 	self.Particle_3:setPositionType(2) 
	setValue(self.Particle_3, "Particle_3", 86, nil, cc.p(98.2316, 58.6872), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle_3:setRotationSkewX(-9)
	self.Particle_3:setRotationSkewY(-8.9994)
	self.Particle_3:setScaleX(0.25)
	self.Particle_3:setScaleY(0.4)
	addChildForPre(self.rootPanel_1, self.Particle_3)

	self.Particle_4 = cc.ParticleSystemQuad:create("ccs/Particle/allianceBadge8_Par03.plist")
 	self.Particle_4:setPositionType(2) 
	setValue(self.Particle_4, "Particle_4", 87, nil, cc.p(37.6878, 58.6872), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle_4:setRotationSkewX(-360)
	self.Particle_4:setRotationSkewY(-180.0009)
	self.Particle_4:setScaleX(0.25)
	self.Particle_4:setScaleY(0.4)
	addChildForPre(self.rootPanel_1, self.Particle_4)

	self.Particle_5 = cc.ParticleSystemQuad:create("ccs/Particle/allianceBadge8_Par04.plist")
 	self.Particle_5:setPositionType(2) 
	setValue(self.Particle_5, "Particle_5", 88, nil, cc.p(67.206, 66), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle_5:setScale(0.5)
	addChildForPre(self.rootPanel_1, self.Particle_5)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(60)
	self.animation:setTimeSpeed(1)
	local timeLine
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 69.0000, 66.0000, nil))
	timeLine:setNode(self.sniper)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 0.5000, 0.5000, nil))
	timeLine:setNode(self.sniper)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.sniper)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateEventFrame(0, true, "begin", nil))
	timeLine:addFrame(CreateEventFrame(60, true, "over", nil))
	timeLine:setNode(self.sniper)
	return self
end

_M.textures = {
	"ccs/plist/allianceBadge.plist",
}

return _M
