-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 609, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	self.rootPanel:setClippingEnabled(true)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 156, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 179, cc.size(640, 960), cc.p(320, 482.016), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.listPanel = ccui.Layout:create()
	setValue(self.listPanel, "XIN_listPanel", 2132, cc.size(640, 650), cc.p(320, 128), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.listPanel)
	self.listPanel_3 = self.listPanel

	self.listviewPanel = ccui.Layout:create()
	setValue(self.listviewPanel, "XHB_listviewPanel", 2133, cc.size(640, 650), cc.p(0, 1), nil, nil, nil, nil, nil)
	addChildForPre(self.listPanel_3, self.listviewPanel)

	self.bottomLine = ccui.ImageView:create()
	setValue(self.bottomLine, "WXN_bottomLine", 569, cc.size(640, 30), cc.p(320, 120), nil, nil, nil, nil, false)
	self.bottomLine:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.bottomLine:setScale9Enabled(true)
	self.bottomLine:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.dialogPanel_2, self.bottomLine)

	self.downline = ccui.ImageView:create()
	setValue(self.downline, "WXN_downline", 2128, cc.size(640, 8), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.downline:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	self.downline:setScale9Enabled(true)
	self.downline:setCapInsets(cc.rect(0, 0, 640, 8))
	addChildForPre(self.dialogPanel_2, self.downline)

	self.rankButton = ccui.Button:create()
	setValue(self.rankButton, "XBN_rankButton", 1513, cc.size(153, 64), cc.p(162, 44.0508), nil, nil, nil, nil, false)
	self.rankButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.rankButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.rankButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.rankButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.rankButton:setTitleText([[rank]])
	self.rankButton:setTitleFontSize(24)
	self.rankButton:setTitleFontName(getFont())
	setClickEvent(self, self.rankButton, "rankButton")
	addChildForPre(self.dialogPanel_2, self.rankButton)

	self.exchangeButton = ccui.Button:create()
	setValue(self.exchangeButton, "XBN_exchangeButton", 1514, cc.size(153, 64), cc.p(468, 44.0508), nil, nil, nil, nil, false)
	self.exchangeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.exchangeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.exchangeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.exchangeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.exchangeButton:setTitleText([[exchange]])
	self.exchangeButton:setTitleFontSize(24)
	self.exchangeButton:setTitleFontName(getFont())
	setClickEvent(self, self.exchangeButton, "exchangeButton")
	addChildForPre(self.dialogPanel_2, self.exchangeButton)
	self.exchangeButton_3 = self.exchangeButton

	self.exchange_redPoint = cc.Sprite:create()
	setValue(self.exchange_redPoint, "exchange_redPoint", 154, cc.size(25, 25), cc.p(130.05, 48), nil, nil, nil, nil, nil)
	self.exchange_redPoint:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.exchangeButton_3, self.exchange_redPoint)

	self.currentRankTitleLabel = createLabel({text=[[currentRank]], font=getFont(), size=20})
	setValue(self.currentRankTitleLabel, "currentRankTitleLabel", 389, cc.size(108, 23), cc.p(116.3306, 89.378), cc.p(0, 0.5), cc.c4b(255, 231, 0, 255), nil, nil, nil)
	self.currentRankTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.currentRankTitleLabel:setColor(cc.c4b(255, 231, 0, 255))
	addChildForPre(self.dialogPanel_2, self.currentRankTitleLabel)

	self.currentRankLabel = createLabel({text=[[xxx]], font=getFont(), size=20})
	setValue(self.currentRankLabel, "currentRankLabel", 1063, cc.size(30, 23), cc.p(109.3285, 89.3779), cc.p(1, 0.5), nil, nil, nil, nil)
	self.currentRankLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.currentRankLabel)

	self.currentScoreLabel = createLabel({text=[[000000]], font=getFont(), size=20})
	setValue(self.currentScoreLabel, "currentScoreLabel", 347, cc.size(66, 23), cc.p(320, 89.376), nil, nil, nil, nil, nil)
	self.currentScoreLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.currentScoreLabel)

	self.leftNumTitleLabel = createLabel({text=[[LeftNum]], font=getFont(), size=20})
	setValue(self.leftNumTitleLabel, "leftNumTitleLabel", 89, cc.size(75, 23), cc.p(624, 89.3307), cc.p(1, 0.5), nil, nil, nil, nil)
	self.leftNumTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.leftNumTitleLabel)

	self.upLabelPanel = ccui.Layout:create()
	setValue(self.upLabelPanel, "TWX_upLabelPanel", 2130, cc.size(640, 50), cc.p(320, 811.2), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.upLabelPanel)
	self.upLabelPanel_3 = self.upLabelPanel

	self.upback = ccui.ImageView:create()
	setValue(self.upback, "WXN_upback", 2129, cc.size(612, 46), cc.p(320, 25), nil, nil, nil, nil, false)
	self.upback:loadTexture("ccs/UiImages/common/arena_img_plate.png", 1)
	self.upback:setScale9Enabled(true)
	self.upback:setCapInsets(cc.rect(5, 5, 470, 32))
	addChildForPre(self.upLabelPanel_3, self.upback)

	self.upTitle = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.upTitle, "XNN_upTitle", 2131, cc.size(109, 28), cc.p(320, 25), nil, cc.c4b(176, 234, 212, 255), nil, nil, nil)
	self.upTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.upTitle:setColor(cc.c4b(176, 234, 212, 255))
	addChildForPre(self.upLabelPanel_3, self.upTitle)

	self.costLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.costLabel, "costLabel", 516, cc.size(109, 28), cc.p(504.3817, 71.2238), cc.p(1, 0.5), nil, nil, nil, nil)
	self.costLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.upLabelPanel_3, self.costLabel)

	self.costDiamond = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.costDiamond, "costDiamond", 518, cc.size(109, 28), cc.p(548.8107, 71.2249), cc.p(0, 0.5), nil, nil, nil, nil)
	self.costDiamond:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.upLabelPanel_3, self.costDiamond)

	self.diamondIcon = cc.Sprite:create()
	setValue(self.diamondIcon, "diamondIcon", 517, cc.size(35, 35), cc.p(526.4393, 71.2238), nil, nil, nil, nil, nil)
	self.diamondIcon:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainUi_zuanshi.png")
	addChildForPre(self.upLabelPanel_3, self.diamondIcon)

	self.changeButton = ccui.Button:create()
	self.changeButton:setScale9Enabled(true)
	self.changeButton:setCapInsets(cc.rect(0, 0, 139, 51))
	self.changeButton:setContentSize(cc.size(139, 60))
	setValue(self.changeButton, "changeButton", 515, nil, cc.p(526.5964, 25.0583), nil, nil, nil, nil, false)
	self.changeButton:loadTextureNormal("ccs/UiImages/image9/arena_btn_huan_0.png", 1)
	self.changeButton:loadTexturePressed("ccs/UiImages/image9/arena_btn_huan_1.png", 1)
	self.changeButton:loadTextureDisabled("ccs/UiImages/image9/arena_btn_huan_0.png", 1)
	self.changeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.changeButton:setTitleText([[]])
	self.changeButton:setTitleFontSize(24)
	self.changeButton:setTitleFontName(getFont())
	setClickEvent(self, self.changeButton, "changeButton")
	addChildForPre(self.upLabelPanel_3, self.changeButton)

	self.lbFreeLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.lbFreeLabel, "lbFreeLabel", 1993, cc.size(91, 23), cc.p(528.31, 73.7248), nil, nil, nil, nil, nil)
	self.lbFreeLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.upLabelPanel_3, self.lbFreeLabel)

	self.Sprite_299 = cc.Sprite:create()
	setValue(self.Sprite_299, "Sprite_299", 193, cc.size(46, 46), cc.p(526.5964, 25.0583), nil, nil, nil, nil, nil)
	self.Sprite_299:setTexture("Default/Sprite.png")
	addChildForPre(self.upLabelPanel_3, self.Sprite_299)

	if CommonDialogFrame1CloseUi then 
 		self.commonDialogFrame1CloseUi = CommonDialogFrame1CloseUi.new() 
 	else 
		self.commonDialogFrame1CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame1CloseUi, "commonDialogFrame1CloseUi", 151, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/common.plist",
	"ccs/plist/mainUiFeeling.plist",
	"Default/Sprite.png",
}

return _M
