-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_1 = cc.Node:create()
	setValue(self.Node_1, "Node_1", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_1)
 	self.uiRootNode = self.Node_1
	self.Node_1_0 = self.Node_1

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 68, cc.size(640, 170), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_1_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.Image_10 = ccui.ImageView:create()
	setValue(self.Image_10, "Image_10", 1623, cc.size(612, 167), cc.p(320, 85), nil, nil, nil, nil, nil)
	self.Image_10:loadTexture("ccs/UiImages/commonBg/common_img_ditiao.png", 1)
	addChildForPre(self.rootPanel_1, self.Image_10)

	self.bigPanel = ccui.Layout:create()
	setValue(self.bigPanel, "bigPanel", 69, cc.size(640, 162), cc.p(320, 85), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.bigPanel)
	self.bigPanel_2 = self.bigPanel

	self.exchangeButton = ccui.Button:create()
	setValue(self.exchangeButton, "exchangeButton", 76, cc.size(180, 85), cc.p(522.112, 65.9988), nil, nil, nil, nil, false)
	self.exchangeButton:setScale(0.92)
	self.exchangeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.exchangeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.exchangeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.exchangeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.exchangeButton:setTitleText([[exchange]])
	self.exchangeButton:setTitleFontSize(25)
	self.exchangeButton:setTitleFontName(getFont())
	setClickEvent(self, self.exchangeButton, "exchangeButton")
	addChildForPre(self.bigPanel_2, self.exchangeButton)
	self.exchangeButton_3 = self.exchangeButton

	self.exchange_cell_redPoint = cc.Sprite:create()
	setValue(self.exchange_cell_redPoint, "exchange_cell_redPoint", 268, cc.size(25, 25), cc.p(162, 63.75), nil, nil, nil, nil, nil)
	self.exchange_cell_redPoint:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.exchangeButton_3, self.exchange_cell_redPoint)

	if CommonItemCellIconUi then 
 		self.commonItemCellIconUi = CommonItemCellIconUi.new() 
 	else 
		self.commonItemCellIconUi = BaseUi.new("ccs/ui/commonDialog/CommonItemCellIconUi.lua")
 	end 
	setValue(self.commonItemCellIconUi, "commonItemCellIconUi", 771, nil, cc.p(38.5, 30), nil, nil, nil, nil, nil)
	addChildForPre(self.bigPanel_2, self.commonItemCellIconUi)

	self.Image_19_Copy = ccui.ImageView:create()
	setValue(self.Image_19_Copy, "Image_19_Copy", 1668, cc.size(270, 62), cc.p(282.6229, 88), nil, nil, nil, nil, false)
	self.Image_19_Copy:loadTexture("ccs/UiImages/image9/common_s9_diban.png", 1)
	self.Image_19_Copy:setScale9Enabled(true)
	self.Image_19_Copy:setCapInsets(cc.rect(5, 5, 19, 24))
	addChildForPre(self.bigPanel_2, self.Image_19_Copy)

	self.Image_19_Copy_0 = ccui.ImageView:create()
	setValue(self.Image_19_Copy_0, "Image_19_Copy_0", 1669, cc.size(270, 36), cc.p(282.6228, 36.5913), nil, nil, nil, nil, false)
	self.Image_19_Copy_0:loadTexture("ccs/UiImages/image9/common_s9_diban.png", 1)
	self.Image_19_Copy_0:setScale9Enabled(true)
	self.Image_19_Copy_0:setCapInsets(cc.rect(5, 5, 19, 24))
	addChildForPre(self.bigPanel_2, self.Image_19_Copy_0)

	self.descTtileLabel = createLabel({text=[[descTtileLabel]], font=getFont(), size=24,align = 1,valign = 1})
	setValue(self.descTtileLabel, "descTtileLabel", 70, cc.size(154, 28), cc.p(153.344, 134.8164), cc.p(0, 0.5), nil, nil, nil, nil)
	self.descTtileLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.descTtileLabel)

	self.descLabel = createLabel({text=[[descLabel]], font=getFont(), size=18, dimensions = cc.size(255.0000, 50.0000)})
	setValue(self.descLabel, "descLabel", 71, cc.size(255, 50), cc.p(154.176, 113.0112), cc.p(0, 1), nil, nil, nil, false)
	self.descLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.descLabel)

	self.scoreTitleLabel = createLabel({text=[[100000]], font=getFont(), size=18})
	setValue(self.scoreTitleLabel, "scoreTitleLabel", 25, cc.size(60, 21), cc.p(152.832, 36.5958), cc.p(0, 0.5), nil, nil, nil, nil)
	self.scoreTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.scoreTitleLabel)

	self.needLevelTitleLabel = createLabel({text=[[needLevelTitleLabel]], font=getFont(), size=20})
	setValue(self.needLevelTitleLabel, "needLevelTitleLabel", 1149, cc.size(178, 23), cc.p(520.768, 124.173), nil, cc.c4b(255, 223, 0, 255), nil, nil, nil)
	self.needLevelTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.needLevelTitleLabel:setColor(cc.c4b(255, 223, 0, 255))
	addChildForPre(self.bigPanel_2, self.needLevelTitleLabel)

	self.descInfoLabel = createLabel({text=[[descInfoLabel]], font=getFont(), size=20})
	setValue(self.descInfoLabel, "descInfoLabel", 727, cc.size(124, 23), cc.p(522.1121, 125.2922), nil, nil, nil, nil, nil)
	self.descInfoLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.descInfoLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/common.plist",
}

return _M
