-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_1 = cc.Node:create()
	setValue(self.Node_1, "Node_1", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_1)
 	self.uiRootNode = self.Node_1
	self.Node_1_0 = self.Node_1

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 196, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_1_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 924, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 5, cc.size(640, 960), cc.p(320, 480.576), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.panelInfo = ccui.Layout:create()
	setValue(self.panelInfo, "WXN_panelInfo", 1706, cc.size(640, 130), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.panelInfo)
	self.panelInfo_3 = self.panelInfo

	self.currentScoreTitleLabel = createLabel({text=[[currentScoreLabel]], font=getFont(), size=24})
	setValue(self.currentScoreTitleLabel, "currentScoreTitleLabel", 44, cc.size(196, 28), cc.p(321.024, 65), cc.p(1, 0.5), nil, nil, nil, nil)
	self.currentScoreTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.panelInfo_3, self.currentScoreTitleLabel)

	self.currentScoreLabel = createLabel({text=[[Score]], font=getFont(), size=24})
	setValue(self.currentScoreLabel, "currentScoreLabel", 207, cc.size(62, 28), cc.p(333.568, 65), cc.p(0, 0.5), nil, nil, nil, nil)
	self.currentScoreLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.panelInfo_3, self.currentScoreLabel)

	self.line = ccui.ImageView:create()
	setValue(self.line, "WXT_line", 1705, cc.size(640, 30), cc.p(316.544, 130), nil, nil, nil, nil, false)
	self.line:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.line:setScale9Enabled(true)
	self.line:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.panelInfo_3, self.line)

	self.zhangongSprite = cc.Sprite:create()
	setValue(self.zhangongSprite, "zhangongSprite", 33, cc.size(100, 100), cc.p(342.98, 63.8526), nil, nil, nil, nil, nil)
	self.zhangongSprite:setScale(0.4)
	self.zhangongSprite:setSpriteFrame("ccs/UiImages/icon/zhangong_1.png")
	addChildForPre(self.panelInfo_3, self.zhangongSprite)

	self.listPanel = ccui.Layout:create()
	setValue(self.listPanel, "XIN_listPanel", 1881, cc.size(640, 740), cc.p(320, 140), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.listPanel)
	self.listPanel_3 = self.listPanel

	self.contentPanel = ccui.Layout:create()
	setValue(self.contentPanel, "HBN_contentPanel", 14, cc.size(640, 740), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.listPanel_3, self.contentPanel)

	if CommonDialogFrame1CloseUi then 
 		self.commonDialogFrame1CloseUi = CommonDialogFrame1CloseUi.new() 
 	else 
		self.commonDialogFrame1CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame1CloseUi, "commonDialogFrame1CloseUi", 778, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/icon.plist",
}

return _M
