-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 16, cc.size(640, 284), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.leftPanel = ccui.Layout:create()
	setValue(self.leftPanel, "leftPanel", 84, cc.size(640, 284), cc.p(320, 142), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.leftPanel)
	self.leftPanel_2 = self.leftPanel

	self.leftinfoBack = cc.Sprite:create()
	setValue(self.leftinfoBack, "leftinfoBack", 85, cc.size(351, 161), cc.p(0, 284), cc.p(0, 1), nil, nil, nil, nil)
	self.leftinfoBack:setSpriteFrame("ccs/UiImages/commonBg/commonBg_section_04.png")
	addChildForPre(self.leftPanel_2, self.leftinfoBack)

	self.leftArrow = cc.Sprite:create()
	setValue(self.leftArrow, "leftArrow", 68, cc.size(21, 412), cc.p(323.0002, 38.9021), nil, nil, nil, nil, nil)
	self.leftArrow:setRotationSkewX(52)
	self.leftArrow:setRotationSkewY(52)
	self.leftArrow:setSpriteFrame("ccs/UiImages/common/arena_img_xian.png")
	addChildForPre(self.leftPanel_2, self.leftArrow)

	self.leftshipNode = cc.Node:create()
	setValue(self.leftshipNode, "leftshipNode", 90, nil, cc.p(530, 180), nil, nil, nil, nil, nil)
	addChildForPre(self.leftPanel_2, self.leftshipNode)
	self.leftshipNode_3 = self.leftshipNode

	self.leftSelect = cc.Sprite:create()
	setValue(self.leftSelect, "leftSelect", 67, cc.size(127, 58), nil, nil, nil, nil, nil, nil)
	self.leftSelect:setSpriteFrame("ccs/UiImages/common/camp_img_dizuo.png")
	addChildForPre(self.leftshipNode_3, self.leftSelect)

	self.leftIcon = cc.Sprite:create()
	setValue(self.leftIcon, "leftIcon", 289, cc.size(46, 46), nil, nil, nil, nil, nil, nil)
	self.leftIcon:setTexture("Default/Sprite.png")
	addChildForPre(self.leftshipNode_3, self.leftIcon)

	self.leftShipName = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.leftShipName, "leftShipName", 286, cc.size(91, 23), cc.p(0, 50), nil, nil, nil, nil, nil)
	self.leftShipName:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftshipNode_3, self.leftShipName)

	self.leftLevel = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.leftLevel, "leftLevel", 87, cc.size(100, 26), cc.p(22.3065, 165.55), cc.p(0, 0.5), nil, nil, nil, nil)
	self.leftLevel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftPanel_2, self.leftLevel)

	self.leftNumber = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.leftNumber, "leftNumber", 542, cc.size(100, 26), cc.p(22.3065, 136.1032), cc.p(0, 0.5), nil, nil, nil, nil)
	self.leftNumber:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftPanel_2, self.leftNumber)

	self.leftlbRank = createLabel({text=[[Text Label]], font=getFont(), size=26})
	setValue(self.leftlbRank, "leftlbRank", 194, cc.size(118, 31), cc.p(39.7352, 237.4157), nil, nil, nil, nil, nil)
	self.leftlbRank:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftPanel_2, self.leftlbRank)

	self.leftName = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.leftName, "leftName", 88, cc.size(109, 28), cc.p(141.0059, 216), cc.p(0, 0.5), nil, nil, nil, nil)
	self.leftName:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftPanel_2, self.leftName)

	self.leftNumber2 = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.leftNumber2, "leftNumber2", 175, cc.size(100, 26), cc.p(118.6296, 136.1032), cc.p(0, 0.5), cc.c4b(0, 255, 0, 255), nil, nil, nil)
	self.leftNumber2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.leftNumber2:setColor(cc.c4b(0, 255, 0, 255))
	addChildForPre(self.leftPanel_2, self.leftNumber2)

	self.leftMyRank = cc.Sprite:create()
	setValue(self.leftMyRank, "leftMyRank", 196, cc.size(46, 46), cc.p(167.1659, 266), nil, nil, nil, nil, nil)
	self.leftMyRank:setTexture("Default/Sprite.png")
	addChildForPre(self.leftPanel_2, self.leftMyRank)

	self.leftTime = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.leftTime, "leftTime", 198, cc.size(91, 23), cc.p(22, 102.84), cc.p(0, 0.5), cc.c4b(255, 0, 0, 255), nil, nil, nil)
	self.leftTime:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.leftTime:setColor(cc.c4b(255, 0, 0, 255))
	addChildForPre(self.leftPanel_2, self.leftTime)

	self.rightPanel = ccui.Layout:create()
	setValue(self.rightPanel, "rightPanel", 69, cc.size(640, 284), cc.p(320, 142), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.rightPanel)
	self.rightPanel_2 = self.rightPanel

	self.rightinfoBack = cc.Sprite:create()
	setValue(self.rightinfoBack, "rightinfoBack", 70, cc.size(351, 161), cc.p(640, 284), cc.p(1, 1), nil, nil, nil, nil)
	self.rightinfoBack:setFlippedX(true)
	self.rightinfoBack:setSpriteFrame("ccs/UiImages/commonBg/commonBg_section_04.png")
	addChildForPre(self.rightPanel_2, self.rightinfoBack)

	self.rightArrow = cc.Sprite:create()
	setValue(self.rightArrow, "rightArrow", 71, cc.size(21, 412), cc.p(318, 41.0002), nil, nil, nil, nil, nil)
	self.rightArrow:setFlippedX(true)
	self.rightArrow:setRotationSkewX(-52)
	self.rightArrow:setRotationSkewY(-52)
	self.rightArrow:setSpriteFrame("ccs/UiImages/common/arena_img_xian.png")
	addChildForPre(self.rightPanel_2, self.rightArrow)

	self.rightshipNode = cc.Node:create()
	setValue(self.rightshipNode, "rightshipNode", 72, nil, cc.p(110, 180), nil, nil, nil, nil, nil)
	addChildForPre(self.rightPanel_2, self.rightshipNode)
	self.rightshipNode_3 = self.rightshipNode

	self.rightSelect = cc.Sprite:create()
	setValue(self.rightSelect, "rightSelect", 73, cc.size(127, 58), nil, nil, nil, nil, nil, nil)
	self.rightSelect:setSpriteFrame("ccs/UiImages/common/camp_img_dizuo.png")
	addChildForPre(self.rightshipNode_3, self.rightSelect)

	self.rightIcon = cc.Sprite:create()
	setValue(self.rightIcon, "rightIcon", 288, cc.size(46, 46), nil, nil, nil, nil, nil, nil)
	self.rightIcon:setTexture("Default/Sprite.png")
	addChildForPre(self.rightshipNode_3, self.rightIcon)

	self.rightShipName = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.rightShipName, "rightShipName", 287, cc.size(91, 23), cc.p(0, 50), nil, nil, nil, nil, nil)
	self.rightShipName:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightshipNode_3, self.rightShipName)

	self.rightLevel = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.rightLevel, "rightLevel", 75, cc.size(100, 26), cc.p(617, 165.55), cc.p(1, 0.5), nil, nil, nil, nil)
	self.rightLevel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightPanel_2, self.rightLevel)

	self.rightName = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.rightName, "rightName", 76, cc.size(109, 28), cc.p(317, 216), cc.p(0, 0.5), nil, nil, nil, nil)
	self.rightName:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightPanel_2, self.rightName)

	self.rightlbRank = createLabel({text=[[Text Label]], font=getFont(), size=26})
	setValue(self.rightlbRank, "rightlbRank", 195, cc.size(118, 31), cc.p(596.1532, 237.4157), nil, nil, nil, nil, nil)
	self.rightlbRank:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightPanel_2, self.rightlbRank)

	self.rightNumber = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.rightNumber, "rightNumber", 64, cc.size(100, 26), cc.p(492.3101, 136.1032), cc.p(1, 0.5), nil, nil, nil, nil)
	self.rightNumber:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightPanel_2, self.rightNumber)

	self.rightNumber2 = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.rightNumber2, "rightNumber2", 174, cc.size(100, 26), cc.p(616.9999, 136.1032), cc.p(1, 0.5), cc.c4b(0, 255, 0, 255), nil, nil, nil)
	self.rightNumber2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rightNumber2:setColor(cc.c4b(0, 255, 0, 255))
	addChildForPre(self.rightPanel_2, self.rightNumber2)

	self.rightMyRank = cc.Sprite:create()
	setValue(self.rightMyRank, "rightMyRank", 197, cc.size(46, 46), cc.p(459.4297, 266), nil, nil, nil, nil, nil)
	self.rightMyRank:setTexture("Default/Sprite.png")
	addChildForPre(self.rightPanel_2, self.rightMyRank)

	self.rightTime = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.rightTime, "rightTime", 199, cc.size(91, 23), cc.p(616, 102.84), cc.p(1, 0.5), cc.c4b(255, 0, 0, 255), nil, nil, nil)
	self.rightTime:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rightTime:setColor(cc.c4b(255, 0, 0, 255))
	addChildForPre(self.rightPanel_2, self.rightTime)

	self.actionButton = ccui.Button:create()
	self.actionButton:setScale9Enabled(true)
	self.actionButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.actionButton:setContentSize(cc.size(640, 150))
	setValue(self.actionButton, "actionButton", 290, nil, cc.p(320.2548, 190), nil, nil, nil, nil, false)
	self.actionButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.actionButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.actionButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.actionButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.actionButton:setTitleText([[]])
	self.actionButton:setTitleColor(cc.c3b(65, 65, 70))
	self.actionButton:setTitleFontSize(14)
	self.actionButton:setTitleFontName(getFont())
	setClickEvent(self, self.actionButton, "actionButton")
	addChildForPre(self.rootPanel_1, self.actionButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/common.plist",
	"Default/Sprite.png",
	"ccs/plist/image9.plist",
}

return _M
