-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 4, cc.size(390, 200), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "dialogPanel", 24, cc.size(390, 200), cc.p(195, 100), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.back = ccui.ImageView:create()
	setValue(self.back, "back", 25, cc.size(380, 155), cc.p(195, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.back:loadTexture("ccs/UiImages/image9/common_s9_diban1.png", 1)
	self.back:setScale9Enabled(true)
	self.back:setCapInsets(cc.rect(5, 5, 14, 14))
	addChildForPre(self.dialogPanel_2, self.back)

	self.lbName = createLabel({text=[[Text Label]], font=getFont(), size=30})
	setValue(self.lbName, "lbName", 26, cc.size(136, 34), cc.p(223.314, 178), cc.p(1, 0.5), nil, nil, nil, nil)
	self.lbName:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.lbName)

	self.lbLevel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.lbLevel, "lbLevel", 27, cc.size(109, 28), cc.p(368.316, 178), cc.p(1, 0.5), cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.lbLevel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.lbLevel:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.dialogPanel_2, self.lbLevel)

	self.lbRank = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.lbRank, "lbRank", 302, cc.size(109, 28), cc.p(195, 124.6884), nil, nil, nil, nil, nil)
	self.lbRank:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.lbRank)

	self.lbGet = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.lbGet, "lbGet", 303, cc.size(109, 28), cc.p(195, 92.4441), nil, nil, nil, nil, nil)
	self.lbGet:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.lbGet)

	self.lbGetJifen = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.lbGetJifen, "lbGetJifen", 304, cc.size(109, 28), cc.p(195, 27.9556), nil, nil, nil, nil, nil)
	self.lbGetJifen:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.lbGetJifen)

	self.lbGetRongyu = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.lbGetRongyu, "lbGetRongyu", 305, cc.size(109, 28), cc.p(195, 60.1999), nil, nil, nil, nil, nil)
	self.lbGetRongyu:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.lbGetRongyu)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/common.plist",
}

return _M
