-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 3, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 245, nil, cc.p(0, 0.0001), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "AXY_Panel", 64, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Panel)
	self.Panel_2 = self.Panel

	self.contentPanel = ccui.Layout:create()
	setValue(self.contentPanel, "AXY_contentPanel", 88, cc.size(640, 810), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.contentPanel)

	self.tabPanel = ccui.Layout:create()
	setValue(self.tabPanel, "WXT_tabPanel", 82, cc.size(640, 60), cc.p(320, 844.8), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.tabPanel)
	self.tabPanel_3 = self.tabPanel

	self.commonArticleBox = ccui.ImageView:create()
	setValue(self.commonArticleBox, "WXN_commonArticleBox", 482, cc.size(640, 62), cc.p(320, 27.528), nil, nil, nil, nil, nil)
	self.commonArticleBox:loadTexture("ccs/UiImages/commonBg/common_img_diban00.png", 1)
	addChildForPre(self.tabPanel_3, self.commonArticleBox)

	self.tab1Button = ccui.Button:create()
	self.tab1Button:setScale9Enabled(true)
	self.tab1Button:setCapInsets(cc.rect(10, 10, 227, 71))
	self.tab1Button:setContentSize(cc.size(130, 50))
	setValue(self.tab1Button, "tab1Button", 289, nil, cc.p(82, 30.0001), nil, nil, nil, nil, false)
	self.tab1Button:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.tab1Button:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tab1Button:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tab1Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tab1Button:setTitleText([[tab1Button]])
	self.tab1Button:setTitleFontSize(25)
	self.tab1Button:setTitleFontName(getFont())
	setClickEvent(self, self.tab1Button, "tab1Button")
	addChildForPre(self.tabPanel_3, self.tab1Button)
	self.tab1Button_4 = self.tab1Button

	self.REDPOINT_REWARD_STSTEM = cc.Sprite:create()
	setValue(self.REDPOINT_REWARD_STSTEM, "REDPOINT_REWARD_STSTEM", 642, cc.size(25, 25), cc.p(114.4, 40), nil, nil, nil, nil, nil)
	self.REDPOINT_REWARD_STSTEM:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.tab1Button_4, self.REDPOINT_REWARD_STSTEM)

	self.tab2Button = ccui.Button:create()
	self.tab2Button:setScale9Enabled(true)
	self.tab2Button:setCapInsets(cc.rect(10, 10, 227, 71))
	self.tab2Button:setContentSize(cc.size(130, 50))
	setValue(self.tab2Button, "tab2Button", 290, nil, cc.p(82, 30.0001), nil, nil, nil, nil, false)
	self.tab2Button:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.tab2Button:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tab2Button:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tab2Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tab2Button:setTitleText([[tab2Button]])
	self.tab2Button:setTitleFontSize(25)
	self.tab2Button:setTitleFontName(getFont())
	setClickEvent(self, self.tab2Button, "tab2Button")
	addChildForPre(self.tabPanel_3, self.tab2Button)
	self.tab2Button_4 = self.tab2Button

	self.REDPOINT_REWARD_MAILBOX = cc.Sprite:create()
	setValue(self.REDPOINT_REWARD_MAILBOX, "REDPOINT_REWARD_MAILBOX", 643, cc.size(25, 25), cc.p(117, 40), nil, nil, nil, nil, nil)
	self.REDPOINT_REWARD_MAILBOX:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.tab2Button_4, self.REDPOINT_REWARD_MAILBOX)

	self.ImageLine = ccui.ImageView:create()
	setValue(self.ImageLine, "WXN_ImageLine", 301, cc.size(640, 8), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.ImageLine:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	self.ImageLine:setScale9Enabled(true)
	self.ImageLine:setCapInsets(cc.rect(0, 0, 640, 8))
	addChildForPre(self.Panel_2, self.ImageLine)

	if CommonDialogFrame1CloseUi then 
 		self.commonDialogFrame1CloseUi = CommonDialogFrame1CloseUi.new() 
 	else 
		self.commonDialogFrame1CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame1CloseUi, "commonDialogFrame1CloseUi", 88, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
}

return _M
