-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 3, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 64, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	if CommonNewUi then 
 		self.commonNewUi = CommonNewUi.new() 
 	else 
		self.commonNewUi = BaseUi.new("ccs/ui/commonDialog/CommonNewUi.lua")
 	end 
	setValue(self.commonNewUi, "commonNewUi", 2783, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.commonNewUi)

	self.downPanel = ccui.Layout:create()
	setValue(self.downPanel, "WXB_downPanel", 376, cc.size(640, 150), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.downPanel)
	self.downPanel_3 = self.downPanel

	self.rewardAllButton = ccui.Button:create()
	setValue(self.rewardAllButton, "rewardAllButton", 87, cc.size(153, 64), cc.p(322.048, 49.215), nil, nil, nil, nil, false)
	self.rewardAllButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.rewardAllButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.rewardAllButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.rewardAllButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.rewardAllButton:setTitleText([[Button]])
	self.rewardAllButton:setTitleFontSize(25)
	self.rewardAllButton:setTitleFontName(getFont())
	setClickEvent(self, self.rewardAllButton, "rewardAllButton")
	addChildForPre(self.downPanel_3, self.rewardAllButton)

	self.Image_7 = ccui.ImageView:create()
	setValue(self.Image_7, "Image_7", 375, cc.size(640, 30), cc.p(320, 150), nil, nil, nil, nil, false)
	self.Image_7:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.Image_7:setScale9Enabled(true)
	self.Image_7:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.downPanel_3, self.Image_7)

	self.rewardInfoLabel = createLabel({text=[[rewardInfoLabel]], font=getFont(), size=24})
	setValue(self.rewardInfoLabel, "rewardInfoLabel", 89, cc.size(172, 28), cc.p(320, 106.455), nil, cc.c4b(255, 0, 0, 255), nil, nil, nil)
	self.rewardInfoLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rewardInfoLabel:setColor(cc.c4b(255, 0, 0, 255))
	addChildForPre(self.downPanel_3, self.rewardInfoLabel)

	self.rewardListPanel = ccui.Layout:create()
	setValue(self.rewardListPanel, "XIN_rewardListPanel", 88, cc.size(640, 704), cc.p(320, 518.4), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.rewardListPanel)

	self.rewardNumLabel = createLabel({text=[[rewardNumLabel]], font=getFont(), size=24,align = 2})
	setValue(self.rewardNumLabel, "rewardNumLabel", 112, cc.size(182, 28), cc.p(617.984, 118.272), cc.p(1, 0.5), cc.c4b(217, 194, 105, 255), nil, nil, nil)
	self.rewardNumLabel:setVisible(false)
	self.rewardNumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rewardNumLabel:setColor(cc.c4b(217, 194, 105, 255))
	addChildForPre(self.dialogPanel_2, self.rewardNumLabel)

	self.labelNoInfo = createLabel({text=[[labelNoInfo]], font=getFont(), size=28})
	setValue(self.labelNoInfo, "XYN_labelNoInfo", 716, cc.size(141, 32), cc.p(320, 480), nil, nil, nil, nil, nil)
	self.labelNoInfo:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.labelNoInfo)

	self.topImage = ccui.ImageView:create()
	setValue(self.topImage, "TWX_topImage", 2795, cc.size(640, 8), cc.p(320, 816), nil, nil, nil, nil, false)
	self.topImage:setVisible(false)
	self.topImage:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	self.topImage:setScale9Enabled(true)
	self.topImage:setCapInsets(cc.rect(0, 0, 640, 8))
	addChildForPre(self.dialogPanel_2, self.topImage)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
}

return _M
