-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 69, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 70, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "XYN_dialogPanel", 71, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.upDoorSprite = cc.Sprite:create()
	setValue(self.upDoorSprite, "upDoorSprite", 181, cc.size(750, 690), cc.p(319.9996, 796.5), nil, nil, nil, nil, nil)
	self.upDoorSprite:setSpriteFrame("ccs/UiImages/battleEffectEnter/challenge_img_up.png")
	addChildForPre(self.dialogPanel_2, self.upDoorSprite)

	self.downDoorSprite = cc.Sprite:create()
	setValue(self.downDoorSprite, "downDoorSprite", 182, cc.size(750, 670), cc.p(319.9969, 148.5), nil, nil, nil, nil, nil)
	self.downDoorSprite:setSpriteFrame("ccs/UiImages/battleEffectEnter/challenge_img_down.png")
	addChildForPre(self.dialogPanel_2, self.downDoorSprite)
	self.downDoorSprite_3 = self.downDoorSprite

	self.inDoorSprite = cc.Sprite:create()
	setValue(self.inDoorSprite, "inDoorSprite", 183, cc.size(157, 157), cc.p(369.15, 667), nil, nil, nil, nil, nil)
	self.inDoorSprite:setSpriteFrame("ccs/UiImages/battleEffectEnter/challenge_img_in.png")
	addChildForPre(self.downDoorSprite_3, self.inDoorSprite)

	self.lightSprite = cc.Sprite:create()
	setValue(self.lightSprite, "lightSprite", 8, cc.size(105, 106), cc.p(208, 500), nil, nil, nil, nil, nil)
	self.lightSprite:setSpriteFrame("ccs/UiImages/battleEffectEnter/challenge_img_light.png")
	addChildForPre(self.dialogPanel_2, self.lightSprite)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/battleEffectEnter.plist",
}

return _M
