-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 174, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 175, cc.size(640, 400), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.shengli01001 = cc.Sprite:create()
	setValue(self.shengli01001, "shengli01001", 182, cc.size(240, 120), cc.p(248.54, 277.4), nil, nil, nil, nil, nil)
	self.shengli01001:setRotationSkewY(180)
	self.shengli01001:setSpriteFrame("ccs/UiImages/battle/shengli01003.png")
	addChildForPre(self.rootPanel_1, self.shengli01001)

	self.shengli01002 = cc.Sprite:create()
	setValue(self.shengli01002, "shengli01002", 201, cc.size(240, 120), cc.p(390.21, 276.62), nil, nil, nil, nil, nil)
	self.shengli01002:setSpriteFrame("ccs/UiImages/battle/shengli01003.png")
	addChildForPre(self.rootPanel_1, self.shengli01002)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(150)
	self.animation:setTimeSpeed(1)
	local timeLine
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 248.5400, 277.4000, nil))
	timeLine:addFrame(CreatePositionFrame(29, true, 248.5400, 277.4000, nil))
	timeLine:setNode(self.shengli01001)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(29, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.shengli01001)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 180.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(29, true, 0.0000, 180.0000, nil))
	timeLine:setNode(self.shengli01001)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateTextureFrame(0, true, "ccs/UiImages/battle/shengli01001.png", nil))
	timeLine:addFrame(CreateTextureFrame(5, true, "ccs/UiImages/battle/shengli01001.png", nil))
	timeLine:addFrame(CreateTextureFrame(11, true, "ccs/UiImages/battle/shengli01002.png", nil))
	timeLine:addFrame(CreateTextureFrame(17, true, "ccs/UiImages/battle/shengli01003.png", nil))
	timeLine:addFrame(CreateTextureFrame(23, true, "ccs/UiImages/battle/shengli01004.png", nil))
	timeLine:addFrame(CreateTextureFrame(29, true, "ccs/UiImages/battle/shengli01005.png", nil))
	timeLine:setNode(self.shengli01001)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(0, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(5, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(29, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(35, true, cc.c3b(255,255,255), 0, nil))
	timeLine:setNode(self.shengli01001)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 390.2100, 276.6200, nil))
	timeLine:setNode(self.shengli01002)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateTextureFrame(5, true, "ccs/UiImages/battle/shengli01001.png", nil))
	timeLine:addFrame(CreateTextureFrame(11, true, "ccs/UiImages/battle/shengli01002.png", nil))
	timeLine:addFrame(CreateTextureFrame(17, true, "ccs/UiImages/battle/shengli01003.png", nil))
	timeLine:addFrame(CreateTextureFrame(23, true, "ccs/UiImages/battle/shengli01004.png", nil))
	timeLine:addFrame(CreateTextureFrame(29, true, "ccs/UiImages/battle/shengli01005.png", nil))
	timeLine:setNode(self.shengli01002)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(0, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(5, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(29, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(35, true, cc.c3b(255,255,255), 0, nil))
	timeLine:setNode(self.shengli01002)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(150, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.rootPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(150, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.rootPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(150, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.rootPanel)
	return self
end

_M.textures = {
	"ccs/plist/winLose.plist",
}

return _M
