-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 276, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "XYN_dialogPanel", 3332, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.vsUsersNode = cc.Node:create()
	setValue(self.vsUsersNode, "XYN_vsUsersNode", 644, nil, cc.p(320, 624), nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.vsUsersNode)
	self.vsUsersNode_3 = self.vsUsersNode

	self.InfoPanel = ccui.Layout:create()
	setValue(self.InfoPanel, "InfoPanel", 55, cc.size(640, 300), cc.p(0, -303), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.vsUsersNode_3, self.InfoPanel)
	self.InfoPanel_4 = self.InfoPanel

	self.militaryInfo = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.militaryInfo, "militaryInfo", 56, cc.size(109, 28), cc.p(320, 236.85), nil, cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.militaryInfo:setVisible(false)
	self.militaryInfo:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.militaryInfo:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.InfoPanel_4, self.militaryInfo)

	self.GoldNumber = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.GoldNumber, "GoldNumber", 57, cc.size(109, 28), cc.p(308.736, 187.14), cc.p(0, 0.5), nil, nil, nil, nil)
	self.GoldNumber:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.InfoPanel_4, self.GoldNumber)

	self.GoldMineNumber = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.GoldMineNumber, "GoldMineNumber", 58, cc.size(109, 28), cc.p(308.736, 135.645), cc.p(0, 0.5), nil, nil, nil, nil)
	self.GoldMineNumber:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.InfoPanel_4, self.GoldMineNumber)

	self.MilitaryNumber = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.MilitaryNumber, "MilitaryNumber", 59, cc.size(109, 28), cc.p(308.736, 84.15), cc.p(0, 0.5), nil, nil, nil, nil)
	self.MilitaryNumber:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.InfoPanel_4, self.MilitaryNumber)

	self.GoldIcon = cc.Sprite:create()
	setValue(self.GoldIcon, "GoldIcon", 60, cc.size(100, 100), cc.p(245.12, 187.14), nil, nil, nil, nil, nil)
	self.GoldIcon:setScale(0.5)
	self.GoldIcon:setSpriteFrame("ccs/UiImages/icon/jinbi.png")
	addChildForPre(self.InfoPanel_4, self.GoldIcon)

	self.GoldMineIcon = cc.Sprite:create()
	setValue(self.GoldMineIcon, "GoldMineIcon", 61, cc.size(120, 116), cc.p(245.12, 135.64), nil, nil, nil, nil, nil)
	self.GoldMineIcon:setScale(0.5)
	self.GoldMineIcon:setSpriteFrame("ccs/UiImages/battle/winLose_img_star_1.png")
	addChildForPre(self.InfoPanel_4, self.GoldMineIcon)

	self.MilitaryMineIcon = cc.Sprite:create()
	setValue(self.MilitaryMineIcon, "MilitaryMineIcon", 62, cc.size(100, 100), cc.p(245.12, 84.14), nil, nil, nil, nil, nil)
	self.MilitaryMineIcon:setScale(0.5)
	self.MilitaryMineIcon:setSpriteFrame("ccs/UiImages/icon/tegongling.png")
	addChildForPre(self.InfoPanel_4, self.MilitaryMineIcon)

	self.rewardTitleBg = ccui.ImageView:create()
	setValue(self.rewardTitleBg, "rewardTitleBg", 250, cc.size(290, 40), cc.p(320, 236.85), nil, nil, nil, nil, nil)
	self.rewardTitleBg:loadTexture("ccs/UiImages/battle/winLose_img_txtbg_1.png", 1)
	addChildForPre(self.InfoPanel_4, self.rewardTitleBg)
	self.rewardTitleBg_5 = self.rewardTitleBg

	self.spriteTitle = cc.Sprite:create()
	setValue(self.spriteTitle, "spriteTitle", 304, cc.size(46, 46), cc.p(145, 20), nil, nil, nil, nil, nil)
	self.spriteTitle:setTexture("Default/Sprite.png")
	addChildForPre(self.rewardTitleBg_5, self.spriteTitle)

	self.WinLoseUser = cc.Sprite:create()
	setValue(self.WinLoseUser, "WinLoseUser", 413, cc.size(573, 93), nil, nil, nil, nil, nil, nil)
	self.WinLoseUser:setSpriteFrame("ccs/UiImages/battle/winLose_img_vs_jingjichang.png")
	addChildForPre(self.vsUsersNode_3, self.WinLoseUser)
	self.WinLoseUser_4 = self.WinLoseUser

	self.bnameLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.bnameLabel, "bnameLabel", 418, cc.size(91, 23), cc.p(441.21, 26.97), nil, nil, nil, nil, nil)
	self.bnameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.WinLoseUser_4, self.bnameLabel)

	self.anameLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.anameLabel, "anameLabel", 417, cc.size(91, 23), cc.p(131.79, 67.89), nil, nil, nil, nil, nil)
	self.anameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.WinLoseUser_4, self.anameLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/icon.plist",
	"ccs/plist/battle.plist",
	"Default/Sprite.png",
}

return _M
