-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_0 = cc.Node:create()
	setValue(self.Node_0, "Node_0", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_0)
 	self.uiRootNode = self.Node_0
	self.Node_0_0 = self.Node_0

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 1, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 1041, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 687, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.backgroundPanel = ccui.Layout:create()
	setValue(self.backgroundPanel, "AXY_backgroundPanel", 183, cc.size(640, 700), cc.p(320, 523), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.backgroundPanel)
	self.backgroundPanel_3 = self.backgroundPanel

	self.Background = ccui.ImageView:create()
	setValue(self.Background, "AXY_Background", 410, cc.size(633.6, 700), cc.p(320, 350), nil, nil, nil, nil, false)
	self.Background:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.Background:setScale9Enabled(true)
	self.Background:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.backgroundPanel_3, self.Background)

	self.infoPanel = ccui.Layout:create()
	setValue(self.infoPanel, "AXY_infoPanel", 666, cc.size(640, 700), cc.p(320, 523), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.infoPanel)
	self.infoPanel_3 = self.infoPanel

	self.ShipNode = cc.Node:create()
	setValue(self.ShipNode, "XYN_ShipNode", 411, nil, cc.p(320, 420), nil, nil, nil, nil, nil)
	addChildForPre(self.infoPanel_3, self.ShipNode)
	self.ShipNode_4 = self.ShipNode

	self.tankBigButton = ccui.Button:create()
	self.tankBigButton:setScale9Enabled(true)
	self.tankBigButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.tankBigButton:setContentSize(cc.size(377, 500))
	setValue(self.tankBigButton, "tankBigButton", 172, nil, nil, nil, nil, nil, nil, false)
	self.tankBigButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.tankBigButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.tankBigButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.tankBigButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tankBigButton:setTitleText([[]])
	self.tankBigButton:setTitleColor(cc.c3b(65, 65, 70))
	self.tankBigButton:setTitleFontSize(14)
	self.tankBigButton:setTitleFontName(getFont())
	setClickEvent(self, self.tankBigButton, "tankBigButton")
	addChildForPre(self.ShipNode_4, self.tankBigButton)

	self.TankShowStand = cc.Sprite:create()
	setValue(self.TankShowStand, "TankShowStand", 190, cc.size(360, 402), nil, nil, nil, nil, nil, nil)
	self.TankShowStand:setScale(1.48)
	self.TankShowStand:setSpriteFrame("ccs/UiImages/commonBg/qualityBg11.png")
	addChildForPre(self.ShipNode_4, self.TankShowStand)

	self.tankSprite = cc.Sprite:create()
	setValue(self.tankSprite, "tankSprite", 228, cc.size(46, 46), nil, nil, nil, nil, nil, nil)
	self.tankSprite:setScale(0.8)
	self.tankSprite:setTexture("Default/Sprite.png")
	addChildForPre(self.ShipNode_4, self.tankSprite)

	self.attrPanel = ccui.Layout:create()
	setValue(self.attrPanel, "RBN_attrPanel", 115, cc.size(100, 75), cc.p(349.952, 193.48), cc.p(0.5, 0.5016), nil, nil, nil, nil)
	addChildForPre(self.infoPanel_3, self.attrPanel)
	self.attrPanel_4 = self.attrPanel

	self.imgMeizi = ccui.ImageView:create()
	setValue(self.imgMeizi, "imgMeizi", 1209, cc.size(361, 452), cc.p(121, 348.75), cc.p(0.5, 1), nil, nil, nil, nil)
	self.imgMeizi:setScale(0.6)
	self.imgMeizi:loadTexture("ccs/BigImages/userHead/userHead_img_unknow.webp")
	addChildForPre(self.attrPanel_4, self.imgMeizi)
	self.imgMeizi_5 = self.imgMeizi

	self.btnPainting = ccui.Button:create()
	self.btnPainting:setScale9Enabled(true)
	self.btnPainting:setCapInsets(cc.rect(0, 0, 10, 10))
	self.btnPainting:setContentSize(cc.size(280, 379))
	setValue(self.btnPainting, "btnPainting", 1210, nil, cc.p(176.89, 253.12), nil, nil, nil, nil, false)
	self.btnPainting:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.btnPainting:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.btnPainting:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.btnPainting:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.btnPainting:setTitleText([[]])
	self.btnPainting:setTitleColor(cc.c3b(65, 65, 70))
	self.btnPainting:setTitleFontSize(14)
	self.btnPainting:setTitleFontName(getFont())
	setClickEvent(self, self.btnPainting, "btnPainting")
	addChildForPre(self.imgMeizi_5, self.btnPainting)

	self.guideNode = cc.Node:create()
	setValue(self.guideNode, "guideNode", 1261, nil, cc.p(19, 80), nil, nil, nil, nil, nil)
	addChildForPre(self.imgMeizi_5, self.guideNode)

	self.attrHpTitleLabel = createLabel({text=[[attrHpTitleLabel]], font=getFont(), size=22})
	setValue(self.attrHpTitleLabel, "attrHpTitleLabel", 116, cc.size(154, 26), cc.p(110, 139.777), cc.p(1, 0.5), nil, nil, nil, nil)
	self.attrHpTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attrPanel_4, self.attrHpTitleLabel)

	self.attrAtkTitleLabel = createLabel({text=[[attrAtkTitleLabel]], font=getFont(), size=22})
	setValue(self.attrAtkTitleLabel, "attrAtkTitleLabel", 117, cc.size(158, 26), cc.p(110, 107.5152), cc.p(1, 0.5), nil, nil, nil, nil)
	self.attrAtkTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attrPanel_4, self.attrAtkTitleLabel)

	self.attrDf1TitleLabel = createLabel({text=[[attrDf1TitleLabel]], font=getFont(), size=22})
	setValue(self.attrDf1TitleLabel, "attrDf1TitleLabel", 118, cc.size(160, 26), cc.p(110, 75.3322), cc.p(1, 0.5), nil, nil, nil, nil)
	self.attrDf1TitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attrPanel_4, self.attrDf1TitleLabel)

	self.attrDf2TitleLabel = createLabel({text=[[attrDf2TitleLabel]], font=getFont(), size=22})
	setValue(self.attrDf2TitleLabel, "attrDf2TitleLabel", 119, cc.size(160, 26), cc.p(110, 41.9404), cc.p(1, 0.5), nil, nil, nil, nil)
	self.attrDf2TitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attrPanel_4, self.attrDf2TitleLabel)

	self.attrHpLabel = createLabel({text=[[1111111]], font=getFont(), size=22})
	setValue(self.attrHpLabel, "attrHpLabel", 120, cc.size(75, 26), cc.p(114.34, 140.2425), cc.p(0, 0.5), nil, nil, nil, nil)
	self.attrHpLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attrPanel_4, self.attrHpLabel)

	self.attrAtkLabel = createLabel({text=[[1]], font=getFont(), size=22})
	setValue(self.attrAtkLabel, "attrAtkLabel", 128, cc.size(12, 26), cc.p(114.34, 107.985), cc.p(0, 0.5), nil, nil, nil, nil)
	self.attrAtkLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attrPanel_4, self.attrAtkLabel)

	self.attrDf1Label = createLabel({text=[[1]], font=getFont(), size=22})
	setValue(self.attrDf1Label, "attrDf1Label", 129, cc.size(12, 26), cc.p(114.34, 75.8025), cc.p(0, 0.5), nil, nil, nil, nil)
	self.attrDf1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attrPanel_4, self.attrDf1Label)

	self.attrDf2Label = createLabel({text=[[1]], font=getFont(), size=22})
	setValue(self.attrDf2Label, "attrDf2Label", 130, cc.size(12, 26), cc.p(114.34, 42.405), cc.p(0, 0.5), nil, nil, nil, nil)
	self.attrDf2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attrPanel_4, self.attrDf2Label)

	self.shipTitlePanel = ccui.Layout:create()
	setValue(self.shipTitlePanel, "TXN_shipTitlePanel", 240, cc.size(640, 72), cc.p(320, 664), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.infoPanel_3, self.shipTitlePanel)
	self.shipTitlePanel_4 = self.shipTitlePanel

	self.CommonUnderframeTitle = cc.Sprite:create()
	setValue(self.CommonUnderframeTitle, "CommonUnderframeTitle", 396, cc.size(368, 42), cc.p(320, 36), nil, nil, nil, nil, nil)
	self.CommonUnderframeTitle:setSpriteFrame("ccs/UiImages/common/common_Partsimg_ditiao.png")
	addChildForPre(self.shipTitlePanel_4, self.CommonUnderframeTitle)

	self.tankNameAddLabel = createLabel({text=[[+X]], font=getFont(), size=24,valign = 1})
	setValue(self.tankNameAddLabel, "tankNameAddLabel", 225, cc.size(30, 28), cc.p(458.304, 36), cc.p(1, 0.5), cc.c4b(0, 255, 0, 255), nil, nil, nil)
	self.tankNameAddLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.tankNameAddLabel:setColor(cc.c4b(0, 255, 0, 255))
	addChildForPre(self.shipTitlePanel_4, self.tankNameAddLabel)

	self.tankNameLabel = createLabel({text=[[tank name]], font=getFont(), size=32,align = 1,valign = 2})
	setValue(self.tankNameLabel, "tankNameLabel", 17, cc.size(149, 37), cc.p(320.384, 36), cc.p(0.5029, 0.5), cc.c4b(255, 127, 0, 255), nil, nil, nil)
	self.tankNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.tankNameLabel:setColor(cc.c4b(255, 127, 0, 255))
	addChildForPre(self.shipTitlePanel_4, self.tankNameLabel)

	self.shipTypeSprite = cc.Sprite:create()
	setValue(self.shipTypeSprite, "shipTypeSprite", 1279, cc.size(46, 46), cc.p(174.784, 33.3), nil, nil, nil, nil, nil)
	self.shipTypeSprite:setTexture("Default/Sprite.png")
	addChildForPre(self.shipTitlePanel_4, self.shipTypeSprite)

	self.tankAtkTypeLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.tankAtkTypeLabel, "tankAtkTypeLabel", 1214, cc.size(109, 28), cc.p(176.1171, -7.3372), nil, cc.c4b(201, 21, 0, 255), nil, nil, nil)
	self.tankAtkTypeLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.tankAtkTypeLabel:setColor(cc.c4b(201, 21, 0, 255))
	addChildForPre(self.shipTitlePanel_4, self.tankAtkTypeLabel)

	self.tankLVLabel = createLabel({text=[[LV0]], font=getFont(), size=24})
	setValue(self.tankLVLabel, "tankLVLabel", 223, cc.size(40, 28), cc.p(320, -3.0024), nil, cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.tankLVLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.tankLVLabel:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.shipTitlePanel_4, self.tankLVLabel)

	self.setLeaderButton = ccui.Button:create()
	setValue(self.setLeaderButton, "setLeaderButton", 21, cc.size(81, 25), cc.p(504, -0.9998), cc.p(1, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, false)
	self.setLeaderButton:loadTextureNormal("ccs/UiImages/image9/Underline.png", 1)
	self.setLeaderButton:loadTexturePressed("ccs/UiImages/image9/Underline.png", 1)
	self.setLeaderButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.setLeaderButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.setLeaderButton:setTitleText([[setLeaderButton]])
	self.setLeaderButton:setTitleColor(cc.c3b(0, 230, 255))
	self.setLeaderButton:setTitleFontSize(24)
	self.setLeaderButton:setTitleFontName(getFont())
	setClickEvent(self, self.setLeaderButton, "setLeaderButton")
	addChildForPre(self.shipTitlePanel_4, self.setLeaderButton)

	self.qualityStars = cc.Node:create()
	setValue(self.qualityStars, "qualityStars", 389, nil, cc.p(172.992, -36), nil, nil, nil, nil, nil)
	addChildForPre(self.shipTitlePanel_4, self.qualityStars)
	self.qualityStars_5 = self.qualityStars

	self.iconStar1 = cc.Sprite:create()
	setValue(self.iconStar1, "iconStar1", 391, cc.size(40, 38), nil, nil, nil, nil, nil, nil)
	self.iconStar1:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.qualityStars_5, self.iconStar1)

	self.iconStar2 = cc.Sprite:create()
	setValue(self.iconStar2, "iconStar2", 508, cc.size(40, 38), cc.p(0, -40), nil, nil, nil, nil, nil)
	self.iconStar2:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.qualityStars_5, self.iconStar2)

	self.iconStar3 = cc.Sprite:create()
	setValue(self.iconStar3, "iconStar3", 509, cc.size(40, 38), cc.p(0, -80), nil, nil, nil, nil, nil)
	self.iconStar3:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.qualityStars_5, self.iconStar3)

	self.iconStar4 = cc.Sprite:create()
	setValue(self.iconStar4, "iconStar4", 510, cc.size(40, 38), cc.p(0, -120), nil, nil, nil, nil, nil)
	self.iconStar4:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.qualityStars_5, self.iconStar4)

	self.iconStar5 = cc.Sprite:create()
	setValue(self.iconStar5, "iconStar5", 511, cc.size(40, 38), cc.p(0, -160), nil, nil, nil, nil, nil)
	self.iconStar5:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.qualityStars_5, self.iconStar5)

	self.isLeaderSprite = cc.Sprite:create()
	setValue(self.isLeaderSprite, "isLeaderSprite", 127, cc.size(46, 35), cc.p(465.984, 36), nil, nil, nil, nil, nil)
	self.isLeaderSprite:setSpriteFrame("ccs/UiImages/common/common_img_ship07-79.png")
	addChildForPre(self.shipTitlePanel_4, self.isLeaderSprite)

	self.lbLead = createLabel({text=[[S]], font=getFont(), size=24})
	setValue(self.lbLead, "lbLead", 475, cc.size(16, 28), cc.p(467.2, -1.368), nil, cc.c4b(255, 228, 0, 255), nil, nil, nil)
	self.lbLead:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.lbLead:setColor(cc.c4b(255, 228, 0, 255))
	addChildForPre(self.shipTitlePanel_4, self.lbLead)

	self.skillPanel = ccui.Layout:create()
	setValue(self.skillPanel, "LHY_skillPanel", 23, cc.size(120, 570), cc.p(10, 860), cc.p(0, 1), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.skillPanel)
	self.skillPanel_3 = self.skillPanel

	if CampTankSkillCellUi then 
 		self.skill1_CampTankSkillCellUi = CampTankSkillCellUi.new() 
 	else 
		self.skill1_CampTankSkillCellUi = BaseUi.new("ccs/ui/camp/CampTankSkillCellUi.lua")
 	end 
	setValue(self.skill1_CampTankSkillCellUi, "YNN_skill1_CampTankSkillCellUi", 24, nil, cc.p(13, 440.0001), nil, nil, nil, nil, nil)
	addChildForPre(self.skillPanel_3, self.skill1_CampTankSkillCellUi)

	if CampTankSkillCellUi then 
 		self.skill2_CampTankSkillCellUi = CampTankSkillCellUi.new() 
 	else 
		self.skill2_CampTankSkillCellUi = BaseUi.new("ccs/ui/camp/CampTankSkillCellUi.lua")
 	end 
	setValue(self.skill2_CampTankSkillCellUi, "YNN_skill2_CampTankSkillCellUi", 76, nil, cc.p(13, 293.3334), nil, nil, nil, nil, nil)
	addChildForPre(self.skillPanel_3, self.skill2_CampTankSkillCellUi)

	if CampTankSkillCellUi then 
 		self.skill3_CampTankSkillCellUi = CampTankSkillCellUi.new() 
 	else 
		self.skill3_CampTankSkillCellUi = BaseUi.new("ccs/ui/camp/CampTankSkillCellUi.lua")
 	end 
	setValue(self.skill3_CampTankSkillCellUi, "YNN_skill3_CampTankSkillCellUi", 83, nil, cc.p(13, 146.6667), nil, nil, nil, nil, nil)
	addChildForPre(self.skillPanel_3, self.skill3_CampTankSkillCellUi)

	self.OfficerPanel = ccui.Layout:create()
	setValue(self.OfficerPanel, "YNN_OfficerPanel", 879, cc.size(120, 120), cc.p(13, 0), nil, nil, nil, nil, nil)
	addChildForPre(self.skillPanel_3, self.OfficerPanel)
	self.OfficerPanel_4 = self.OfficerPanel

	self.addOfficerPanel = ccui.Layout:create()
	setValue(self.addOfficerPanel, "addOfficerPanel", 1010, cc.size(120, 120), cc.p(0, 22), nil, nil, nil, nil, nil)
	addChildForPre(self.OfficerPanel_4, self.addOfficerPanel)

	self.background = cc.Sprite:create()
	setValue(self.background, "background", 1016, cc.size(200, 200), cc.p(60, 120), cc.p(0.5, 1), nil, nil, nil, nil)
	self.background:setScale(0.5)
	self.background:setVisible(false)
	self.background:setSpriteFrame("ccs/UiImages/common/camp_img_jiangling01.png")
	addChildForPre(self.OfficerPanel_4, self.background)

	self.heroIcon = cc.Sprite:create()
	setValue(self.heroIcon, "heroIcon", 1015, cc.size(163, 153), cc.p(55.0004, 68.0007), nil, nil, nil, nil, nil)
	self.heroIcon:setScale(0.5)
	self.heroIcon:setVisible(false)
	self.heroIcon:setSpriteFrame("ccs/UiImages/common/camp_img_jiangling03.png")
	addChildForPre(self.OfficerPanel_4, self.heroIcon)

	self.Sprite_269 = cc.Sprite:create()
	setValue(self.Sprite_269, "Sprite_269", 1017, cc.size(118, 65), cc.p(55.0004, 24.0005), cc.p(0.5, 0), nil, nil, nil, nil)
	self.Sprite_269:setVisible(false)
	self.Sprite_269:setSpriteFrame("ccs/UiImages/common/camp_img_jiangling02.png")
	addChildForPre(self.OfficerPanel_4, self.Sprite_269)

	self.heroName = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.heroName, "heroName", 1018, cc.size(91, 23), cc.p(55, 9), nil, nil, nil, nil, nil)
	self.heroName:setVisible(false)
	self.heroName:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.OfficerPanel_4, self.heroName)

	self.partsListPanel = ccui.Layout:create()
	setValue(self.partsListPanel, "RHY_partsListPanel", 200, cc.size(116, 570), cc.p(630, 860), cc.p(1, 1), nil, nil, nil, nil)
	self.partsListPanel:setScaleX(1.02)
	self.partsListPanel:setScaleY(1)
	addChildForPre(self.dialogPanel_2, self.partsListPanel)
	self.partsListPanel_3 = self.partsListPanel

	self.part1 = ccui.Layout:create()
	setValue(self.part1, "YNN_part1", 131, cc.size(100, 124), cc.p(0, 439.9999), nil, nil, nil, nil, nil)
	addChildForPre(self.partsListPanel_3, self.part1)
	self.part1_4 = self.part1

	if CommonItemCellIconUi then 
 		self.part1commonItemCellIconUi = CommonItemCellIconUi.new() 
 	else 
		self.part1commonItemCellIconUi = BaseUi.new("ccs/ui/commonDialog/CommonItemCellIconUi.lua")
 	end 
	setValue(self.part1commonItemCellIconUi, "part1commonItemCellIconUi", 132, nil, cc.p(0, 24), nil, nil, nil, nil, nil)
	addChildForPre(self.part1_4, self.part1commonItemCellIconUi)

	self.part1Name = createLabel({text=[[Text Label]], font=getFont(), size=18})
	setValue(self.part1Name, "part1Name", 143, cc.size(82, 21), cc.p(50, 12), nil, nil, nil, nil, nil)
	self.part1Name:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.part1_4, self.part1Name)

	self.part2 = ccui.Layout:create()
	setValue(self.part2, "YNN_part2", 144, cc.size(100, 124), cc.p(0, 293.3333), nil, nil, nil, nil, nil)
	addChildForPre(self.partsListPanel_3, self.part2)
	self.part2_4 = self.part2

	if CommonItemCellIconUi then 
 		self.part2commonItemCellIconUi = CommonItemCellIconUi.new() 
 	else 
		self.part2commonItemCellIconUi = BaseUi.new("ccs/ui/commonDialog/CommonItemCellIconUi.lua")
 	end 
	setValue(self.part2commonItemCellIconUi, "part2commonItemCellIconUi", 145, nil, cc.p(0, 24), nil, nil, nil, nil, nil)
	addChildForPre(self.part2_4, self.part2commonItemCellIconUi)

	self.part2Name = createLabel({text=[[Text Label]], font=getFont(), size=18})
	setValue(self.part2Name, "part2Name", 156, cc.size(82, 21), cc.p(50, 12), nil, nil, nil, nil, nil)
	self.part2Name:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.part2_4, self.part2Name)

	self.part3 = ccui.Layout:create()
	setValue(self.part3, "YNN_part3", 157, cc.size(100, 124), cc.p(0, 146.6666), nil, nil, nil, nil, nil)
	addChildForPre(self.partsListPanel_3, self.part3)
	self.part3_4 = self.part3

	if CommonItemCellIconUi then 
 		self.part3commonItemCellIconUi = CommonItemCellIconUi.new() 
 	else 
		self.part3commonItemCellIconUi = BaseUi.new("ccs/ui/commonDialog/CommonItemCellIconUi.lua")
 	end 
	setValue(self.part3commonItemCellIconUi, "part3commonItemCellIconUi", 158, nil, cc.p(0, 24), nil, nil, nil, nil, nil)
	addChildForPre(self.part3_4, self.part3commonItemCellIconUi)

	self.part3Name = createLabel({text=[[Text Label]], font=getFont(), size=18})
	setValue(self.part3Name, "part3Name", 169, cc.size(82, 21), cc.p(50, 12), nil, nil, nil, nil, nil)
	self.part3Name:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.part3_4, self.part3Name)

	self.part4 = ccui.Layout:create()
	setValue(self.part4, "YNN_part4", 170, cc.size(100, 124), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.partsListPanel_3, self.part4)
	self.part4_4 = self.part4

	if CommonItemCellIconUi then 
 		self.part4commonItemCellIconUi = CommonItemCellIconUi.new() 
 	else 
		self.part4commonItemCellIconUi = BaseUi.new("ccs/ui/commonDialog/CommonItemCellIconUi.lua")
 	end 
	setValue(self.part4commonItemCellIconUi, "part4commonItemCellIconUi", 171, nil, cc.p(0, 24), nil, nil, nil, nil, nil)
	addChildForPre(self.part4_4, self.part4commonItemCellIconUi)

	self.part4Name = createLabel({text=[[Text Label]], font=getFont(), size=18})
	setValue(self.part4Name, "part4Name", 182, cc.size(82, 21), cc.p(50, 12), nil, nil, nil, nil, nil)
	self.part4Name:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.part4_4, self.part4Name)

	self.medalUiPrePanel = ccui.Layout:create()
	setValue(self.medalUiPrePanel, "AXY_medalUiPrePanel", 182, cc.size(640, 600), cc.p(0, 268), nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.medalUiPrePanel)

	self.topMedalUiPrePanel = ccui.Layout:create()
	setValue(self.topMedalUiPrePanel, "AXY_topMedalUiPrePanel", 555, cc.size(640, 700), cc.p(320, 523), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.topMedalUiPrePanel)
	self.topMedalUiPrePanel_3 = self.topMedalUiPrePanel

	self.partAndMedalNode = cc.Node:create()
	setValue(self.partAndMedalNode, "LBN_partAndMedalNode", 883, nil, cc.p(139, 133), nil, nil, nil, nil, nil)
	addChildForPre(self.topMedalUiPrePanel_3, self.partAndMedalNode)
	self.partAndMedalNode_4 = self.partAndMedalNode

	self.replacePartAndMedalButton = ccui.Button:create()
	setValue(self.replacePartAndMedalButton, "replacePartAndMedalButton", 174, cc.size(81, 25), nil, cc.p(0, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, false)
	self.replacePartAndMedalButton:loadTextureNormal("ccs/UiImages/image9/Underline.png", 1)
	self.replacePartAndMedalButton:loadTexturePressed("ccs/UiImages/image9/Underline.png", 1)
	self.replacePartAndMedalButton:loadTextureDisabled("ccs/UiImages/image9/Underline.png", 1)
	self.replacePartAndMedalButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.replacePartAndMedalButton:setTitleText([[medal]])
	self.replacePartAndMedalButton:setTitleColor(cc.c3b(0, 230, 255))
	self.replacePartAndMedalButton:setTitleFontSize(24)
	self.replacePartAndMedalButton:setTitleFontName(getFont())
	setClickEvent(self, self.replacePartAndMedalButton, "replacePartAndMedalButton")
	addChildForPre(self.partAndMedalNode_4, self.replacePartAndMedalButton)

	self.medalRedPoint = cc.Sprite:create()
	setValue(self.medalRedPoint, "medalRedPoint", 323, cc.size(24, 24), cc.p(60, 12), nil, nil, nil, nil, nil)
	self.medalRedPoint:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.partAndMedalNode_4, self.medalRedPoint)

	self.toPartsNode = cc.Node:create()
	setValue(self.toPartsNode, "LBN_toPartsNode", 1089, nil, cc.p(139, 133), nil, nil, nil, nil, nil)
	addChildForPre(self.topMedalUiPrePanel_3, self.toPartsNode)
	self.toPartsNode_4 = self.toPartsNode

	self.replacePartsButton = ccui.Button:create()
	setValue(self.replacePartsButton, "replacePartsButton", 1091, cc.size(81, 25), nil, cc.p(0, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, false)
	self.replacePartsButton:loadTextureNormal("ccs/UiImages/image9/Underline.png", 1)
	self.replacePartsButton:loadTexturePressed("ccs/UiImages/image9/Underline.png", 1)
	self.replacePartsButton:loadTextureDisabled("ccs/UiImages/image9/Underline.png", 1)
	self.replacePartsButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.replacePartsButton:setTitleText([[medal]])
	self.replacePartsButton:setTitleColor(cc.c3b(0, 230, 255))
	self.replacePartsButton:setTitleFontSize(24)
	self.replacePartsButton:setTitleFontName(getFont())
	setClickEvent(self, self.replacePartsButton, "replacePartsButton")
	addChildForPre(self.toPartsNode_4, self.replacePartsButton)

	self.changeTankButton = ccui.Button:create()
	setValue(self.changeTankButton, "RBN_changeTankButton", 22, cc.size(81, 25), cc.p(473.9982, 132.9999), cc.p(1, 0.5), cc.c4b(255, 242, 0, 255), nil, nil, false)
	self.changeTankButton:loadTextureNormal("ccs/UiImages/image9/Underline.png", 1)
	self.changeTankButton:loadTexturePressed("ccs/UiImages/image9/Underline.png", 1)
	self.changeTankButton:loadTextureDisabled("ccs/UiImages/image9/Underline.png", 1)
	self.changeTankButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.changeTankButton:setTitleText([[更换坦克]])
	self.changeTankButton:setTitleColor(cc.c3b(246, 255, 0))
	self.changeTankButton:setTitleFontSize(24)
	self.changeTankButton:setTitleFontName(getFont())
	setClickEvent(self, self.changeTankButton, "changeTankButton")
	addChildForPre(self.topMedalUiPrePanel_3, self.changeTankButton)

	self.bottomButtons = cc.Node:create()
	setValue(self.bottomButtons, "XYN_bottomButtons", 664, nil, cc.p(320, 220.8), nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.bottomButtons)
	self.bottomButtons_3 = self.bottomButtons

	self.infoButton = ccui.Button:create()
	setValue(self.infoButton, "infoButton", 109, cc.size(153, 64), nil, nil, nil, nil, nil, false)
	self.infoButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.infoButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.infoButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.infoButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.infoButton:setTitleText([[info]])
	self.infoButton:setTitleFontSize(24)
	self.infoButton:setTitleFontName(getFont())
	setClickEvent(self, self.infoButton, "infoButton")
	addChildForPre(self.bottomButtons_3, self.infoButton)

	self.arrayButton = ccui.Button:create()
	setValue(self.arrayButton, "arrayButton", 447, cc.size(153, 64), cc.p(-214.0001, 0), nil, nil, nil, nil, false)
	self.arrayButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.arrayButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.arrayButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.arrayButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.arrayButton:setTitleText([[arrayButton]])
	self.arrayButton:setTitleFontSize(24)
	self.arrayButton:setTitleFontName(getFont())
	setClickEvent(self, self.arrayButton, "arrayButton")
	addChildForPre(self.bottomButtons_3, self.arrayButton)

	self.autoAddPartsButton = ccui.Button:create()
	setValue(self.autoAddPartsButton, "autoAddPartsButton", 64, cc.size(153, 64), cc.p(215.9997, 0), nil, nil, nil, nil, false)
	self.autoAddPartsButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.autoAddPartsButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.autoAddPartsButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.autoAddPartsButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.autoAddPartsButton:setTitleText([[autoAddParts]])
	self.autoAddPartsButton:setTitleFontSize(25)
	self.autoAddPartsButton:setTitleFontName(getFont())
	setClickEvent(self, self.autoAddPartsButton, "autoAddPartsButton")
	addChildForPre(self.bottomButtons_3, self.autoAddPartsButton)

	self.closeButton = ccui.Button:create()
	setValue(self.closeButton, "RTN_closeButton", 2200, cc.size(80, 60), cc.p(640, 960), cc.p(1, 1), nil, nil, nil, nil)
	self.closeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_close_0.png", 1)
	self.closeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_close_1.png", 1)
	self.closeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_close_0.png", 1)
	self.closeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.closeButton:setTitleText([[]])
	self.closeButton:setTitleColor(cc.c3b(65, 65, 70))
	self.closeButton:setTitleFontSize(14)
	self.closeButton:setTitleFontName(getFont())
	setClickEvent(self, self.closeButton, "closeButton")
	addChildForPre(self.dialogPanel_2, self.closeButton)

	self.homeButton = ccui.Button:create()
	setValue(self.homeButton, "LTN_homeButton", 1052, cc.size(80, 60), cc.p(0, 945.6), cc.p(0, 1), nil, nil, nil, nil)
	self.homeButton:loadTextureNormal("ccs/UiImages/common/common_btn_home_0.png", 1)
	self.homeButton:loadTexturePressed("ccs/UiImages/common/common_btn_home_0.png", 1)
	self.homeButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.homeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.homeButton:setTitleText([[]])
	self.homeButton:setTitleColor(cc.c3b(65, 65, 70))
	self.homeButton:setTitleFontSize(14)
	self.homeButton:setTitleFontName(getFont())
	setClickEvent(self, self.homeButton, "homeButton")
	addChildForPre(self.dialogPanel_2, self.homeButton)

	self.bottomLine = ccui.ImageView:create()
	setValue(self.bottomLine, "WXN_bottomLine", 1290, cc.size(640, 19.2), cc.p(320, 160), nil, nil, nil, nil, false)
	self.bottomLine:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.bottomLine:setScale9Enabled(true)
	self.bottomLine:setCapInsets(cc.rect(1, 0, 638, 30))
	addChildForPre(self.dialogPanel_2, self.bottomLine)

	self.tanklistPanel = ccui.Layout:create()
	setValue(self.tanklistPanel, "WXN_tanklistPanel", 272, cc.size(620, 150), cc.p(10, 4), nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.tanklistPanel)

	self.FlagLeft = cc.Sprite:create()
	setValue(self.FlagLeft, "LNN_FlagLeft", 1837, cc.size(15, 109), cc.p(0, 75), cc.p(0, 0.5), nil, nil, nil, nil)
	self.FlagLeft:setFlippedX(true)
	self.FlagLeft:setSpriteFrame("ccs/UiImages/common/camp_btn_huadong_0.png")
	addChildForPre(self.dialogPanel_2, self.FlagLeft)

	self.FlagRight = cc.Sprite:create()
	setValue(self.FlagRight, "RNN_FlagRight", 1838, cc.size(15, 109), cc.p(640, 75), cc.p(1, 0.5), nil, nil, nil, nil)
	self.FlagRight:setSpriteFrame("ccs/UiImages/common/camp_btn_huadong_0.png")
	addChildForPre(self.dialogPanel_2, self.FlagRight)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/battle.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/commonBg.plist",
	"Default/Sprite.png",
	"ccs/BigImages/userHead/userHead_img_unknow.png",
	"ccs/plist/common.plist",
	"Default/Button_Disable.png",
}

return _M
