-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_0 = cc.Node:create()
	setValue(self.Node_0, "Node_0", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_0)
 	self.uiRootNode = self.Node_0
	self.Node_0_0 = self.Node_0

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 1283, cc.size(247, 275), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bgSprite = cc.Sprite:create()
	setValue(self.bgSprite, "bgSprite", 70, cc.size(228, 275), cc.p(123.5, 137.5), nil, nil, nil, nil, nil)
	self.bgSprite:setSpriteFrame("ccs/UiImages/commonBg/qualityBg13Bg.png")
	addChildForPre(self.rootPanel_1, self.bgSprite)

	self.partBGImage = cc.Sprite:create()
	setValue(self.partBGImage, "partBGImage", 180, cc.size(202, 244), cc.p(122.4997, 13.75), cc.p(0.5, 0), nil, nil, nil, nil)
	self.partBGImage:setSpriteFrame("ccs/UiImages/commonBg/qualityBg13.png")
	addChildForPre(self.rootPanel_1, self.partBGImage)

	self.partsIconSprite = cc.Sprite:create()
	setValue(self.partsIconSprite, "partsIconSprite", 106, cc.size(46, 46), cc.p(123.5, 137.5), nil, nil, nil, nil, nil)
	self.partsIconSprite:setTexture("Default/Sprite.png")
	addChildForPre(self.rootPanel_1, self.partsIconSprite)

	self.flagSprite = cc.Sprite:create()
	setValue(self.flagSprite, "flagSprite", 322, cc.size(46, 46), cc.p(180.31, 220), nil, nil, nil, nil, nil)
	self.flagSprite:setTexture("Default/Sprite.png")
	addChildForPre(self.rootPanel_1, self.flagSprite)

	self.paintIconSprite = cc.Sprite:create()
	setValue(self.paintIconSprite, "paintIconSprite", 320, cc.size(83, 88), cc.p(182.0005, 67.0001), nil, nil, nil, nil, nil)
	self.paintIconSprite:setVisible(false)
	self.paintIconSprite:setTexture("ccs/BigImages/userIcon/userIcon_img_meizi02.webp")
	addChildForPre(self.rootPanel_1, self.paintIconSprite)

	self.lizi = ccui.Layout:create()
	setValue(self.lizi, "lizi", 176, cc.size(247, 275), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.lizi)
	self.lizi_2 = self.lizi

	self.Particle_1 = cc.ParticleSystemQuad:create("ccs/Particle/peijian1.plist")
 	self.Particle_1:setPositionType(2) 
	setValue(self.Particle_1, "Particle_1", 98, nil, cc.p(123.5, 137.5), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.lizi_2, self.Particle_1)

	self.Particle_2 = cc.ParticleSystemQuad:create("ccs/Particle/peijian2.plist")
 	self.Particle_2:setPositionType(2) 
	setValue(self.Particle_2, "Particle_2", 99, nil, cc.p(123.5, 137.5), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.lizi_2, self.Particle_2)

	self.Particle_3 = cc.ParticleSystemQuad:create("ccs/Particle/peijian3.plist")
 	self.Particle_3:setPositionType(2) 
	setValue(self.Particle_3, "Particle_3", 100, nil, cc.p(123.5, 137.5), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.lizi_2, self.Particle_3)

	self.Particle_4 = cc.ParticleSystemQuad:create("ccs/Particle/peijian4.plist")
 	self.Particle_4:setPositionType(2) 
	setValue(self.Particle_4, "Particle_4", 101, nil, cc.p(123.5, 137.5), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.lizi_2, self.Particle_4)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"Default/Sprite.png",
	"ccs/BigImages/userIcon/userIcon_img_meizi02.png",
}

return _M
