-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_0 = cc.Node:create()
	setValue(self.Node_0, "Node_0", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_0)
 	self.uiRootNode = self.Node_0
	self.Node_0_0 = self.Node_0

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 151, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	setBgColor(self.rootPanel, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.Node_0_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 216, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 152, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.buttonPanel = ccui.Layout:create()
	setValue(self.buttonPanel, "WBX_buttonPanel", 315, cc.size(640, 120), cc.p(320, 60), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.buttonPanel)
	self.buttonPanel_3 = self.buttonPanel

	self.autoUpgradeButton = ccui.Button:create()
	setValue(self.autoUpgradeButton, "LBN_autoUpgradeButton", 157, cc.size(153, 64), cc.p(102.4, 60), cc.p(0, 0.5), nil, nil, nil, false)
	self.autoUpgradeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.autoUpgradeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.autoUpgradeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.autoUpgradeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.autoUpgradeButton:setTitleText([[autoUpgradeB]])
	self.autoUpgradeButton:setTitleFontSize(25)
	self.autoUpgradeButton:setTitleFontName(getFont())
	setClickEvent(self, self.autoUpgradeButton, "autoUpgradeButton")
	addChildForPre(self.buttonPanel_3, self.autoUpgradeButton)

	self.upgradeButton = ccui.Button:create()
	setValue(self.upgradeButton, "RBN_upgradeButton", 159, cc.size(153, 64), cc.p(537.6, 60), cc.p(1, 0.5), nil, nil, nil, false)
	self.upgradeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.upgradeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.upgradeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.upgradeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.upgradeButton:setTitleText([[upgrade]])
	self.upgradeButton:setTitleFontSize(25)
	self.upgradeButton:setTitleFontName(getFont())
	setClickEvent(self, self.upgradeButton, "upgradeButton")
	addChildForPre(self.buttonPanel_3, self.upgradeButton)

	self.imageLine2 = ccui.ImageView:create()
	setValue(self.imageLine2, "WBX_imageLine2", 742, cc.size(640, 30), cc.p(320, 119.9999), nil, nil, nil, nil, false)
	self.imageLine2:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.imageLine2:setScale9Enabled(true)
	self.imageLine2:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.buttonPanel_3, self.imageLine2)

	self.imageLine1 = ccui.ImageView:create()
	setValue(self.imageLine1, "WBX_imageLine1", 743, cc.size(640, 8), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.imageLine1:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	self.imageLine1:setScale9Enabled(true)
	self.imageLine1:setCapInsets(cc.rect(0, 0, 640, 8))
	addChildForPre(self.buttonPanel_3, self.imageLine1)

	self.leftRightButtonPanel = ccui.Layout:create()
	setValue(self.leftRightButtonPanel, "WXY_leftRightButtonPanel", 322, cc.size(640, 178.08), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.leftRightButtonPanel)
	self.leftRightButtonPanel_3 = self.leftRightButtonPanel

	self.leftButton = ccui.Button:create()
	setValue(self.leftButton, "LNN_leftButton", 123, cc.size(18, 104), cc.p(19.2, 89.04), nil, nil, nil, nil, nil)
	self.leftButton:setFlippedX(true)
	self.leftButton:loadTextureNormal("ccs/UiImages/common/camp_btn_huadong_0.png", 1)
	self.leftButton:loadTexturePressed("ccs/UiImages/common/camp_btn_huadong_1.png", 1)
	self.leftButton:loadTextureDisabled("ccs/UiImages/common/camp_btn_huadong_0.png", 1)
	self.leftButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.leftButton:setTitleText([[]])
	self.leftButton:setTitleColor(cc.c3b(65, 65, 70))
	self.leftButton:setTitleFontSize(14)
	self.leftButton:setTitleFontName(getFont())
	setClickEvent(self, self.leftButton, "leftButton")
	addChildForPre(self.leftRightButtonPanel_3, self.leftButton)

	self.rightButton = ccui.Button:create()
	setValue(self.rightButton, "RNN_rightButton", 323, cc.size(18, 104), cc.p(620.8, 89.04), nil, nil, nil, nil, nil)
	self.rightButton:loadTextureNormal("ccs/UiImages/common/camp_btn_huadong_0.png", 1)
	self.rightButton:loadTexturePressed("ccs/UiImages/common/camp_btn_huadong_1.png", 1)
	self.rightButton:loadTextureDisabled("ccs/UiImages/common/camp_btn_huadong_0.png", 1)
	self.rightButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.rightButton:setTitleText([[]])
	self.rightButton:setTitleColor(cc.c3b(65, 65, 70))
	self.rightButton:setTitleFontSize(14)
	self.rightButton:setTitleFontName(getFont())
	setClickEvent(self, self.rightButton, "rightButton")
	addChildForPre(self.leftRightButtonPanel_3, self.rightButton)

	if CommonDialogFrame1CloseUi then 
 		self.commonDialogFrame1CloseUi = CommonDialogFrame1CloseUi.new() 
 	else 
		self.commonDialogFrame1CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame1CloseUi, "commonDialogFrame1CloseUi", 321, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/common.plist",
}

return _M
