-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 336, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 357, cc.size(100, 150), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.qualityBgSprite = cc.Sprite:create()
	setValue(self.qualityBgSprite, "qualityBgSprite", 297, cc.size(100, 100), cc.p(50, 75), nil, nil, nil, nil, nil)
	self.qualityBgSprite:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.rootPanel_1, self.qualityBgSprite)

	self.skillIconSprite = cc.Sprite:create()
	setValue(self.skillIconSprite, "skillIconSprite", 82, cc.size(100, 100), cc.p(50, 75), nil, nil, nil, nil, nil)
	self.skillIconSprite:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.rootPanel_1, self.skillIconSprite)

	self.skillTypeLabel = createLabel({text=[[skillTypeLabel]], font=getFont(), size=24})
	setValue(self.skillTypeLabel, "skillTypeLabel", 103, cc.size(150, 28), cc.p(-25.09, 70.665), cc.p(0, 0.5), nil, nil, nil, nil)
	self.skillTypeLabel:setVisible(false)
	self.skillTypeLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.skillTypeLabel)

	self.skillNameLabel = createLabel({text=[[skillNameLabel]], font=getFont(), size=24})
	setValue(self.skillNameLabel, "skillNameLabel", 104, cc.size(162, 28), cc.p(50, 138), nil, nil, nil, nil, nil)
	self.skillNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.skillNameLabel)

	self.skillSelectedSprite = cc.Sprite:create()
	setValue(self.skillSelectedSprite, "skillSelectedSprite", 26, cc.size(107, 107), cc.p(50, 75), nil, nil, nil, nil, nil)
	self.skillSelectedSprite:setSpriteFrame("ccs/UiImages/common/common_img_xuanzhong.png")
	addChildForPre(self.rootPanel_1, self.skillSelectedSprite)

	self.levelLabel = createLabel({text=[[levelLabel]], font=getFont(), size=20})
	setValue(self.levelLabel, "levelLabel", 105, cc.size(90, 23), cc.p(50, 10.5), nil, nil, nil, nil, nil)
	self.levelLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.levelLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/common.plist",
}

return _M
