-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 200, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 260, cc.size(236, 280), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bgSprite = cc.Sprite:create()
	setValue(self.bgSprite, "bgSprite", 39, cc.size(228, 275), cc.p(118, 140), nil, nil, nil, nil, nil)
	self.bgSprite:setSpriteFrame("ccs/UiImages/commonBg/qualityBg13Bg.png")
	addChildForPre(self.rootPanel_1, self.bgSprite)

	self.qualityBgImage = cc.Sprite:create()
	setValue(self.qualityBgImage, "qualityBgImage", 96, cc.size(202, 244), cc.p(118, 16.8), cc.p(0.5, 0), nil, nil, nil, nil)
	self.qualityBgImage:setSpriteFrame("ccs/UiImages/commonBg/qualityBg13.png")
	addChildForPre(self.rootPanel_1, self.qualityBgImage)

	self.tankSprite = cc.Sprite:create()
	setValue(self.tankSprite, "tankSprite", 263, cc.size(46, 46), cc.p(118, 140), nil, nil, nil, nil, nil)
	self.tankSprite:setScale(0.45)
	self.tankSprite:setTexture("Default/Sprite.png")
	addChildForPre(self.rootPanel_1, self.tankSprite)

	self.paintIconSprite = cc.Sprite:create()
	setValue(self.paintIconSprite, "paintIconSprite", 432, cc.size(83, 88), cc.p(173, 69), nil, nil, nil, nil, nil)
	self.paintIconSprite:setVisible(false)
	self.paintIconSprite:setTexture("ccs/BigImages/userIcon/userIcon_img_meizi02.webp")
	addChildForPre(self.rootPanel_1, self.paintIconSprite)

	self.lizi = ccui.Layout:create()
	setValue(self.lizi, "lizi", 177, cc.size(236, 280), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.lizi)
	self.lizi_2 = self.lizi

	self.Particle_1 = cc.ParticleSystemQuad:create("ccs/Particle/jianchuan2.plist")
 	self.Particle_1:setPositionType(2) 
	setValue(self.Particle_1, "Particle_1", 178, nil, cc.p(116, 40), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle_1:setScale(1.5)
	addChildForPre(self.lizi_2, self.Particle_1)

	self.Particle_2 = cc.ParticleSystemQuad:create("ccs/Particle/jianchuan3.plist")
 	self.Particle_2:setPositionType(2) 
	setValue(self.Particle_2, "Particle_2", 68, nil, cc.p(118, 140), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle_2:setScale(1.5)
	addChildForPre(self.lizi_2, self.Particle_2)

	self.Particle_3 = cc.ParticleSystemQuad:create("ccs/Particle/jianchuan4.plist")
 	self.Particle_3:setPositionType(2) 
	setValue(self.Particle_3, "Particle_3", 69, nil, cc.p(118, 112), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle_3:setScale(1.5)
	addChildForPre(self.lizi_2, self.Particle_3)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"Default/Sprite.png",
	"ccs/BigImages/userIcon/userIcon_img_meizi02.png",
}

return _M
