-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_1 = cc.Node:create()
	setValue(self.Node_1, "Node_1", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_1)
 	self.uiRootNode = self.Node_1
	self.Node_1_0 = self.Node_1

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 128, cc.size(640, 170), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_1_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.spbg = ccui.ImageView:create()
	setValue(self.spbg, "spbg", 1053, cc.size(612, 167), cc.p(320, 85), nil, nil, nil, nil, nil)
	self.spbg:loadTexture("ccs/UiImages/commonBg/common_img_ditiao.png", 1)
	addChildForPre(self.rootPanel_1, self.spbg)

	self.itemPanel = ccui.Layout:create()
	setValue(self.itemPanel, "itemPanel", 131, cc.size(640, 170), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.itemPanel)
	self.itemPanel_2 = self.itemPanel

	self.Image_9 = ccui.ImageView:create()
	setValue(self.Image_9, "Image_9", 1038, cc.size(174, 105), cc.p(123.89, 80.1849), nil, nil, nil, nil, false)
	self.Image_9:loadTexture("ccs/UiImages/image9/common_s9_xiankuang.png", 1)
	self.Image_9:setScale9Enabled(true)
	self.Image_9:setCapInsets(cc.rect(10, 10, 16, 18))
	addChildForPre(self.itemPanel_2, self.Image_9)

	self.imgIsOut = cc.Sprite:create()
	setValue(self.imgIsOut, "imgIsOut", 1039, cc.size(46, 46), cc.p(525.483, 135.9368), nil, nil, nil, nil, nil)
	self.imgIsOut:setTexture("Default/Sprite.png")
	addChildForPre(self.itemPanel_2, self.imgIsOut)

	self.lbHaveNow = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.lbHaveNow, "lbHaveNow", 1040, cc.size(91, 23), cc.p(525.483, 89.6792), nil, nil, nil, nil, nil)
	self.lbHaveNow:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.itemPanel_2, self.lbHaveNow)

	self.tankNameLabel = createLabel({text=[[tankName]], font=getFont(), size=30})
	setValue(self.tankNameLabel, "tankNameLabel", 4308, cc.size(136, 34), cc.p(226.048, 130.288), cc.p(0, 0.5), cc.c4b(255, 127, 0, 255), nil, nil, nil)
	self.tankNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.tankNameLabel:setColor(cc.c4b(255, 127, 0, 255))
	addChildForPre(self.itemPanel_2, self.tankNameLabel)

	self.rankBgImage = ccui.ImageView:create()
	setValue(self.rankBgImage, "rankBgImage", 51, cc.size(220, 80), cc.p(220.8927, 103.0407), cc.p(0, 1), nil, nil, nil, false)
	self.rankBgImage:loadTexture("ccs/UiImages/image9/common_s9_diban.png", 1)
	self.rankBgImage:setScale9Enabled(true)
	self.rankBgImage:setCapInsets(cc.rect(10, 10, 14, 14))
	addChildForPre(self.itemPanel_2, self.rankBgImage)

	self.rankTitleLable = createLabel({text=[[品质：]], font=getFont(), size=20})
	setValue(self.rankTitleLable, "rankTitleLable", 4311, cc.size(60, 23), cc.p(231.04, 49.096), cc.p(0, 0.5), nil, nil, nil, nil)
	self.rankTitleLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.itemPanel_2, self.rankTitleLable)

	self.rankLable = createLabel({text=[[99]], font=getFont(), size=20})
	setValue(self.rankLable, "rankLable", 1378, cc.size(22, 23), cc.p(291.008, 49.096), cc.p(0, 0.5), nil, nil, nil, nil)
	self.rankLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.itemPanel_2, self.rankLable)

	self.Star = cc.Sprite:create()
	setValue(self.Star, "Star", 4313, cc.size(40, 38), cc.p(337.088, 51.034), cc.p(1, 0.5), nil, nil, nil, nil)
	self.Star:setScale(0.5)
	self.Star:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.itemPanel_2, self.Star)

	self.levelLable = createLabel({text=[[99]], font=getFont(), size=20})
	setValue(self.levelLable, "levelLable", 112, cc.size(22, 23), cc.p(291.0317, 77.6056), cc.p(0, 0.5), nil, nil, nil, nil)
	self.levelLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.itemPanel_2, self.levelLable)

	self.levelTitleLable = createLabel({text=[[等级：]], font=getFont(), size=20})
	setValue(self.levelTitleLable, "levelTitleLable", 1462, cc.size(60, 23), cc.p(231.0093, 77.6055), cc.p(0, 0.5), nil, nil, nil, nil)
	self.levelTitleLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.itemPanel_2, self.levelTitleLable)

	self.selectButton = ccui.Button:create()
	self.selectButton:setScale9Enabled(true)
	self.selectButton:setCapInsets(cc.rect(0, 0, 98, 51))
	self.selectButton:setContentSize(cc.size(130, 51))
	setValue(self.selectButton, "selectButton", 24, nil, cc.p(525.504, 49.674), nil, nil, nil, nil, false)
	self.selectButton:loadTextureNormal("ccs/UiImages/image9/CommonPanel_btn_smallred_0.png", 1)
	self.selectButton:loadTexturePressed("ccs/UiImages/image9/CommonPanel_btn_smallred_1.png", 1)
	self.selectButton:loadTextureDisabled("ccs/UiImages/image9/CommonPanel_btn_small_2.png", 1)
	self.selectButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.selectButton:setTitleText([[Button]])
	self.selectButton:setTitleFontSize(24)
	self.selectButton:setTitleFontName(getFont())
	setClickEvent(self, self.selectButton, "selectButton")
	addChildForPre(self.itemPanel_2, self.selectButton)

	self.shipqualityImage = cc.Sprite:create()
	setValue(self.shipqualityImage, "shipqualityImage", 1379, cc.size(168, 100), cc.p(123.89, 80.1849), nil, nil, nil, nil, nil)
	self.shipqualityImage:setSpriteFrame("ccs/UiImages/commonBg/qualityBg12.png")
	addChildForPre(self.itemPanel_2, self.shipqualityImage)

	self.shipIcon = cc.Sprite:create()
	setValue(self.shipIcon, "shipIcon", 435, cc.size(46, 46), cc.p(122.934, 81.0073), nil, nil, nil, nil, nil)
	self.shipIcon:setTexture("Default/Sprite.png")
	addChildForPre(self.itemPanel_2, self.shipIcon)

	self.spTankType = cc.Sprite:create()
	setValue(self.spTankType, "spTankType", 164, cc.size(46, 46), cc.p(180, 113), nil, nil, nil, nil, nil)
	self.spTankType:setScale(0.5)
	self.spTankType:setTexture("Default/Sprite.png")
	addChildForPre(self.itemPanel_2, self.spTankType)

	self.paintIconSprite = cc.Sprite:create()
	setValue(self.paintIconSprite, "paintIconSprite", 1475, cc.size(46, 46), cc.p(176.9971, 58.9992), nil, nil, nil, nil, nil)
	self.paintIconSprite:setScale(0.3)
	self.paintIconSprite:setVisible(false)
	self.paintIconSprite:setTexture("Default/Sprite.png")
	addChildForPre(self.itemPanel_2, self.paintIconSprite)

	self.tankIconButton = ccui.Button:create()
	self.tankIconButton:setScale9Enabled(true)
	self.tankIconButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.tankIconButton:setContentSize(cc.size(100, 100))
	setValue(self.tankIconButton, "tankIconButton", 898, nil, cc.p(122.934, 81.0073), nil, nil, nil, nil, false)
	self.tankIconButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.tankIconButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.tankIconButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.tankIconButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tankIconButton:setTitleText([[]])
	self.tankIconButton:setTitleColor(cc.c3b(65, 65, 70))
	self.tankIconButton:setTitleFontSize(14)
	self.tankIconButton:setTitleFontName(getFont())
	setClickEvent(self, self.tankIconButton, "tankIconButton")
	addChildForPre(self.itemPanel_2, self.tankIconButton)

	self.getMoreTankButton = ccui.Button:create()
	self.getMoreTankButton:setScale9Enabled(true)
	self.getMoreTankButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.getMoreTankButton:setContentSize(cc.size(640, 170))
	setValue(self.getMoreTankButton, "getMoreTankButton", 434, nil, cc.p(320, 85), nil, nil, nil, nil, false)
	self.getMoreTankButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.getMoreTankButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.getMoreTankButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.getMoreTankButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.getMoreTankButton:setTitleText([[点击获取更多]])
	self.getMoreTankButton:setTitleFontSize(24)
	self.getMoreTankButton:setTitleFontName(getFont())
	setClickEvent(self, self.getMoreTankButton, "getMoreTankButton")
	addChildForPre(self.rootPanel_1, self.getMoreTankButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/image9.plist",
	"Default/Sprite.png",
	"ccs/plist/common.plist",
}

return _M
