-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_1 = cc.Node:create()
	setValue(self.Node_1, "Node_1", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_1)
 	self.uiRootNode = self.Node_1
	self.Node_1_0 = self.Node_1

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 99, cc.size(1125, 750), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_1_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame6Ui then 
 		self.commonDialogFrame6Ui = CommonDialogFrame6Ui.new() 
 	else 
		self.commonDialogFrame6Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame6Ui.lua")
 	end 
	setValue(self.commonDialogFrame6Ui, "commonDialogFrame6Ui", 25, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame6Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "dialogPanel", 29, cc.size(1000, 600), cc.p(562.5, 375), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.upPanel = ccui.Layout:create()
	setValue(self.upPanel, "upPanel", 69, cc.size(700, 590), cc.p(0, 300), cc.p(0, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.upPanel)
	self.upPanel_3 = self.upPanel

	self.BattleMap = cc.Sprite:create()
	setValue(self.BattleMap, "BattleMap", 69, cc.size(804, 476), nil, cc.p(0, 0), nil, nil, nil, nil)
	self.BattleMap:setScale(1.25)
	self.BattleMap:setTexture("ccs/BigImages/commonPanel/BattleMap.webp")
	addChildForPre(self.upPanel_3, self.BattleMap)

	self.passListPanel = ccui.Layout:create()
	setValue(self.passListPanel, "passListPanel", 79, cc.size(700, 530), cc.p(350, 265.5), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.upPanel_3, self.passListPanel)

	self.ownOilBGImage = ccui.ImageView:create()
	setValue(self.ownOilBGImage, "ownOilBGImage", 284, cc.size(500, 40), cc.p(329, 554.6), nil, nil, nil, nil, false)
	self.ownOilBGImage:loadTexture("ccs/UiImages/commonB/Userplate.png", 1)
	self.ownOilBGImage:setScale9Enabled(true)
	self.ownOilBGImage:setCapInsets(cc.rect(5, 0, 254, 175))
	addChildForPre(self.upPanel_3, self.ownOilBGImage)
	self.ownOilBGImage_4 = self.ownOilBGImage

	self.ownTitleLabel = createLabel({text=[[ownTitleLabel]], font=getFont(), size=20})
	setValue(self.ownTitleLabel, "ownTitleLabel", 95, cc.size(122, 23), cc.p(25, 20), cc.p(0, 0.5), nil, nil, nil, nil)
	self.ownTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.ownOilBGImage_4, self.ownTitleLabel)

	self.ownOilLabel = createLabel({text=[[ownOilLabel]], font=getFont(), size=20})
	setValue(self.ownOilLabel, "ownOilLabel", 285, cc.size(110, 23), cc.p(175, 20), cc.p(0, 0.5), nil, nil, nil, nil)
	self.ownOilLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.ownOilBGImage_4, self.ownOilLabel)

	self.IconOil = cc.Sprite:create()
	setValue(self.IconOil, "IconOil", 286, cc.size(150, 150), cc.p(155, 20), nil, nil, nil, nil, nil)
	self.IconOil:setScale(0.25)
	self.IconOil:setSpriteFrame("ccs/UiImages/commonIcon/IconOil.png")
	addChildForPre(self.ownOilBGImage_4, self.IconOil)

	self.IconMoney = cc.Sprite:create()
	setValue(self.IconMoney, "IconMoney", 206, cc.size(150, 149), cc.p(330, 20), nil, nil, nil, nil, nil)
	self.IconMoney:setScale(0.25)
	self.IconMoney:setSpriteFrame("ccs/UiImages/icon/item_1100.png")
	addChildForPre(self.ownOilBGImage_4, self.IconMoney)

	self.sweepNumLabel = createLabel({text=[[sweepNumLabel]], font=getFont(), size=20})
	setValue(self.sweepNumLabel, "sweepNumLabel", 191, cc.size(148, 23), cc.p(350, 20), cc.p(0, 0.5), nil, nil, nil, nil)
	self.sweepNumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.ownOilBGImage_4, self.sweepNumLabel)

	self.skillNode1 = cc.Node:create()
	setValue(self.skillNode1, "skillNode1", 229, nil, cc.p(601.9855, 554.9263), nil, nil, nil, nil, nil)
	addChildForPre(self.upPanel_3, self.skillNode1)

	self.homeButton = ccui.Button:create()
	setValue(self.homeButton, "homeButton", 188, cc.size(100, 100), cc.p(0, 600), nil, nil, nil, nil, nil)
	self.homeButton:loadTextureNormal("ccs/UiImages/image9/BtnCommonHome.png", 1)
	self.homeButton:loadTexturePressed("ccs/UiImages/image9/BtnCommonHome.png", 1)
	self.homeButton:loadTextureDisabled("ccs/UiImages/image9/BtnCommonHome.png", 1)
	self.homeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.homeButton:setTitleText([[]])
	self.homeButton:setTitleColor(cc.c3b(65, 65, 70))
	self.homeButton:setTitleFontSize(14)
	self.homeButton:setTitleFontName(getFont())
	setClickEvent(self, self.homeButton, "homeButton")
	addChildForPre(self.dialogPanel_2, self.homeButton)

	if ChallengeSideUi then 
 		self.challengeSideUi = ChallengeSideUi.new() 
 	else 
		self.challengeSideUi = BaseUi.new("ccs/ui/challenge/ChallengeSideUi.lua")
 	end 
	setValue(self.challengeSideUi, "challengeSideUi", 921, nil, cc.p(683, 25), nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.challengeSideUi)

	if CommonDialogFrame6CloseUi then 
 		self.commonDialogFrame6CloseUi = CommonDialogFrame6CloseUi.new() 
 	else 
		self.commonDialogFrame6CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame6CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame6CloseUi, "commonDialogFrame6CloseUi", 20, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame6CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/BigImages/commonPanel/BattleMap.jpg",
	"ccs/plist/common.plist",
	"ccs/plist/icon.plist",
}

return _M
