-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_1 = cc.Node:create()
	setValue(self.Node_1, "Node_1", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_1)
 	self.uiRootNode = self.Node_1
	self.Node_1_0 = self.Node_1

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 99, cc.size(640, 220), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_1_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.tankSprite = cc.Sprite:create()
	setValue(self.tankSprite, "tankSprite", 107, cc.size(598, 191), cc.p(320, 110), nil, nil, nil, nil, nil)
	self.tankSprite:setTexture("ccs/BigImages/background/battleChallenge_img_01.webp")
	addChildForPre(self.rootPanel_1, self.tankSprite)

	self.kuangBg = ccui.ImageView:create()
	setValue(self.kuangBg, "kuangBg", 108, cc.size(614, 204), cc.p(320, 110), nil, nil, nil, nil, nil)
	self.kuangBg:loadTexture("ccs/UiImages/battle/battle_img_01.png", 1)
	addChildForPre(self.rootPanel_1, self.kuangBg)

	self.selectPanel = ccui.Layout:create()
	setValue(self.selectPanel, "selectPanel", 3227, cc.size(640, 220), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.selectPanel)
	self.selectPanel_2 = self.selectPanel

	self.yellowBg = ccui.ImageView:create()
	setValue(self.yellowBg, "yellowBg", 109, cc.size(640, 235), cc.p(320, 110), nil, nil, nil, nil, false)
	self.yellowBg:loadTexture("ccs/UiImages/battle/battle_img_selected.png", 1)
	self.yellowBg:setScale9Enabled(true)
	self.yellowBg:setCapInsets(cc.rect(30, 30, 8, 3))
	addChildForPre(self.selectPanel_2, self.yellowBg)

	self.topPanel = ccui.Layout:create()
	setValue(self.topPanel, "topPanel", 1083, cc.size(600, 34), cc.p(24, 203), cc.p(0, 1), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.topPanel)
	self.topPanel_2 = self.topPanel

	self.challengeName = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.challengeName, "challengeName", 89, cc.size(109, 28), cc.p(10, -138), cc.p(0, 0.5), nil, nil, nil, nil)
	self.challengeName:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.topPanel_2, self.challengeName)

	self.starPlaceHolder1 = cc.Node:create()
	setValue(self.starPlaceHolder1, "starPlaceHolder1", 109, nil, cc.p(468, -125.88), nil, nil, nil, nil, nil)
	addChildForPre(self.topPanel_2, self.starPlaceHolder1)

	self.starPlaceHolder2 = cc.Node:create()
	setValue(self.starPlaceHolder2, "starPlaceHolder2", 110, nil, cc.p(516, -125.88), nil, nil, nil, nil, nil)
	addChildForPre(self.topPanel_2, self.starPlaceHolder2)

	self.starPlaceHolder3 = cc.Node:create()
	setValue(self.starPlaceHolder3, "starPlaceHolder3", 111, nil, cc.p(564, -125.88), nil, nil, nil, nil, nil)
	addChildForPre(self.topPanel_2, self.starPlaceHolder3)

	self.bossSprite = cc.Sprite:create()
	setValue(self.bossSprite, "bossSprite", 3229, cc.size(177, 89), cc.p(626.032, 208.636), cc.p(1, 1), nil, nil, nil, nil)
	self.bossSprite:setSpriteFrame("ccs/UiImages/battle/battle_img_boss.png")
	addChildForPre(self.rootPanel_1, self.bossSprite)

	self.clickButton = ccui.Button:create()
	self.clickButton:setScale9Enabled(true)
	self.clickButton:setCapInsets(cc.rect(5, 5, 0, 0))
	self.clickButton:setContentSize(cc.size(640, 220))
	setValue(self.clickButton, "clickButton", 121, nil, nil, cc.p(0, 0), nil, nil, nil, false)
	self.clickButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.clickButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.clickButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.clickButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.clickButton:setTitleText([[]])
	self.clickButton:setTitleColor(cc.c3b(65, 65, 70))
	self.clickButton:setTitleFontSize(14)
	self.clickButton:setTitleFontName(getFont())
	setClickEvent(self, self.clickButton, "clickButton")
	addChildForPre(self.rootPanel_1, self.clickButton)

	self.topBg = ccui.ImageView:create()
	setValue(self.topBg, "topBg", 1344, cc.size(609, 200), cc.p(320, 110), nil, nil, 151, nil, false)
	self.topBg:loadTexture("ccs/UiImages/image9/common_img_jiemian04.png", 1)
	self.topBg:setScale9Enabled(true)
	self.topBg:setCapInsets(cc.rect(20, 6, 216, 7))
	addChildForPre(self.rootPanel_1, self.topBg)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/BigImages/background/battleChallenge_img_01.jpg",
	"ccs/plist/battle.plist",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
}

return _M
