-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_1 = cc.Node:create()
	setValue(self.Node_1, "Node_1", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_1)
 	self.uiRootNode = self.Node_1
	self.Node_1_0 = self.Node_1

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 99, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_1_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 2412, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.ContainerPanel = ccui.Layout:create()
	setValue(self.ContainerPanel, "AXY_ContainerPanel", 57, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.ContainerPanel)
	self.ContainerPanel_2 = self.ContainerPanel

	self.TtopPreScalePanel = ccui.Layout:create()
	setValue(self.TtopPreScalePanel, "TXN_TtopPreScalePanel", 90, cc.size(640, 43), cc.p(320, 876), cc.p(0.5, 1), nil, nil, nil, nil)
	addChildForPre(self.ContainerPanel_2, self.TtopPreScalePanel)
	self.TtopPreScalePanel_3 = self.TtopPreScalePanel

	self.titlePanel = ccui.Layout:create()
	setValue(self.titlePanel, "TXN_titlePanel", 91, cc.size(640, 43), cc.p(320, 43), cc.p(0.5, 1), nil, nil, nil, nil)
	addChildForPre(self.TtopPreScalePanel_3, self.titlePanel)
	self.titlePanel_4 = self.titlePanel

	self.titleBgImage = ccui.ImageView:create()
	setValue(self.titleBgImage, "WTX_titleBgImage", 136, cc.size(609, 43), cc.p(320, 21.5), nil, nil, nil, nil, false)
	self.titleBgImage:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.titleBgImage:setScale9Enabled(true)
	self.titleBgImage:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.titlePanel_4, self.titleBgImage)

	self.titleLabel = createLabel({text=[[Text Label]], font=getFont(), size=28})
	setValue(self.titleLabel, "titleLabel", 158, cc.size(127, 32), cc.p(16, 21.5), cc.p(0, 0.5), nil, nil, nil, nil)
	self.titleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.titlePanel_4, self.titleLabel)

	self.challengePro = createLabel({text=[[01/99]], font=getFont(), size=28})
	setValue(self.challengePro, "challengePro", 3320, cc.size(70, 32), cc.p(170.9979, 21.4994), cc.p(0, 0.5), nil, nil, nil, nil)
	self.challengePro:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.titlePanel_4, self.challengePro)

	self.spriteStar = cc.Sprite:create()
	setValue(self.spriteStar, "spriteStar", 3321, cc.size(48, 48), cc.p(251.008, 21.5), cc.p(0, 0.5), nil, nil, nil, nil)
	self.spriteStar:setSpriteFrame("ccs/UiImages/battle/star_silver.png")
	addChildForPre(self.titlePanel_4, self.spriteStar)

	self.oilInfoPanel = ccui.Layout:create()
	setValue(self.oilInfoPanel, "oilInfoPanel", 160, cc.size(175, 45), cc.p(409.6, 21.5), cc.p(0, 0.5), nil, nil, nil, nil)
	addChildForPre(self.titlePanel_4, self.oilInfoPanel)
	self.oilInfoPanel_5 = self.oilInfoPanel

	self.IconOil = cc.Sprite:create()
	setValue(self.IconOil, "IconOil", 286, cc.size(35, 35), cc.p(19.25, 22.5), nil, nil, nil, nil, nil)
	self.IconOil:setSpriteFrame("ccs/UiImages/common/commonIcon_icon_oil_2.png")
	addChildForPre(self.oilInfoPanel_5, self.IconOil)

	self.ownOilLabel = createLabel({text=[[ownOilLabel]], font=getFont(), size=26})
	setValue(self.ownOilLabel, "ownOilLabel", 285, cc.size(143, 31), cc.p(105, 22.5), nil, nil, nil, nil, nil)
	self.ownOilLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.oilInfoPanel_5, self.ownOilLabel)

	self.topInfoPanel = ccui.Layout:create()
	setValue(self.topInfoPanel, "topInfoPanel", 159, cc.size(377, 45), cc.p(-432, -128.5012), cc.p(0, 0.5), nil, nil, nil, nil)
	self.topInfoPanel:setVisible(false)
	addChildForPre(self.TtopPreScalePanel_3, self.topInfoPanel)
	self.topInfoPanel_4 = self.topInfoPanel

	self.scanInfoPanel = ccui.Layout:create()
	setValue(self.scanInfoPanel, "scanInfoPanel", 162, cc.size(175, 45), cc.p(188.5, 45), cc.p(1, 0), nil, nil, nil, nil)
	addChildForPre(self.topInfoPanel_4, self.scanInfoPanel)
	self.scanInfoPanel_5 = self.scanInfoPanel

	self.scanInfoBg = ccui.ImageView:create()
	setValue(self.scanInfoBg, "scanInfoBg", 163, cc.size(46, 46), cc.p(87.5, 22.5), nil, nil, nil, nil, nil)
	self.scanInfoBg:setScaleX(0.69)
	self.scanInfoBg:setScaleY(0.26)
	self.scanInfoBg:loadTexture("Default/ImageFile.png")
	addChildForPre(self.scanInfoPanel_5, self.scanInfoBg)

	self.IconMoney = cc.Sprite:create()
	setValue(self.IconMoney, "IconMoney", 206, cc.size(46, 46), cc.p(22.75, 22.5), nil, nil, nil, nil, nil)
	self.IconMoney:setScale(0.25)
	self.IconMoney:setTexture("Default/Sprite.png")
	addChildForPre(self.scanInfoPanel_5, self.IconMoney)

	self.sweepNumLabel = createLabel({text=[[sweepNumLabel]], font=getFont(), size=26})
	setValue(self.sweepNumLabel, "sweepNumLabel", 191, cc.size(193, 31), cc.p(105, 22.5), nil, nil, nil, nil, nil)
	self.sweepNumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.scanInfoPanel_5, self.sweepNumLabel)

	self.passListPanel = ccui.Layout:create()
	setValue(self.passListPanel, "WIX_passListPanel", 79, cc.size(640, 510), cc.p(320, 573), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.ContainerPanel_2, self.passListPanel)

	self.upPanel = ccui.Layout:create()
	setValue(self.upPanel, "WIX_upPanel", 69, cc.size(640, 510), cc.p(320, 573.8), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.ContainerPanel_2, self.upPanel)
	self.upPanel_3 = self.upPanel

	self.skillNode1 = cc.Node:create()
	setValue(self.skillNode1, "skillNode1", 229, nil, cc.p(27.9855, 37.4254), nil, nil, nil, nil, nil)
	addChildForPre(self.upPanel_3, self.skillNode1)

	self.bottomPreScalePanel = ccui.Layout:create()
	setValue(self.bottomPreScalePanel, "WXN_bottomPreScalePanel", 164, cc.size(640, 310), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.ContainerPanel_2, self.bottomPreScalePanel)
	self.bottomPreScalePanel_3 = self.bottomPreScalePanel

	self.imageDownBg = ccui.ImageView:create()
	setValue(self.imageDownBg, "WXN_imageDownBg", 3323, cc.size(640, 315), nil, cc.p(0, 0), nil, nil, nil, false)
	self.imageDownBg:loadTexture("ccs/BigImages/background/battleChallenge_img_bottomBg.webp")
	self.imageDownBg:setScale9Enabled(true)
	self.imageDownBg:setCapInsets(cc.rect(0, 0, 636, 313))
	addChildForPre(self.bottomPreScalePanel_3, self.imageDownBg)

	self.bottomButtonPanel = ccui.Layout:create()
	setValue(self.bottomButtonPanel, "WXN_bottomButtonPanel", 166, cc.size(640, 81), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.bottomPreScalePanel_3, self.bottomButtonPanel)
	self.bottomButtonPanel_4 = self.bottomButtonPanel

	self.bottomButtonBg = ccui.ImageView:create()
	setValue(self.bottomButtonBg, "WXN_bottomButtonBg", 168, cc.size(640, 8), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.bottomButtonBg:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	self.bottomButtonBg:setScale9Enabled(true)
	self.bottomButtonBg:setCapInsets(cc.rect(20, 0, 600, 8))
	addChildForPre(self.bottomButtonPanel_4, self.bottomButtonBg)

	self.changeCamp = ccui.Button:create()
	setValue(self.changeCamp, "LBN_changeCamp", 3324, cc.size(153, 64), cc.p(36, 15), cc.p(0, 0), nil, nil, nil, false)
	self.changeCamp:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.changeCamp:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.changeCamp:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.changeCamp:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.changeCamp:setTitleText([[chaCamp]])
	self.changeCamp:setTitleFontSize(28)
	self.changeCamp:setTitleFontName(getFont())
	setClickEvent(self, self.changeCamp, "changeCamp")
	addChildForPre(self.bottomButtonPanel_4, self.changeCamp)

	self.battleButton = ccui.Button:create()
	setValue(self.battleButton, "RBN_battleButton", 169, cc.size(153, 64), cc.p(604, 15), cc.p(1, 0), nil, nil, nil, false)
	self.battleButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.battleButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.battleButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.battleButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.battleButton:setTitleText([[Button]])
	self.battleButton:setTitleFontSize(28)
	self.battleButton:setTitleFontName(getFont())
	setClickEvent(self, self.battleButton, "battleButton")
	addChildForPre(self.bottomButtonPanel_4, self.battleButton)

	self.sweepButton = ccui.Button:create()
	setValue(self.sweepButton, "XYN_sweepButton", 170, cc.size(153, 64), cc.p(320, 15), cc.p(0.5, 0), nil, nil, nil, false)
	self.sweepButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.sweepButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.sweepButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.sweepButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.sweepButton:setTitleText([[窗口]])
	self.sweepButton:setTitleFontSize(28)
	self.sweepButton:setTitleFontName(getFont())
	setClickEvent(self, self.sweepButton, "sweepButton")
	addChildForPre(self.bottomButtonPanel_4, self.sweepButton)

	if ChallengeNewSideUi then 
 		self.challengeNewSideUi = ChallengeNewSideUi.new() 
 	else 
		self.challengeNewSideUi = BaseUi.new("ccs/ui/challenge/ChallengeNewSideUi.lua")
 	end 
	setValue(self.challengeNewSideUi, "challengeNewSideUi", 921, nil, cc.p(0, 85), nil, nil, nil, nil, nil)
	addChildForPre(self.ContainerPanel_2, self.challengeNewSideUi)

	self.homeButton = ccui.Button:create()
	setValue(self.homeButton, "homeButton", 188, cc.size(80, 60), cc.p(0, 945.6), cc.p(0, 1), nil, nil, nil, nil)
	self.homeButton:loadTextureNormal("ccs/UiImages/common/common_btn_home_0.png", 1)
	self.homeButton:loadTexturePressed("ccs/UiImages/common/common_btn_home_0.png", 1)
	self.homeButton:loadTextureDisabled("ccs/UiImages/common/common_btn_home_0.png", 1)
	self.homeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.homeButton:setTitleText([[]])
	self.homeButton:setTitleColor(cc.c3b(65, 65, 70))
	self.homeButton:setTitleFontSize(14)
	self.homeButton:setTitleFontName(getFont())
	setClickEvent(self, self.homeButton, "homeButton")
	addChildForPre(self.rootPanel_1, self.homeButton)

	self.closeButton = ccui.Button:create()
	setValue(self.closeButton, "RTN_closeButton", 67, cc.size(80, 60), cc.p(640, 960), cc.p(1, 1), nil, nil, nil, nil)
	self.closeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_close_0.png", 1)
	self.closeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_close_1.png", 1)
	self.closeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_close_0.png", 1)
	self.closeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.closeButton:setTitleText([[]])
	self.closeButton:setTitleColor(cc.c3b(65, 65, 70))
	self.closeButton:setTitleFontSize(14)
	self.closeButton:setTitleFontName(getFont())
	setClickEvent(self, self.closeButton, "closeButton")
	addChildForPre(self.rootPanel_1, self.closeButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/battle.plist",
	"ccs/plist/common.plist",
	"Default/ImageFile.png",
	"Default/Sprite.png",
	"ccs/BigImages/background/battleChallenge_img_bottomBg.png",
	"ccs/plist/image9.plist",
}

return _M
