-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 73, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 825, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "WNN_dialogPanel", 243, cc.size(640, 205), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.leftNum = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.leftNum, "leftNum", 36, cc.size(109, 28), cc.p(131.168, 184.7475), cc.p(0, 0.5), nil, nil, nil, nil)
	self.leftNum:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.leftNum)

	self.needOilNum = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.needOilNum, "needOilNum", 37, cc.size(109, 28), cc.p(387.168, 184.7475), cc.p(0, 0.5), nil, nil, nil, nil)
	self.needOilNum:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.needOilNum)

	self.needOilIcon = cc.Sprite:create()
	setValue(self.needOilIcon, "needOilIcon", 256, cc.size(35, 35), cc.p(364, 187.2475), nil, nil, nil, nil, nil)
	self.needOilIcon:setSpriteFrame("ccs/UiImages/common/commonIcon_icon_oil_2.png")
	addChildForPre(self.dialogPanel_2, self.needOilIcon)

	self.needOil = createLabel({text=[[拥有:]], font=getFont(), size=24})
	setValue(self.needOil, "needOil", 161, cc.size(54, 28), cc.p(287.768, 184.7475), cc.p(0, 0.5), cc.c4b(142, 217, 236, 255), nil, nil, nil)
	self.needOil:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.needOil:setColor(cc.c4b(142, 217, 236, 255))
	addChildForPre(self.dialogPanel_2, self.needOil)

	self.passTitleLabel = createLabel({text=[[剩余次数:]], font=getFont(), size=24})
	setValue(self.passTitleLabel, "passTitleLabel", 278, cc.size(102, 28), cc.p(16, 184.7475), cc.p(0, 0.5), cc.c4b(142, 217, 236, 255), nil, nil, nil)
	self.passTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.passTitleLabel:setColor(cc.c4b(142, 217, 236, 255))
	addChildForPre(self.dialogPanel_2, self.passTitleLabel)

	self.winGetLabel = createLabel({text=[[胜利获得:]], font=getFont(), size=24})
	setValue(self.winGetLabel, "winGetLabel", 313, cc.size(102, 28), cc.p(16, 151.8317), cc.p(0, 0.5), cc.c4b(142, 217, 236, 255), nil, nil, nil)
	self.winGetLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.winGetLabel:setColor(cc.c4b(142, 217, 236, 255))
	addChildForPre(self.dialogPanel_2, self.winGetLabel)

	self.IconGold = cc.Sprite:create()
	setValue(self.IconGold, "IconGold", 365, cc.size(34, 28), cc.p(147.328, 152.845), nil, nil, nil, nil, nil)
	self.IconGold:setSpriteFrame("ccs/UiImages/common/icon_gold.png")
	addChildForPre(self.dialogPanel_2, self.IconGold)

	self.goldNumLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.goldNumLabel, "goldNumLabel", 366, cc.size(109, 28), cc.p(175.616, 152.25), cc.p(0, 0.5), nil, nil, nil, nil)
	self.goldNumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.goldNumLabel)

	self.IconExp = cc.Sprite:create()
	setValue(self.IconExp, "IconExp", 367, cc.size(50, 26), cc.p(312.768, 151.8475), nil, nil, nil, nil, nil)
	self.IconExp:setSpriteFrame("ccs/UiImages/battle/winLose_img_txt_exp_1.png")
	addChildForPre(self.dialogPanel_2, self.IconExp)

	self.expNumLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.expNumLabel, "expNumLabel", 368, cc.size(109, 28), cc.p(347.072, 152.25), cc.p(0, 0.5), nil, nil, nil, nil)
	self.expNumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.expNumLabel)

	self.dropLabel = createLabel({text=[[可能掉落:]], font=getFont(), size=24})
	setValue(self.dropLabel, "dropLabel", 505, cc.size(102, 28), cc.p(16, 132.9158), cc.p(0, 1), cc.c4b(142, 217, 236, 255), nil, nil, nil)
	self.dropLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.dropLabel:setColor(cc.c4b(142, 217, 236, 255))
	addChildForPre(self.dialogPanel_2, self.dropLabel)

	self.rewardlistPanel = ccui.Layout:create()
	setValue(self.rewardlistPanel, "WXN_rewardlistPanel", 559, cc.size(640, 80), cc.p(0, 12.3), nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.rewardlistPanel)

	self.costNumLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.costNumLabel, "costNumLabel", 701, cc.size(91, 23), cc.p(-170, 38), cc.p(0, 0.5), nil, nil, nil, nil)
	self.costNumLabel:setVisible(false)
	self.costNumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.costNumLabel)

	self.costDiamondNumLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.costDiamondNumLabel, "costDiamondNumLabel", 754, cc.size(91, 23), cc.p(-129, 75), cc.p(0, 0.5), nil, nil, nil, nil)
	self.costDiamondNumLabel:setVisible(false)
	self.costDiamondNumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.costDiamondNumLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/common.plist",
	"ccs/plist/winLose.plist",
}

return _M
