-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_0 = cc.Node:create()
	setValue(self.Node_0, "Node_0", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_0)
 	self.uiRootNode = self.Node_0
	self.Node_0_0 = self.Node_0

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 1, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 6, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.contentPanel = ccui.Layout:create()
	setValue(self.contentPanel, "XYN_contentPanel", 726, cc.size(495, 600), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.contentPanel)
	self.contentPanel_3 = self.contentPanel

	self.imageBg = ccui.ImageView:create()
	setValue(self.imageBg, "XYN_imageBg", 727, cc.size(495, 600), cc.p(247.5, 300), nil, nil, nil, nil, false)
	self.imageBg:loadTexture("ccs/UiImages/image9/commonPanel_s9_bg_1.png", 1)
	self.imageBg:setScale9Enabled(true)
	self.imageBg:setCapInsets(cc.rect(80, 30, 12, 10))
	addChildForPre(self.contentPanel_3, self.imageBg)

	self.flootImage = ccui.ImageView:create()
	setValue(self.flootImage, "flootImage", 786, cc.size(470.25, 570), cc.p(247.5, 300), nil, nil, nil, nil, false)
	self.flootImage:loadTexture("ccs/UiImages/image9/CommonPanel_img_chuangkoubeijing_1.png", 1)
	self.flootImage:setScale9Enabled(true)
	self.flootImage:setCapInsets(cc.rect(0, 0, 470, 5))
	addChildForPre(self.contentPanel_3, self.flootImage)

	self.listViewPanel = ccui.Layout:create()
	setValue(self.listViewPanel, "listViewPanel", 11, cc.size(470.25, 540), cc.p(247.5, 290), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.contentPanel_3, self.listViewPanel)

	self.imageTitle = ccui.ImageView:create()
	setValue(self.imageTitle, "imageTitle", 787, cc.size(462, 106), cc.p(247.5, 594), nil, nil, nil, nil, nil)
	self.imageTitle:setScale(0.6)
	self.imageTitle:loadTexture("ccs/UiImages/commonBg/CommonPanel_img_WinHeader_1.png", 1)
	addChildForPre(self.contentPanel_3, self.imageTitle)

	self.titleLabel = createLabel({text=[[Text Label]], font=getFont(), size=28})
	setValue(self.titleLabel, "titleLabel", 788, cc.size(127, 32), cc.p(247.5, 597), nil, nil, nil, nil, nil)
	self.titleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.contentPanel_3, self.titleLabel)

	self.closeButton = ccui.Button:create()
	setValue(self.closeButton, "closeButton", 789, cc.size(86, 55), cc.p(451, 591), nil, nil, nil, nil, nil)
	self.closeButton:loadTextureNormal("ccs/UiImages/image9/CommonPanel_btn_X_0.png", 1)
	self.closeButton:loadTexturePressed("ccs/UiImages/image9/CommonPanel_btn_X_1.png", 1)
	self.closeButton:loadTextureDisabled("ccs/UiImages/image9/CommonPanel_btn_X_1.png", 1)
	self.closeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.closeButton:setTitleText([[]])
	self.closeButton:setTitleColor(cc.c3b(65, 65, 70))
	self.closeButton:setTitleFontSize(14)
	self.closeButton:setTitleFontName(getFont())
	setClickEvent(self, self.closeButton, "closeButton")
	addChildForPre(self.contentPanel_3, self.closeButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/commonBg.plist",
}

return _M
