-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 248, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 275, cc.size(470, 130), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.backgroundSprite = ccui.ImageView:create()
	setValue(self.backgroundSprite, "backgroundSprite", 167, cc.size(470, 130), cc.p(235, 65), nil, nil, nil, nil, false)
	self.backgroundSprite:loadTexture("ccs/UiImages/commonBg/common_img_ditiao.png", 1)
	self.backgroundSprite:setScale9Enabled(true)
	self.backgroundSprite:setCapInsets(cc.rect(30, 30, 552, 107))
	addChildForPre(self.rootPanel_1, self.backgroundSprite)

	self.leftPanel = ccui.Layout:create()
	setValue(self.leftPanel, "leftPanel", 470, cc.size(150, 105), cc.p(9, 69.2763), cc.p(0, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.leftPanel)
	self.leftPanel_2 = self.leftPanel

	self.chapterNameLabel = createLabel({text=[[第一章]], font=getFont(), size=20})
	setValue(self.chapterNameLabel, "chapterNameLabel", 495, cc.size(60, 23), cc.p(75, 95.8125), cc.p(0.5, 1), nil, nil, nil, nil)
	self.chapterNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftPanel_2, self.chapterNameLabel)

	self.descriptLable = createLabel({text=[[获得三颗星奖励]], font=getFont(), size=20})
	setValue(self.descriptLable, "descriptLable", 496, cc.size(140, 23), cc.p(75, 54.6), nil, nil, nil, nil, nil)
	self.descriptLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftPanel_2, self.descriptLable)

	self.juniorPanel = ccui.Layout:create()
	setValue(self.juniorPanel, "juniorPanel", 498, cc.size(150, 40), cc.p(75, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.leftPanel_2, self.juniorPanel)
	self.juniorPanel_3 = self.juniorPanel

	self.starImage01 = ccui.ImageView:create()
	setValue(self.starImage01, "starImage01", 505, cc.size(48, 48), cc.p(9, 20), cc.p(0, 0.5), nil, nil, nil, nil)
	self.starImage01:setScale(0.85)
	self.starImage01:loadTexture("ccs/UiImages/battle/star_gold.png", 1)
	addChildForPre(self.juniorPanel_3, self.starImage01)

	self.starImage02 = ccui.ImageView:create()
	setValue(self.starImage02, "starImage02", 507, cc.size(48, 48), cc.p(75, 20), nil, nil, nil, nil, nil)
	self.starImage02:setScale(0.85)
	self.starImage02:loadTexture("ccs/UiImages/battle/star_gold.png", 1)
	addChildForPre(self.juniorPanel_3, self.starImage02)

	self.starImage03 = ccui.ImageView:create()
	setValue(self.starImage03, "starImage03", 508, cc.size(48, 48), cc.p(141, 20), cc.p(1, 0.5), nil, nil, nil, nil)
	self.starImage03:setScale(0.85)
	self.starImage03:loadTexture("ccs/UiImages/battle/star_gold.png", 1)
	addChildForPre(self.juniorPanel_3, self.starImage03)

	self.centerPanel = ccui.Layout:create()
	setValue(self.centerPanel, "centerPanel", 471, cc.size(200, 112), cc.p(261.4, 65), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.centerPanel)
	self.centerPanel_2 = self.centerPanel

	self.centerFirstPanel = ccui.Layout:create()
	setValue(self.centerFirstPanel, "centerFirstPanel", 773, cc.size(90, 90), cc.p(51.0904, 56), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.centerPanel_2, self.centerFirstPanel)

	self.centerSecondPanel = ccui.Layout:create()
	setValue(self.centerSecondPanel, "centerSecondPanel", 774, cc.size(90, 90), cc.p(145.8305, 56), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.centerPanel_2, self.centerSecondPanel)

	self.acceptButton = ccui.Button:create()
	setValue(self.acceptButton, "acceptButton", 504, cc.size(98, 51), cc.p(404.2, 65), nil, nil, nil, nil, false)
	self.acceptButton:loadTextureNormal("ccs/UiImages/image9/CommonPanel_btn_smallred_0.png", 1)
	self.acceptButton:loadTexturePressed("ccs/UiImages/image9/CommonPanel_btn_smallred_1.png", 1)
	self.acceptButton:loadTextureDisabled("ccs/UiImages/image9/CommonPanel_btn_small_2.png", 1)
	self.acceptButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.acceptButton:setTitleText([[领取]])
	self.acceptButton:setTitleFontSize(24)
	self.acceptButton:setTitleFontName(getFont())
	setClickEvent(self, self.acceptButton, "acceptButton")
	addChildForPre(self.rootPanel_1, self.acceptButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/battle.plist",
	"ccs/plist/image9.plist",
}

return _M
