-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 3, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 4, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "dialogPanel", 5, cc.size(495, 775), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.imageBg = ccui.ImageView:create()
	setValue(self.imageBg, "imageBg", 756, cc.size(495, 775), cc.p(247.5, 387.5), nil, nil, nil, nil, false)
	self.imageBg:loadTexture("ccs/UiImages/image9/commonPanel_s9_bg_1.png", 1)
	self.imageBg:setScale9Enabled(true)
	self.imageBg:setCapInsets(cc.rect(80, 30, 12, 10))
	addChildForPre(self.dialogPanel_2, self.imageBg)

	self.panelFloor = ccui.Layout:create()
	setValue(self.panelFloor, "panelFloor", 763, cc.size(447, 628), cc.p(247.5, 434), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.panelFloor)

	self.lastCountLabel = createLabel({text=[[lastCount]], font=getFont(), size=24})
	setValue(self.lastCountLabel, "lastCountLabel", 761, cc.size(101, 28), cc.p(24.75, 720), cc.p(0, 0.5), nil, nil, nil, nil)
	self.lastCountLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.lastCountLabel)

	self.lastSweepLabel = createLabel({text=[[lastSweep]], font=getFont(), size=24})
	setValue(self.lastSweepLabel, "lastSweepLabel", 762, cc.size(110, 28), cc.p(470.25, 720), cc.p(1, 0.5), nil, nil, nil, nil)
	self.lastSweepLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.lastSweepLabel)

	self.listViewPanel = ccui.Layout:create()
	setValue(self.listViewPanel, "listViewPanel", 49, cc.size(440, 570), cc.p(247.5, 404), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.listViewPanel)

	self.buttonsPanel = ccui.Layout:create()
	setValue(self.buttonsPanel, "buttonsPanel", 759, cc.size(470, 100), cc.p(247.5, 65), cc.p(0.5, 0.5), nil, nil, nil, nil)
	setBgColor(self.buttonsPanel, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.buttonsPanel)
	self.buttonsPanel_3 = self.buttonsPanel

	self.imageBtnBg = ccui.ImageView:create()
	setValue(self.imageBtnBg, "imageBtnBg", 760, cc.size(470, 100), cc.p(235, 50), nil, nil, nil, nil, false)
	self.imageBtnBg:loadTexture("ccs/UiImages/image9/common_img_jiemian04.png", 1)
	self.imageBtnBg:setScale9Enabled(true)
	self.imageBtnBg:setCapInsets(cc.rect(20, 8, 216, 3))
	addChildForPre(self.buttonsPanel_3, self.imageBtnBg)

	self.replaceButton = ccui.Button:create()
	setValue(self.replaceButton, "replaceButton", 59, cc.size(153, 64), cc.p(117.5, 50), nil, nil, nil, nil, false)
	self.replaceButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.replaceButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.replaceButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.replaceButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.replaceButton:setTitleText([[replace]])
	self.replaceButton:setTitleFontSize(25)
	self.replaceButton:setTitleFontName(getFont())
	setClickEvent(self, self.replaceButton, "replaceButton")
	addChildForPre(self.buttonsPanel_3, self.replaceButton)

	self.okButton = ccui.Button:create()
	setValue(self.okButton, "okButton", 48, cc.size(153, 64), cc.p(352.5, 50), nil, nil, nil, nil, false)
	self.okButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.okButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.okButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.okButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.okButton:setTitleText([[ok]])
	self.okButton:setTitleFontSize(25)
	self.okButton:setTitleFontName(getFont())
	setClickEvent(self, self.okButton, "okButton")
	addChildForPre(self.buttonsPanel_3, self.okButton)

	self.titleSprite = cc.Sprite:create()
	setValue(self.titleSprite, "titleSprite", 757, cc.size(462, 106), cc.p(247.4999, 770.9999), nil, nil, nil, nil, nil)
	self.titleSprite:setScale(0.6)
	self.titleSprite:setSpriteFrame("ccs/UiImages/commonBg/CommonPanel_img_WinHeader_1.png")
	addChildForPre(self.dialogPanel_2, self.titleSprite)

	self.titleLabel = createLabel({text=[[titleLabel]], font=getFont(), size=30})
	setValue(self.titleLabel, "titleLabel", 758, cc.size(120, 34), cc.p(247.5, 772), nil, nil, nil, nil, nil)
	self.titleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.titleLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/common.plist",
}

return _M
