-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 57, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 58, cc.size(440, 185), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.frameImage = ccui.ImageView:create()
	setValue(self.frameImage, "frameImage", 468, cc.size(440, 175), cc.p(220, 92.5), nil, nil, nil, nil, false)
	self.frameImage:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.frameImage:setScale9Enabled(true)
	self.frameImage:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.rootPanel_1, self.frameImage)

	self.titleLabel = createLabel({text=[[titleLabel]], font=getFont(), size=24})
	setValue(self.titleLabel, "titleLabel", 123, cc.size(96, 28), cc.p(16, 155.5), cc.p(0, 0.5), nil, nil, nil, nil)
	self.titleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.titleLabel)

	self.IconGold = cc.Sprite:create()
	setValue(self.IconGold, "IconGold", 125, cc.size(34, 28), cc.p(33.704, 121.205), nil, nil, nil, nil, nil)
	self.IconGold:setSpriteFrame("ccs/UiImages/common/icon_gold.png")
	addChildForPre(self.rootPanel_1, self.IconGold)

	self.goldNumLabel = createLabel({text=[[goldNum]], font=getFont(), size=24})
	setValue(self.goldNumLabel, "goldNumLabel", 126, cc.size(96, 28), cc.p(56.32, 120.995), cc.p(0, 0.5), nil, nil, nil, nil)
	self.goldNumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.goldNumLabel)

	self.IconExp = cc.Sprite:create()
	setValue(self.IconExp, "IconExp", 584, cc.size(50, 26), cc.p(214.368, 121.205), nil, nil, nil, nil, nil)
	self.IconExp:setSpriteFrame("ccs/UiImages/battle/winLose_img_txt_exp_1.png")
	addChildForPre(self.rootPanel_1, self.IconExp)

	self.expNumLabel = createLabel({text=[[ExpNum]], font=getFont(), size=24})
	setValue(self.expNumLabel, "expNumLabel", 128, cc.size(92, 28), cc.p(240.504, 121.205), cc.p(0, 0.5), nil, nil, nil, nil)
	self.expNumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.expNumLabel)

	self.listViewPanel = ccui.Layout:create()
	setValue(self.listViewPanel, "listViewPanel", 124, cc.size(440, 100), cc.p(220, 50), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.listViewPanel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/battle.plist",
	"ccs/plist/winLose.plist",
}

return _M
