-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 53, cc.size(300, 440), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.buyButton = ccui.Button:create()
	self.buyButton:setScale9Enabled(true)
	self.buyButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.buyButton:setContentSize(cc.size(300, 440))
	setValue(self.buyButton, "buyButton", 5, nil, cc.p(150, 220), nil, nil, nil, nil, false)
	self.buyButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.buyButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.buyButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.buyButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.buyButton:setTitleText([[]])
	self.buyButton:setTitleColor(cc.c3b(65, 65, 70))
	self.buyButton:setTitleFontSize(14)
	self.buyButton:setTitleFontName(getFont())
	setClickEvent(self, self.buyButton, "buyButton")
	addChildForPre(self.rootPanel_1, self.buyButton)

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 54, cc.size(294, 403), cc.p(150, 220), nil, nil, nil, nil, nil)
	self.bgImage:loadTexture("ccs/UiImages/vipPay/DiamondPlateB.png", 1)
	addChildForPre(self.rootPanel_1, self.bgImage)

	self.iconBgImage = ccui.ImageView:create()
	setValue(self.iconBgImage, "iconBgImage", 94, cc.size(166, 166), cc.p(150, 286), nil, nil, nil, nil, nil)
	self.iconBgImage:loadTexture("ccs/UiImages/vipPay/VipLight.png", 1)
	addChildForPre(self.rootPanel_1, self.iconBgImage)

	self.iconImage = ccui.ImageView:create()
	setValue(self.iconImage, "iconImage", 7, cc.size(130, 130), cc.p(150, 286), nil, nil, nil, nil, nil)
	self.iconImage:loadTexture("ccs/UiImages/mall/Diamond_g7.png", 1)
	addChildForPre(self.rootPanel_1, self.iconImage)

	self.priceLabel = createLabel({text=[[priceLabel]], font=getFont(), size=24,align = 1})
	setValue(self.priceLabel, "priceLabel", 10, cc.size(110, 28), cc.p(150, 46.2), nil, nil, nil, nil, nil)
	self.priceLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.priceLabel)

	self.priceImage = ccui.ImageView:create()
	setValue(self.priceImage, "priceImage", 8, cc.size(86, 77), cc.p(282, 413.6), cc.p(1, 1), nil, nil, nil, nil)
	self.priceImage:loadTexture("ccs/UiImages/charge/PayMoneyPlate.png", 1)
	addChildForPre(self.rootPanel_1, self.priceImage)
	self.priceImage_2 = self.priceImage

	self.iconDiamond = cc.Sprite:create()
	setValue(self.iconDiamond, "iconDiamond", 527, cc.size(150, 150), cc.p(20.64, 46.2), nil, nil, nil, nil, nil)
	self.iconDiamond:setScale(0.2)
	self.iconDiamond:setSpriteFrame("ccs/UiImages/commonIcon/IconDiamond.png")
	addChildForPre(self.priceImage_2, self.iconDiamond)

	self.titleLabel = createLabel({text=[[titleLabel]], font=getFont(), size=20})
	setValue(self.titleLabel, "titleLabel", 11, cc.size(80, 23), cc.p(36.12, 46.2), cc.p(0, 0.5), cc.c4b(241, 234, 14, 255), nil, nil, nil)
	self.titleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.titleLabel:setColor(cc.c4b(241, 234, 14, 255))
	addChildForPre(self.priceImage_2, self.titleLabel)

	self.infoLabel = createLabel({text=[[info]], font=getFont(), size=20,align = 1,valign = 1})
	setValue(self.infoLabel, "infoLabel", 12, cc.size(32, 23), cc.p(150, 149.6), cc.p(0.5, 0), nil, nil, nil, nil)
	self.infoLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.infoLabel)

	self.surplusDaysLabel = createLabel({text=[[surplusDaysLabel]], font=getFont(), size=18})
	setValue(self.surplusDaysLabel, "surplusDaysLabel", 447, cc.size(143, 21), cc.p(150, 114.4), nil, cc.c4b(255, 0, 0, 255), nil, nil, nil)
	self.surplusDaysLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.surplusDaysLabel:setColor(cc.c4b(255, 0, 0, 255))
	addChildForPre(self.rootPanel_1, self.surplusDaysLabel)

	self.info1Label = createLabel({text=[[info]], font=getFont(), size=18,align = 1,valign = 1, dimensions = cc.size(280.0000, 25.0000)})
	setValue(self.info1Label, "info1Label", 24, cc.size(280, 25), cc.p(150, 90.2), nil, nil, nil, nil, false)
	self.info1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.info1Label)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/mall.plist",
	"ccs/plist/charge.plist",
}

return _M
