-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 111, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonNewUi then 
 		self.CommonNewUi = CommonNewUi.new() 
 	else 
		self.CommonNewUi = BaseUi.new("ccs/ui/commonDialog/CommonNewUi.lua")
 	end 
	setValue(self.CommonNewUi, "CommonNewUi", 637, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.CommonNewUi)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 885, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.listPanel = ccui.Layout:create()
	setValue(self.listPanel, "AXY_listPanel", 283, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.listPanel)
	self.listPanel_3 = self.listPanel

	self.chargePanel = ccui.Layout:create()
	setValue(self.chargePanel, "XTN_chargePanel", 1311, cc.size(640, 104), cc.p(320, 834), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.listPanel_3, self.chargePanel)
	self.chargePanel_4 = self.chargePanel

	if ChargePlayerVipUi then 
 		self.chargePlayerVipUi = ChargePlayerVipUi.new() 
 	else 
		self.chargePlayerVipUi = BaseUi.new("ccs/ui/charge/ChargePlayerVipUi.lua")
 	end 
	setValue(self.chargePlayerVipUi, "chargePlayerVipUi", 221, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.chargePanel_4, self.chargePlayerVipUi)

	self.vipPrivilegeView = ccui.Layout:create()
	setValue(self.vipPrivilegeView, "XIN_vipPrivilegeView", 474, cc.size(640, 750), cc.p(320, 9), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.listPanel_3, self.vipPrivilegeView)
	self.vipPrivilegeView_4 = self.vipPrivilegeView

	self.vipInfoListView = ccui.Layout:create()
	setValue(self.vipInfoListView, "AXY_vipInfoListView", 893, cc.size(640, 750), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.vipPrivilegeView_4, self.vipInfoListView)

	self.vipInfoTwListView = ccui.Layout:create()
	setValue(self.vipInfoTwListView, "AXY_vipInfoTwListView", 135, cc.size(640, 750), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.vipPrivilegeView_4, self.vipInfoTwListView)

	self.endImage = ccui.ImageView:create()
	setValue(self.endImage, "WXB_endImage", 295, cc.size(640, 8), cc.p(320.0001, 2), nil, nil, nil, nil, false)
	self.endImage:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	self.endImage:setScale9Enabled(true)
	self.endImage:setCapInsets(cc.rect(0, 0, 640, 8))
	addChildForPre(self.listPanel_3, self.endImage)

	self.topImage = ccui.ImageView:create()
	setValue(self.topImage, "WXT_topImage", 296, cc.size(640, 30), cc.p(320.0001, 768.0001), nil, nil, nil, nil, false)
	self.topImage:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.topImage:setScale9Enabled(true)
	self.topImage:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.listPanel_3, self.topImage)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
}

return _M
