-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 473, cc.size(640, 104), cc.p(1.8651, 3.7312), nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.vipPanel = ccui.Layout:create()
	setValue(self.vipPanel, "HXY_vipPanel", 755, cc.size(640, 104), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.vipPanel)
	self.vipPanel_2 = self.vipPanel

	self.vipLevelImageT = ccui.ImageView:create()
	setValue(self.vipLevelImageT, "vipLevelImageT", 54, cc.size(80, 34), cc.p(14.9996, 65.456), cc.p(0, 0.5), nil, nil, nil, nil)
	self.vipLevelImageT:setScale(1.5)
	self.vipLevelImageT:loadTexture("ccs/UiImages/mainUiFeeling/commonPanelParts_txt_vip.png", 1)
	addChildForPre(self.vipPanel_2, self.vipLevelImageT)

	self.vipBarBg = ccui.ImageView:create()
	setValue(self.vipBarBg, "vipBarBg", 326, cc.size(254, 28), cc.p(342.1345, 69.4561), nil, nil, nil, nil, false)
	self.vipBarBg:loadTexture("ccs/UiImages/battle/s9_img_expa.png", 1)
	self.vipBarBg:setScale9Enabled(true)
	self.vipBarBg:setCapInsets(cc.rect(0, 10, 245, 4))
	addChildForPre(self.vipPanel_2, self.vipBarBg)

	local progressSprite = cc.Sprite:createWithSpriteFrameName("ccs/UiImages/battle/s9_img_expb.png")
	self.vipProgress = cc.ProgressTimer:create(progressSprite)
	setValue(self.vipProgress, "vipProgress", 854, cc.size(245, 24), cc.p(342.3926, 68.4559), nil, nil, nil, nil, nil)
	self.vipProgress:setScaleX(1.04)
	self.vipProgress:setScaleY(1.3)
	self.vipProgress:setPercentage(100)
	self.vipProgress:setType(1)
	self.vipProgress:setBarChangeRate({x=1,y=0})
	self.vipProgress:setMidpoint({x = 0,y = 0})
	addChildForPre(self.vipPanel_2, self.vipProgress)

	self.vipBarLabel = createLabel({text=[[cur/max]], font=getFont(), size=24})
	setValue(self.vipBarLabel, "vipBarLabel", 518, cc.size(85, 28), cc.p(348.5842, 69.4562), nil, nil, nil, nil, nil)
	self.vipBarLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.vipPanel_2, self.vipBarLabel)

	self.rechargeButton = ccui.Button:create()
	setValue(self.rechargeButton, "rechargeButton", 798, cc.size(142, 89), cc.p(551.8397, 46.6408), nil, nil, nil, nil, false)
	self.rechargeButton:loadTextureNormal("ccs/UiImages/mall/vipPay_btn_01.png", 1)
	self.rechargeButton:loadTexturePressed("ccs/UiImages/mall/vipPay_btn_01.png", 1)
	self.rechargeButton:loadTextureDisabled("ccs/UiImages/mall/vipPay_btn_01.png", 1)
	self.rechargeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.rechargeButton:setTitleText([[充值]])
	self.rechargeButton:setTitleFontSize(25)
	self.rechargeButton:setTitleFontName(getFont())
	setClickEvent(self, self.rechargeButton, "rechargeButton")
	addChildForPre(self.vipPanel_2, self.rechargeButton)

	self.vipUpgradeView = ccui.Layout:create()
	setValue(self.vipUpgradeView, "vipUpgradeView", 797, cc.size(448, 40), cc.p(243.2, 18.8136), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.vipPanel_2, self.vipUpgradeView)
	self.vipUpgradeView_3 = self.vipUpgradeView

	self.Image_13 = ccui.ImageView:create()
	setValue(self.Image_13, "Image_13", 557, cc.size(448, 40), cc.p(225.27, 19.8428), nil, nil, nil, nil, false)
	self.Image_13:loadTexture("ccs/UiImages/image9/common_s9_diban1.png", 1)
	self.Image_13:setScale9Enabled(true)
	self.Image_13:setCapInsets(cc.rect(10, 10, 4, 4))
	addChildForPre(self.vipUpgradeView_3, self.Image_13)

	self.rechargingTitleLabel = createLabel({text=[[再充值]], font=getFont(), size=24,align = 2})
	setValue(self.rechargingTitleLabel, "rechargingTitleLabel", 843, cc.size(72, 28), cc.p(15.68, 21.9244), cc.p(0, 0.5), nil, nil, nil, nil)
	self.rechargingTitleLabel:setRotationSkewX(0.0437)
	self.rechargingTitleLabel:setRotationSkewY(0.0438)
	self.rechargingTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.vipUpgradeView_3, self.rechargingTitleLabel)

	self.diamondSprite = cc.Sprite:create()
	setValue(self.diamondSprite, "diamondSprite", 847, cc.size(46, 38), cc.p(119.3538, 21.8941), nil, nil, nil, nil, nil)
	self.diamondSprite:setRotationSkewX(0.045)
	self.diamondSprite:setRotationSkewY(0.0438)
	self.diamondSprite:setScale(0.8)
	self.diamondSprite:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainUi_zuanshi.png")
	addChildForPre(self.vipUpgradeView_3, self.diamondSprite)

	self.rechargingValueLabel = createLabel({text=[[123456]], font=getFont(), size=24})
	setValue(self.rechargingValueLabel, "rechargingValueLabel", 844, cc.size(80, 28), cc.p(136.8327, 21.9286), cc.p(0, 0.5), nil, nil, nil, nil)
	self.rechargingValueLabel:setRotationSkewX(0.0437)
	self.rechargingValueLabel:setRotationSkewY(0.0438)
	self.rechargingValueLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.vipUpgradeView_3, self.rechargingValueLabel)

	self.upgradedTitleLabel = createLabel({text=[[即成为]], font=getFont(), size=24,align = 2})
	setValue(self.upgradedTitleLabel, "upgradedTitleLabel", 845, cc.size(72, 28), cc.p(357.3246, 20.0012), cc.p(1, 0.5), nil, nil, nil, nil)
	self.upgradedTitleLabel:setRotationSkewX(0.042)
	self.upgradedTitleLabel:setRotationSkewY(0.0438)
	self.upgradedTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.vipUpgradeView_3, self.upgradedTitleLabel)

	self.upgradedValueLabel = createLabel({text=[[V1]], font=getFont(), size=24})
	setValue(self.upgradedValueLabel, "upgradedValueLabel", 846, cc.size(29, 28), cc.p(366.9819, 20.0007), cc.p(0, 0.5), cc.c4b(255, 240, 0, 255), nil, nil, nil)
	self.upgradedValueLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.upgradedValueLabel:setColor(cc.c4b(255, 240, 0, 255))
	addChildForPre(self.vipUpgradeView_3, self.upgradedValueLabel)

	self.vipLevelImage = ccui.ImageView:create()
	setValue(self.vipLevelImage, "vipLevelImage", 464, cc.size(31, 34), cc.p(131.7973, 65.456), cc.p(0, 0.5), nil, nil, nil, nil)
	self.vipLevelImage:setScale(1.5)
	self.vipLevelImage:loadTexture("ccs/UiImages/mainUiFeeling/commonPanelParts_txt_vip_1.png", 1)
	addChildForPre(self.vipPanel_2, self.vipLevelImage)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/common.plist",
	"ccs/plist/winLose.plist",
	"ccs/plist/mall.plist",
	"ccs/plist/mainUiFeeling.plist",
}

return _M
