-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_1 = cc.Node:create()
	setValue(self.Node_1, "Node_1", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_1)
 	self.uiRootNode = self.Node_1
	self.Node_1_0 = self.Node_1

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 85, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_1_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "XYN_dialogPanel", 86, cc.size(320, 320), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 7, cc.size(320, 320), cc.p(160, 160), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/image9/commonPanel_s9_bg_1.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(42, 30, 88, 10))
	addChildForPre(self.dialogPanel_2, self.bgImage)

	self.shieldButton = ccui.Button:create()
	setValue(self.shieldButton, "shieldButton", 87, cc.size(153, 64), cc.p(160, 160), nil, nil, nil, nil, false)
	self.shieldButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.shieldButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.shieldButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.shieldButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.shieldButton:setTitleText([[屏蔽]])
	self.shieldButton:setTitleFontSize(25)
	self.shieldButton:setTitleFontName(getFont())
	setClickEvent(self, self.shieldButton, "shieldButton")
	addChildForPre(self.dialogPanel_2, self.shieldButton)

	self.privateButton = ccui.Button:create()
	setValue(self.privateButton, "privateButton", 88, cc.size(153, 64), cc.p(160, 64), nil, nil, nil, nil, false)
	self.privateButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.privateButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.privateButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.privateButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.privateButton:setTitleText([[私聊]])
	self.privateButton:setTitleFontSize(25)
	self.privateButton:setTitleFontName(getFont())
	setClickEvent(self, self.privateButton, "privateButton")
	addChildForPre(self.dialogPanel_2, self.privateButton)

	self.InvitedButton = ccui.Button:create()
	setValue(self.InvitedButton, "InvitedButton", 756, cc.size(153, 64), cc.p(160, 256), nil, nil, nil, nil, false)
	self.InvitedButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.InvitedButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.InvitedButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.InvitedButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.InvitedButton:setTitleText([[邀请好友]])
	self.InvitedButton:setTitleFontSize(25)
	self.InvitedButton:setTitleFontName(getFont())
	setClickEvent(self, self.InvitedButton, "InvitedButton")
	addChildForPre(self.dialogPanel_2, self.InvitedButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/common.plist",
}

return _M
