-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 1018, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.listviewPrePanel = ccui.Layout:create()
	setValue(self.listviewPrePanel, "WIX_listviewPrePanel", 1086, cc.size(640, 700), cc.p(0, 132), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.listviewPrePanel)

	self.bottomPrePanel = ccui.Layout:create()
	setValue(self.bottomPrePanel, "WBX_bottomPrePanel", 147, cc.size(640, 120), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.bottomPrePanel)
	self.bottomPrePanel_2 = self.bottomPrePanel

	self.imageBottomBg = ccui.ImageView:create()
	setValue(self.imageBottomBg, "imageBottomBg", 597, cc.size(640, 120), cc.p(320, 60), nil, nil, nil, nil, false)
	self.imageBottomBg:loadTexture("ccs/UiImages/image9/common_img_jiemian04.png", 1)
	self.imageBottomBg:setScale9Enabled(true)
	self.imageBottomBg:setCapInsets(cc.rect(20, 6, 216, 7))
	addChildForPre(self.bottomPrePanel_2, self.imageBottomBg)

	self.imageLine2 = ccui.ImageView:create()
	setValue(self.imageLine2, "imageLine2", 599, cc.size(640, 30), cc.p(320, 120), nil, nil, nil, nil, false)
	self.imageLine2:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.imageLine2:setScale9Enabled(true)
	self.imageLine2:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.bottomPrePanel_2, self.imageLine2)

	self.imageLine1 = ccui.ImageView:create()
	setValue(self.imageLine1, "imageLine1", 598, cc.size(640, 8), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.imageLine1:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	self.imageLine1:setScale9Enabled(true)
	self.imageLine1:setCapInsets(cc.rect(0, 0, 640, 8))
	addChildForPre(self.bottomPrePanel_2, self.imageLine1)

	self.sendButton = ccui.Button:create()
	setValue(self.sendButton, "RBN_sendButton", 150, cc.size(153, 64), cc.p(544, 60), nil, nil, nil, nil, false)
	self.sendButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.sendButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.sendButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.sendButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.sendButton:setTitleText([[send]])
	self.sendButton:setTitleFontSize(25)
	self.sendButton:setTitleFontName(getFont())
	setClickEvent(self, self.sendButton, "sendButton")
	addChildForPre(self.bottomPrePanel_2, self.sendButton)

	self.inputImageBg = ccui.ImageView:create()
	setValue(self.inputImageBg, "inputImageBg", 600, cc.size(447, 44), cc.p(16, 60), cc.p(0, 0.5), nil, nil, nil, false)
	self.inputImageBg:loadTexture("ccs/UiImages/image9/common_s9_diban.png", 1)
	self.inputImageBg:setScale9Enabled(true)
	self.inputImageBg:setCapInsets(cc.rect(8, 8, 8, 8))
	addChildForPre(self.bottomPrePanel_2, self.inputImageBg)
	self.inputImageBg_3 = self.inputImageBg

	self.chatInput = ccui.EditBox:create(cc.size(447, 30), ccui.Scale9Sprite:create())
	setValue(self.chatInput, "chatInput", 662, cc.size(447, 30), cc.p(0, 22), cc.p(0, 0.5), nil, nil, nil, nil)
	self.chatInput:setText([[]])
	self.chatInput:setReturnType(1)
	self.chatInput:setInputMode(6)
	self.chatInput:setPlaceHolder([[]])
	self.chatInput:setFontSize(24)
	self.chatInput:setPlaceholderFontSize(24)
	self.chatInput:setFontColor(cc.c4b(255, 255, 255, 255))
	self.chatInput:setFontName(getFont())
	self.chatInput:setPlaceholderFontName(getFont())
	addChildForPre(self.inputImageBg_3, self.chatInput)

	self.bgImageNode = cc.Node:create()
	setValue(self.bgImageNode, "bgImageNode", 150, nil, cc.p(16, 60), nil, nil, nil, nil, nil)
	addChildForPre(self.bottomPrePanel_2, self.bgImageNode)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
}

return _M
