-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 161, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 181, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "dialogPanel", 5, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.tabPanel = ccui.Layout:create()
	setValue(self.tabPanel, "tabPanel", 399, cc.size(640, 50), cc.p(320, 816), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.tabPanel)
	self.tabPanel_3 = self.tabPanel

	self.tabCenterButton = ccui.Button:create()
	setValue(self.tabCenterButton, "tabCenterButton", 526, cc.size(46, 36), cc.p(70.4, 25), nil, nil, nil, nil, false)
	self.tabCenterButton:loadTextureNormal("Default/Button_Normal.png", 0)
	self.tabCenterButton:loadTexturePressed("Default/Button_Press.png", 0)
	self.tabCenterButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.tabCenterButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tabCenterButton:setTitleText([[tabCenterButton]])
	self.tabCenterButton:setTitleFontSize(25)
	self.tabCenterButton:setTitleFontName(getFont())
	setClickEvent(self, self.tabCenterButton, "tabCenterButton")
	addChildForPre(self.tabPanel_3, self.tabCenterButton)

	self.tabMilitaryRankButton = ccui.Button:create()
	setValue(self.tabMilitaryRankButton, "tabMilitaryRankButton", 527, cc.size(46, 36), cc.p(217.6, 25), nil, nil, nil, nil, false)
	self.tabMilitaryRankButton:loadTextureNormal("Default/Button_Normal.png", 0)
	self.tabMilitaryRankButton:loadTexturePressed("Default/Button_Press.png", 0)
	self.tabMilitaryRankButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.tabMilitaryRankButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tabMilitaryRankButton:setTitleText([[tabMilitaryRankButton]])
	self.tabMilitaryRankButton:setTitleFontSize(25)
	self.tabMilitaryRankButton:setTitleFontName(getFont())
	setClickEvent(self, self.tabMilitaryRankButton, "tabMilitaryRankButton")
	addChildForPre(self.tabPanel_3, self.tabMilitaryRankButton)
	self.tabMilitaryRankButton_4 = self.tabMilitaryRankButton

	self.REDPOINT_COMMANDCENTER_MILITARYRANK = cc.Sprite:create()
	setValue(self.REDPOINT_COMMANDCENTER_MILITARYRANK, "REDPOINT_COMMANDCENTER_MILITARYRANK", 669, cc.size(25, 25), cc.p(244, 36), nil, nil, nil, nil, nil)
	self.REDPOINT_COMMANDCENTER_MILITARYRANK:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.tabMilitaryRankButton_4, self.REDPOINT_COMMANDCENTER_MILITARYRANK)

	self.contentPanel = ccui.Layout:create()
	setValue(self.contentPanel, "contentPanel", 801, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.contentPanel)

	if CommonDialogFrame1CloseUi then 
 		self.commonDialogFrame1CloseUi = CommonDialogFrame1CloseUi.new() 
 	else 
		self.commonDialogFrame1CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame1CloseUi, "commonDialogFrame1CloseUi", 129, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"Default/Button_Disable.png",
	"Default/Button_Press.png",
	"Default/Button_Normal.png",
	"ccs/plist/common.plist",
}

return _M
