-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 5, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonShopDialog then 
 		self.CommonShopDialog = CommonShopDialog.new() 
 	else 
		self.CommonShopDialog = BaseUi.new("ccs/ui/commonDialog/CommonShopDialog.lua")
 	end 
	setValue(self.CommonShopDialog, "CommonShopDialog", 2531, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.CommonShopDialog)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 1345, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.PanelUp = ccui.Layout:create()
	setValue(self.PanelUp, "WXY_PanelUp", 2544, cc.size(400, 100), cc.p(131.2877, 800.1357), nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.PanelUp)
	self.PanelUp_3 = self.PanelUp

	self.supplyLabel = createLabel({text=[[补给收益：]], font=getFont(), size=27})
	setValue(self.supplyLabel, "supplyLabel", 2545, cc.size(135, 31), cc.p(143.7001, 35.5802), nil, nil, nil, nil, nil)
	self.supplyLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.PanelUp_3, self.supplyLabel)

	self.supplyValueLabel = createLabel({text=[[9999]], font=getFont(), size=27})
	setValue(self.supplyValueLabel, "supplyValueLabel", 2546, cc.size(60, 31), cc.p(262.8107, 34.0589), cc.p(0, 0.5), cc.c4b(248, 255, 0, 255), nil, nil, nil)
	self.supplyValueLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.supplyValueLabel:setColor(cc.c4b(248, 255, 0, 255))
	addChildForPre(self.PanelUp_3, self.supplyValueLabel)

	self.supplyImage = cc.Sprite:create()
	setValue(self.supplyImage, "supplyImage", 2548, cc.size(32, 37), cc.p(230.5394, 38.4199), nil, nil, nil, nil, nil)
	self.supplyImage:setScale(1.25)
	self.supplyImage:setSpriteFrame("ccs/UiImages/common/icon_gold.png")
	addChildForPre(self.PanelUp_3, self.supplyImage)

	self.PanelMiddle = ccui.Layout:create()
	setValue(self.PanelMiddle, "XYN_PanelMiddle", 2549, cc.size(600, 300), cc.p(16.8713, 510.9583), nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.PanelMiddle)
	self.PanelMiddle_3 = self.PanelMiddle

	self.upShowImage = ccui.ImageView:create()
	setValue(self.upShowImage, "WTX_upShowImage", 278, cc.size(640, 30), cc.p(299.9999, 271.6498), nil, nil, nil, nil, false)
	self.upShowImage:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.upShowImage:setScale9Enabled(true)
	self.upShowImage:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.PanelMiddle_3, self.upShowImage)

	self.downShowImage = ccui.ImageView:create()
	setValue(self.downShowImage, "WBX_downShowImage", 279, cc.size(640, 30), cc.p(300.0001, 19.74), nil, nil, nil, nil, false)
	self.downShowImage:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.downShowImage:setScale9Enabled(true)
	self.downShowImage:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.PanelMiddle_3, self.downShowImage)

	self.middleTitleImage = ccui.ImageView:create()
	setValue(self.middleTitleImage, "TXN_middleTitleImage", 557, cc.size(368, 42), cc.p(300, 234), nil, nil, nil, nil, nil)
	self.middleTitleImage:loadTexture("ccs/UiImages/common/common_Partsimg_ditiao.png", 1)
	addChildForPre(self.PanelMiddle_3, self.middleTitleImage)

	self.middleTitle = createLabel({text=[[收益加成]], font=getFont(), size=24})
	setValue(self.middleTitle, "TXN_middleTitle", 294, cc.size(96, 28), cc.p(300, 233.07), nil, cc.c4b(165, 136, 0, 255), nil, nil, nil)
	self.middleTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.middleTitle:setColor(cc.c4b(165, 136, 0, 255))
	addChildForPre(self.PanelMiddle_3, self.middleTitle)

	self.PanelBase = ccui.Layout:create()
	setValue(self.PanelBase, "XYN_PanelBase", 286, cc.size(250, 80), cc.p(160.98, 161.49), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.PanelMiddle_3, self.PanelBase)
	self.PanelBase_4 = self.PanelBase

	self.commandCenter_playerLv = createLabel({text=[[角色等级:]], font=getFont(), size=25})
	setValue(self.commandCenter_playerLv, "commandCenter_playerLv", 7, cc.size(106, 29), cc.p(112.5, 56), cc.p(1, 0.5), cc.c4b(165, 136, 0, 255), nil, nil, nil)
	self.commandCenter_playerLv:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.commandCenter_playerLv:setColor(cc.c4b(165, 136, 0, 255))
	addChildForPre(self.PanelBase_4, self.commandCenter_playerLv)

	self.roleLevelLabel = createLabel({text=[[Text Label]], font=getFont(), size=25})
	setValue(self.roleLevelLabel, "roleLevelLabel", 26, cc.size(113, 29), cc.p(112.5, 56), cc.p(0, 0.5), cc.c4b(165, 136, 0, 255), nil, nil, nil)
	self.roleLevelLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.roleLevelLabel:setColor(cc.c4b(165, 136, 0, 255))
	addChildForPre(self.PanelBase_4, self.roleLevelLabel)

	self.commandCenter_basicSupply = createLabel({text=[[基础补给:]], font=getFont(), size=25})
	setValue(self.commandCenter_basicSupply, "commandCenter_basicSupply", 8, cc.size(106, 29), cc.p(112.5, 24), cc.p(1, 0.5), cc.c4b(165, 136, 0, 255), nil, nil, nil)
	self.commandCenter_basicSupply:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.commandCenter_basicSupply:setColor(cc.c4b(165, 136, 0, 255))
	addChildForPre(self.PanelBase_4, self.commandCenter_basicSupply)

	self.baseRewardLabel = createLabel({text=[[Text Label]], font=getFont(), size=25})
	setValue(self.baseRewardLabel, "baseRewardLabel", 27, cc.size(113, 29), cc.p(112.5, 24), cc.p(0, 0.5), cc.c4b(165, 136, 0, 255), nil, nil, nil)
	self.baseRewardLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.baseRewardLabel:setColor(cc.c4b(165, 136, 0, 255))
	addChildForPre(self.PanelBase_4, self.baseRewardLabel)

	self.PanelMiltary = ccui.Layout:create()
	setValue(self.PanelMiltary, "XYN_PanelMiltary", 287, cc.size(250, 80), cc.p(160.98, 75), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.PanelMiddle_3, self.PanelMiltary)
	self.PanelMiltary_4 = self.PanelMiltary

	self.militaryLabel = createLabel({text=[[军衔等级:]], font=getFont(), size=25})
	setValue(self.militaryLabel, "militaryLabel", 421, cc.size(106, 29), cc.p(112.5, 56), cc.p(1, 0.5), cc.c4b(165, 136, 0, 255), nil, nil, nil)
	self.militaryLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.militaryLabel:setColor(cc.c4b(165, 136, 0, 255))
	addChildForPre(self.PanelMiltary_4, self.militaryLabel)

	self.militaryNameLabel = createLabel({text=[[Text Label]], font=getFont(), size=25})
	setValue(self.militaryNameLabel, "militaryNameLabel", 422, cc.size(113, 29), cc.p(112.5, 56), cc.p(0, 0.5), cc.c4b(165, 136, 0, 255), nil, nil, nil)
	self.militaryNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.militaryNameLabel:setColor(cc.c4b(165, 136, 0, 255))
	addChildForPre(self.PanelMiltary_4, self.militaryNameLabel)

	self.militaryAddLabel = createLabel({text=[[收益加成:]], font=getFont(), size=25})
	setValue(self.militaryAddLabel, "militaryAddLabel", 423, cc.size(106, 29), cc.p(112.5, 24), cc.p(1, 0.5), cc.c4b(165, 136, 0, 255), nil, nil, nil)
	self.militaryAddLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.militaryAddLabel:setColor(cc.c4b(165, 136, 0, 255))
	addChildForPre(self.PanelMiltary_4, self.militaryAddLabel)

	self.militaryAddValueLabel = createLabel({text=[[Text Label]], font=getFont(), size=25})
	setValue(self.militaryAddValueLabel, "militaryAddValueLabel", 424, cc.size(113, 29), cc.p(112.5, 24), cc.p(0, 0.5), cc.c4b(165, 136, 0, 255), nil, nil, nil)
	self.militaryAddValueLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.militaryAddValueLabel:setColor(cc.c4b(165, 136, 0, 255))
	addChildForPre(self.PanelMiltary_4, self.militaryAddValueLabel)

	self.PanelVip = ccui.Layout:create()
	setValue(self.PanelVip, "XYN_PanelVip", 293, cc.size(250, 80), cc.p(438, 161.49), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.PanelMiddle_3, self.PanelVip)
	self.PanelVip_4 = self.PanelVip

	self.commandCenter_vipLv = createLabel({text=[[vip等级:]], font=getFont(), size=25,align = 2})
	setValue(self.commandCenter_vipLv, "commandCenter_vipLv", 14, cc.size(88, 29), cc.p(112.5, 56), cc.p(1, 0.5), cc.c4b(165, 136, 0, 255), nil, nil, nil)
	self.commandCenter_vipLv:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.commandCenter_vipLv:setColor(cc.c4b(165, 136, 0, 255))
	addChildForPre(self.PanelVip_4, self.commandCenter_vipLv)

	self.vipLevelLabel = createLabel({text=[[Text Label]], font=getFont(), size=25})
	setValue(self.vipLevelLabel, "vipLevelLabel", 45, cc.size(113, 29), cc.p(112.5, 56), cc.p(0, 0.5), cc.c4b(165, 136, 0, 255), nil, nil, nil)
	self.vipLevelLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.vipLevelLabel:setColor(cc.c4b(165, 136, 0, 255))
	addChildForPre(self.PanelVip_4, self.vipLevelLabel)

	self.commandCenter_advancedSupply = createLabel({text=[[收益加成:]], font=getFont(), size=25,align = 2})
	setValue(self.commandCenter_advancedSupply, "commandCenter_advancedSupply", 15, cc.size(106, 29), cc.p(112.5, 24), cc.p(1, 0.5), cc.c4b(165, 136, 0, 255), nil, nil, nil)
	self.commandCenter_advancedSupply:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.commandCenter_advancedSupply:setColor(cc.c4b(165, 136, 0, 255))
	addChildForPre(self.PanelVip_4, self.commandCenter_advancedSupply)

	self.vipAddLabel = createLabel({text=[[Text Label]], font=getFont(), size=25})
	setValue(self.vipAddLabel, "vipAddLabel", 46, cc.size(113, 29), cc.p(112.5, 24), cc.p(0, 0.5), cc.c4b(165, 136, 0, 255), nil, nil, nil)
	self.vipAddLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.vipAddLabel:setColor(cc.c4b(165, 136, 0, 255))
	addChildForPre(self.PanelVip_4, self.vipAddLabel)

	self.ItemAll = ccui.Layout:create()
	setValue(self.ItemAll, "AXY_ItemAll", 16, cc.size(600, 500), cc.p(320, 268.8), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.ItemAll)
	self.ItemAll_3 = self.ItemAll

	self.commandCentertip1 = createLabel({text=[[VIP等级越高，每日加强补给次数越多！]], font=getFont(), size=22,align = 1})
	setValue(self.commandCentertip1, "XYN_commandCentertip1", 251, cc.size(387, 26), cc.p(311.52, 28.8), nil, nil, nil, nil, nil)
	self.commandCentertip1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.ItemAll_3, self.commandCentertip1)

	self.Panel2 = ccui.Layout:create()
	setValue(self.Panel2, "XYN_Panel2", 19, cc.size(300, 435), cc.p(450, 286.85), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.ItemAll_3, self.Panel2)
	self.Panel2_4 = self.Panel2

	self.commandCenter_supplyRecovery = createLabel({text=[[补给恢复时间]], font=getFont(), size=23,align = 2})
	setValue(self.commandCenter_supplyRecovery, "commandCenter_supplyRecovery", 23, cc.size(138, 27), cc.p(214.95, 180.3945), cc.p(1, 0.5), cc.c4b(143, 245, 255, 255), nil, nil, nil)
	self.commandCenter_supplyRecovery:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.commandCenter_supplyRecovery:setColor(cc.c4b(143, 245, 255, 255))
	addChildForPre(self.Panel2_4, self.commandCenter_supplyRecovery)

	self.huifuTimeLabel = createLabel({text=[[02 : 12 : 24]], font=getFont(), size=24})
	setValue(self.huifuTimeLabel, "huifuTimeLabel", 24, cc.size(120, 28), cc.p(87.99, 142.854), cc.p(0, 0.5), cc.c4b(34, 211, 0, 255), nil, nil, nil)
	self.huifuTimeLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.huifuTimeLabel:setColor(cc.c4b(34, 211, 0, 255))
	addChildForPre(self.Panel2_4, self.huifuTimeLabel)

	self.baseSupplyButton = ccui.Button:create()
	setValue(self.baseSupplyButton, "baseSupplyButton", 25, cc.size(153, 64), cc.p(157.14, 52.0695), nil, nil, nil, nil, false)
	self.baseSupplyButton:setScale(0.9)
	self.baseSupplyButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.baseSupplyButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.baseSupplyButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.baseSupplyButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.baseSupplyButton:setTitleText([[normal]])
	self.baseSupplyButton:setTitleFontSize(25)
	self.baseSupplyButton:setTitleFontName(getFont())
	setClickEvent(self, self.baseSupplyButton, "baseSupplyButton")
	addChildForPre(self.Panel2_4, self.baseSupplyButton)
	self.baseSupplyButton_5 = self.baseSupplyButton

	self.REDPOINT_COMMANDCENTER_NORMAL = cc.Sprite:create()
	setValue(self.REDPOINT_COMMANDCENTER_NORMAL, "REDPOINT_COMMANDCENTER_NORMAL", 149, cc.size(17, 17), cc.p(132.9522, 54.8551), nil, nil, nil, nil, nil)
	self.REDPOINT_COMMANDCENTER_NORMAL:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.baseSupplyButton_5, self.REDPOINT_COMMANDCENTER_NORMAL)

	self.commandCenter_supplyProfit1 = createLabel({text=[[补给收益]], font=getFont(), size=23,align = 2})
	setValue(self.commandCenter_supplyProfit1, "commandCenter_supplyProfit1", 28, cc.size(92, 27), cc.p(190.32, 288.7095), cc.p(1, 0.5), cc.c4b(143, 245, 255, 255), nil, nil, nil)
	self.commandCenter_supplyProfit1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.commandCenter_supplyProfit1:setColor(cc.c4b(143, 245, 255, 255))
	addChildForPre(self.Panel2_4, self.commandCenter_supplyProfit1)

	self.baseRewardCalcLabel = createLabel({text=[[19890]], font=getFont(), size=23})
	setValue(self.baseRewardCalcLabel, "baseRewardCalcLabel", 29, cc.size(63, 27), cc.p(123.36, 249.342), cc.p(0, 0.5), cc.c4b(34, 211, 0, 255), nil, nil, nil)
	self.baseRewardCalcLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.baseRewardCalcLabel:setColor(cc.c4b(34, 211, 0, 255))
	addChildForPre(self.Panel2_4, self.baseRewardCalcLabel)

	self.commandCenter_LeftNum1 = createLabel({text=[[剩余次数]], font=getFont(), size=23,align = 2})
	setValue(self.commandCenter_LeftNum1, "commandCenter_LeftNum1", 42, cc.size(92, 27), cc.p(190.38, 393.762), cc.p(1, 0.5), cc.c4b(143, 245, 255, 255), nil, nil, nil)
	self.commandCenter_LeftNum1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.commandCenter_LeftNum1:setColor(cc.c4b(143, 245, 255, 255))
	addChildForPre(self.Panel2_4, self.commandCenter_LeftNum1)

	self.baseCountLabel = createLabel({text=[[5/6]], font=getFont(), size=24})
	setValue(self.baseCountLabel, "baseCountLabel", 43, cc.size(33, 28), cc.p(129.81, 354.525), cc.p(0, 0.5), cc.c4b(34, 211, 0, 255), nil, nil, nil)
	self.baseCountLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.baseCountLabel:setColor(cc.c4b(34, 211, 0, 255))
	addChildForPre(self.Panel2_4, self.baseCountLabel)

	self.clickTimeLabel = createLabel({text=[[0:10]], font=getFont(), size=24,align = 1})
	setValue(self.clickTimeLabel, "clickTimeLabel", 44, cc.size(46, 28), cc.p(150, 100.05), nil, cc.c4b(34, 211, 0, 255), nil, nil, nil)
	self.clickTimeLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.clickTimeLabel:setColor(cc.c4b(34, 211, 0, 255))
	addChildForPre(self.Panel2_4, self.clickTimeLabel)

	self.iconGoldLower = cc.Sprite:create()
	setValue(self.iconGoldLower, "iconGoldLower", 144, cc.size(34, 28), cc.p(108, 249.342), nil, nil, nil, nil, nil)
	self.iconGoldLower:setScale(0.85)
	self.iconGoldLower:setSpriteFrame("ccs/UiImages/common/icon_gold.png")
	addChildForPre(self.Panel2_4, self.iconGoldLower)

	self.Panel1 = ccui.Layout:create()
	setValue(self.Panel1, "XYN_Panel1", 21, cc.size(300, 435), cc.p(150, 286.85), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.ItemAll_3, self.Panel1)
	self.Panel1_4 = self.Panel1

	self.commandCenter_LeftNum2 = createLabel({text=[[剩余次数]], font=getFont(), size=23,align = 2})
	setValue(self.commandCenter_LeftNum2, "commandCenter_LeftNum2", 47, cc.size(92, 27), cc.p(202.68, 394.7625), cc.p(1, 0.5), cc.c4b(143, 245, 255, 255), nil, nil, nil)
	self.commandCenter_LeftNum2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.commandCenter_LeftNum2:setColor(cc.c4b(143, 245, 255, 255))
	addChildForPre(self.Panel1_4, self.commandCenter_LeftNum2)

	self.commandCenter_supplyProfit2 = createLabel({text=[[补给收益]], font=getFont(), size=23,align = 2})
	setValue(self.commandCenter_supplyProfit2, "commandCenter_supplyProfit2", 48, cc.size(92, 27), cc.p(201.63, 288.9705), cc.p(1, 0.5), cc.c4b(143, 245, 255, 255), nil, nil, nil)
	self.commandCenter_supplyProfit2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.commandCenter_supplyProfit2:setColor(cc.c4b(143, 245, 255, 255))
	addChildForPre(self.Panel1_4, self.commandCenter_supplyProfit2)

	self.commandCenter_supplyCost = createLabel({text=[[补给消耗]], font=getFont(), size=23,align = 2})
	setValue(self.commandCenter_supplyCost, "commandCenter_supplyCost", 49, cc.size(92, 27), cc.p(202.68, 181.9605), cc.p(1, 0.5), cc.c4b(143, 245, 255, 255), nil, nil, nil)
	self.commandCenter_supplyCost:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.commandCenter_supplyCost:setColor(cc.c4b(143, 245, 255, 255))
	addChildForPre(self.Panel1_4, self.commandCenter_supplyCost)

	self.vipCountLabel = createLabel({text=[[5/6]], font=getFont(), size=24})
	setValue(self.vipCountLabel, "vipCountLabel", 50, cc.size(33, 28), cc.p(141.99, 355.221), cc.p(0, 0.5), cc.c4b(34, 211, 0, 255), nil, nil, nil)
	self.vipCountLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.vipCountLabel:setColor(cc.c4b(34, 211, 0, 255))
	addChildForPre(self.Panel1_4, self.vipCountLabel)

	self.vipRewardCalcLabel = createLabel({text=[[19890]], font=getFont(), size=24})
	setValue(self.vipRewardCalcLabel, "vipRewardCalcLabel", 51, cc.size(66, 28), cc.p(136.02, 249.342), cc.p(0, 0.5), cc.c4b(34, 211, 0, 255), nil, nil, nil)
	self.vipRewardCalcLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.vipRewardCalcLabel:setColor(cc.c4b(34, 211, 0, 255))
	addChildForPre(self.Panel1_4, self.vipRewardCalcLabel)

	self.gemCostLabel = createLabel({text=[[9]], font=getFont(), size=24})
	setValue(self.gemCostLabel, "gemCostLabel", 52, cc.size(13, 28), cc.p(145.17, 142.593), cc.p(0, 0.5), cc.c4b(34, 211, 0, 255), nil, nil, nil)
	self.gemCostLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.gemCostLabel:setColor(cc.c4b(34, 211, 0, 255))
	addChildForPre(self.Panel1_4, self.gemCostLabel)

	self.vipSupplyButton = ccui.Button:create()
	setValue(self.vipSupplyButton, "vipSupplyButton", 53, cc.size(153, 64), cc.p(165.33, 53.331), nil, nil, nil, nil, false)
	self.vipSupplyButton:setScale(0.9)
	self.vipSupplyButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.vipSupplyButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.vipSupplyButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.vipSupplyButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.vipSupplyButton:setTitleText([[加强补给]])
	self.vipSupplyButton:setTitleFontSize(25)
	self.vipSupplyButton:setTitleFontName(getFont())
	setClickEvent(self, self.vipSupplyButton, "vipSupplyButton")
	addChildForPre(self.Panel1_4, self.vipSupplyButton)

	self.iconGoldSenior = cc.Sprite:create()
	setValue(self.iconGoldSenior, "iconGoldSenior", 145, cc.size(34, 28), cc.p(121.38, 249.342), nil, nil, nil, nil, nil)
	self.iconGoldSenior:setScale(0.85)
	self.iconGoldSenior:setSpriteFrame("ccs/UiImages/common/icon_gold.png")
	addChildForPre(self.Panel1_4, self.iconGoldSenior)

	self.IconDiamond = cc.Sprite:create()
	setValue(self.IconDiamond, "IconDiamond", 146, cc.size(46, 38), cc.p(116.85, 143.811), nil, nil, nil, nil, nil)
	self.IconDiamond:setScale(0.8)
	self.IconDiamond:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainUi_zuanshi.png")
	addChildForPre(self.Panel1_4, self.IconDiamond)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/mainUiFeeling.plist",
}

return _M
