-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 3, cc.size(1125, 750), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame5Ui then 
 		self.commonDialogFrame5Ui = CommonDialogFrame5Ui.new() 
 	else 
		self.commonDialogFrame5Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame5Ui.lua")
 	end 
	setValue(self.commonDialogFrame5Ui, "commonDialogFrame5Ui", 96, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame5Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "dialogPanel", 118, cc.size(900, 480), cc.p(562.5, 375), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 341, cc.size(700, 150), cc.p(450, 297.792), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/commonB/Userplate.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(50, 50, 164, 75))
	addChildForPre(self.dialogPanel_2, self.bgImage)

	self.numBGImage = ccui.ImageView:create()
	setValue(self.numBGImage, "numBGImage", 220, cc.size(80, 30), cc.p(450, 268.992), nil, nil, nil, nil, false)
	self.numBGImage:loadTexture("ccs/UiImages/commonB/Userplate.png", 1)
	self.numBGImage:setScale9Enabled(true)
	self.numBGImage:setCapInsets(cc.rect(0, 0, 264, 175))
	addChildForPre(self.dialogPanel_2, self.numBGImage)
	self.numBGImage_3 = self.numBGImage

	self.buyNumText = createLabel({text=[[0]], font=getFont(), size=24})
	setValue(self.buyNumText, "buyNumText", 9, cc.size(13, 28), cc.p(40, 15), nil, nil, nil, nil, nil)
	self.buyNumText:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.numBGImage_3, self.buyNumText)

	self.buyArenaFight2Text = createLabel({text=[[buyArenaFight2Text]], font=getFont(), size=24})
	setValue(self.buyArenaFight2Text, "buyArenaFight2Text", 5, cc.size(213, 28), cc.p(450, 336.192), nil, cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.buyArenaFight2Text:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.buyArenaFight2Text:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.dialogPanel_2, self.buyArenaFight2Text)

	self.jianYiButton = ccui.Button:create()
	setValue(self.jianYiButton, "jianYiButton", 6, cc.size(84, 44), cc.p(360, 268.992), nil, nil, nil, nil, false)
	self.jianYiButton:loadTextureNormal("ccs/UiImages/image9/BtnSubtract.png", 1)
	self.jianYiButton:loadTexturePressed("ccs/UiImages/image9/BtnSubtract.png", 1)
	self.jianYiButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.jianYiButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.jianYiButton:setTitleText([[-1]])
	self.jianYiButton:setTitleFontSize(25)
	self.jianYiButton:setTitleFontName(getFont())
	setClickEvent(self, self.jianYiButton, "jianYiButton")
	addChildForPre(self.dialogPanel_2, self.jianYiButton)

	self.jianShiButton = ccui.Button:create()
	setValue(self.jianShiButton, "jianShiButton", 92, cc.size(84, 44), cc.p(270, 268.992), nil, nil, nil, nil, false)
	self.jianShiButton:loadTextureNormal("ccs/UiImages/image9/BtnSubtract.png", 1)
	self.jianShiButton:loadTexturePressed("ccs/UiImages/image9/BtnSubtract.png", 1)
	self.jianShiButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.jianShiButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.jianShiButton:setTitleText([[-10]])
	self.jianShiButton:setTitleFontSize(25)
	self.jianShiButton:setTitleFontName(getFont())
	setClickEvent(self, self.jianShiButton, "jianShiButton")
	addChildForPre(self.dialogPanel_2, self.jianShiButton)

	self.jiaYiButton = ccui.Button:create()
	setValue(self.jiaYiButton, "jiaYiButton", 7, cc.size(84, 44), cc.p(540, 268.992), nil, nil, nil, nil, false)
	self.jiaYiButton:loadTextureNormal("ccs/UiImages/image9/BtnPlus.png", 1)
	self.jiaYiButton:loadTexturePressed("ccs/UiImages/image9/BtnPlus.png", 1)
	self.jiaYiButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.jiaYiButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.jiaYiButton:setTitleText([[+1]])
	self.jiaYiButton:setTitleFontSize(25)
	self.jiaYiButton:setTitleFontName(getFont())
	setClickEvent(self, self.jiaYiButton, "jiaYiButton")
	addChildForPre(self.dialogPanel_2, self.jiaYiButton)

	self.jiaShiButton = ccui.Button:create()
	setValue(self.jiaShiButton, "jiaShiButton", 8, cc.size(84, 44), cc.p(630, 268.992), nil, nil, nil, nil, false)
	self.jiaShiButton:loadTextureNormal("ccs/UiImages/image9/BtnPlus.png", 1)
	self.jiaShiButton:loadTexturePressed("ccs/UiImages/image9/BtnPlus.png", 1)
	self.jiaShiButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.jiaShiButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.jiaShiButton:setTitleText([[+10]])
	self.jiaShiButton:setTitleFontSize(25)
	self.jiaShiButton:setTitleFontName(getFont())
	setClickEvent(self, self.jiaShiButton, "jiaShiButton")
	addChildForPre(self.dialogPanel_2, self.jiaShiButton)

	self.todayCanBuyText = createLabel({text=[[todayCanBuyText]], font=getFont(), size=24})
	setValue(self.todayCanBuyText, "todayCanBuyText", 10, cc.size(188, 28), cc.p(450, 153.792), nil, cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.todayCanBuyText:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.todayCanBuyText:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.dialogPanel_2, self.todayCanBuyText)

	self.cancelButton = ccui.Button:create()
	setValue(self.cancelButton, "cancelButton", 12, cc.size(150, 62), cc.p(225, 76.992), nil, nil, nil, nil, false)
	self.cancelButton:loadTextureNormal("ccs/UiImages/image9/CommonBtnBlue.png", 1)
	self.cancelButton:loadTexturePressed("ccs/UiImages/image9/CommonBtnBlueHover.png", 1)
	self.cancelButton:loadTextureDisabled("ccs/UiImages/image9/CommonBtnDisable.png", 1)
	self.cancelButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.cancelButton:setTitleText([[cancel]])
	self.cancelButton:setTitleFontSize(25)
	self.cancelButton:setTitleFontName(getFont())
	setClickEvent(self, self.cancelButton, "cancelButton")
	addChildForPre(self.dialogPanel_2, self.cancelButton)

	self.okButton = ccui.Button:create()
	setValue(self.okButton, "okButton", 13, cc.size(150, 62), cc.p(675, 76.992), nil, nil, nil, nil, false)
	self.okButton:loadTextureNormal("ccs/UiImages/image9/CommonBtnYellow.png", 1)
	self.okButton:loadTexturePressed("ccs/UiImages/image9/CommonBtnYellowHover.png", 1)
	self.okButton:loadTextureDisabled("ccs/UiImages/image9/CommonBtnDisable.png", 1)
	self.okButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.okButton:setTitleText([[ok]])
	self.okButton:setTitleFontSize(25)
	self.okButton:setTitleFontName(getFont())
	setClickEvent(self, self.okButton, "okButton")
	addChildForPre(self.dialogPanel_2, self.okButton)

	self.pricePanel = ccui.Layout:create()
	setValue(self.pricePanel, "pricePanel", 93, cc.size(500, 30), cc.p(450, 196.992), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.pricePanel)
	self.pricePanel_3 = self.pricePanel

	self.totalPriceText = createLabel({text=[[totalPriceText]], font=getFont(), size=24,align = 2})
	setValue(self.totalPriceText, "totalPriceText", 11, cc.size(144, 28), cc.p(210, 15), cc.p(1, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.totalPriceText:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.totalPriceText:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.pricePanel_3, self.totalPriceText)

	self.IconDiamond = cc.Sprite:create()
	setValue(self.IconDiamond, "IconDiamond", 175, cc.size(150, 150), cc.p(250, 15), nil, nil, nil, nil, nil)
	self.IconDiamond:setScale(0.3)
	self.IconDiamond:setSpriteFrame("ccs/UiImages/commonIcon/IconDiamond.png")
	addChildForPre(self.pricePanel_3, self.IconDiamond)

	self.totalPriceText_Copy = createLabel({text=[[totalPriceText]], font=getFont(), size=24})
	setValue(self.totalPriceText_Copy, "totalPriceText_Copy", 219, cc.size(144, 28), cc.p(290, 15), cc.p(0, 0.5), nil, nil, nil, nil)
	self.totalPriceText_Copy:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.pricePanel_3, self.totalPriceText_Copy)

	self.priceAllLabel = createLabel({text=[[priceAllLabel]], font=getFont(), size=24,align = 1})
	setValue(self.priceAllLabel, "priceAllLabel", 94, cc.size(137, 28), cc.p(450, 196.992), nil, nil, nil, nil, nil)
	self.priceAllLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.priceAllLabel)

	if CommonDialogFrame5CloseUi then 
 		self.commonDialogFrame5CloseUi = CommonDialogFrame5CloseUi.new() 
 	else 
		self.commonDialogFrame5CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame5CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame5CloseUi, "commonDialogFrame5CloseUi", 113, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.commonDialogFrame5CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/common.plist",
	"Default/Button_Disable.png",
}

return _M
