-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 3, cc.size(1125, 750), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame5Ui then 
 		self.commonDialogFrame5Ui = CommonDialogFrame5Ui.new() 
 	else 
		self.commonDialogFrame5Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame5Ui.lua")
 	end 
	setValue(self.commonDialogFrame5Ui, "commonDialogFrame5Ui", 10, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame5Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "dialogPanel", 4, cc.size(900, 480), cc.p(562.5, 375), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.bottomButton1 = ccui.Button:create()
	setValue(self.bottomButton1, "bottomButton1", 27, cc.size(150, 62), cc.p(270, 64.608), nil, nil, nil, nil, false)
	self.bottomButton1:loadTextureNormal("ccs/UiImages/image9/CommonBtnBlue.png", 1)
	self.bottomButton1:loadTexturePressed("ccs/UiImages/image9/CommonBtnBlueHover.png", 1)
	self.bottomButton1:loadTextureDisabled("ccs/UiImages/image9/CommonBtnDisable.png", 1)
	self.bottomButton1:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.bottomButton1:setTitleText([[cancel]])
	self.bottomButton1:setTitleFontSize(25)
	self.bottomButton1:setTitleFontName(getFont())
	setClickEvent(self, self.bottomButton1, "bottomButton1")
	addChildForPre(self.dialogPanel_2, self.bottomButton1)

	self.bottomButton2 = ccui.Button:create()
	setValue(self.bottomButton2, "bottomButton2", 200, cc.size(150, 62), cc.p(630, 64.608), nil, nil, nil, nil, false)
	self.bottomButton2:loadTextureNormal("ccs/UiImages/image9/CommonBtnRed.png", 1)
	self.bottomButton2:loadTexturePressed("ccs/UiImages/image9/CommonBtnRedHover.png", 1)
	self.bottomButton2:loadTextureDisabled("ccs/UiImages/image9/CommonBtnDisable.png", 1)
	self.bottomButton2:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.bottomButton2:setTitleText([[ok]])
	self.bottomButton2:setTitleFontSize(25)
	self.bottomButton2:setTitleFontName(getFont())
	setClickEvent(self, self.bottomButton2, "bottomButton2")
	addChildForPre(self.dialogPanel_2, self.bottomButton2)

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 131, cc.size(800, 220), cc.p(450, 263.616), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/commonB/Userplate.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(25, 25, 214, 125))
	addChildForPre(self.dialogPanel_2, self.bgImage)

	self.prizePanel = ccui.Layout:create()
	setValue(self.prizePanel, "prizePanel", 60, cc.size(630, 140), cc.p(450, 266.4), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.prizePanel)
	self.prizePanel_3 = self.prizePanel

	self.prizeNode1 = cc.Node:create()
	setValue(self.prizeNode1, "prizeNode1", 61, nil, cc.p(100, 69.9999), nil, nil, nil, nil, nil)
	addChildForPre(self.prizePanel_3, self.prizeNode1)

	self.prizeNode2 = cc.Node:create()
	setValue(self.prizeNode2, "prizeNode2", 62, nil, cc.p(315, 69.9999), nil, nil, nil, nil, nil)
	addChildForPre(self.prizePanel_3, self.prizeNode2)

	self.prizeNode3 = cc.Node:create()
	setValue(self.prizeNode3, "prizeNode3", 63, nil, cc.p(530, 69.9999), nil, nil, nil, nil, nil)
	addChildForPre(self.prizePanel_3, self.prizeNode3)

	self.Particle_1 = cc.ParticleSystemQuad:create("ccs/Particle/CampPart_LevelUp01.plist")
 	self.Particle_1:setPositionType(2) 
	setValue(self.Particle_1, "Particle_1", 63, nil, cc.p(100.0001, 69.9984), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.prizePanel_3, self.Particle_1)

	self.Particle_2 = cc.ParticleSystemQuad:create("ccs/Particle/CampPart_LevelUp01.plist")
 	self.Particle_2:setPositionType(2) 
	setValue(self.Particle_2, "Particle_2", 64, nil, cc.p(315, 70), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.prizePanel_3, self.Particle_2)

	self.Particle_3 = cc.ParticleSystemQuad:create("ccs/Particle/CampPart_LevelUp01.plist")
 	self.Particle_3:setPositionType(2) 
	setValue(self.Particle_3, "Particle_3", 65, nil, cc.p(530, 70), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.prizePanel_3, self.Particle_3)

	self.PromptLable = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.PromptLable, "PromptLable", 98, cc.size(91, 23), cc.p(450, 121.248), nil, nil, nil, nil, nil)
	self.PromptLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.PromptLable)

	if CommonDialogFrame5CloseUi then 
 		self.commonDialogFrame5CloseUi = CommonDialogFrame5CloseUi.new() 
 	else 
		self.commonDialogFrame5CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame5CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame5CloseUi, "commonDialogFrame5CloseUi", 5, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame5CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/common.plist",
}

return _M
