-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 1803, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 838, cc.size(100, 100), nil, nil, nil, nil, nil, nil)
	setBgColor(self.rootPanel, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.ItemButton = ccui.Button:create()
	self.ItemButton:setScale9Enabled(true)
	self.ItemButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.ItemButton:setContentSize(cc.size(100, 100))
	setValue(self.ItemButton, "ItemButton", 758, nil, cc.p(50, 50), nil, nil, nil, nil, false)
	self.ItemButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.ItemButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.ItemButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.ItemButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.ItemButton:setTitleText([[]])
	self.ItemButton:setTitleFontSize(14)
	self.ItemButton:setTitleFontName(getFont())
	setClickEvent(self, self.ItemButton, "ItemButton")
	addChildForPre(self.rootPanel_1, self.ItemButton)

	self.itembg = cc.Sprite:create()
	setValue(self.itembg, "itembg", 431, cc.size(100, 100), cc.p(50, 50), nil, nil, nil, nil, nil)
	self.itembg:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.rootPanel_1, self.itembg)

	self.itemPanel = ccui.Layout:create()
	setValue(self.itemPanel, "itemPanel", 613, cc.size(91, 91), cc.p(50, 50), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.itemPanel:setClippingEnabled(true)
	addChildForPre(self.rootPanel_1, self.itemPanel)
	self.itemPanel_2 = self.itemPanel

	self.itemSprite = cc.Sprite:create()
	setValue(self.itemSprite, "itemSprite", 870, cc.size(100, 100), cc.p(44.5, 44.5), nil, nil, nil, nil, nil)
	self.itemSprite:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.itemPanel_2, self.itemSprite)

	self.lbChange = createLabel({text=[[+0]], font=getFont(), size=24})
	setValue(self.lbChange, "lbChange", 906, cc.size(27, 28), cc.p(3.0001, 97), cc.p(0, 1), cc.c4b(0, 255, 0, 255), nil, nil, nil)
	self.lbChange:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.lbChange:setColor(cc.c4b(0, 255, 0, 255))
	addChildForPre(self.rootPanel_1, self.lbChange)

	self.jiaoBiao10 = cc.Sprite:create()
	setValue(self.jiaoBiao10, "jiaoBiao10", 271, cc.size(100, 100), cc.p(50, 50), nil, nil, nil, nil, nil)
	self.jiaoBiao10:setFlippedX(true)
	self.jiaoBiao10:setSpriteFrame("ccs/UiImages/common/commonIcon_1.png")
	addChildForPre(self.rootPanel_1, self.jiaoBiao10)

	self.jiaoBiao11 = cc.Sprite:create()
	setValue(self.jiaoBiao11, "jiaoBiao11", 217, cc.size(100, 100), cc.p(50, 50), nil, nil, nil, nil, nil)
	self.jiaoBiao11:setSpriteFrame("ccs/UiImages/common/common_img_suipian.png")
	addChildForPre(self.rootPanel_1, self.jiaoBiao11)

	self.lbNumber = createLabel({text=[[1]], font=getFont(), size=22})
	setValue(self.lbNumber, "lbNumber", 60, cc.size(12, 26), cc.p(95, 0), cc.p(1, 0), nil, nil, nil, nil)
	self.lbNumber:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.lbNumber)

	self.tankTypeSprite = cc.Sprite:create()
	setValue(self.tankTypeSprite, "tankTypeSprite", 282, cc.size(46, 46), cc.p(9, 9), nil, nil, nil, nil, nil)
	self.tankTypeSprite:setScale(0.6)
	self.tankTypeSprite:setTexture("Default/Sprite.png")
	addChildForPre(self.rootPanel_1, self.tankTypeSprite)

	self.jiaoBiao = cc.Node:create()
	setValue(self.jiaoBiao, "jiaoBiao", 62, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.jiaoBiao)
	self.jiaoBiao_2 = self.jiaoBiao

	self.jiaoBiaoBg = cc.Sprite:create()
	setValue(self.jiaoBiaoBg, "jiaoBiaoBg", 61, cc.size(38, 20), cc.p(23.2496, 13.9472), nil, nil, nil, nil, nil)
	self.jiaoBiaoBg:setSpriteFrame("ccs/UiImages/common/common_img_level.png")
	addChildForPre(self.jiaoBiao_2, self.jiaoBiaoBg)

	self.lbLevel = createLabel({text=[[1]], font=getFont(), size=24})
	setValue(self.lbLevel, "lbLevel", 63, cc.size(13, 28), cc.p(22, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	self.lbLevel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.jiaoBiao_2, self.lbLevel)

	self.nationalFlag = cc.Sprite:create()
	setValue(self.nationalFlag, "nationalFlag", 80, cc.size(70, 42), cc.p(78, 84), nil, nil, nil, nil, nil)
	self.nationalFlag:setScale(0.45)
	self.nationalFlag:setSpriteFrame("ccs/UiImages/common/common_img_guoqi01.png")
	addChildForPre(self.rootPanel_1, self.nationalFlag)

	self.nameLabel = createLabel({text=[[]], font=getFont(), size=20})
	setValue(self.nameLabel, "nameLabel", 1100, nil, cc.p(50, -15), nil, nil, nil, nil, nil)
	self.nameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.nameLabel)

	self.redPoint = cc.Sprite:create()
	setValue(self.redPoint, "redPoint", 297, cc.size(24, 24), cc.p(94.2936, 93.0586), nil, nil, nil, nil, nil)
	self.redPoint:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.rootPanel_1, self.redPoint)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/commonBg.plist",
	"ccs/plist/common.plist",
	"Default/Sprite.png",
}

return _M
