-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 325, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 326, cc.size(150, 130), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.qualityImage = cc.Sprite:create()
	setValue(self.qualityImage, "qualityImage", 328, cc.size(100, 100), cc.p(75, 78), nil, nil, nil, nil, nil)
	self.qualityImage:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.rootPanel_1, self.qualityImage)

	self.itemPanel = ccui.Layout:create()
	setValue(self.itemPanel, "itemPanel", 160, cc.size(90, 90), cc.p(75, 81.9), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.itemPanel:setClippingEnabled(true)
	addChildForPre(self.rootPanel_1, self.itemPanel)
	self.itemPanel_2 = self.itemPanel

	self.itemImage = cc.Sprite:create()
	setValue(self.itemImage, "itemImage", 327, cc.size(32, 37), cc.p(45, 45), nil, nil, nil, nil, nil)
	self.itemImage:setSpriteFrame("ccs/UiImages/common/icon_gold.png")
	addChildForPre(self.itemPanel_2, self.itemImage)

	self.mainButton = ccui.Button:create()
	self.mainButton:setScale9Enabled(true)
	self.mainButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.mainButton:setContentSize(cc.size(90, 90))
	setValue(self.mainButton, "mainButton", 876, nil, cc.p(75, 78), nil, nil, nil, nil, false)
	self.mainButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.mainButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.mainButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.mainButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.mainButton:setTitleText([[]])
	self.mainButton:setTitleColor(cc.c3b(65, 65, 70))
	self.mainButton:setTitleFontSize(14)
	self.mainButton:setTitleFontName(getFont())
	setClickEvent(self, self.mainButton, "mainButton")
	addChildForPre(self.rootPanel_1, self.mainButton)

	self.partsprite = cc.Sprite:create()
	setValue(self.partsprite, "partsprite", 577, cc.size(100, 100), cc.p(74, 77), nil, nil, nil, nil, nil)
	self.partsprite:setSpriteFrame("ccs/UiImages/common/common_img_suipian.png")
	addChildForPre(self.rootPanel_1, self.partsprite)

	self.desLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.desLabel, "desLabel", 329, cc.size(91, 23), cc.p(71.4317, 13.7737), nil, nil, nil, nil, nil)
	self.desLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.desLabel)

	self.des2Label = createLabel({text=[[道具名字字]], font=getFont(), size=20,align = 1, dimensions = cc.size(102.0000, 60.0000)})
	setValue(self.des2Label, "des2Label", 192, cc.size(102, 60), cc.p(74.2663, 25.1117), cc.p(0.5, 1), nil, nil, nil, false)
	self.des2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.des2Label)

	self.numLabel = createLabel({text=[[1]], font=getFont(), size=24})
	setValue(self.numLabel, "numLabel", 61, cc.size(13, 28), cc.p(118, 50.4343), cc.p(1, 0.5), nil, nil, nil, nil)
	self.numLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.numLabel)

	self.tankTypeSprite = cc.Sprite:create()
	setValue(self.tankTypeSprite, "tankTypeSprite", 898, cc.size(46, 46), cc.p(31.7057, 40.9261), nil, nil, nil, nil, nil)
	self.tankTypeSprite:setScale(0.6)
	self.tankTypeSprite:setTexture("Default/Sprite.png")
	addChildForPre(self.rootPanel_1, self.tankTypeSprite)

	self.nationalFlag = cc.Sprite:create()
	setValue(self.nationalFlag, "nationalFlag", 493, cc.size(70, 42), cc.p(103, 113), nil, nil, nil, nil, nil)
	self.nationalFlag:setScale(0.45)
	self.nationalFlag:setSpriteFrame("ccs/UiImages/common/common_img_guoqi01.png")
	addChildForPre(self.rootPanel_1, self.nationalFlag)

	self.particlePanel = ccui.Layout:create()
	setValue(self.particlePanel, "particlePanel", 67, cc.size(100, 100), cc.p(75, 78), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.particlePanel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
	"Default/Sprite.png",
}

return _M
