-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 701, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 702, cc.size(1125, 750), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "dialogPanel", 703, cc.size(430, 200), cc.p(562.5, 375), cc.p(0.5, 0.5), nil, nil, nil, nil)
	setBgColor(self.dialogPanel, 1, 0, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 704, cc.size(430, 200), cc.p(215, 100), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/common/SignInInformationBottom.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(10, 10, 60, 60))
	addChildForPre(self.dialogPanel_2, self.bgImage)

	self.equipmentFrame = cc.Sprite:create()
	setValue(self.equipmentFrame, "equipmentFrame", 184, cc.size(46, 46), cc.p(64.5, 146), nil, nil, nil, nil, nil)
	self.equipmentFrame:setTexture("Default/Sprite.png")
	addChildForPre(self.dialogPanel_2, self.equipmentFrame)

	self.itemNameLabel = createLabel({text=[[itemNameLabel]], font=getFont(), size=20})
	setValue(self.itemNameLabel, "itemNameLabel", 739, cc.size(140, 23), cc.p(150.5, 160), cc.p(0, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.itemNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.itemNameLabel:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.dialogPanel_2, self.itemNameLabel)

	self.itemCountLabel = createLabel({text=[[itemCountLabel]], font=getFont(), size=20})
	setValue(self.itemCountLabel, "itemCountLabel", 779, cc.size(140, 23), cc.p(150.5, 130), cc.p(0, 0.5), nil, nil, nil, nil)
	self.itemCountLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.itemCountLabel)

	self.itemDescLabel = createLabel({text=[[我我我我我我我我我我我我我我我我我我我我我我我我我我我我我我我我我我我我我我我我]], font=getFont(), size=20, dimensions = cc.size(380.0000, 60.0000)})
	setValue(self.itemDescLabel, "itemDescLabel", 759, cc.size(380, 60), cc.p(215, 70), nil, nil, nil, nil, false)
	self.itemDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.itemDescLabel)

	self.vipDescLabel = createLabel({text=[[vipDescLabel]], font=getFont(), size=20})
	setValue(self.vipDescLabel, "vipDescLabel", 956, cc.size(120, 23), cc.p(215, 20), nil, cc.c4b(255, 220, 0, 255), nil, nil, nil)
	self.vipDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.vipDescLabel:setColor(cc.c4b(255, 220, 0, 255))
	addChildForPre(self.dialogPanel_2, self.vipDescLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonPanelPartsC.plist",
	"Default/Sprite.png",
}

return _M
