-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 760, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 761, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 782, cc.size(640, 960), nil, nil, nil, 204, nil, nil)
	setBgColor(self.dialogPanel, 1, 102, cc.c4b(0, 0, 0, 255), nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.contentPanel = ccui.Layout:create()
	setValue(self.contentPanel, "AXY_contentPanel", 10, cc.size(200, 200), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.contentPanel)
	self.contentPanel_3 = self.contentPanel

	self.sightglass = cc.Sprite:create()
	setValue(self.sightglass, "sightglass", 253, cc.size(256, 161), cc.p(92.7752, 75.3924), nil, nil, nil, nil, nil)
	self.sightglass:setScale(1.13)
	self.sightglass:setSpriteFrame("ccs/UiImages/common/sightglass.png")
	addChildForPre(self.contentPanel_3, self.sightglass)

	self.loadShip = cc.Sprite:create()
	setValue(self.loadShip, "loadShip", 781, cc.size(140, 192), cc.p(97.82, 100), nil, nil, nil, nil, nil)
	self.loadShip:setSpriteFrame("ccs/UiImages/common/ship2.png")
	addChildForPre(self.contentPanel_3, self.loadShip)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(64)
	self.animation:setTimeSpeed(1)
	local timeLine
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 100.0000, 100.0000, nil))
	timeLine:addFrame(CreatePositionFrame(10, true, 100.0052, 74.8784, nil))
	timeLine:addFrame(CreatePositionFrame(23, true, 68.6751, 77.1056, nil))
	timeLine:addFrame(CreatePositionFrame(40, true, 119.2824, 121.6920, nil))
	timeLine:addFrame(CreatePositionFrame(50, true, 71.0787, 116.8716, nil))
	timeLine:addFrame(CreatePositionFrame(64, true, 100.0000, 100.0000, nil))
	timeLine:setNode(self.sightglass)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 1.1300, 1.1300, nil))
	timeLine:addFrame(CreateScaleFrame(10, true, 1.1300, 1.1300, nil))
	timeLine:addFrame(CreateScaleFrame(23, true, 1.1300, 1.1300, nil))
	timeLine:addFrame(CreateScaleFrame(40, true, 1.1300, 1.1300, nil))
	timeLine:addFrame(CreateScaleFrame(50, true, 1.1300, 1.1300, nil))
	timeLine:addFrame(CreateScaleFrame(64, true, 1.1300, 1.1300, nil))
	timeLine:setNode(self.sightglass)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(10, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(23, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(40, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(50, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(64, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.sightglass)
	return self
end

_M.textures = {
	"ccs/plist/common.plist",
}

return _M
