-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 1592, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 1593, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "XYN_dialogPanel", 1743, cc.size(545, 669), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.Image_1 = ccui.ImageView:create()
	setValue(self.Image_1, "Image_1", 161, cc.size(545, 669), cc.p(272.5, 324.465), nil, nil, nil, nil, false)
	self.Image_1:loadTexture("ccs/UiImages/image9/commonPanel_s9_bg_1.png", 1)
	self.Image_1:setScale9Enabled(true)
	self.Image_1:setCapInsets(cc.rect(30, 30, 112, 10))
	addChildForPre(self.dialogPanel_2, self.Image_1)

	self.Image_7 = ccui.ImageView:create()
	setValue(self.Image_7, "Image_7", 81, cc.size(409.1853, 615.48), cc.p(272.5, 334.5), nil, nil, nil, nil, false)
	self.Image_7:loadTexture("ccs/UiImages/image9/CommonPanel_img_chuangkoubeijing_1.png", 1)
	self.Image_7:setScale9Enabled(true)
	self.Image_7:setCapInsets(cc.rect(0, 0, 470, 5))
	addChildForPre(self.dialogPanel_2, self.Image_7)

	self.Image_8 = ccui.ImageView:create()
	setValue(self.Image_8, "Image_8", 82, cc.size(512.3, 73.59), cc.p(272.5, 46.83), nil, nil, nil, nil, false)
	self.Image_8:loadTexture("ccs/UiImages/commonBg/CommonPanel_img_bg_1.jpg", 1)
	self.Image_8:setScale9Enabled(true)
	self.Image_8:setCapInsets(cc.rect(0, 0, 466, 79))
	addChildForPre(self.dialogPanel_2, self.Image_8)

	self.noteslabe = createLabel({text=[[Text Label]], font=getFont(), size=24,align = 1})
	setValue(self.noteslabe, "noteslabe", 96, cc.size(109, 28), cc.p(272.5, 602.1), nil, cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.noteslabe:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.noteslabe:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.dialogPanel_2, self.noteslabe)

	self.listViewPanel = ccui.Layout:create()
	setValue(self.listViewPanel, "listViewPanel", 144, cc.size(496, 480), cc.p(274.135, 334.5), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.listViewPanel)

	self.buttonPanel = ccui.Layout:create()
	setValue(self.buttonPanel, "WXY_buttonPanel", 83, cc.size(506.85, 60.21), cc.p(272.5, 40.14), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.buttonPanel)
	self.buttonPanel_3 = self.buttonPanel

	self.determineButton = ccui.Button:create()
	setValue(self.determineButton, "determineButton", 942, cc.size(153, 64), cc.p(253.425, 30.105), nil, nil, nil, nil, false)
	self.determineButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.determineButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.determineButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.determineButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.determineButton:setTitleText([[Button]])
	self.determineButton:setTitleColor(cc.c3b(252, 252, 255))
	self.determineButton:setTitleFontSize(22)
	self.determineButton:setTitleFontName(getFont())
	setClickEvent(self, self.determineButton, "determineButton")
	addChildForPre(self.buttonPanel_3, self.determineButton)

	self.titlePanel = ccui.Layout:create()
	setValue(self.titlePanel, "titlePanel", 84, cc.size(360, 60), cc.p(272.5, 648.93), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.titlePanel)
	self.titlePanel_3 = self.titlePanel

	self.PanelCommonHeader = cc.Sprite:create()
	setValue(self.PanelCommonHeader, "PanelCommonHeader", 85, cc.size(462, 106), cc.p(180, 30), nil, nil, nil, nil, nil)
	self.PanelCommonHeader:setScale(0.5)
	self.PanelCommonHeader:setSpriteFrame("ccs/UiImages/commonBg/CommonPanel_img_WinHeader_1.png")
	addChildForPre(self.titlePanel_3, self.PanelCommonHeader)

	self.dialogTitleLabel = createLabel({text=[[Text Label]], font=getFont(), size=30})
	setValue(self.dialogTitleLabel, "dialogTitleLabel", 86, cc.size(136, 34), cc.p(180, 30), nil, nil, nil, nil, nil)
	self.dialogTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.titlePanel_3, self.dialogTitleLabel)

	self.closeButton = ccui.Button:create()
	setValue(self.closeButton, "closeButton", 295, cc.size(91, 72), cc.p(501.4, 635.55), nil, nil, nil, nil, nil)
	self.closeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_close_0.png", 1)
	self.closeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_close_1.png", 1)
	self.closeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_close_1.png", 1)
	self.closeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.closeButton:setTitleText([[]])
	self.closeButton:setTitleColor(cc.c3b(65, 65, 70))
	self.closeButton:setTitleFontSize(14)
	self.closeButton:setTitleFontName(getFont())
	setClickEvent(self, self.closeButton, "closeButton")
	addChildForPre(self.dialogPanel_2, self.closeButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/commonBg.plist",
}

return _M
