-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 1722, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	self.rootPanel:setClippingEnabled(true)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bigPanel = ccui.Layout:create()
	setValue(self.bigPanel, "bigPanel", 20, cc.size(2000, 2000), cc.p(187.9156, 199.767), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.bigPanel)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 225, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	setBgColor(self.dialogPanel, 1, nil, cc.c4b(31, 36, 44, 255), nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.framePanel = ccui.Layout:create()
	setValue(self.framePanel, "AXY_framePanel", 224, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.framePanel)
	self.framePanel_3 = self.framePanel

	self.PanelCommonBg = ccui.ImageView:create()
	setValue(self.PanelCommonBg, "LHY_PanelCommonBg", 126, cc.size(170.688, 960), cc.p(0, 480), cc.p(0, 0.5), nil, 235, nil, false)
	self.PanelCommonBg:loadTexture("ccs/UiImages/image9/common_img_jiemian04.png", 1)
	self.PanelCommonBg:setScale9Enabled(true)
	self.PanelCommonBg:setCapInsets(cc.rect(0, 1, 256, 17))
	addChildForPre(self.framePanel_3, self.PanelCommonBg)

	self.PanelCommonBg2 = ccui.ImageView:create()
	setValue(self.PanelCommonBg2, "RHY_PanelCommonBg2", 144, cc.size(170.688, 960), cc.p(555, 480), nil, nil, 235, nil, false)
	self.PanelCommonBg2:setFlippedX(true)
	self.PanelCommonBg2:loadTexture("ccs/UiImages/image9/common_img_jiemian04.png", 1)
	self.PanelCommonBg2:setScale9Enabled(true)
	self.PanelCommonBg2:setCapInsets(cc.rect(0, 1, 256, 17))
	addChildForPre(self.framePanel_3, self.PanelCommonBg2)

	self.imageBg = ccui.ImageView:create()
	setValue(self.imageBg, "AXY_imageBg", 1108, cc.size(640, 1141), cc.p(320, 480), nil, nil, nil, nil, false)
	self.imageBg:loadTexture("ccs/BigImages/background/countryBattle_img_bg_1.webp")
	self.imageBg:setScale9Enabled(true)
	self.imageBg:setCapInsets(cc.rect(0, 0, 375, 667))
	addChildForPre(self.framePanel_3, self.imageBg)

	self.clipNode = ccui.Layout:create()
	setValue(self.clipNode, "AXY_clipNode", 1471, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	self.clipNode:setClippingEnabled(true)
	addChildForPre(self.framePanel_3, self.clipNode)
	self.clipNode_4 = self.clipNode

	self.imgBg = cc.Sprite:create()
	setValue(self.imgBg, "KXY_imgBg", 179, cc.size(46, 46), cc.p(320, 480), nil, nil, nil, nil, nil)
	self.imgBg:setTexture("Default/Sprite.png")
	addChildForPre(self.clipNode_4, self.imgBg)

	self.bgImgPanel = ccui.Layout:create()
	setValue(self.bgImgPanel, "bgImgPanel", 617, cc.size(640, 960), cc.p(320, 451.2), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.bgImgPanel:setVisible(false)
	self.bgImgPanel:setClippingEnabled(true)
	addChildForPre(self.framePanel_3, self.bgImgPanel)
	self.bgImgPanel_4 = self.bgImgPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 171, cc.size(46, 46), cc.p(320, 480), nil, nil, nil, nil, nil)
	self.bgImage:loadTexture("Default/ImageFile.png")
	addChildForPre(self.bgImgPanel_4, self.bgImage)

	self.PanelCommonHeader = ccui.ImageView:create()
	setValue(self.PanelCommonHeader, "WTX_PanelCommonHeader", 1101, cc.size(640, 74), cc.p(320, 960), cc.p(0.5, 1), nil, nil, nil, false)
	self.PanelCommonHeader:loadTexture("ccs/UiImages/image9/common_img_jiemian01.png", 1)
	self.PanelCommonHeader:setScale9Enabled(true)
	self.PanelCommonHeader:setCapInsets(cc.rect(0, 0, 640, 74))
	addChildForPre(self.framePanel_3, self.PanelCommonHeader)

	self.dialogTitleLabel = createLabel({text=[[Title]], font=getFont(), size=30,valign = 1})
	setValue(self.dialogTitleLabel, "NXT_dialogTitleLabel", 87, cc.size(55, 34), cc.p(320, 931.2), nil, nil, nil, nil, nil)
	self.dialogTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.framePanel_3, self.dialogTitleLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/BigImages/background/countryBattle_img_bg_1.jpg",
	"Default/Sprite.png",
	"Default/ImageFile.png",
}

return _M
