-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 24, cc.size(640, 960), cc.p(0, 1.25), nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bigPanel = ccui.Layout:create()
	setValue(self.bigPanel, "bigPanel", 57, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.bigPanel)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "XYN_dialogPanel", 25, cc.size(500, 320), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.TileSpriteBg = ccui.ImageView:create()
	setValue(self.TileSpriteBg, "TileSpriteBg", 124, cc.size(500, 275.008), cc.p(250, 160), nil, nil, nil, nil, false)
	self.TileSpriteBg:loadTexture("ccs/UiImages/image9/commonPanel_s9_bg_1.png", 1)
	self.TileSpriteBg:setScale9Enabled(true)
	self.TileSpriteBg:setCapInsets(cc.rect(30, 30, 112, 10))
	addChildForPre(self.dialogPanel_2, self.TileSpriteBg)

	self.imgTitle = ccui.ImageView:create()
	setValue(self.imgTitle, "imgTitle", 270, cc.size(470, 252.8), cc.p(250, 160), nil, nil, nil, nil, false)
	self.imgTitle:loadTexture("ccs/UiImages/image9/CommonPanel_img_chuangkoubeijing_1.png", 1)
	self.imgTitle:setScale9Enabled(true)
	self.imgTitle:setCapInsets(cc.rect(0, 0, 470, 5))
	addChildForPre(self.dialogPanel_2, self.imgTitle)

	self.downBack = ccui.ImageView:create()
	setValue(self.downBack, "downBack", 1042, cc.size(466, 79), cc.p(250, 76.0001), nil, nil, nil, nil, nil)
	self.downBack:loadTexture("ccs/UiImages/commonBg/CommonPanel_img_bg_1.jpg", 1)
	addChildForPre(self.dialogPanel_2, self.downBack)

	self.lbDesc = createLabel({text=[[]], font=getFont(), size=20,align = 1,valign = 1, dimensions = cc.size(400.0000, 100.0000)})
	setValue(self.lbDesc, "lbDesc", 201, cc.size(400, 100), cc.p(250, 192), nil, nil, nil, nil, false)
	self.lbDesc:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.lbDesc)

	self.buttonPanel = ccui.Layout:create()
	setValue(self.buttonPanel, "buttonPanel", 93, cc.size(466, 79), cc.p(250, 76), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.buttonPanel)

	self.titlePanel = ccui.Layout:create()
	setValue(self.titlePanel, "titlePanel", 910, cc.size(500, 52.992), cc.p(250, 320), cc.p(0.5, 1), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.titlePanel)
	self.titlePanel_3 = self.titlePanel

	self.PanelCommonHeader = cc.Sprite:create()
	setValue(self.PanelCommonHeader, "PanelCommonHeader", 309, cc.size(462, 106), cc.p(250, 26.496), nil, nil, nil, nil, nil)
	self.PanelCommonHeader:setScale(0.5)
	self.PanelCommonHeader:setSpriteFrame("ccs/UiImages/commonBg/CommonPanel_img_WinHeader_1.png")
	addChildForPre(self.titlePanel_3, self.PanelCommonHeader)

	self.dialogTitleLabel = createLabel({text=[[Text Label]], font=getFont(), size=30})
	setValue(self.dialogTitleLabel, "dialogTitleLabel", 133, cc.size(136, 34), cc.p(250, 26.496), nil, nil, nil, nil, nil)
	self.dialogTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.titlePanel_3, self.dialogTitleLabel)

	self.closeButton = ccui.Button:create()
	setValue(self.closeButton, "closeButton", 217, cc.size(80, 60), cc.p(455, 19.607), nil, nil, nil, nil, nil)
	self.closeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_close_0.png", 1)
	self.closeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_close_1.png", 1)
	self.closeButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.closeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.closeButton:setTitleText([[]])
	self.closeButton:setTitleColor(cc.c3b(65, 65, 70))
	self.closeButton:setTitleFontSize(14)
	self.closeButton:setTitleFontName(getFont())
	setClickEvent(self, self.closeButton, "closeButton")
	addChildForPre(self.titlePanel_3, self.closeButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/commonBg.plist",
	"Default/Button_Disable.png",
}

return _M
