-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 216, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bigPanel = ccui.Layout:create()
	setValue(self.bigPanel, "bigPanel", 74, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.bigPanel)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "XYN_dialogPanel", 217, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.PanelCommonBg = ccui.ImageView:create()
	setValue(self.PanelCommonBg, "XYN_PanelCommonBg", 122, cc.size(490, 390), cc.p(320, 480), nil, nil, nil, nil, false)
	self.PanelCommonBg:loadTexture("ccs/UiImages/image9/commonPanel_s9_bg_1.png", 1)
	self.PanelCommonBg:setScale9Enabled(true)
	self.PanelCommonBg:setCapInsets(cc.rect(30, 30, 112, 10))
	addChildForPre(self.dialogPanel_2, self.PanelCommonBg)

	self.Image = ccui.ImageView:create()
	setValue(self.Image, "XYN_Image", 1479, cc.size(465, 360), cc.p(320.8535, 481.0692), nil, nil, nil, nil, false)
	self.Image:loadTexture("ccs/UiImages/image9/CommonPanel_img_chuangkoubeijing_1.png", 1)
	self.Image:setScale9Enabled(true)
	self.Image:setCapInsets(cc.rect(0, 0, 470, 5))
	addChildForPre(self.dialogPanel_2, self.Image)

	self.PanelCommonHeader = cc.Sprite:create()
	setValue(self.PanelCommonHeader, "XYN_PanelCommonHeader", 1091, cc.size(462, 106), cc.p(320.0002, 668.7358), nil, nil, nil, nil, nil)
	self.PanelCommonHeader:setScale(0.5)
	self.PanelCommonHeader:setSpriteFrame("ccs/UiImages/commonBg/CommonPanel_img_WinHeader_1.png")
	addChildForPre(self.dialogPanel_2, self.PanelCommonHeader)

	self.dialogTitleLabel = createLabel({text=[[titleLabel]], font=getFont(), size=30})
	setValue(self.dialogTitleLabel, "XYN_dialogTitleLabel", 1786, cc.size(120, 34), cc.p(320.0002, 668.7358), nil, nil, nil, nil, nil)
	self.dialogTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.dialogTitleLabel)

	self.closeButton = ccui.Button:create()
	setValue(self.closeButton, "XYN_closeButton", 1142, cc.size(86, 55), cc.p(515.8053, 663.1857), nil, nil, nil, nil, nil)
	self.closeButton:loadTextureNormal("ccs/UiImages/common/CommonPanel_btn_X_0.png", 1)
	self.closeButton:loadTexturePressed("ccs/UiImages/common/CommonPanel_btn_X_1.png", 1)
	self.closeButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.closeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.closeButton:setTitleText([[]])
	self.closeButton:setTitleColor(cc.c3b(65, 65, 70))
	self.closeButton:setTitleFontSize(14)
	self.closeButton:setTitleFontName(getFont())
	setClickEvent(self, self.closeButton, "closeButton")
	addChildForPre(self.dialogPanel_2, self.closeButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/commonBg.plist",
	"Default/Button_Disable.png",
	"ccs/plist/common.plist",
}

return _M
