-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 308, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 309, cc.size(640, 210), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.BGImage = ccui.ImageView:create()
	setValue(self.BGImage, "BGImage", 310, cc.size(612, 209), cc.p(320, 105), nil, nil, nil, nil, false)
	self.BGImage:loadTexture("ccs/UiImages/commonBg/common_img_gaoditiao.png", 1)
	self.BGImage:setScale9Enabled(true)
	self.BGImage:setCapInsets(cc.rect(0, 0, 612, 209))
	addChildForPre(self.rootPanel_1, self.BGImage)

	self.RankLable = createLabel({text=[[RankLable]], font=getFont(), size=26})
	setValue(self.RankLable, "RankLable", 311, cc.size(124, 31), cc.p(50, 180), cc.p(0, 0.5), nil, nil, nil, nil)
	self.RankLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.RankLable)

	self.ResLable = createLabel({text=[[RankLable]], font=getFont(), size=26})
	setValue(self.ResLable, "ResLable", 310, cc.size(124, 31), cc.p(320, 105), nil, cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.ResLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.ResLable:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.rootPanel_1, self.ResLable)

	self.rewardPanel = ccui.Layout:create()
	setValue(self.rewardPanel, "rewardPanel", 84, cc.size(540, 140), cc.p(320, 88.4), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.rewardPanel)
	self.rewardPanel_2 = self.rewardPanel

	self.rewardBGImage = ccui.ImageView:create()
	setValue(self.rewardBGImage, "rewardBGImage", 771, cc.size(540, 140), cc.p(270, 70), nil, nil, nil, nil, false)
	self.rewardBGImage:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.rewardBGImage:setScale9Enabled(true)
	self.rewardBGImage:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.rewardPanel_2, self.rewardBGImage)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/battle.plist",
}

return _M
