-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 141, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 175, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame3Ui then 
 		self.commonDialogFrame3Ui = CommonDialogFrame3Ui.new() 
 	else 
		self.commonDialogFrame3Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame3Ui.lua")
 	end 
	setValue(self.commonDialogFrame3Ui, "commonDialogFrame3Ui", 246, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame3Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "dialogPanel", 176, cc.size(640, 550), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.TopThreePanel = ccui.Layout:create()
	setValue(self.TopThreePanel, "TopThreePanel", 26, cc.size(260, 275), cc.p(121.6, 269.5), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.TopThreePanel)
	self.TopThreePanel_3 = self.TopThreePanel

	self.spriteRanking1 = cc.Sprite:create()
	setValue(self.spriteRanking1, "spriteRanking1", 29, cc.size(30, 30), cc.p(130, 275), nil, nil, nil, nil, nil)
	self.spriteRanking1:setSpriteFrame("ccs/UiImages/battle/battle_s9_diban.png")
	addChildForPre(self.TopThreePanel_3, self.spriteRanking1)
	self.spriteRanking1_4 = self.spriteRanking1

	self.spriteIcon1 = cc.Sprite:create()
	setValue(self.spriteIcon1, "spriteIcon1", 38, cc.size(30, 30), cc.p(15, 15), nil, nil, nil, nil, nil)
	self.spriteIcon1:setScale(0.55)
	self.spriteIcon1:setSpriteFrame("ccs/UiImages/battle/battle_s9_diban.png")
	addChildForPre(self.spriteRanking1_4, self.spriteIcon1)

	self.No1 = cc.Sprite:create()
	setValue(self.No1, "No1", 32, cc.size(30, 30), cc.p(0, 22.2), nil, nil, nil, nil, nil)
	self.No1:setSpriteFrame("ccs/UiImages/battle/battle_s9_diban.png")
	addChildForPre(self.spriteRanking1_4, self.No1)

	self.labelNo1 = createLabel({text=[[labelNo1]], font=getFont(), size=25})
	setValue(self.labelNo1, "labelNo1", 37, cc.size(98, 29), cc.p(15, 4.5), nil, nil, nil, nil, nil)
	self.labelNo1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.spriteRanking1_4, self.labelNo1)

	self.spriteRanking2 = cc.Sprite:create()
	setValue(self.spriteRanking2, "spriteRanking2", 30, cc.size(30, 30), cc.p(130, 137.5), nil, nil, nil, nil, nil)
	self.spriteRanking2:setSpriteFrame("ccs/UiImages/battle/battle_s9_diban.png")
	addChildForPre(self.TopThreePanel_3, self.spriteRanking2)
	self.spriteRanking2_4 = self.spriteRanking2

	self.spriteIcon2 = cc.Sprite:create()
	setValue(self.spriteIcon2, "spriteIcon2", 39, cc.size(30, 30), cc.p(15, 15), nil, nil, nil, nil, nil)
	self.spriteIcon2:setScale(0.55)
	self.spriteIcon2:setSpriteFrame("ccs/UiImages/battle/battle_s9_diban.png")
	addChildForPre(self.spriteRanking2_4, self.spriteIcon2)

	self.No2 = cc.Sprite:create()
	setValue(self.No2, "No2", 33, cc.size(30, 30), cc.p(0, 22.2), nil, nil, nil, nil, nil)
	self.No2:setSpriteFrame("ccs/UiImages/battle/battle_s9_diban.png")
	addChildForPre(self.spriteRanking2_4, self.No2)

	self.labelNo2 = createLabel({text=[[labelNo2]], font=getFont(), size=25})
	setValue(self.labelNo2, "labelNo2", 36, cc.size(98, 29), cc.p(15, 4.5), nil, nil, nil, nil, nil)
	self.labelNo2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.spriteRanking2_4, self.labelNo2)

	self.spriteRanking3 = cc.Sprite:create()
	setValue(self.spriteRanking3, "spriteRanking3", 31, cc.size(30, 30), cc.p(130, 0), nil, nil, nil, nil, nil)
	self.spriteRanking3:setSpriteFrame("ccs/UiImages/battle/battle_s9_diban.png")
	addChildForPre(self.TopThreePanel_3, self.spriteRanking3)
	self.spriteRanking3_4 = self.spriteRanking3

	self.spriteIcon3 = cc.Sprite:create()
	setValue(self.spriteIcon3, "spriteIcon3", 40, cc.size(30, 30), cc.p(15, 15), nil, nil, nil, nil, nil)
	self.spriteIcon3:setScale(0.55)
	self.spriteIcon3:setSpriteFrame("ccs/UiImages/battle/battle_s9_diban.png")
	addChildForPre(self.spriteRanking3_4, self.spriteIcon3)

	self.No3 = cc.Sprite:create()
	setValue(self.No3, "No3", 34, cc.size(30, 30), cc.p(0, 22.2), nil, nil, nil, nil, nil)
	self.No3:setSpriteFrame("ccs/UiImages/battle/battle_s9_diban.png")
	addChildForPre(self.spriteRanking3_4, self.No3)

	self.labelNo3 = createLabel({text=[[labelNo3]], font=getFont(), size=25})
	setValue(self.labelNo3, "labelNo3", 35, cc.size(98, 29), cc.p(15, 4.5), nil, nil, nil, nil, nil)
	self.labelNo3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.spriteRanking3_4, self.labelNo3)

	self.imageBg = ccui.ImageView:create()
	setValue(self.imageBg, "imageBg", 28, cc.size(520, 330), cc.p(428.8, 313.5), nil, nil, nil, nil, false)
	self.imageBg:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.imageBg:setScale9Enabled(true)
	self.imageBg:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.dialogPanel_2, self.imageBg)
	self.imageBg_3 = self.imageBg

	self.desc1Panel = ccui.Layout:create()
	setValue(self.desc1Panel, "desc1Panel", 45, cc.size(210, 80), cc.p(228.8, 257.4), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.imageBg_3, self.desc1Panel)
	self.desc1Panel_4 = self.desc1Panel

	self.spriteHeadBg = cc.Sprite:create()
	setValue(self.spriteHeadBg, "spriteHeadBg", 174, cc.size(46, 46), cc.p(-52.5, 40), nil, nil, nil, nil, nil)
	self.spriteHeadBg:setTexture("Default/Sprite.png")
	addChildForPre(self.desc1Panel_4, self.spriteHeadBg)
	self.spriteHeadBg_5 = self.spriteHeadBg

	self.spriteHeadIcon = cc.Sprite:create()
	setValue(self.spriteHeadIcon, "spriteHeadIcon", 173, cc.size(46, 46), cc.p(23, 23), nil, nil, nil, nil, nil)
	self.spriteHeadIcon:setScale(0.92)
	self.spriteHeadIcon:setTexture("Default/Sprite.png")
	addChildForPre(self.spriteHeadBg_5, self.spriteHeadIcon)

	self.spriteVIP = cc.Sprite:create()
	setValue(self.spriteVIP, "spriteVIP", 51, cc.size(46, 46), cc.p(294, 80), nil, nil, nil, nil, nil)
	self.spriteVIP:setTexture("Default/Sprite.png")
	addChildForPre(self.desc1Panel_4, self.spriteVIP)

	self.labelName = createLabel({text=[[labelName]], font=getFont(), size=28})
	setValue(self.labelName, "labelName", 44, cc.size(133, 32), cc.p(0, 80), cc.p(0, 0.5), nil, nil, nil, nil)
	self.labelName:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.desc1Panel_4, self.labelName)

	self.labelInfo1 = createLabel({text=[[labelInfo1]], font=getFont(), size=25})
	setValue(self.labelInfo1, "labelInfo1", 47, cc.size(108, 29), cc.p(0, 40), cc.p(0, 0.5), nil, nil, nil, nil)
	self.labelInfo1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.desc1Panel_4, self.labelInfo1)

	self.labelInfo2 = createLabel({text=[[labelInfo2]], font=getFont(), size=25})
	setValue(self.labelInfo2, "labelInfo2", 48, cc.size(108, 29), nil, cc.p(0, 0.5), nil, nil, nil, nil)
	self.labelInfo2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.desc1Panel_4, self.labelInfo2)

	self.labelInfo3 = createLabel({text=[[labelInfo3]], font=getFont(), size=25})
	setValue(self.labelInfo3, "labelInfo3", 49, cc.size(108, 29), cc.p(210, 40), cc.p(0, 0.5), nil, nil, nil, nil)
	self.labelInfo3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.desc1Panel_4, self.labelInfo3)

	self.labelInfo4 = createLabel({text=[[labelInfo4]], font=getFont(), size=25})
	setValue(self.labelInfo4, "labelInfo4", 50, cc.size(108, 29), cc.p(210, 0), cc.p(0, 0.5), nil, nil, nil, nil)
	self.labelInfo4:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.desc1Panel_4, self.labelInfo4)

	self.desc2Panel = ccui.Layout:create()
	setValue(self.desc2Panel, "desc2Panel", 46, cc.size(200, 100), cc.p(135.2, 99), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.imageBg_3, self.desc2Panel)
	self.desc2Panel_4 = self.desc2Panel

	self.labelInfo5 = createLabel({text=[[labelInfo5]], font=getFont(), size=25})
	setValue(self.labelInfo5, "labelInfo5", 52, cc.size(108, 29), cc.p(0, 100), cc.p(0, 0.5), nil, nil, nil, nil)
	self.labelInfo5:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.desc2Panel_4, self.labelInfo5)

	self.labelInfo6 = createLabel({text=[[labelInfo6]], font=getFont(), size=25})
	setValue(self.labelInfo6, "labelInfo6", 53, cc.size(108, 29), cc.p(0, 50), cc.p(0, 0.5), nil, nil, nil, nil)
	self.labelInfo6:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.desc2Panel_4, self.labelInfo6)

	self.campPanel = ccui.Layout:create()
	setValue(self.campPanel, "campPanel", 1805, cc.size(100, 30), nil, cc.p(0, 0.5), nil, nil, nil, nil)
	addChildForPre(self.desc2Panel_4, self.campPanel)
	self.campPanel_5 = self.campPanel

	self.labelInfo7 = createLabel({text=[[Info7]], font=getFont(), size=25})
	setValue(self.labelInfo7, "labelInfo7", 54, cc.size(55, 29), cc.p(0, 15), cc.p(0, 0.5), nil, nil, nil, nil)
	self.labelInfo7:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.campPanel_5, self.labelInfo7)

	self.labelInfoCamp7 = createLabel({text=[[InfoCamp7]], font=getFont(), size=25})
	setValue(self.labelInfoCamp7, "labelInfoCamp7", 55, cc.size(122, 29), cc.p(120, 15), cc.p(0, 0.5), nil, nil, nil, nil)
	self.labelInfoCamp7:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.campPanel_5, self.labelInfoCamp7)

	self.spriteCampIcon7 = cc.Sprite:create()
	setValue(self.spriteCampIcon7, "spriteCampIcon7", 56, cc.size(46, 46), cc.p(100, 15), nil, nil, nil, nil, nil)
	self.spriteCampIcon7:setScale(0.1)
	self.spriteCampIcon7:setTexture("Default/Sprite.png")
	addChildForPre(self.campPanel_5, self.spriteCampIcon7)

	self.LightColourLine = cc.Sprite:create()
	setValue(self.LightColourLine, "LightColourLine", 43, cc.size(81, 26), cc.p(260, 191.4), nil, nil, nil, nil, nil)
	self.LightColourLine:setSpriteFrame("ccs/UiImages/image9/Underline.png")
	addChildForPre(self.imageBg_3, self.LightColourLine)

	self.labelInfoNote1 = createLabel({text=[[labelInfoNote1]], font=getFont(), size=25,align = 1,valign = 1})
	setValue(self.labelInfoNote1, "labelInfoNote1", 41, cc.size(161, 29), cc.p(275.2, 99), cc.p(0, 0.5), nil, nil, nil, nil)
	self.labelInfoNote1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.labelInfoNote1)

	self.labelInfoNote2 = createLabel({text=[[labelInfoNote2]], font=getFont(), size=25,align = 1,valign = 1})
	setValue(self.labelInfoNote2, "labelInfoNote2", 42, cc.size(161, 29), cc.p(275.2, 66), cc.p(0, 0.5), nil, nil, nil, nil)
	self.labelInfoNote2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.labelInfoNote2)

	self.backMainButton = ccui.Button:create()
	setValue(self.backMainButton, "backMainButton", 27, cc.size(153, 64), cc.p(544, 82.5), nil, nil, nil, nil, false)
	self.backMainButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.backMainButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.backMainButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.backMainButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.backMainButton:setTitleText([[backMainButton]])
	self.backMainButton:setTitleFontSize(25)
	self.backMainButton:setTitleFontName(getFont())
	setClickEvent(self, self.backMainButton, "backMainButton")
	addChildForPre(self.dialogPanel_2, self.backMainButton)

	if CommonDialogFrame3CloseUi then 
 		self.commonDialogFrame3CloseUi = CommonDialogFrame3CloseUi.new() 
 	else 
		self.commonDialogFrame3CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame3CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame3CloseUi, "commonDialogFrame3CloseUi", 241, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame3CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/battle.plist",
	"Default/Sprite.png",
	"ccs/plist/image9.plist",
}

return _M
