-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 183, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 184, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.showPanel = ccui.Layout:create()
	setValue(self.showPanel, "AXY_showPanel", 361, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.showPanel)
	self.showPanel_2 = self.showPanel

	self.midPanel = ccui.Layout:create()
	setValue(self.midPanel, "XYN_midPanel", 348, cc.size(640, 460), cc.p(317.12, 542.784), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.showPanel_2, self.midPanel)
	self.midPanel_3 = self.midPanel

	self.leftBack = ccui.ImageView:create()
	setValue(self.leftBack, "leftBack", 355, cc.size(640, 460), cc.p(326.016, 229), nil, nil, nil, nil, false)
	self.leftBack:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.leftBack:setScale9Enabled(true)
	self.leftBack:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.midPanel_3, self.leftBack)

	self.rankIcon3 = cc.Sprite:create()
	setValue(self.rankIcon3, "rankIcon3", 359, cc.size(100, 100), cc.p(22.249, 453.9902), cc.p(0, 1), nil, nil, nil, nil)
	self.rankIcon3:setScale(1.6)
	self.rankIcon3:setSpriteFrame("ccs/UiImages/icon/legion_icon_01.png")
	addChildForPre(self.midPanel_3, self.rankIcon3)

	self.rankIcon2 = cc.Sprite:create()
	setValue(self.rankIcon2, "rankIcon2", 360, cc.size(100, 100), cc.p(100.9992, 226.9774), nil, nil, nil, nil, nil)
	self.rankIcon2:setScale(1.6)
	self.rankIcon2:setSpriteFrame("ccs/UiImages/icon/legion_icon_02.png")
	addChildForPre(self.midPanel_3, self.rankIcon2)

	self.rankIcon1 = cc.Sprite:create()
	setValue(self.rankIcon1, "rankIcon1", 361, cc.size(100, 100), cc.p(100.9991, 74.1785), nil, nil, nil, nil, nil)
	self.rankIcon1:setScale(1.6)
	self.rankIcon1:setSpriteFrame("ccs/UiImages/icon/legion_icon_03.png")
	addChildForPre(self.midPanel_3, self.rankIcon1)

	self.rankNumber3 = createLabel({text=[[rankNumber3]], font=getFont(), size=20})
	setValue(self.rankNumber3, "rankNumber3", 365, cc.size(121, 23), cc.p(236.0586, 382.7404), nil, cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.rankNumber3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rankNumber3:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.midPanel_3, self.rankNumber3)

	self.countryNumber3 = createLabel({text=[[countryNumber3]], font=getFont(), size=20})
	setValue(self.countryNumber3, "countryNumber3", 366, cc.size(147, 23), cc.p(359.7614, 382.7404), nil, nil, nil, nil, nil)
	self.countryNumber3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.midPanel_3, self.countryNumber3)

	self.rankNumber2 = createLabel({text=[[rankNumber2]], font=getFont(), size=20})
	setValue(self.rankNumber2, "rankNumber2", 367, cc.size(121, 23), cc.p(236.0586, 226.977), nil, cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.rankNumber2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rankNumber2:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.midPanel_3, self.rankNumber2)

	self.countryNumber2 = createLabel({text=[[countryNumber2]], font=getFont(), size=20})
	setValue(self.countryNumber2, "countryNumber2", 368, cc.size(147, 23), cc.p(359.752, 226.977), nil, nil, nil, nil, nil)
	self.countryNumber2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.midPanel_3, self.countryNumber2)

	self.rankNumber1 = createLabel({text=[[rankNumber1]], font=getFont(), size=20})
	setValue(self.rankNumber1, "rankNumber1", 369, cc.size(121, 23), cc.p(236.0586, 74.1786), nil, cc.c4b(255, 253, 32, 255), nil, nil, nil)
	self.rankNumber1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rankNumber1:setColor(cc.c4b(255, 253, 32, 255))
	addChildForPre(self.midPanel_3, self.rankNumber1)

	self.countryNumber1 = createLabel({text=[[countryNumber1]], font=getFont(), size=20})
	setValue(self.countryNumber1, "countryNumber1", 370, cc.size(147, 23), cc.p(359.752, 74.1786), nil, nil, nil, nil, nil)
	self.countryNumber1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.midPanel_3, self.countryNumber1)

	self.lbRankInfo = createLabel({text=[[rankInfoLable]], font=getFont(), size=24})
	setValue(self.lbRankInfo, "lbRankInfo", 459, cc.size(145, 28), cc.p(320, -32.2), nil, cc.c4b(255, 0, 0, 255), nil, nil, nil)
	self.lbRankInfo:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.lbRankInfo:setColor(cc.c4b(255, 0, 0, 255))
	addChildForPre(self.midPanel_3, self.lbRankInfo)

	self.resNumber3 = createLabel({text=[[12345]], font=getFont(), size=20})
	setValue(self.resNumber3, "resNumber3", 110, cc.size(55, 23), cc.p(473.408, 384.169), cc.p(0, 0.5), nil, nil, nil, nil)
	self.resNumber3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.midPanel_3, self.resNumber3)

	self.resNumber2 = createLabel({text=[[CresNumber2]], font=getFont(), size=20})
	setValue(self.resNumber2, "resNumber2", 111, cc.size(124, 23), cc.p(473.408, 226.977), cc.p(0, 0.5), nil, nil, nil, nil)
	self.resNumber2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.midPanel_3, self.resNumber2)

	self.resNumber1 = createLabel({text=[[CresNumber1]], font=getFont(), size=20})
	setValue(self.resNumber1, "resNumber1", 112, cc.size(124, 23), cc.p(473.408, 74.1786), cc.p(0, 0.5), nil, nil, nil, nil)
	self.resNumber1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.midPanel_3, self.resNumber1)

	self.item1Sprite = cc.Sprite:create()
	setValue(self.item1Sprite, "item1Sprite", 850, cc.size(48, 38), cc.p(451.5999, 382.7404), nil, nil, nil, nil, nil)
	self.item1Sprite:setSpriteFrame("ccs/UiImages/countryBattle/countrybattle_img_daoju.png")
	addChildForPre(self.midPanel_3, self.item1Sprite)

	self.item2Sprite = cc.Sprite:create()
	setValue(self.item2Sprite, "item2Sprite", 852, cc.size(48, 38), cc.p(451.5999, 226.977), nil, nil, nil, nil, nil)
	self.item2Sprite:setSpriteFrame("ccs/UiImages/countryBattle/countrybattle_img_daoju.png")
	addChildForPre(self.midPanel_3, self.item2Sprite)

	self.item3Sprite = cc.Sprite:create()
	setValue(self.item3Sprite, "item3Sprite", 851, cc.size(48, 38), cc.p(451.5999, 74.1785), nil, nil, nil, nil, nil)
	self.item3Sprite:setSpriteFrame("ccs/UiImages/countryBattle/countrybattle_img_daoju.png")
	addChildForPre(self.midPanel_3, self.item3Sprite)

	self.spLine3 = cc.Sprite:create()
	setValue(self.spLine3, "spLine3", 2363, cc.size(640, 8), cc.p(324.928, 308.2), nil, nil, nil, nil, nil)
	self.spLine3:setScaleX(0.8)
	self.spLine3:setScaleY(1)
	self.spLine3:setSpriteFrame("ccs/UiImages/image9/common_img_jiemian02.png")
	addChildForPre(self.midPanel_3, self.spLine3)

	self.taskInfoBg = ccui.ImageView:create()
	setValue(self.taskInfoBg, "taskInfoBg", 240, cc.size(640, 120), cc.p(326.016, -116.3336), nil, nil, nil, nil, false)
	self.taskInfoBg:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.taskInfoBg:setScale9Enabled(true)
	self.taskInfoBg:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.midPanel_3, self.taskInfoBg)
	self.taskInfoBg_4 = self.taskInfoBg

	self.lbTaskInfo = createLabel({text=[[taskInfoLable]], font=getFont(), size=20})
	setValue(self.lbTaskInfo, "lbTaskInfo", 241, cc.size(118, 23), cc.p(20.0001, 90.67), cc.p(0, 0.5), nil, nil, nil, nil)
	self.lbTaskInfo:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.taskInfoBg_4, self.lbTaskInfo)

	self.lbBuffInfo = createLabel({text=[[buffInfoLable]], font=getFont(), size=20, dimensions = cc.size(590.0000, 62.0000)})
	setValue(self.lbBuffInfo, "lbBuffInfo", 280, cc.size(590, 62), cc.p(20, 51.33), cc.p(0, 1), nil, 229, nil, false)
	self.lbBuffInfo:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.taskInfoBg_4, self.lbBuffInfo)

	self.spLine2 = cc.Sprite:create()
	setValue(self.spLine2, "spLine2", 2364, cc.size(640, 8), cc.p(320, 151.8), nil, nil, nil, nil, nil)
	self.spLine2:setScaleX(0.8)
	self.spLine2:setScaleY(1)
	self.spLine2:setSpriteFrame("ccs/UiImages/image9/common_img_jiemian02.png")
	addChildForPre(self.midPanel_3, self.spLine2)

	self.bottomPanel = ccui.Layout:create()
	setValue(self.bottomPanel, "BXN_bottomPanel", 349, cc.size(640, 163), cc.p(320, 28.8), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.showPanel_2, self.bottomPanel)
	self.bottomPanel_3 = self.bottomPanel

	self.Image = ccui.ImageView:create()
	setValue(self.Image, "WTX_Image", 849, cc.size(640, 30), cc.p(321.1111, 95.8501), nil, nil, nil, nil, false)
	self.Image:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.Image:setScale9Enabled(true)
	self.Image:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.bottomPanel_3, self.Image)

	self.btnRank = ccui.Button:create()
	setValue(self.btnRank, "btnRank", 362, cc.size(153, 64), cc.p(456.5583, 43.3824), nil, nil, nil, nil, false)
	self.btnRank:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.btnRank:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.btnRank:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.btnRank:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.btnRank:setTitleText([[Button]])
	self.btnRank:setTitleFontSize(24)
	self.btnRank:setTitleFontName(getFont())
	setClickEvent(self, self.btnRank, "btnRank")
	addChildForPre(self.bottomPanel_3, self.btnRank)

	self.btnMillitaryShop = ccui.Button:create()
	setValue(self.btnMillitaryShop, "btnMillitaryShop", 104, cc.size(153, 64), cc.p(160.9646, 43.3824), nil, nil, nil, nil, false)
	self.btnMillitaryShop:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.btnMillitaryShop:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.btnMillitaryShop:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.btnMillitaryShop:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.btnMillitaryShop:setTitleText([[Button]])
	self.btnMillitaryShop:setTitleFontSize(24)
	self.btnMillitaryShop:setTitleFontName(getFont())
	setClickEvent(self, self.btnMillitaryShop, "btnMillitaryShop")
	addChildForPre(self.bottomPanel_3, self.btnMillitaryShop)

	self.topPanel = ccui.Layout:create()
	setValue(self.topPanel, "TXN_topPanel", 71, cc.size(640, 100), cc.p(320, 883.2), cc.p(0.5, 1), nil, nil, nil, nil)
	addChildForPre(self.showPanel_2, self.topPanel)
	self.topPanel_3 = self.topPanel

	self.lbActivityRemainTime = createLabel({text=[[活动剩余时间]], font=getFont(), size=24})
	setValue(self.lbActivityRemainTime, "lbActivityRemainTime", 174, cc.size(144, 28), cc.p(314.9999, 73.666), cc.p(0.5, 1), nil, nil, nil, nil)
	self.lbActivityRemainTime:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.topPanel_3, self.lbActivityRemainTime)

	self.lbRemainTime = createLabel({text=[[timeOutLable]], font=getFont(), size=22})
	setValue(self.lbRemainTime, "lbRemainTime", 213, cc.size(130, 26), cc.p(314.9999, 37.6665), cc.p(0.5, 1), cc.c4b(255, 0, 0, 255), nil, nil, nil)
	self.lbRemainTime:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.lbRemainTime:setColor(cc.c4b(255, 0, 0, 255))
	addChildForPre(self.topPanel_3, self.lbRemainTime)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/battle.plist",
	"ccs/plist/icon.plist",
	"ccs/plist/countryBattle.plist",
	"ccs/plist/image9.plist",
}

return _M
