-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 778, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 779, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonNewUi then 
 		self.commonNewUi = CommonNewUi.new() 
 	else 
		self.commonNewUi = BaseUi.new("ccs/ui/commonDialog/CommonNewUi.lua")
 	end 
	setValue(self.commonNewUi, "commonNewUi", 841, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonNewUi)

	self.adjustPanel = ccui.Layout:create()
	setValue(self.adjustPanel, "AXY_adjustPanel", 857, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.adjustPanel)
	self.adjustPanel_2 = self.adjustPanel

	self.playerDetailPanel = ccui.Layout:create()
	setValue(self.playerDetailPanel, "WTN_playerDetailPanel", 858, cc.size(640, 300), cc.p(0, 864), cc.p(0, 1), nil, nil, nil, nil)
	addChildForPre(self.adjustPanel_2, self.playerDetailPanel)
	self.playerDetailPanel_3 = self.playerDetailPanel

	self.imgPlayerBg = ccui.ImageView:create()
	setValue(self.imgPlayerBg, "imgPlayerBg", 907, cc.size(180, 250), cc.p(19.2, 150), cc.p(0, 0.5), nil, nil, nil, false)
	self.imgPlayerBg:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.imgPlayerBg:setScale9Enabled(true)
	self.imgPlayerBg:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.playerDetailPanel_3, self.imgPlayerBg)
	self.imgPlayerBg_4 = self.imgPlayerBg

	self.spPlayer = cc.Sprite:create()
	setValue(self.spPlayer, "spPlayer", 1178, cc.size(355, 477), cc.p(90, 112.5), nil, nil, nil, nil, nil)
	self.spPlayer:setScale(0.46)
	self.spPlayer:setTexture("ccs/BigImages/userHead/userHead_country1_1.webp")
	addChildForPre(self.imgPlayerBg_4, self.spPlayer)

	self.spClip = ccui.ImageView:create()
	setValue(self.spClip, "spClip", 1179, cc.size(156, 175), cc.p(90, 143.025), nil, nil, nil, nil, false)
	self.spClip:loadTexture("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.spClip:setScale9Enabled(true)
	self.spClip:setCapInsets(cc.rect(0, 0, 10, 10))
	addChildForPre(self.imgPlayerBg_4, self.spClip)

	self.imgDetailBg = ccui.ImageView:create()
	setValue(self.imgDetailBg, "imgDetailBg", 961, cc.size(390, 250), cc.p(608, 150), cc.p(1, 0.5), nil, nil, nil, false)
	self.imgDetailBg:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.imgDetailBg:setScale9Enabled(true)
	self.imgDetailBg:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.playerDetailPanel_3, self.imgDetailBg)
	self.imgDetailBg_4 = self.imgDetailBg

	self.txtPlayerName = createLabel({text=[[玩家名称789个字]], font=getFont(), size=24})
	setValue(self.txtPlayerName, "txtPlayerName", 1122, cc.size(184, 28), cc.p(19.5, 237.5), cc.p(0, 1), nil, nil, nil, nil)
	self.txtPlayerName:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.imgDetailBg_4, self.txtPlayerName)

	self.txtAttackCount = createLabel({text=[[进攻次数:155]], font=getFont(), size=20})
	setValue(self.txtAttackCount, "txtAttackCount", 1123, cc.size(118, 23), cc.p(19.5, 187.5), cc.p(0, 0.5), nil, nil, nil, nil)
	self.txtAttackCount:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.imgDetailBg_4, self.txtAttackCount)

	self.txtKillEnemyNum = createLabel({text=[[消灭敌人:155]], font=getFont(), size=20})
	setValue(self.txtKillEnemyNum, "txtKillEnemyNum", 1126, cc.size(118, 23), cc.p(19.5, 157.5), cc.p(0, 0.5), nil, nil, nil, nil)
	self.txtKillEnemyNum:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.imgDetailBg_4, self.txtKillEnemyNum)

	self.txtDefendNum = createLabel({text=[[放手次数:155]], font=getFont(), size=20})
	setValue(self.txtDefendNum, "txtDefendNum", 1127, cc.size(118, 23), cc.p(214.5, 187.5), cc.p(0, 0.5), nil, nil, nil, nil)
	self.txtDefendNum:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.imgDetailBg_4, self.txtDefendNum)

	self.txtOccupyPlaces = createLabel({text=[[占据举点:155]], font=getFont(), size=20})
	setValue(self.txtOccupyPlaces, "txtOccupyPlaces", 1128, cc.size(118, 23), cc.p(214.5, 157.5), cc.p(0, 0.5), nil, nil, nil, nil)
	self.txtOccupyPlaces:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.imgDetailBg_4, self.txtOccupyPlaces)

	self.txtWinRounds = createLabel({text=[[胜场次数:155]], font=getFont(), size=20})
	setValue(self.txtWinRounds, "txtWinRounds", 1129, cc.size(118, 23), cc.p(19.5, 112.5), cc.p(0, 0.5), nil, nil, nil, nil)
	self.txtWinRounds:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.imgDetailBg_4, self.txtWinRounds)

	self.txtWinRank = createLabel({text=[[胜场排名:155]], font=getFont(), size=20})
	setValue(self.txtWinRank, "txtWinRank", 1130, cc.size(118, 23), cc.p(19.5, 82.5), cc.p(0, 0.5), nil, nil, nil, nil)
	self.txtWinRank:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.imgDetailBg_4, self.txtWinRank)

	self.txtBattleCamp = createLabel({text=[[战场联盟:盟军]], font=getFont(), size=20})
	setValue(self.txtBattleCamp, "txtBattleCamp", 1131, cc.size(125, 23), cc.p(19.5, 52.5), cc.p(0, 0.5), nil, nil, nil, nil)
	self.txtBattleCamp:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.imgDetailBg_4, self.txtBattleCamp)

	self.spCamp = cc.Sprite:create()
	setValue(self.spCamp, "spCamp", 1133, cc.size(100, 100), cc.p(273, 82.5), nil, nil, nil, nil, nil)
	self.spCamp:setSpriteFrame("ccs/UiImages/icon/legion_icon_02.png")
	addChildForPre(self.imgDetailBg_4, self.spCamp)

	self.countrypanel = ccui.Layout:create()
	setValue(self.countrypanel, "XYN_countrypanel", 962, cc.size(640, 400), cc.p(0, 150), nil, nil, nil, nil, nil)
	addChildForPre(self.adjustPanel_2, self.countrypanel)
	self.countrypanel_3 = self.countrypanel

	self.imgBg = ccui.ImageView:create()
	setValue(self.imgBg, "imgBg", 93, cc.size(630, 300), cc.p(320, 196), nil, nil, nil, nil, false)
	self.imgBg:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.imgBg:setScale9Enabled(true)
	self.imgBg:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.countrypanel_3, self.imgBg)

	self.txtCurrentBattleRank = createLabel({text=[[本期阵营排名]], font=getFont(), size=28})
	setValue(self.txtCurrentBattleRank, "txtCurrentBattleRank", 963, cc.size(168, 32), cc.p(320, 388), cc.p(0.5, 1), cc.c4b(247, 241, 7, 255), nil, nil, nil)
	self.txtCurrentBattleRank:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.txtCurrentBattleRank:setColor(cc.c4b(247, 241, 7, 255))
	addChildForPre(self.countrypanel_3, self.txtCurrentBattleRank)

	self.spCountryRank1 = cc.Sprite:create()
	setValue(self.spCountryRank1, "spCountryRank1", 965, cc.size(100, 100), cc.p(32, 236.16), cc.p(0, 0.5), nil, nil, nil, nil)
	self.spCountryRank1:setScale(1.8)
	self.spCountryRank1:setSpriteFrame("ccs/UiImages/icon/legion_icon_01.png")
	addChildForPre(self.countrypanel_3, self.spCountryRank1)

	self.spCountryRank2 = cc.Sprite:create()
	setValue(self.spCountryRank2, "spCountryRank2", 964, cc.size(100, 100), cc.p(320, 236.16), nil, nil, nil, nil, nil)
	self.spCountryRank2:setScale(1.8)
	self.spCountryRank2:setSpriteFrame("ccs/UiImages/icon/legion_icon_01.png")
	addChildForPre(self.countrypanel_3, self.spCountryRank2)

	self.spCountryRank3 = cc.Sprite:create()
	setValue(self.spCountryRank3, "spCountryRank3", 966, cc.size(100, 100), cc.p(608, 236.16), cc.p(1, 0.5), nil, nil, nil, nil)
	self.spCountryRank3:setScale(1.8)
	self.spCountryRank3:setSpriteFrame("ccs/UiImages/icon/legion_icon_01.png")
	addChildForPre(self.countrypanel_3, self.spCountryRank3)

	self.txtRank1 = createLabel({text=[[第一名]], font=getFont(), size=26,align = 1})
	setValue(self.txtRank1, "txtRank1", 967, cc.size(78, 31), cc.p(83.008, 139.48), cc.p(0, 0.5), cc.c4b(247, 241, 7, 255), nil, nil, nil)
	self.txtRank1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.txtRank1:setColor(cc.c4b(247, 241, 7, 255))
	addChildForPre(self.countrypanel_3, self.txtRank1)

	self.txtRank2 = createLabel({text=[[第2名]], font=getFont(), size=26,align = 1})
	setValue(self.txtRank2, "txtRank2", 968, cc.size(66, 31), cc.p(320, 139.48), nil, cc.c4b(247, 241, 7, 255), nil, nil, nil)
	self.txtRank2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.txtRank2:setColor(cc.c4b(247, 241, 7, 255))
	addChildForPre(self.countrypanel_3, self.txtRank2)

	self.txtRank3 = createLabel({text=[[第3名]], font=getFont(), size=26,align = 1})
	setValue(self.txtRank3, "txtRank3", 969, cc.size(66, 31), cc.p(537.984, 139.48), nil, cc.c4b(247, 241, 7, 255), nil, nil, nil)
	self.txtRank3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.txtRank3:setColor(cc.c4b(247, 241, 7, 255))
	addChildForPre(self.countrypanel_3, self.txtRank3)

	self.txtReward1 = createLabel({text=[[额外奖励30%]], font=getFont(), size=26,align = 1})
	setValue(self.txtReward1, "txtReward1", 970, cc.size(156, 31), cc.p(121.9995, 95.9997), nil, nil, nil, nil, nil)
	self.txtReward1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.countrypanel_3, self.txtReward1)

	self.txtReward2 = createLabel({text=[[额外奖励30%]], font=getFont(), size=26,align = 1})
	setValue(self.txtReward2, "txtReward2", 971, cc.size(156, 31), cc.p(320, 96), nil, nil, nil, nil, nil)
	self.txtReward2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.countrypanel_3, self.txtReward2)

	self.bottomPanel = ccui.Layout:create()
	setValue(self.bottomPanel, "LBN_bottomPanel", 1028, cc.size(640, 150), nil, nil, nil, nil, nil, nil)
	setBgImage(self.bottomPanel, "ccs/UiImages/image9/common_img_jiemian04.png", 1, true, cc.rect(0, 0, 256, 19))
	self.bottomPanel:setContentSize(cc.size(640, 150))
	addChildForPre(self.adjustPanel_2, self.bottomPanel)
	self.bottomPanel_3 = self.bottomPanel

	self.imgLine = ccui.ImageView:create()
	setValue(self.imgLine, "imgLine", 1089, cc.size(640, 30), cc.p(320, 136.065), nil, nil, nil, nil, nil)
	self.imgLine:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	addChildForPre(self.bottomPanel_3, self.imgLine)

	self.txtDistributeReward = createLabel({text=[[奖励会在10分钟后发到领奖中心]], font=getFont(), size=22})
	setValue(self.txtDistributeReward, "txtDistributeReward", 1120, cc.size(310, 26), cc.p(320, 105.39), nil, nil, nil, nil, nil)
	self.txtDistributeReward:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bottomPanel_3, self.txtDistributeReward)

	self.btnConfirm = ccui.Button:create()
	setValue(self.btnConfirm, "btnConfirm", 1121, cc.size(153, 64), cc.p(320, 15.285), cc.p(0.5, 0), nil, nil, nil, false)
	self.btnConfirm:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.btnConfirm:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.btnConfirm:loadTextureDisabled("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.btnConfirm:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.btnConfirm:setTitleText([[确认]])
	self.btnConfirm:setTitleFontSize(30)
	self.btnConfirm:setTitleFontName(getFont())
	setClickEvent(self, self.btnConfirm, "btnConfirm")
	addChildForPre(self.bottomPanel_3, self.btnConfirm)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/battle.plist",
	"ccs/BigImages/userHead/userHead_country1_1.png",
	"ccs/plist/image9.plist",
	"ccs/plist/icon.plist",
}

return _M
