-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 3, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.containerPanel = ccui.Layout:create()
	setValue(self.containerPanel, "containerPanel", 4, cc.size(560, 290), cc.p(320, 575.9999), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.containerPanel)
	self.containerPanel_2 = self.containerPanel

	self.mainPanel = ccui.Layout:create()
	setValue(self.mainPanel, "mainPanel", 56, cc.size(560, 188), cc.p(280, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.containerPanel_2, self.mainPanel)
	self.mainPanel_3 = self.mainPanel

	self.blueFloor = ccui.ImageView:create()
	setValue(self.blueFloor, "blueFloor", 57, cc.size(603, 349), cc.p(280, 94), nil, nil, nil, nil, false)
	self.blueFloor:loadTexture("ccs/UiImages/countryBattle/countrybattle_img_bg_line.png", 1)
	self.blueFloor:setScale9Enabled(true)
	self.blueFloor:setCapInsets(cc.rect(10, 10, 242, 251))
	addChildForPre(self.mainPanel_3, self.blueFloor)

	self.bgImage = cc.Sprite:create()
	setValue(self.bgImage, "bgImage", 167, cc.size(644, 78), cc.p(280, 242.52), nil, nil, nil, nil, nil)
	self.bgImage:setSpriteFrame("ccs/UiImages/battle/combat_img_jiemian01.png")
	addChildForPre(self.mainPanel_3, self.bgImage)

	self.dataPanel = ccui.Layout:create()
	setValue(self.dataPanel, "dataPanel", 68, cc.size(560, 188), cc.p(280, 94), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.mainPanel_3, self.dataPanel)
	self.dataPanel_4 = self.dataPanel

	self.winCountLabel = createLabel({text=[[winCountLabel]], font=getFont(), size=24})
	setValue(self.winCountLabel, "winCountLabel", 60, cc.size(158, 28), cc.p(280, 150.4), nil, cc.c4b(255, 152, 0, 255), nil, nil, nil)
	self.winCountLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.winCountLabel:setColor(cc.c4b(255, 152, 0, 255))
	addChildForPre(self.dataPanel_4, self.winCountLabel)

	self.honourTitleLabel = createLabel({text=[[honourTitleLabel]], font=getFont(), size=22})
	setValue(self.honourTitleLabel, "honourTitleLabel", 17, cc.size(163, 26), cc.p(280, 90.4468), cc.p(1, 0.5), nil, nil, nil, nil)
	self.honourTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dataPanel_4, self.honourTitleLabel)

	self.honourLabel = createLabel({text=[[honourLabel]], font=getFont(), size=22})
	setValue(self.honourLabel, "honourLabel", 18, cc.size(122, 26), cc.p(291.2, 89.4504), cc.p(0, 0.5), cc.c4b(255, 152, 0, 255), nil, nil, nil)
	self.honourLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.honourLabel:setColor(cc.c4b(255, 152, 0, 255))
	addChildForPre(self.dataPanel_4, self.honourLabel)

	self.militaryTitleLabel = createLabel({text=[[militaryTitleLabel]], font=getFont(), size=22})
	setValue(self.militaryTitleLabel, "militaryTitleLabel", 19, cc.size(164, 26), cc.p(280, 117.4436), cc.p(1, 0.5), nil, nil, nil, nil)
	self.militaryTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dataPanel_4, self.militaryTitleLabel)

	self.militaryLabel = createLabel({text=[[militaryLabel]], font=getFont(), size=22})
	setValue(self.militaryLabel, "militaryLabel", 20, cc.size(123, 26), cc.p(291.2, 117.4436), cc.p(0, 0.5), cc.c4b(255, 152, 0, 255), nil, nil, nil)
	self.militaryLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.militaryLabel:setColor(cc.c4b(255, 152, 0, 255))
	addChildForPre(self.dataPanel_4, self.militaryLabel)

	self.powerLabel = ccui.Layout:create()
	setValue(self.powerLabel, "powerLabel", 22, cc.size(510, 29), cc.p(280, 37.6), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dataPanel_4, self.powerLabel)
	self.powerLabel_5 = self.powerLabel

	self.powerRich1Label = createLabel({text=[[Text Label]], font=getFont(), size=20,align = 1, dimensions = cc.size(600.0000, 23.0000)})
	setValue(self.powerRich1Label, "powerRich1Label", 59, cc.size(600, 23), cc.p(255, 0), cc.p(0.5, 1), nil, nil, nil, false)
	self.powerRich1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.powerLabel_5, self.powerRich1Label)

	self.powerRich2Label = createLabel({text=[[Text Label]], font=getFont(), size=20,align = 1, dimensions = cc.size(600.0000, 23.0000)})
	setValue(self.powerRich2Label, "powerRich2Label", 60, cc.size(600, 23), cc.p(255, -30.74), cc.p(0.5, 1), nil, nil, nil, false)
	self.powerRich2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.powerLabel_5, self.powerRich2Label)

	self.tankPanel = ccui.Layout:create()
	setValue(self.tankPanel, "tankPanel", 69, cc.size(560, 188), cc.p(280, 94), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.tankPanel:setVisible(false)
	addChildForPre(self.mainPanel_3, self.tankPanel)
	self.tankPanel_4 = self.tankPanel

	self.tankRightPanel = ccui.Layout:create()
	setValue(self.tankRightPanel, "tankRightPanel", 82, cc.size(200, 200), cc.p(420, 109.04), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.tankPanel_4, self.tankRightPanel)
	self.tankRightPanel_5 = self.tankRightPanel

	self.tankImage = cc.Sprite:create()
	setValue(self.tankImage, "tankImage", 71, cc.size(242, 75), cc.p(87.78, 126.36), nil, nil, nil, nil, nil)
	self.tankImage:setScale(0.45)
	self.tankImage:setSpriteFrame("ccs/UiImages/countryBattle/countrybattle_img_battleship2.png")
	addChildForPre(self.tankRightPanel_5, self.tankImage)

	self.tankImage_Copy = cc.Sprite:create()
	setValue(self.tankImage_Copy, "tankImage_Copy", 72, cc.size(242, 75), cc.p(103.78, 95.05), nil, nil, nil, nil, nil)
	self.tankImage_Copy:setScale(0.55)
	self.tankImage_Copy:setSpriteFrame("ccs/UiImages/countryBattle/countrybattle_img_battleship2.png")
	addChildForPre(self.tankRightPanel_5, self.tankImage_Copy)

	self.tankImage_Copy_0 = cc.Sprite:create()
	setValue(self.tankImage_Copy_0, "tankImage_Copy_0", 73, cc.size(242, 75), cc.p(67.78, 60.7408), nil, nil, nil, nil, nil)
	self.tankImage_Copy_0:setScale(0.65)
	self.tankImage_Copy_0:setSpriteFrame("ccs/UiImages/countryBattle/countrybattle_img_battleship2.png")
	addChildForPre(self.tankRightPanel_5, self.tankImage_Copy_0)

	self.tankImage_Copy_1 = cc.Sprite:create()
	setValue(self.tankImage_Copy_1, "tankImage_Copy_1", 74, cc.size(242, 75), cc.p(112.4521, 20.9328), nil, nil, nil, nil, nil)
	self.tankImage_Copy_1:setScale(0.75)
	self.tankImage_Copy_1:setSpriteFrame("ccs/UiImages/countryBattle/countrybattle_img_battleship2.png")
	addChildForPre(self.tankRightPanel_5, self.tankImage_Copy_1)

	self.tankRightPanel_Copy = ccui.Layout:create()
	setValue(self.tankRightPanel_Copy, "tankRightPanel_Copy", 83, cc.size(200, 200), cc.p(140, 109.04), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.tankRightPanel_Copy:setScaleX(-1)
	self.tankRightPanel_Copy:setScaleY(1)
	addChildForPre(self.tankPanel_4, self.tankRightPanel_Copy)
	self.tankRightPanel_Copy_5 = self.tankRightPanel_Copy

	self.tankImage_Copy = cc.Sprite:create()
	setValue(self.tankImage_Copy, "tankImage_Copy", 84, cc.size(236, 101), cc.p(87.78, 126.36), nil, nil, nil, nil, nil)
	self.tankImage_Copy:setFlippedX(true)
	self.tankImage_Copy:setScale(0.45)
	self.tankImage_Copy:setSpriteFrame("ccs/UiImages/countryBattle/countrybattle_img_battleship1.png")
	addChildForPre(self.tankRightPanel_Copy_5, self.tankImage_Copy)

	self.tankImage_Copy_Copy = cc.Sprite:create()
	setValue(self.tankImage_Copy_Copy, "tankImage_Copy_Copy", 85, cc.size(236, 101), cc.p(103.78, 95.05), nil, nil, nil, nil, nil)
	self.tankImage_Copy_Copy:setFlippedX(true)
	self.tankImage_Copy_Copy:setScale(0.55)
	self.tankImage_Copy_Copy:setSpriteFrame("ccs/UiImages/countryBattle/countrybattle_img_battleship1.png")
	addChildForPre(self.tankRightPanel_Copy_5, self.tankImage_Copy_Copy)

	self.tankImage_Copy_0_Copy = cc.Sprite:create()
	setValue(self.tankImage_Copy_0_Copy, "tankImage_Copy_0_Copy", 86, cc.size(236, 101), cc.p(67.78, 60.7408), nil, nil, nil, nil, nil)
	self.tankImage_Copy_0_Copy:setFlippedX(true)
	self.tankImage_Copy_0_Copy:setScale(0.61)
	self.tankImage_Copy_0_Copy:setSpriteFrame("ccs/UiImages/countryBattle/countrybattle_img_battleship1.png")
	addChildForPre(self.tankRightPanel_Copy_5, self.tankImage_Copy_0_Copy)

	self.tankImage_Copy_1_Copy = cc.Sprite:create()
	setValue(self.tankImage_Copy_1_Copy, "tankImage_Copy_1_Copy", 87, cc.size(236, 101), cc.p(112.4521, 20.9328), nil, nil, nil, nil, nil)
	self.tankImage_Copy_1_Copy:setFlippedX(true)
	self.tankImage_Copy_1_Copy:setScale(0.7)
	self.tankImage_Copy_1_Copy:setSpriteFrame("ccs/UiImages/countryBattle/countrybattle_img_battleship1.png")
	addChildForPre(self.tankRightPanel_Copy_5, self.tankImage_Copy_1_Copy)

	self.firePanel = ccui.Layout:create()
	setValue(self.firePanel, "firePanel", 88, cc.size(560, 188), cc.p(280, 94), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.tankPanel_4, self.firePanel)
	self.firePanel_5 = self.firePanel

	self.fire1Node = cc.Node:create()
	setValue(self.fire1Node, "fire1Node", 89, nil, cc.p(192.62, 128.65), nil, nil, nil, nil, nil)
	addChildForPre(self.firePanel_5, self.fire1Node)

	self.fire2Node = cc.Node:create()
	setValue(self.fire2Node, "fire2Node", 90, nil, cc.p(175.34, 93.77), nil, nil, nil, nil, nil)
	addChildForPre(self.firePanel_5, self.fire2Node)

	self.fire3Node = cc.Node:create()
	setValue(self.fire3Node, "fire3Node", 91, nil, cc.p(213.88, 58.7), nil, nil, nil, nil, nil)
	addChildForPre(self.firePanel_5, self.fire3Node)

	self.fire4Node = cc.Node:create()
	setValue(self.fire4Node, "fire4Node", 92, nil, cc.p(177.26, 15.31), nil, nil, nil, nil, nil)
	addChildForPre(self.firePanel_5, self.fire4Node)

	self.fire5Node = cc.Node:create()
	setValue(self.fire5Node, "fire5Node", 93, nil, cc.p(370.16, 139.41), nil, nil, nil, nil, nil)
	addChildForPre(self.firePanel_5, self.fire5Node)

	self.fire6Node = cc.Node:create()
	setValue(self.fire6Node, "fire6Node", 94, nil, cc.p(377.77, 106.03), nil, nil, nil, nil, nil)
	addChildForPre(self.firePanel_5, self.fire6Node)

	self.fire7Node = cc.Node:create()
	setValue(self.fire7Node, "fire7Node", 95, nil, cc.p(330.54, 71.72), nil, nil, nil, nil, nil)
	addChildForPre(self.firePanel_5, self.fire7Node)

	self.fire8Node = cc.Node:create()
	setValue(self.fire8Node, "fire8Node", 96, nil, cc.p(366.08, 32.34), nil, nil, nil, nil, nil)
	addChildForPre(self.firePanel_5, self.fire8Node)

	self.toptopPanel = ccui.Layout:create()
	setValue(self.toptopPanel, "toptopPanel", 56, cc.size(600, 100), cc.p(280, 275.5), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.containerPanel_2, self.toptopPanel)
	self.toptopPanel_3 = self.toptopPanel

	self.winPanel = ccui.Layout:create()
	setValue(self.winPanel, "winPanel", 57, cc.size(600, 100), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.toptopPanel_3, self.winPanel)
	self.winPanel_4 = self.winPanel

	self.winLose_img_win_2 = cc.Sprite:create()
	setValue(self.winLose_img_win_2, "winLose_img_win_2", 55, cc.size(358, 93), cc.p(300, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	self.winLose_img_win_2:setTexture("ccs/languageRes/cn/battle/winLose_img_win_2.png")
	addChildForPre(self.winPanel_4, self.winLose_img_win_2)

	self.winHuo = cc.ParticleSystemQuad:create("ccs/Particle/huo.plist")
 	self.winHuo:setPositionType(2) 
	setValue(self.winHuo, "winHuo", 61, nil, cc.p(300, 0), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.winPanel_4, self.winHuo)

	self.topPanel = ccui.Layout:create()
	setValue(self.topPanel, "topPanel", 5, cc.size(555, 114), cc.p(280, 298.7), cc.p(0.5, 1), nil, nil, nil, nil)
	addChildForPre(self.containerPanel_2, self.topPanel)
	self.topPanel_3 = self.topPanel

	self.leftUserPanel = ccui.Layout:create()
	setValue(self.leftUserPanel, "leftUserPanel", 25, cc.size(248, 68), cc.p(0, 57), cc.p(0, 0.5), nil, nil, nil, nil)
	addChildForPre(self.topPanel_3, self.leftUserPanel)
	self.leftUserPanel_4 = self.leftUserPanel

	self.meTopNameLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.meTopNameLabel, "meTopNameLabel", 28, cc.size(91, 23), cc.p(198.4, 45.56), cc.p(1, 0.5), nil, nil, nil, nil)
	self.meTopNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftUserPanel_4, self.meTopNameLabel)

	self.meTopSpeedLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.meTopSpeedLabel, "meTopSpeedLabel", 29, cc.size(91, 23), cc.p(198.4, 12.92), cc.p(1, 0.5), cc.c4b(255, 152, 0, 255), nil, nil, nil)
	self.meTopSpeedLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.meTopSpeedLabel:setColor(cc.c4b(255, 152, 0, 255))
	addChildForPre(self.leftUserPanel_4, self.meTopSpeedLabel)

	self.rightUserPanel = ccui.Layout:create()
	setValue(self.rightUserPanel, "rightUserPanel", 26, cc.size(248, 68), cc.p(555, 57), cc.p(1, 0.5), nil, nil, nil, nil)
	addChildForPre(self.topPanel_3, self.rightUserPanel)
	self.rightUserPanel_4 = self.rightUserPanel

	self.otherTopNameLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.otherTopNameLabel, "otherTopNameLabel", 30, cc.size(91, 23), cc.p(49.6, 48.28), cc.p(0, 0.5), nil, nil, nil, nil)
	self.otherTopNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightUserPanel_4, self.otherTopNameLabel)

	self.otherTopSpeedLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.otherTopSpeedLabel, "otherTopSpeedLabel", 31, cc.size(91, 23), cc.p(49.6, 13.6), cc.p(0, 0.5), cc.c4b(255, 152, 0, 255), nil, nil, nil)
	self.otherTopSpeedLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.otherTopSpeedLabel:setColor(cc.c4b(255, 152, 0, 255))
	addChildForPre(self.rightUserPanel_4, self.otherTopSpeedLabel)

	self.vs018 = cc.Sprite:create()
	setValue(self.vs018, "vs018", 6, cc.size(83, 64), cc.p(280.275, 49.02), cc.p(0.5, 0.2574), nil, nil, nil, nil)
	self.vs018:setSpriteFrame("ccs/UiImages/battle/combat_img_vs.png")
	addChildForPre(self.topPanel_3, self.vs018)

	self.bottomLine = ccui.ImageView:create()
	setValue(self.bottomLine, "bottomLine", 203, cc.size(610.4, 10), cc.p(280, -52.2), nil, nil, nil, nil, false)
	self.bottomLine:loadTexture("ccs/UiImages/common/commonPanelBg_img_config_line_1.png", 1)
	self.bottomLine:setScale9Enabled(true)
	self.bottomLine:setCapInsets(cc.rect(0, 0, 1, 10))
	addChildForPre(self.containerPanel_2, self.bottomLine)

	self.closeButton = ccui.Button:create()
	self.closeButton:setScale9Enabled(true)
	self.closeButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.closeButton:setContentSize(cc.size(640, 960))
	setValue(self.closeButton, "closeButton", 59, nil, cc.p(320, 480), nil, nil, nil, nil, false)
	self.closeButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.closeButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.closeButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.closeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.closeButton:setTitleText([[]])
	self.closeButton:setTitleColor(cc.c3b(65, 65, 70))
	self.closeButton:setTitleFontSize(14)
	self.closeButton:setTitleFontName(getFont())
	setClickEvent(self, self.closeButton, "closeButton")
	addChildForPre(self.rootPanel_1, self.closeButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(240)
	self.animation:setTimeSpeed(1)
	local timeLine
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateVisibleFrame(0, true, false, nil))
	timeLine:addFrame(CreateVisibleFrame(140, true, true, nil))
	timeLine:setNode(self.dataPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(140, true, 0.0010, 0.0010, nil))
	timeLine:addFrame(CreateScaleFrame(150, true, 1.1000, 1.1000, nil))
	timeLine:addFrame(CreateScaleFrame(155, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.dataPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 476.0000, 109.0400, nil))
	timeLine:addFrame(CreatePositionFrame(40, true, 420.0000, 109.0400, nil))
	timeLine:setNode(self.tankRightPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(0, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(40, true, cc.c3b(255,255,255), 255, nil))
	timeLine:setNode(self.tankRightPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 84.0000, 109.0400, nil))
	timeLine:addFrame(CreatePositionFrame(40, true, 140.0000, 109.0400, nil))
	timeLine:setNode(self.tankRightPanel_Copy)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(0, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(40, true, cc.c3b(255,255,255), 255, nil))
	timeLine:setNode(self.tankRightPanel_Copy)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateVisibleFrame(0, true, true, nil))
	timeLine:addFrame(CreateVisibleFrame(145, true, false, nil))
	timeLine:setNode(self.tankPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateEventFrame(0, true, "", nil))
	timeLine:addFrame(CreateEventFrame(40, true, "bomb", nil))
	timeLine:addFrame(CreateEventFrame(145, true, "bombOver", nil))
	timeLine:addFrame(CreateEventFrame(240, true, "close", nil))
	timeLine:setNode(self.tankPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 300.0000, 0.0000, nil))
	timeLine:addFrame(CreatePositionFrame(120, true, 300.0000, 137.0000, nil))
	timeLine:addFrame(CreatePositionFrame(123, true, 300.0000, 0.0000, nil))
	timeLine:setNode(self.winLose_img_win_2)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateVisibleFrame(0, true, false, nil))
	timeLine:addFrame(CreateVisibleFrame(120, true, true, nil))
	timeLine:setNode(self.winLose_img_win_2)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateEventFrame(123, true, "huoStart", nil))
	timeLine:setNode(self.winLose_img_win_2)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(182, true, 320.0000, 575.9999, nil))
	timeLine:setNode(self.containerPanel)
	return self
end

_M.textures = {
	"ccs/plist/countryBattle.plist",
	"ccs/plist/battle.plist",
	"ccs/languageRes/cn/battle/winLose_img_win_2.png",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
}

return _M
