-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 2, cc.size(207, 95), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.detailsPanel = ccui.Layout:create()
	setValue(self.detailsPanel, "detailsPanel", 94, cc.size(207, 95), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.detailsPanel)
	self.detailsPanel_2 = self.detailsPanel

	self.imgBg = ccui.ImageView:create()
	setValue(self.imgBg, "imgBg", 330, cc.size(207, 95), cc.p(103.5, 47.5), nil, nil, nil, nil, false)
	self.imgBg:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.imgBg:setScale9Enabled(true)
	self.imgBg:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.detailsPanel_2, self.imgBg)

	self.txtEndTime = createLabel({text=[[距离战斗结束 28:06]], font=getFont(), size=16})
	setValue(self.txtEndTime, "txtEndTime", 96, cc.size(140, 18), cc.p(103.5, 90.25), cc.p(0.5, 1), nil, nil, nil, nil)
	self.txtEndTime:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.detailsPanel_2, self.txtEndTime)

	self.txtHarvest = createLabel({text=[[结束前5分钟资源产出*2]], font=getFont(), size=16})
	setValue(self.txtHarvest, "txtHarvest", 97, cc.size(168, 18), cc.p(103.5, 64.961), cc.p(0.5, 1), cc.c4b(255, 0, 0, 255), nil, nil, nil)
	self.txtHarvest:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.txtHarvest:setColor(cc.c4b(255, 0, 0, 255))
	addChildForPre(self.detailsPanel_2, self.txtHarvest)

	self.campPanel = ccui.Layout:create()
	setValue(self.campPanel, "campPanel", 1785, cc.size(186.3, 33.5255), cc.p(103.5, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.detailsPanel_2, self.campPanel)
	self.campPanel_3 = self.campPanel

	self.txtCampTitle = createLabel({text=[[联军]], font=getFont(), size=16,align = 2,valign = 1})
	setValue(self.txtCampTitle, "txtCampTitle", 98, cc.size(32, 18), cc.p(174.9357, 24.7619), cc.p(1, 0.5), nil, nil, nil, nil)
	self.txtCampTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.campPanel_3, self.txtCampTitle)

	self.spCamp = cc.Sprite:create()
	setValue(self.spCamp, "spCamp", 100, cc.size(100, 100), cc.p(105.5203, 22.5258), nil, nil, nil, nil, nil)
	self.spCamp:setScale(0.5)
	self.spCamp:setSpriteFrame("ccs/UiImages/icon/legion_icon_01.png")
	addChildForPre(self.campPanel_3, self.spCamp)

	self.txtCurrentCamp = createLabel({text=[[当前阵营:]], font=getFont(), size=16,valign = 1})
	setValue(self.txtCurrentCamp, "txtCurrentCamp", 99, cc.size(68, 18), cc.p(0, 24.7619), cc.p(0, 0.5), nil, nil, nil, nil)
	self.txtCurrentCamp:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.campPanel_3, self.txtCurrentCamp)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/battle.plist",
	"ccs/plist/icon.plist",
}

return _M
