-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 375, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "AXY_Panel", 2, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Panel)
	self.Panel_2 = self.Panel

	self.headerPreScalePanel = ccui.Layout:create()
	setValue(self.headerPreScalePanel, "TXN_headerPreScalePanel", 86, cc.size(640, 200), cc.p(0, 950.4), cc.p(0, 1), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.headerPreScalePanel)
	self.headerPreScalePanel_3 = self.headerPreScalePanel

	self.mainUiPartTop_user = cc.Sprite:create()
	setValue(self.mainUiPartTop_user, "mainUiPartTop_user", 21, cc.size(640, 111), cc.p(0, 208), cc.p(0, 1), nil, nil, nil, nil)
	self.mainUiPartTop_user:setSpriteFrame("ccs/UiImages/commonBg/countrybattle_1.png")
	addChildForPre(self.headerPreScalePanel_3, self.mainUiPartTop_user)

	self.userHeadSprite = cc.Sprite:create()
	setValue(self.userHeadSprite, "userHeadSprite", 23, cc.size(100, 100), cc.p(48, 156), nil, nil, nil, nil, nil)
	self.userHeadSprite:setScale(0.85)
	self.userHeadSprite:setTexture("ccs/BigImages/userIcon/pic1.webp")
	addChildForPre(self.headerPreScalePanel_3, self.userHeadSprite)

	self.IconLevel = cc.Sprite:create()
	setValue(self.IconLevel, "IconLevel", 22, cc.size(38, 20), cc.p(6.4, 126), cc.p(0, 0.5), nil, nil, nil, nil)
	self.IconLevel:setSpriteFrame("ccs/UiImages/common/common_img_level.png")
	addChildForPre(self.headerPreScalePanel_3, self.IconLevel)

	self.levelLabel = createLabel({text=[[1000]], font=getFont(), size=20,align = 1,valign = 1})
	setValue(self.levelLabel, "levelLabel", 88, cc.size(44, 23), cc.p(6.4, 124), cc.p(0, 0.5), nil, nil, nil, nil)
	self.levelLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.headerPreScalePanel_3, self.levelLabel)

	self.zhandoushuzhi = createLabel({text=[[123456789]], font=getFont(), size=24,align = 1,valign = 1})
	setValue(self.zhandoushuzhi, "zhandoushuzhi", 102, cc.size(120, 28), cc.p(109.56, 134.1507), cc.p(0, 0.5), cc.c4b(255, 0, 0, 255), nil, nil, nil)
	self.zhandoushuzhi:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.zhandoushuzhi:setColor(cc.c4b(255, 0, 0, 255))
	addChildForPre(self.headerPreScalePanel_3, self.zhandoushuzhi)

	self.userDetailButton = ccui.Button:create()
	self.userDetailButton:setScale9Enabled(true)
	self.userDetailButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.userDetailButton:setContentSize(cc.size(90, 90))
	setValue(self.userDetailButton, "userDetailButton", 200, nil, cc.p(51.4062, 157.5222), nil, nil, nil, nil, false)
	self.userDetailButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.userDetailButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.userDetailButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.userDetailButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.userDetailButton:setTitleText([[]])
	self.userDetailButton:setTitleColor(cc.c3b(65, 65, 70))
	self.userDetailButton:setTitleFontSize(14)
	self.userDetailButton:setTitleFontName(getFont())
	setClickEvent(self, self.userDetailButton, "userDetailButton")
	addChildForPre(self.headerPreScalePanel_3, self.userDetailButton)

	self.gemBg = ccui.Layout:create()
	setValue(self.gemBg, "gemBg", 144, cc.size(133, 30), cc.p(390.4, 182), cc.p(0, 0.5), nil, nil, nil, nil)
	addChildForPre(self.headerPreScalePanel_3, self.gemBg)
	self.gemBg_4 = self.gemBg

	self.gemButton = ccui.Button:create()
	setValue(self.gemButton, "gemButton", 52, cc.size(35, 35), cc.p(7.98, 15), nil, nil, nil, nil, nil)
	self.gemButton:setScale(0.9)
	self.gemButton:loadTextureNormal("ccs/UiImages/common/commonIcon_icon_ZuanShi_1.png", 1)
	self.gemButton:loadTexturePressed("ccs/UiImages/common/commonIcon_icon_ZuanShi_1.png", 1)
	self.gemButton:loadTextureDisabled("ccs/UiImages/common/commonIcon_icon_ZuanShi_1.png", 1)
	self.gemButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.gemButton:setTitleText([[]])
	self.gemButton:setTitleColor(cc.c3b(65, 65, 70))
	self.gemButton:setTitleFontSize(14)
	self.gemButton:setTitleFontName(getFont())
	setClickEvent(self, self.gemButton, "gemButton")
	addChildForPre(self.gemBg_4, self.gemButton)

	self.gemLabel = createLabel({text=[[123/123]], font=getFont(), size=22})
	setValue(self.gemLabel, "gemLabel", 94, cc.size(79, 26), cc.p(31.92, 15), cc.p(0, 0.5), nil, nil, nil, nil)
	self.gemLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.gemBg_4, self.gemLabel)

	self.gemBigButton = ccui.Button:create()
	self.gemBigButton:setScale9Enabled(true)
	self.gemBigButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.gemBigButton:setContentSize(cc.size(153, 40))
	setValue(self.gemBigButton, "gemBigButton", 211, nil, cc.p(62.51, 17.055), nil, nil, nil, nil, false)
	self.gemBigButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.gemBigButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.gemBigButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.gemBigButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.gemBigButton:setTitleText([[]])
	self.gemBigButton:setTitleColor(cc.c3b(65, 65, 70))
	self.gemBigButton:setTitleFontSize(14)
	self.gemBigButton:setTitleFontName(getFont())
	setClickEvent(self, self.gemBigButton, "gemBigButton")
	addChildForPre(self.gemBg_4, self.gemBigButton)

	self.goldBg = ccui.Layout:create()
	setValue(self.goldBg, "goldBg", 145, cc.size(133, 30), cc.p(256, 182), cc.p(0, 0.5), nil, nil, nil, nil)
	addChildForPre(self.headerPreScalePanel_3, self.goldBg)
	self.goldBg_4 = self.goldBg

	self.goldButton = ccui.Button:create()
	setValue(self.goldButton, "goldButton", 51, cc.size(35, 35), cc.p(6.65, 15), nil, nil, nil, nil, nil)
	self.goldButton:setScale(0.9)
	self.goldButton:loadTextureNormal("ccs/UiImages/common/commonIcon_icon_Gold_1.png", 1)
	self.goldButton:loadTexturePressed("ccs/UiImages/common/commonIcon_icon_Gold_1.png", 1)
	self.goldButton:loadTextureDisabled("ccs/UiImages/common/commonIcon_icon_Gold_1.png", 1)
	self.goldButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.goldButton:setTitleText([[]])
	self.goldButton:setTitleColor(cc.c3b(65, 65, 70))
	self.goldButton:setTitleFontSize(14)
	self.goldButton:setTitleFontName(getFont())
	setClickEvent(self, self.goldButton, "goldButton")
	addChildForPre(self.goldBg_4, self.goldButton)

	self.middleLabel = createLabel({text=[[123/123]], font=getFont(), size=22})
	setValue(self.middleLabel, "middleLabel", 92, cc.size(79, 26), cc.p(31.92, 15), cc.p(0, 0.5), nil, nil, nil, nil)
	self.middleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.goldBg_4, self.middleLabel)

	self.middleTipButton = ccui.Button:create()
	self.middleTipButton:setScale9Enabled(true)
	self.middleTipButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.middleTipButton:setContentSize(cc.size(153, 40))
	setValue(self.middleTipButton, "middleTipButton", 210, nil, cc.p(62.51, 16.5), nil, nil, nil, nil, false)
	self.middleTipButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.middleTipButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.middleTipButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.middleTipButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.middleTipButton:setTitleText([[]])
	self.middleTipButton:setTitleColor(cc.c3b(65, 65, 70))
	self.middleTipButton:setTitleFontSize(14)
	self.middleTipButton:setTitleFontName(getFont())
	setClickEvent(self, self.middleTipButton, "middleTipButton")
	addChildForPre(self.goldBg_4, self.middleTipButton)

	self.oilBg = ccui.Layout:create()
	setValue(self.oilBg, "oilBg", 146, cc.size(133, 30), cc.p(108.8, 182), cc.p(0, 0.5), nil, nil, nil, nil)
	addChildForPre(self.headerPreScalePanel_3, self.oilBg)
	self.oilBg_4 = self.oilBg

	self.oilSpr = cc.Sprite:create()
	setValue(self.oilSpr, "oilSpr", 84, cc.size(100, 100), cc.p(6.65, 15), nil, nil, nil, nil, nil)
	self.oilSpr:setScale(0.27)
	self.oilSpr:setSpriteFrame("ccs/UiImages/icon/item_1231.png")
	addChildForPre(self.oilBg_4, self.oilSpr)

	self.leftLabel = createLabel({text=[[123/123]], font=getFont(), size=22})
	setValue(self.leftLabel, "leftLabel", 97, cc.size(79, 26), cc.p(26.6, 15), cc.p(0, 0.5), nil, nil, nil, nil)
	self.leftLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.oilBg_4, self.leftLabel)

	self.leftTipButton = ccui.Button:create()
	self.leftTipButton:setScale9Enabled(true)
	self.leftTipButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.leftTipButton:setContentSize(cc.size(150, 45))
	setValue(self.leftTipButton, "leftTipButton", 454, nil, cc.p(62.51, 16.5), nil, nil, nil, nil, false)
	self.leftTipButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.leftTipButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.leftTipButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.leftTipButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.leftTipButton:setTitleText([[]])
	self.leftTipButton:setTitleColor(cc.c3b(65, 65, 70))
	self.leftTipButton:setTitleFontSize(14)
	self.leftTipButton:setTitleFontName(getFont())
	setClickEvent(self, self.leftTipButton, "leftTipButton")
	addChildForPre(self.oilBg_4, self.leftTipButton)

	self.leftButton = ccui.Button:create()
	self.leftButton:setScale9Enabled(true)
	self.leftButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.leftButton:setContentSize(cc.size(150, 40))
	setValue(self.leftButton, "leftButton", 50, nil, cc.p(59.85, 18), nil, nil, nil, nil, false)
	self.leftButton:setScale(0.9)
	self.leftButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.leftButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.leftButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.leftButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.leftButton:setTitleText([[]])
	self.leftButton:setTitleColor(cc.c3b(65, 65, 70))
	self.leftButton:setTitleFontSize(14)
	self.leftButton:setTitleFontName(getFont())
	setClickEvent(self, self.leftButton, "leftButton")
	addChildForPre(self.oilBg_4, self.leftButton)

	self.closeShowButton = ccui.Button:create()
	setValue(self.closeShowButton, "closeShowButton", 115, cc.size(80, 60), cc.p(640, 200), cc.p(1, 1), nil, nil, nil, nil)
	self.closeShowButton:loadTextureNormal("ccs/UiImages/image9/common_btn_close_0.png", 1)
	self.closeShowButton:loadTexturePressed("ccs/UiImages/image9/common_btn_close_1.png", 1)
	self.closeShowButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_close_0.png", 1)
	self.closeShowButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.closeShowButton:setTitleText([[]])
	self.closeShowButton:setTitleColor(cc.c3b(65, 65, 70))
	self.closeShowButton:setTitleFontSize(14)
	self.closeShowButton:setTitleFontName(getFont())
	setClickEvent(self, self.closeShowButton, "closeShowButton")
	addChildForPre(self.headerPreScalePanel_3, self.closeShowButton)

	self.detailsPanel = ccui.Layout:create()
	setValue(self.detailsPanel, "LTN_detailsPanel", 94, cc.size(195, 95), cc.p(0, 844.8), cc.p(0, 1), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.detailsPanel)
	self.detailsPanel_3 = self.detailsPanel

	if CountryBattleCountdownUi then 
 		self.countryBattleCountdownUi = CountryBattleCountdownUi.new() 
 	else 
		self.countryBattleCountdownUi = BaseUi.new("ccs/ui/countryBattle/CountryBattleCountdownUi.lua")
 	end 
	setValue(self.countryBattleCountdownUi, "countryBattleCountdownUi", 405, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.detailsPanel_3, self.countryBattleCountdownUi)

	self.countryBattleTroopNode = cc.Node:create()
	setValue(self.countryBattleTroopNode, "LTN_countryBattleTroopNode", 1837, nil, cc.p(3.2095, 711.4133), nil, nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.countryBattleTroopNode)

	self.countryBattleTroopNodeForServer = cc.Node:create()
	setValue(self.countryBattleTroopNodeForServer, "LTN_countryBattleTroopNodeForServer", 942, nil, cc.p(0, 604.8), nil, nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.countryBattleTroopNodeForServer)

	self.autoChangePanel = ccui.Layout:create()
	setValue(self.autoChangePanel, "autoChangePanel", 89, cc.size(100, 125), cc.p(640, 830.4), cc.p(1.1, 1), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.autoChangePanel)

	self.showPanel = ccui.Layout:create()
	setValue(self.showPanel, "showPanel", 216, cc.size(100, 100), cc.p(640, 144), cc.p(1, 0), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.showPanel)

	self.chatPreScalePanel = ccui.Layout:create()
	setValue(self.chatPreScalePanel, "BLN_chatPreScalePanel", 195, cc.size(360, 68), cc.p(44.8, 115.2), nil, nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.chatPreScalePanel)

	self.rightBottomPanel = ccui.Layout:create()
	setValue(self.rightBottomPanel, "RBN_rightBottomPanel", 215, cc.size(640, 110), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.rightBottomPanel)
	self.rightBottomPanel_3 = self.rightBottomPanel

	self.Image = ccui.ImageView:create()
	setValue(self.Image, "Image", 902, cc.size(640, 73), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	self.Image:loadTexture("ccs/UiImages/commonBg/countrybattle_3.jpg", 1)
	addChildForPre(self.rightBottomPanel_3, self.Image)

	self.battleLogButton = ccui.Button:create()
	setValue(self.battleLogButton, "battleLogButton", 217, cc.size(100, 100), cc.p(499.2, 62.997), nil, nil, nil, nil, nil)
	self.battleLogButton:loadTextureNormal("ccs/UiImages/countryBattle/countrybattle_zhanbao_1.png", 1)
	self.battleLogButton:loadTexturePressed("ccs/UiImages/countryBattle/countrybattle_zhanbao_1.png", 1)
	self.battleLogButton:loadTextureDisabled("ccs/UiImages/countryBattle/countrybattle_zhanbao_1.png", 1)
	self.battleLogButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.battleLogButton:setTitleText([[]])
	self.battleLogButton:setTitleColor(cc.c3b(65, 65, 70))
	self.battleLogButton:setTitleFontSize(14)
	self.battleLogButton:setTitleFontName(getFont())
	setClickEvent(self, self.battleLogButton, "battleLogButton")
	addChildForPre(self.rightBottomPanel_3, self.battleLogButton)
	self.battleLogButton_4 = self.battleLogButton

	self.battleLogLabelBg = cc.Sprite:create()
	setValue(self.battleLogLabelBg, "battleLogLabelBg", 413, cc.size(74, 28), cc.p(50, 6), nil, nil, nil, nil, nil)
	self.battleLogLabelBg:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainui_bg.png")
	addChildForPre(self.battleLogButton_4, self.battleLogLabelBg)

	self.battleLogLabel = createLabel({text=[[battleLogLabel]], font=getFont(), size=25})
	setValue(self.battleLogLabel, "battleLogLabel", 62, cc.size(164, 29), cc.p(50, 6), nil, nil, nil, nil, nil)
	self.battleLogLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.battleLogButton_4, self.battleLogLabel)

	self.REDPOINT_COUNTRYBATTLE_BATTLELOG = cc.Sprite:create()
	setValue(self.REDPOINT_COUNTRYBATTLE_BATTLELOG, "REDPOINT_COUNTRYBATTLE_BATTLELOG", 251, cc.size(25, 25), cc.p(80, 80), nil, nil, nil, nil, nil)
	self.REDPOINT_COUNTRYBATTLE_BATTLELOG:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.battleLogButton_4, self.REDPOINT_COUNTRYBATTLE_BATTLELOG)

	self.explainButton = ccui.Button:create()
	setValue(self.explainButton, "explainButton", 218, cc.size(100, 100), cc.p(249.6, 62.997), nil, nil, nil, nil, nil)
	self.explainButton:loadTextureNormal("ccs/UiImages/countryBattle/countrybattle_shuoming_1.png", 1)
	self.explainButton:loadTexturePressed("ccs/UiImages/countryBattle/countrybattle_shuoming_1.png", 1)
	self.explainButton:loadTextureDisabled("ccs/UiImages/countryBattle/countrybattle_shuoming_1.png", 1)
	self.explainButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.explainButton:setTitleText([[]])
	self.explainButton:setTitleColor(cc.c3b(65, 65, 70))
	self.explainButton:setTitleFontSize(14)
	self.explainButton:setTitleFontName(getFont())
	setClickEvent(self, self.explainButton, "explainButton")
	addChildForPre(self.rightBottomPanel_3, self.explainButton)
	self.explainButton_4 = self.explainButton

	self.explainLabelBg = cc.Sprite:create()
	setValue(self.explainLabelBg, "explainLabelBg", 412, cc.size(74, 28), cc.p(50, 6), nil, nil, nil, nil, nil)
	self.explainLabelBg:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainui_bg.png")
	addChildForPre(self.explainButton_4, self.explainLabelBg)

	self.explainLabel = createLabel({text=[[explainLabel]], font=getFont(), size=25})
	setValue(self.explainLabel, "explainLabel", 63, cc.size(140, 29), cc.p(50, 6), nil, nil, nil, nil, nil)
	self.explainLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.explainButton_4, self.explainLabel)

	self.jumpEventButton = ccui.Button:create()
	setValue(self.jumpEventButton, "jumpEventButton", 219, cc.size(56, 41), cc.p(-382.4, 228.998), nil, nil, nil, nil, nil)
	self.jumpEventButton:loadTextureNormal("ccs/UiImages/image9/CommonPanel_btn_LittleBlue_0.png", 1)
	self.jumpEventButton:loadTexturePressed("ccs/UiImages/image9/CommonPanel_btn_LittleBlue_0.png", 1)
	self.jumpEventButton:loadTextureDisabled("ccs/UiImages/image9/CommonPanel_btn_LittleBlue_0.png", 1)
	self.jumpEventButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.jumpEventButton:setTitleText([[]])
	self.jumpEventButton:setTitleColor(cc.c3b(65, 65, 70))
	self.jumpEventButton:setTitleFontSize(14)
	self.jumpEventButton:setTitleFontName(getFont())
	setClickEvent(self, self.jumpEventButton, "jumpEventButton")
	addChildForPre(self.rightBottomPanel_3, self.jumpEventButton)
	self.jumpEventButton_4 = self.jumpEventButton

	self.jumpEventLabelBg = cc.Sprite:create()
	setValue(self.jumpEventLabelBg, "jumpEventLabelBg", 411, cc.size(74, 28), cc.p(28, 2.46), nil, nil, nil, nil, nil)
	self.jumpEventLabelBg:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainui_bg.png")
	addChildForPre(self.jumpEventButton_4, self.jumpEventLabelBg)

	self.jumpEventLabel = createLabel({text=[[jumpEventLabel]], font=getFont(), size=25})
	setValue(self.jumpEventLabel, "jumpEventLabel", 64, cc.size(179, 29), cc.p(28, 2.46), nil, nil, nil, nil, nil)
	self.jumpEventLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.jumpEventButton_4, self.jumpEventLabel)

	self.REDPOINT_COUNTRYBATTLE_EVENT = cc.Sprite:create()
	setValue(self.REDPOINT_COUNTRYBATTLE_EVENT, "REDPOINT_COUNTRYBATTLE_EVENT", 252, cc.size(25, 25), cc.p(44.8, 32.8), nil, nil, nil, nil, nil)
	self.REDPOINT_COUNTRYBATTLE_EVENT:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.jumpEventButton_4, self.REDPOINT_COUNTRYBATTLE_EVENT)

	self.militaryExploitButton = ccui.Button:create()
	setValue(self.militaryExploitButton, "militaryExploitButton", 220, cc.size(56, 41), cc.p(-383.232, 159.214), nil, nil, nil, nil, nil)
	self.militaryExploitButton:loadTextureNormal("ccs/UiImages/image9/CommonPanel_btn_LittleBlue_0.png", 1)
	self.militaryExploitButton:loadTexturePressed("ccs/UiImages/image9/CommonPanel_btn_LittleBlue_0.png", 1)
	self.militaryExploitButton:loadTextureDisabled("ccs/UiImages/image9/CommonPanel_btn_LittleBlue_0.png", 1)
	self.militaryExploitButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.militaryExploitButton:setTitleText([[]])
	self.militaryExploitButton:setTitleColor(cc.c3b(65, 65, 70))
	self.militaryExploitButton:setTitleFontSize(14)
	self.militaryExploitButton:setTitleFontName(getFont())
	setClickEvent(self, self.militaryExploitButton, "militaryExploitButton")
	addChildForPre(self.rightBottomPanel_3, self.militaryExploitButton)
	self.militaryExploitButton_4 = self.militaryExploitButton

	self.militaryExploitLabelBg = cc.Sprite:create()
	setValue(self.militaryExploitLabelBg, "militaryExploitLabelBg", 410, cc.size(74, 28), cc.p(28, 2.46), nil, nil, nil, nil, nil)
	self.militaryExploitLabelBg:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainui_bg.png")
	addChildForPre(self.militaryExploitButton_4, self.militaryExploitLabelBg)

	self.militaryExploitLabel = createLabel({text=[[militaryExploitLabel]], font=getFont(), size=25})
	setValue(self.militaryExploitLabel, "militaryExploitLabel", 65, cc.size(215, 29), cc.p(28, 2.46), nil, nil, nil, nil, nil)
	self.militaryExploitLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.militaryExploitButton_4, self.militaryExploitLabel)

	self.militaryExploitRed = cc.Sprite:create()
	setValue(self.militaryExploitRed, "militaryExploitRed", 196, cc.size(25, 25), cc.p(43.68, 33.62), nil, nil, nil, nil, nil)
	self.militaryExploitRed:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.militaryExploitButton_4, self.militaryExploitRed)

	self.battleButton = ccui.Button:create()
	setValue(self.battleButton, "battleButton", 221, cc.size(100, 100), cc.p(371.2, 62.997), nil, nil, nil, nil, nil)
	self.battleButton:loadTextureNormal("ccs/UiImages/countryBattle/countrybattle_zhenyingzhengba_1.png", 1)
	self.battleButton:loadTexturePressed("ccs/UiImages/countryBattle/countrybattle_zhenyingzhengba_1.png", 1)
	self.battleButton:loadTextureDisabled("ccs/UiImages/countryBattle/countrybattle_zhenyingzhengba_1.png", 1)
	self.battleButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.battleButton:setTitleText([[]])
	self.battleButton:setTitleColor(cc.c3b(65, 65, 70))
	self.battleButton:setTitleFontSize(14)
	self.battleButton:setTitleFontName(getFont())
	setClickEvent(self, self.battleButton, "battleButton")
	addChildForPre(self.rightBottomPanel_3, self.battleButton)
	self.battleButton_4 = self.battleButton

	self.battleLabelBg = cc.Sprite:create()
	setValue(self.battleLabelBg, "battleLabelBg", 409, cc.size(74, 28), cc.p(50, 6), nil, nil, nil, nil, nil)
	self.battleLabelBg:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainui_bg.png")
	addChildForPre(self.battleButton_4, self.battleLabelBg)

	self.battleLabel = createLabel({text=[[battleLabel]], font=getFont(), size=25})
	setValue(self.battleLabel, "battleLabel", 66, cc.size(122, 29), cc.p(50, 6), nil, nil, nil, nil, nil)
	self.battleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.battleButton_4, self.battleLabel)

	self.serverBattleButton = ccui.Button:create()
	setValue(self.serverBattleButton, "serverBattleButton", 943, cc.size(100, 100), cc.p(371.2, 62.997), nil, nil, nil, nil, nil)
	self.serverBattleButton:loadTextureNormal("ccs/UiImages/countryBattle/countrybattle_zhenyingzhengba_1.png", 1)
	self.serverBattleButton:loadTexturePressed("ccs/UiImages/countryBattle/countrybattle_zhenyingzhengba_1.png", 1)
	self.serverBattleButton:loadTextureDisabled("ccs/UiImages/countryBattle/countrybattle_zhenyingzhengba_1.png", 1)
	self.serverBattleButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.serverBattleButton:setTitleText([[]])
	self.serverBattleButton:setTitleColor(cc.c3b(65, 65, 70))
	self.serverBattleButton:setTitleFontSize(14)
	self.serverBattleButton:setTitleFontName(getFont())
	setClickEvent(self, self.serverBattleButton, "serverBattleButton")
	addChildForPre(self.rightBottomPanel_3, self.serverBattleButton)
	self.serverBattleButton_4 = self.serverBattleButton

	self.serverBattleLabelBg = cc.Sprite:create()
	setValue(self.serverBattleLabelBg, "serverBattleLabelBg", 944, cc.size(74, 28), cc.p(50, 6), nil, nil, nil, nil, nil)
	self.serverBattleLabelBg:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainui_bg.png")
	addChildForPre(self.serverBattleButton_4, self.serverBattleLabelBg)

	self.serverBattleLabel = createLabel({text=[[battleLabel]], font=getFont(), size=25})
	setValue(self.serverBattleLabel, "serverBattleLabel", 945, cc.size(122, 29), cc.p(50, 6), nil, nil, nil, nil, nil)
	self.serverBattleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.serverBattleButton_4, self.serverBattleLabel)

	self.rankingButton = ccui.Button:create()
	setValue(self.rankingButton, "rankingButton", 222, cc.size(100, 100), cc.p(134.4, 62.997), nil, nil, nil, nil, nil)
	self.rankingButton:loadTextureNormal("ccs/UiImages/countryBattle/countrybattle_paihangbang_1.png", 1)
	self.rankingButton:loadTexturePressed("ccs/UiImages/countryBattle/countrybattle_paihangbang_1.png", 1)
	self.rankingButton:loadTextureDisabled("ccs/UiImages/countryBattle/countrybattle_paihangbang_1.png", 1)
	self.rankingButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.rankingButton:setTitleText([[]])
	self.rankingButton:setTitleColor(cc.c3b(65, 65, 70))
	self.rankingButton:setTitleFontSize(14)
	self.rankingButton:setTitleFontName(getFont())
	setClickEvent(self, self.rankingButton, "rankingButton")
	addChildForPre(self.rightBottomPanel_3, self.rankingButton)
	self.rankingButton_4 = self.rankingButton

	self.rankingLabelBg = cc.Sprite:create()
	setValue(self.rankingLabelBg, "rankingLabelBg", 408, cc.size(74, 28), cc.p(50, 6), nil, nil, nil, nil, nil)
	self.rankingLabelBg:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainui_bg.png")
	addChildForPre(self.rankingButton_4, self.rankingLabelBg)

	self.rankingLabel = createLabel({text=[[rankingLabel]], font=getFont(), size=25})
	setValue(self.rankingLabel, "rankingLabel", 67, cc.size(143, 29), cc.p(50, 6), nil, nil, nil, nil, nil)
	self.rankingLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rankingButton_4, self.rankingLabel)

	self.infoPanel = ccui.Layout:create()
	setValue(self.infoPanel, "RTN_infoPanel", 2221, cc.size(100, 100), cc.p(587.8802, 743.7823), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.infoPanel)
	self.infoPanel_3 = self.infoPanel

	self.infoButton = ccui.Button:create()
	setValue(self.infoButton, "infoButton", 2220, cc.size(100, 100), cc.p(50, 50), nil, nil, nil, nil, nil)
	self.infoButton:loadTextureNormal("ccs/UiImages/countryBattle/countrybattle_huoxongxinxi_1.png", 1)
	self.infoButton:loadTexturePressed("ccs/UiImages/countryBattle/countrybattle_huoxongxinxi_1.png", 1)
	self.infoButton:loadTextureDisabled("ccs/UiImages/countryBattle/countrybattle_huoxongxinxi_1.png", 1)
	self.infoButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.infoButton:setTitleText([[]])
	self.infoButton:setTitleColor(cc.c3b(65, 65, 70))
	self.infoButton:setTitleFontSize(14)
	self.infoButton:setTitleFontName(getFont())
	setClickEvent(self, self.infoButton, "infoButton")
	addChildForPre(self.infoPanel_3, self.infoButton)

	self.infoLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.infoLabel, "infoLabel", 2222, cc.size(91, 23), cc.p(49.2231, 26.6631), nil, nil, nil, nil, nil)
	self.infoLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.infoPanel_3, self.infoLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/BigImages/userIcon/pic1.png",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/icon.plist",
	"ccs/plist/countryBattle.plist",
	"ccs/plist/mainUiFeeling.plist",
}

return _M
