-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 49, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 50, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "dialogPanel", 51, cc.size(250, 250), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.bgSprite = cc.Sprite:create()
	setValue(self.bgSprite, "bgSprite", 165, cc.size(262, 262), cc.p(125, 125), nil, nil, nil, nil, nil)
	self.bgSprite:setSpriteFrame("ccs/UiImages/countryBattle/countrybattle_img_yuan.png")
	addChildForPre(self.dialogPanel_2, self.bgSprite)

	self.spyButton = ccui.Button:create()
	setValue(self.spyButton, "spyButton", 52, cc.size(80, 80), cc.p(125, 250), nil, nil, nil, nil, nil)
	self.spyButton:loadTextureNormal("ccs/UiImages/countryBattle/countrybattle_btn_zhencha.png", 1)
	self.spyButton:loadTexturePressed("ccs/UiImages/countryBattle/countrybattle_btn_zhencha.png", 1)
	self.spyButton:loadTextureDisabled("ccs/UiImages/countryBattle/countrybattle_btn_zhencha.png", 1)
	self.spyButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.spyButton:setTitleText([[]])
	self.spyButton:setTitleColor(cc.c3b(65, 65, 70))
	self.spyButton:setTitleFontSize(14)
	self.spyButton:setTitleFontName(getFont())
	setClickEvent(self, self.spyButton, "spyButton")
	addChildForPre(self.dialogPanel_2, self.spyButton)
	self.spyButton_3 = self.spyButton

	self.spyLabel = createLabel({text=[[spy]], font=getFont(), size=20})
	setValue(self.spyLabel, "spyLabel", 16, cc.size(31, 23), cc.p(40, 0), nil, nil, nil, nil, nil)
	self.spyLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.spyButton_3, self.spyLabel)

	self.goButtonBottomNode = cc.Node:create()
	setValue(self.goButtonBottomNode, "goButtonBottomNode", 20, nil, cc.p(125, 0), nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.goButtonBottomNode)

	self.goButton = ccui.Button:create()
	setValue(self.goButton, "goButton", 53, cc.size(80, 80), cc.p(235, 62.5), nil, nil, nil, nil, nil)
	self.goButton:loadTextureNormal("ccs/UiImages/countryBattle/countrybattle_btn_yidong.png", 1)
	self.goButton:loadTexturePressed("ccs/UiImages/countryBattle/countrybattle_btn_yidong.png", 1)
	self.goButton:loadTextureDisabled("ccs/UiImages/countryBattle/countrybattle_btn_yidong.png", 1)
	self.goButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.goButton:setTitleText([[]])
	self.goButton:setTitleColor(cc.c3b(65, 65, 70))
	self.goButton:setTitleFontSize(14)
	self.goButton:setTitleFontName(getFont())
	setClickEvent(self, self.goButton, "goButton")
	addChildForPre(self.dialogPanel_2, self.goButton)
	self.goButton_3 = self.goButton

	self.goLabel = createLabel({text=[[move]], font=getFont(), size=20})
	setValue(self.goLabel, "goLabel", 17, cc.size(48, 23), cc.p(40, 0), nil, nil, nil, nil, nil)
	self.goLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.goButton_3, self.goLabel)

	self.eventButton = ccui.Button:create()
	setValue(self.eventButton, "eventButton", 54, cc.size(80, 80), cc.p(15, 62.5), nil, nil, nil, nil, nil)
	self.eventButton:loadTextureNormal("ccs/UiImages/countryBattle/countrybattle_btn_jiangli.png", 1)
	self.eventButton:loadTexturePressed("ccs/UiImages/countryBattle/countrybattle_btn_jiangli.png", 1)
	self.eventButton:loadTextureDisabled("ccs/UiImages/countryBattle/countrybattle_btn_jiangli.png", 1)
	self.eventButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.eventButton:setTitleText([[]])
	self.eventButton:setTitleColor(cc.c3b(65, 65, 70))
	self.eventButton:setTitleFontSize(14)
	self.eventButton:setTitleFontName(getFont())
	setClickEvent(self, self.eventButton, "eventButton")
	addChildForPre(self.dialogPanel_2, self.eventButton)
	self.eventButton_3 = self.eventButton

	self.eventLabel = createLabel({text=[[reward]], font=getFont(), size=20})
	setValue(self.eventLabel, "eventLabel", 18, cc.size(61, 23), cc.p(40, 0), nil, nil, nil, nil, nil)
	self.eventLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.eventButton_3, self.eventLabel)

	self.numLabel = createLabel({text=[[]], font=getFont(), size=24})
	setValue(self.numLabel, "numLabel", 9, nil, cc.p(15, 101.93), nil, nil, nil, nil, nil)
	self.numLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.numLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/countryBattle.plist",
}

return _M
