-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 173, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 174, cc.size(100, 100), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.uiButton = ccui.Button:create()
	self.uiButton:setScale9Enabled(true)
	self.uiButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.uiButton:setContentSize(cc.size(100, 100))
	setValue(self.uiButton, "uiButton", 163, nil, cc.p(50, 50), nil, nil, nil, nil, false)
	self.uiButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.uiButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.uiButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.uiButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.uiButton:setTitleText([[]])
	self.uiButton:setTitleColor(cc.c3b(65, 65, 70))
	self.uiButton:setTitleFontSize(14)
	self.uiButton:setTitleFontName(getFont())
	setClickEvent(self, self.uiButton, "uiButton")
	addChildForPre(self.rootPanel_1, self.uiButton)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "dialogPanel", 280, cc.size(100, 100), cc.p(50, 50), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.iconBgImage = ccui.ImageView:create()
	setValue(self.iconBgImage, "iconBgImage", 7, cc.size(46, 46), cc.p(50, 50), nil, nil, nil, nil, nil)
	self.iconBgImage:loadTexture("Default/ImageFile.png")
	addChildForPre(self.dialogPanel_2, self.iconBgImage)

	self.iconSprite = cc.Sprite:create()
	setValue(self.iconSprite, "iconSprite", 5, cc.size(74, 74), cc.p(50, 50), nil, nil, nil, nil, nil)
	self.iconSprite:setSpriteFrame("ccs/UiImages/crewSkillIcon/crewSkillIcon_s1.png")
	addChildForPre(self.dialogPanel_2, self.iconSprite)

	self.lockSprite = cc.Sprite:create()
	setValue(self.lockSprite, "lockSprite", 6, cc.size(102, 100), cc.p(50, 46), nil, nil, nil, nil, nil)
	self.lockSprite:setScale(0.8)
	self.lockSprite:setSpriteFrame("ccs/UiImages/commonB/UserLock.png")
	addChildForPre(self.dialogPanel_2, self.lockSprite)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/common.plist",
	"Default/ImageFile.png",
	"ccs/plist/crewSkillIcon.plist",
}

return _M
