-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 850, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 875, cc.size(745, 505), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CrewAttributeUi then 
 		self.crewAttributeUi = CrewAttributeUi.new() 
 	else 
		self.crewAttributeUi = BaseUi.new("ccs/ui/crew/CrewAttributeUi.lua")
 	end 
	setValue(self.crewAttributeUi, "crewAttributeUi", 50, nil, cc.p(0, 70), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.crewAttributeUi)

	self.battleButton = ccui.Button:create()
	setValue(self.battleButton, "battleButton", 80, cc.size(150, 62), cc.p(186.25, 30), nil, nil, nil, nil, false)
	self.battleButton:loadTextureNormal("ccs/UiImages/image9/CommonBtnYellow.png", 1)
	self.battleButton:loadTexturePressed("ccs/UiImages/image9/CommonBtnYellowHover.png", 1)
	self.battleButton:loadTextureDisabled("ccs/UiImages/image9/CommonBtnDisable.png", 1)
	self.battleButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.battleButton:setTitleText([[battleButton]])
	self.battleButton:setTitleFontSize(25)
	self.battleButton:setTitleFontName(getFont())
	setClickEvent(self, self.battleButton, "battleButton")
	addChildForPre(self.rootPanel_1, self.battleButton)

	self.recruitButton = ccui.Button:create()
	setValue(self.recruitButton, "recruitButton", 81, cc.size(150, 62), cc.p(558.75, 30), nil, nil, nil, nil, false)
	self.recruitButton:loadTextureNormal("ccs/UiImages/image9/CommonBtnRed.png", 1)
	self.recruitButton:loadTexturePressed("ccs/UiImages/image9/CommonBtnRedHover.png", 1)
	self.recruitButton:loadTextureDisabled("ccs/UiImages/image9/CommonBtnDisable.png", 1)
	self.recruitButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.recruitButton:setTitleText([[recruitButton]])
	self.recruitButton:setTitleFontSize(25)
	self.recruitButton:setTitleFontName(getFont())
	setClickEvent(self, self.recruitButton, "recruitButton")
	addChildForPre(self.rootPanel_1, self.recruitButton)

	self.lineSpr = cc.Sprite:create()
	setValue(self.lineSpr, "lineSpr", 330, cc.size(996, 9), cc.p(-2.5, 67.0135), cc.p(0, 0.5), nil, nil, nil, nil)
	self.lineSpr:setScaleX(0.755)
	self.lineSpr:setScaleY(1)
	self.lineSpr:setSpriteFrame("ccs/UiImages/common/Beam.png")
	addChildForPre(self.rootPanel_1, self.lineSpr)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/common.plist",
}

return _M
