-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 851, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 874, cc.size(720, 500), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.backGroundImage = ccui.ImageView:create()
	setValue(self.backGroundImage, "backGroundImage", 58, cc.size(745, 500), cc.p(374.4, 250), nil, nil, nil, nil, false)
	self.backGroundImage:setVisible(false)
	self.backGroundImage:loadTexture("ccs/UiImages/crew/EMUContentFrame.png", 1)
	self.backGroundImage:setScale9Enabled(true)
	self.backGroundImage:setCapInsets(cc.rect(20, 20, 40, 40))
	addChildForPre(self.rootPanel_1, self.backGroundImage)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "dialogPanel", 43, cc.size(720, 500), cc.p(360, 250), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)

	self.itemPanel = ccui.Layout:create()
	setValue(self.itemPanel, "itemPanel", 90, cc.size(150, 26), cc.p(619.2, 500), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.itemPanel)
	self.itemPanel_2 = self.itemPanel

	self.itemSprite = cc.Sprite:create()
	setValue(self.itemSprite, "itemSprite", 79, cc.size(150, 149), cc.p(7.5, 26), nil, nil, nil, nil, nil)
	self.itemSprite:setScale(0.35)
	self.itemSprite:setSpriteFrame("ccs/UiImages/icon/item_1233.png")
	addChildForPre(self.itemPanel_2, self.itemSprite)

	self.itemLabel = createLabel({text=[[itemLabel]], font=getFont(), size=23})
	setValue(self.itemLabel, "itemLabel", 89, cc.size(99, 27), cc.p(39, 26), cc.p(0, 0.5), nil, nil, nil, nil)
	self.itemLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.itemPanel_2, self.itemLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/crew.plist",
	"ccs/plist/icon.plist",
}

return _M
