-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 3, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 4, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 59, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.loginPanel = ccui.Layout:create()
	setValue(self.loginPanel, "WTX_loginPanel", 114, cc.size(640, 300), cc.p(320, 679.008), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.loginPanel)
	self.loginPanel_3 = self.loginPanel

	self.serverLabel = createLabel({text=[[serverId:]], font=getFont(), size=24})
	setValue(self.serverLabel, "serverLabel", 37, cc.size(93, 28), cc.p(54, 252), cc.p(0, 0.5), nil, nil, nil, nil)
	self.serverLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.loginPanel_3, self.serverLabel)

	self.uidLabel = createLabel({text=[[uId:]], font=getFont(), size=24})
	setValue(self.uidLabel, "uidLabel", 38, cc.size(40, 28), cc.p(54, 190.1973), cc.p(0, 0.5), nil, nil, nil, nil)
	self.uidLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.loginPanel_3, self.uidLabel)

	self.loginButton = ccui.Button:create()
	setValue(self.loginButton, "loginButton", 115, cc.size(153, 64), cc.p(314.1998, 42.9509), nil, nil, nil, nil, false)
	self.loginButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.loginButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.loginButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.loginButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.loginButton:setTitleText([[login]])
	self.loginButton:setTitleFontSize(30)
	self.loginButton:setTitleFontName(getFont())
	setClickEvent(self, self.loginButton, "loginButton")
	addChildForPre(self.loginPanel_3, self.loginButton)

	self.zoneIdPanel = ccui.Layout:create()
	setValue(self.zoneIdPanel, "zoneIdPanel", 119, cc.size(200, 50), cc.p(185.314, 252), cc.p(0, 0.5), nil, nil, nil, nil)
	setBgColor(self.zoneIdPanel, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.loginPanel_3, self.zoneIdPanel)

	self.uidPanel = ccui.Layout:create()
	setValue(self.uidPanel, "uidPanel", 116, cc.size(300, 50), cc.p(185.314, 190.2), cc.p(0, 0.5), nil, nil, nil, nil)
	setBgColor(self.uidPanel, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.loginPanel_3, self.uidPanel)

	self.uidToOutIdButton = ccui.Button:create()
	setValue(self.uidToOutIdButton, "uidToOutIdButton", 117, cc.size(98, 51), cc.p(103, 125), nil, nil, nil, nil, false)
	self.uidToOutIdButton:loadTextureNormal("ccs/UiImages/image9/CommonPanel_btn_smallblue_0.png", 1)
	self.uidToOutIdButton:loadTexturePressed("ccs/UiImages/image9/CommonPanel_btn_smallblue_1.png", 1)
	self.uidToOutIdButton:loadTextureDisabled("ccs/UiImages/image9/CommonPanel_btn_small_2.png", 1)
	self.uidToOutIdButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.uidToOutIdButton:setTitleText([[>>]])
	self.uidToOutIdButton:setTitleFontSize(24)
	self.uidToOutIdButton:setTitleFontName(getFont())
	setClickEvent(self, self.uidToOutIdButton, "uidToOutIdButton")
	addChildForPre(self.loginPanel_3, self.uidToOutIdButton)

	self.outIdPanel = ccui.Layout:create()
	setValue(self.outIdPanel, "outIdPanel", 118, cc.size(300, 50), cc.p(185.314, 125), cc.p(0, 0.5), nil, nil, nil, nil)
	setBgColor(self.outIdPanel, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.loginPanel_3, self.outIdPanel)

	self.buttonPanel = ccui.Layout:create()
	setValue(self.buttonPanel, "WXY_buttonPanel", 39, cc.size(640, 500), cc.p(320, 286), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.buttonPanel)
	self.buttonPanel_3 = self.buttonPanel

	self.deleteUpdateButton = ccui.Button:create()
	self.deleteUpdateButton:setScale9Enabled(true)
	self.deleteUpdateButton:setCapInsets(cc.rect(0, 0, 153, 64))
	self.deleteUpdateButton:setContentSize(cc.size(200, 65))
	setValue(self.deleteUpdateButton, "deleteUpdateButton", 61, nil, cc.p(180.032, 397), nil, nil, nil, nil, false)
	self.deleteUpdateButton:loadTextureNormal("ccs/UiImages/image9/common_btn_yellow_0.png", 1)
	self.deleteUpdateButton:loadTexturePressed("ccs/UiImages/image9/common_btn_yellow_1.png", 1)
	self.deleteUpdateButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.deleteUpdateButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.deleteUpdateButton:setTitleText([[deleteUpdate]])
	self.deleteUpdateButton:setTitleFontSize(24)
	self.deleteUpdateButton:setTitleFontName(getFont())
	setClickEvent(self, self.deleteUpdateButton, "deleteUpdateButton")
	addChildForPre(self.buttonPanel_3, self.deleteUpdateButton)

	self.errorTipsButton = ccui.Button:create()
	self.errorTipsButton:setScale9Enabled(true)
	self.errorTipsButton:setCapInsets(cc.rect(0, 0, 153, 64))
	self.errorTipsButton:setContentSize(cc.size(200, 65))
	setValue(self.errorTipsButton, "errorTipsButton", 54, nil, cc.p(180.032, 286.1), nil, nil, nil, nil, false)
	self.errorTipsButton:loadTextureNormal("ccs/UiImages/image9/common_btn_yellow_0.png", 1)
	self.errorTipsButton:loadTexturePressed("Default/Button_Press.png", 0)
	self.errorTipsButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.errorTipsButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.errorTipsButton:setTitleText([[errorTipsButton]])
	self.errorTipsButton:setTitleFontSize(24)
	self.errorTipsButton:setTitleFontName(getFont())
	setClickEvent(self, self.errorTipsButton, "errorTipsButton")
	addChildForPre(self.buttonPanel_3, self.errorTipsButton)

	self.showFPSButton = ccui.Button:create()
	self.showFPSButton:setScale9Enabled(true)
	self.showFPSButton:setCapInsets(cc.rect(0, 0, 153, 64))
	self.showFPSButton:setContentSize(cc.size(200, 65))
	setValue(self.showFPSButton, "showFPSButton", 55, nil, cc.p(460.992, 286.1), nil, nil, nil, nil, false)
	self.showFPSButton:loadTextureNormal("ccs/UiImages/image9/common_btn_yellow_0.png", 1)
	self.showFPSButton:loadTexturePressed("ccs/UiImages/image9/common_btn_yellow_1.png", 1)
	self.showFPSButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.showFPSButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.showFPSButton:setTitleText([[showFPSButton]])
	self.showFPSButton:setTitleFontSize(24)
	self.showFPSButton:setTitleFontName(getFont())
	setClickEvent(self, self.showFPSButton, "showFPSButton")
	addChildForPre(self.buttonPanel_3, self.showFPSButton)

	self.pushTestButton = ccui.Button:create()
	self.pushTestButton:setScale9Enabled(true)
	self.pushTestButton:setCapInsets(cc.rect(0, 0, 153, 64))
	self.pushTestButton:setContentSize(cc.size(200, 65))
	setValue(self.pushTestButton, "pushTestButton", 36, nil, cc.p(180.032, 175.2), nil, nil, nil, nil, false)
	self.pushTestButton:loadTextureNormal("ccs/UiImages/image9/common_btn_yellow_0.png", 1)
	self.pushTestButton:loadTexturePressed("ccs/UiImages/image9/common_btn_yellow_1.png", 1)
	self.pushTestButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.pushTestButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.pushTestButton:setTitleText([[pushTestButton]])
	self.pushTestButton:setTitleFontSize(24)
	self.pushTestButton:setTitleFontName(getFont())
	setClickEvent(self, self.pushTestButton, "pushTestButton")
	addChildForPre(self.buttonPanel_3, self.pushTestButton)

	self.openJOLButton = ccui.Button:create()
	self.openJOLButton:setScale9Enabled(true)
	self.openJOLButton:setCapInsets(cc.rect(0, 0, 153, 64))
	self.openJOLButton:setContentSize(cc.size(200, 65))
	setValue(self.openJOLButton, "openJOLButton", 36, nil, cc.p(460.992, 395), nil, nil, nil, nil, false)
	self.openJOLButton:loadTextureNormal("ccs/UiImages/image9/common_btn_yellow_0.png", 1)
	self.openJOLButton:loadTexturePressed("ccs/UiImages/image9/common_btn_yellow_1.png", 1)
	self.openJOLButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.openJOLButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.openJOLButton:setTitleText([[openJOLButton]])
	self.openJOLButton:setTitleFontSize(24)
	self.openJOLButton:setTitleFontName(getFont())
	setClickEvent(self, self.openJOLButton, "openJOLButton")
	addChildForPre(self.buttonPanel_3, self.openJOLButton)

	self.changeLanguageButton = ccui.Button:create()
	self.changeLanguageButton:setScale9Enabled(true)
	self.changeLanguageButton:setCapInsets(cc.rect(0, 0, 153, 64))
	self.changeLanguageButton:setContentSize(cc.size(200, 65))
	setValue(self.changeLanguageButton, "changeLanguageButton", 1810, nil, cc.p(460.992, 175.2), nil, nil, nil, nil, false)
	self.changeLanguageButton:loadTextureNormal("ccs/UiImages/image9/common_btn_yellow_0.png", 1)
	self.changeLanguageButton:loadTexturePressed("ccs/UiImages/image9/common_btn_yellow_1.png", 1)
	self.changeLanguageButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.changeLanguageButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.changeLanguageButton:setTitleText([[changeLanguage]])
	self.changeLanguageButton:setTitleFontSize(24)
	self.changeLanguageButton:setTitleFontName(getFont())
	setClickEvent(self, self.changeLanguageButton, "changeLanguageButton")
	addChildForPre(self.buttonPanel_3, self.changeLanguageButton)

	self.languageState = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.languageState, "languageState", 1812, cc.size(109, 28), cc.p(320, 80), nil, nil, nil, nil, nil)
	self.languageState:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.buttonPanel_3, self.languageState)

	self.reminder = createLabel({text=[[Switch the language version of the game 
need to exit the game re login]], font=getFont(), size=24})
	setValue(self.reminder, "reminder", 1811, cc.size(440, 56), cc.p(320, 30), nil, nil, nil, nil, nil)
	self.reminder:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.buttonPanel_3, self.reminder)

	if CommonDialogFrame1CloseUi then 
 		self.commonDialogFrame1CloseUi = CommonDialogFrame1CloseUi.new() 
 	else 
		self.commonDialogFrame1CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame1CloseUi, "commonDialogFrame1CloseUi", 20, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"Default/Button_Disable.png",
	"Default/Button_Press.png",
}

return _M
