-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 3, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "dialogPanel", 143, cc.size(609, 400), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 1825, cc.size(609, 400), cc.p(304.5, 200), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/image9/commonPanel_s9_bg_1.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(42, 30, 88, 10))
	addChildForPre(self.dialogPanel_2, self.bgImage)

	self.inputPanel = ccui.Layout:create()
	setValue(self.inputPanel, "inputPanel", 221, cc.size(91, 54), cc.p(304.5, 240), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.inputPanel)

	self.sweepDescLabel = createLabel({text=[[sweepDescLabel]], font=getFont(), size=24})
	setValue(self.sweepDescLabel, "sweepDescLabel", 1827, cc.size(182, 28), cc.p(243.6, 240), cc.p(1, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.sweepDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.sweepDescLabel:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.dialogPanel_2, self.sweepDescLabel)

	self.stopDescLabel = createLabel({text=[[stopDescLabel]], font=getFont(), size=24})
	setValue(self.stopDescLabel, "stopDescLabel", 1828, cc.size(158, 28), cc.p(365.4, 240), cc.p(0, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.stopDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.stopDescLabel:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.dialogPanel_2, self.stopDescLabel)

	self.cancelButton = ccui.Button:create()
	setValue(self.cancelButton, "cancelButton", 1849, cc.size(153, 64), cc.p(152.25, 80), nil, nil, nil, nil, false)
	self.cancelButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.cancelButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.cancelButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.cancelButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.cancelButton:setTitleText([[Button]])
	self.cancelButton:setTitleFontSize(25)
	self.cancelButton:setTitleFontName(getFont())
	setClickEvent(self, self.cancelButton, "cancelButton")
	addChildForPre(self.dialogPanel_2, self.cancelButton)

	self.okButton = ccui.Button:create()
	setValue(self.okButton, "okButton", 1850, cc.size(153, 64), cc.p(456.75, 80), nil, nil, nil, nil, false)
	self.okButton:loadTextureNormal("ccs/UiImages/image9/common_btn_green_0.png", 1)
	self.okButton:loadTexturePressed("ccs/UiImages/image9/common_btn_green_1.png", 1)
	self.okButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_green_0.png", 1)
	self.okButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.okButton:setTitleText([[Button]])
	self.okButton:setTitleFontSize(25)
	self.okButton:setTitleFontName(getFont())
	setClickEvent(self, self.okButton, "okButton")
	addChildForPre(self.dialogPanel_2, self.okButton)

	self.imageTitleBg = ccui.ImageView:create()
	setValue(self.imageTitleBg, "imageTitleBg", 622, cc.size(277, 64), cc.p(304.5, 392), nil, nil, nil, nil, false)
	self.imageTitleBg:loadTexture("ccs/UiImages/commonBg/CommonPanel_img_WinHeader_1.png", 1)
	self.imageTitleBg:setScale9Enabled(true)
	self.imageTitleBg:setCapInsets(cc.rect(0, 0, 462, 106))
	addChildForPre(self.dialogPanel_2, self.imageTitleBg)
	self.imageTitleBg_3 = self.imageTitleBg

	self.titleLabel = createLabel({text=[[titleLabel]], font=getFont(), size=24})
	setValue(self.titleLabel, "titleLabel", 624, cc.size(96, 28), cc.p(138.5, 32), nil, nil, nil, nil, nil)
	self.titleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.imageTitleBg_3, self.titleLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/common.plist",
}

return _M
