-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 3, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "XYN_dialogPanel", 115, cc.size(626, 633), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.PanelCommonBg = ccui.ImageView:create()
	setValue(self.PanelCommonBg, "PanelCommonBg", 3933, cc.size(626, 633), cc.p(313, 307.005), nil, nil, nil, nil, false)
	self.PanelCommonBg:loadTexture("ccs/UiImages/image9/commonPanel_s9_bg_1.png", 1)
	self.PanelCommonBg:setScale9Enabled(true)
	self.PanelCommonBg:setCapInsets(cc.rect(30, 30, 112, 10))
	addChildForPre(self.dialogPanel_2, self.PanelCommonBg)

	self.Image_109 = ccui.ImageView:create()
	setValue(self.Image_109, "Image_109", 4004, cc.size(470, 582.36), cc.p(313, 316.5), nil, nil, nil, nil, false)
	self.Image_109:loadTexture("ccs/UiImages/image9/CommonPanel_img_chuangkoubeijing_1.png", 1)
	self.Image_109:setScale9Enabled(true)
	self.Image_109:setCapInsets(cc.rect(0, 0, 470, 5))
	addChildForPre(self.dialogPanel_2, self.Image_109)

	self.Image_110 = ccui.ImageView:create()
	setValue(self.Image_110, "Image_110", 4005, cc.size(580, 70), cc.p(313, 37.98), nil, nil, nil, nil, false)
	self.Image_110:loadTexture("ccs/UiImages/commonBg/CommonPanel_img_bg_1.jpg", 1)
	self.Image_110:setScale9Enabled(true)
	self.Image_110:setCapInsets(cc.rect(0, 0, 466, 79))
	addChildForPre(self.dialogPanel_2, self.Image_110)

	self.closeButton = ccui.Button:create()
	setValue(self.closeButton, "closeButton", 4196, cc.size(86, 55), cc.p(582.18, 607.68), nil, nil, nil, nil, nil)
	self.closeButton:loadTextureNormal("ccs/UiImages/image9/CommonPanel_btn_X_0.png", 1)
	self.closeButton:loadTexturePressed("ccs/UiImages/image9/CommonPanel_btn_X_1.png", 1)
	self.closeButton:loadTextureDisabled("ccs/UiImages/image9/CommonPanel_btn_X_1.png", 1)
	self.closeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.closeButton:setTitleText([[]])
	self.closeButton:setTitleColor(cc.c3b(65, 65, 70))
	self.closeButton:setTitleFontSize(14)
	self.closeButton:setTitleFontName(getFont())
	setClickEvent(self, self.closeButton, "closeButton")
	addChildForPre(self.dialogPanel_2, self.closeButton)

	self.titlePanel = ccui.Layout:create()
	setValue(self.titlePanel, "titlePanel", 4090, cc.size(360, 60), cc.p(313, 614.01), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.titlePanel)
	self.titlePanel_3 = self.titlePanel

	self.PanelCommonHeader = cc.Sprite:create()
	setValue(self.PanelCommonHeader, "PanelCommonHeader", 4091, cc.size(462, 106), cc.p(180, 30), nil, nil, nil, nil, nil)
	self.PanelCommonHeader:setScale(0.5)
	self.PanelCommonHeader:setSpriteFrame("ccs/UiImages/commonBg/CommonPanel_img_WinHeader_1.png")
	addChildForPre(self.titlePanel_3, self.PanelCommonHeader)

	self.dialogTitleLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.dialogTitleLabel, "dialogTitleLabel", 4092, cc.size(109, 28), cc.p(180, 30), nil, nil, nil, nil, nil)
	self.dialogTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.titlePanel_3, self.dialogTitleLabel)

	self.userPhotoPanel = ccui.Layout:create()
	setValue(self.userPhotoPanel, "WXT_userPhotoPanel", 3462, cc.size(270, 400), cc.p(150.24, 341.82), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.userPhotoPanel)
	self.userPhotoPanel_3 = self.userPhotoPanel

	self.userHeadBg = ccui.ImageView:create()
	setValue(self.userHeadBg, "userHeadBg", 3619, cc.size(270, 400), cc.p(135, 200), nil, nil, nil, nil, false)
	self.userHeadBg:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.userHeadBg:setScale9Enabled(true)
	self.userHeadBg:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.userPhotoPanel_3, self.userHeadBg)

	self.userHeadIcon = cc.Sprite:create()
	setValue(self.userHeadIcon, "userHeadIcon", 33, cc.size(355, 465), cc.p(135, 216), nil, nil, nil, nil, nil)
	self.userHeadIcon:setScale(0.75)
	self.userHeadIcon:setTexture("ccs/BigImages/userHead/userHead_country1_4.webp")
	addChildForPre(self.userPhotoPanel_3, self.userHeadIcon)

	self.dpsPanel = ccui.Layout:create()
	setValue(self.dpsPanel, "BXN_dpsPanel", 3725, cc.size(265, 47), cc.p(135, 4), cc.p(0.5, 0), nil, nil, nil, nil)
	self.dpsPanel:setBackGroundImage("ccs/UiImages/common/common_img_zhanli.png", 1)
	addChildForPre(self.userPhotoPanel_3, self.dpsPanel)
	self.dpsPanel_4 = self.dpsPanel

	self.warePoint = createLabel({text=[[NameLable]], font=getFont(), size=22})
	setValue(self.warePoint, "warePoint", 42, cc.size(112, 26), cc.p(132.5, 23.5), cc.p(0, 0.5), cc.c4b(238, 1, 8, 255), nil, nil, nil)
	self.warePoint:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.warePoint:setColor(cc.c4b(238, 1, 8, 255))
	addChildForPre(self.dpsPanel_4, self.warePoint)

	self.warePointLable = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.warePointLable, "warePointLable", 36, cc.size(100, 26), cc.p(132.5, 23.5), cc.p(1, 0.5), cc.c4b(238, 1, 8, 255), nil, nil, nil)
	self.warePointLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.warePointLable:setColor(cc.c4b(238, 1, 8, 255))
	addChildForPre(self.dpsPanel_4, self.warePointLable)

	self.countryLabel = createLabel({text=[[联军]], font=getFont(), size=20})
	setValue(self.countryLabel, "TXN_countryLabel", 3882, cc.size(40, 23), cc.p(135, 84), nil, nil, nil, nil, nil)
	self.countryLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.userPhotoPanel_3, self.countryLabel)

	self.userInfoPanel = ccui.Layout:create()
	setValue(self.userInfoPanel, "WXT_userInfoPanel", 3672, cc.size(316, 400), cc.p(453.9752, 341.82), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.userInfoPanel)
	self.userInfoPanel_3 = self.userInfoPanel

	self.SrtBg = ccui.ImageView:create()
	setValue(self.SrtBg, "SrtBg", 155, cc.size(316, 400), cc.p(158, 200), nil, nil, nil, nil, false)
	self.SrtBg:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.SrtBg:setScale9Enabled(true)
	self.SrtBg:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.userInfoPanel_3, self.SrtBg)

	self.NameLable = createLabel({text=[[NameLable]], font=getFont(), size=25})
	setValue(self.NameLable, "NameLable", 34, cc.size(127, 29), cc.p(32, 363.44), cc.p(0, 0.5), nil, nil, nil, nil)
	self.NameLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.userInfoPanel_3, self.NameLable)

	self.areaCodelabel = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.areaCodelabel, "areaCodelabel", 230, cc.size(100, 26), cc.p(32, 313.44), cc.p(0, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.areaCodelabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.areaCodelabel:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.userInfoPanel_3, self.areaCodelabel)

	self.Level = createLabel({text=[[NameLable]], font=getFont(), size=22})
	setValue(self.Level, "Level", 41, cc.size(112, 26), cc.p(42.0003, 264.9975), cc.p(0, 0.5), nil, nil, nil, nil)
	self.Level:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.userInfoPanel_3, self.Level)

	self.LevelLable = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.LevelLable, "LevelLable", 35, cc.size(100, 26), cc.p(32.0003, 264.9975), cc.p(0, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.LevelLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.LevelLable:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.userInfoPanel_3, self.LevelLable)

	self.nickNameLable = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.nickNameLable, "nickNameLable", 37, cc.size(100, 26), cc.p(32, 218.997), cc.p(0, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.nickNameLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.nickNameLable:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.userInfoPanel_3, self.nickNameLable)

	self.NickName = createLabel({text=[[NameLable]], font=getFont(), size=22})
	setValue(self.NickName, "NickName", 43, cc.size(112, 26), cc.p(62, 218.997), cc.p(0, 0.5), nil, nil, nil, nil)
	self.NickName:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.userInfoPanel_3, self.NickName)

	self.GetLable = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.GetLable, "GetLable", 38, cc.size(100, 26), cc.p(32, 66.9995), cc.p(0, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.GetLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.GetLable:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.userInfoPanel_3, self.GetLable)

	self.GoldIcon = cc.Sprite:create()
	setValue(self.GoldIcon, "GoldIcon", 39, cc.size(100, 100), cc.p(28.666, 29), nil, nil, nil, nil, nil)
	self.GoldIcon:setScale(0.5)
	self.GoldIcon:setSpriteFrame("ccs/UiImages/icon/jinbi.png")
	addChildForPre(self.userInfoPanel_3, self.GoldIcon)

	self.GoldNumber = createLabel({text=[[99999999]], font=getFont(), size=22})
	setValue(self.GoldNumber, "GoldNumber", 44, cc.size(97, 26), cc.p(56.6662, 29), cc.p(0, 0.5), nil, nil, nil, nil)
	self.GoldNumber:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.userInfoPanel_3, self.GoldNumber)

	self.GoldMineIcon = cc.Sprite:create()
	setValue(self.GoldMineIcon, "GoldMineIcon", 40, cc.size(100, 100), cc.p(176.9998, 29), nil, nil, nil, nil, nil)
	self.GoldMineIcon:setScale(0.5)
	self.GoldMineIcon:setSpriteFrame("ccs/UiImages/icon/kuangshi.png")
	addChildForPre(self.userInfoPanel_3, self.GoldMineIcon)

	self.GoldNumber2 = createLabel({text=[[99999999]], font=getFont(), size=22})
	setValue(self.GoldNumber2, "GoldNumber2", 45, cc.size(97, 26), cc.p(200.0002, 29), cc.p(0, 0.5), nil, nil, nil, nil)
	self.GoldNumber2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.userInfoPanel_3, self.GoldNumber2)

	self.CountryIcon = cc.Sprite:create()
	setValue(self.CountryIcon, "CountryIcon", 46, cc.size(46, 46), cc.p(117.48, 144.4993), nil, nil, nil, nil, nil)
	self.CountryIcon:setScale(0.7)
	self.CountryIcon:setVisible(false)
	self.CountryIcon:setTexture("Default/Sprite.png")
	addChildForPre(self.userInfoPanel_3, self.CountryIcon)

	self.ActionNumberLable = createLabel({text=[[Text Label]], font=getFont(), size=21})
	setValue(self.ActionNumberLable, "ActionNumberLable", 47, cc.size(95, 24), cc.p(184.4492, -29), cc.p(1, 0.5), cc.c4b(238, 1, 8, 255), nil, nil, nil)
	self.ActionNumberLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.ActionNumberLable:setColor(cc.c4b(238, 1, 8, 255))
	addChildForPre(self.userInfoPanel_3, self.ActionNumberLable)

	self.ActionNumber1 = createLabel({text=[[99]], font=getFont(), size=21})
	setValue(self.ActionNumber1, "ActionNumber1", 48, cc.size(23, 24), cc.p(184.4492, -29), cc.p(0, 0.5), cc.c4b(238, 1, 8, 255), nil, nil, nil)
	self.ActionNumber1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.ActionNumber1:setColor(cc.c4b(238, 1, 8, 255))
	addChildForPre(self.userInfoPanel_3, self.ActionNumber1)

	self.ActionNumber2 = createLabel({text=[[/99]], font=getFont(), size=21})
	setValue(self.ActionNumber2, "ActionNumber2", 49, cc.size(29, 24), cc.p(197.0892, -29), cc.p(0, 0.5), cc.c4b(238, 1, 8, 255), nil, nil, nil)
	self.ActionNumber2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.ActionNumber2:setColor(cc.c4b(238, 1, 8, 255))
	addChildForPre(self.userInfoPanel_3, self.ActionNumber2)

	self.MilitaryNumber = createLabel({text=[[99999999]], font=getFont(), size=22})
	setValue(self.MilitaryNumber, "MilitaryNumber", 43, cc.size(97, 26), cc.p(203.2196, 62.12), cc.p(0, 0.5), nil, nil, nil, nil)
	self.MilitaryNumber:setVisible(false)
	self.MilitaryNumber:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.userInfoPanel_3, self.MilitaryNumber)

	self.MilitaryIcon = cc.Sprite:create()
	setValue(self.MilitaryIcon, "MilitaryIcon", 42, cc.size(46, 46), cc.p(176.0752, 62.12), nil, nil, nil, nil, nil)
	self.MilitaryIcon:setScale(0.25)
	self.MilitaryIcon:setVisible(false)
	self.MilitaryIcon:setTexture("Default/Sprite.png")
	addChildForPre(self.userInfoPanel_3, self.MilitaryIcon)

	self.leagueBadgeNode = cc.Node:create()
	setValue(self.leagueBadgeNode, "leagueBadgeNode", 4335, nil, cc.p(158, 144.48), nil, nil, nil, nil, nil)
	addChildForPre(self.userInfoPanel_3, self.leagueBadgeNode)
	self.leagueBadgeNode_4 = self.leagueBadgeNode

	self.kuangSprite = cc.Sprite:create()
	setValue(self.kuangSprite, "kuangSprite", 1055, cc.size(100, 100), nil, nil, nil, nil, nil, nil)
	self.kuangSprite:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.leagueBadgeNode_4, self.kuangSprite)

	self.leagueBadgeSprite = cc.Sprite:create()
	setValue(self.leagueBadgeSprite, "leagueBadgeSprite", 1056, cc.size(100, 100), nil, nil, nil, nil, nil, nil)
	self.leagueBadgeSprite:setSpriteFrame("ccs/UiImages/icon/legion_01.png")
	addChildForPre(self.leagueBadgeNode_4, self.leagueBadgeSprite)

	self.leagueBadgelabel = createLabel({text=[[Text Label]], font=getFont(), size=25})
	setValue(self.leagueBadgelabel, "leagueBadgelabel", 555, cc.size(113, 29), cc.p(158, 144.48), nil, nil, nil, nil, nil)
	self.leagueBadgelabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.userInfoPanel_3, self.leagueBadgelabel)

	self.buttonPanel = ccui.Layout:create()
	setValue(self.buttonPanel, "WXY_buttonPanel", 3368, cc.size(582.18, 56.97), cc.p(313, 31.65), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.buttonPanel)
	self.buttonPanel_3 = self.buttonPanel

	self.EscButton = ccui.Button:create()
	setValue(self.EscButton, "XYN_EscButton", 156, cc.size(153, 64), cc.p(157.1886, 28.485), nil, nil, nil, nil, false)
	self.EscButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.EscButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.EscButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.EscButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.EscButton:setTitleText([[Button]])
	self.EscButton:setTitleFontSize(22)
	self.EscButton:setTitleFontName(getFont())
	setClickEvent(self, self.EscButton, "EscButton")
	addChildForPre(self.buttonPanel_3, self.EscButton)

	self.GoToButton = ccui.Button:create()
	setValue(self.GoToButton, "XYN_GoToButton", 157, cc.size(153, 64), cc.p(424.9914, 28.485), nil, nil, nil, nil, false)
	self.GoToButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.GoToButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.GoToButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.GoToButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.GoToButton:setTitleText([[Button]])
	self.GoToButton:setTitleFontSize(22)
	self.GoToButton:setTitleFontName(getFont())
	setClickEvent(self, self.GoToButton, "GoToButton")
	addChildForPre(self.buttonPanel_3, self.GoToButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/commonBg.plist",
	"ccs/plist/battle.plist",
	"ccs/BigImages/userHead/userHead_country1_4.png",
	"ccs/plist/common.plist",
	"ccs/plist/icon.plist",
	"Default/Sprite.png",
	"ccs/plist/legion.plist",
}

return _M
