-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 195, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 196, cc.size(200, 200), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.spriteBuilding = cc.Sprite:create()
	setValue(self.spriteBuilding, "spriteBuilding", 74, cc.size(200, 173), cc.p(100, 100), nil, nil, nil, nil, nil)
	self.spriteBuilding:setSpriteFrame("ccs/UiImages/icon/MineBuildingLv1.png")
	addChildForPre(self.rootPanel_1, self.spriteBuilding)

	self.topPanel = ccui.Layout:create()
	setValue(self.topPanel, "topPanel", 72, cc.size(200, 40.82), cc.p(100, 210), cc.p(0.5, 1), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.topPanel)
	self.topPanel_2 = self.topPanel

	self.spriteHeadBg = cc.Sprite:create()
	setValue(self.spriteHeadBg, "spriteHeadBg", 75, cc.size(351, 161), cc.p(100, 20.41), nil, nil, nil, nil, nil)
	self.spriteHeadBg:setScale(0.57)
	self.spriteHeadBg:setSpriteFrame("ccs/UiImages/commonBg/arena_img_ditgu.png")
	addChildForPre(self.topPanel_2, self.spriteHeadBg)

	self.spriteHeadIcon = cc.Sprite:create()
	setValue(self.spriteHeadIcon, "spriteHeadIcon", 229, cc.size(46, 46), cc.p(24, 39.7791), nil, nil, nil, nil, nil)
	self.spriteHeadIcon:setScale(0.4)
	self.spriteHeadIcon:setTexture("Default/Sprite.png")
	addChildForPre(self.topPanel_2, self.spriteHeadIcon)

	self.labelArea = createLabel({text=[[Area]], font=getFont(), size=22,valign = 1})
	setValue(self.labelArea, "labelArea", 230, cc.size(46, 26), cc.p(100, 26.9412), nil, cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.labelArea:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.labelArea:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.topPanel_2, self.labelArea)

	self.labelName = createLabel({text=[[Name]], font=getFont(), size=22,valign = 1})
	setValue(self.labelName, "labelName", 231, cc.size(58, 26), cc.p(100, -3.2656), nil, nil, nil, nil, nil)
	self.labelName:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.topPanel_2, self.labelName)

	self.labelTime = createLabel({text=[[Time]], font=getFont(), size=20,valign = 1})
	setValue(self.labelTime, "labelTime", 233, cc.size(43, 23), cc.p(40, -2.8574), cc.p(0, 0.5), nil, nil, nil, nil)
	self.labelTime:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.topPanel_2, self.labelTime)

	self.labelValue = createLabel({text=[[Value]], font=getFont(), size=20,valign = 1})
	setValue(self.labelValue, "labelValue", 234, cc.size(49, 23), cc.p(100, -2.8574), cc.p(0, 0.5), nil, nil, nil, nil)
	self.labelValue:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.topPanel_2, self.labelValue)

	self.bottomPanel = ccui.Layout:create()
	setValue(self.bottomPanel, "bottomPanel", 73, cc.size(200, 45), cc.p(100, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.bottomPanel)
	self.bottomPanel_2 = self.bottomPanel

	self.labelBg = cc.Sprite:create()
	setValue(self.labelBg, "labelBg", 71, cc.size(368, 42), cc.p(100, 63), nil, nil, nil, nil, nil)
	self.labelBg:setScaleX(0.54)
	self.labelBg:setScaleY(1)
	self.labelBg:setSpriteFrame("ccs/UiImages/common/common_Partsimg_ditiao.png")
	addChildForPre(self.bottomPanel_2, self.labelBg)

	self.spriteIconGold = cc.Sprite:create()
	setValue(self.spriteIconGold, "spriteIconGold", 232, cc.size(35, 35), cc.p(20, 64.8), nil, nil, nil, nil, nil)
	self.spriteIconGold:setSpriteFrame("ccs/UiImages/common/commonIcon_icon_Gold_2.png")
	addChildForPre(self.bottomPanel_2, self.spriteIconGold)

	self.mainButton = ccui.Button:create()
	self.mainButton:setScale9Enabled(true)
	self.mainButton:setCapInsets(cc.rect(0, 0, 153, 64))
	self.mainButton:setContentSize(cc.size(120, 50))
	setValue(self.mainButton, "mainButton", 1684, nil, cc.p(100, 22.5), nil, nil, nil, nil, false)
	self.mainButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.mainButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.mainButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.mainButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.mainButton:setTitleText([[mainButton]])
	self.mainButton:setTitleFontSize(25)
	self.mainButton:setTitleFontName(getFont())
	setClickEvent(self, self.mainButton, "mainButton")
	addChildForPre(self.bottomPanel_2, self.mainButton)

	self.goldLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.goldLabel, "goldLabel", 495, cc.size(91, 23), cc.p(100, 63), nil, nil, nil, nil, nil)
	self.goldLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bottomPanel_2, self.goldLabel)

	self.aegisPanel = ccui.Layout:create()
	setValue(self.aegisPanel, "aegisPanel", 20, cc.size(200, 34), cc.p(100, 32.9998), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.aegisPanel)
	self.aegisPanel_2 = self.aegisPanel

	self.labelAegis = createLabel({text=[[labelAegis]], font=getFont(), size=20,align = 1,valign = 1})
	setValue(self.labelAegis, "labelAegis", 56, cc.size(92, 23), cc.p(100.0001, 29.6283), nil, nil, nil, nil, nil)
	self.labelAegis:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.aegisPanel_2, self.labelAegis)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/icon.plist",
	"ccs/plist/commonBg.plist",
	"Default/Sprite.png",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
}

return _M
