-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 3, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 4, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 307, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.topLeftPanel = ccui.Layout:create()
	setValue(self.topLeftPanel, "WXT_topLeftPanel", 4, cc.size(640, 48), cc.p(320, 835.2), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.topLeftPanel)
	self.topLeftPanel_2 = self.topLeftPanel

	self.topBgImage = ccui.ImageView:create()
	setValue(self.topBgImage, "AXY_topBgImage", 1439, cc.size(627.2, 48), cc.p(320, 24), nil, nil, nil, nil, false)
	self.topBgImage:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.topBgImage:setScale9Enabled(true)
	self.topBgImage:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.topLeftPanel_2, self.topBgImage)

	self.spriteGold = cc.Sprite:create()
	setValue(self.spriteGold, "XYN_spriteGold", 199, cc.size(35, 35), cc.p(35.776, 24), nil, nil, nil, nil, nil)
	self.spriteGold:setSpriteFrame("ccs/UiImages/common/commonIcon_icon_Gold_2.png")
	addChildForPre(self.topLeftPanel_2, self.spriteGold)

	self.labelGold = createLabel({text=[[labelGold]], font=getFont(), size=20,valign = 1})
	setValue(self.labelGold, "XYN_labelGold", 201, cc.size(84, 23), cc.p(74.176, 24), cc.p(0, 0.5), nil, nil, nil, nil)
	self.labelGold:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.topLeftPanel_2, self.labelGold)

	self.spriteGem = cc.Sprite:create()
	setValue(self.spriteGem, "XYN_spriteGem", 200, cc.size(35, 35), cc.p(336.576, 24), nil, nil, nil, nil, nil)
	self.spriteGem:setSpriteFrame("ccs/UiImages/common/commonIcon_icon_ZuanShi_2.png")
	addChildForPre(self.topLeftPanel_2, self.spriteGem)

	self.labelGem = createLabel({text=[[labelGem]], font=getFont(), size=20,valign = 1})
	setValue(self.labelGem, "XYN_labelGem", 202, cc.size(85, 23), cc.p(384, 24), cc.p(0, 0.5), nil, nil, nil, nil)
	self.labelGem:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.topLeftPanel_2, self.labelGem)

	self.explainButton = ccui.Button:create()
	setValue(self.explainButton, "XYN_explainButton", 757, cc.size(81, 26), cc.p(576, 24), nil, cc.c4b(0, 230, 255, 255), nil, nil, false)
	self.explainButton:loadTextureNormal("ccs/UiImages/image9/Underline.png", 1)
	self.explainButton:loadTexturePressed("ccs/UiImages/image9/Underline.png", 1)
	self.explainButton:loadTextureDisabled("ccs/UiImages/image9/Underline.png", 1)
	self.explainButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.explainButton:setTitleText([[explainButton]])
	self.explainButton:setTitleFontSize(25)
	self.explainButton:setTitleFontName(getFont())
	setClickEvent(self, self.explainButton, "explainButton")
	addChildForPre(self.topLeftPanel_2, self.explainButton)

	self.bottomRightPanel = ccui.Layout:create()
	setValue(self.bottomRightPanel, "WXY_bottomRightPanel", 8, cc.size(640, 105.6), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.bottomRightPanel)
	self.bottomRightPanel_2 = self.bottomRightPanel

	self.buttonBgImage = ccui.ImageView:create()
	setValue(self.buttonBgImage, "WXY_buttonBgImage", 705, cc.size(640, 105.6), cc.p(320, 52.8), nil, nil, nil, nil, false)
	self.buttonBgImage:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.buttonBgImage:setScale9Enabled(true)
	self.buttonBgImage:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.bottomRightPanel_2, self.buttonBgImage)

	self.searchButton = ccui.Button:create()
	setValue(self.searchButton, "XYN_searchButton", 197, cc.size(153, 64), cc.p(512, 52.8), nil, nil, nil, nil, false)
	self.searchButton:loadTextureNormal("ccs/UiImages/image9/common_btn_yellow_0.png", 1)
	self.searchButton:loadTexturePressed("ccs/UiImages/image9/common_btn_yellow_1.png", 1)
	self.searchButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.searchButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.searchButton:setTitleText([[searchButton]])
	self.searchButton:setTitleFontSize(25)
	self.searchButton:setTitleFontName(getFont())
	setClickEvent(self, self.searchButton, "searchButton")
	addChildForPre(self.bottomRightPanel_2, self.searchButton)

	self.seeButton = ccui.Button:create()
	setValue(self.seeButton, "XYN_seeButton", 198, cc.size(153, 64), cc.p(128, 52.8), nil, nil, nil, nil, false)
	self.seeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.seeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.seeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.seeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.seeButton:setTitleText([[seeButton]])
	self.seeButton:setTitleFontSize(25)
	self.seeButton:setTitleFontName(getFont())
	setClickEvent(self, self.seeButton, "seeButton")
	addChildForPre(self.bottomRightPanel_2, self.seeButton)
	self.seeButton_3 = self.seeButton

	self.SeeRedPoint = cc.Sprite:create()
	setValue(self.SeeRedPoint, "SeeRedPoint", 37, cc.size(24, 24), cc.p(136.17, 53.12), nil, nil, nil, nil, nil)
	self.SeeRedPoint:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.seeButton_3, self.SeeRedPoint)

	self.btnTopImage = ccui.ImageView:create()
	setValue(self.btnTopImage, "WXY_btnTopImage", 2240, cc.size(640, 31.68), cc.p(320, 105.6), cc.p(0.5, 0.8), nil, nil, nil, false)
	self.btnTopImage:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.btnTopImage:setScale9Enabled(true)
	self.btnTopImage:setCapInsets(cc.rect(1, 0, 638, 30))
	addChildForPre(self.bottomRightPanel_2, self.btnTopImage)

	self.btnBotImage = ccui.ImageView:create()
	setValue(self.btnBotImage, "WXY_btnBotImage", 2241, cc.size(640, 8.448), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.btnBotImage:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	self.btnBotImage:setScale9Enabled(true)
	self.btnBotImage:setCapInsets(cc.rect(1, 0, 638, 8))
	addChildForPre(self.bottomRightPanel_2, self.btnBotImage)

	self.bottomCenterPanel = ccui.Layout:create()
	setValue(self.bottomCenterPanel, "WXN_bottomCenterPanel", 7, cc.size(640, 111.936), cc.p(320, 119.328), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.bottomRightPanel_2, self.bottomCenterPanel)
	self.bottomCenterPanel_3 = self.bottomCenterPanel

	self.robInfoPanel = ccui.Layout:create()
	setValue(self.robInfoPanel, "WXN_robInfoPanel", 1681, cc.size(640, 51), cc.p(320, 78.9932), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.bottomCenterPanel_3, self.robInfoPanel)
	self.robInfoPanel_4 = self.robInfoPanel

	self.labelRobInfo1 = createLabel({text=[[labelRobInfo1]], font=getFont(), size=20})
	setValue(self.labelRobInfo1, "XYN_labelRobInfo1", 1677, cc.size(123, 23), cc.p(211.008, 25.4949), cc.p(0, 0.5), nil, nil, nil, nil)
	self.labelRobInfo1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.robInfoPanel_4, self.labelRobInfo1)

	self.labelRobInfo2 = createLabel({text=[[labelRobInfo12]], font=getFont(), size=20})
	setValue(self.labelRobInfo2, "XYN_labelRobInfo2", 1678, cc.size(134, 23), cc.p(211.008, 25.4949), cc.p(0, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.labelRobInfo2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.labelRobInfo2:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.robInfoPanel_4, self.labelRobInfo2)

	self.labelRobInfo3 = createLabel({text=[[labelRobInfo123]], font=getFont(), size=20})
	setValue(self.labelRobInfo3, "XYN_labelRobInfo3", 1679, cc.size(145, 23), cc.p(211.008, 25.4949), cc.p(0, 0.5), nil, nil, nil, nil)
	self.labelRobInfo3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.robInfoPanel_4, self.labelRobInfo3)

	self.resetRobButton = ccui.Button:create()
	setValue(self.resetRobButton, "XYN_resetRobButton", 38, cc.size(88, 41), cc.p(505.6, 25.5), nil, nil, nil, nil, false)
	self.resetRobButton:loadTextureNormal("ccs/UiImages/image9/CommonPanel_btn_smallred_0.png", 1)
	self.resetRobButton:loadTexturePressed("ccs/UiImages/image9/CommonPanel_btn_smallred_1.png", 1)
	self.resetRobButton:loadTextureDisabled("ccs/UiImages/image9/CommonPanel_btn_small_2.png", 1)
	self.resetRobButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.resetRobButton:setTitleText([[resetRob]])
	self.resetRobButton:setTitleFontSize(20)
	self.resetRobButton:setTitleFontName(getFont())
	setClickEvent(self, self.resetRobButton, "resetRobButton")
	addChildForPre(self.robInfoPanel_4, self.resetRobButton)

	self.robInfo2Panel = ccui.Layout:create()
	setValue(self.robInfo2Panel, "WXN_robInfo2Panel", 51, cc.size(640, 52.992), cc.p(320, 22.3872), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.bottomCenterPanel_3, self.robInfo2Panel)
	self.robInfo2Panel_4 = self.robInfo2Panel

	self.spriteRobBg = cc.Sprite:create()
	setValue(self.spriteRobBg, "WXY_spriteRobBg", 1675, cc.size(374, 39), cc.p(320, 26.496), nil, nil, nil, nil, nil)
	self.spriteRobBg:setScaleX(1)
	self.spriteRobBg:setScaleY(1.4)
	self.spriteRobBg:setSpriteFrame("ccs/UiImages/image9/commonPanel_TxtBg_WinGouMaiDaoJu_2.png")
	addChildForPre(self.robInfo2Panel_4, self.spriteRobBg)

	self.labelRobInfo4 = createLabel({text=[[labelRobInfo4]], font=getFont(), size=20,align = 1,valign = 1})
	setValue(self.labelRobInfo4, "XYN_labelRobInfo4", 1680, cc.size(123, 23), cc.p(262.976, 26.496), nil, nil, nil, nil, nil)
	self.labelRobInfo4:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.robInfo2Panel_4, self.labelRobInfo4)

	self.buyRobButton = ccui.Button:create()
	setValue(self.buyRobButton, "XYN_buyRobButton", 1676, cc.size(70, 71), cc.p(416.576, 25.4362), nil, nil, nil, nil, nil)
	self.buyRobButton:setScale(0.8)
	self.buyRobButton:loadTextureNormal("ccs/UiImages/common/camp_btn_jia_0.png", 1)
	self.buyRobButton:loadTexturePressed("ccs/UiImages/common/camp_btn_jia_1.png", 1)
	self.buyRobButton:loadTextureDisabled("ccs/UiImages/common/camp_btn_jia_1.png", 1)
	self.buyRobButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.buyRobButton:setTitleText([[]])
	self.buyRobButton:setTitleFontSize(14)
	self.buyRobButton:setTitleFontName(getFont())
	setClickEvent(self, self.buyRobButton, "buyRobButton")
	addChildForPre(self.robInfo2Panel_4, self.buyRobButton)

	self.show1Panel = ccui.Layout:create()
	setValue(self.show1Panel, "XYN_show1Panel", 69, cc.size(200, 200), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.show1Panel)

	self.show2Panel = ccui.Layout:create()
	setValue(self.show2Panel, "XYN_show2Panel", 70, cc.size(200, 200), cc.p(160, 672), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.show2Panel)

	self.show3Panel = ccui.Layout:create()
	setValue(self.show3Panel, "XYN_show3Panel", 71, cc.size(200, 200), cc.p(480, 672), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.show3Panel)

	self.show4Panel = ccui.Layout:create()
	setValue(self.show4Panel, "XYN_show4Panel", 72, cc.size(200, 200), cc.p(160, 318.432), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.show4Panel)

	self.show5Panel = ccui.Layout:create()
	setValue(self.show5Panel, "XYN_show5Panel", 73, cc.size(200, 200), cc.p(480, 318.432), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.show5Panel)

	if CommonDialogFrame1CloseUi then 
 		self.commonDialogFrame1CloseUi = CommonDialogFrame1CloseUi.new() 
 	else 
		self.commonDialogFrame1CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame1CloseUi, "commonDialogFrame1CloseUi", 322, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/battle.plist",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
}

return _M
