-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 50, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 51, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 195, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 224, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.leftPanel = ccui.Layout:create()
	setValue(self.leftPanel, "WTX_leftPanel", 5045, cc.size(645, 275), cc.p(0, 595), nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.leftPanel)
	self.leftPanel_3 = self.leftPanel

	if GoldMinePitBigUi then 
 		self.goldMinePitBigUi = GoldMinePitBigUi.new() 
 	else 
		self.goldMinePitBigUi = BaseUi.new("ccs/ui/goldMine/GoldMinePitBigUi.lua")
 	end 
	setValue(self.goldMinePitBigUi, "LNN_goldMinePitBigUi", 340, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.leftPanel_3, self.goldMinePitBigUi)

	self.leftRightPanel = ccui.Layout:create()
	setValue(self.leftRightPanel, "AXY_leftRightPanel", 5706, cc.size(362, 275), cc.p(268.5, 0), nil, nil, nil, nil, nil)
	addChildForPre(self.leftPanel_3, self.leftRightPanel)
	self.leftRightPanel_4 = self.leftRightPanel

	self.RightBg = ccui.ImageView:create()
	setValue(self.RightBg, "AXY_RightBg", 116, cc.size(362, 275), cc.p(181, 137.5), nil, nil, nil, nil, false)
	self.RightBg:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.RightBg:setScale9Enabled(true)
	self.RightBg:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.leftRightPanel_4, self.RightBg)

	self.GetButton = ccui.Button:create()
	setValue(self.GetButton, "XYN_GetButton", 205, cc.size(153, 64), cc.p(181, 61.985), nil, nil, nil, nil, false)
	self.GetButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.GetButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.GetButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.GetButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.GetButton:setTitleText([[领取]])
	self.GetButton:setTitleFontSize(22)
	self.GetButton:setTitleFontName(getFont())
	setClickEvent(self, self.GetButton, "GetButton")
	addChildForPre(self.leftRightPanel_4, self.GetButton)

	self.LineImage = ccui.ImageView:create()
	setValue(self.LineImage, "WXN_LineImage", 206, cc.size(2, 613), cc.p(181, 171.2425), nil, nil, nil, nil, nil)
	self.LineImage:setFlippedX(true)
	self.LineImage:setRotationSkewX(90)
	self.LineImage:setRotationSkewY(90)
	self.LineImage:setScaleX(1)
	self.LineImage:setScaleY(0.57)
	self.LineImage:loadTexture("ccs/UiImages/common/common_img_16.png", 1)
	addChildForPre(self.leftRightPanel_4, self.LineImage)

	self.placeGetLable = createLabel({text=[[Text Label]], font=getFont(), size=22,align = 1,valign = 1})
	setValue(self.placeGetLable, "XYN_placeGetLable", 207, cc.size(100, 26), cc.p(181, 24.475), nil, cc.c4b(255, 0, 0, 255), nil, nil, nil)
	self.placeGetLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.placeGetLable:setColor(cc.c4b(255, 0, 0, 255))
	addChildForPre(self.leftRightPanel_4, self.placeGetLable)

	self.CanGetLable = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.CanGetLable, "CanGetLable", 208, cc.size(100, 26), cc.p(25.6296, 142.505), cc.p(0, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.CanGetLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.CanGetLable:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.leftRightPanel_4, self.CanGetLable)

	self.CanGetNumber = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.CanGetNumber, "CanGetNumber", 209, cc.size(100, 26), cc.p(176.2216, 142.505), cc.p(0, 0.5), nil, nil, nil, nil)
	self.CanGetNumber:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftRightPanel_4, self.CanGetNumber)

	self.GoldIcon2 = cc.Sprite:create()
	setValue(self.GoldIcon2, "GoldIcon2", 210, cc.size(35, 35), cc.p(154.1396, 142.505), nil, nil, nil, nil, nil)
	self.GoldIcon2:setSpriteFrame("ccs/UiImages/common/commonIcon_icon_Gold_2.png")
	addChildForPre(self.leftRightPanel_4, self.GoldIcon2)

	self.TimeLable = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.TimeLable, "TimeLable", 211, cc.size(100, 26), cc.p(25.6296, 107.25), cc.p(0, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.TimeLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.TimeLable:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.leftRightPanel_4, self.TimeLable)

	self.TimeNumber = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.TimeNumber, "TimeNumber", 212, cc.size(100, 26), cc.p(150.2662, 107.25), cc.p(0, 0.5), nil, nil, nil, nil)
	self.TimeNumber:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftRightPanel_4, self.TimeNumber)

	self.SpeedLeftLable = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.SpeedLeftLable, "SpeedLeftLable", 221, cc.size(100, 26), cc.p(25.6296, 244.255), cc.p(0, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.SpeedLeftLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.SpeedLeftLable:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.leftRightPanel_4, self.SpeedLeftLable)

	self.NowGoldLable = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.NowGoldLable, "NowGoldLable", 222, cc.size(100, 26), cc.p(25.6296, 206.9925), cc.p(0, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.NowGoldLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.NowGoldLable:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.leftRightPanel_4, self.NowGoldLable)

	self.SpeedNumber = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.SpeedNumber, "SpeedNumber", 223, cc.size(91, 23), cc.p(143.0262, 244.255), cc.p(0, 0.5), nil, nil, nil, nil)
	self.SpeedNumber:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftRightPanel_4, self.SpeedNumber)

	self.GoldNumber1 = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.GoldNumber1, "GoldNumber1", 224, cc.size(91, 23), cc.p(143.0262, 207.9825), cc.p(0, 0.5), nil, nil, nil, nil)
	self.GoldNumber1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftRightPanel_4, self.GoldNumber1)

	self.GoldNumber11 = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.GoldNumber11, "GoldNumber11", 225, cc.size(91, 23), cc.p(143.0262, 206.9925), cc.p(0, 0.5), nil, nil, nil, nil)
	self.GoldNumber11:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftRightPanel_4, self.GoldNumber11)

	self.rightPanel = ccui.Layout:create()
	setValue(self.rightPanel, "AXY_rightPanel", 5140, cc.size(640, 400), cc.p(320, 388.8), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.rightPanel)
	self.rightPanel_3 = self.rightPanel

	self.rightBGImage = ccui.ImageView:create()
	setValue(self.rightBGImage, "AXY_rightBGImage", 507, cc.size(620.8, 384), cc.p(320, 200), nil, nil, nil, nil, false)
	self.rightBGImage:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.rightBGImage:setScale9Enabled(true)
	self.rightBGImage:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.rightPanel_3, self.rightBGImage)

	self.rightBG2Image = ccui.ImageView:create()
	setValue(self.rightBG2Image, "AXY_rightBG2Image", 506, cc.size(588.8, 240), cc.p(320, 144), nil, nil, nil, nil, false)
	self.rightBG2Image:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.rightBG2Image:setScale9Enabled(true)
	self.rightBG2Image:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.rightPanel_3, self.rightBG2Image)

	self.LevelLable = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.LevelLable, "XYN_LevelLable", 117, cc.size(100, 26), cc.p(91.52, 363), cc.p(0, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.LevelLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.LevelLable:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.rightPanel_3, self.LevelLable)

	self.Level = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.Level, "XYN_Level", 118, cc.size(100, 26), cc.p(110.72, 363), cc.p(0, 0.5), nil, nil, nil, nil)
	self.Level:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightPanel_3, self.Level)

	self.ArrowGreenSp1 = cc.Sprite:create()
	setValue(self.ArrowGreenSp1, "XYN_ArrowGreenSp1", 117, cc.size(22, 29), cc.p(390.336, 363), nil, nil, nil, nil, nil)
	self.ArrowGreenSp1:setRotationSkewX(90)
	self.ArrowGreenSp1:setRotationSkewY(90)
	self.ArrowGreenSp1:setSpriteFrame("ccs/UiImages/common/common_img_jiantou.png")
	addChildForPre(self.rightPanel_3, self.ArrowGreenSp1)

	self.Level2 = createLabel({text=[[999999999]], font=getFont(), size=22})
	setValue(self.Level2, "XYN_Level2", 119, cc.size(110, 26), cc.p(428.672, 363), cc.p(0, 0.5), cc.c4b(14, 182, 97, 255), nil, nil, nil)
	self.Level2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.Level2:setColor(cc.c4b(14, 182, 97, 255))
	addChildForPre(self.rightPanel_3, self.Level2)

	self.AllLable = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.AllLable, "XYN_AllLable", 195, cc.size(100, 26), cc.p(91.52, 329), cc.p(0, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.AllLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.AllLable:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.rightPanel_3, self.AllLable)

	self.AllNumber = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.AllNumber, "XYN_AllNumber", 196, cc.size(100, 26), cc.p(110.72, 329), cc.p(0, 0.5), nil, nil, nil, nil)
	self.AllNumber:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightPanel_3, self.AllNumber)

	self.ArrowGreenSp2 = cc.Sprite:create()
	setValue(self.ArrowGreenSp2, "XYN_ArrowGreenSp2", 236, cc.size(22, 29), cc.p(390.336, 329), nil, nil, nil, nil, nil)
	self.ArrowGreenSp2:setRotationSkewX(90)
	self.ArrowGreenSp2:setRotationSkewY(90)
	self.ArrowGreenSp2:setSpriteFrame("ccs/UiImages/common/common_img_jiantou.png")
	addChildForPre(self.rightPanel_3, self.ArrowGreenSp2)

	self.AllNumber2 = createLabel({text=[[999999999]], font=getFont(), size=22})
	setValue(self.AllNumber2, "XYN_AllNumber2", 197, cc.size(110, 26), cc.p(428.672, 329), cc.p(0, 0.5), cc.c4b(14, 182, 97, 255), nil, nil, nil)
	self.AllNumber2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.AllNumber2:setColor(cc.c4b(14, 182, 97, 255))
	addChildForPre(self.rightPanel_3, self.AllNumber2)

	self.SpeedLable = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.SpeedLable, "XYN_SpeedLable", 198, cc.size(100, 26), cc.p(91.52, 296), cc.p(0, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.SpeedLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.SpeedLable:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.rightPanel_3, self.SpeedLable)

	self.Speed = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.Speed, "XYN_Speed", 199, cc.size(100, 26), cc.p(110.72, 296), cc.p(0, 0.5), nil, nil, nil, nil)
	self.Speed:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightPanel_3, self.Speed)

	self.ArrowGreenSp3 = cc.Sprite:create()
	setValue(self.ArrowGreenSp3, "XYN_ArrowGreenSp3", 237, cc.size(22, 29), cc.p(390.336, 296), nil, nil, nil, nil, nil)
	self.ArrowGreenSp3:setRotationSkewX(90)
	self.ArrowGreenSp3:setRotationSkewY(90)
	self.ArrowGreenSp3:setSpriteFrame("ccs/UiImages/common/common_img_jiantou.png")
	addChildForPre(self.rightPanel_3, self.ArrowGreenSp3)

	self.Speed2 = createLabel({text=[[999999999]], font=getFont(), size=22})
	setValue(self.Speed2, "XYN_Speed2", 200, cc.size(110, 26), cc.p(428.672, 296), cc.p(0, 0.5), cc.c4b(14, 182, 97, 255), nil, nil, nil)
	self.Speed2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.Speed2:setColor(cc.c4b(14, 182, 97, 255))
	addChildForPre(self.rightPanel_3, self.Speed2)

	self.cost1Node = cc.Node:create()
	setValue(self.cost1Node, "XYN_cost1Node", 935, nil, cc.p(128, 131), nil, nil, nil, nil, nil)
	addChildForPre(self.rightPanel_3, self.cost1Node)
	self.cost1Node_4 = self.cost1Node

	self.kuangSprite = cc.Sprite:create()
	setValue(self.kuangSprite, "kuangSprite", 337, cc.size(100, 100), nil, nil, nil, nil, nil, nil)
	self.kuangSprite:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.cost1Node_4, self.kuangSprite)

	self.GoldIcon = cc.Sprite:create()
	setValue(self.GoldIcon, "GoldIcon", 203, cc.size(100, 100), nil, nil, nil, nil, nil, nil)
	self.GoldIcon:setSpriteFrame("ccs/UiImages/icon/kuangshi.png")
	addChildForPre(self.cost1Node_4, self.GoldIcon)

	self.NeedNumber = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.NeedNumber, "NeedNumber", 202, cc.size(100, 26), cc.p(0, -32), nil, nil, nil, nil, nil)
	self.NeedNumber:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.cost1Node_4, self.NeedNumber)

	self.NeedLable = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.NeedLable, "NeedLable", 201, cc.size(100, 26), cc.p(0, -64), nil, cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.NeedLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.NeedLable:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.cost1Node_4, self.NeedLable)

	self.cost2Node = cc.Node:create()
	setValue(self.cost2Node, "XYN_cost2Node", 936, nil, cc.p(320, 131), nil, nil, nil, nil, nil)
	addChildForPre(self.rightPanel_3, self.cost2Node)
	self.cost2Node_4 = self.cost2Node

	self.kuang1Sprite = cc.Sprite:create()
	setValue(self.kuang1Sprite, "kuang1Sprite", 991, cc.size(100, 100), nil, nil, nil, nil, nil, nil)
	self.kuang1Sprite:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.cost2Node_4, self.kuang1Sprite)

	self.cost3Node = cc.Node:create()
	setValue(self.cost3Node, "XYN_cost3Node", 937, nil, cc.p(512, 131), nil, nil, nil, nil, nil)
	addChildForPre(self.rightPanel_3, self.cost3Node)
	self.cost3Node_4 = self.cost3Node

	self.kuang2Sprite = cc.Sprite:create()
	setValue(self.kuang2Sprite, "kuang2Sprite", 992, cc.size(100, 100), nil, nil, nil, nil, nil, nil)
	self.kuang2Sprite:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.cost3Node_4, self.kuang2Sprite)

	self.imageUpgradeNeed = cc.Sprite:create()
	setValue(self.imageUpgradeNeed, "XYN_imageUpgradeNeed", 1046, cc.size(368, 42), cc.p(320, 228), nil, nil, nil, nil, nil)
	self.imageUpgradeNeed:setSpriteFrame("ccs/UiImages/common/common_Partsimg_ditiao.png")
	addChildForPre(self.rightPanel_3, self.imageUpgradeNeed)
	self.imageUpgradeNeed_4 = self.imageUpgradeNeed

	self.lableNeed = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.lableNeed, "lableNeed", 1047, cc.size(109, 28), cc.p(184, 21), nil, cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.lableNeed:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.lableNeed:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.imageUpgradeNeed_4, self.lableNeed)

	self.buttonPanel = ccui.Layout:create()
	setValue(self.buttonPanel, "WBX_buttonPanel", 5141, cc.size(640, 120), cc.p(320, 60), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.buttonPanel)
	self.buttonPanel_3 = self.buttonPanel

	self.UpButton = ccui.Button:create()
	setValue(self.UpButton, "XYN_UpButton", 204, cc.size(153, 64), cc.p(320, 60), nil, nil, nil, nil, false)
	self.UpButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.UpButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.UpButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.UpButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.UpButton:setTitleText([[改造]])
	self.UpButton:setTitleFontSize(22)
	self.UpButton:setTitleFontName(getFont())
	setClickEvent(self, self.UpButton, "UpButton")
	addChildForPre(self.buttonPanel_3, self.UpButton)

	self.imageLine2 = ccui.ImageView:create()
	setValue(self.imageLine2, "WBX_imageLine2", 614, cc.size(640, 30), cc.p(320, 120), nil, nil, nil, nil, false)
	self.imageLine2:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.imageLine2:setScale9Enabled(true)
	self.imageLine2:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.buttonPanel_3, self.imageLine2)

	self.imageLine1 = ccui.ImageView:create()
	setValue(self.imageLine1, "WBX_imageLine1", 615, cc.size(640, 8), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.imageLine1:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	self.imageLine1:setScale9Enabled(true)
	self.imageLine1:setCapInsets(cc.rect(0, 0, 640, 8))
	addChildForPre(self.buttonPanel_3, self.imageLine1)

	self.haveMinePanel = ccui.Layout:create()
	setValue(self.haveMinePanel, "WXY_haveMinePanel", 775, cc.size(640, 48), cc.p(320, 165.6), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.haveMinePanel)
	self.haveMinePanel_3 = self.haveMinePanel

	self.UserHaveLable = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.UserHaveLable, "XYN_UserHaveLable", 214, cc.size(91, 23), cc.p(288, 24), cc.p(1, 0.5), nil, nil, nil, nil)
	self.UserHaveLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.haveMinePanel_3, self.UserHaveLable)

	self.GoldIcon3 = cc.Sprite:create()
	setValue(self.GoldIcon3, "XYN_GoldIcon3", 216, cc.size(100, 100), cc.p(320, 24), nil, nil, nil, nil, nil)
	self.GoldIcon3:setScale(0.5)
	self.GoldIcon3:setSpriteFrame("ccs/UiImages/icon/kuangshi.png")
	addChildForPre(self.haveMinePanel_3, self.GoldIcon3)

	self.UserHaveNumber = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.UserHaveNumber, "XYN_UserHaveNumber", 215, cc.size(91, 23), cc.p(352, 24), cc.p(0, 0.5), nil, nil, nil, nil)
	self.UserHaveNumber:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.haveMinePanel_3, self.UserHaveNumber)

	if CommonDialogFrame1CloseUi then 
 		self.commonDialogFrame1CloseUi = CommonDialogFrame1CloseUi.new() 
 	else 
		self.commonDialogFrame1CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame1CloseUi, "commonDialogFrame1CloseUi", 219, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/battle.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/common.plist",
	"ccs/plist/commonBg.plist",
	"ccs/plist/icon.plist",
}

return _M
