-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 1157, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 1158, cc.size(640, 225), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.Panel1 = ccui.Layout:create()
	setValue(self.Panel1, "Panel1", 225, cc.size(640, 225), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Panel1)
	self.Panel1_2 = self.Panel1

	self.bottomImage = ccui.ImageView:create()
	setValue(self.bottomImage, "bottomImage", 1159, cc.size(612, 209), cc.p(320, 112.112), nil, nil, nil, nil, nil)
	self.bottomImage:loadTexture("ccs/UiImages/commonBg/common_img_gaoditiao.png", 1)
	addChildForPre(self.Panel1_2, self.bottomImage)

	self.titleLabel2 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.titleLabel2, "titleLabel2", 1162, cc.size(109, 28), cc.p(320, 194.5344), nil, nil, nil, nil, nil)
	self.titleLabel2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel1_2, self.titleLabel2)

	self.addLabel1 = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.addLabel1, "addLabel1", 1163, cc.size(91, 23), cc.p(184.7189, 166.3904), cc.p(0, 0.5), cc.c4b(0, 255, 0, 255), nil, nil, nil)
	self.addLabel1:setVisible(false)
	self.addLabel1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.addLabel1:setColor(cc.c4b(0, 255, 0, 255))
	addChildForPre(self.Panel1_2, self.addLabel1)

	self.addLabel2 = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.addLabel2, "addLabel2", 223, cc.size(91, 23), cc.p(447.7196, 167.3899), cc.p(0, 0.5), cc.c4b(0, 255, 0, 255), nil, nil, nil)
	self.addLabel2:setVisible(false)
	self.addLabel2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.addLabel2:setColor(cc.c4b(0, 255, 0, 255))
	addChildForPre(self.Panel1_2, self.addLabel2)

	self.addLabeltitle1 = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.addLabeltitle1, "addLabeltitle1", 325, cc.size(91, 23), cc.p(184.7198, 166.3904), cc.p(1, 0.5), nil, nil, nil, nil)
	self.addLabeltitle1:setVisible(false)
	self.addLabeltitle1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel1_2, self.addLabeltitle1)

	self.addLabeltitle2 = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.addLabeltitle2, "addLabeltitle2", 224, cc.size(91, 23), cc.p(447.719, 167.3899), cc.p(1, 0.5), nil, nil, nil, nil)
	self.addLabeltitle2:setVisible(false)
	self.addLabeltitle2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel1_2, self.addLabeltitle2)

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 1179, cc.size(533, 130), cc.p(315.5412, 87.526), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.Panel1_2, self.bgImage)

	self.tankCell1Panel = ccui.Layout:create()
	setValue(self.tankCell1Panel, "tankCell1Panel", 219, cc.size(161, 190), cc.p(109.184, 86.9999), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.tankCell1Panel:setScale(0.6)
	addChildForPre(self.Panel1_2, self.tankCell1Panel)

	self.tankCell2Panel = ccui.Layout:create()
	setValue(self.tankCell2Panel, "tankCell2Panel", 220, cc.size(161, 190), cc.p(247.0612, 86.9999), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.tankCell2Panel:setScale(0.6)
	addChildForPre(self.Panel1_2, self.tankCell2Panel)

	self.tankCell3Panel = ccui.Layout:create()
	setValue(self.tankCell3Panel, "tankCell3Panel", 221, cc.size(161, 190), cc.p(384.9386, 86.9999), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.tankCell3Panel:setScale(0.6)
	addChildForPre(self.Panel1_2, self.tankCell3Panel)

	self.tankCell4Panel = ccui.Layout:create()
	setValue(self.tankCell4Panel, "tankCell4Panel", 222, cc.size(161, 190), cc.p(522.8163, 86.9999), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.tankCell4Panel:setScale(0.6)
	addChildForPre(self.Panel1_2, self.tankCell4Panel)

	self.Panel2 = ccui.Layout:create()
	setValue(self.Panel2, "Panel2", 226, cc.size(640, 65), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Panel2)
	self.Panel2_2 = self.Panel2

	self.titleImage = ccui.ImageView:create()
	setValue(self.titleImage, "titleImage", 1160, cc.size(480, 42), cc.p(319.9999, 34.4511), nil, nil, nil, nil, nil)
	self.titleImage:loadTexture("ccs/UiImages/common/arena_img_plate.png", 1)
	addChildForPre(self.Panel2_2, self.titleImage)

	self.titleLabel1 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.titleLabel1, "titleLabel1", 1161, cc.size(109, 28), cc.p(319.9999, 34.4498), nil, nil, nil, nil, nil)
	self.titleLabel1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel2_2, self.titleLabel1)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/battle.plist",
	"ccs/plist/common.plist",
}

return _M
