-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 59, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 60, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonNewUi then 
 		self.CommonNewUi = CommonNewUi.new() 
 	else 
		self.CommonNewUi = BaseUi.new("ccs/ui/commonDialog/CommonNewUi.lua")
 	end 
	setValue(self.CommonNewUi, "CommonNewUi", 126, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.CommonNewUi)

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "TXN_Panel", 142, cc.size(640, 240), cc.p(0, 643.2), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Panel)
	self.Panel_2 = self.Panel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 144, cc.size(620, 220), cc.p(320, 127.2), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.Panel_2, self.bgImage)

	self.titleImage = ccui.ImageView:create()
	setValue(self.titleImage, "titleImage", 147, cc.size(480, 42), cc.p(318.528, 209.736), nil, nil, nil, nil, nil)
	self.titleImage:loadTexture("ccs/UiImages/common/arena_img_plate.png", 1)
	addChildForPre(self.Panel_2, self.titleImage)

	self.infoButton = ccui.Button:create()
	setValue(self.infoButton, "infoButton", 145, cc.size(68, 42), cc.p(568.0921, 209.7311), nil, nil, nil, nil, nil)
	self.infoButton:loadTextureNormal("ccs/UiImages/image9/common_btn_xiangqing.png", 1)
	self.infoButton:loadTexturePressed("ccs/UiImages/image9/common_btn_xiangqing.png", 1)
	self.infoButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_xiangqing.png", 1)
	self.infoButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.infoButton:setTitleText([[]])
	self.infoButton:setTitleColor(cc.c3b(65, 65, 70))
	self.infoButton:setTitleFontSize(14)
	self.infoButton:setTitleFontName(getFont())
	setClickEvent(self, self.infoButton, "infoButton")
	addChildForPre(self.Panel_2, self.infoButton)

	self.titleLabel = createLabel({text=[[XXXXXX]], font=getFont(), size=24})
	setValue(self.titleLabel, "titleLabel", 146, cc.size(96, 28), cc.p(318.528, 209.736), nil, nil, nil, nil, nil)
	self.titleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_2, self.titleLabel)

	self.desLabel = createLabel({text=[[Text Label]], font=getFont(), size=18})
	setValue(self.desLabel, "desLabel", 1148, cc.size(82, 21), cc.p(320, 37.464), nil, cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.desLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.desLabel:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.Panel_2, self.desLabel)

	self.addLabel1 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.addLabel1, "addLabel1", 1149, cc.size(109, 28), cc.p(171.7697, 164.59), cc.p(0, 0.5), nil, nil, nil, nil)
	self.addLabel1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_2, self.addLabel1)

	self.addLabel2 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.addLabel2, "addLabel2", 1150, cc.size(109, 28), cc.p(498.4564, 164.592), cc.p(0, 0.5), nil, nil, nil, nil)
	self.addLabel2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_2, self.addLabel2)

	self.addLabel3 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.addLabel3, "addLabel3", 1151, cc.size(109, 28), cc.p(171.7997, 121.5359), cc.p(0, 0.5), nil, nil, nil, nil)
	self.addLabel3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_2, self.addLabel3)

	self.addLabel4 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.addLabel4, "addLabel4", 1152, cc.size(109, 28), cc.p(498.4564, 121.5359), cc.p(0, 0.5), nil, nil, nil, nil)
	self.addLabel4:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_2, self.addLabel4)

	self.addLabel5 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.addLabel5, "addLabel5", 1153, cc.size(109, 28), cc.p(171.7697, 77.88), cc.p(0, 0.5), nil, nil, nil, nil)
	self.addLabel5:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_2, self.addLabel5)

	self.addLabel6 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.addLabel6, "addLabel6", 1154, cc.size(109, 28), cc.p(498.4604, 77.88), cc.p(0, 0.5), nil, nil, nil, nil)
	self.addLabel6:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_2, self.addLabel6)

	self.endImage = ccui.ImageView:create()
	setValue(self.endImage, "endImage", 1156, cc.size(640, 30), cc.p(320, 0), nil, nil, nil, nil, nil)
	self.endImage:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	addChildForPre(self.Panel_2, self.endImage)

	self.addLabel1Title = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.addLabel1Title, "addLabel1Title", 160, cc.size(109, 28), cc.p(171.7699, 164.59), cc.p(1, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.addLabel1Title:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.addLabel1Title:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.Panel_2, self.addLabel1Title)

	self.addLabel2Title = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.addLabel2Title, "addLabel2Title", 161, cc.size(109, 28), cc.p(498.4557, 164.592), cc.p(1, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.addLabel2Title:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.addLabel2Title:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.Panel_2, self.addLabel2Title)

	self.addLabel3Title = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.addLabel3Title, "addLabel3Title", 162, cc.size(109, 28), cc.p(171.7999, 121.5359), cc.p(1, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.addLabel3Title:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.addLabel3Title:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.Panel_2, self.addLabel3Title)

	self.addLabel4Title = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.addLabel4Title, "addLabel4Title", 163, cc.size(109, 28), cc.p(498.4557, 121.5359), cc.p(1, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.addLabel4Title:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.addLabel4Title:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.Panel_2, self.addLabel4Title)

	self.addLabel5Title = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.addLabel5Title, "addLabel5Title", 164, cc.size(109, 28), cc.p(171.7699, 77.88), cc.p(1, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.addLabel5Title:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.addLabel5Title:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.Panel_2, self.addLabel5Title)

	self.addLabel6Title = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.addLabel6Title, "addLabel6Title", 165, cc.size(109, 28), cc.p(498.4597, 77.88), cc.p(1, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.addLabel6Title:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.addLabel6Title:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.Panel_2, self.addLabel6Title)

	self.listviewPanel = ccui.Layout:create()
	setValue(self.listviewPanel, "WIX_listviewPanel", 143, cc.size(640, 640), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.listviewPanel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/battle.plist",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
}

return _M
