-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 2414, cc.size(161, 232), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bigPanel = ccui.Layout:create()
	setValue(self.bigPanel, "bigPanel", 85, cc.size(161, 190), cc.p(80.5, 120), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.bigPanel)
	self.bigPanel_2 = self.bigPanel

	self.qualitySpirte = cc.Sprite:create()
	setValue(self.qualitySpirte, "qualitySpirte", 263, cc.size(158, 187), cc.p(80.5, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	self.qualitySpirte:setSpriteFrame("ccs/UiImages/commonBg/qualityBg10.png")
	addChildForPre(self.bigPanel_2, self.qualitySpirte)

	self.tankIconSprite = cc.Sprite:create()
	setValue(self.tankIconSprite, "tankIconSprite", 93, cc.size(46, 46), cc.p(80.5, 95), nil, nil, nil, nil, nil)
	self.tankIconSprite:setScale(0.87)
	self.tankIconSprite:setTexture("Default/Sprite.png")
	addChildForPre(self.bigPanel_2, self.tankIconSprite)

	self.tankTypeSprite = cc.Sprite:create()
	setValue(self.tankTypeSprite, "tankTypeSprite", 8, cc.size(46, 46), cc.p(19.32, 171), nil, nil, nil, nil, nil)
	self.tankTypeSprite:setScale(0.5)
	self.tankTypeSprite:setTexture("Default/Sprite.png")
	addChildForPre(self.bigPanel_2, self.tankTypeSprite)

	self.paintIconSprite = cc.Sprite:create()
	setValue(self.paintIconSprite, "paintIconSprite", 709, cc.size(178, 192), cc.p(117.9995, 35.9986), nil, nil, nil, nil, nil)
	self.paintIconSprite:setScale(0.4)
	self.paintIconSprite:setTexture("ccs/BigImages/userIcon/userIcon_img_meizi01.webp")
	addChildForPre(self.bigPanel_2, self.paintIconSprite)

	self.tankNameLabel = createLabel({text=[[坦克名称]], font=getFont(), size=20})
	setValue(self.tankNameLabel, "tankNameLabel", 57, cc.size(80, 23), cc.p(80.5, 24.7), nil, cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.tankNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.tankNameLabel:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.bigPanel_2, self.tankNameLabel)

	self.tankAddLabel = createLabel({text=[[增加的属性]], font=getFont(), size=20})
	setValue(self.tankAddLabel, "tankAddLabel", 6, cc.size(100, 23), cc.p(80.5, -9.5), nil, cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.tankAddLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.tankAddLabel:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.bigPanel_2, self.tankAddLabel)

	self.mainButton = ccui.Button:create()
	self.mainButton:setScale9Enabled(true)
	self.mainButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.mainButton:setContentSize(cc.size(161, 190))
	setValue(self.mainButton, "mainButton", 5, nil, cc.p(80.5, 95), nil, nil, nil, nil, false)
	self.mainButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.mainButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.mainButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.mainButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.mainButton:setTitleText([[]])
	self.mainButton:setTitleColor(cc.c3b(65, 65, 70))
	self.mainButton:setTitleFontSize(14)
	self.mainButton:setTitleFontName(getFont())
	setClickEvent(self, self.mainButton, "mainButton")
	addChildForPre(self.bigPanel_2, self.mainButton)

	self.lockSprite = cc.Sprite:create()
	setValue(self.lockSprite, "lockSprite", 1013, cc.size(119, 46), cc.p(80.5, 95), nil, nil, nil, nil, nil)
	self.lockSprite:setSpriteFrame("ccs/UiImages/common/camp_img_suo.png")
	addChildForPre(self.bigPanel_2, self.lockSprite)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"Default/Sprite.png",
	"ccs/BigImages/userIcon/userIcon_img_meizi01.png",
	"ccs/plist/image9.plist",
	"ccs/plist/common.plist",
}

return _M
