-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 79, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 159, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 1468, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.Image = ccui.ImageView:create()
	setValue(self.Image, "WTX_Image", 392, cc.size(640, 62), cc.p(320, 861), nil, nil, nil, nil, nil)
	self.Image:loadTexture("ccs/UiImages/commonBg/common_img_diban00.png", 1)
	addChildForPre(self.dialogPanel_2, self.Image)

	self.tabPanel = ccui.Layout:create()
	setValue(self.tabPanel, "TWX_tabPanel", 1470, cc.size(640, 50), cc.p(320, 864), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.tabPanel)
	self.tabPanel_3 = self.tabPanel

	self.tabTankButton = ccui.Button:create()
	self.tabTankButton:setScale9Enabled(true)
	self.tabTankButton:setCapInsets(cc.rect(0, 0, 247, 91))
	self.tabTankButton:setContentSize(cc.size(124, 45))
	setValue(self.tabTankButton, "tabTankButton", 640, nil, cc.p(72.064, 24.285), nil, nil, nil, nil, false)
	self.tabTankButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.tabTankButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabTankButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabTankButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tabTankButton:setTitleText([[Button]])
	self.tabTankButton:setTitleFontSize(25)
	self.tabTankButton:setTitleFontName(getFont())
	setClickEvent(self, self.tabTankButton, "tabTankButton")
	addChildForPre(self.tabPanel_3, self.tabTankButton)

	self.tabSuperTankButton = ccui.Button:create()
	self.tabSuperTankButton:setScale9Enabled(true)
	self.tabSuperTankButton:setCapInsets(cc.rect(0, 0, 247, 91))
	self.tabSuperTankButton:setContentSize(cc.size(124, 45))
	setValue(self.tabSuperTankButton, "tabSuperTankButton", 140, nil, cc.p(192.32, 24.285), nil, nil, nil, nil, false)
	self.tabSuperTankButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.tabSuperTankButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabSuperTankButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabSuperTankButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tabSuperTankButton:setTitleText([[Button]])
	self.tabSuperTankButton:setTitleFontSize(25)
	self.tabSuperTankButton:setTitleFontName(getFont())
	setClickEvent(self, self.tabSuperTankButton, "tabSuperTankButton")
	addChildForPre(self.tabPanel_3, self.tabSuperTankButton)

	self.tabMedalButton = ccui.Button:create()
	self.tabMedalButton:setScale9Enabled(true)
	self.tabMedalButton:setCapInsets(cc.rect(0, 0, 247, 91))
	self.tabMedalButton:setContentSize(cc.size(124, 45))
	setValue(self.tabMedalButton, "tabMedalButton", 641, nil, cc.p(312.64, 24.285), nil, nil, nil, nil, false)
	self.tabMedalButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.tabMedalButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabMedalButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabMedalButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tabMedalButton:setTitleText([[Button]])
	self.tabMedalButton:setTitleFontSize(25)
	self.tabMedalButton:setTitleFontName(getFont())
	setClickEvent(self, self.tabMedalButton, "tabMedalButton")
	addChildForPre(self.tabPanel_3, self.tabMedalButton)

	self.tabheroButton = ccui.Button:create()
	self.tabheroButton:setScale9Enabled(true)
	self.tabheroButton:setCapInsets(cc.rect(0, 0, 247, 91))
	self.tabheroButton:setContentSize(cc.size(124, 45))
	setValue(self.tabheroButton, "tabheroButton", 218, nil, cc.p(432.896, 24.285), nil, nil, nil, nil, false)
	self.tabheroButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.tabheroButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabheroButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabheroButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tabheroButton:setTitleText([[Button]])
	self.tabheroButton:setTitleFontSize(25)
	self.tabheroButton:setTitleFontName(getFont())
	setClickEvent(self, self.tabheroButton, "tabheroButton")
	addChildForPre(self.tabPanel_3, self.tabheroButton)

	self.infoButton = ccui.Button:create()
	setValue(self.infoButton, "infoButton", 205, cc.size(81, 26), cc.p(576, 25), nil, cc.c4b(0, 187, 238, 255), nil, nil, false)
	self.infoButton:loadTextureNormal("ccs/UiImages/image9/Underline.png", 1)
	self.infoButton:loadTexturePressed("ccs/UiImages/image9/Underline.png", 1)
	self.infoButton:loadTextureDisabled("ccs/UiImages/image9/Underline.png", 1)
	self.infoButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.infoButton:setTitleText([[说明]])
	self.infoButton:setTitleColor(cc.c3b(0, 187, 238))
	self.infoButton:setTitleFontSize(24)
	self.infoButton:setTitleFontName(getFont())
	setClickEvent(self, self.infoButton, "infoButton")
	addChildForPre(self.tabPanel_3, self.infoButton)

	self.contentPanel = ccui.Layout:create()
	setValue(self.contentPanel, "WIX_contentPanel", 507, cc.size(640, 828), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.contentPanel)

	self.buttonPanel = ccui.Layout:create()
	setValue(self.buttonPanel, "WBX_buttonPanel", 526, cc.size(640, 156), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.buttonPanel)
	self.buttonPanel_3 = self.buttonPanel

	self.tiaoImage = ccui.ImageView:create()
	setValue(self.tiaoImage, "WTX_tiaoImage", 599, cc.size(640, 30), cc.p(320, 140.4), nil, nil, nil, nil, false)
	self.tiaoImage:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.tiaoImage:setScale9Enabled(true)
	self.tiaoImage:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.buttonPanel_3, self.tiaoImage)

	self.propertyButton = ccui.Button:create()
	setValue(self.propertyButton, "XNN_propertyButton", 600, cc.size(153, 64), cc.p(320, 70.2), nil, nil, nil, nil, false)
	self.propertyButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.propertyButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.propertyButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.propertyButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.propertyButton:setTitleText([[Button]])
	self.propertyButton:setTitleFontSize(24)
	self.propertyButton:setTitleFontName(getFont())
	setClickEvent(self, self.propertyButton, "propertyButton")
	addChildForPre(self.buttonPanel_3, self.propertyButton)

	self.selectButton = ccui.Button:create()
	setValue(self.selectButton, "XNN_selectButton", 617, cc.size(153, 64), cc.p(512, 70.2), nil, nil, nil, nil, false)
	self.selectButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.selectButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.selectButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.selectButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.selectButton:setTitleText([[Button]])
	self.selectButton:setTitleFontSize(24)
	self.selectButton:setTitleFontName(getFont())
	setClickEvent(self, self.selectButton, "selectButton")
	addChildForPre(self.buttonPanel_3, self.selectButton)

	self.imageLine = ccui.ImageView:create()
	setValue(self.imageLine, "WBX_imageLine", 511, cc.size(640, 8), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.imageLine:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	self.imageLine:setScale9Enabled(true)
	self.imageLine:setCapInsets(cc.rect(0, 0, 640, 8))
	addChildForPre(self.buttonPanel_3, self.imageLine)

	self.fettersButton = ccui.Button:create()
	setValue(self.fettersButton, "XNN_fettersButton", 94, cc.size(153, 64), cc.p(128, 70.2), nil, nil, nil, nil, false)
	self.fettersButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.fettersButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.fettersButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.fettersButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.fettersButton:setTitleText([[Button]])
	self.fettersButton:setTitleFontSize(24)
	self.fettersButton:setTitleFontName(getFont())
	setClickEvent(self, self.fettersButton, "fettersButton")
	addChildForPre(self.buttonPanel_3, self.fettersButton)

	if CommonDialogFrame1CloseUi then 
 		self.commonDialogFrame1CloseUi = CommonDialogFrame1CloseUi.new() 
 	else 
		self.commonDialogFrame1CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame1CloseUi, "commonDialogFrame1CloseUi", 176, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
}

return _M
