-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 55, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 56, cc.size(160, 240), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.medalNameLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.medalNameLabel, "medalNameLabel", 79, cc.size(91, 23), cc.p(80, 223.2), nil, nil, nil, nil, nil)
	self.medalNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.medalNameLabel)

	if MedalBigIconUi then 
 		self.MedalBigIconUi = MedalBigIconUi.new() 
 	else 
		self.MedalBigIconUi = BaseUi.new("ccs/ui/medal/MedalBigIconUi.lua")
 	end 
	setValue(self.MedalBigIconUi, "MedalBigIconUi", 57, nil, cc.p(6, 29), nil, nil, nil, nil, nil)
	self.MedalBigIconUi:setScale(0.65)
	addChildForPre(self.rootPanel_1, self.MedalBigIconUi)

	self.medalAttLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.medalAttLabel, "medalAttLabel", 80, cc.size(91, 23), cc.p(80, 16.8), nil, nil, nil, nil, nil)
	self.medalAttLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.medalAttLabel)

	self.medalButton = ccui.Button:create()
	self.medalButton:setScale9Enabled(true)
	self.medalButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.medalButton:setContentSize(cc.size(160, 240))
	setValue(self.medalButton, "medalButton", 85, nil, cc.p(80, 120), nil, nil, nil, nil, false)
	self.medalButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.medalButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.medalButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.medalButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.medalButton:setTitleText([[]])
	self.medalButton:setTitleColor(cc.c3b(65, 65, 70))
	self.medalButton:setTitleFontSize(14)
	self.medalButton:setTitleFontName(getFont())
	setClickEvent(self, self.medalButton, "medalButton")
	addChildForPre(self.rootPanel_1, self.medalButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/common.plist",
}

return _M
