-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 28, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 78, cc.size(640, 170), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.achievementPanel = ccui.Layout:create()
	setValue(self.achievementPanel, "achievementPanel", 77, cc.size(640, 170), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.achievementPanel)
	self.achievementPanel_2 = self.achievementPanel

	self.achievementBg = cc.Sprite:create()
	setValue(self.achievementBg, "achievementBg", 159, cc.size(612, 167), cc.p(320, 81.6), nil, nil, nil, nil, nil)
	self.achievementBg:setSpriteFrame("ccs/UiImages/commonBg/common_img_ditiao.png")
	addChildForPre(self.achievementPanel_2, self.achievementBg)

	self.acctitle1 = createLabel({text=[[累计大充值]], font=getFont(), size=22})
	setValue(self.acctitle1, "acctitle1", 65, cc.size(110, 26), cc.p(192, 130.288), cc.p(0, 0.5), nil, nil, nil, nil)
	self.acctitle1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.achievementPanel_2, self.acctitle1)

	self.bg2Image = ccui.ImageView:create()
	setValue(self.bg2Image, "bg2Image", 2772, cc.size(386, 74), cc.p(382.592, 61.2), nil, nil, nil, nil, false)
	self.bg2Image:loadTexture("ccs/UiImages/image9/common_s9_diban.png", 1)
	self.bg2Image:setScale9Enabled(true)
	self.bg2Image:setCapInsets(cc.rect(10, 10, 14, 14))
	addChildForPre(self.achievementPanel_2, self.bg2Image)

	self.acctitle2 = createLabel({text=[[1000000]], font=getFont(), size=22})
	setValue(self.acctitle2, "acctitle2", 66, cc.size(85, 26), cc.p(192, 79.288), cc.p(0, 0.5), nil, nil, nil, nil)
	self.acctitle2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.achievementPanel_2, self.acctitle2)

	self.acctitle3 = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.acctitle3, "acctitle3", 67, cc.size(91, 23), cc.p(192, 41.888), cc.p(0, 0.5), cc.c4b(253, 132, 53, 255), nil, nil, nil)
	self.acctitle3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.acctitle3:setColor(cc.c4b(253, 132, 53, 255))
	addChildForPre(self.achievementPanel_2, self.acctitle3)

	self.achievementIconImage = cc.Sprite:create()
	setValue(self.achievementIconImage, "achievementIconImage", 3284, cc.size(100, 100), cc.p(100.224, 83.3), nil, nil, nil, nil, nil)
	self.achievementIconImage:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.achievementPanel_2, self.achievementIconImage)

	self.achievementSprite = cc.Sprite:create()
	setValue(self.achievementSprite, "achievementSprite", 76, cc.size(100, 100), cc.p(100.224, 83.3), nil, nil, nil, nil, nil)
	self.achievementSprite:setSpriteFrame("ccs/UiImages/icon/rongyu.png")
	addChildForPre(self.achievementPanel_2, self.achievementSprite)

	self.getTheTitlePanel = ccui.Layout:create()
	setValue(self.getTheTitlePanel, "getTheTitlePanel", 89, cc.size(640, 57.8), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.getTheTitlePanel)
	self.getTheTitlePanel_2 = self.getTheTitlePanel

	self.titleBgSprite = cc.Sprite:create()
	setValue(self.titleBgSprite, "titleBgSprite", 90, cc.size(368, 42), cc.p(320, 26.6747), nil, nil, nil, nil, nil)
	self.titleBgSprite:setScaleX(0.74)
	self.titleBgSprite:setScaleY(1.12)
	self.titleBgSprite:setSpriteFrame("ccs/UiImages/common/common_Partsimg_ditiao.png")
	addChildForPre(self.getTheTitlePanel_2, self.titleBgSprite)

	self.titleNameLabel = createLabel({text=[[Text Label]], font=getFont(), size=25})
	setValue(self.titleNameLabel, "titleNameLabel", 91, cc.size(113, 29), cc.p(320, 26.6747), nil, cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.titleNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.titleNameLabel:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.getTheTitlePanel_2, self.titleNameLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/icon.plist",
	"ccs/plist/common.plist",
}

return _M
