-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_1 = cc.Node:create()
	setValue(self.Node_1, "Node_1", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_1)
 	self.uiRootNode = self.Node_1
	self.Node_1_0 = self.Node_1

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 28, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	setBgColor(self.rootPanel, 1, 0, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.Node_1_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 37, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 29, cc.size(640, 960), cc.p(319.04, 462.624), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.achievementLeftPanel = ccui.Layout:create()
	setValue(self.achievementLeftPanel, "WIX_achievementLeftPanel", 136, cc.size(640, 643), cc.p(320, 340.6), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.achievementLeftPanel)
	self.achievementLeftPanel_3 = self.achievementLeftPanel

	self.Image = ccui.ImageView:create()
	setValue(self.Image, "WXT_Image", 2838, cc.size(640, 45.01), cc.p(320, 636.57), nil, nil, nil, nil, false)
	self.Image:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.Image:setScale9Enabled(true)
	self.Image:setCapInsets(cc.rect(1, 0, 638, 30))
	addChildForPre(self.achievementLeftPanel_3, self.Image)

	self.listViewPanel = ccui.Layout:create()
	setValue(self.listViewPanel, "IXN_listViewPanel", 177, cc.size(640, 586), cc.p(320, 311.855), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.achievementLeftPanel_3, self.listViewPanel)

	self.Image_3 = ccui.ImageView:create()
	setValue(self.Image_3, "WXN_Image_3", 2879, cc.size(640, 8), cc.p(320, -3.215), cc.p(0.5, 0), nil, nil, nil, false)
	self.Image_3:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	self.Image_3:setScale9Enabled(true)
	self.Image_3:setCapInsets(cc.rect(1, 0, 638, 8))
	addChildForPre(self.achievementLeftPanel_3, self.Image_3)

	self.achievementRightPanel = ccui.Layout:create()
	setValue(self.achievementRightPanel, "WXT_achievementRightPanel", 137, cc.size(640, 220), cc.p(320, 784.224), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.achievementRightPanel)
	self.achievementRightPanel_3 = self.achievementRightPanel

	self.Image_1 = ccui.ImageView:create()
	setValue(self.Image_1, "AXY_Image_1", 2837, cc.size(614.4, 220), cc.p(320, 110), nil, nil, nil, nil, false)
	self.Image_1:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.Image_1:setScale9Enabled(true)
	self.Image_1:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.achievementRightPanel_3, self.Image_1)

	self.Sprite_578 = cc.Sprite:create()
	setValue(self.Sprite_578, "XYN_Sprite_578", 165, cc.size(368, 42), cc.p(320, 193.6), nil, nil, nil, nil, nil)
	self.Sprite_578:setScaleX(0.59)
	self.Sprite_578:setScaleY(1)
	self.Sprite_578:setSpriteFrame("ccs/UiImages/common/common_Partsimg_ditiao.png")
	addChildForPre(self.achievementRightPanel_3, self.Sprite_578)

	self.attribute1Label = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.attribute1Label, "XYN_attribute1Label", 138, cc.size(109, 28), cc.p(149.248, 146.762), cc.p(1, 0.5), nil, nil, nil, nil)
	self.attribute1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.achievementRightPanel_3, self.attribute1Label)

	self.attribute2Label = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.attribute2Label, "XYN_attribute2Label", 139, cc.size(109, 28), cc.p(427.264, 146.168), cc.p(1, 0.5), nil, nil, nil, nil)
	self.attribute2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.achievementRightPanel_3, self.attribute2Label)

	self.attribute3Label = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.attribute3Label, "XYN_attribute3Label", 140, cc.size(109, 28), cc.p(149.248, 109.626), cc.p(1, 0.5), nil, nil, nil, nil)
	self.attribute3Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.achievementRightPanel_3, self.attribute3Label)

	self.attribute4Label = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.attribute4Label, "XYN_attribute4Label", 141, cc.size(109, 28), cc.p(429.248, 109.472), cc.p(1, 0.5), nil, nil, nil, nil)
	self.attribute4Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.achievementRightPanel_3, self.attribute4Label)

	self.attribute5Label = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.attribute5Label, "XYN_attribute5Label", 142, cc.size(109, 28), cc.p(149.248, 68.816), cc.p(1, 0.5), nil, nil, nil, nil)
	self.attribute5Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.achievementRightPanel_3, self.attribute5Label)

	self.attributeNumb1Label = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.attributeNumb1Label, "XYN_attributeNumb1Label", 143, cc.size(109, 28), cc.p(195.456, 147.29), cc.p(0, 0.5), cc.c4b(40, 219, 114, 255), nil, nil, nil)
	self.attributeNumb1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.attributeNumb1Label:setColor(cc.c4b(40, 219, 114, 255))
	addChildForPre(self.achievementRightPanel_3, self.attributeNumb1Label)

	self.attributeNumb2Label = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.attributeNumb2Label, "XYN_attributeNumb2Label", 144, cc.size(109, 28), cc.p(473.472, 146.564), cc.p(0, 0.5), cc.c4b(40, 219, 114, 255), nil, nil, nil)
	self.attributeNumb2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.attributeNumb2Label:setColor(cc.c4b(40, 219, 114, 255))
	addChildForPre(self.achievementRightPanel_3, self.attributeNumb2Label)

	self.attributeNumb3Label = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.attributeNumb3Label, "XYN_attributeNumb3Label", 145, cc.size(109, 28), cc.p(195.456, 109.89), cc.p(0, 0.5), cc.c4b(40, 219, 114, 255), nil, nil, nil)
	self.attributeNumb3Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.attributeNumb3Label:setColor(cc.c4b(40, 219, 114, 255))
	addChildForPre(self.achievementRightPanel_3, self.attributeNumb3Label)

	self.attributeNumb4Label = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.attributeNumb4Label, "XYN_attributeNumb4Label", 146, cc.size(109, 28), cc.p(475.456, 109.604), cc.p(0, 0.5), cc.c4b(40, 219, 114, 255), nil, nil, nil)
	self.attributeNumb4Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.attributeNumb4Label:setColor(cc.c4b(40, 219, 114, 255))
	addChildForPre(self.achievementRightPanel_3, self.attributeNumb4Label)

	self.attributeNumb5Label = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.attributeNumb5Label, "XYN_attributeNumb5Label", 147, cc.size(109, 28), cc.p(195.456, 68.816), cc.p(0, 0.5), cc.c4b(40, 219, 114, 255), nil, nil, nil)
	self.attributeNumb5Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.attributeNumb5Label:setColor(cc.c4b(40, 219, 114, 255))
	addChildForPre(self.achievementRightPanel_3, self.attributeNumb5Label)

	self.explainLabel = createLabel({text=[[Text Label]], font=getFont(), size=18})
	setValue(self.explainLabel, "XYN_explainLabel", 148, cc.size(82, 21), cc.p(320, 27.588), nil, cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.explainLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.explainLabel:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.achievementRightPanel_3, self.explainLabel)

	self.formationLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.formationLabel, "XYN_formationLabel", 150, cc.size(109, 28), cc.p(320, 192.764), nil, nil, nil, nil, nil)
	self.formationLabel:setVisible(false)
	self.formationLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.achievementRightPanel_3, self.formationLabel)

	self.achievementAttributeTitle = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.achievementAttributeTitle, "XYN_achievementAttributeTitle", 149, cc.size(91, 23), cc.p(320, 192.764), nil, nil, nil, nil, nil)
	self.achievementAttributeTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.achievementRightPanel_3, self.achievementAttributeTitle)

	if CommonDialogFrame1CloseUi then 
 		self.commonDialogFrame1CloseUi = CommonDialogFrame1CloseUi.new() 
 	else 
		self.commonDialogFrame1CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame1CloseUi, "commonDialogFrame1CloseUi", 54, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/battle.plist",
	"ccs/plist/common.plist",
}

return _M
