-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 336, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 357, cc.size(191, 154), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.skillSelectedSprite = cc.Sprite:create()
	setValue(self.skillSelectedSprite, "skillSelectedSprite", 26, cc.size(100, 100), cc.p(95.5, 77), nil, nil, nil, nil, nil)
	self.skillSelectedSprite:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.rootPanel_1, self.skillSelectedSprite)
	self.skillSelectedSprite_2 = self.skillSelectedSprite

	self.skillIconSprite = cc.Sprite:create()
	setValue(self.skillIconSprite, "skillIconSprite", 82, cc.size(90, 90), cc.p(50, 50), nil, nil, nil, nil, nil)
	self.skillIconSprite:setSpriteFrame("ccs/UiImages/icon/camp_icon_formation_cm1.jpg")
	addChildForPre(self.skillSelectedSprite_2, self.skillIconSprite)

	self.enableSprite = cc.Sprite:create()
	setValue(self.enableSprite, "enableSprite", 283, cc.size(68, 25), cc.p(100, 100), cc.p(1, 1), nil, nil, nil, nil)
	self.enableSprite:setSpriteFrame("ccs/UiImages/common/camp_img_tab.png")
	addChildForPre(self.skillSelectedSprite_2, self.enableSprite)
	self.enableSprite_3 = self.enableSprite

	self.notObtainedLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.notObtainedLabel, "notObtainedLabel", 67, cc.size(91, 23), cc.p(68, 12.5), cc.p(1, 0.5), cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.notObtainedLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.notObtainedLabel:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.enableSprite_3, self.notObtainedLabel)

	self.selectedImage = ccui.ImageView:create()
	setValue(self.selectedImage, "selectedImage", 233, cc.size(101, 105), cc.p(50, 50), nil, nil, nil, nil, false)
	self.selectedImage:setVisible(false)
	self.selectedImage:loadTexture("ccs/UiImages/common/common_img_xuanzhong.png", 1)
	self.selectedImage:setScale9Enabled(true)
	self.selectedImage:setCapInsets(cc.rect(10, 10, 87, 87))
	addChildForPre(self.skillSelectedSprite_2, self.selectedImage)

	self.formationNameLabel = createLabel({text=[[skillTypeLabel]], font=getFont(), size=20})
	setValue(self.formationNameLabel, "formationNameLabel", 103, cc.size(125, 23), cc.p(95.5, 154), cc.p(0.5, 1), nil, nil, nil, nil)
	self.formationNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.formationNameLabel)

	self.levelLabel = createLabel({text=[[levelLabel]], font=getFont(), size=20})
	setValue(self.levelLabel, "levelLabel", 105, cc.size(90, 23), cc.p(95.5, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	self.levelLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.levelLabel)

	self.upgradeLeftCellButton = ccui.Button:create()
	self.upgradeLeftCellButton:setScale9Enabled(true)
	self.upgradeLeftCellButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.upgradeLeftCellButton:setContentSize(cc.size(191, 154))
	setValue(self.upgradeLeftCellButton, "upgradeLeftCellButton", 230, nil, cc.p(95.5, 73.92), nil, nil, nil, nil, false)
	self.upgradeLeftCellButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.upgradeLeftCellButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.upgradeLeftCellButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.upgradeLeftCellButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.upgradeLeftCellButton:setTitleText([[]])
	self.upgradeLeftCellButton:setTitleFontSize(14)
	self.upgradeLeftCellButton:setTitleFontName(getFont())
	setClickEvent(self, self.upgradeLeftCellButton, "upgradeLeftCellButton")
	addChildForPre(self.rootPanel_1, self.upgradeLeftCellButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/icon.plist",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
}

return _M
