-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 1975, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 2018, cc.size(640, 200), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.Image_3 = ccui.ImageView:create()
	setValue(self.Image_3, "Image_3", 2032, cc.size(400, 53), cc.p(355.4277, 49.4279), nil, nil, nil, nil, false)
	self.Image_3:loadTexture("ccs/UiImages/image9/login_img_02.png", 1)
	self.Image_3:setScale9Enabled(true)
	self.Image_3:setCapInsets(cc.rect(10, 10, 36, 33))
	addChildForPre(self.rootPanel_1, self.Image_3)

	self.Image_2 = ccui.ImageView:create()
	setValue(self.Image_2, "Image_2", 2031, cc.size(400, 53), cc.p(355.4277, 133.2135), nil, nil, nil, nil, false)
	self.Image_2:loadTexture("ccs/UiImages/image9/login_img_02.png", 1)
	self.Image_2:setScale9Enabled(true)
	self.Image_2:setCapInsets(cc.rect(10, 10, 36, 33))
	addChildForPre(self.rootPanel_1, self.Image_2)

	self.Sprite_2 = cc.Sprite:create()
	setValue(self.Sprite_2, "Sprite_2", 2030, cc.size(48, 48), cc.p(117.9639, 49.4281), nil, nil, nil, nil, nil)
	self.Sprite_2:setSpriteFrame("ccs/UiImages/login/login_img_01.png")
	addChildForPre(self.rootPanel_1, self.Sprite_2)

	self.Sprite_1 = cc.Sprite:create()
	setValue(self.Sprite_1, "Sprite_1", 2029, cc.size(48, 48), cc.p(117.9642, 133.2138), nil, nil, nil, nil, nil)
	self.Sprite_1:setSpriteFrame("ccs/UiImages/login/login_img_01.png")
	addChildForPre(self.rootPanel_1, self.Sprite_1)

	self.lbPassWord = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.lbPassWord, "lbPassWord", 2034, cc.size(109, 28), cc.p(118.7857, 49.4282), nil, nil, nil, nil, nil)
	self.lbPassWord:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.lbPassWord)

	self.lbUserName = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.lbUserName, "lbUserName", 2033, cc.size(109, 28), cc.p(118.7857, 133.2139), nil, nil, nil, nil, nil)
	self.lbUserName:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.lbUserName)

	self.inputPassw = ccui.EditBox:create(cc.size(380, 40), ccui.Scale9Sprite:create())
	setValue(self.inputPassw, "inputPassw", 2036, cc.size(380, 40), cc.p(353, 50.9281), nil, nil, nil, nil, nil)
	self.inputPassw:setText([[]])
	self.inputPassw:setReturnType(1)
	self.inputPassw:setInputMode(6)
	self.inputPassw:setPlaceHolder([[inputPassword]])
	self.inputPassw:setFontSize(24)
	self.inputPassw:setPlaceholderFontSize(24)
	self.inputPassw:setFontColor(cc.c4b(255, 255, 255, 255))
	self.inputPassw:setFontName(getFont())
	self.inputPassw:setPlaceholderFontName(getFont())
	self.inputPassw:setMaxLength(20)
	addChildForPre(self.rootPanel_1, self.inputPassw)

	self.inputUser = ccui.EditBox:create(cc.size(380, 40), ccui.Scale9Sprite:create())
	setValue(self.inputUser, "inputUser", 2035, cc.size(380, 40), cc.p(353, 136.357), nil, nil, nil, nil, nil)
	self.inputUser:setText([[]])
	self.inputUser:setReturnType(1)
	self.inputUser:setInputMode(6)
	self.inputUser:setPlaceHolder([[inputUserName]])
	self.inputUser:setFontSize(24)
	self.inputUser:setPlaceholderFontSize(24)
	self.inputUser:setFontColor(cc.c4b(255, 255, 255, 255))
	self.inputUser:setFontName(getFont())
	self.inputUser:setPlaceholderFontName(getFont())
	self.inputUser:setMaxLength(20)
	addChildForPre(self.rootPanel_1, self.inputUser)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/login.plist",
}

return _M
