-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 32, cc.size(320, 220), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.Node_5 = cc.Node:create()
	setValue(self.Node_5, "Node_5", 32, nil, cc.p(160, 165), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Node_5)
	self.Node_5_2 = self.Node_5

	self.playerIcon = cc.Sprite:create()
	setValue(self.playerIcon, "playerIcon", 31, cc.size(100, 100), nil, nil, nil, nil, nil, nil)
	self.playerIcon:setTexture("ccs/BigImages/userIcon/pic12.webp")
	addChildForPre(self.Node_5_2, self.playerIcon)

	self.playerName = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.playerName, "playerName", 33, cc.size(91, 23), cc.p(0, -60), nil, nil, nil, nil, nil)
	self.playerName:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Node_5_2, self.playerName)

	self.Image_1 = ccui.ImageView:create()
	setValue(self.Image_1, "Image_1", 388, cc.size(184, 54), cc.p(163.1509, 66.7413), nil, nil, nil, nil, false)
	self.Image_1:loadTexture("ccs/UiImages/image9/login_img_12.png", 1)
	self.Image_1:setScale9Enabled(true)
	self.Image_1:setCapInsets(cc.rect(20, 20, 17, 14))
	addChildForPre(self.rootPanel_1, self.Image_1)

	self.ServerButton = ccui.Button:create()
	self.ServerButton:setScale9Enabled(true)
	self.ServerButton:setCapInsets(cc.rect(-10, 0, 20, 10))
	self.ServerButton:setContentSize(cc.size(278, 170))
	setValue(self.ServerButton, "ServerButton", 201, nil, cc.p(160.7401, 129.4024), nil, nil, nil, nil, false)
	self.ServerButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.ServerButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.ServerButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.ServerButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.ServerButton:setTitleText([[]])
	self.ServerButton:setTitleColor(cc.c3b(255, 0, 0))
	self.ServerButton:setTitleFontSize(25)
	self.ServerButton:setTitleFontName(getFont())
	setClickEvent(self, self.ServerButton, "ServerButton")
	addChildForPre(self.rootPanel_1, self.ServerButton)

	self.lbTitle = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.lbTitle, "lbTitle", 389, cc.size(109, 28), cc.p(160.74, 68.8933), nil, cc.c4b(255, 0, 0, 255), nil, nil, nil)
	self.lbTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.lbTitle:setColor(cc.c4b(255, 0, 0, 255))
	addChildForPre(self.rootPanel_1, self.lbTitle)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/BigImages/userIcon/pic12.png",
	"ccs/plist/login.plist",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
}

return _M
