-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 3, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 3938, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 13, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.buttonPanelPVP = ccui.Layout:create()
	setValue(self.buttonPanelPVP, "XYN_buttonPanelPVP", 52, cc.size(640, 400), cc.p(320, 652.8), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.buttonPanelPVP)
	self.buttonPanelPVP_3 = self.buttonPanelPVP

	self.btnPvp = ccui.Button:create()
	self.btnPvp:setScale9Enabled(true)
	self.btnPvp:setCapInsets(cc.rect(0, 0, 10, 10))
	self.btnPvp:setContentSize(cc.size(640, 400))
	setValue(self.btnPvp, "btnPvp", 864, nil, cc.p(320, 200), nil, nil, nil, nil, false)
	self.btnPvp:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.btnPvp:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.btnPvp:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.btnPvp:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.btnPvp:setTitleText([[Button]])
	self.btnPvp:setTitleColor(cc.c3b(65, 65, 70))
	self.btnPvp:setTitleFontSize(14)
	self.btnPvp:setTitleFontName(getFont())
	setClickEvent(self, self.btnPvp, "btnPvp")
	addChildForPre(self.buttonPanelPVP_3, self.btnPvp)

	self.pvpIcon = cc.Sprite:create()
	setValue(self.pvpIcon, "pvpIcon", 195, cc.size(593, 375), cc.p(318.976, 205.72), nil, nil, nil, nil, nil)
	self.pvpIcon:setTexture("ccs/BigImages/background/countryBattle_img_pvp_1.webp")
	addChildForPre(self.buttonPanelPVP_3, self.pvpIcon)

	self.imagelineBot = ccui.ImageView:create()
	setValue(self.imagelineBot, "imagelineBot", 61, cc.size(601.6, 52), cc.p(320.0003, 40.9014), nil, nil, nil, nil, false)
	self.imagelineBot:loadTexture("ccs/UiImages/image9/common_s9_diban1.png", 1)
	self.imagelineBot:setScale9Enabled(true)
	self.imagelineBot:setCapInsets(cc.rect(5, 5, 14, 14))
	addChildForPre(self.buttonPanelPVP_3, self.imagelineBot)

	self.lbDescText = createLabel({text=[[Text Label]], font=getFont(), size=30})
	setValue(self.lbDescText, "lbDescText", 62, cc.size(136, 34), cc.p(320.0002, 39.9016), nil, nil, nil, nil, nil)
	self.lbDescText:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.buttonPanelPVP_3, self.lbDescText)

	self.buttonPanelPVE = ccui.Layout:create()
	setValue(self.buttonPanelPVE, "XYN_buttonPanelPVE", 54, cc.size(640, 400), cc.p(320, 240), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.buttonPanelPVE)
	self.buttonPanelPVE_3 = self.buttonPanelPVE

	self.btnPve = ccui.Button:create()
	self.btnPve:setScale9Enabled(true)
	self.btnPve:setCapInsets(cc.rect(0, 0, 10, 10))
	self.btnPve:setContentSize(cc.size(640, 400))
	setValue(self.btnPve, "btnPve", 1018, nil, cc.p(320, 200), nil, nil, nil, nil, false)
	self.btnPve:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.btnPve:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.btnPve:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.btnPve:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.btnPve:setTitleText([[Button]])
	self.btnPve:setTitleColor(cc.c3b(65, 65, 70))
	self.btnPve:setTitleFontSize(14)
	self.btnPve:setTitleFontName(getFont())
	setClickEvent(self, self.btnPve, "btnPve")
	addChildForPre(self.buttonPanelPVE_3, self.btnPve)

	self.pvpIcon_Copy = cc.Sprite:create()
	setValue(self.pvpIcon_Copy, "pvpIcon_Copy", 56, cc.size(593, 375), cc.p(318.016, 205), nil, nil, nil, nil, nil)
	self.pvpIcon_Copy:setTexture("ccs/BigImages/background/countryBattle_img_pve_1.webp")
	addChildForPre(self.buttonPanelPVE_3, self.pvpIcon_Copy)

	self.imagelineMid_Copy = ccui.ImageView:create()
	setValue(self.imagelineMid_Copy, "imagelineMid_Copy", 65, cc.size(601.6, 52), cc.p(320, 40.68), nil, nil, nil, nil, false)
	self.imagelineMid_Copy:loadTexture("ccs/UiImages/image9/common_s9_diban1.png", 1)
	self.imagelineMid_Copy:setScale9Enabled(true)
	self.imagelineMid_Copy:setCapInsets(cc.rect(5, 5, 14, 14))
	addChildForPre(self.buttonPanelPVE_3, self.imagelineMid_Copy)

	self.lbTitleTextZB = createLabel({text=[[Text Label]], font=getFont(), size=30})
	setValue(self.lbTitleTextZB, "lbTitleTextZB", 66, cc.size(136, 34), cc.p(320, 41.68), nil, nil, nil, nil, nil)
	self.lbTitleTextZB:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.buttonPanelPVE_3, self.lbTitleTextZB)

	if CommonDialogFrame1CloseUi then 
 		self.commonDialogFrame1CloseUi = CommonDialogFrame1CloseUi.new() 
 	else 
		self.commonDialogFrame1CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame1CloseUi, "commonDialogFrame1CloseUi", 3950, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
	"ccs/BigImages/background/countryBattle_img_pvp_1.jpg",
	"ccs/BigImages/background/countryBattle_img_pve_1.jpg",
}

return _M
