-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 3247, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 48, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	setBgColor(self.rootPanel, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 251, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.ButtomPanel = ccui.Layout:create()
	setValue(self.ButtomPanel, "WXN_ButtomPanel", 264, cc.size(640, 125), nil, nil, nil, nil, nil, nil)
	setBgColor(self.ButtomPanel, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.ButtomPanel)
	self.ButtomPanel_2 = self.ButtomPanel

	self.buttomslice = ccui.ImageView:create()
	setValue(self.buttomslice, "buttomslice", 315, cc.size(640, 30), cc.p(0, 104), cc.p(0, 0), nil, nil, nil, nil)
	self.buttomslice:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	addChildForPre(self.ButtomPanel_2, self.buttomslice)

	self.buttomLabel = createLabel({text=[[每日1：00到10：00点]], font=getFont(), size=20})
	setValue(self.buttomLabel, "buttomLabel", 366, cc.size(197, 23), cc.p(229.4672, 85.8169), nil, nil, nil, nil, nil)
	self.buttomLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.ButtomPanel_2, self.buttomLabel)

	self.ChangeButton = ccui.Button:create()
	setValue(self.ChangeButton, "ChangeButton", 367, cc.size(153, 64), cc.p(309.6873, 43.7742), nil, nil, nil, nil, false)
	self.ChangeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.ChangeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.ChangeButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.ChangeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.ChangeButton:setTitleText([[换一批]])
	self.ChangeButton:setTitleColor(cc.c3b(65, 65, 70))
	self.ChangeButton:setTitleFontSize(14)
	self.ChangeButton:setTitleFontName(getFont())
	setClickEvent(self, self.ChangeButton, "ChangeButton")
	addChildForPre(self.ButtomPanel_2, self.ChangeButton)

	self.ContentPanel = ccui.Layout:create()
	setValue(self.ContentPanel, "AXY_ContentPanel", 468, cc.size(640, 845), cc.p(0.0001, 113.1345), nil, nil, nil, nil, nil)
	setBgColor(self.ContentPanel, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.ContentPanel)
	self.ContentPanel_2 = self.ContentPanel

	self.homeButton = ccui.Button:create()
	setValue(self.homeButton, "LTN_homeButton", 519, cc.size(80, 60), cc.p(39.1767, 805.9326), nil, nil, nil, nil, nil)
	self.homeButton:loadTextureNormal("ccs/UiImages/common/common_btn_home_0.png", 1)
	self.homeButton:loadTexturePressed("ccs/UiImages/common/common_btn_home_0.png", 1)
	self.homeButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.homeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.homeButton:setTitleText([[]])
	self.homeButton:setTitleColor(cc.c3b(65, 65, 70))
	self.homeButton:setTitleFontSize(14)
	self.homeButton:setTitleFontName(getFont())
	setClickEvent(self, self.homeButton, "homeButton")
	addChildForPre(self.ContentPanel_2, self.homeButton)

	self.closeButton = ccui.Button:create()
	setValue(self.closeButton, "RTN_closeButton", 520, cc.size(80, 60), cc.p(604.4498, 801.4241), nil, nil, nil, nil, nil)
	self.closeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_close_0.png", 1)
	self.closeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_close_1.png", 1)
	self.closeButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.closeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.closeButton:setTitleText([[]])
	self.closeButton:setTitleColor(cc.c3b(65, 65, 70))
	self.closeButton:setTitleFontSize(14)
	self.closeButton:setTitleFontName(getFont())
	setClickEvent(self, self.closeButton, "closeButton")
	addChildForPre(self.ContentPanel_2, self.closeButton)

	self.ContentPanel = ccui.Layout:create()
	setValue(self.ContentPanel, "AXY_ContentPanel", 749, cc.size(640, 750), cc.p(0.0001, 9.328), nil, nil, nil, nil, nil)
	setBgColor(self.ContentPanel, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.ContentPanel_2, self.ContentPanel)
	self.ContentPanel_3 = self.ContentPanel

	self.TitleLabel = createLabel({text=[[每次消耗一个寻宝令]], font=getFont(), size=24})
	setValue(self.TitleLabel, "TitleLabel", 750, cc.size(216, 28), cc.p(322.7462, 720.1139), nil, nil, nil, nil, nil)
	self.TitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.ContentPanel_3, self.TitleLabel)

	self.ContentListPanel = ccui.Layout:create()
	setValue(self.ContentListPanel, "ContentListPanel", 751, cc.size(610, 700), cc.p(13.0567, 5.5956), nil, nil, nil, nil, nil)
	setBgColor(self.ContentListPanel, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.ContentPanel_3, self.ContentListPanel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"Default/Button_Disable.png",
	"ccs/plist/common.plist",
}

return _M
