-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 1328, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 1329, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	setBgColor(self.rootPanel, 1, 217, cc.c4b(0, 0, 0, 255), nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.closeButton = ccui.Button:create()
	self.closeButton:setScale9Enabled(true)
	self.closeButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.closeButton:setContentSize(cc.size(640, 960))
	setValue(self.closeButton, "closeButton", 21, nil, cc.p(320, 480), nil, nil, nil, nil, false)
	self.closeButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.closeButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.closeButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.closeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.closeButton:setTitleText([[]])
	self.closeButton:setTitleColor(cc.c3b(65, 65, 70))
	self.closeButton:setTitleFontSize(14)
	self.closeButton:setTitleFontName(getFont())
	setClickEvent(self, self.closeButton, "closeButton")
	addChildForPre(self.rootPanel_1, self.closeButton)

	if CommonUpgradeDialog then 
 		self.CommonUpgradeDialog = CommonUpgradeDialog.new() 
 	else 
		self.CommonUpgradeDialog = BaseUi.new("ccs/ui/commonDialog/CommonUpgradeDialog.lua")
 	end 
	setValue(self.CommonUpgradeDialog, "CommonUpgradeDialog", 297, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.CommonUpgradeDialog)

	self.contentPanel = ccui.Layout:create()
	setValue(self.contentPanel, "XYN_contentPanel", 1330, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.contentPanel)
	self.contentPanel_2 = self.contentPanel

	self.titleSprite = cc.Sprite:create()
	setValue(self.titleSprite, "titleSprite", 330, cc.size(46, 46), cc.p(320, 664), nil, nil, nil, nil, nil)
	self.titleSprite:setTexture("Default/Sprite.png")
	addChildForPre(self.contentPanel_2, self.titleSprite)

	self.levelLabel = createLabel({text=[[levelLabel]], font=getFont(), size=24})
	setValue(self.levelLabel, "levelLabel", 1340, cc.size(108, 28), cc.p(320, 514.944), nil, cc.c4b(0, 255, 26, 255), nil, nil, nil)
	self.levelLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.levelLabel:setColor(cc.c4b(0, 255, 26, 255))
	addChildForPre(self.contentPanel_2, self.levelLabel)

	self.levelupDescLabel = createLabel({text=[[level]], font=getFont(), size=24})
	setValue(self.levelupDescLabel, "levelupDescLabel", 1343, cc.size(49, 28), cc.p(320, 576), nil, cc.c4b(255, 209, 0, 255), nil, nil, nil)
	self.levelupDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.levelupDescLabel:setColor(cc.c4b(255, 209, 0, 255))
	addChildForPre(self.contentPanel_2, self.levelupDescLabel)

	self.oilLabel = createLabel({text=[[oilLabel]], font=getFont(), size=20,align = 1,valign = 1, dimensions = cc.size(200.0000, 23.0000)})
	setValue(self.oilLabel, "oilLabel", 17, cc.size(200, 23), cc.p(319.9999, 442.7856), nil, nil, nil, nil, false)
	self.oilLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.contentPanel_2, self.oilLabel)

	self.openLabel2 = createLabel({text=[[oilLabel]], font=getFont(), size=20,align = 1,valign = 1, dimensions = cc.size(250.0000, 23.0000)})
	setValue(self.openLabel2, "openLabel2", 1256, cc.size(250, 23), cc.p(210, 341.2148), cc.p(0, 0.5), nil, nil, nil, false)
	self.openLabel2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.contentPanel_2, self.openLabel2)

	self.openLabel1 = createLabel({text=[[oilLabel]], font=getFont(), size=20,align = 1,valign = 1, dimensions = cc.size(250.0000, 23.0000)})
	setValue(self.openLabel1, "openLabel1", 1257, cc.size(250, 23), cc.p(210, 392.0002), cc.p(0, 0.5), nil, nil, nil, false)
	self.openLabel1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.contentPanel_2, self.openLabel1)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"Default/Sprite.png",
}

return _M
