-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 1328, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 1329, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	setBgColor(self.rootPanel, 1, 217, cc.c4b(0, 0, 0, 255), nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.closeButton = ccui.Button:create()
	self.closeButton:setScale9Enabled(true)
	self.closeButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.closeButton:setContentSize(cc.size(640, 960))
	setValue(self.closeButton, "closeButton", 21, nil, cc.p(320, 480), nil, nil, nil, nil, false)
	self.closeButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.closeButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.closeButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.closeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.closeButton:setTitleText([[]])
	self.closeButton:setTitleColor(cc.c3b(65, 65, 70))
	self.closeButton:setTitleFontSize(14)
	self.closeButton:setTitleFontName(getFont())
	setClickEvent(self, self.closeButton, "closeButton")
	addChildForPre(self.rootPanel_1, self.closeButton)

	if CommonUpgradeDialog then 
 		self.CommonUpgradeDialog = CommonUpgradeDialog.new() 
 	else 
		self.CommonUpgradeDialog = BaseUi.new("ccs/ui/commonDialog/CommonUpgradeDialog.lua")
 	end 
	setValue(self.CommonUpgradeDialog, "CommonUpgradeDialog", 281, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.CommonUpgradeDialog)

	self.contentPanel = ccui.Layout:create()
	setValue(self.contentPanel, "XYN_contentPanel", 1330, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.contentPanel)
	self.contentPanel_2 = self.contentPanel

	self.titleSprite = cc.Sprite:create()
	setValue(self.titleSprite, "titleSprite", 455, cc.size(46, 46), cc.p(320, 662.8308), nil, nil, nil, nil, nil)
	self.titleSprite:setTexture("Default/Sprite.png")
	addChildForPre(self.contentPanel_2, self.titleSprite)

	self.currentIcon = cc.Sprite:create()
	setValue(self.currentIcon, "currentIcon", 290, cc.size(100, 100), cc.p(409.6, 416.928), nil, nil, nil, nil, nil)
	self.currentIcon:setScale(0.8)
	self.currentIcon:setSpriteFrame("ccs/UiImages/icon/military_1.jpg")
	addChildForPre(self.contentPanel_2, self.currentIcon)

	self.lastIcon = cc.Sprite:create()
	setValue(self.lastIcon, "lastIcon", 291, cc.size(100, 100), cc.p(230.4, 416.928), nil, nil, nil, nil, nil)
	self.lastIcon:setScale(0.8)
	self.lastIcon:setSpriteFrame("ccs/UiImages/icon/military_1.jpg")
	addChildForPre(self.contentPanel_2, self.lastIcon)

	self.Sprite_37 = cc.Sprite:create()
	setValue(self.Sprite_37, "Sprite_37", 292, cc.size(119, 84), cc.p(320, 416.9452), nil, nil, nil, nil, nil)
	self.Sprite_37:setFlippedX(true)
	self.Sprite_37:setScale(0.7)
	self.Sprite_37:setSpriteFrame("ccs/UiImages/common/common_img_arrow.png")
	addChildForPre(self.contentPanel_2, self.Sprite_37)

	self.lastmilitary = createLabel({text=[[Text]], font=getFont(), size=20})
	setValue(self.lastmilitary, "lastmilitary", 293, cc.size(36, 23), cc.p(230.4, 355.9149), nil, nil, nil, nil, nil)
	self.lastmilitary:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.contentPanel_2, self.lastmilitary)

	self.currentmilitary = createLabel({text=[[Text]], font=getFont(), size=20})
	setValue(self.currentmilitary, "currentmilitary", 294, cc.size(36, 23), cc.p(409.5999, 355.9149), nil, nil, nil, nil, nil)
	self.currentmilitary:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.contentPanel_2, self.currentmilitary)

	self.titleLabel = createLabel({text=[[Text Label]], font=getFont(), size=28})
	setValue(self.titleLabel, "titleLabel", 295, cc.size(127, 32), cc.p(320, 571.296), nil, cc.c4b(255, 224, 0, 255), nil, nil, nil)
	self.titleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.titleLabel:setColor(cc.c4b(255, 224, 0, 255))
	addChildForPre(self.contentPanel_2, self.titleLabel)

	self.militarylabel = createLabel({text=[[Text]], font=getFont(), size=44})
	setValue(self.militarylabel, "militarylabel", 296, cc.size(80, 50), cc.p(322.9599, 513.1309), nil, nil, nil, nil, nil)
	self.militarylabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.contentPanel_2, self.militarylabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
	"Default/Sprite.png",
	"ccs/plist/militaryRank.plist",
}

return _M
