-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_1 = cc.Node:create()
	setValue(self.Node_1, "Node_1", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_1)
 	self.uiRootNode = self.Node_1
	self.Node_1_0 = self.Node_1

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 28, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_1_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonNewUi then 
 		self.CommonNewUi = CommonNewUi.new() 
 	else 
		self.CommonNewUi = BaseUi.new("ccs/ui/commonDialog/CommonNewUi.lua")
 	end 
	setValue(self.CommonNewUi, "CommonNewUi", 1621, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.CommonNewUi)

	self.userPhotoPanel = ccui.Layout:create()
	setValue(self.userPhotoPanel, "WXT_userPhotoPanel", 1718, cc.size(270, 400), cc.p(147.2, 662.4), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.userPhotoPanel)
	self.userPhotoPanel_2 = self.userPhotoPanel

	self.bgImage1 = ccui.ImageView:create()
	setValue(self.bgImage1, "AXY_bgImage1", 93, cc.size(270, 400), cc.p(135, 200), nil, nil, nil, nil, false)
	self.bgImage1:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.bgImage1:setScale9Enabled(true)
	self.bgImage1:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.userPhotoPanel_2, self.bgImage1)

	self.userPhotoSprite = cc.Sprite:create()
	setValue(self.userPhotoSprite, "TXN_userPhotoSprite", 119, cc.size(367, 493), cc.p(135, 216), nil, nil, nil, nil, nil)
	self.userPhotoSprite:setScale(0.75)
	self.userPhotoSprite:setTexture("ccs/BigImages/userHead/userHead_country1_2.webp")
	addChildForPre(self.userPhotoPanel_2, self.userPhotoSprite)

	self.dpsPanel = ccui.Layout:create()
	setValue(self.dpsPanel, "BXN_dpsPanel", 1649, cc.size(265, 47), cc.p(135, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	self.dpsPanel:setBackGroundImage("ccs/UiImages/common/common_img_zhanli.png", 1)
	addChildForPre(self.userPhotoPanel_2, self.dpsPanel)
	self.dpsPanel_3 = self.dpsPanel

	self.dpsTitleLabel = createLabel({text=[[战斗力：]], font=getFont(), size=24})
	setValue(self.dpsTitleLabel, "dpsTitleLabel", 219, cc.size(96, 28), cc.p(23.0815, 25.0698), cc.p(0, 0.5), cc.c4b(238, 1, 8, 255), nil, nil, nil)
	self.dpsTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.dpsTitleLabel:setColor(cc.c4b(238, 1, 8, 255))
	addChildForPre(self.dpsPanel_3, self.dpsTitleLabel)

	self.dpsLabel = createLabel({text=[[1234567890]], font=getFont(), size=24,valign = 1})
	setValue(self.dpsLabel, "dpsLabel", 220, cc.size(133, 28), cc.p(118.0575, 25.0698), cc.p(0, 0.5), cc.c4b(238, 1, 8, 255), nil, nil, nil)
	self.dpsLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.dpsLabel:setColor(cc.c4b(238, 1, 8, 255))
	addChildForPre(self.dpsPanel_3, self.dpsLabel)

	self.vipLabelSprite1 = cc.Sprite:create()
	setValue(self.vipLabelSprite1, "TXN_vipLabelSprite1", 280, cc.size(80, 34), cc.p(16.821, 371.12), cc.p(0, 0.5), nil, nil, nil, nil)
	self.vipLabelSprite1:setScale(0.9)
	self.vipLabelSprite1:setSpriteFrame("ccs/UiImages/mainUiFeeling/commonPanelParts_txt_vip.png")
	addChildForPre(self.userPhotoPanel_2, self.vipLabelSprite1)

	self.vipLabelSprite2 = cc.Sprite:create()
	setValue(self.vipLabelSprite2, "TXN_vipLabelSprite2", 91, cc.size(31, 34), cc.p(107.1614, 371.1129), nil, nil, nil, nil, nil)
	self.vipLabelSprite2:setSpriteFrame("ccs/UiImages/mainUiFeeling/commonPanelParts_txt_vip_1.png")
	addChildForPre(self.userPhotoPanel_2, self.vipLabelSprite2)

	self.countryLabel = createLabel({text=[[联军]], font=getFont(), size=24})
	setValue(self.countryLabel, "TXN_countryLabel", 185, cc.size(48, 28), cc.p(135, 73.36), nil, nil, nil, nil, nil)
	self.countryLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.userPhotoPanel_2, self.countryLabel)

	self.userInfoPanel = ccui.Layout:create()
	setValue(self.userInfoPanel, "WXT_userInfoPanel", 327, cc.size(333, 400), cc.p(460.8, 662.4), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.userInfoPanel)
	self.userInfoPanel_2 = self.userInfoPanel

	self.bgImage2 = ccui.ImageView:create()
	setValue(self.bgImage2, "AXY_bgImage2", 94, cc.size(333, 400), cc.p(166.5, 200), nil, nil, nil, nil, false)
	self.bgImage2:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.bgImage2:setScale9Enabled(true)
	self.bgImage2:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.userInfoPanel_2, self.bgImage2)

	self.modifyButton = ccui.Button:create()
	setValue(self.modifyButton, "TXN_modifyButton", 109, cc.size(81, 26), cc.p(136.53, 300), nil, cc.c4b(0, 183, 238, 255), nil, nil, false)
	self.modifyButton:loadTextureNormal("ccs/UiImages/image9/Underline.png", 1)
	self.modifyButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.modifyButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.modifyButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.modifyButton:setTitleText([[修改角色名称]])
	self.modifyButton:setTitleFontSize(20)
	self.modifyButton:setTitleFontName(getFont())
	setClickEvent(self, self.modifyButton, "modifyButton")
	addChildForPre(self.userInfoPanel_2, self.modifyButton)

	self.UserRename = cc.Sprite:create()
	setValue(self.UserRename, "TXN_UserRename", 54, cc.size(100, 100), cc.p(35.3313, 300), nil, nil, nil, nil, nil)
	self.UserRename:setScale(0.5)
	self.UserRename:setSpriteFrame("ccs/UiImages/icon/juesegengmingka.png")
	addChildForPre(self.userInfoPanel_2, self.UserRename)

	self.usernamePanel = ccui.Layout:create()
	setValue(self.usernamePanel, "TXN_usernamePanel", 533, cc.size(333, 40), cc.p(166.5, 360), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.userInfoPanel_2, self.usernamePanel)
	self.usernamePanel_3 = self.usernamePanel

	self.userNameBGImage = ccui.ImageView:create()
	setValue(self.userNameBGImage, "userNameBGImage", 119, cc.size(208, 33), cc.p(64.0026, 20), cc.p(0, 0.5), nil, nil, nil, false)
	self.userNameBGImage:loadTexture("ccs/UiImages/image9/common_img_jiemian04.png", 1)
	self.userNameBGImage:setScale9Enabled(true)
	self.userNameBGImage:setCapInsets(cc.rect(20, 0, 216, 19))
	addChildForPre(self.usernamePanel_3, self.userNameBGImage)

	self.nicknameLabel = createLabel({text=[[玩家昵称玩家昵称]], font=getFont(), size=24})
	setValue(self.nicknameLabel, "nicknameLabel", 32, cc.size(192, 28), cc.p(70.0632, 20), cc.p(0, 0.5), nil, nil, nil, nil)
	self.nicknameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.usernamePanel_3, self.nicknameLabel)

	self.militaryRankIcon = cc.Sprite:create()
	setValue(self.militaryRankIcon, "militaryRankIcon", 1720, cc.size(100, 100), cc.p(35.3313, 20), nil, nil, nil, nil, nil)
	self.militaryRankIcon:setScale(0.5)
	self.militaryRankIcon:setSpriteFrame("ccs/UiImages/icon/military_1.jpg")
	addChildForPre(self.usernamePanel_3, self.militaryRankIcon)

	self.MainUiNamePlate = ccui.Layout:create()
	setValue(self.MainUiNamePlate, "TXN_MainUiNamePlate", 447, cc.size(46, 46), cc.p(19.98, 231.28), nil, nil, nil, nil, nil)
	addChildForPre(self.userInfoPanel_2, self.MainUiNamePlate)
	self.MainUiNamePlate_3 = self.MainUiNamePlate

	self.levelTitleLabel = createLabel({text=[[Lv]], font=getFont(), size=24,align = 2,valign = 1})
	setValue(self.levelTitleLabel, "levelTitleLabel", 34, cc.size(25, 28), cc.p(0.8878, 23), nil, nil, nil, nil, nil)
	self.levelTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.MainUiNamePlate_3, self.levelTitleLabel)

	self.levelLabel = createLabel({text=[[100]], font=getFont(), size=24,valign = 1})
	setValue(self.levelLabel, "levelLabel", 116, cc.size(40, 28), cc.p(15.1432, 23), cc.p(0, 0.5), nil, nil, nil, nil)
	self.levelLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.MainUiNamePlate_3, self.levelLabel)

	self.userProgressb = cc.Sprite:create()
	setValue(self.userProgressb, "userProgressb", 173, cc.size(245, 24), cc.p(59.9794, 23), cc.p(0, 0.5), nil, nil, nil, nil)
	self.userProgressb:setScaleX(0.97)
	self.userProgressb:setScaleY(1)
	self.userProgressb:setSpriteFrame("ccs/UiImages/battle/s9_img_expa.png")
	addChildForPre(self.MainUiNamePlate_3, self.userProgressb)

	local progressSprite = cc.Sprite:createWithSpriteFrameName("ccs/UiImages/battle/s9_img_expb.png")
	self.levelLoadingBar = cc.ProgressTimer:create(progressSprite)
	setValue(self.levelLoadingBar, "levelLoadingBar", 178, cc.size(245, 24), cc.p(60.1174, 23), cc.p(0, 0.5), nil, nil, nil, nil)
	self.levelLoadingBar:setScaleX(0.97)
	self.levelLoadingBar:setScaleY(1)
	self.levelLoadingBar:setPercentage(100)
	self.levelLoadingBar:setType(1)
	self.levelLoadingBar:setBarChangeRate({x=1,y=0})
	self.levelLoadingBar:setMidpoint({x = 0,y = 0})
	addChildForPre(self.MainUiNamePlate_3, self.levelLoadingBar)

	self.progressLabel = createLabel({text=[[progressLabel]], font=getFont(), size=18})
	setValue(self.progressLabel, "progressLabel", 3780, cc.size(114, 21), cc.p(178.3972, 23), nil, nil, nil, nil, nil)
	self.progressLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.MainUiNamePlate_3, self.progressLabel)

	self.IdPanel = ccui.Layout:create()
	setValue(self.IdPanel, "TXN_IdPanel", 258, cc.size(200, 50), cc.p(166.5, 40), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.IdPanel:setBackGroundImage("ccs/UiImages/common/common_img_id.png", 1)
	addChildForPre(self.userInfoPanel_2, self.IdPanel)
	self.IdPanel_3 = self.IdPanel

	self.idTitleLabel = createLabel({text=[[ID:]], font=getFont(), size=24})
	setValue(self.idTitleLabel, "idTitleLabel", 37, cc.size(30, 28), cc.p(16, 25), cc.p(0, 0.5), nil, nil, nil, nil)
	self.idTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.IdPanel_3, self.idTitleLabel)

	self.idLabel = createLabel({text=[[10000000]], font=getFont(), size=24,valign = 1})
	setValue(self.idLabel, "idLabel", 117, cc.size(106, 28), cc.p(60, 25), cc.p(0, 0.5), nil, nil, nil, nil)
	self.idLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.IdPanel_3, self.idLabel)

	self.gemPanel = ccui.Layout:create()
	setValue(self.gemPanel, "TXN_gemPanel", 1712, cc.size(320, 30), cc.p(2.1978, 131.76), nil, nil, nil, nil, nil)
	addChildForPre(self.userInfoPanel_2, self.gemPanel)
	self.gemPanel_3 = self.gemPanel

	self.gemTitleLabel = createLabel({text=[[钻  石:]], font=getFont(), size=24})
	setValue(self.gemTitleLabel, "gemTitleLabel", 1713, cc.size(68, 28), cc.p(11.68, 15), cc.p(0, 0.5), cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.gemTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.gemTitleLabel:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.gemPanel_3, self.gemTitleLabel)

	self.gemLabel = createLabel({text=[[0000000000]], font=getFont(), size=24,valign = 1})
	setValue(self.gemLabel, "gemLabel", 1714, cc.size(133, 28), cc.p(140.64, 15), cc.p(0, 0.5), nil, nil, nil, nil)
	self.gemLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.gemPanel_3, self.gemLabel)

	self.gemImage = cc.Sprite:create()
	setValue(self.gemImage, "gemImage", 627, cc.size(46, 38), cc.p(108.64, 15), nil, nil, nil, nil, nil)
	self.gemImage:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainUi_zuanshi.png")
	addChildForPre(self.gemPanel_3, self.gemImage)

	self.goldPanel = ccui.Layout:create()
	setValue(self.goldPanel, "TXN_goldPanel", 1715, cc.size(320, 30), cc.p(2.1978, 83.52), nil, nil, nil, nil, nil)
	addChildForPre(self.userInfoPanel_2, self.goldPanel)
	self.goldPanel_3 = self.goldPanel

	self.goldTitleLabel = createLabel({text=[[金  币:]], font=getFont(), size=24})
	setValue(self.goldTitleLabel, "goldTitleLabel", 1716, cc.size(68, 28), cc.p(11.68, 15), cc.p(0, 0.5), cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.goldTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.goldTitleLabel:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.goldPanel_3, self.goldTitleLabel)

	self.goldLabel = createLabel({text=[[0000000000]], font=getFont(), size=24,valign = 1})
	setValue(self.goldLabel, "goldLabel", 1717, cc.size(133, 28), cc.p(143.168, 15), cc.p(0, 0.5), nil, nil, nil, nil)
	self.goldLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.goldPanel_3, self.goldLabel)

	self.goldImage = cc.Sprite:create()
	setValue(self.goldImage, "goldImage", 626, cc.size(32, 37), cc.p(111.168, 15), nil, nil, nil, nil, nil)
	self.goldImage:setSpriteFrame("ccs/UiImages/common/icon_gold.png")
	addChildForPre(self.goldPanel_3, self.goldImage)

	self.speedPanel = ccui.Layout:create()
	setValue(self.speedPanel, "TXN_speedPanel", 259, cc.size(320, 30), cc.p(2.1978, 180), nil, nil, nil, nil, nil)
	addChildForPre(self.userInfoPanel_2, self.speedPanel)
	self.speedPanel_3 = self.speedPanel

	self.speedTitleLabel = createLabel({text=[[速  度:]], font=getFont(), size=24})
	setValue(self.speedTitleLabel, "speedTitleLabel", 120, cc.size(68, 28), cc.p(11.68, 16.209), cc.p(0, 0.5), cc.c4b(255, 85, 0, 255), nil, nil, nil)
	self.speedTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.speedTitleLabel:setColor(cc.c4b(255, 85, 0, 255))
	addChildForPre(self.speedPanel_3, self.speedTitleLabel)

	self.speedLabel = createLabel({text=[[0000000000]], font=getFont(), size=24,valign = 1})
	setValue(self.speedLabel, "speedLabel", 118, cc.size(133, 28), cc.p(104.48, 16.209), cc.p(0, 0.5), nil, nil, nil, nil)
	self.speedLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.speedPanel_3, self.speedLabel)

	self.userLabelPanel = ccui.Layout:create()
	setValue(self.userLabelPanel, "XIN_userLabelPanel", 628, cc.size(640, 327), cc.p(320, 288), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.userLabelPanel)
	self.userLabelPanel_2 = self.userLabelPanel

	self.orderPanel = ccui.Layout:create()
	setValue(self.orderPanel, "XYN_orderPanel", 275, cc.size(260, 40), cc.p(19.2, 127.53), cc.p(0, 0.5), nil, nil, nil, nil)
	addChildForPre(self.userLabelPanel_2, self.orderPanel)
	self.orderPanel_3 = self.orderPanel

	self.orderTitleLabel = createLabel({text=[[寻宝令:]], font=getFont(), size=24})
	setValue(self.orderTitleLabel, "orderTitleLabel", 276, cc.size(78, 28), cc.p(7.8, 20), cc.p(0, 0.5), cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.orderTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.orderTitleLabel:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.orderPanel_3, self.orderTitleLabel)

	self.orderLabel = createLabel({text=[[10000000]], font=getFont(), size=24,valign = 1})
	setValue(self.orderLabel, "orderLabel", 277, cc.size(106, 28), cc.p(169, 20), cc.p(0, 0.5), nil, nil, nil, nil)
	self.orderLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.orderPanel_3, self.orderLabel)

	self.orderSprite = cc.Sprite:create()
	setValue(self.orderSprite, "orderSprite", 278, cc.size(100, 100), cc.p(143, 20), nil, nil, nil, nil, nil)
	self.orderSprite:setScale(0.35)
	self.orderSprite:setSpriteFrame("ccs/UiImages/icon/lueduoling.png")
	addChildForPre(self.orderPanel_3, self.orderSprite)

	self.orderSpeedPanel = ccui.Layout:create()
	setValue(self.orderSpeedPanel, "XYN_orderSpeedPanel", 279, cc.size(300, 40), cc.p(19.2, 85.02), cc.p(0, 0.5), nil, nil, nil, nil)
	addChildForPre(self.userLabelPanel_2, self.orderSpeedPanel)
	self.orderSpeedPanel_3 = self.orderSpeedPanel

	self.orderSpeedPanelLabel = createLabel({text=[[回复时间：]], font=getFont(), size=24})
	setValue(self.orderSpeedPanelLabel, "orderSpeedPanelLabel", 280, cc.size(120, 28), cc.p(9, 14.996), cc.p(0, 0.5), cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.orderSpeedPanelLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.orderSpeedPanelLabel:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.orderSpeedPanel_3, self.orderSpeedPanelLabel)

	self.orderSpeedLabel = createLabel({text=[[0000000000]], font=getFont(), size=24,valign = 1})
	setValue(self.orderSpeedLabel, "orderSpeedLabel", 281, cc.size(133, 28), cc.p(136.95, 14.996), cc.p(0, 0.5), nil, nil, nil, nil)
	self.orderSpeedLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.orderSpeedPanel_3, self.orderSpeedLabel)

	self.orderSpeedAllPanel = ccui.Layout:create()
	setValue(self.orderSpeedAllPanel, "XYN_orderSpeedAllPanel", 1709, cc.size(300, 50), cc.p(335.04, 80.0169), cc.p(0, 0.5), nil, nil, nil, nil)
	addChildForPre(self.userLabelPanel_2, self.orderSpeedAllPanel)
	self.orderSpeedAllPanel_3 = self.orderSpeedAllPanel

	self.orderSpeedAllPanelLabel = createLabel({text=[[回满时间：]], font=getFont(), size=24})
	setValue(self.orderSpeedAllPanelLabel, "orderSpeedAllPanelLabel", 1710, cc.size(120, 28), cc.p(9, 25), cc.p(0, 0.5), cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.orderSpeedAllPanelLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.orderSpeedAllPanelLabel:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.orderSpeedAllPanel_3, self.orderSpeedAllPanelLabel)

	self.orderSpeedAllLabel = createLabel({text=[[0000000000]], font=getFont(), size=24,valign = 1})
	setValue(self.orderSpeedAllLabel, "orderSpeedAllLabel", 1711, cc.size(133, 28), cc.p(135, 25), cc.p(0, 0.5), nil, nil, nil, nil)
	self.orderSpeedAllLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.orderSpeedAllPanel_3, self.orderSpeedAllLabel)

	self.oilSpeedAllPanel = ccui.Layout:create()
	setValue(self.oilSpeedAllPanel, "XYN_oilSpeedAllPanel", 1706, cc.size(300, 40), cc.p(332.8, 206.01), cc.p(0, 0.5), nil, nil, nil, nil)
	addChildForPre(self.userLabelPanel_2, self.oilSpeedAllPanel)
	self.oilSpeedAllPanel_3 = self.oilSpeedAllPanel

	self.oilSpeedAllPanelLabel = createLabel({text=[[回满时间：]], font=getFont(), size=24})
	setValue(self.oilSpeedAllPanelLabel, "oilSpeedAllPanelLabel", 1707, cc.size(120, 28), cc.p(9, 20), cc.p(0, 0.5), cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.oilSpeedAllPanelLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.oilSpeedAllPanelLabel:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.oilSpeedAllPanel_3, self.oilSpeedAllPanelLabel)

	self.oliSpeedAllLabel = createLabel({text=[[0000000000]], font=getFont(), size=24,valign = 1})
	setValue(self.oliSpeedAllLabel, "oliSpeedAllLabel", 1708, cc.size(133, 28), cc.p(138, 20), cc.p(0, 0.5), nil, nil, nil, nil)
	self.oliSpeedAllLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.oilSpeedAllPanel_3, self.oliSpeedAllLabel)

	self.oilSpeedPanel = ccui.Layout:create()
	setValue(self.oilSpeedPanel, "XYN_oilSpeedPanel", 271, cc.size(300, 40), cc.p(19.2, 206.01), cc.p(0, 0.5), nil, nil, nil, nil)
	addChildForPre(self.userLabelPanel_2, self.oilSpeedPanel)
	self.oilSpeedPanel_3 = self.oilSpeedPanel

	self.oilSpeedPanelLabel = createLabel({text=[[回复时间：]], font=getFont(), size=24})
	setValue(self.oilSpeedPanelLabel, "oilSpeedPanelLabel", 272, cc.size(120, 28), cc.p(9, 20), cc.p(0, 0.5), cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.oilSpeedPanelLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.oilSpeedPanelLabel:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.oilSpeedPanel_3, self.oilSpeedPanelLabel)

	self.oliSpeedLabel = createLabel({text=[[0000000000]], font=getFont(), size=24,valign = 1})
	setValue(self.oliSpeedLabel, "oliSpeedLabel", 273, cc.size(133, 28), cc.p(138, 20), cc.p(0, 0.5), nil, nil, nil, nil)
	self.oliSpeedLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.oilSpeedPanel_3, self.oliSpeedLabel)

	self.oilPanel = ccui.Layout:create()
	setValue(self.oilPanel, "XYN_oilPanel", 266, cc.size(230, 40), cc.p(19.2, 232.17), nil, nil, nil, nil, nil)
	addChildForPre(self.userLabelPanel_2, self.oilPanel)
	self.oilPanel_3 = self.oilPanel

	self.oilTitleLabel = createLabel({text=[[原油:]], font=getFont(), size=24})
	setValue(self.oilTitleLabel, "oilTitleLabel", 269, cc.size(54, 28), cc.p(6.9, 20), cc.p(0, 0.5), cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.oilTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.oilTitleLabel:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.oilPanel_3, self.oilTitleLabel)

	self.oilLabel = createLabel({text=[[10000000]], font=getFont(), size=24,valign = 1})
	setValue(self.oilLabel, "oilLabel", 270, cc.size(106, 28), cc.p(126.5, 20), cc.p(0, 0.5), nil, nil, nil, nil)
	self.oilLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.oilPanel_3, self.oilLabel)

	self.oilSprite = cc.Sprite:create()
	setValue(self.oilSprite, "oilSprite", 274, cc.size(35, 35), cc.p(103.5, 21.116), nil, nil, nil, nil, nil)
	self.oilSprite:setSpriteFrame("ccs/UiImages/common/commonIcon_icon_oil_2.png")
	addChildForPre(self.oilPanel_3, self.oilSprite)

	self.userLabelBgImage = cc.Sprite:create()
	setValue(self.userLabelBgImage, "TXN_userLabelBgImage", 629, cc.size(640, 30), cc.p(320, 327), nil, nil, nil, nil, nil)
	self.userLabelBgImage:setFlippedY(true)
	self.userLabelBgImage:setSpriteFrame("ccs/UiImages/image9/common_img_jiemian03.png")
	addChildForPre(self.userLabelPanel_2, self.userLabelBgImage)

	self.buttonPanel = ccui.Layout:create()
	setValue(self.buttonPanel, "WXB_buttonPanel", 245, cc.size(640, 125), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.buttonPanel)
	self.buttonPanel_2 = self.buttonPanel

	self.TipsButton = ccui.Button:create()
	setValue(self.TipsButton, "XNN_TipsButton", 1702, cc.size(153, 64), cc.p(480, 57.5), nil, nil, nil, nil, false)
	self.TipsButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.TipsButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.TipsButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.TipsButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.TipsButton:setTitleText([[攻略]])
	self.TipsButton:setTitleFontSize(25)
	self.TipsButton:setTitleFontName(getFont())
	setClickEvent(self, self.TipsButton, "TipsButton")
	addChildForPre(self.buttonPanel_2, self.TipsButton)

	self.systemButton = ccui.Button:create()
	setValue(self.systemButton, "XNN_systemButton", 144, cc.size(153, 64), cc.p(160, 57.5), nil, nil, nil, nil, false)
	self.systemButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.systemButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.systemButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.systemButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.systemButton:setTitleText([[系统设置]])
	self.systemButton:setTitleFontSize(25)
	self.systemButton:setTitleFontName(getFont())
	setClickEvent(self, self.systemButton, "systemButton")
	addChildForPre(self.buttonPanel_2, self.systemButton)

	self.buttonTopImage = ccui.ImageView:create()
	setValue(self.buttonTopImage, "WXN_buttonTopImage", 692, cc.size(640, 30), cc.p(320, 117.5), nil, nil, nil, nil, false)
	self.buttonTopImage:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.buttonTopImage:setScale9Enabled(true)
	self.buttonTopImage:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.buttonPanel_2, self.buttonTopImage)

	self.buttonEndImage = ccui.ImageView:create()
	setValue(self.buttonEndImage, "WXN_buttonEndImage", 693, cc.size(640, 8), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.buttonEndImage:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	self.buttonEndImage:setScale9Enabled(true)
	self.buttonEndImage:setCapInsets(cc.rect(0, 0, 640, 8))
	addChildForPre(self.buttonPanel_2, self.buttonEndImage)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 138.0000, 20.0000, nil))
	timeLine:setNode(self.oliSpeedAllLabel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.oliSpeedAllLabel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.oliSpeedAllLabel)
	return self
end

_M.textures = {
	"ccs/plist/battle.plist",
	"ccs/BigImages/userHead/userHead_country1_2.png",
	"ccs/plist/common.plist",
	"ccs/plist/icon.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/militaryRank.plist",
	"ccs/plist/winLose.plist",
	"ccs/plist/mainUiFeeling.plist",
}

return _M
