-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 158, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 407, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "AXY_Panel", 159, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Panel)
	self.Panel_2 = self.Panel

	self.plane1 = cc.Sprite:create()
	setValue(self.plane1, "XYN_plane1", 227, cc.size(432, 99), cc.p(-84.1036, 769.177), nil, nil, nil, nil, nil)
	self.plane1:setScale(0.845)
	self.plane1:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainUi_plane.png")
	addChildForPre(self.Panel_2, self.plane1)

	self.plane2 = cc.Sprite:create()
	setValue(self.plane2, "XYN_plane2", 228, cc.size(432, 99), cc.p(184.5705, 625.853), nil, nil, nil, nil, nil)
	self.plane2:setScale(0.575)
	self.plane2:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainUi_plane.png")
	addChildForPre(self.Panel_2, self.plane2)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(79)
	self.animation:setTimeSpeed(1)
	local timeLine
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 541.8700, 520.5601, nil))
	timeLine:addFrame(CreatePositionFrame(10, true, 432.1300, 548.5600, nil))
	timeLine:addFrame(CreatePositionFrame(20, true, 312.3958, 586.8323, nil))
	timeLine:addFrame(CreatePositionFrame(40, true, 78.1786, 697.9620, nil))
	timeLine:addFrame(CreatePositionFrame(60, true, -216.8799, 827.4438, nil))
	timeLine:addFrame(CreatePositionFrame(61, true, -216.8799, 827.4438, nil))
	timeLine:setNode(self.plane1)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 0.0800, 0.0800, nil))
	timeLine:addFrame(CreateScaleFrame(60, true, 0.9800, 0.9800, nil))
	timeLine:addFrame(CreateScaleFrame(61, true, 0.9800, 0.9800, nil))
	timeLine:setNode(self.plane1)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(0, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(10, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(60, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(61, true, cc.c3b(255,255,255), 0, nil))
	timeLine:setNode(self.plane1)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(61, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.plane1)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(18, true, 522.8700, 520.5601, nil))
	timeLine:addFrame(CreatePositionFrame(28, true, 432.6300, 541.5600, nil))
	timeLine:addFrame(CreatePositionFrame(38, true, 341.6300, 576.8300, nil))
	timeLine:addFrame(CreatePositionFrame(58, true, 100.0000, 652.2500, nil))
	timeLine:addFrame(CreatePositionFrame(78, true, -222.8800, 741.4400, nil))
	timeLine:addFrame(CreatePositionFrame(79, true, -222.8800, 741.4400, nil))
	timeLine:setNode(self.plane2)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(18, true, 0.0800, 0.0800, nil))
	timeLine:addFrame(CreateScaleFrame(58, true, 0.6800, 0.6800, nil))
	timeLine:addFrame(CreateScaleFrame(78, true, 0.9800, 0.9800, nil))
	timeLine:addFrame(CreateScaleFrame(79, true, 0.9800, 0.9800, nil))
	timeLine:setNode(self.plane2)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(18, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(28, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(58, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(78, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(79, true, cc.c3b(255,255,255), 0, nil))
	timeLine:setNode(self.plane2)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(58, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(79, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.plane2)
	return self
end

_M.textures = {
	"ccs/plist/mainUiFeeling.plist",
}

return _M
