-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 275, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 276, cc.size(444, 60), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.tasnicon = ccui.ImageView:create()
	setValue(self.tasnicon, "tasnicon", 283, cc.size(439, 66), cc.p(222, 30), nil, nil, nil, nil, false)
	self.tasnicon:loadTexture("ccs/UiImages/mainUiTaskGuide/01.png", 1)
	self.tasnicon:setScale9Enabled(true)
	self.tasnicon:setCapInsets(cc.rect(0, 0, 439, 66))
	addChildForPre(self.rootPanel_1, self.tasnicon)

	self.taskinfo = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.taskinfo, "taskinfo", 278, cc.size(91, 23), cc.p(67.8432, 30), cc.p(0, 0.5), nil, nil, nil, nil)
	self.taskinfo:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.taskinfo)

	self.taskstep = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.taskstep, "taskstep", 279, cc.size(91, 23), cc.p(61.0402, 30.0001), cc.p(0, 0.5), nil, nil, nil, nil)
	self.taskstep:setVisible(false)
	self.taskstep:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.taskstep)

	self.tasknum = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.tasknum, "tasknum", 280, cc.size(91, 23), cc.p(424.7748, 30.0001), cc.p(1, 0.5), nil, nil, nil, nil)
	self.tasknum:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.tasknum)

	self.completSprite1 = cc.Sprite:create()
	setValue(self.completSprite1, "completSprite1", 282, cc.size(256, 80), cc.p(444, 0), nil, nil, 0, nil, nil)
	self.completSprite1:setScaleX(0.01)
	self.completSprite1:setScaleY(1)
	self.completSprite1:setSpriteFrame("ccs/UiImages/mainUiTaskGuide/guang001.png")
	addChildForPre(self.rootPanel_1, self.completSprite1)

	self.completSprite2 = cc.Sprite:create()
	setValue(self.completSprite2, "completSprite2", 284, cc.size(256, 80), cc.p(0, 49), nil, nil, 0, nil, nil)
	self.completSprite2:setScaleX(0.01)
	self.completSprite2:setScaleY(1)
	self.completSprite2:setSpriteFrame("ccs/UiImages/mainUiTaskGuide/guang001.png")
	addChildForPre(self.rootPanel_1, self.completSprite2)

	self.completSprite = cc.Sprite:create()
	setValue(self.completSprite, "completSprite", 286, cc.size(58, 61), cc.p(399.6, 30), nil, nil, nil, nil, nil)
	self.completSprite:setScale(0.5)
	self.completSprite:setSpriteFrame("ccs/UiImages/mainUiTaskGuide/duihao.png")
	addChildForPre(self.rootPanel_1, self.completSprite)

	self.taskGuidButton = ccui.Button:create()
	self.taskGuidButton:setScale9Enabled(true)
	self.taskGuidButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.taskGuidButton:setContentSize(cc.size(488.4, 60))
	setValue(self.taskGuidButton, "taskGuidButton", 277, nil, cc.p(222, 30), nil, nil, nil, nil, false)
	self.taskGuidButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.taskGuidButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.taskGuidButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.taskGuidButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.taskGuidButton:setTitleText([[]])
	self.taskGuidButton:setTitleColor(cc.c3b(65, 65, 70))
	self.taskGuidButton:setTitleFontSize(14)
	self.taskGuidButton:setTitleFontName(getFont())
	setClickEvent(self, self.taskGuidButton, "taskGuidButton")
	addChildForPre(self.rootPanel_1, self.taskGuidButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(150)
	self.animation:setTimeSpeed(1)
	local timeLine
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 67.8432, 30.0000, nil))
	timeLine:setNode(self.taskinfo)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 61.0402, 30.0001, nil))
	timeLine:setNode(self.taskstep)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 424.7748, 30.0001, nil))
	timeLine:setNode(self.tasknum)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(60, true, 444.0000, 0.0000, nil))
	timeLine:addFrame(CreatePositionFrame(105, true, 222.0000, 0.0000, nil))
	timeLine:addFrame(CreatePositionFrame(150, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.completSprite1)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(60, true, 0.0100, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(105, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(150, true, 0.0100, 1.0000, nil))
	timeLine:setNode(self.completSprite1)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(60, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(105, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(150, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.completSprite1)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(60, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(105, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(150, true, cc.c3b(255,255,255), 0, nil))
	timeLine:setNode(self.completSprite1)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(60, true, 0.0000, 49.0000, nil))
	timeLine:addFrame(CreatePositionFrame(105, true, 213.1200, 49.0000, nil))
	timeLine:addFrame(CreatePositionFrame(150, true, 426.2400, 49.0000, nil))
	timeLine:setNode(self.completSprite2)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(60, true, 0.0100, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(105, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(150, true, 0.0100, 1.0000, nil))
	timeLine:setNode(self.completSprite2)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(60, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(105, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(150, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.completSprite2)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(60, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(105, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(150, true, cc.c3b(255,255,255), 0, nil))
	timeLine:setNode(self.completSprite2)
	return self
end

_M.textures = {
	"ccs/plist/mainUiTaskGuide.plist",
	"ccs/plist/image9.plist",
}

return _M
