-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 101, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 102, cc.size(640, 600), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.contentPrePanel = ccui.Layout:create()
	setValue(self.contentPrePanel, "contentPrePanel", 4, cc.size(640, 600), cc.p(320, 300), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.contentPrePanel)
	self.contentPrePanel_2 = self.contentPrePanel

	self.bgPanel = ccui.Layout:create()
	setValue(self.bgPanel, "bgPanel", 246, cc.size(640, 600), cc.p(320, 300), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.contentPrePanel_2, self.bgPanel)
	self.bgPanel_3 = self.bgPanel

	self.bgSprite = cc.Sprite:create()
	setValue(self.bgSprite, "bgSprite", 5, cc.size(374, 538), cc.p(320, 300), nil, nil, nil, nil, nil)
	self.bgSprite:setTexture("ccs/BigImages/background/madal_img_chuan.webp")
	addChildForPre(self.bgPanel_3, self.bgSprite)
	self.bgSprite_4 = self.bgSprite

	self.circle1Sprite = cc.Sprite:create()
	setValue(self.circle1Sprite, "circle1Sprite", 3856, cc.size(6, 6), cc.p(209.6669, 415.002), nil, nil, nil, nil, nil)
	self.circle1Sprite:setSpriteFrame("ccs/UiImages/icon/madal_img_dian.png")
	addChildForPre(self.bgSprite_4, self.circle1Sprite)

	self.circle2Sprite = cc.Sprite:create()
	setValue(self.circle2Sprite, "circle2Sprite", 3857, cc.size(6, 6), cc.p(178.0011, 339.3357), nil, nil, nil, nil, nil)
	self.circle2Sprite:setSpriteFrame("ccs/UiImages/icon/madal_img_dian.png")
	addChildForPre(self.bgSprite_4, self.circle2Sprite)

	self.circle3Sprite = cc.Sprite:create()
	setValue(self.circle3Sprite, "circle3Sprite", 3858, cc.size(6, 6), cc.p(98.669, 164.0021), nil, nil, nil, nil, nil)
	self.circle3Sprite:setSpriteFrame("ccs/UiImages/icon/madal_img_dian.png")
	addChildForPre(self.bgSprite_4, self.circle3Sprite)

	self.circle4Sprite = cc.Sprite:create()
	setValue(self.circle4Sprite, "circle4Sprite", 3859, cc.size(6, 6), cc.p(247.6706, 411.0031), nil, nil, nil, nil, nil)
	self.circle4Sprite:setSpriteFrame("ccs/UiImages/icon/madal_img_dian.png")
	addChildForPre(self.bgSprite_4, self.circle4Sprite)

	self.circle5Sprite = cc.Sprite:create()
	setValue(self.circle5Sprite, "circle5Sprite", 3860, cc.size(6, 6), cc.p(172.0024, 241.3361), nil, nil, nil, nil, nil)
	self.circle5Sprite:setSpriteFrame("ccs/UiImages/icon/madal_img_dian.png")
	addChildForPre(self.bgSprite_4, self.circle5Sprite)

	self.circle6Sprite = cc.Sprite:create()
	setValue(self.circle6Sprite, "circle6Sprite", 3861, cc.size(6, 6), cc.p(140.6695, 159.3359), nil, nil, nil, nil, nil)
	self.circle6Sprite:setSpriteFrame("ccs/UiImages/icon/madal_img_dian.png")
	addChildForPre(self.bgSprite_4, self.circle6Sprite)

	self.medal1IconPanel = ccui.Layout:create()
	setValue(self.medal1IconPanel, "medal1IconPanel", 7, cc.size(100, 100), cc.p(76.8, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.contentPrePanel_2, self.medal1IconPanel)

	self.att1BgPanel = ccui.Layout:create()
	setValue(self.att1BgPanel, "att1BgPanel", 323, cc.size(100, 50), cc.p(131, 480), cc.p(0, 0.5), nil, nil, nil, nil)
	setBgColor(self.att1BgPanel, 1, 102, cc.c4b(0, 0, 0, 255), nil, nil, nil)
	addChildForPre(self.contentPrePanel_2, self.att1BgPanel)

	self.att1NewLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.att1NewLabel, "att1NewLabel", 272, cc.size(91, 23), cc.p(131, 480), cc.p(0, 0), nil, nil, nil, nil)
	self.att1NewLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.contentPrePanel_2, self.att1NewLabel)

	self.att1Label = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.att1Label, "att1Label", 113, cc.size(91, 23), cc.p(131, 480), cc.p(0, 1), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.att1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.att1Label:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.contentPrePanel_2, self.att1Label)

	self.medal2IconPanel = ccui.Layout:create()
	setValue(self.medal2IconPanel, "medal2IconPanel", 8, cc.size(100, 100), cc.p(76.8, 300), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.contentPrePanel_2, self.medal2IconPanel)

	self.att2BgPanel = ccui.Layout:create()
	setValue(self.att2BgPanel, "att2BgPanel", 324, cc.size(100, 50), cc.p(131, 300), cc.p(0, 0.5), nil, nil, nil, nil)
	setBgColor(self.att2BgPanel, 1, 102, cc.c4b(0, 0, 0, 255), nil, nil, nil)
	addChildForPre(self.contentPrePanel_2, self.att2BgPanel)

	self.att2NewLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.att2NewLabel, "att2NewLabel", 273, cc.size(91, 23), cc.p(131, 300), cc.p(0, 0), nil, nil, nil, nil)
	self.att2NewLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.contentPrePanel_2, self.att2NewLabel)

	self.att2Label = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.att2Label, "att2Label", 114, cc.size(91, 23), cc.p(131, 300), cc.p(0, 1), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.att2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.att2Label:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.contentPrePanel_2, self.att2Label)

	self.medal3IconPanel = ccui.Layout:create()
	setValue(self.medal3IconPanel, "medal3IconPanel", 9, cc.size(100, 100), cc.p(76.8, 120), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.contentPrePanel_2, self.medal3IconPanel)

	self.att3BgPanel = ccui.Layout:create()
	setValue(self.att3BgPanel, "att3BgPanel", 325, cc.size(100, 50), cc.p(131, 120), cc.p(0, 0.5), nil, nil, nil, nil)
	setBgColor(self.att3BgPanel, 1, 102, cc.c4b(0, 0, 0, 255), nil, nil, nil)
	addChildForPre(self.contentPrePanel_2, self.att3BgPanel)

	self.att3NewLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.att3NewLabel, "att3NewLabel", 274, cc.size(91, 23), cc.p(131, 120), cc.p(0, 0), nil, nil, nil, nil)
	self.att3NewLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.contentPrePanel_2, self.att3NewLabel)

	self.att3Label = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.att3Label, "att3Label", 115, cc.size(91, 23), cc.p(131, 120), cc.p(0, 1), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.att3Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.att3Label:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.contentPrePanel_2, self.att3Label)

	self.medal4IconPanel = ccui.Layout:create()
	setValue(self.medal4IconPanel, "medal4IconPanel", 10, cc.size(100, 100), cc.p(563.2, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.contentPrePanel_2, self.medal4IconPanel)

	self.att4BgPanel = ccui.Layout:create()
	setValue(self.att4BgPanel, "att4BgPanel", 328, cc.size(100, 50), cc.p(509, 480), cc.p(1, 0.5), nil, nil, nil, nil)
	setBgColor(self.att4BgPanel, 1, 102, cc.c4b(0, 0, 0, 255), nil, nil, nil)
	addChildForPre(self.contentPrePanel_2, self.att4BgPanel)

	self.att4NewLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.att4NewLabel, "att4NewLabel", 275, cc.size(91, 23), cc.p(509, 480), cc.p(1, 0), nil, nil, nil, nil)
	self.att4NewLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.contentPrePanel_2, self.att4NewLabel)

	self.att4Label = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.att4Label, "att4Label", 116, cc.size(91, 23), cc.p(509, 480), cc.p(1, 1), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.att4Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.att4Label:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.contentPrePanel_2, self.att4Label)

	self.medal5IconPanel = ccui.Layout:create()
	setValue(self.medal5IconPanel, "medal5IconPanel", 11, cc.size(100, 100), cc.p(563.2, 300), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.contentPrePanel_2, self.medal5IconPanel)

	self.att5BgPanel = ccui.Layout:create()
	setValue(self.att5BgPanel, "att5BgPanel", 327, cc.size(100, 50), cc.p(509, 300), cc.p(1, 0.5), nil, nil, nil, nil)
	setBgColor(self.att5BgPanel, 1, 102, cc.c4b(0, 0, 0, 255), nil, nil, nil)
	addChildForPre(self.contentPrePanel_2, self.att5BgPanel)

	self.att5NewLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.att5NewLabel, "att5NewLabel", 276, cc.size(91, 23), cc.p(509, 300), cc.p(1, 0), nil, nil, nil, nil)
	self.att5NewLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.contentPrePanel_2, self.att5NewLabel)

	self.att5Label = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.att5Label, "att5Label", 117, cc.size(91, 23), cc.p(509, 300), cc.p(1, 1), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.att5Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.att5Label:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.contentPrePanel_2, self.att5Label)

	self.medal6IconPanel = ccui.Layout:create()
	setValue(self.medal6IconPanel, "medal6IconPanel", 12, cc.size(100, 100), cc.p(563.2, 120), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.contentPrePanel_2, self.medal6IconPanel)

	self.att6BgPanel = ccui.Layout:create()
	setValue(self.att6BgPanel, "att6BgPanel", 326, cc.size(100, 50), cc.p(509, 120), cc.p(1, 0.5), nil, nil, nil, nil)
	setBgColor(self.att6BgPanel, 1, 102, cc.c4b(0, 0, 0, 255), nil, nil, nil)
	addChildForPre(self.contentPrePanel_2, self.att6BgPanel)

	self.att6NewLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.att6NewLabel, "att6NewLabel", 277, cc.size(91, 23), cc.p(509, 120), cc.p(1, 0), nil, nil, nil, nil)
	self.att6NewLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.contentPrePanel_2, self.att6NewLabel)

	self.att6Label = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.att6Label, "att6Label", 118, cc.size(91, 23), cc.p(509, 120), cc.p(1, 1), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.att6Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.att6Label:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.contentPrePanel_2, self.att6Label)

	self.shipTitlePanel = ccui.Layout:create()
	setValue(self.shipTitlePanel, "shipTitlePanel", 4761, cc.size(640, 60), cc.p(320, 570), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.contentPrePanel_2, self.shipTitlePanel)
	self.shipTitlePanel_3 = self.shipTitlePanel

	self.shipTitleBgImage = ccui.ImageView:create()
	setValue(self.shipTitleBgImage, "shipTitleBgImage", 5024, cc.size(368, 42), cc.p(320, 30), nil, nil, nil, nil, nil)
	self.shipTitleBgImage:loadTexture("ccs/UiImages/common/common_Partsimg_ditiao.png", 1)
	addChildForPre(self.shipTitlePanel_3, self.shipTitleBgImage)
	self.shipTitleBgImage_4 = self.shipTitleBgImage

	self.shipNameLabel = createLabel({text=[[Text Label]], font=getFont(), size=32})
	setValue(self.shipNameLabel, "shipNameLabel", 5025, cc.size(145, 37), cc.p(184, 21), nil, nil, nil, nil, nil)
	self.shipNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.shipTitleBgImage_4, self.shipNameLabel)

	self.shipTypeSprite = cc.Sprite:create()
	setValue(self.shipTypeSprite, "shipTypeSprite", 5268, cc.size(46, 46), cc.p(128, 30), nil, nil, nil, nil, nil)
	self.shipTypeSprite:setTexture("Default/Sprite.png")
	addChildForPre(self.shipTitlePanel_3, self.shipTypeSprite)

	self.getMedalButton = ccui.Button:create()
	setValue(self.getMedalButton, "getMedalButton", 20, cc.size(81, 26), cc.p(480, 30), cc.p(0, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, false)
	self.getMedalButton:loadTextureNormal("ccs/UiImages/image9/Underline.png", 1)
	self.getMedalButton:loadTexturePressed("ccs/UiImages/image9/Underline.png", 1)
	self.getMedalButton:loadTextureDisabled("ccs/UiImages/image9/Underline.png", 1)
	self.getMedalButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.getMedalButton:setTitleText([[getMedalButton]])
	self.getMedalButton:setTitleFontSize(24)
	self.getMedalButton:setTitleFontName(getFont())
	setClickEvent(self, self.getMedalButton, "getMedalButton")
	addChildForPre(self.shipTitlePanel_3, self.getMedalButton)

	self.closeButton = ccui.Button:create()
	setValue(self.closeButton, "closeButton", 6, cc.size(81, 26), cc.p(139, 20), cc.p(0, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, false)
	self.closeButton:setVisible(false)
	self.closeButton:loadTextureNormal("ccs/UiImages/image9/Underline.png", 1)
	self.closeButton:loadTexturePressed("ccs/UiImages/image9/Underline.png", 1)
	self.closeButton:loadTextureDisabled("ccs/UiImages/image9/Underline.png", 1)
	self.closeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.closeButton:setTitleText([[Button]])
	self.closeButton:setTitleFontSize(24)
	self.closeButton:setTitleFontName(getFont())
	setClickEvent(self, self.closeButton, "closeButton")
	addChildForPre(self.rootPanel_1, self.closeButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/BigImages/background/madal_img_chuan.png",
	"ccs/plist/icon.plist",
	"ccs/plist/common.plist",
	"Default/Sprite.png",
	"ccs/plist/image9.plist",
}

return _M
