-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_0 = cc.Node:create()
	setValue(self.Node_0, "Node_0", 2226, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_0)
 	self.uiRootNode = self.Node_0
	self.Node_0_0 = self.Node_0

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 2227, cc.size(640, 210), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.spriteBg = cc.Sprite:create()
	setValue(self.spriteBg, "spriteBg", 2323, cc.size(612, 209), cc.p(320, 105), nil, nil, nil, nil, nil)
	self.spriteBg:setSpriteFrame("ccs/UiImages/commonBg/common_img_gaoditiao.png")
	addChildForPre(self.rootPanel_1, self.spriteBg)

	self.contentPanel = ccui.Layout:create()
	setValue(self.contentPanel, "contentPanel", 356, cc.size(640, 210), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.contentPanel)
	self.contentPanel_2 = self.contentPanel

	self.belongSprite = cc.Sprite:create()
	setValue(self.belongSprite, "belongSprite", 3530, cc.size(46, 46), cc.p(615, 209), cc.p(1, 1), nil, nil, nil, nil)
	self.belongSprite:setTexture("Default/Sprite.png")
	addChildForPre(self.contentPanel_2, self.belongSprite)

	self.nodePartIcon = cc.Node:create()
	setValue(self.nodePartIcon, "nodePartIcon", 2324, nil, cc.p(76, 130), nil, nil, nil, nil, nil)
	addChildForPre(self.contentPanel_2, self.nodePartIcon)

	self.imageWeaponBg = ccui.ImageView:create()
	setValue(self.imageWeaponBg, "imageWeaponBg", 3475, cc.size(100, 40), cc.p(76, 52), nil, nil, nil, nil, false)
	self.imageWeaponBg:loadTexture("ccs/UiImages/image9/common_s9_diban.png", 1)
	self.imageWeaponBg:setScale9Enabled(true)
	self.imageWeaponBg:setCapInsets(cc.rect(10, 10, 14, 14))
	addChildForPre(self.contentPanel_2, self.imageWeaponBg)
	self.imageWeaponBg_3 = self.imageWeaponBg

	self.weaponNameLabel = createLabel({text=[[weapon]], font=getFont(), size=24})
	setValue(self.weaponNameLabel, "weaponNameLabel", 3474, cc.size(84, 28), cc.p(50, 20), nil, nil, nil, nil, nil)
	self.weaponNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.imageWeaponBg_3, self.weaponNameLabel)

	self.labelName = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.labelName, "labelName", 2328, cc.size(109, 28), cc.p(142, 169), cc.p(0, 0.5), nil, nil, nil, nil)
	self.labelName:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.contentPanel_2, self.labelName)

	self.labelLevel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.labelLevel, "labelLevel", 2329, cc.size(91, 23), cc.p(32, 165), cc.p(0, 0.5), nil, nil, nil, nil)
	self.labelLevel:setVisible(false)
	self.labelLevel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.contentPanel_2, self.labelLevel)

	self.labeStar = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.labeStar, "labeStar", 2331, cc.size(91, 23), cc.p(142, 131), cc.p(0, 0.5), nil, nil, nil, nil)
	self.labeStar:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.contentPanel_2, self.labeStar)

	self.spriteStar = cc.Sprite:create()
	setValue(self.spriteStar, "spriteStar", 2333, cc.size(40, 38), cc.p(252.9998, 133.9999), nil, nil, nil, nil, nil)
	self.spriteStar:setScale(0.8)
	self.spriteStar:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.contentPanel_2, self.spriteStar)

	self.imageStar = ccui.ImageView:create()
	setValue(self.imageStar, "imageStar", 2327, cc.size(270, 75), cc.p(136, 69.5), cc.p(0, 0.5), nil, nil, nil, false)
	self.imageStar:loadTexture("ccs/UiImages/image9/common_s9_diban.png", 1)
	self.imageStar:setScale9Enabled(true)
	self.imageStar:setCapInsets(cc.rect(6, 6, 12, 12))
	addChildForPre(self.contentPanel_2, self.imageStar)
	self.imageStar_3 = self.imageStar

	self.labelAttack = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.labelAttack, "labelAttack", 2330, cc.size(91, 23), cc.p(6, 53), cc.p(0, 0.5), nil, nil, nil, nil)
	self.labelAttack:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.imageStar_3, self.labelAttack)

	self.labelAttBuff = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.labelAttBuff, "labelAttBuff", 2332, cc.size(91, 23), cc.p(6, 24), cc.p(0, 0.5), nil, nil, nil, nil)
	self.labelAttBuff:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.imageStar_3, self.labelAttBuff)

	self.bntPanel1 = ccui.Layout:create()
	setValue(self.bntPanel1, "bntPanel1", 2335, cc.size(200, 150), cc.p(512, 107.625), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.contentPanel_2, self.bntPanel1)
	self.bntPanel1_3 = self.bntPanel1

	self.belongToShip = createLabel({text=[[belongToShip]], font=getFont(), size=20})
	setValue(self.belongToShip, "belongToShip", 3476, cc.size(121, 23), cc.p(3, 108.4375), cc.p(0, 0.5), nil, nil, nil, nil)
	self.belongToShip:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bntPanel1_3, self.belongToShip)

	self.belongTo = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.belongTo, "belongTo", 2839, cc.size(91, 23), cc.p(3, 138.875), cc.p(0, 0.5), nil, nil, nil, nil)
	self.belongTo:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bntPanel1_3, self.belongTo)

	self.changeButton = ccui.Button:create()
	setValue(self.changeButton, "changeButton", 2338, cc.size(98, 51), cc.p(52, 64.005), nil, nil, nil, nil, false)
	self.changeButton:loadTextureNormal("ccs/UiImages/image9/CommonPanel_btn_smallblue_0.png", 1)
	self.changeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.changeButton:loadTextureDisabled("ccs/UiImages/image9/CommonPanel_btn_smallblue_0.png", 1)
	self.changeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.changeButton:setTitleText([[change]])
	self.changeButton:setTitleFontSize(24)
	self.changeButton:setTitleFontName(getFont())
	setClickEvent(self, self.changeButton, "changeButton")
	addChildForPre(self.bntPanel1_3, self.changeButton)

	self.upgradeButton = ccui.Button:create()
	setValue(self.upgradeButton, "upgradeButton", 2339, cc.size(98, 51), cc.p(148, 64), nil, nil, nil, nil, false)
	self.upgradeButton:loadTextureNormal("ccs/UiImages/image9/CommonPanel_btn_smallred_0.png", 1)
	self.upgradeButton:loadTexturePressed("ccs/UiImages/image9/CommonPanel_btn_smallred_0.png", 1)
	self.upgradeButton:loadTextureDisabled("ccs/UiImages/image9/CommonPanel_btn_smallred_0.png", 1)
	self.upgradeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.upgradeButton:setTitleText([[upgrade]])
	self.upgradeButton:setTitleFontSize(22)
	self.upgradeButton:setTitleFontName(getFont())
	setClickEvent(self, self.upgradeButton, "upgradeButton")
	addChildForPre(self.bntPanel1_3, self.upgradeButton)

	self.bntPanel2 = ccui.Layout:create()
	setValue(self.bntPanel2, "bntPanel2", 2336, cc.size(160, 150), cc.p(512, 105), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.contentPanel_2, self.bntPanel2)
	self.bntPanel2_3 = self.bntPanel2

	self.imageBoder = ccui.ImageView:create()
	setValue(self.imageBoder, "imageBoder", 2334, cc.size(157, 147), cc.p(80, 75), nil, nil, nil, nil, false)
	self.imageBoder:loadTexture("ccs/UiImages/image9/common_s9_xiankuang.png", 1)
	self.imageBoder:setScale9Enabled(true)
	self.imageBoder:setCapInsets(cc.rect(10, 10, 16, 18))
	addChildForPre(self.bntPanel2_3, self.imageBoder)

	self.checkBoxPart = ccui.CheckBox:create()
	setValue(self.checkBoxPart, "checkBoxPart", 2340, cc.size(68, 68), cc.p(80, 75), nil, nil, nil, nil, nil)
	self.checkBoxPart:loadTextureBackGround("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.checkBoxPart:loadTextureBackGroundSelected("ccs/UiImages/common/common_btn_xuanzhong_1.png", 1)
	self.checkBoxPart:loadTextureBackGroundDisabled("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.checkBoxPart:loadTextureFrontCross("ccs/UiImages/common/common_btn_xuanzhong_1.png", 1)
	self.checkBoxPart:loadTextureFrontCrossDisabled("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	addChildForPre(self.bntPanel2_3, self.checkBoxPart)

	self.bntPanel3 = ccui.Layout:create()
	setValue(self.bntPanel3, "bntPanel3", 2337, cc.size(200, 100), cc.p(512, 107.625), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.contentPanel_2, self.bntPanel3)
	self.bntPanel3_3 = self.bntPanel3

	self.restoreBtn = ccui.Button:create()
	setValue(self.restoreBtn, "restoreBtn", 2341, cc.size(153, 64), cc.p(109, 34), nil, nil, nil, nil, false)
	self.restoreBtn:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.restoreBtn:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.restoreBtn:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.restoreBtn:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.restoreBtn:setTitleText([[restoreBtn]])
	self.restoreBtn:setTitleFontSize(24)
	self.restoreBtn:setTitleFontName(getFont())
	setClickEvent(self, self.restoreBtn, "restoreBtn")
	addChildForPre(self.bntPanel3_3, self.restoreBtn)

	self.spriteDiamond = cc.Sprite:create()
	setValue(self.spriteDiamond, "spriteDiamond", 2342, cc.size(35, 35), cc.p(81.9998, 82.9998), nil, nil, nil, nil, nil)
	self.spriteDiamond:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainUi_zuanshi.png")
	addChildForPre(self.bntPanel3_3, self.spriteDiamond)

	self.labelDiamand = createLabel({text=[[diamand]], font=getFont(), size=24})
	setValue(self.labelDiamand, "labelDiamand", 2343, cc.size(92, 28), cc.p(106, 83), cc.p(0, 0.5), nil, nil, nil, nil)
	self.labelDiamand:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bntPanel3_3, self.labelDiamand)

	self.loadedMedal = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.loadedMedal, "loadedMedal", 674, cc.size(109, 28), cc.p(100, 50), nil, cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.loadedMedal:setVisible(false)
	self.loadedMedal:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.loadedMedal:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.bntPanel3_3, self.loadedMedal)

	self.getMoreButton = ccui.Button:create()
	self.getMoreButton:setScale9Enabled(true)
	self.getMoreButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.getMoreButton:setContentSize(cc.size(640, 201.6))
	setValue(self.getMoreButton, "getMoreButton", 357, nil, cc.p(320, 105), nil, nil, nil, nil, false)
	self.getMoreButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.getMoreButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.getMoreButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.getMoreButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.getMoreButton:setTitleText([[Button]])
	self.getMoreButton:setTitleColor(cc.c3b(255, 255, 0))
	self.getMoreButton:setTitleFontSize(28)
	self.getMoreButton:setTitleFontName(getFont())
	setClickEvent(self, self.getMoreButton, "getMoreButton")
	addChildForPre(self.rootPanel_1, self.getMoreButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"Default/Sprite.png",
	"ccs/plist/image9.plist",
	"ccs/plist/common.plist",
	"ccs/plist/mainUiFeeling.plist",
}

return _M
