-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_0 = cc.Node:create()
	setValue(self.Node_0, "Node_0", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_0)
 	self.uiRootNode = self.Node_0
	self.Node_0_0 = self.Node_0

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 151, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.CommonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.CommonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.CommonDialogFrame1Ui, "CommonDialogFrame1Ui", 1610, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.CommonDialogFrame1Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 152, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.leftPanel = ccui.Layout:create()
	setValue(self.leftPanel, "WTX_leftPanel", 1283, cc.size(640, 275), cc.p(0, 595), nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.leftPanel)
	self.leftPanel_3 = self.leftPanel

	if CampPartBigIconUi then 
 		self.campPartBigIconUi = CampPartBigIconUi.new() 
 	else 
		self.campPartBigIconUi = BaseUi.new("ccs/ui/camp/CampPartBigIconUi.lua")
 	end 
	setValue(self.campPartBigIconUi, "campPartBigIconUi", 307, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.leftPanel_3, self.campPartBigIconUi)

	self.leftRightPanel = ccui.Layout:create()
	setValue(self.leftRightPanel, "WNN_leftRightPanel", 199, cc.size(362, 275), cc.p(268.5, 0), nil, nil, nil, nil, nil)
	addChildForPre(self.leftPanel_3, self.leftRightPanel)
	self.leftRightPanel_4 = self.leftRightPanel

	self.leftRightBg = ccui.ImageView:create()
	setValue(self.leftRightBg, "WXN_leftRightBg", 200, cc.size(362, 275), cc.p(181, 137.5), nil, nil, nil, nil, false)
	self.leftRightBg:loadTexture("ccs/UiImages/battleChallenge/battle_s9_diban.png", 1)
	self.leftRightBg:setScale9Enabled(true)
	self.leftRightBg:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.leftRightPanel_4, self.leftRightBg)

	self.rankTitleLabel = createLabel({text=[[rankTitle]], font=getFont(), size=24})
	setValue(self.rankTitleLabel, "rankTitleLabel", 2026, cc.size(91, 28), cc.p(25.6296, 157.96), cc.p(0, 0.5), cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.rankTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rankTitleLabel:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.leftRightPanel_4, self.rankTitleLabel)

	self.levelTitleLabel = createLabel({text=[[levelTitle]], font=getFont(), size=24})
	setValue(self.levelTitleLabel, "levelTitleLabel", 2027, cc.size(93, 28), cc.p(25.6296, 72.38), cc.p(0, 0.5), cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.levelTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.levelTitleLabel:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.leftRightPanel_4, self.levelTitleLabel)

	self.typeLabel = createLabel({text=[[type]], font=getFont(), size=24})
	setValue(self.typeLabel, "typeLabel", 635, cc.size(45, 28), cc.p(91.4774, 202.3175), cc.p(0, 0.5), nil, nil, nil, nil)
	self.typeLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftRightPanel_4, self.typeLabel)

	self.rankLabel = createLabel({text=[[5]], font=getFont(), size=24})
	setValue(self.rankLabel, "rankLabel", 3889, cc.size(13, 28), cc.p(108.4552, 157.96), cc.p(0, 0.5), nil, nil, nil, nil)
	self.rankLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftRightPanel_4, self.rankLabel)

	self.levelLabel = createLabel({text=[[level]], font=getFont(), size=24})
	setValue(self.levelLabel, "levelLabel", 2029, cc.size(49, 28), cc.p(93.4684, 72.38), cc.p(0, 0.5), nil, nil, nil, nil)
	self.levelLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftRightPanel_4, self.levelLabel)

	self.ArrowGreen1 = cc.Sprite:create()
	setValue(self.ArrowGreen1, "ArrowGreen1", 2479, cc.size(22, 29), cc.p(168.149, 70.3725), nil, nil, nil, nil, nil)
	self.ArrowGreen1:setRotationSkewX(90)
	self.ArrowGreen1:setRotationSkewY(90)
	self.ArrowGreen1:setSpriteFrame("ccs/UiImages/commonPanelParts/common_img_jiantou.png")
	addChildForPre(self.leftRightPanel_4, self.ArrowGreen1)

	self.levelNewLabel = createLabel({text=[[level]], font=getFont(), size=24})
	setValue(self.levelNewLabel, "levelNewLabel", 2372, cc.size(49, 28), cc.p(193.8872, 72.38), cc.p(0, 0.5), nil, nil, nil, nil)
	self.levelNewLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftRightPanel_4, self.levelNewLabel)

	self.typeTitleLabel = createLabel({text=[[typeTitle]], font=getFont(), size=24})
	setValue(self.typeTitleLabel, "typeTitleLabel", 633, cc.size(89, 28), cc.p(23.6386, 202.3175), cc.p(0, 0.5), cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.typeTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.typeTitleLabel:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.leftRightPanel_4, self.typeTitleLabel)

	self.labelName = createLabel({text=[[labelName]], font=getFont(), size=24})
	setValue(self.labelName, "labelName", 1856, cc.size(114, 28), cc.p(25.6296, 245.63), cc.p(0, 0.5), nil, nil, nil, nil)
	self.labelName:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftRightPanel_4, self.labelName)

	self.levelNameLabel = createLabel({text=[[levelName]], font=getFont(), size=24})
	setValue(self.levelNameLabel, "levelNameLabel", 2009, cc.size(113, 28), cc.p(25.6296, 113.685), cc.p(0, 0.5), cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.levelNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.levelNameLabel:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.leftRightPanel_4, self.levelNameLabel)

	self.pratLevel = createLabel({text=[[pratLevel]], font=getFont(), size=24})
	setValue(self.pratLevel, "pratLevel", 2010, cc.size(98, 28), cc.p(93.4684, 113.685), cc.p(0, 0.5), nil, nil, nil, nil)
	self.pratLevel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftRightPanel_4, self.pratLevel)

	self.Star1 = cc.Sprite:create()
	setValue(self.Star1, "Star1", 3890, cc.size(48, 48), cc.p(131.4784, 157.96), cc.p(0, 0.5), nil, nil, nil, nil)
	self.Star1:setScale(0.8)
	self.Star1:setSpriteFrame("ccs/UiImages/battleChallenge/star_gold.png")
	addChildForPre(self.leftRightPanel_4, self.Star1)

	self.rankNewLabel = createLabel({text=[[5]], font=getFont(), size=24})
	setValue(self.rankNewLabel, "rankNewLabel", 2452, cc.size(13, 28), cc.p(184.982, 157.96), cc.p(0, 0.5), nil, nil, nil, nil)
	self.rankNewLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftRightPanel_4, self.rankNewLabel)

	self.rightPanel = ccui.Layout:create()
	setValue(self.rightPanel, "TXN_rightPanel", 1284, cc.size(640, 445), cc.p(320, 360), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.rightPanel)
	self.rightPanel_3 = self.rightPanel

	self.rightBGImage = ccui.ImageView:create()
	setValue(self.rightBGImage, "WXN_rightBGImage", 2025, cc.size(621, 445), cc.p(320, 222.5), nil, nil, nil, nil, false)
	self.rightBGImage:loadTexture("ccs/UiImages/battleChallenge/battle_s9_diban.png", 1)
	self.rightBGImage:setScale9Enabled(true)
	self.rightBGImage:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.rightPanel_3, self.rightBGImage)

	self.attri1TitleLabel = createLabel({text=[[attri1TitleLabel]], font=getFont(), size=24})
	setValue(self.attri1TitleLabel, "attri1TitleLabel", 2028, cc.size(156, 28), cc.p(309.248, 415.185), cc.p(1, 0.5), cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.attri1TitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.attri1TitleLabel:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.rightPanel_3, self.attri1TitleLabel)

	self.attri1Label = createLabel({text=[[attri1Label]], font=getFont(), size=24})
	setValue(self.attri1Label, "attri1Label", 2030, cc.size(112, 28), cc.p(320.448, 415.185), cc.p(0, 0.5), nil, nil, nil, nil)
	self.attri1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightPanel_3, self.attri1Label)

	self.attri2TitleLabel = createLabel({text=[[attri2TitleLabel]], font=getFont(), size=24})
	setValue(self.attri2TitleLabel, "attri2TitleLabel", 632, cc.size(156, 28), cc.p(309.248, 364.188), cc.p(1, 0.5), cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.attri2TitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.attri2TitleLabel:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.rightPanel_3, self.attri2TitleLabel)

	self.partsLoadTitleLabel = createLabel({text=[[partsLoad]], font=getFont(), size=24})
	setValue(self.partsLoadTitleLabel, "partsLoadTitleLabel", 634, cc.size(106, 28), cc.p(309.248, 317.374), cc.p(1, 0.5), cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.partsLoadTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.partsLoadTitleLabel:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.rightPanel_3, self.partsLoadTitleLabel)

	self.partsLoadLabel = createLabel({text=[[轻型，中型，重型！！ 轻型，中型，重型！！ 轻型，中型，重型！！]], font=getFont(), size=24, dimensions = cc.size(250.0000, 80.0000)})
	setValue(self.partsLoadLabel, "partsLoadLabel", 636, cc.size(250, 80), cc.p(320.448, 291.386), cc.p(0, 0.5), nil, nil, nil, false)
	self.partsLoadLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightPanel_3, self.partsLoadLabel)

	self.attri2Label = createLabel({text=[[attri2]], font=getFont(), size=24})
	setValue(self.attri2Label, "attri2Label", 637, cc.size(53, 28), cc.p(320.448, 364.188), cc.p(0, 0.5), nil, nil, nil, nil)
	self.attri2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightPanel_3, self.attri2Label)

	self.ArrowGreen2 = cc.Sprite:create()
	setValue(self.ArrowGreen2, "ArrowGreen2", 2480, cc.size(22, 29), cc.p(395.392, 363.209), nil, nil, nil, nil, nil)
	self.ArrowGreen2:setRotationSkewX(90)
	self.ArrowGreen2:setRotationSkewY(90)
	self.ArrowGreen2:setSpriteFrame("ccs/UiImages/commonPanelParts/common_img_jiantou.png")
	addChildForPre(self.rightPanel_3, self.ArrowGreen2)

	self.attri2NewLabel = createLabel({text=[[attri2]], font=getFont(), size=24})
	setValue(self.attri2NewLabel, "attri2NewLabel", 2373, cc.size(53, 28), cc.p(427.008, 364.188), cc.p(0, 0.5), nil, nil, nil, nil)
	self.attri2NewLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightPanel_3, self.attri2NewLabel)

	self.ImageChangeNeed = cc.Sprite:create()
	setValue(self.ImageChangeNeed, "XNN_ImageChangeNeed", 2150, cc.size(368, 42), cc.p(322, 190), nil, nil, nil, nil, nil)
	self.ImageChangeNeed:setSpriteFrame("ccs/UiImages/commonPanelParts/common_Partsimg_ditiao.png")
	addChildForPre(self.rightPanel_3, self.ImageChangeNeed)
	self.ImageChangeNeed_4 = self.ImageChangeNeed

	self.changeNeedLabel = createLabel({text=[[changeNeed]], font=getFont(), size=24})
	setValue(self.changeNeedLabel, "changeNeedLabel", 2151, cc.size(136, 28), cc.p(184, 21), nil, cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.changeNeedLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.changeNeedLabel:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.ImageChangeNeed_4, self.changeNeedLabel)

	self.materialPanel = ccui.Layout:create()
	setValue(self.materialPanel, "WXN_materialPanel", 484, cc.size(600, 100), cc.p(320, 80.99), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rightPanel_3, self.materialPanel)

	self.cost1Node = cc.Node:create()
	setValue(self.cost1Node, "LNN_cost1Node", 234, nil, cc.p(96, 89), nil, nil, nil, nil, nil)
	addChildForPre(self.rightPanel_3, self.cost1Node)

	self.cost2Node = cc.Node:create()
	setValue(self.cost2Node, "XYN_cost2Node", 3001, nil, cc.p(320, 89), nil, nil, nil, nil, nil)
	addChildForPre(self.rightPanel_3, self.cost2Node)
	self.cost2Node_4 = self.cost2Node

	self.qualityBg1_1 = cc.Sprite:create()
	setValue(self.qualityBg1_1, "qualityBg1_1", 3003, cc.size(100, 100), nil, nil, nil, nil, nil, nil)
	self.qualityBg1_1:setSpriteFrame("ccs/UiImages/qualityBg/qualityBg1_1.png")
	addChildForPre(self.cost2Node_4, self.qualityBg1_1)

	self.cost3Node = cc.Node:create()
	setValue(self.cost3Node, "RNN_cost3Node", 3002, nil, cc.p(544, 89), nil, nil, nil, nil, nil)
	addChildForPre(self.rightPanel_3, self.cost3Node)
	self.cost3Node_4 = self.cost3Node

	self.qualityBg1_2 = cc.Sprite:create()
	setValue(self.qualityBg1_2, "qualityBg1_2", 617, cc.size(100, 100), nil, nil, nil, nil, nil, nil)
	self.qualityBg1_2:setSpriteFrame("ccs/UiImages/qualityBg/qualityBg1_1.png")
	addChildForPre(self.cost3Node_4, self.qualityBg1_2)

	self.technologySprite = cc.Sprite:create()
	setValue(self.technologySprite, "technologySprite", 1836, cc.size(100, 100), nil, nil, nil, nil, nil, nil)
	self.technologySprite:setVisible(false)
	self.technologySprite:setSpriteFrame("ccs/UiImages/item/huodekejidian.png")
	addChildForPre(self.cost3Node_4, self.technologySprite)

	self.getMaterialButton = ccui.Button:create()
	self.getMaterialButton:setScale9Enabled(true)
	self.getMaterialButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.getMaterialButton:setContentSize(cc.size(100, 100))
	setValue(self.getMaterialButton, "getMaterialButton", 1263, nil, nil, nil, nil, nil, nil, false)
	self.getMaterialButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.getMaterialButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.getMaterialButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.getMaterialButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.getMaterialButton:setTitleText([[]])
	self.getMaterialButton:setTitleFontSize(24)
	self.getMaterialButton:setTitleFontName(getFont())
	setClickEvent(self, self.getMaterialButton, "getMaterialButton")
	addChildForPre(self.cost3Node_4, self.getMaterialButton)

	self.materialButtonLabel = createLabel({text=[[material]], font=getFont(), size=20})
	setValue(self.materialButtonLabel, "materialButtonLabel", 3004, cc.size(71, 23), cc.p(0, -64), nil, nil, nil, nil, nil)
	self.materialButtonLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.cost3Node_4, self.materialButtonLabel)

	self.leftRightButtonPanel = ccui.Layout:create()
	setValue(self.leftRightButtonPanel, "WXY_leftRightButtonPanel", 197, cc.size(640, 182.4), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.leftRightButtonPanel)
	self.leftRightButtonPanel_3 = self.leftRightButtonPanel

	self.leftButton = ccui.Button:create()
	setValue(self.leftButton, "LNN_leftButton", 198, cc.size(18, 104), cc.p(19.2, 91.2), nil, nil, nil, nil, nil)
	self.leftButton:setFlippedX(true)
	self.leftButton:loadTextureNormal("ccs/UiImages/camp/camp_btn_huadong_0.png", 1)
	self.leftButton:loadTexturePressed("ccs/UiImages/camp/camp_btn_huadong_1.png", 1)
	self.leftButton:loadTextureDisabled("ccs/UiImages/camp/camp_btn_huadong_1.png", 1)
	self.leftButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.leftButton:setTitleText([[]])
	self.leftButton:setTitleColor(cc.c3b(65, 65, 70))
	self.leftButton:setTitleFontSize(14)
	self.leftButton:setTitleFontName(getFont())
	setClickEvent(self, self.leftButton, "leftButton")
	addChildForPre(self.leftRightButtonPanel_3, self.leftButton)

	self.rightButton = ccui.Button:create()
	setValue(self.rightButton, "RNN_rightButton", 199, cc.size(18, 104), cc.p(620.8, 91.2), nil, nil, nil, nil, nil)
	self.rightButton:setFlippedX(true)
	self.rightButton:setRotationSkewX(180)
	self.rightButton:setRotationSkewY(180)
	self.rightButton:loadTextureNormal("ccs/UiImages/camp/camp_btn_huadong_0.png", 1)
	self.rightButton:loadTexturePressed("ccs/UiImages/camp/camp_btn_huadong_1.png", 1)
	self.rightButton:loadTextureDisabled("ccs/UiImages/camp/camp_btn_huadong_1.png", 1)
	self.rightButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.rightButton:setTitleText([[]])
	self.rightButton:setTitleColor(cc.c3b(65, 65, 70))
	self.rightButton:setTitleFontSize(14)
	self.rightButton:setTitleFontName(getFont())
	setClickEvent(self, self.rightButton, "rightButton")
	addChildForPre(self.leftRightButtonPanel_3, self.rightButton)

	self.bottomPanel = ccui.Layout:create()
	setValue(self.bottomPanel, "WXN_bottomPanel", 2152, cc.size(640, 120), nil, nil, nil, nil, nil, nil)
	setBgColor(self.bottomPanel, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.bottomPanel)
	self.bottomPanel_3 = self.bottomPanel

	self.ImageLine3 = ccui.ImageView:create()
	setValue(self.ImageLine3, "WXN_ImageLine3", 2156, cc.size(640, 120), cc.p(320, 60), nil, nil, nil, nil, false)
	self.ImageLine3:loadTexture("ccs/BigImages/commonPanel/common_img_jiemian04.webp")
	self.ImageLine3:setScale9Enabled(true)
	self.ImageLine3:setCapInsets(cc.rect(10, 6, 236, 7))
	addChildForPre(self.bottomPanel_3, self.ImageLine3)

	self.ImageLine1 = ccui.ImageView:create()
	setValue(self.ImageLine1, "WXN_ImageLine1", 2153, cc.size(640, 30), cc.p(320, 120), nil, nil, nil, nil, false)
	self.ImageLine1:loadTexture("ccs/UiImages/commonPanelParts/common_img_jiemian03.png", 1)
	self.ImageLine1:setScale9Enabled(true)
	self.ImageLine1:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.bottomPanel_3, self.ImageLine1)

	self.ImageLine2 = ccui.ImageView:create()
	setValue(self.ImageLine2, "WXN_ImageLine2", 2155, cc.size(640, 8), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.ImageLine2:loadTexture("ccs/UiImages/commonPanelParts/common_img_jiemian02.png", 1)
	self.ImageLine2:setScale9Enabled(true)
	self.ImageLine2:setCapInsets(cc.rect(0, 0, 640, 8))
	addChildForPre(self.bottomPanel_3, self.ImageLine2)

	self.partChangeButton = ccui.Button:create()
	setValue(self.partChangeButton, "XYN_partChangeButton", 158, cc.size(153, 64), cc.p(320, 60), nil, nil, nil, nil, false)
	self.partChangeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.partChangeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.partChangeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.partChangeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.partChangeButton:setTitleText([[change]])
	self.partChangeButton:setTitleFontSize(25)
	self.partChangeButton:setTitleFontName(getFont())
	setClickEvent(self, self.partChangeButton, "partChangeButton")
	addChildForPre(self.bottomPanel_3, self.partChangeButton)

	if CommonDialogFrame1CloseUi then 
 		self.CommonDialogFrame1CloseUi = CommonDialogFrame1CloseUi.new() 
 	else 
		self.CommonDialogFrame1CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1CloseUi.lua")
 	end 
	setValue(self.CommonDialogFrame1CloseUi, "CommonDialogFrame1CloseUi", 1622, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.CommonDialogFrame1CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/battle.plist",
	"ccs/plist/common.plist",
	"ccs/plist/commonBg.plist",
	"ccs/plist/icon.plist",
	"ccs/plist/camp.plist",
	"ccs/BigImages/commonPanel/common_img_jiemian04.png",
	"ccs/plist/image9.plist",
}

return _M
