-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_0 = cc.Node:create()
	setValue(self.Node_0, "Node_0", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_0)
 	self.uiRootNode = self.Node_0
	self.Node_0_0 = self.Node_0

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 151, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 1170, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 152, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.topPanel = ccui.Layout:create()
	setValue(self.topPanel, "WTX_topPanel", 1324, cc.size(640, 360), cc.p(0, 510), nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.topPanel)
	self.topPanel_3 = self.topPanel

	self.leftPanel = ccui.Layout:create()
	setValue(self.leftPanel, "XYN_leftPanel", 1283, cc.size(230, 360), cc.p(23, 0), nil, nil, nil, nil, nil)
	addChildForPre(self.topPanel_3, self.leftPanel)
	self.leftPanel_4 = self.leftPanel

	if MedalBigIconUi then 
 		self.medalBigIconUi = MedalBigIconUi.new() 
 	else 
		self.medalBigIconUi = BaseUi.new("ccs/ui/medal/MedalBigIconUi.lua")
 	end 
	setValue(self.medalBigIconUi, "medalBigIconUi", 665, nil, cc.p(0, 85), nil, nil, nil, nil, nil)
	addChildForPre(self.leftPanel_4, self.medalBigIconUi)

	self.changeButton = ccui.Button:create()
	setValue(self.changeButton, "changeButton", 156, cc.size(153, 64), cc.p(115, 42), nil, nil, nil, nil, false)
	self.changeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.changeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.changeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.changeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.changeButton:setTitleText([[更换]])
	self.changeButton:setTitleFontSize(25)
	self.changeButton:setTitleFontName(getFont())
	setClickEvent(self, self.changeButton, "changeButton")
	addChildForPre(self.leftPanel_4, self.changeButton)

	self.rightPanel = ccui.Layout:create()
	setValue(self.rightPanel, "XYN_rightPanel", 1284, cc.size(362, 360), cc.p(268.5, 0), nil, nil, nil, nil, nil)
	addChildForPre(self.topPanel_3, self.rightPanel)
	self.rightPanel_4 = self.rightPanel

	self.rightBGImage = ccui.ImageView:create()
	setValue(self.rightBGImage, "rightBGImage", 2025, cc.size(362, 360), cc.p(181, 180), nil, nil, nil, nil, false)
	self.rightBGImage:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.rightBGImage:setScale9Enabled(true)
	self.rightBGImage:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.rightPanel_4, self.rightBGImage)
	self.rightBGImage_5 = self.rightBGImage

	self.nameLabel = createLabel({text=[[attri2Label]], font=getFont(), size=24})
	setValue(self.nameLabel, "nameLabel", 1689, cc.size(112, 28), cc.p(18.1, 331.992), cc.p(0, 0.5), nil, nil, nil, nil)
	self.nameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightBGImage_5, self.nameLabel)

	self.typeTitleLabel = createLabel({text=[[typeTitle]], font=getFont(), size=24})
	setValue(self.typeTitleLabel, "typeTitleLabel", 1659, cc.size(89, 28), cc.p(18.1, 285.732), cc.p(0, 0.5), cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.typeTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.typeTitleLabel:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.rightBGImage_5, self.typeTitleLabel)

	self.typeLabel = createLabel({text=[[level]], font=getFont(), size=24})
	setValue(self.typeLabel, "typeLabel", 1660, cc.size(49, 28), cc.p(96.7988, 285.732), cc.p(0, 0.5), nil, nil, nil, nil)
	self.typeLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightBGImage_5, self.typeLabel)

	self.rankTitleLabel = createLabel({text=[[rankTitle]], font=getFont(), size=24})
	setValue(self.rankTitleLabel, "rankTitleLabel", 2026, cc.size(91, 28), cc.p(18.1, 241.452), cc.p(0, 0.5), cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.rankTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rankTitleLabel:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.rightBGImage_5, self.rankTitleLabel)

	self.levelTitleLabel = createLabel({text=[[levelTitle]], font=getFont(), size=24})
	setValue(self.levelTitleLabel, "levelTitleLabel", 2027, cc.size(93, 28), cc.p(20.815, 197.172), cc.p(0, 0.5), cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.levelTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.levelTitleLabel:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.rightBGImage_5, self.levelTitleLabel)

	self.attri1TitleLabel = createLabel({text=[[attri1TitleLabel]], font=getFont(), size=24})
	setValue(self.attri1TitleLabel, "attri1TitleLabel", 2028, cc.size(156, 28), cc.p(18.1, 152.892), cc.p(0, 0.5), cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.attri1TitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.attri1TitleLabel:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.rightBGImage_5, self.attri1TitleLabel)

	self.levelLabel = createLabel({text=[[level]], font=getFont(), size=24})
	setValue(self.levelLabel, "levelLabel", 2029, cc.size(49, 28), cc.p(96.7988, 197.172), cc.p(0, 0.5), nil, nil, nil, nil)
	self.levelLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightBGImage_5, self.levelLabel)

	self.attri1Label = createLabel({text=[[attri1Label]], font=getFont(), size=24})
	setValue(self.attri1Label, "attri1Label", 2030, cc.size(112, 28), cc.p(144.8, 152.892), cc.p(0, 0.5), nil, nil, nil, nil)
	self.attri1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightBGImage_5, self.attri1Label)

	self.attri2TitleLabel = createLabel({text=[[attri2TitleLabel]], font=getFont(), size=24})
	setValue(self.attri2TitleLabel, "attri2TitleLabel", 526, cc.size(156, 28), cc.p(18.1, 108.612), cc.p(0, 0.5), cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.attri2TitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.attri2TitleLabel:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.rightBGImage_5, self.attri2TitleLabel)

	self.attri2Label = createLabel({text=[[attri2Label]], font=getFont(), size=24})
	setValue(self.attri2Label, "attri2Label", 531, cc.size(112, 28), cc.p(144.8, 108.612), cc.p(0, 0.5), nil, nil, nil, nil)
	self.attri2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightBGImage_5, self.attri2Label)

	self.rankLabel = createLabel({text=[[5]], font=getFont(), size=24})
	setValue(self.rankLabel, "rankLabel", 3830, cc.size(13, 28), cc.p(96.7988, 241.452), cc.p(0, 0.5), nil, nil, nil, nil)
	self.rankLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightBGImage_5, self.rankLabel)

	self.Star = cc.Sprite:create()
	setValue(self.Star, "Star", 3831, cc.size(48, 48), cc.p(111.2788, 243), cc.p(0, 0.5), nil, nil, nil, nil)
	self.Star:setScale(0.8)
	self.Star:setSpriteFrame("ccs/UiImages/battle/star_gold.png")
	addChildForPre(self.rightBGImage_5, self.Star)

	self.belowPanel = ccui.Layout:create()
	setValue(self.belowPanel, "WIX_belowPanel", 1838, cc.size(640, 370), cc.p(0, 133), nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.belowPanel)
	self.belowPanel_3 = self.belowPanel

	self.belowBGImage = ccui.ImageView:create()
	setValue(self.belowBGImage, "AXY_belowBGImage", 1894, cc.size(640, 370), cc.p(320, 185), nil, nil, nil, nil, false)
	self.belowBGImage:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.belowBGImage:setScale9Enabled(true)
	self.belowBGImage:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.belowPanel_3, self.belowBGImage)

	self.medalDescTitleBg = ccui.ImageView:create()
	setValue(self.medalDescTitleBg, "TXN_medalDescTitleBg", 1950, cc.size(480, 42), cc.p(320, 336.7), nil, nil, nil, nil, nil)
	self.medalDescTitleBg:loadTexture("ccs/UiImages/common/arena_img_plate.png", 1)
	addChildForPre(self.belowPanel_3, self.medalDescTitleBg)
	self.medalDescTitleBg_4 = self.medalDescTitleBg

	self.medalDescTitleLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.medalDescTitleLabel, "medalDescTitleLabel", 2135, cc.size(109, 28), cc.p(240, 21), nil, nil, nil, nil, nil)
	self.medalDescTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.medalDescTitleBg_4, self.medalDescTitleLabel)

	self.medalDescLabel = createLabel({text=[[Text Label]], font=getFont(), size=24, dimensions = cc.size(606.0000, 290.0000)})
	setValue(self.medalDescLabel, "TXN_medalDescLabel", 2187, cc.size(606, 290), cc.p(320, 157), nil, nil, nil, nil, false)
	self.medalDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.belowPanel_3, self.medalDescLabel)

	self.buttonPanel = ccui.Layout:create()
	setValue(self.buttonPanel, "WBX_buttonPanel", 315, cc.size(640, 120), cc.p(320, 60), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.buttonPanel)
	self.buttonPanel_3 = self.buttonPanel

	self.imageLine1 = ccui.ImageView:create()
	setValue(self.imageLine1, "imageLine1", 1691, cc.size(640, 30), cc.p(320, 120), nil, nil, nil, nil, false)
	self.imageLine1:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.imageLine1:setScale9Enabled(true)
	self.imageLine1:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.buttonPanel_3, self.imageLine1)

	self.unLoadButton = ccui.Button:create()
	setValue(self.unLoadButton, "unLoadButton", 1690, cc.size(153, 64), cc.p(96, 60), nil, nil, nil, nil, false)
	self.unLoadButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.unLoadButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.unLoadButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.unLoadButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.unLoadButton:setTitleText([[unload]])
	self.unLoadButton:setTitleFontSize(25)
	self.unLoadButton:setTitleFontName(getFont())
	setClickEvent(self, self.unLoadButton, "unLoadButton")
	addChildForPre(self.buttonPanel_3, self.unLoadButton)

	self.partChangeButton = ccui.Button:create()
	setValue(self.partChangeButton, "partChangeButton", 158, cc.size(153, 64), cc.p(320, 60), nil, nil, nil, nil, false)
	self.partChangeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.partChangeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.partChangeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.partChangeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.partChangeButton:setTitleText([[change]])
	self.partChangeButton:setTitleFontSize(25)
	self.partChangeButton:setTitleFontName(getFont())
	setClickEvent(self, self.partChangeButton, "partChangeButton")
	addChildForPre(self.buttonPanel_3, self.partChangeButton)

	self.upgradeButton = ccui.Button:create()
	setValue(self.upgradeButton, "upgradeButton", 159, cc.size(153, 64), cc.p(544, 60), nil, nil, nil, nil, false)
	self.upgradeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.upgradeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.upgradeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.upgradeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.upgradeButton:setTitleText([[升级]])
	self.upgradeButton:setTitleFontSize(25)
	self.upgradeButton:setTitleFontName(getFont())
	setClickEvent(self, self.upgradeButton, "upgradeButton")
	addChildForPre(self.buttonPanel_3, self.upgradeButton)

	self.Image_21 = ccui.ImageView:create()
	setValue(self.Image_21, "Image_21", 1692, cc.size(640, 8), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.Image_21:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	self.Image_21:setScale9Enabled(true)
	self.Image_21:setCapInsets(cc.rect(0, 0, 640, 8))
	addChildForPre(self.buttonPanel_3, self.Image_21)

	if CommonDialogFrame1CloseUi then 
 		self.commonDialogFrame1CloseUi = CommonDialogFrame1CloseUi.new() 
 	else 
		self.commonDialogFrame1CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame1CloseUi, "commonDialogFrame1CloseUi", 1185, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/battle.plist",
	"ccs/plist/common.plist",
}

return _M
