-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_0 = cc.Node:create()
	setValue(self.Node_0, "Node_0", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_0)
 	self.uiRootNode = self.Node_0
	self.Node_0_0 = self.Node_0

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 151, cc.size(640, 275), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 152, cc.size(640, 275), cc.p(320, 137.5), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.leftPanel = ccui.Layout:create()
	setValue(self.leftPanel, "WTX_leftPanel", 1283, cc.size(640, 275), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.leftPanel)
	self.leftPanel_3 = self.leftPanel

	if MedalBigIconUi then 
 		self.medalBigIconUi = MedalBigIconUi.new() 
 	else 
		self.medalBigIconUi = BaseUi.new("ccs/ui/medal/MedalBigIconUi.lua")
 	end 
	setValue(self.medalBigIconUi, "LNN_medalBigIconUi", 506, nil, cc.p(23, 0), nil, nil, nil, nil, nil)
	addChildForPre(self.leftPanel_3, self.medalBigIconUi)

	self.leftRightPanel = ccui.Layout:create()
	setValue(self.leftRightPanel, "WNN_leftRightPanel", 510, cc.size(362, 275), cc.p(268.5, 0), nil, nil, nil, nil, nil)
	addChildForPre(self.leftPanel_3, self.leftRightPanel)
	self.leftRightPanel_4 = self.leftRightPanel

	self.leftRightPanelBg = ccui.ImageView:create()
	setValue(self.leftRightPanelBg, "WXN_leftRightPanelBg", 607, cc.size(362, 275), cc.p(181, 137.5), nil, nil, nil, nil, false)
	self.leftRightPanelBg:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.leftRightPanelBg:setScale9Enabled(true)
	self.leftRightPanelBg:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.leftRightPanel_4, self.leftRightPanelBg)

	self.labelAttack1 = createLabel({text=[[levelTitle]], font=getFont(), size=24})
	setValue(self.labelAttack1, "labelAttack1", 2027, cc.size(93, 28), cc.p(27.0052, 123.2), cc.p(0, 0.5), cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.labelAttack1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.labelAttack1:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.leftRightPanel_4, self.labelAttack1)

	self.loadForTitleLabel = createLabel({text=[[loadForTitle]], font=getFont(), size=24})
	setValue(self.loadForTitleLabel, "loadForTitleLabel", 121, cc.size(125, 28), cc.p(157.5551, 27.7283), cc.p(1, 0.5), cc.c4b(217, 194, 105, 255), nil, nil, nil)
	self.loadForTitleLabel:setVisible(false)
	self.loadForTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.loadForTitleLabel:setColor(cc.c4b(217, 194, 105, 255))
	addChildForPre(self.leftRightPanel_4, self.loadForTitleLabel)

	self.loadForLabel = createLabel({text=[[loadForLabel]], font=getFont(), size=24})
	setValue(self.loadForLabel, "loadForLabel", 122, cc.size(140, 28), cc.p(171.5846, 25.7283), cc.p(0, 0.5), nil, nil, nil, nil)
	self.loadForLabel:setVisible(false)
	self.loadForLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftRightPanel_4, self.loadForLabel)

	self.labelName = createLabel({text=[[labelName]], font=getFont(), size=24})
	setValue(self.labelName, "labelName", 617, cc.size(114, 28), cc.p(25.6296, 245.63), cc.p(0, 0.5), cc.c4b(255, 0, 0, 255), nil, nil, nil)
	self.labelName:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.labelName:setColor(cc.c4b(255, 0, 0, 255))
	addChildForPre(self.leftRightPanel_4, self.labelName)

	self.rankTitleLabel = createLabel({text=[[rankTitle]], font=getFont(), size=24})
	setValue(self.rankTitleLabel, "rankTitleLabel", 2026, cc.size(91, 28), cc.p(25.6296, 164.01), cc.p(0, 0.5), cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.rankTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rankTitleLabel:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.leftRightPanel_4, self.rankTitleLabel)

	self.attack1Label = createLabel({text=[[level]], font=getFont(), size=24})
	setValue(self.attack1Label, "attack1Label", 2029, cc.size(49, 28), cc.p(91.4774, 123.2), cc.p(0, 0.5), nil, nil, nil, nil)
	self.attack1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftRightPanel_4, self.attack1Label)

	self.addValueLabel = createLabel({text=[[level]], font=getFont(), size=24})
	setValue(self.addValueLabel, "addValueLabel", 559, cc.size(49, 28), cc.p(160.004, 123.2), cc.p(0, 0.5), nil, nil, nil, nil)
	self.addValueLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftRightPanel_4, self.addValueLabel)

	self.rankLabel = createLabel({text=[[5]], font=getFont(), size=24})
	setValue(self.rankLabel, "rankLabel", 3797, cc.size(13, 28), cc.p(91.4774, 164.01), cc.p(0, 0.5), nil, nil, nil, nil)
	self.rankLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftRightPanel_4, self.rankLabel)

	self.levelTitle = createLabel({text=[[typeTitle]], font=getFont(), size=24})
	setValue(self.levelTitle, "levelTitle", 396, cc.size(89, 28), cc.p(25.6296, 204.82), cc.p(0, 0.5), cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.levelTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.levelTitle:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.leftRightPanel_4, self.levelTitle)

	self.levelLabel = createLabel({text=[[type]], font=getFont(), size=24})
	setValue(self.levelLabel, "levelLabel", 398, cc.size(45, 28), cc.p(91.4774, 204.82), cc.p(0, 0.5), nil, nil, nil, nil)
	self.levelLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftRightPanel_4, self.levelLabel)

	self.addLvLabel = createLabel({text=[[type]], font=getFont(), size=24})
	setValue(self.addLvLabel, "addLvLabel", 558, cc.size(45, 28), cc.p(158.013, 204.82), cc.p(0, 0.5), nil, nil, nil, nil)
	self.addLvLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftRightPanel_4, self.addLvLabel)

	self.labelAttack2 = createLabel({text=[[rankTitle]], font=getFont(), size=24})
	setValue(self.labelAttack2, "labelAttack2", 627, cc.size(91, 28), cc.p(25.6296, 82.39), cc.p(0, 0.5), cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.labelAttack2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.labelAttack2:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.leftRightPanel_4, self.labelAttack2)

	self.attack2Label = createLabel({text=[[level]], font=getFont(), size=24})
	setValue(self.attack2Label, "attack2Label", 508, cc.size(49, 28), cc.p(91.4774, 82.39), cc.p(0, 0.5), nil, nil, nil, nil)
	self.attack2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftRightPanel_4, self.attack2Label)

	self.Star1 = cc.Sprite:create()
	setValue(self.Star1, "Star1", 3796, cc.size(40, 38), cc.p(112.4734, 166.32), cc.p(0, 0.5), nil, nil, nil, nil)
	self.Star1:setScale(0.8)
	self.Star1:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.leftRightPanel_4, self.Star1)

	self.rankNewLabel = createLabel({text=[[5]], font=getFont(), size=24})
	setValue(self.rankNewLabel, "rankNewLabel", 2526, cc.size(13, 28), cc.p(163.0086, 164.01), cc.p(0, 0.5), nil, nil, nil, nil)
	self.rankNewLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftRightPanel_4, self.rankNewLabel)

	self.loadingBarBg = ccui.ImageView:create()
	setValue(self.loadingBarBg, "loadingBarBg", 406, cc.size(310, 24), cc.p(181, 44), nil, nil, nil, nil, false)
	self.loadingBarBg:loadTexture("ccs/UiImages/battle/s9_img_expa.png", 1)
	self.loadingBarBg:setScale9Enabled(true)
	self.loadingBarBg:setCapInsets(cc.rect(20, 0, 205, 14))
	addChildForPre(self.leftRightPanel_4, self.loadingBarBg)
	self.loadingBarBg_5 = self.loadingBarBg

	local progressSprite = cc.Sprite:createWithSpriteFrameName("ccs/UiImages/battle/s9_img_expb.png")
	self.loadingBar1 = cc.ProgressTimer:create(progressSprite)
	setValue(self.loadingBar1, "loadingBar1", 405, cc.size(245, 24), cc.p(155, 11.28), nil, nil, nil, nil, nil)
	self.loadingBar1:setScaleX(1.27)
	self.loadingBar1:setScaleY(1)
	self.loadingBar1:setPercentage(100)
	self.loadingBar1:setType(1)
	self.loadingBar1:setBarChangeRate({x=1,y=0})
	self.loadingBar1:setMidpoint({x = 0,y = 0})
	addChildForPre(self.loadingBarBg_5, self.loadingBar1)

	local progressSprite = cc.Sprite:createWithSpriteFrameName("ccs/UiImages/battle/s9_img_expb.png")
	self.loadingBar2 = cc.ProgressTimer:create(progressSprite)
	setValue(self.loadingBar2, "loadingBar2", 407, cc.size(245, 24), cc.p(155, 11.28), nil, nil, nil, nil, nil)
	self.loadingBar2:setScaleX(1.27)
	self.loadingBar2:setScaleY(1)
	self.loadingBar2:setPercentage(100)
	self.loadingBar2:setType(1)
	self.loadingBar2:setBarChangeRate({x=1,y=0})
	self.loadingBar2:setMidpoint({x = 0,y = 0})
	addChildForPre(self.loadingBarBg_5, self.loadingBar2)

	self.loadingBarLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.loadingBarLabel, "loadingBarLabel", 556, cc.size(109, 28), cc.p(155, 12), nil, nil, nil, nil, nil)
	self.loadingBarLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.loadingBarBg_5, self.loadingBarLabel)

	self.addLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.addLabel, "addLabel", 408, cc.size(109, 28), cc.p(181, 16.5), nil, nil, nil, nil, nil)
	self.addLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftRightPanel_4, self.addLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/battle.plist",
	"ccs/plist/common.plist",
}

return _M
