-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_0 = cc.Node:create()
	setValue(self.Node_0, "Node_0", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_0)
 	self.uiRootNode = self.Node_0
	self.Node_0_0 = self.Node_0

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 1, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 11, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 6, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.CommonArticleBox = ccui.ImageView:create()
	setValue(self.CommonArticleBox, "WTX_CommonArticleBox", 629, cc.size(640, 62), cc.p(320, 852.6), nil, nil, nil, nil, nil)
	self.CommonArticleBox:loadTexture("ccs/UiImages/commonBg/common_img_diban00.png", 1)
	addChildForPre(self.dialogPanel_2, self.CommonArticleBox)

	self.tabTopPanel = ccui.Layout:create()
	setValue(self.tabTopPanel, "WTX_tabTopPanel", 7, cc.size(640, 50), cc.p(320, 857.1164), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.tabTopPanel)
	self.tabTopPanel_3 = self.tabTopPanel

	self.tabMedalButton = ccui.Button:create()
	self.tabMedalButton:setScale9Enabled(true)
	self.tabMedalButton:setCapInsets(cc.rect(0, 0, 247, 91))
	self.tabMedalButton:setContentSize(cc.size(124, 48))
	setValue(self.tabMedalButton, "tabMedalButton", 8, nil, cc.p(81.92, 25), nil, nil, nil, nil, false)
	self.tabMedalButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.tabMedalButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabMedalButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabMedalButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tabMedalButton:setTitleText([[配件]])
	self.tabMedalButton:setTitleFontSize(25)
	self.tabMedalButton:setTitleFontName(getFont())
	setClickEvent(self, self.tabMedalButton, "tabMedalButton")
	addChildForPre(self.tabTopPanel_3, self.tabMedalButton)

	self.tabBreakupButton = ccui.Button:create()
	self.tabBreakupButton:setScale9Enabled(true)
	self.tabBreakupButton:setCapInsets(cc.rect(0, 0, 247, 91))
	self.tabBreakupButton:setContentSize(cc.size(124, 48))
	setValue(self.tabBreakupButton, "tabBreakupButton", 9, nil, cc.p(213.952, 25), nil, nil, nil, nil, false)
	self.tabBreakupButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.tabBreakupButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabBreakupButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabBreakupButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tabBreakupButton:setTitleText([[配件分解]])
	self.tabBreakupButton:setTitleFontSize(25)
	self.tabBreakupButton:setTitleFontName(getFont())
	setClickEvent(self, self.tabBreakupButton, "tabBreakupButton")
	addChildForPre(self.tabTopPanel_3, self.tabBreakupButton)

	self.tabRestoreButton = ccui.Button:create()
	self.tabRestoreButton:setScale9Enabled(true)
	self.tabRestoreButton:setCapInsets(cc.rect(0, 0, 247, 91))
	self.tabRestoreButton:setContentSize(cc.size(124, 48))
	setValue(self.tabRestoreButton, "tabRestoreButton", 1462, nil, cc.p(345.984, 25), nil, nil, nil, nil, false)
	self.tabRestoreButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.tabRestoreButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabRestoreButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabRestoreButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tabRestoreButton:setTitleText([[配件还原]])
	self.tabRestoreButton:setTitleFontSize(25)
	self.tabRestoreButton:setTitleFontName(getFont())
	setClickEvent(self, self.tabRestoreButton, "tabRestoreButton")
	addChildForPre(self.tabTopPanel_3, self.tabRestoreButton)

	self.curNumberLabel = createLabel({text=[[0]], font=getFont(), size=24})
	setValue(self.curNumberLabel, "RNN_curNumberLabel", 3411, cc.size(13, 28), cc.p(480, 25), cc.p(0, 0.5), nil, nil, nil, nil)
	self.curNumberLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.tabTopPanel_3, self.curNumberLabel)

	self.getMoreButton = ccui.Button:create()
	setValue(self.getMoreButton, "getMoreButton", 2123, cc.size(46, 36), cc.p(-34.816, 28), cc.p(1, 0.5), nil, nil, nil, false)
	self.getMoreButton:setVisible(false)
	self.getMoreButton:loadTextureNormal("Default/Button_Normal.png", 0)
	self.getMoreButton:loadTexturePressed("Default/Button_Press.png", 0)
	self.getMoreButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.getMoreButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.getMoreButton:setTitleText([[getMore]])
	self.getMoreButton:setTitleFontSize(24)
	self.getMoreButton:setTitleFontName(getFont())
	setClickEvent(self, self.getMoreButton, "getMoreButton")
	addChildForPre(self.tabTopPanel_3, self.getMoreButton)

	self.tabContentPanel = ccui.Layout:create()
	setValue(self.tabContentPanel, "WIX_tabContentPanel", 11, cc.size(640, 818), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.tabContentPanel)

	if CommonDialogFrame1CloseUi then 
 		self.commonDialogFrame1CloseUi = CommonDialogFrame1CloseUi.new() 
 	else 
		self.commonDialogFrame1CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame1CloseUi, "commonDialogFrame1CloseUi", 29, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/common.plist",
	"Default/Button_Disable.png",
	"Default/Button_Press.png",
	"Default/Button_Normal.png",
}

return _M
