-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_0 = cc.Node:create()
	setValue(self.Node_0, "Node_0", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_0)
 	self.uiRootNode = self.Node_0
	self.Node_0_0 = self.Node_0

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 151, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	setBgColor(self.rootPanel, 1, 0, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.Node_0_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 2597, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 152, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.topPanel = ccui.Layout:create()
	setValue(self.topPanel, "WTX_topPanel", 2619, cc.size(640, 275), cc.p(0, 595), nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.topPanel)
	self.topPanel_3 = self.topPanel

	self.leftPanel = ccui.Layout:create()
	setValue(self.leftPanel, "leftPanel", 1283, cc.size(230, 275), cc.p(23, 0), nil, nil, nil, nil, nil)
	addChildForPre(self.topPanel_3, self.leftPanel)
	self.leftPanel_4 = self.leftPanel

	if MedalBigIconUi then 
 		self.medalBigIconUi = MedalBigIconUi.new() 
 	else 
		self.medalBigIconUi = BaseUi.new("ccs/ui/medal/MedalBigIconUi.lua")
 	end 
	setValue(self.medalBigIconUi, "medalBigIconUi", 506, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.leftPanel_4, self.medalBigIconUi)

	self.loadForTitleLabel = createLabel({text=[[装备于:]], font=getFont(), size=24})
	setValue(self.loadForTitleLabel, "loadForTitleLabel", 121, cc.size(78, 28), cc.p(-217.4396, 21.2299), cc.p(1, 0.5), cc.c4b(217, 194, 105, 255), nil, nil, nil)
	self.loadForTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.loadForTitleLabel:setColor(cc.c4b(217, 194, 105, 255))
	addChildForPre(self.leftPanel_4, self.loadForTitleLabel)

	self.loadForLabel = createLabel({text=[[loadForLabel]], font=getFont(), size=24})
	setValue(self.loadForLabel, "loadForLabel", 122, cc.size(140, 28), cc.p(-330.4089, -48.7701), cc.p(0, 0.5), nil, nil, nil, nil)
	self.loadForLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftPanel_4, self.loadForLabel)

	self.rightPanel = ccui.Layout:create()
	setValue(self.rightPanel, "rightPanel", 1284, cc.size(362, 275), cc.p(268.5, 0), nil, nil, nil, nil, nil)
	addChildForPre(self.topPanel_3, self.rightPanel)
	self.rightPanel_4 = self.rightPanel

	self.rightBGImage = ccui.ImageView:create()
	setValue(self.rightBGImage, "rightBGImage", 2025, cc.size(362, 275), cc.p(181, 137.5), nil, nil, nil, nil, false)
	self.rightBGImage:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.rightBGImage:setScale9Enabled(true)
	self.rightBGImage:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.rightPanel_4, self.rightBGImage)
	self.rightBGImage_5 = self.rightBGImage

	self.medalNameLabel = createLabel({text=[[Text Label]], font=getFont(), size=28})
	setValue(self.medalNameLabel, "medalNameLabel", 2970, cc.size(127, 32), cc.p(42, 231), cc.p(0, 0.5), nil, nil, nil, nil)
	self.medalNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightBGImage_5, self.medalNameLabel)

	self.rankTitleLabel = createLabel({text=[[rankTitle]], font=getFont(), size=24})
	setValue(self.rankTitleLabel, "rankTitleLabel", 2026, cc.size(91, 28), cc.p(41.992, 130.185), cc.p(0, 0.5), cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.rankTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rankTitleLabel:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.rightBGImage_5, self.rankTitleLabel)

	self.levelTitleLabel = createLabel({text=[[levelTitle]], font=getFont(), size=24})
	setValue(self.levelTitleLabel, "levelTitleLabel", 2027, cc.size(93, 28), cc.p(41.992, 80.7675), cc.p(0, 0.5), cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.levelTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.levelTitleLabel:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.rightBGImage_5, self.levelTitleLabel)

	self.levelLabel = createLabel({text=[[level]], font=getFont(), size=24})
	setValue(self.levelLabel, "levelLabel", 2029, cc.size(49, 28), cc.p(113.9938, 80.7675), cc.p(0, 0.5), nil, nil, nil, nil)
	self.levelLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightBGImage_5, self.levelLabel)

	self.ArrowGreen = cc.Sprite:create()
	setValue(self.ArrowGreen, "ArrowGreen", 3061, cc.size(22, 29), cc.p(153.8138, 80.7675), nil, nil, nil, nil, nil)
	self.ArrowGreen:setRotationSkewX(90)
	self.ArrowGreen:setRotationSkewY(90)
	self.ArrowGreen:setSpriteFrame("ccs/UiImages/common/common_img_jiantou.png")
	addChildForPre(self.rightBGImage_5, self.ArrowGreen)

	self.levelNewLabel = createLabel({text=[[4]], font=getFont(), size=24})
	setValue(self.levelNewLabel, "levelNewLabel", 2863, cc.size(13, 28), cc.p(186.3938, 80.7675), cc.p(0, 0.5), nil, nil, nil, nil)
	self.levelNewLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightBGImage_5, self.levelNewLabel)

	self.rankLabel = createLabel({text=[[5]], font=getFont(), size=24})
	setValue(self.rankLabel, "rankLabel", 3797, cc.size(13, 28), cc.p(113.9938, 130.185), cc.p(0, 0.5), nil, nil, nil, nil)
	self.rankLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightBGImage_5, self.rankLabel)

	self.Star = cc.Sprite:create()
	setValue(self.Star, "Star", 3796, cc.size(48, 48), cc.p(128.4738, 131.2575), cc.p(0, 0.5), nil, nil, nil, nil)
	self.Star:setScale(0.8)
	self.Star:setSpriteFrame("ccs/UiImages/battle/star_gold.png")
	addChildForPre(self.rightBGImage_5, self.Star)

	self.lvTitleLabel = createLabel({text=[[rankTitle]], font=getFont(), size=24})
	setValue(self.lvTitleLabel, "lvTitleLabel", 3074, cc.size(91, 28), cc.p(41.992, 179.575), cc.p(0, 0.5), cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.lvTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.lvTitleLabel:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.rightBGImage_5, self.lvTitleLabel)

	self.lvLabel = createLabel({text=[[5]], font=getFont(), size=24})
	setValue(self.lvLabel, "lvLabel", 3075, cc.size(13, 28), cc.p(113.9938, 179.575), cc.p(0, 0.5), nil, nil, nil, nil)
	self.lvLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightBGImage_5, self.lvLabel)

	self.belowPanel = ccui.Layout:create()
	setValue(self.belowPanel, "WIX_belowPanel", 2971, cc.size(640, 440), cc.p(0, 145), nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.belowPanel)
	self.belowPanel_3 = self.belowPanel

	self.belowBGImage = ccui.ImageView:create()
	setValue(self.belowBGImage, "AXY_belowBGImage", 2972, cc.size(640, 440), cc.p(320, 220), nil, nil, nil, nil, false)
	self.belowBGImage:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.belowBGImage:setScale9Enabled(true)
	self.belowBGImage:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.belowPanel_3, self.belowBGImage)

	self.trainInfoPanel = ccui.Layout:create()
	setValue(self.trainInfoPanel, "WTX_trainInfoPanel", 6087, cc.size(640, 440), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.belowPanel_3, self.trainInfoPanel)
	self.trainInfoPanel_4 = self.trainInfoPanel

	self.ArrowGreen_Copy = cc.Sprite:create()
	setValue(self.ArrowGreen_Copy, "ArrowGreen_Copy", 450, cc.size(22, 29), cc.p(390.4, 351.076), nil, nil, nil, nil, nil)
	self.ArrowGreen_Copy:setRotationSkewX(90)
	self.ArrowGreen_Copy:setRotationSkewY(90)
	self.ArrowGreen_Copy:setSpriteFrame("ccs/UiImages/common/common_img_jiantou.png")
	addChildForPre(self.trainInfoPanel_4, self.ArrowGreen_Copy)

	self.attri2Label = createLabel({text=[[attri2Label]], font=getFont(), size=24})
	setValue(self.attri2Label, "attri2Label", 1759, cc.size(112, 28), cc.p(320, 351.076), cc.p(0, 0.5), nil, nil, nil, nil)
	self.attri2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.trainInfoPanel_4, self.attri2Label)

	self.attri2TitleLabel = createLabel({text=[[attri2TitleLabel]], font=getFont(), size=24})
	setValue(self.attri2TitleLabel, "attri2TitleLabel", 395, cc.size(156, 28), cc.p(288, 351.076), cc.p(1, 0.5), cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.attri2TitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.attri2TitleLabel:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.trainInfoPanel_4, self.attri2TitleLabel)

	self.attri1NewLabel = createLabel({text=[[+4]], font=getFont(), size=24})
	setValue(self.attri1NewLabel, "attri1NewLabel", 58, cc.size(27, 28), cc.p(448, 351.076), cc.p(0, 0.5), cc.c4b(0, 150, 75, 255), nil, nil, nil)
	self.attri1NewLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.attri1NewLabel:setColor(cc.c4b(0, 150, 75, 255))
	addChildForPre(self.trainInfoPanel_4, self.attri1NewLabel)

	self.attri1Label = createLabel({text=[[attri1]], font=getFont(), size=24})
	setValue(self.attri1Label, "attri1Label", 2030, cc.size(53, 28), cc.p(320, 408.276), cc.p(0, 0.5), nil, nil, nil, nil)
	self.attri1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.trainInfoPanel_4, self.attri1Label)

	self.attri1TitleLabel = createLabel({text=[[attri1TitleLabel]], font=getFont(), size=24})
	setValue(self.attri1TitleLabel, "attri1TitleLabel", 2028, cc.size(156, 28), cc.p(288, 408.276), cc.p(1, 0.5), cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.attri1TitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.attri1TitleLabel:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.trainInfoPanel_4, self.attri1TitleLabel)

	self.trainNeedImage = ccui.ImageView:create()
	setValue(self.trainNeedImage, "trainNeedImage", 2973, cc.size(480, 42), cc.p(320, 286), nil, nil, nil, nil, false)
	self.trainNeedImage:loadTexture("ccs/UiImages/common/arena_img_plate.png", 1)
	self.trainNeedImage:setScale9Enabled(true)
	self.trainNeedImage:setCapInsets(cc.rect(0, 0, 480, 42))
	addChildForPre(self.trainInfoPanel_4, self.trainNeedImage)
	self.trainNeedImage_5 = self.trainNeedImage

	self.trainNeedLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.trainNeedLabel, "trainNeedLabel", 3073, cc.size(109, 28), cc.p(240, 21), nil, nil, nil, nil, nil)
	self.trainNeedLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.trainNeedImage_5, self.trainNeedLabel)

	self.cost1Node = cc.Node:create()
	setValue(self.cost1Node, "cost1Node", 342, nil, cc.p(96, 184.8), nil, nil, nil, nil, nil)
	addChildForPre(self.trainInfoPanel_4, self.cost1Node)

	self.cost2Node = cc.Node:create()
	setValue(self.cost2Node, "cost2Node", 3328, nil, cc.p(320, 184.8), nil, nil, nil, nil, nil)
	addChildForPre(self.trainInfoPanel_4, self.cost2Node)
	self.cost2Node_5 = self.cost2Node

	self.cost2Sprite = cc.Sprite:create()
	setValue(self.cost2Sprite, "cost2Sprite", 3333, cc.size(100, 100), nil, nil, nil, nil, nil, nil)
	self.cost2Sprite:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.cost2Node_5, self.cost2Sprite)

	self.cost3Node = cc.Node:create()
	setValue(self.cost3Node, "cost3Node", 3329, nil, cc.p(544, 184.8), nil, nil, nil, nil, nil)
	addChildForPre(self.trainInfoPanel_4, self.cost3Node)
	self.cost3Node_5 = self.cost3Node

	self.cost3Sprite = cc.Sprite:create()
	setValue(self.cost3Sprite, "cost3Sprite", 3334, cc.size(100, 100), nil, nil, nil, nil, nil, nil)
	self.cost3Sprite:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.cost3Node_5, self.cost3Sprite)

	self.numLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.numLabel, "BXN_numLabel", 3332, cc.size(109, 28), cc.p(75, 73), cc.p(0, 0.5), nil, nil, nil, nil)
	self.numLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.belowPanel_3, self.numLabel)

	self.getMore = ccui.Button:create()
	setValue(self.getMore, "BXN_getMore", 761, cc.size(81, 26), cc.p(505.2676, 76), nil, cc.c4b(0, 230, 255, 255), nil, nil, false)
	self.getMore:loadTextureNormal("ccs/UiImages/image9/Underline.png", 1)
	self.getMore:loadTexturePressed("ccs/UiImages/image9/Underline.png", 1)
	self.getMore:loadTextureDisabled("ccs/UiImages/image9/Underline.png", 1)
	self.getMore:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.getMore:setTitleText([[getMoreButton]])
	self.getMore:setTitleFontSize(24)
	self.getMore:setTitleFontName(getFont())
	setClickEvent(self, self.getMore, "getMore")
	addChildForPre(self.belowPanel_3, self.getMore)

	self.buttonPanel = ccui.Layout:create()
	setValue(self.buttonPanel, "WBX_buttonPanel", 315, cc.size(640, 120), cc.p(320, 60), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.buttonPanel)
	self.buttonPanel_3 = self.buttonPanel

	self.imageLine1 = ccui.ImageView:create()
	setValue(self.imageLine1, "WXY_imageLine1", 2968, cc.size(640, 8), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.imageLine1:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	self.imageLine1:setScale9Enabled(true)
	self.imageLine1:setCapInsets(cc.rect(0, 0, 640, 8))
	addChildForPre(self.buttonPanel_3, self.imageLine1)

	self.upgradeButton = ccui.Button:create()
	setValue(self.upgradeButton, "XYN_upgradeButton", 159, cc.size(153, 64), cc.p(320, 60), nil, nil, nil, nil, false)
	self.upgradeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.upgradeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.upgradeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.upgradeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.upgradeButton:setTitleText([[upgrade]])
	self.upgradeButton:setTitleFontSize(25)
	self.upgradeButton:setTitleFontName(getFont())
	setClickEvent(self, self.upgradeButton, "upgradeButton")
	addChildForPre(self.buttonPanel_3, self.upgradeButton)

	self.imageLine2 = ccui.ImageView:create()
	setValue(self.imageLine2, "WXY_imageLine2", 2969, cc.size(640, 30), cc.p(320, 130), nil, nil, nil, nil, false)
	self.imageLine2:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.imageLine2:setScale9Enabled(true)
	self.imageLine2:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.buttonPanel_3, self.imageLine2)

	self.downInfoLabel = createLabel({text=[[downInfodownInfodownInfodownInfodownInfodownInfodownInfodownInfo]], font=getFont(), size=20,align = 1,valign = 1, dimensions = cc.size(480.0000, 40.0000)})
	setValue(self.downInfoLabel, "BXN_downInfoLabel", 2014, cc.size(480, 40), cc.p(320, 174.816), nil, cc.c4b(226, 242, 167, 255), nil, nil, false)
	self.downInfoLabel:setVisible(false)
	self.downInfoLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.downInfoLabel:setColor(cc.c4b(226, 242, 167, 255))
	addChildForPre(self.dialogPanel_2, self.downInfoLabel)

	self.leftRightButtonPanel = ccui.Layout:create()
	setValue(self.leftRightButtonPanel, "leftRightButtonPanel", 322, cc.size(640, 178.08), cc.p(320, 450), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.leftRightButtonPanel)

	if CommonDialogFrame1CloseUi then 
 		self.commonDialogFrame1CloseUi = CommonDialogFrame1CloseUi.new() 
 	else 
		self.commonDialogFrame1CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame1CloseUi, "commonDialogFrame1CloseUi", 2612, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/battle.plist",
	"ccs/plist/common.plist",
	"ccs/plist/commonBg.plist",
	"ccs/plist/image9.plist",
}

return _M
