-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 139, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 140, cc.size(640, 210), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 37, cc.size(612, 210), cc.p(320, 105), nil, nil, nil, nil, nil)
	self.bgImage:loadTexture("ccs/UiImages/commonBg/militaryRank_img_cellBack_3.png", 1)
	addChildForPre(self.rootPanel_1, self.bgImage)

	self.iconSprite = cc.Sprite:create()
	setValue(self.iconSprite, "iconSprite", 38, cc.size(100, 100), cc.p(101.0002, 90.0001), nil, nil, nil, nil, nil)
	self.iconSprite:setSpriteFrame("ccs/UiImages/icon/military_1.jpg")
	addChildForPre(self.rootPanel_1, self.iconSprite)

	self.lvLabel = createLabel({text=[[上士]], font=getFont(), size=22,align = 2,valign = 1})
	setValue(self.lvLabel, "lvLabel", 97, cc.size(44, 26), cc.p(98.816, 157.584), nil, nil, nil, nil, nil)
	self.lvLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.lvLabel)

	self.nameLabel = createLabel({text=[[每日奖励答题金币]], font=getFont(), size=24,valign = 1, dimensions = cc.size(275.0000, 80.0000)})
	setValue(self.nameLabel, "nameLabel", 39, cc.size(275, 80), cc.p(184.0001, 186.0655), cc.p(0, 1), nil, nil, nil, false)
	self.nameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.nameLabel)

	self.icon1Sprite = cc.Sprite:create()
	setValue(self.icon1Sprite, "icon1Sprite", 40, cc.size(100, 100), cc.p(331.84, 99.267), nil, nil, nil, nil, nil)
	self.icon1Sprite:setScale(0.5)
	self.icon1Sprite:setSpriteFrame("ccs/UiImages/icon/rongyu.png")
	addChildForPre(self.rootPanel_1, self.icon1Sprite)

	self.info1NumLabel = createLabel({text=[[荣誉达到 ：]], font=getFont(), size=24,valign = 1})
	setValue(self.info1NumLabel, "info1NumLabel", 44, cc.size(126, 28), cc.p(186.432, 96.327), cc.p(0, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.info1NumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.info1NumLabel:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.rootPanel_1, self.info1NumLabel)

	self.info1Label = createLabel({text=[[123456]], font=getFont(), size=24,valign = 1})
	setValue(self.info1Label, "info1Label", 32, cc.size(80, 28), cc.p(373.952, 97.797), cc.p(0, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.info1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.info1Label:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.rootPanel_1, self.info1Label)

	self.icon2Sprite = cc.Sprite:create()
	setValue(self.icon2Sprite, "icon2Sprite", 43, cc.size(34, 28), cc.p(334.4, 58.8741), nil, nil, nil, nil, nil)
	self.icon2Sprite:setSpriteFrame("ccs/UiImages/common/icon_gold.png")
	addChildForPre(self.rootPanel_1, self.icon2Sprite)

	self.info2NumLabel = createLabel({text=[[金币消耗 ：]], font=getFont(), size=24,valign = 1})
	setValue(self.info2NumLabel, "info2NumLabel", 45, cc.size(126, 28), cc.p(186.432, 57.078), cc.p(0, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.info2NumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.info2NumLabel:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.rootPanel_1, self.info2NumLabel)

	self.info2Label = createLabel({text=[[123456]], font=getFont(), size=24,valign = 1})
	setValue(self.info2Label, "info2Label", 33, cc.size(80, 28), cc.p(376.064, 58.338), cc.p(0, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.info2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.info2Label:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.rootPanel_1, self.info2Label)

	self.selectImage = cc.Node:create()
	setValue(self.selectImage, "selectImage", 20, nil, cc.p(556.224, 105), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.selectImage)
	self.selectImage_2 = self.selectImage

	self.Sprite_7 = cc.Sprite:create()
	setValue(self.Sprite_7, "Sprite_7", 21, cc.size(46, 46), nil, nil, nil, nil, nil, nil)
	self.Sprite_7:setTexture("Default/Sprite.png")
	addChildForPre(self.selectImage_2, self.Sprite_7)

	self.uiButton = ccui.Button:create()
	setValue(self.uiButton, "uiButton", 104, cc.size(96, 49), cc.p(554.88, 105), nil, nil, nil, nil, false)
	self.uiButton:loadTextureNormal("ccs/UiImages/image9/CommonPanel_btn_smallred_0.png", 1)
	self.uiButton:loadTexturePressed("ccs/UiImages/image9/CommonPanel_btn_smallred_1.png", 1)
	self.uiButton:loadTextureDisabled("ccs/UiImages/image9/CommonPanel_btn_small_2.png", 1)
	self.uiButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.uiButton:setTitleText([[进阶]])
	self.uiButton:setTitleFontSize(28)
	self.uiButton:setTitleFontName(getFont())
	setClickEvent(self, self.uiButton, "uiButton")
	addChildForPre(self.rootPanel_1, self.uiButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/icon.plist",
	"ccs/plist/common.plist",
	"Default/Sprite.png",
	"ccs/plist/image9.plist",
}

return _M
