-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 126, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 141, cc.size(460, 160), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.rankCellBg = ccui.ImageView:create()
	setValue(self.rankCellBg, "rankCellBg", 77, cc.size(612, 210), cc.p(230, 80), nil, nil, nil, nil, nil)
	self.rankCellBg:setScale(0.75)
	self.rankCellBg:loadTexture("ccs/UiImages/commonBg/common_img_gaoditiao_2.png", 1)
	addChildForPre(self.rootPanel_1, self.rankCellBg)

	self.rankLabel = createLabel({text=[[中士]], font=getFont(), size=24})
	setValue(self.rankLabel, "rankLabel", 78, cc.size(48, 28), cc.p(96.1323, 131.1723), nil, nil, nil, nil, nil)
	self.rankLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.rankLabel)

	self.rankCellIcon = cc.Sprite:create()
	setValue(self.rankCellIcon, "rankCellIcon", 79, cc.size(100, 100), cc.p(95.1523, 65.1565), nil, nil, nil, nil, nil)
	self.rankCellIcon:setSpriteFrame("ccs/UiImages/icon/military_1.jpg")
	addChildForPre(self.rootPanel_1, self.rankCellIcon)

	self.rankBonusLabel = createLabel({text=[[全部战舰生命]], font=getFont(), size=24})
	setValue(self.rankBonusLabel, "rankBonusLabel", 80, cc.size(144, 28), cc.p(157.3871, 77.7319), cc.p(0, 0.5), nil, nil, nil, nil)
	self.rankBonusLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.rankBonusLabel)

	self.rankBonusNum = createLabel({text=[[+5%]], font=getFont(), size=24})
	setValue(self.rankBonusNum, "rankBonusNum", 81, cc.size(48, 28), cc.p(364.0942, 77.7319), cc.p(0, 0.5), cc.c4b(0, 243, 73, 255), nil, nil, nil)
	self.rankBonusNum:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rankBonusNum:setColor(cc.c4b(0, 243, 73, 255))
	addChildForPre(self.rootPanel_1, self.rankBonusNum)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/militaryRank.plist",
}

return _M
