-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 5281, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 5308, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.contentPanel = ccui.Layout:create()
	setValue(self.contentPanel, "WIX_contentPanel", 5309, cc.size(640, 818), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.contentPanel)
	self.contentPanel_2 = self.contentPanel

	self.topPanel = ccui.Layout:create()
	setValue(self.topPanel, "WTX_topPanel", 30, cc.size(640, 70), cc.p(0, 748), nil, nil, nil, nil, nil)
	addChildForPre(self.contentPanel_2, self.topPanel)
	self.topPanel_3 = self.topPanel

	self.pieceSprite1 = cc.Sprite:create()
	setValue(self.pieceSprite1, "pieceSprite1", 31, cc.size(100, 100), cc.p(128, 35), nil, nil, nil, nil, nil)
	self.pieceSprite1:setScale(0.5)
	self.pieceSprite1:setSpriteFrame("ccs/UiImages/icon/icon_general_big_1.png")
	addChildForPre(self.topPanel_3, self.pieceSprite1)

	self.pieceSprite2 = cc.Sprite:create()
	setValue(self.pieceSprite2, "pieceSprite2", 32, cc.size(100, 100), cc.p(416, 35), nil, nil, nil, nil, nil)
	self.pieceSprite2:setScale(0.5)
	self.pieceSprite2:setSpriteFrame("ccs/UiImages/icon/icon_general_big_2.png")
	addChildForPre(self.topPanel_3, self.pieceSprite2)

	self.pieceLabel1 = createLabel({text=[[--/--]], font=getFont(), size=20})
	setValue(self.pieceLabel1, "pieceLabel1", 33, cc.size(32, 23), cc.p(170, 35), cc.p(0, 0.5), nil, nil, nil, nil)
	self.pieceLabel1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.topPanel_3, self.pieceLabel1)

	self.pieceLabel2 = createLabel({text=[[--/--]], font=getFont(), size=20})
	setValue(self.pieceLabel2, "pieceLabel2", 34, cc.size(32, 23), cc.p(460, 35), cc.p(0, 0.5), nil, nil, nil, nil)
	self.pieceLabel2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.topPanel_3, self.pieceLabel2)

	self.listViewPanel = ccui.Layout:create()
	setValue(self.listViewPanel, "WIX_listViewPanel", 5310, cc.size(640, 738), cc.p(0, 10), nil, nil, nil, nil, nil)
	addChildForPre(self.contentPanel_2, self.listViewPanel)

	self.imageLine2 = ccui.ImageView:create()
	setValue(self.imageLine2, "WXY_imageLine2", 5311, cc.size(640, 8), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	self.imageLine2:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	addChildForPre(self.contentPanel_2, self.imageLine2)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/icon.plist",
	"ccs/plist/image9.plist",
}

return _M
