-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 605, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 606, cc.size(640, 1210), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "dialogPanel", 636, cc.size(640, 1210), cc.p(320, 605), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.leftPanel = ccui.Layout:create()
	setValue(self.leftPanel, "leftPanel", 237, cc.size(560, 235), cc.p(318.2142, 1209), cc.p(0.5, 1), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.leftPanel)
	self.leftPanel_3 = self.leftPanel

	self.leftPanelBg = ccui.ImageView:create()
	setValue(self.leftPanelBg, "leftPanelBg", 2397, cc.size(560, 235), cc.p(280, 117.5), nil, nil, nil, nil, false)
	self.leftPanelBg:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.leftPanelBg:setScale9Enabled(true)
	self.leftPanelBg:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.leftPanel_3, self.leftPanelBg)

	self.limitLine = ccui.ImageView:create()
	setValue(self.limitLine, "limitLine", 2518, cc.size(2, 235), cc.p(260.008, 117.5), nil, nil, nil, nil, false)
	self.limitLine:loadTexture("ccs/UiImages/common/common_img_16.png", 1)
	self.limitLine:setScale9Enabled(true)
	self.limitLine:setCapInsets(cc.rect(0, 0, 2, 613))
	addChildForPre(self.leftPanel_3, self.limitLine)

	if OfficerBigHeadUi then 
 		self.officerBigHeadUi = OfficerBigHeadUi.new() 
 	else 
		self.officerBigHeadUi = BaseUi.new("ccs/ui/officer/OfficerBigHeadUi.lua")
 	end 
	setValue(self.officerBigHeadUi, "officerBigHeadUi", 51, nil, cc.p(130, 166.5), nil, nil, nil, nil, nil)
	addChildForPre(self.leftPanel_3, self.officerBigHeadUi)

	self.changeButton = ccui.Button:create()
	setValue(self.changeButton, "changeButton", 1088, cc.size(153, 64), cc.p(130, 37.6), nil, nil, nil, nil, nil)
	self.changeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.changeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.changeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.changeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.changeButton:setTitleText([[]])
	self.changeButton:setTitleFontSize(24)
	self.changeButton:setTitleFontName(getFont())
	setClickEvent(self, self.changeButton, "changeButton")
	addChildForPre(self.leftPanel_3, self.changeButton)

	self.rightTopLabelName_1 = createLabel({text=[[rightTopName_1]], font=getFont(), size=20,valign = 1})
	setValue(self.rightTopLabelName_1, "rightTopLabelName_1", 244, cc.size(146, 23), cc.p(280, 215.5185), cc.p(0, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.rightTopLabelName_1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rightTopLabelName_1:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.leftPanel_3, self.rightTopLabelName_1)

	self.rightTopLabelV_1 = createLabel({text=[[rightTopV_1]], font=getFont(), size=20,valign = 1})
	setValue(self.rightTopLabelV_1, "rightTopLabelV_1", 254, cc.size(106, 23), cc.p(352.7141, 215.5139), cc.p(0, 0.5), nil, nil, nil, nil)
	self.rightTopLabelV_1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftPanel_3, self.rightTopLabelV_1)

	self.flagSprite = cc.Sprite:create()
	setValue(self.flagSprite, "flagSprite", 991, cc.size(70, 42), cc.p(471, 215.51), cc.p(0, 0.5), nil, nil, nil, nil)
	self.flagSprite:setScale(0.5)
	self.flagSprite:setSpriteFrame("ccs/UiImages/common/common_img_guoqi01.png")
	addChildForPre(self.leftPanel_3, self.flagSprite)

	self.rightTopLabelName_2 = createLabel({text=[[rightTopName_2]], font=getFont(), size=20,valign = 1})
	setValue(self.rightTopLabelName_2, "rightTopLabelName_2", 245, cc.size(146, 23), cc.p(280, 140.8355), cc.p(0, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.rightTopLabelName_2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rightTopLabelName_2:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.leftPanel_3, self.rightTopLabelName_2)

	self.rightTopLabelV_2 = createLabel({text=[[rightTopV_2]], font=getFont(), size=20,valign = 1})
	setValue(self.rightTopLabelV_2, "rightTopLabelV_2", 255, cc.size(106, 23), cc.p(352.744, 140.8355), cc.p(0, 0.5), nil, nil, nil, nil)
	self.rightTopLabelV_2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftPanel_3, self.rightTopLabelV_2)

	self.rightTopLabelName_3 = createLabel({text=[[rightTopName_3]], font=getFont(), size=20,valign = 1})
	setValue(self.rightTopLabelName_3, "rightTopLabelName_3", 246, cc.size(146, 23), cc.p(280, 178.177), cc.p(0, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.rightTopLabelName_3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rightTopLabelName_3:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.leftPanel_3, self.rightTopLabelName_3)

	self.rightTopLabelV_3 = createLabel({text=[[rightTopV_3]], font=getFont(), size=20,valign = 1})
	setValue(self.rightTopLabelV_3, "rightTopLabelV_3", 256, cc.size(106, 23), cc.p(352.7141, 178.1711), cc.p(0, 0.5), nil, nil, nil, nil)
	self.rightTopLabelV_3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftPanel_3, self.rightTopLabelV_3)

	self.rightTop3Image = ccui.ImageView:create()
	setValue(self.rightTop3Image, "rightTop3Image", 242, cc.size(120, 116), cc.p(491.64, 178.17), nil, nil, nil, nil, nil)
	self.rightTop3Image:setScale(0.3)
	self.rightTop3Image:loadTexture("ccs/UiImages/battle/winLose_img_star_1.png", 1)
	addChildForPre(self.leftPanel_3, self.rightTop3Image)

	self.rightTopLabelName_4 = createLabel({text=[[rightTopName_4]], font=getFont(), size=20,valign = 1})
	setValue(self.rightTopLabelName_4, "rightTopLabelName_4", 247, cc.size(146, 23), cc.p(280, 103.494), cc.p(0, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.rightTopLabelName_4:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rightTopLabelName_4:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.leftPanel_3, self.rightTopLabelName_4)

	self.rightTopLabelV_4 = createLabel({text=[[rightTopV_4]], font=getFont(), size=20,valign = 1})
	setValue(self.rightTopLabelV_4, "rightTopLabelV_4", 257, cc.size(106, 23), cc.p(352.744, 103.494), cc.p(0, 0.5), nil, nil, nil, nil)
	self.rightTopLabelV_4:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftPanel_3, self.rightTopLabelV_4)

	self.rightTopLabelName_5 = createLabel({text=[[rightTopName_5]], font=getFont(), size=20,valign = 1})
	setValue(self.rightTopLabelName_5, "rightTopLabelName_5", 248, cc.size(146, 23), cc.p(280, 66.1525), cc.p(0, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.rightTopLabelName_5:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rightTopLabelName_5:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.leftPanel_3, self.rightTopLabelName_5)

	self.rightTopLabelV_5 = createLabel({text=[[rightTopV_5]], font=getFont(), size=20,valign = 1})
	setValue(self.rightTopLabelV_5, "rightTopLabelV_5", 258, cc.size(106, 23), cc.p(352.744, 66.1525), cc.p(0, 0.5), nil, nil, nil, nil)
	self.rightTopLabelV_5:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftPanel_3, self.rightTopLabelV_5)

	self.rightTop5LoadingBarBg = cc.Sprite:create()
	setValue(self.rightTop5LoadingBarBg, "rightTop5LoadingBarBg", 283, cc.size(245, 24), cc.p(392, 27.1425), nil, nil, nil, nil, nil)
	self.rightTop5LoadingBarBg:setScaleX(0.9)
	self.rightTop5LoadingBarBg:setScaleY(0.8)
	self.rightTop5LoadingBarBg:setSpriteFrame("ccs/UiImages/battle/s9_img_expa.png")
	addChildForPre(self.leftPanel_3, self.rightTop5LoadingBarBg)
	self.rightTop5LoadingBarBg_4 = self.rightTop5LoadingBarBg

	local progressSprite = cc.Sprite:createWithSpriteFrameName("ccs/UiImages/battle/s9_img_expb.png")
	self.rightTop5LoadingBar = cc.ProgressTimer:create(progressSprite)
	setValue(self.rightTop5LoadingBar, "rightTop5LoadingBar", 268, cc.size(245, 24), cc.p(122.5, 12), nil, nil, nil, nil, nil)
	self.rightTop5LoadingBar:setPercentage(100)
	self.rightTop5LoadingBar:setType(1)
	self.rightTop5LoadingBar:setBarChangeRate({x=1,y=0})
	self.rightTop5LoadingBar:setMidpoint({x = 0,y = 0})
	addChildForPre(self.rightTop5LoadingBarBg_4, self.rightTop5LoadingBar)

	self.rightTop5Percent = createLabel({text=[[rightTop5Percent]], font=getFont(), size=20})
	setValue(self.rightTop5Percent, "rightTop5Percent", 264, cc.size(151, 23), cc.p(392, 28.999), nil, nil, nil, nil, nil)
	self.rightTop5Percent:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftPanel_3, self.rightTop5Percent)

	self.rightTop5Button = ccui.Button:create()
	setValue(self.rightTop5Button, "rightTop5Button", 284, cc.size(68, 42), cc.p(532.168, 27.1425), nil, nil, nil, nil, nil)
	self.rightTop5Button:setScale(0.6)
	self.rightTop5Button:loadTextureNormal("ccs/UiImages/image9/common_btn_xiangqing.png", 1)
	self.rightTop5Button:loadTexturePressed("ccs/UiImages/image9/common_btn_xiangqing.png", 1)
	self.rightTop5Button:loadTextureDisabled("ccs/UiImages/image9/common_btn_xiangqing.png", 1)
	self.rightTop5Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.rightTop5Button:setTitleText([[]])
	self.rightTop5Button:setTitleColor(cc.c3b(65, 65, 70))
	self.rightTop5Button:setTitleFontSize(14)
	self.rightTop5Button:setTitleFontName(getFont())
	setClickEvent(self, self.rightTop5Button, "rightTop5Button")
	addChildForPre(self.leftPanel_3, self.rightTop5Button)

	self.rightTopPanel = ccui.Layout:create()
	setValue(self.rightTopPanel, "rightTopPanel", 238, cc.size(560, 259), cc.p(319.9999, 617.8064), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.rightTopPanel)
	self.rightTopPanel_3 = self.rightTopPanel

	self.officerInfoTitleImage = ccui.ImageView:create()
	setValue(self.officerInfoTitleImage, "officerInfoTitleImage", 3242, cc.size(480, 42), cc.p(280, 226), nil, nil, nil, nil, nil)
	self.officerInfoTitleImage:loadTexture("ccs/UiImages/common/arena_img_plate.png", 1)
	addChildForPre(self.rightTopPanel_3, self.officerInfoTitleImage)

	self.officerInfoTitle = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.officerInfoTitle, "officerInfoTitle", 3243, cc.size(109, 28), cc.p(280, 226), nil, cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.officerInfoTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.officerInfoTitle:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.rightTopPanel_3, self.officerInfoTitle)

	self.infoPanel = ccui.Layout:create()
	setValue(self.infoPanel, "infoPanel", 2939, cc.size(560, 195), cc.p(280, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.rightTopPanel_3, self.infoPanel)
	self.infoPanel_4 = self.infoPanel

	self.rightTopImgBg = ccui.ImageView:create()
	setValue(self.rightTopImgBg, "rightTopImgBg", 241, cc.size(560, 195), cc.p(280, 97.5), nil, nil, nil, nil, false)
	self.rightTopImgBg:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.rightTopImgBg:setScale9Enabled(true)
	self.rightTopImgBg:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.infoPanel_4, self.rightTopImgBg)

	self.rightTopLabelV_10 = createLabel({text=[[rightTopV_10]], font=getFont(), size=24,valign = 1})
	setValue(self.rightTopLabelV_10, "rightTopLabelV_10", 263, cc.size(141, 28), cc.p(285.6001, 18.1033), cc.p(0, 0.5), nil, nil, nil, nil)
	self.rightTopLabelV_10:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.infoPanel_4, self.rightTopLabelV_10)

	self.rightTopLabelV_9 = createLabel({text=[[rightTopV_9]], font=getFont(), size=24,valign = 1})
	setValue(self.rightTopLabelV_9, "rightTopLabelV_9", 262, cc.size(128, 28), cc.p(285.6, 58.5122), cc.p(0, 0.5), nil, nil, nil, nil)
	self.rightTopLabelV_9:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.infoPanel_4, self.rightTopLabelV_9)

	self.rightTopLabelV_8 = createLabel({text=[[rightTopV_8]], font=getFont(), size=24,valign = 1})
	setValue(self.rightTopLabelV_8, "rightTopLabelV_8", 261, cc.size(128, 28), cc.p(285.6, 97.1354), cc.p(0, 0.5), nil, nil, nil, nil)
	self.rightTopLabelV_8:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.infoPanel_4, self.rightTopLabelV_8)

	self.rightTopLabelV_7 = createLabel({text=[[rightTopV_7]], font=getFont(), size=24,valign = 1})
	setValue(self.rightTopLabelV_7, "rightTopLabelV_7", 260, cc.size(128, 28), cc.p(285.6, 135.7585), cc.p(0, 0.5), nil, nil, nil, nil)
	self.rightTopLabelV_7:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.infoPanel_4, self.rightTopLabelV_7)

	self.rightTopLabelV_6 = createLabel({text=[[rightTopV_6]], font=getFont(), size=24,valign = 1})
	setValue(self.rightTopLabelV_6, "rightTopLabelV_6", 259, cc.size(128, 28), cc.p(285.6, 174.3817), cc.p(0, 0.5), nil, nil, nil, nil)
	self.rightTopLabelV_6:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.infoPanel_4, self.rightTopLabelV_6)

	self.rightTopLabelName_10 = createLabel({text=[[rightTopName_10]], font=getFont(), size=24,valign = 1})
	setValue(self.rightTopLabelName_10, "rightTopLabelName_10", 253, cc.size(189, 28), cc.p(274.4, 19.8891), cc.p(1, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.rightTopLabelName_10:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rightTopLabelName_10:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.infoPanel_4, self.rightTopLabelName_10)

	self.rightTopLabelName_9 = createLabel({text=[[rightTopName_9]], font=getFont(), size=24,valign = 1})
	setValue(self.rightTopLabelName_9, "rightTopLabelName_9", 252, cc.size(176, 28), cc.p(274.4, 58.5123), cc.p(1, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.rightTopLabelName_9:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rightTopLabelName_9:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.infoPanel_4, self.rightTopLabelName_9)

	self.rightTopLabelName_8 = createLabel({text=[[rightTopName_8]], font=getFont(), size=24,valign = 1})
	setValue(self.rightTopLabelName_8, "rightTopLabelName_8", 251, cc.size(176, 28), cc.p(274.4, 97.1354), cc.p(1, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.rightTopLabelName_8:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rightTopLabelName_8:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.infoPanel_4, self.rightTopLabelName_8)

	self.rightTopLabelName_7 = createLabel({text=[[rightTopName_7]], font=getFont(), size=24,valign = 1})
	setValue(self.rightTopLabelName_7, "rightTopLabelName_7", 250, cc.size(176, 28), cc.p(274.4, 135.7586), cc.p(1, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.rightTopLabelName_7:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rightTopLabelName_7:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.infoPanel_4, self.rightTopLabelName_7)

	self.rightTopLabelName_6 = createLabel({text=[[rightTopName_6]], font=getFont(), size=24,valign = 1})
	setValue(self.rightTopLabelName_6, "rightTopLabelName_6", 249, cc.size(176, 28), cc.p(274.4, 174.3818), cc.p(1, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.rightTopLabelName_6:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rightTopLabelName_6:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.infoPanel_4, self.rightTopLabelName_6)

	self.belongTankPanel = ccui.Layout:create()
	setValue(self.belongTankPanel, "belongTankPanel", 4029, cc.size(560, 225), cc.p(319.9999, 859.8568), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.belongTankPanel)
	self.belongTankPanel_3 = self.belongTankPanel

	self.belongInfoTitleImage = ccui.ImageView:create()
	setValue(self.belongInfoTitleImage, "belongInfoTitleImage", 4030, cc.size(480, 42), cc.p(290, 189.9998), nil, nil, nil, nil, nil)
	self.belongInfoTitleImage:loadTexture("ccs/UiImages/common/arena_img_plate.png", 1)
	addChildForPre(self.belongTankPanel_3, self.belongInfoTitleImage)

	self.belongInfoTitle = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.belongInfoTitle, "belongInfoTitle", 4031, cc.size(109, 28), cc.p(289.9999, 189.9999), nil, cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.belongInfoTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.belongInfoTitle:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.belongTankPanel_3, self.belongInfoTitle)

	self.rightBottomPanel = ccui.Layout:create()
	setValue(self.rightBottomPanel, "rightBottomPanel", 239, cc.size(560, 155), cc.p(280, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.belongTankPanel_3, self.rightBottomPanel)
	self.rightBottomPanel_4 = self.rightBottomPanel

	self.leftTopImgBg = ccui.ImageView:create()
	setValue(self.leftTopImgBg, "leftTopImgBg", 361, cc.size(560, 155), cc.p(280, 77.5), nil, nil, nil, nil, false)
	self.leftTopImgBg:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.leftTopImgBg:setScale9Enabled(true)
	self.leftTopImgBg:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.rightBottomPanel_4, self.leftTopImgBg)

	self.rightBottomLabelTank = createLabel({text=[[rightBottomLabel]], font=getFont(), size=20,align = 1,valign = 1})
	setValue(self.rightBottomLabelTank, "rightBottomLabelTank", 362, cc.size(151, 23), cc.p(280, 77.5), nil, nil, nil, nil, nil)
	self.rightBottomLabelTank:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightBottomPanel_4, self.rightBottomLabelTank)

	self.shipFlagSprite = cc.Sprite:create()
	setValue(self.shipFlagSprite, "shipFlagSprite", 1154, cc.size(70, 42), cc.p(252, 103.9275), cc.p(0, 0.5), nil, nil, nil, nil)
	self.shipFlagSprite:setScale(0.5)
	self.shipFlagSprite:setSpriteFrame("ccs/UiImages/common/common_img_guoqi01.png")
	addChildForPre(self.rightBottomPanel_4, self.shipFlagSprite)

	self.labelTankName = createLabel({text=[[labelTankName]], font=getFont(), size=20,valign = 1})
	setValue(self.labelTankName, "labelTankName", 81, cc.size(137, 23), cc.p(297, 103.9275), cc.p(0, 0.5), nil, nil, nil, nil)
	self.labelTankName:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightBottomPanel_4, self.labelTankName)

	if PaperIconUi then 
 		self.paperIconUi = PaperIconUi.new() 
 	else 
		self.paperIconUi = BaseUi.new("ccs/ui/paper/PaperIconUi.lua")
 	end 
	setValue(self.paperIconUi, "paperIconUi", 3988, nil, cc.p(33.0352, -3.1433), nil, nil, nil, nil, nil)
	addChildForPre(self.rightBottomPanel_4, self.paperIconUi)

	self.labelTankDesc = createLabel({text=[[labelTankDesc]], font=getFont(), size=20,valign = 1})
	setValue(self.labelTankDesc, "labelTankDesc", 4338, cc.size(130, 23), cc.p(252, 48.2205), cc.p(0, 0.5), nil, nil, nil, nil)
	self.labelTankDesc:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightBottomPanel_4, self.labelTankDesc)

	self.specialtyPanel = ccui.Layout:create()
	setValue(self.specialtyPanel, "specialtyPanel", 4049, cc.size(560, 190), cc.p(319.9998, 395.0394), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.specialtyPanel)
	self.specialtyPanel_3 = self.specialtyPanel

	self.specialtyInfoTitleImage = ccui.ImageView:create()
	setValue(self.specialtyInfoTitleImage, "specialtyInfoTitleImage", 4050, cc.size(480, 42), cc.p(269.2856, 155.499), nil, nil, nil, nil, nil)
	self.specialtyInfoTitleImage:loadTexture("ccs/UiImages/common/arena_img_plate.png", 1)
	addChildForPre(self.specialtyPanel_3, self.specialtyInfoTitleImage)

	self.specialtyInfoTitle = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.specialtyInfoTitle, "specialtyInfoTitle", 4051, cc.size(109, 28), cc.p(269.2856, 155.4993), nil, cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.specialtyInfoTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.specialtyInfoTitle:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.specialtyPanel_3, self.specialtyInfoTitle)

	self.specialtyRightTitle = createLabel({text=[[specialtyRightTitle]], font=getFont(), size=20,valign = 1})
	setValue(self.specialtyRightTitle, "specialtyRightTitle", 4054, cc.size(161, 23), cc.p(339.2859, 155.5), cc.p(0, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.specialtyRightTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.specialtyRightTitle:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.specialtyPanel_3, self.specialtyRightTitle)

	self.infoPanel2 = ccui.Layout:create()
	setValue(self.infoPanel2, "infoPanel2", 4052, cc.size(560, 120), cc.p(280, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.specialtyPanel_3, self.infoPanel2)
	self.infoPanel2_4 = self.infoPanel2

	self.specialtyTopImgBg = ccui.ImageView:create()
	setValue(self.specialtyTopImgBg, "specialtyTopImgBg", 4053, cc.size(560, 120), cc.p(280, 60), nil, nil, nil, nil, false)
	self.specialtyTopImgBg:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.specialtyTopImgBg:setScale9Enabled(true)
	self.specialtyTopImgBg:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.infoPanel2_4, self.specialtyTopImgBg)

	self.specialtyLabel_2 = createLabel({text=[[specialtyLabel_2]], font=getFont(), size=20,valign = 1})
	setValue(self.specialtyLabel_2, "specialtyLabel_2", 4058, cc.size(148, 23), cc.p(5.6, 60.996), cc.p(0, 0.5), cc.c4b(160, 160, 160, 255), nil, nil, nil)
	self.specialtyLabel_2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.specialtyLabel_2:setColor(cc.c4b(160, 160, 160, 255))
	addChildForPre(self.infoPanel2_4, self.specialtyLabel_2)

	self.specialtyLabel_5 = createLabel({text=[[specialtyLabel_5]], font=getFont(), size=24,valign = 1})
	setValue(self.specialtyLabel_5, "specialtyLabel_5", 4062, cc.size(178, 28), cc.p(280, 23.004), nil, nil, nil, nil, nil)
	self.specialtyLabel_5:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.infoPanel2_4, self.specialtyLabel_5)

	self.specialtyLabel_4 = createLabel({text=[[specialtyLabel_4]], font=getFont(), size=20,valign = 1})
	setValue(self.specialtyLabel_4, "specialtyLabel_4", 4063, cc.size(148, 23), cc.p(554.4, 60.996), cc.p(1, 0.5), cc.c4b(255, 255, 240, 255), nil, nil, nil)
	self.specialtyLabel_4:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.specialtyLabel_4:setColor(cc.c4b(255, 255, 240, 255))
	addChildForPre(self.infoPanel2_4, self.specialtyLabel_4)

	self.specialtyLabel_3 = createLabel({text=[[specialtyLabel_3]], font=getFont(), size=20,valign = 1})
	setValue(self.specialtyLabel_3, "specialtyLabel_3", 4064, cc.size(148, 23), cc.p(554.4, 99), cc.p(1, 0.5), nil, nil, nil, nil)
	self.specialtyLabel_3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.infoPanel2_4, self.specialtyLabel_3)

	self.specialtyLabel_1 = createLabel({text=[[specialtyLabel_1]], font=getFont(), size=20,valign = 1})
	setValue(self.specialtyLabel_1, "specialtyLabel_1", 4065, cc.size(148, 23), cc.p(5.6, 99), cc.p(0, 0.5), cc.c4b(160, 160, 160, 255), nil, nil, nil)
	self.specialtyLabel_1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.specialtyLabel_1:setColor(cc.c4b(160, 160, 160, 255))
	addChildForPre(self.infoPanel2_4, self.specialtyLabel_1)

	self.promotionPanel = ccui.Layout:create()
	setValue(self.promotionPanel, "promotionPanel", 4066, cc.size(560, 300), cc.p(321.4286, 149.8034), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.promotionPanel)
	self.promotionPanel_3 = self.promotionPanel

	self.promotionInfoTitleImage = ccui.ImageView:create()
	setValue(self.promotionInfoTitleImage, "promotionInfoTitleImage", 4067, cc.size(480, 42), cc.p(280, 265), nil, nil, nil, nil, nil)
	self.promotionInfoTitleImage:loadTexture("ccs/UiImages/common/arena_img_plate.png", 1)
	addChildForPre(self.promotionPanel_3, self.promotionInfoTitleImage)

	self.promotionInfoTitle = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.promotionInfoTitle, "promotionInfoTitle", 4068, cc.size(109, 28), cc.p(280, 265), nil, cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.promotionInfoTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.promotionInfoTitle:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.promotionPanel_3, self.promotionInfoTitle)

	self.promotionInfoRightTitle = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.promotionInfoRightTitle, "promotionInfoRightTitle", 4083, cc.size(91, 23), cc.p(350, 264.9999), cc.p(0, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.promotionInfoRightTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.promotionInfoRightTitle:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.promotionPanel_3, self.promotionInfoRightTitle)

	self.infoPanel3 = ccui.Layout:create()
	setValue(self.infoPanel3, "infoPanel3", 4069, cc.size(560, 231), cc.p(280, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.promotionPanel_3, self.infoPanel3)
	self.infoPanel3_4 = self.infoPanel3

	self.promotionImgBg = ccui.ImageView:create()
	setValue(self.promotionImgBg, "promotionImgBg", 4070, cc.size(560, 231), cc.p(280, 115.5), nil, nil, nil, nil, false)
	self.promotionImgBg:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.promotionImgBg:setScale9Enabled(true)
	self.promotionImgBg:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.infoPanel3_4, self.promotionImgBg)

	self.promotionLabel6 = createLabel({text=[[promotionLabel6]], font=getFont(), size=24,valign = 1})
	setValue(self.promotionLabel6, "promotionLabel6", 4071, cc.size(178, 28), cc.p(280, 18.1104), nil, nil, nil, nil, nil)
	self.promotionLabel6:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.infoPanel3_4, self.promotionLabel6)

	self.promotionLabel5 = createLabel({text=[[promotionLabel5]], font=getFont(), size=24,valign = 1})
	setValue(self.promotionLabel5, "promotionLabel5", 4072, cc.size(178, 28), cc.p(84, 58.5122), cc.p(0, 0.5), cc.c4b(160, 160, 160, 255), nil, nil, nil)
	self.promotionLabel5:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.promotionLabel5:setColor(cc.c4b(160, 160, 160, 255))
	addChildForPre(self.infoPanel3_4, self.promotionLabel5)

	self.promotionLabel4 = createLabel({text=[[promotionLabel4]], font=getFont(), size=24,valign = 1})
	setValue(self.promotionLabel4, "promotionLabel4", 4073, cc.size(178, 28), cc.p(84, 97.1354), cc.p(0, 0.5), cc.c4b(160, 160, 160, 255), nil, nil, nil)
	self.promotionLabel4:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.promotionLabel4:setColor(cc.c4b(160, 160, 160, 255))
	addChildForPre(self.infoPanel3_4, self.promotionLabel4)

	self.promotionLabel3 = createLabel({text=[[promotionLabel3]], font=getFont(), size=24,valign = 1})
	setValue(self.promotionLabel3, "promotionLabel3", 4074, cc.size(178, 28), cc.p(84, 135.7585), cc.p(0, 0.5), cc.c4b(160, 160, 160, 255), nil, nil, nil)
	self.promotionLabel3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.promotionLabel3:setColor(cc.c4b(160, 160, 160, 255))
	addChildForPre(self.infoPanel3_4, self.promotionLabel3)

	self.promotionLabel2 = createLabel({text=[[promotionLabel2]], font=getFont(), size=24,valign = 1})
	setValue(self.promotionLabel2, "promotionLabel2", 4075, cc.size(178, 28), cc.p(84, 174.3817), cc.p(0, 0.5), cc.c4b(160, 160, 160, 255), nil, nil, nil)
	self.promotionLabel2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.promotionLabel2:setColor(cc.c4b(160, 160, 160, 255))
	addChildForPre(self.infoPanel3_4, self.promotionLabel2)

	self.promotionLabel1 = createLabel({text=[[promotionLabel1]], font=getFont(), size=24,valign = 1})
	setValue(self.promotionLabel1, "promotionLabel1", 4082, cc.size(178, 28), cc.p(84, 213.0048), cc.p(0, 0.5), cc.c4b(160, 160, 160, 255), nil, nil, nil)
	self.promotionLabel1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.promotionLabel1:setColor(cc.c4b(160, 160, 160, 255))
	addChildForPre(self.infoPanel3_4, self.promotionLabel1)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/battle.plist",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
}

return _M
