-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 1351, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 1661, cc.size(420, 490), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.titleBgImage = ccui.ImageView:create()
	setValue(self.titleBgImage, "titleBgImage", 1806, cc.size(250, 50), cc.p(210, 460.6), nil, nil, nil, nil, false)
	self.titleBgImage:loadTexture("ccs/UiImages/commonPanelParts/CommonUnderframeTitle.png", 1)
	self.titleBgImage:setScale9Enabled(true)
	self.titleBgImage:setCapInsets(cc.rect(0, 0, 448, 52))
	addChildForPre(self.rootPanel_1, self.titleBgImage)

	self.AccessoriesPlate = cc.Sprite:create()
	setValue(self.AccessoriesPlate, "AccessoriesPlate", 1807, cc.size(182, 182), cc.p(210, 343), nil, nil, nil, nil, nil)
	self.AccessoriesPlate:setSpriteFrame("ccs/UiImages/commonPanelPartsC/AccessoriesPlate.png")
	addChildForPre(self.rootPanel_1, self.AccessoriesPlate)
	self.AccessoriesPlate_2 = self.AccessoriesPlate

	self.qualityBg = cc.Sprite:create()
	setValue(self.qualityBg, "qualityBg", 1848, cc.size(46, 46), cc.p(91, 91), nil, nil, nil, nil, nil)
	self.qualityBg:setTexture("Default/Sprite.png")
	addChildForPre(self.AccessoriesPlate_2, self.qualityBg)

	self.mainSprite = cc.Sprite:create()
	setValue(self.mainSprite, "mainSprite", 2541, cc.size(100, 100), cc.p(91, 91), nil, nil, nil, nil, nil)
	self.mainSprite:setScale(1.35)
	self.mainSprite:setSpriteFrame("ccs/UiImages/officerIcon/officerHead_1002.png")
	addChildForPre(self.AccessoriesPlate_2, self.mainSprite)

	self.star1 = cc.Sprite:create()
	setValue(self.star1, "star1", 1850, cc.size(85, 83), cc.p(30.94, 17.29), nil, nil, nil, nil, nil)
	self.star1:setScale(0.37)
	self.star1:setSpriteFrame("ccs/UiImages/shop/IconStar.png")
	addChildForPre(self.AccessoriesPlate_2, self.star1)

	self.star2 = cc.Sprite:create()
	setValue(self.star2, "star2", 1851, cc.size(85, 83), cc.p(61.88, 17.29), nil, nil, nil, nil, nil)
	self.star2:setScale(0.37)
	self.star2:setSpriteFrame("ccs/UiImages/shop/IconStar.png")
	addChildForPre(self.AccessoriesPlate_2, self.star2)

	self.star3 = cc.Sprite:create()
	setValue(self.star3, "star3", 1852, cc.size(85, 83), cc.p(91, 17.29), nil, nil, nil, nil, nil)
	self.star3:setScale(0.37)
	self.star3:setSpriteFrame("ccs/UiImages/shop/IconStar.png")
	addChildForPre(self.AccessoriesPlate_2, self.star3)

	self.star4 = cc.Sprite:create()
	setValue(self.star4, "star4", 1853, cc.size(85, 83), cc.p(120.12, 17.29), nil, nil, nil, nil, nil)
	self.star4:setScale(0.37)
	self.star4:setSpriteFrame("ccs/UiImages/shop/IconStar.png")
	addChildForPre(self.AccessoriesPlate_2, self.star4)

	self.star5 = cc.Sprite:create()
	setValue(self.star5, "star5", 230, cc.size(85, 83), cc.p(151.06, 15.47), nil, nil, nil, nil, nil)
	self.star5:setScale(0.37)
	self.star5:setSpriteFrame("ccs/UiImages/shop/IconStar.png")
	addChildForPre(self.AccessoriesPlate_2, self.star5)

	self.infoPanel = ccui.Layout:create()
	setValue(self.infoPanel, "infoPanel", 1809, cc.size(420, 490), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.infoPanel)
	self.infoPanel_2 = self.infoPanel

	self.infoButton = ccui.Button:create()
	setValue(self.infoButton, "infoButton", 1808, cc.size(70, 70), cc.p(378, 455.7), nil, nil, nil, nil, nil)
	self.infoButton:loadTextureNormal("ccs/UiImages/commonBtn/BtnCommonLabel.png", 1)
	self.infoButton:loadTexturePressed("ccs/UiImages/commonBtn/BtnCommonLabelHove.png", 1)
	self.infoButton:loadTextureDisabled("ccs/UiImages/commonBtn/BtnCommonLabelHove.png", 1)
	self.infoButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.infoButton:setTitleText([[]])
	self.infoButton:setTitleColor(cc.c3b(65, 65, 70))
	self.infoButton:setTitleFontSize(14)
	self.infoButton:setTitleFontName(getFont())
	setClickEvent(self, self.infoButton, "infoButton")
	addChildForPre(self.infoPanel_2, self.infoButton)

	self.nameLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.nameLabel, "nameLabel", 1849, cc.size(109, 28), cc.p(210, 460.6), cc.p(0, 0.5), nil, nil, nil, nil)
	self.nameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.infoPanel_2, self.nameLabel)

	self.MilltaryLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.MilltaryLabel, "MilltaryLabel", 197, cc.size(109, 28), cc.p(0, 460.6), cc.p(0, 0.5), nil, nil, nil, nil)
	self.MilltaryLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.infoPanel_2, self.MilltaryLabel)

	self.attrPanel = ccui.Layout:create()
	setValue(self.attrPanel, "attrPanel", 1854, cc.size(200, 160), cc.p(210, 161.7), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.infoPanel_2, self.attrPanel)
	self.attrPanel_3 = self.attrPanel

	self.title1 = createLabel({text=[[Text Label]], font=getFont(), size=20,align = 2,valign = 1})
	setValue(self.title1, "title1", 1857, cc.size(91, 23), cc.p(94, 144), cc.p(1, 0.5), cc.c4b(226, 242, 167, 255), nil, nil, nil)
	self.title1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.title1:setColor(cc.c4b(226, 242, 167, 255))
	addChildForPre(self.attrPanel_3, self.title1)

	self.title2 = createLabel({text=[[Text Label]], font=getFont(), size=20,align = 2,valign = 1})
	setValue(self.title2, "title2", 1918, cc.size(91, 23), cc.p(94, 112), cc.p(1, 0.5), cc.c4b(226, 242, 167, 255), nil, nil, nil)
	self.title2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.title2:setColor(cc.c4b(226, 242, 167, 255))
	addChildForPre(self.attrPanel_3, self.title2)

	self.title3 = createLabel({text=[[Text Label]], font=getFont(), size=20,align = 2,valign = 1})
	setValue(self.title3, "title3", 1919, cc.size(91, 23), cc.p(94, 80), cc.p(1, 0.5), cc.c4b(226, 242, 167, 255), nil, nil, nil)
	self.title3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.title3:setColor(cc.c4b(226, 242, 167, 255))
	addChildForPre(self.attrPanel_3, self.title3)

	self.title4 = createLabel({text=[[Text Label]], font=getFont(), size=20,align = 2,valign = 1})
	setValue(self.title4, "title4", 1920, cc.size(91, 23), cc.p(94, 48), cc.p(1, 0.5), cc.c4b(226, 242, 167, 255), nil, nil, nil)
	self.title4:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.title4:setColor(cc.c4b(226, 242, 167, 255))
	addChildForPre(self.attrPanel_3, self.title4)

	self.title5 = createLabel({text=[[Text Label]], font=getFont(), size=20,align = 2,valign = 1})
	setValue(self.title5, "title5", 1921, cc.size(91, 23), cc.p(94, 16), cc.p(1, 0.5), cc.c4b(226, 242, 167, 255), nil, nil, nil)
	self.title5:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.title5:setColor(cc.c4b(226, 242, 167, 255))
	addChildForPre(self.attrPanel_3, self.title5)

	self.cont1 = createLabel({text=[[Text Label]], font=getFont(), size=20,valign = 1})
	setValue(self.cont1, "cont1", 1923, cc.size(91, 23), cc.p(106, 144), cc.p(0, 0.5), nil, nil, nil, nil)
	self.cont1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attrPanel_3, self.cont1)

	self.cont2 = createLabel({text=[[Text Label]], font=getFont(), size=20,valign = 1})
	setValue(self.cont2, "cont2", 1924, cc.size(91, 23), cc.p(106, 112), cc.p(0, 0.5), nil, nil, nil, nil)
	self.cont2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attrPanel_3, self.cont2)

	self.cont3 = createLabel({text=[[Text Label]], font=getFont(), size=20,valign = 1})
	setValue(self.cont3, "cont3", 1925, cc.size(91, 23), cc.p(106, 80), cc.p(0, 0.5), nil, nil, nil, nil)
	self.cont3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attrPanel_3, self.cont3)

	self.cont4 = createLabel({text=[[Text Label]], font=getFont(), size=20,valign = 1})
	setValue(self.cont4, "cont4", 1926, cc.size(91, 23), cc.p(106, 48), cc.p(0, 0.5), nil, nil, nil, nil)
	self.cont4:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attrPanel_3, self.cont4)

	self.cont5 = createLabel({text=[[Text Label]], font=getFont(), size=20,valign = 1})
	setValue(self.cont5, "cont5", 1927, cc.size(91, 23), cc.p(106, 16), cc.p(0, 0.5), nil, nil, nil, nil)
	self.cont5:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attrPanel_3, self.cont5)

	self.changeButton = ccui.Button:create()
	setValue(self.changeButton, "changeButton", 1855, cc.size(150, 62), cc.p(105, 49), nil, nil, nil, nil, nil)
	self.changeButton:loadTextureNormal("ccs/UiImages/commonBtn/CommonBtnBlue.png", 1)
	self.changeButton:loadTexturePressed("ccs/UiImages/commonBtn/CommonBtnBlueHover.png", 1)
	self.changeButton:loadTextureDisabled("ccs/UiImages/commonBtn/CommonBtnDisable.png", 1)
	self.changeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.changeButton:setTitleText([[]])
	self.changeButton:setTitleFontSize(26)
	self.changeButton:setTitleFontName(getFont())
	setClickEvent(self, self.changeButton, "changeButton")
	addChildForPre(self.infoPanel_2, self.changeButton)
	self.changeButton_3 = self.changeButton

	self.ChangerRedPoint = cc.Sprite:create()
	setValue(self.ChangerRedPoint, "ChangerRedPoint", 372, cc.size(25, 25), cc.p(133.5, 53.94), nil, nil, nil, nil, nil)
	self.ChangerRedPoint:setSpriteFrame("ccs/UiImages/commonIcon/redPoint.png")
	addChildForPre(self.changeButton_3, self.ChangerRedPoint)

	self.upLevelButton = ccui.Button:create()
	setValue(self.upLevelButton, "upLevelButton", 1856, cc.size(150, 62), cc.p(315, 49), nil, nil, nil, nil, nil)
	self.upLevelButton:loadTextureNormal("ccs/UiImages/commonBtn/CommonBtnRed.png", 1)
	self.upLevelButton:loadTexturePressed("ccs/UiImages/commonBtn/CommonBtnRedHover.png", 1)
	self.upLevelButton:loadTextureDisabled("ccs/UiImages/commonBtn/CommonBtnDisable.png", 1)
	self.upLevelButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.upLevelButton:setTitleText([[]])
	self.upLevelButton:setTitleFontSize(26)
	self.upLevelButton:setTitleFontName(getFont())
	setClickEvent(self, self.upLevelButton, "upLevelButton")
	addChildForPre(self.infoPanel_2, self.upLevelButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonPanelParts.plist",
	"ccs/plist/commonPanelPartsC.plist",
	"Default/Sprite.png",
	"ccs/plist/officerIcon.plist",
	"ccs/plist/shop.plist",
	"ccs/plist/commonBtn.plist",
	"ccs/plist/commonIcon.plist",
}

return _M
