-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 3, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 4, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 5, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 29, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.listViewPanel = ccui.Layout:create()
	setValue(self.listViewPanel, "WIX_listViewPanel", 70, cc.size(640, 871), cc.p(320, 445.2), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.listViewPanel)

	self.lineupButton = ccui.Button:create()
	setValue(self.lineupButton, "lineupButton", 71, cc.size(153, 64), cc.p(-226, 699), nil, nil, nil, nil, false)
	self.lineupButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.lineupButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.lineupButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.lineupButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.lineupButton:setTitleText([[Button]])
	self.lineupButton:setTitleFontSize(24)
	self.lineupButton:setTitleFontName(getFont())
	setClickEvent(self, self.lineupButton, "lineupButton")
	addChildForPre(self.dialogPanel_2, self.lineupButton)

	self.getMoreButton = ccui.Button:create()
	setValue(self.getMoreButton, "getMoreButton", 165, cc.size(153, 64), cc.p(-224.7361, 762.544), nil, nil, nil, nil, false)
	self.getMoreButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.getMoreButton:loadTexturePressed("Default/Button_Press.png", 0)
	self.getMoreButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.getMoreButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.getMoreButton:setTitleText([[Button]])
	self.getMoreButton:setTitleFontSize(22)
	self.getMoreButton:setTitleFontName(getFont())
	setClickEvent(self, self.getMoreButton, "getMoreButton")
	addChildForPre(self.dialogPanel_2, self.getMoreButton)

	self.officerNumLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.officerNumLabel, "officerNumLabel", 166, cc.size(91, 23), cc.p(-220, 626.576), nil, nil, nil, nil, nil)
	self.officerNumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.officerNumLabel)

	self.nogenerallabe = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.nogenerallabe, "nogenerallabe", 212, cc.size(91, 23), cc.p(320, 480), nil, nil, nil, nil, nil)
	self.nogenerallabe:setVisible(false)
	self.nogenerallabe:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.nogenerallabe)

	self.Image_1 = ccui.ImageView:create()
	setValue(self.Image_1, "Image_1", 416, cc.size(640, 8), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	self.Image_1:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	addChildForPre(self.dialogPanel_2, self.Image_1)

	if CommonDialogFrame1CloseUi then 
 		self.commonDialogFrame1CloseUi = CommonDialogFrame1CloseUi.new() 
 	else 
		self.commonDialogFrame1CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame1CloseUi, "commonDialogFrame1CloseUi", 24, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"Default/Button_Disable.png",
	"ccs/plist/image9.plist",
	"Default/Button_Press.png",
}

return _M
