-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 32, cc.size(950, 90), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "dialogPanel", 986, cc.size(950, 90), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.bgPanel = ccui.Layout:create()
	setValue(self.bgPanel, "bgPanel", 104, cc.size(950, 80), cc.p(475, 90), cc.p(0.5, 1), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.bgPanel)
	self.bgPanel_3 = self.bgPanel

	self.spriteBgAdornLeft = cc.Sprite:create()
	setValue(self.spriteBgAdornLeft, "spriteBgAdornLeft", 115, cc.size(24, 24), cc.p(19, 61.6), nil, nil, nil, nil, nil)
	self.spriteBgAdornLeft:setSpriteFrame("ccs/UiImages/commonPanelParts/PanelCommonScrew.png")
	addChildForPre(self.bgPanel_3, self.spriteBgAdornLeft)

	self.spriteBgAdornRight = cc.Sprite:create()
	setValue(self.spriteBgAdornRight, "spriteBgAdornRight", 117, cc.size(24, 24), cc.p(931, 61.6), nil, nil, nil, nil, nil)
	self.spriteBgAdornRight:setSpriteFrame("ccs/UiImages/commonPanelParts/PanelCommonScrew.png")
	addChildForPre(self.bgPanel_3, self.spriteBgAdornRight)

	self.imageBg = ccui.ImageView:create()
	setValue(self.imageBg, "imageBg", 130, cc.size(950, 80), cc.p(475, 45), nil, nil, nil, nil, false)
	self.imageBg:loadTexture("ccs/UiImages/commonPanelPartsB/EquipmentPlate.png", 1)
	self.imageBg:setScale9Enabled(true)
	self.imageBg:setCapInsets(cc.rect(10, 0, 70, 90))
	addChildForPre(self.dialogPanel_2, self.imageBg)

	self.spriteShow1 = cc.Sprite:create()
	setValue(self.spriteShow1, "spriteShow1", 85, cc.size(150, 150), cc.p(66.5, 31.5), nil, nil, nil, nil, nil)
	self.spriteShow1:setScale(0.25)
	self.spriteShow1:setSpriteFrame("ccs/UiImages/officer/TheSoulOrange.png")
	addChildForPre(self.dialogPanel_2, self.spriteShow1)

	self.spriteShow2 = cc.Sprite:create()
	setValue(self.spriteShow2, "spriteShow2", 86, cc.size(150, 150), cc.p(190, 31.5), nil, nil, nil, nil, nil)
	self.spriteShow2:setScale(0.25)
	self.spriteShow2:setSpriteFrame("ccs/UiImages/officer/TheSoulViolet.png")
	addChildForPre(self.dialogPanel_2, self.spriteShow2)

	self.labelNum1 = createLabel({text=[[--]], font=getFont(), size=22})
	setValue(self.labelNum1, "labelNum1", 988, cc.size(14, 26), cc.p(85.5, 31.5), cc.p(0, 0.5), cc.c4b(255, 127, 0, 255), nil, nil, nil)
	self.labelNum1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.labelNum1:setColor(cc.c4b(255, 127, 0, 255))
	addChildForPre(self.dialogPanel_2, self.labelNum1)

	self.labelNum2 = createLabel({text=[[--]], font=getFont(), size=22})
	setValue(self.labelNum2, "labelNum2", 989, cc.size(14, 26), cc.p(209, 31.5), cc.p(0, 0.5), cc.c4b(255, 0, 255, 255), nil, nil, nil)
	self.labelNum2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.labelNum2:setColor(cc.c4b(255, 0, 255, 255))
	addChildForPre(self.dialogPanel_2, self.labelNum2)

	self.labelOwn = createLabel({text=[[own]], font=getFont(), size=24})
	setValue(self.labelOwn, "labelOwn", 987, cc.size(44, 28), cc.p(47.5, 63), cc.p(0, 0.5), nil, nil, nil, nil)
	self.labelOwn:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.labelOwn)

	self.spriteCutLine = cc.Sprite:create()
	setValue(self.spriteCutLine, "spriteCutLine", 429, cc.size(13, 91), cc.p(294.5, 45), nil, nil, nil, nil, nil)
	self.spriteCutLine:setScaleX(1)
	self.spriteCutLine:setScaleY(0.8)
	self.spriteCutLine:setSpriteFrame("ccs/UiImages/camp/Partition.png")
	addChildForPre(self.dialogPanel_2, self.spriteCutLine)

	self.labelTitleFilter = createLabel({text=[[filter]], font=getFont(), size=24})
	setValue(self.labelTitleFilter, "labelTitleFilter", 990, cc.size(45, 28), cc.p(321.29, 63), cc.p(0, 0.5), nil, nil, nil, nil)
	self.labelTitleFilter:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.labelTitleFilter)

	self.labelStar5 = createLabel({text=[[5]], font=getFont(), size=24})
	setValue(self.labelStar5, "labelStar5", 991, cc.size(13, 28), cc.p(503.5, 31.5), nil, nil, nil, nil, nil)
	self.labelStar5:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.labelStar5)

	self.labelStar4 = createLabel({text=[[4]], font=getFont(), size=24})
	setValue(self.labelStar4, "labelStar4", 993, cc.size(13, 28), cc.p(627, 31.5), nil, nil, nil, nil, nil)
	self.labelStar4:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.labelStar4)

	self.labelStarAll = createLabel({text=[[all]], font=getFont(), size=24})
	setValue(self.labelStarAll, "labelStarAll", 994, cc.size(24, 28), cc.p(380, 31.5), cc.p(0, 0.5), nil, nil, nil, nil)
	self.labelStarAll:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.labelStarAll)

	self.spriteStar5 = cc.Sprite:create()
	setValue(self.spriteStar5, "spriteStar5", 996, cc.size(85, 83), cc.p(532, 31.5), nil, nil, nil, nil, nil)
	self.spriteStar5:setScale(0.45)
	self.spriteStar5:setSpriteFrame("ccs/UiImages/shop/IconStar.png")
	addChildForPre(self.dialogPanel_2, self.spriteStar5)

	self.spriteStar4 = cc.Sprite:create()
	setValue(self.spriteStar4, "spriteStar4", 999, cc.size(85, 83), cc.p(655.5, 31.5), nil, nil, nil, nil, nil)
	self.spriteStar4:setScale(0.45)
	self.spriteStar4:setSpriteFrame("ccs/UiImages/shop/IconStar.png")
	addChildForPre(self.dialogPanel_2, self.spriteStar4)

	self.selectAllCheckBox = ccui.CheckBox:create()
	setValue(self.selectAllCheckBox, "selectAllCheckBox", 71, cc.size(36, 36), cc.p(351.5, 31.5), nil, nil, nil, nil, nil)
	self.selectAllCheckBox:loadTextureBackGround("ccs/BigImages/checkBox/IndicatorLightB.png", 1)
	self.selectAllCheckBox:loadTextureBackGroundSelected("ccs/BigImages/checkBox/IndicatorLightB.png", 1)
	self.selectAllCheckBox:loadTextureBackGroundDisabled("ccs/BigImages/checkBox/IndicatorLightB.png", 1)
	self.selectAllCheckBox:loadTextureFrontCross("ccs/BigImages/checkBox/IndicatorLightA.png", 1)
	self.selectAllCheckBox:loadTextureFrontCrossDisabled("ccs/BigImages/checkBox/IndicatorLightA.png", 1)
	self.selectAllCheckBox:setSelected(true)
	addChildForPre(self.dialogPanel_2, self.selectAllCheckBox)

	self.select5CheckBox = ccui.CheckBox:create()
	setValue(self.select5CheckBox, "select5CheckBox", 74, cc.size(36, 36), cc.p(475, 31.5), nil, nil, nil, nil, nil)
	self.select5CheckBox:loadTextureBackGround("ccs/BigImages/checkBox/IndicatorLightB.png", 1)
	self.select5CheckBox:loadTextureBackGroundSelected("ccs/BigImages/checkBox/IndicatorLightB.png", 1)
	self.select5CheckBox:loadTextureBackGroundDisabled("ccs/BigImages/checkBox/IndicatorLightB.png", 1)
	self.select5CheckBox:loadTextureFrontCross("ccs/BigImages/checkBox/IndicatorLightA.png", 1)
	self.select5CheckBox:loadTextureFrontCrossDisabled("ccs/BigImages/checkBox/IndicatorLightA.png", 1)
	addChildForPre(self.dialogPanel_2, self.select5CheckBox)

	self.select4CheckBox = ccui.CheckBox:create()
	setValue(self.select4CheckBox, "select4CheckBox", 72, cc.size(36, 36), cc.p(598.5, 31.5), nil, nil, nil, nil, nil)
	self.select4CheckBox:loadTextureBackGround("ccs/BigImages/checkBox/IndicatorLightB.png", 1)
	self.select4CheckBox:loadTextureBackGroundSelected("ccs/BigImages/checkBox/IndicatorLightB.png", 1)
	self.select4CheckBox:loadTextureBackGroundDisabled("ccs/BigImages/checkBox/IndicatorLightB.png", 1)
	self.select4CheckBox:loadTextureFrontCross("ccs/BigImages/checkBox/IndicatorLightA.png", 1)
	self.select4CheckBox:loadTextureFrontCrossDisabled("ccs/BigImages/checkBox/IndicatorLightA.png", 1)
	addChildForPre(self.dialogPanel_2, self.select4CheckBox)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonPanelParts.plist",
	"ccs/plist/commonPanelPartsB.plist",
	"ccs/plist/officer.plist",
	"ccs/plist/camp.plist",
	"ccs/plist/shop.plist",
	"ccs/BigImages/checkBox/IndicatorLightB.png",
	"ccs/BigImages/checkBox/IndicatorLightA.png",
}

return _M
