-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 113, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 57, cc.size(198, 128), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.tankPanel = ccui.Layout:create()
	setValue(self.tankPanel, "tankPanel", 332, cc.size(198, 128), cc.p(99, 64), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.tankPanel)
	self.tankPanel_2 = self.tankPanel

	self.spriteBg = cc.Sprite:create()
	setValue(self.spriteBg, "spriteBg", 58, cc.size(198, 126), cc.p(99, 64), nil, nil, nil, nil, nil)
	self.spriteBg:setSpriteFrame("ccs/UiImages/qualityBg2/qualityBg10_1.png")
	addChildForPre(self.tankPanel_2, self.spriteBg)

	self.spriteTank = cc.Sprite:create()
	setValue(self.spriteTank, "spriteTank", 59, cc.size(194, 120), cc.p(99, 64), nil, nil, nil, nil, nil)
	self.spriteTank:setTexture("ccs/BigImages/tank_m/tank_m_10100.webp")
	addChildForPre(self.tankPanel_2, self.spriteTank)

	self.spriteTankType = cc.Sprite:create()
	setValue(self.spriteTankType, "spriteTankType", 60, cc.size(62, 62), cc.p(1.98, 120.32), cc.p(0, 1), nil, nil, nil, nil)
	self.spriteTankType:setSpriteFrame("ccs/UiImages/tankType/tankTypeIcon1.png")
	addChildForPre(self.tankPanel_2, self.spriteTankType)

	self.spriteCountry = cc.Sprite:create()
	setValue(self.spriteCountry, "spriteCountry", 650, cc.size(124, 82), cc.p(188.1, 12.8), cc.p(1, 0), nil, nil, nil, nil)
	self.spriteCountry:setScale(0.3)
	self.spriteCountry:setTexture("ccs/BigImages/challenge/country_1.webp")
	addChildForPre(self.tankPanel_2, self.spriteCountry)

	self.labelName = createLabel({text=[[labelName]], font=getFont(), size=22,valign = 1})
	setValue(self.labelName, "labelName", 79, cc.size(105, 26), cc.p(201.96, 51.2), cc.p(0, 0.5), nil, nil, nil, nil)
	self.labelName:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.tankPanel_2, self.labelName)

	self.labelDesc = createLabel({text=[[labelDesc]], font=getFont(), size=22,valign = 1})
	setValue(self.labelDesc, "labelDesc", 80, cc.size(96, 26), cc.p(201.96, 25.6), cc.p(0, 0.5), nil, nil, nil, nil)
	self.labelDesc:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.tankPanel_2, self.labelDesc)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/qualityBg2.plist",
	"ccs/BigImages/tank_m/tank_m_10100.png",
	"ccs/plist/tankType.plist",
	"ccs/BigImages/challenge/country_1.png",
}

return _M
