-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 143, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 144, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame7Ui then 
 		self.commonDialogFrame7Ui = CommonDialogFrame7Ui.new() 
 	else 
		self.commonDialogFrame7Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame7Ui.lua")
 	end 
	setValue(self.commonDialogFrame7Ui, "commonDialogFrame7Ui", 218, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame7Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "XYN_dialogPanel", 167, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.showPanel = ccui.Layout:create()
	setValue(self.showPanel, "showPanel", 280, cc.size(608, 537.6), cc.p(320, 508.8), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.showPanel)

	self.okButton = ccui.Button:create()
	setValue(self.okButton, "okButton", 279, cc.size(153, 64), cc.p(320, 163.2), nil, nil, nil, nil, false)
	self.okButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.okButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.okButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.okButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.okButton:setTitleText([[okButton]])
	self.okButton:setTitleFontSize(25)
	self.okButton:setTitleFontName(getFont())
	setClickEvent(self, self.okButton, "okButton")
	addChildForPre(self.dialogPanel_2, self.okButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/common.plist",
}

return _M
