-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 3, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonNewUi then 
 		self.commonNewUi = CommonNewUi.new() 
 	else 
		self.commonNewUi = BaseUi.new("ccs/ui/commonDialog/CommonNewUi.lua")
 	end 
	setValue(self.commonNewUi, "commonNewUi", 1215, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonNewUi)

	self.oldPanel = ccui.Layout:create()
	setValue(self.oldPanel, "AXY_oldPanel", 17, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.oldPanel)
	self.oldPanel_2 = self.oldPanel

	self.PanelItemSame = ccui.Layout:create()
	setValue(self.PanelItemSame, "XYN_PanelItemSame", 601, cc.size(456, 228), cc.p(320, 252), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.oldPanel_2, self.PanelItemSame)
	self.PanelItemSame_3 = self.PanelItemSame

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 110, cc.size(456, 228), cc.p(228, 114), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/BigImages/background/commonPanelBg_img_2.webp")
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(0, 0, 464, 241))
	addChildForPre(self.PanelItemSame_3, self.bgImage)

	self.changeAccountButton = ccui.Button:create()
	setValue(self.changeAccountButton, "changeAccountButton", 463, cc.size(153, 64), cc.p(342, 171), nil, nil, nil, nil, false)
	self.changeAccountButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.changeAccountButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.changeAccountButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.changeAccountButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.changeAccountButton:setTitleText([[Account]])
	self.changeAccountButton:setTitleFontSize(25)
	self.changeAccountButton:setTitleFontName(getFont())
	setClickEvent(self, self.changeAccountButton, "changeAccountButton")
	addChildForPre(self.PanelItemSame_3, self.changeAccountButton)

	self.giftsButton = ccui.Button:create()
	setValue(self.giftsButton, "giftsButton", 464, cc.size(153, 64), cc.p(342, 57), nil, nil, nil, nil, false)
	self.giftsButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.giftsButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.giftsButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.giftsButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.giftsButton:setTitleText([[Gifts]])
	self.giftsButton:setTitleFontSize(25)
	self.giftsButton:setTitleFontName(getFont())
	setClickEvent(self, self.giftsButton, "giftsButton")
	addChildForPre(self.PanelItemSame_3, self.giftsButton)

	self.noticeButton = ccui.Button:create()
	setValue(self.noticeButton, "noticeButton", 466, cc.size(153, 64), cc.p(114, 171), nil, nil, nil, nil, false)
	self.noticeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.noticeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.noticeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.noticeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.noticeButton:setTitleText([[Notice]])
	self.noticeButton:setTitleFontSize(25)
	self.noticeButton:setTitleFontName(getFont())
	setClickEvent(self, self.noticeButton, "noticeButton")
	addChildForPre(self.PanelItemSame_3, self.noticeButton)

	self.opinionButton = ccui.Button:create()
	setValue(self.opinionButton, "opinionButton", 465, cc.size(153, 64), cc.p(114, 57), nil, nil, nil, nil, false)
	self.opinionButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.opinionButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.opinionButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.opinionButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.opinionButton:setTitleText([[Opinion]])
	self.opinionButton:setTitleFontSize(25)
	self.opinionButton:setTitleFontName(getFont())
	setClickEvent(self, self.opinionButton, "opinionButton")
	addChildForPre(self.PanelItemSame_3, self.opinionButton)

	self.bindUserButton = ccui.Button:create()
	setValue(self.bindUserButton, "bindUserButton", 247, cc.size(153, 64), cc.p(341.9999, 55.3327), nil, nil, nil, nil, false)
	self.bindUserButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.bindUserButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.bindUserButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.bindUserButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.bindUserButton:setTitleText([[bindUser]])
	self.bindUserButton:setTitleFontSize(25)
	self.bindUserButton:setTitleFontName(getFont())
	setClickEvent(self, self.bindUserButton, "bindUserButton")
	addChildForPre(self.PanelItemSame_3, self.bindUserButton)

	self.Sprite1 = cc.Sprite:create()
	setValue(self.Sprite1, "Sprite1", 1766, cc.size(36, 37), cc.p(40.1219, 116.8519), nil, nil, nil, nil, nil)
	self.Sprite1:setSpriteFrame("ccs/UiImages/common/img_ding.png")
	addChildForPre(self.PanelItemSame_3, self.Sprite1)

	self.Sprite2 = cc.Sprite:create()
	setValue(self.Sprite2, "Sprite2", 1767, cc.size(36, 37), cc.p(421.4515, 116.8519), nil, nil, nil, nil, nil)
	self.Sprite2:setSpriteFrame("ccs/UiImages/common/img_ding.png")
	addChildForPre(self.PanelItemSame_3, self.Sprite2)

	self.emailLabel = createLabel({text=[[test@test.com]], font=getFont(), size=22})
	setValue(self.emailLabel, "BYN_emailLabel", 645, cc.size(140, 26), cc.p(193.216, 63.744), nil, cc.c4b(168, 200, 133, 255), 0, nil, nil)
	self.emailLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.emailLabel:setColor(cc.c4b(168, 200, 133, 255))
	addChildForPre(self.oldPanel_2, self.emailLabel)

	self.contactLabel = createLabel({text=[[qq:0000000000]], font=getFont(), size=22,align = 1})
	setValue(self.contactLabel, "BYN_contactLabel", 646, cc.size(152, 26), cc.p(317.76, 70.656), nil, cc.c4b(168, 200, 133, 255), nil, nil, nil)
	self.contactLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.contactLabel:setColor(cc.c4b(168, 200, 133, 255))
	addChildForPre(self.oldPanel_2, self.contactLabel)

	self.buttonPanel = ccui.Layout:create()
	setValue(self.buttonPanel, "XYN_buttonPanel", 1226, cc.size(456, 376), cc.p(322.0002, 650), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.oldPanel_2, self.buttonPanel)
	self.buttonPanel_3 = self.buttonPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 109, cc.size(456, 387), cc.p(228, 188), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/BigImages/background/commonPanelBg_img_1.webp")
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(0, 0, 456, 387))
	addChildForPre(self.buttonPanel_3, self.bgImage)

	self.musicBgTitleLabel = createLabel({text=[[BG Music]], font=getFont(), size=30,align = 2,valign = 1})
	setValue(self.musicBgTitleLabel, "musicBgTitleLabel", 598, cc.size(130, 34), cc.p(49.704, 314.8248), cc.p(0, 0.5), nil, nil, nil, nil)
	self.musicBgTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.buttonPanel_3, self.musicBgTitleLabel)

	self.musicBgButton = ccui.Button:create()
	setValue(self.musicBgButton, "musicBgButton", 596, cc.size(95, 56), cc.p(353.1264, 314.8248), nil, nil, nil, nil, nil)
	self.musicBgButton:loadTextureNormal("ccs/UiImages/common/commonBtn_on_1.png", 1)
	self.musicBgButton:loadTexturePressed("ccs/UiImages/common/commonBtn_on_1.png", 1)
	self.musicBgButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.musicBgButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.musicBgButton:setTitleText([[]])
	self.musicBgButton:setTitleColor(cc.c3b(65, 65, 70))
	self.musicBgButton:setTitleFontSize(14)
	self.musicBgButton:setTitleFontName(getFont())
	setClickEvent(self, self.musicBgButton, "musicBgButton")
	addChildForPre(self.buttonPanel_3, self.musicBgButton)

	self.musicEffectButton = ccui.Button:create()
	setValue(self.musicEffectButton, "musicEffectButton", 597, cc.size(95, 56), cc.p(353.1264, 234.248), nil, nil, nil, nil, nil)
	self.musicEffectButton:loadTextureNormal("ccs/UiImages/common/commonBtn_on_1.png", 1)
	self.musicEffectButton:loadTexturePressed("ccs/UiImages/common/commonBtn_on_1.png", 1)
	self.musicEffectButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.musicEffectButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.musicEffectButton:setTitleText([[]])
	self.musicEffectButton:setTitleColor(cc.c3b(65, 65, 70))
	self.musicEffectButton:setTitleFontSize(14)
	self.musicEffectButton:setTitleFontName(getFont())
	setClickEvent(self, self.musicEffectButton, "musicEffectButton")
	addChildForPre(self.buttonPanel_3, self.musicEffectButton)

	self.musicEffectTitleLabel = createLabel({text=[[Music]], font=getFont(), size=30,align = 2,valign = 1})
	setValue(self.musicEffectTitleLabel, "musicEffectTitleLabel", 599, cc.size(78, 34), cc.p(49.704, 234.248), cc.p(0, 0.5), nil, nil, nil, nil)
	self.musicEffectTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.buttonPanel_3, self.musicEffectTitleLabel)

	self.pushOilTitleLabel = createLabel({text=[[pushOilTitleLabel]], font=getFont(), size=30,align = 2,valign = 1})
	setValue(self.pushOilTitleLabel, "pushOilTitleLabel", 183, cc.size(230, 34), cc.p(49.704, 153.7088), cc.p(0, 0.5), nil, nil, nil, nil)
	self.pushOilTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.buttonPanel_3, self.pushOilTitleLabel)

	self.pushArenaTitleLabel = createLabel({text=[[pushArenaTitleLabel]], font=getFont(), size=30,align = 2,valign = 1})
	setValue(self.pushArenaTitleLabel, "pushArenaTitleLabel", 67, cc.size(274, 34), cc.p(49.704, 73.1696), cc.p(0, 0.5), nil, nil, nil, nil)
	self.pushArenaTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.buttonPanel_3, self.pushArenaTitleLabel)

	self.pushOilButton = ccui.Button:create()
	setValue(self.pushOilButton, "pushOilButton", 182, cc.size(95, 56), cc.p(353.1264, 153.7088), nil, nil, nil, nil, nil)
	self.pushOilButton:loadTextureNormal("ccs/UiImages/common/commonBtn_on_1.png", 1)
	self.pushOilButton:loadTexturePressed("ccs/UiImages/common/commonBtn_on_1.png", 1)
	self.pushOilButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.pushOilButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.pushOilButton:setTitleText([[]])
	self.pushOilButton:setTitleColor(cc.c3b(65, 65, 70))
	self.pushOilButton:setTitleFontSize(14)
	self.pushOilButton:setTitleFontName(getFont())
	setClickEvent(self, self.pushOilButton, "pushOilButton")
	addChildForPre(self.buttonPanel_3, self.pushOilButton)

	self.pushArenaButton = ccui.Button:create()
	setValue(self.pushArenaButton, "pushArenaButton", 65, cc.size(95, 56), cc.p(353.1264, 73.1696), nil, nil, nil, nil, nil)
	self.pushArenaButton:loadTextureNormal("ccs/UiImages/common/commonBtn_on_1.png", 1)
	self.pushArenaButton:loadTexturePressed("ccs/UiImages/common/commonBtn_on_1.png", 1)
	self.pushArenaButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.pushArenaButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.pushArenaButton:setTitleText([[]])
	self.pushArenaButton:setTitleColor(cc.c3b(65, 65, 70))
	self.pushArenaButton:setTitleFontSize(14)
	self.pushArenaButton:setTitleFontName(getFont())
	setClickEvent(self, self.pushArenaButton, "pushArenaButton")
	addChildForPre(self.buttonPanel_3, self.pushArenaButton)

	self.Sprite3 = cc.Sprite:create()
	setValue(self.Sprite3, "Sprite3", 1768, cc.size(36, 37), cc.p(36.4158, 348.9333), nil, nil, nil, nil, nil)
	self.Sprite3:setSpriteFrame("ccs/UiImages/common/img_ding.png")
	addChildForPre(self.buttonPanel_3, self.Sprite3)

	self.Sprite3_Copy = cc.Sprite:create()
	setValue(self.Sprite3_Copy, "Sprite3_Copy", 1769, cc.size(36, 37), cc.p(418.3607, 348.9334), nil, nil, nil, nil, nil)
	self.Sprite3_Copy:setSpriteFrame("ccs/UiImages/common/img_ding.png")
	addChildForPre(self.buttonPanel_3, self.Sprite3_Copy)

	self.Sprite3_Copy_0 = cc.Sprite:create()
	setValue(self.Sprite3_Copy_0, "Sprite3_Copy_0", 1770, cc.size(36, 37), cc.p(37.7419, 34.2659), nil, nil, nil, nil, nil)
	self.Sprite3_Copy_0:setSpriteFrame("ccs/UiImages/common/img_ding.png")
	addChildForPre(self.buttonPanel_3, self.Sprite3_Copy_0)

	self.Sprite3_Copy_1 = cc.Sprite:create()
	setValue(self.Sprite3_Copy_1, "Sprite3_Copy_1", 1771, cc.size(36, 37), cc.p(418.3607, 34.2659), nil, nil, nil, nil, nil)
	self.Sprite3_Copy_1:setSpriteFrame("ccs/UiImages/common/img_ding.png")
	addChildForPre(self.buttonPanel_3, self.Sprite3_Copy_1)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/BigImages/background/commonPanelBg_img_2.png",
	"ccs/plist/image9.plist",
	"ccs/plist/common.plist",
	"ccs/BigImages/background/commonPanelBg_img_1.png",
	"Default/Button_Disable.png",
}

return _M
