-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 1227, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 1441, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonNewUi then 
 		self.commonNewUi = CommonNewUi.new() 
 	else 
		self.commonNewUi = BaseUi.new("ccs/ui/commonDialog/CommonNewUi.lua")
 	end 
	setValue(self.commonNewUi, "commonNewUi", 1507, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonNewUi)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 1652, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.tabPanel = ccui.Layout:create()
	setValue(self.tabPanel, "LTN_tabPanel", 1717, cc.size(640, 50), cc.p(0, 825.6), cc.p(0, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.tabPanel)
	self.tabPanel_3 = self.tabPanel

	self.imgLine = ccui.ImageView:create()
	setValue(self.imgLine, "imgLine", 1975, cc.size(640, 62), cc.p(320, 15), nil, nil, nil, nil, nil)
	self.imgLine:loadTexture("ccs/UiImages/commonBg/common_img_diban00.png", 1)
	addChildForPre(self.tabPanel_3, self.imgLine)

	self.btnPainting = ccui.Button:create()
	self.btnPainting:setScale9Enabled(true)
	self.btnPainting:setCapInsets(cc.rect(0, 0, 247, 91))
	self.btnPainting:setContentSize(cc.size(124, 48))
	setValue(self.btnPainting, "btnPainting", 2040, nil, cc.p(66.432, 17.235), nil, nil, nil, nil, false)
	self.btnPainting:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.btnPainting:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.btnPainting:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.btnPainting:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.btnPainting:setTitleText([[涂装]])
	self.btnPainting:setTitleFontSize(25)
	self.btnPainting:setTitleFontName(getFont())
	setClickEvent(self, self.btnPainting, "btnPainting")
	addChildForPre(self.tabPanel_3, self.btnPainting)

	self.btnCombine = ccui.Button:create()
	self.btnCombine:setScale9Enabled(true)
	self.btnCombine:setCapInsets(cc.rect(0, 0, 247, 91))
	self.btnCombine:setContentSize(cc.size(124, 48))
	setValue(self.btnCombine, "btnCombine", 2041, nil, cc.p(202.624, 17.235), nil, nil, nil, nil, false)
	self.btnCombine:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.btnCombine:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.btnCombine:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.btnCombine:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.btnCombine:setTitleText([[涂装合成]])
	self.btnCombine:setTitleFontSize(25)
	self.btnCombine:setTitleFontName(getFont())
	setClickEvent(self, self.btnCombine, "btnCombine")
	addChildForPre(self.tabPanel_3, self.btnCombine)
	self.btnCombine_4 = self.btnCombine

	self.REDPOINT_PAINTING_COMPOSE = cc.Sprite:create()
	setValue(self.REDPOINT_PAINTING_COMPOSE, "REDPOINT_PAINTING_COMPOSE", 2618, cc.size(24, 24), cc.p(115.32, 42.72), nil, nil, nil, nil, nil)
	self.REDPOINT_PAINTING_COMPOSE:setVisible(false)
	self.REDPOINT_PAINTING_COMPOSE:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.btnCombine_4, self.REDPOINT_PAINTING_COMPOSE)

	self.btnBreakup = ccui.Button:create()
	self.btnBreakup:setScale9Enabled(true)
	self.btnBreakup:setCapInsets(cc.rect(0, 0, 247, 91))
	self.btnBreakup:setContentSize(cc.size(124, 48))
	setValue(self.btnBreakup, "btnBreakup", 122, nil, cc.p(338.816, 17.235), nil, nil, nil, nil, false)
	self.btnBreakup:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.btnBreakup:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.btnBreakup:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.btnBreakup:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.btnBreakup:setTitleText([[分解]])
	self.btnBreakup:setTitleFontSize(25)
	self.btnBreakup:setTitleFontName(getFont())
	setClickEvent(self, self.btnBreakup, "btnBreakup")
	addChildForPre(self.tabPanel_3, self.btnBreakup)
	self.btnBreakup_4 = self.btnBreakup

	self.REDPOINT_PAINTING_COMPOSE_Copy = cc.Sprite:create()
	setValue(self.REDPOINT_PAINTING_COMPOSE_Copy, "REDPOINT_PAINTING_COMPOSE_Copy", 123, cc.size(24, 24), nil, nil, nil, nil, nil, nil)
	self.REDPOINT_PAINTING_COMPOSE_Copy:setVisible(false)
	self.REDPOINT_PAINTING_COMPOSE_Copy:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.btnBreakup_4, self.REDPOINT_PAINTING_COMPOSE_Copy)

	self.btnExchange = ccui.Button:create()
	self.btnExchange:setScale9Enabled(true)
	self.btnExchange:setCapInsets(cc.rect(0, 0, 247, 91))
	self.btnExchange:setContentSize(cc.size(124, 48))
	setValue(self.btnExchange, "btnExchange", 124, nil, cc.p(475.008, 17.235), nil, nil, nil, nil, false)
	self.btnExchange:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.btnExchange:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.btnExchange:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.btnExchange:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.btnExchange:setTitleText([[兑换]])
	self.btnExchange:setTitleFontSize(25)
	self.btnExchange:setTitleFontName(getFont())
	setClickEvent(self, self.btnExchange, "btnExchange")
	addChildForPre(self.tabPanel_3, self.btnExchange)
	self.btnExchange_4 = self.btnExchange

	self.REDPOINT_PAINTING_COMPOSE_Copy = cc.Sprite:create()
	setValue(self.REDPOINT_PAINTING_COMPOSE_Copy, "REDPOINT_PAINTING_COMPOSE_Copy", 125, cc.size(24, 24), nil, nil, nil, nil, nil, nil)
	self.REDPOINT_PAINTING_COMPOSE_Copy:setVisible(false)
	self.REDPOINT_PAINTING_COMPOSE_Copy:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.btnExchange_4, self.REDPOINT_PAINTING_COMPOSE_Copy)

	self.itemPanel = ccui.Layout:create()
	setValue(self.itemPanel, "LTN_itemPanel", 1278, cc.size(640, 50), cc.p(0, 758.4), cc.p(0, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.itemPanel)
	self.itemPanel_3 = self.itemPanel

	self.spItem1 = cc.Sprite:create()
	setValue(self.spItem1, "spItem1", 1279, cc.size(47, 44), cc.p(12.8, 25), cc.p(0, 0.5), nil, nil, nil, nil)
	self.spItem1:setSpriteFrame("ccs/UiImages/painting/paintingBreakup1_1.png")
	addChildForPre(self.itemPanel_3, self.spItem1)

	self.txtItem1Num = createLabel({text=[[999]], font=getFont(), size=24,valign = 1, dimensions = cc.size(40.0000, 28.0000)})
	setValue(self.txtItem1Num, "txtItem1Num", 1280, cc.size(40, 28), cc.p(70.4, 27.5), cc.p(0, 0.5), nil, nil, nil, false)
	self.txtItem1Num:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.itemPanel_3, self.txtItem1Num)

	self.spItem2 = cc.Sprite:create()
	setValue(self.spItem2, "spItem2", 1281, cc.size(47, 44), cc.p(128, 25), cc.p(0, 0.5), nil, nil, nil, nil)
	self.spItem2:setSpriteFrame("ccs/UiImages/painting/paintingBreakup2_1.png")
	addChildForPre(self.itemPanel_3, self.spItem2)

	self.txtItem2Num = createLabel({text=[[999]], font=getFont(), size=24,valign = 1, dimensions = cc.size(40.0000, 28.0000)})
	setValue(self.txtItem2Num, "txtItem2Num", 1282, cc.size(40, 28), cc.p(185.6, 27.5), cc.p(0, 0.5), nil, nil, nil, false)
	self.txtItem2Num:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.itemPanel_3, self.txtItem2Num)

	self.contentPanel = ccui.Layout:create()
	setValue(self.contentPanel, "contentPanel", 2715, cc.size(640, 780), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.contentPanel)

	self.btnGetPainting = ccui.Button:create()
	setValue(self.btnGetPainting, "RTN_btnGetPainting", 374, cc.size(81, 26), cc.p(557.2501, 862.9164), nil, cc.c4b(0, 187, 238, 255), nil, nil, false)
	self.btnGetPainting:loadTextureNormal("ccs/UiImages/image9/Underline.png", 1)
	self.btnGetPainting:loadTexturePressed("ccs/UiImages/image9/Underline.png", 1)
	self.btnGetPainting:loadTextureDisabled("ccs/UiImages/image9/Underline.png", 1)
	self.btnGetPainting:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.btnGetPainting:setTitleText([[tu]])
	self.btnGetPainting:setTitleColor(cc.c3b(0, 187, 238))
	self.btnGetPainting:setTitleFontSize(24)
	self.btnGetPainting:setTitleFontName(getFont())
	setClickEvent(self, self.btnGetPainting, "btnGetPainting")
	addChildForPre(self.dialogPanel_2, self.btnGetPainting)

	self.breakupPanel = ccui.Layout:create()
	setValue(self.breakupPanel, "LBN_breakupPanel", 1353, cc.size(640, 125), nil, nil, nil, nil, nil, nil)
	setBgImage(self.breakupPanel, "ccs/UiImages/image9/common_img_jiemian04.png", 1, true, cc.rect(0, 0, 256, 19))
	self.breakupPanel:setContentSize(cc.size(640, 125))
	addChildForPre(self.dialogPanel_2, self.breakupPanel)
	self.breakupPanel_3 = self.breakupPanel

	self.spBreakupBg = cc.Sprite:create()
	setValue(self.spBreakupBg, "spBreakupBg", 2273, cc.size(640, 30), cc.p(318.592, 125), cc.p(0.5, 1), nil, nil, nil, nil)
	self.spBreakupBg:setSpriteFrame("ccs/UiImages/image9/common_img_jiemian03.png")
	addChildForPre(self.breakupPanel_3, self.spBreakupBg)

	self.spBottomLine = cc.Sprite:create()
	setValue(self.spBottomLine, "spBottomLine", 2519, cc.size(640, 8), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	self.spBottomLine:setSpriteFrame("ccs/UiImages/image9/common_img_jiemian02.png")
	addChildForPre(self.breakupPanel_3, self.spBottomLine)

	self.spCostDiamond = cc.Sprite:create()
	setValue(self.spCostDiamond, "spCostDiamond", 1370, cc.size(46, 38), cc.p(289.0641, 89.0749), nil, nil, nil, nil, nil)
	self.spCostDiamond:setScale(0.8)
	self.spCostDiamond:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainUi_big_zuanshi.png")
	addChildForPre(self.breakupPanel_3, self.spCostDiamond)

	self.txtCostDiamondNum = createLabel({text=[[1000]], font=getFont(), size=20})
	setValue(self.txtCostDiamondNum, "txtCostDiamondNum", 1371, cc.size(44, 23), cc.p(340.1359, 87.075), nil, nil, nil, nil, nil)
	self.txtCostDiamondNum:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.breakupPanel_3, self.txtCostDiamondNum)

	self.btnBottomBreakup = ccui.Button:create()
	setValue(self.btnBottomBreakup, "btnBottomBreakup", 1354, cc.size(153, 64), cc.p(320, 41.7875), nil, nil, nil, nil, false)
	self.btnBottomBreakup:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.btnBottomBreakup:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.btnBottomBreakup:loadTextureDisabled("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.btnBottomBreakup:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.btnBottomBreakup:setTitleText([[分解]])
	self.btnBottomBreakup:setTitleFontSize(30)
	self.btnBottomBreakup:setTitleFontName(getFont())
	setClickEvent(self, self.btnBottomBreakup, "btnBottomBreakup")
	addChildForPre(self.breakupPanel_3, self.btnBottomBreakup)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/common.plist",
	"ccs/plist/painting.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/mainUiFeeling.plist",
}

return _M
