-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 210, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 211, cc.size(464, 130), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.btnLink = ccui.Button:create()
	self.btnLink:setScale9Enabled(true)
	self.btnLink:setCapInsets(cc.rect(0, 0, 10, 10))
	self.btnLink:setContentSize(cc.size(450, 120))
	setValue(self.btnLink, "btnLink", 248, nil, cc.p(232, 65), nil, nil, nil, nil, false)
	self.btnLink:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.btnLink:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.btnLink:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.btnLink:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.btnLink:setTitleText([[Button]])
	self.btnLink:setTitleColor(cc.c3b(65, 65, 70))
	self.btnLink:setTitleFontSize(14)
	self.btnLink:setTitleFontName(getFont())
	setClickEvent(self, self.btnLink, "btnLink")
	addChildForPre(self.rootPanel_1, self.btnLink)

	self.imgBg = ccui.ImageView:create()
	setValue(self.imgBg, "imgBg", 214, cc.size(460, 125), cc.p(232, 65), nil, nil, nil, nil, false)
	self.imgBg:loadTexture("ccs/UiImages/commonBg/common_img_ditiao.png", 1)
	self.imgBg:setScale9Enabled(true)
	self.imgBg:setCapInsets(cc.rect(10, 10, 592, 147))
	addChildForPre(self.rootPanel_1, self.imgBg)

	self.txtContent = createLabel({text=[[通过涂装碎片可以合成新涂装]], font=getFont(), size=24})
	setValue(self.txtContent, "txtContent", 213, cc.size(312, 28), cc.p(232, 65), nil, nil, nil, nil, nil)
	self.txtContent:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.txtContent)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/commonBg.plist",
}

return _M
