-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 3, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "XYN_Panel", 4, cc.size(640, 570), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Panel)
	self.Panel_2 = self.Panel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 339, cc.size(490, 570), cc.p(320, 285), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/image9/commonPanel_s9_bg_1.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(30, 30, 112, 10))
	addChildForPre(self.Panel_2, self.bgImage)

	self.bottomImage = ccui.ImageView:create()
	setValue(self.bottomImage, "bottomImage", 343, cc.size(466, 79), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.bottomImage:loadTexture("ccs/UiImages/commonBg/CommonPanel_img_bg_1.jpg", 1)
	self.bottomImage:setScale9Enabled(true)
	self.bottomImage:setCapInsets(cc.rect(0, 0, 466, 79))
	addChildForPre(self.Panel_2, self.bottomImage)

	self.listviewPanel = ccui.Layout:create()
	setValue(self.listviewPanel, "listviewPanel", 118, cc.size(460, 380), cc.p(320, 305.5025), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.listviewPanel)

	self.okButton = ccui.Button:create()
	setValue(self.okButton, "okButton", 826, cc.size(153, 64), cc.p(322.1761, 43.6001), nil, nil, nil, nil, false)
	self.okButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.okButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.okButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.okButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.okButton:setTitleText([[Button]])
	self.okButton:setTitleFontSize(25)
	self.okButton:setTitleFontName(getFont())
	setClickEvent(self, self.okButton, "okButton")
	addChildForPre(self.Panel_2, self.okButton)

	self.titleSprite = cc.Sprite:create()
	setValue(self.titleSprite, "titleSprite", 340, cc.size(462, 106), cc.p(320, 570), nil, nil, nil, nil, nil)
	self.titleSprite:setScale(0.5)
	self.titleSprite:setSpriteFrame("ccs/UiImages/commonBg/CommonPanel_img_WinHeader_1.png")
	addChildForPre(self.Panel_2, self.titleSprite)

	self.titleName = createLabel({text=[[获取更多涂装]], font=getFont(), size=24})
	setValue(self.titleName, "titleName", 341, cc.size(144, 28), cc.p(320, 570), nil, nil, nil, nil, nil)
	self.titleName:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_2, self.titleName)

	self.closeButton = ccui.Button:create()
	setValue(self.closeButton, "closeButton", 338, cc.size(86, 55), cc.p(531.2, 552.9), nil, nil, nil, nil, nil)
	self.closeButton:loadTextureNormal("ccs/UiImages/image9/CommonPanel_btn_X_0.png", 1)
	self.closeButton:loadTexturePressed("ccs/UiImages/image9/CommonPanel_btn_X_1.png", 1)
	self.closeButton:loadTextureDisabled("ccs/UiImages/image9/CommonPanel_btn_X_1.png", 1)
	self.closeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.closeButton:setTitleText([[]])
	self.closeButton:setTitleColor(cc.c3b(65, 65, 70))
	self.closeButton:setTitleFontSize(14)
	self.closeButton:setTitleFontName(getFont())
	setClickEvent(self, self.closeButton, "closeButton")
	addChildForPre(self.Panel_2, self.closeButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/commonBg.plist",
}

return _M
