-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 3, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "XYN_Panel", 4, cc.size(640, 600), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Panel)
	self.Panel_2 = self.Panel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 339, cc.size(490, 600), cc.p(320, 300), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/image9/commonPanel_s9_bg_1.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(30, 30, 112, 10))
	addChildForPre(self.Panel_2, self.bgImage)

	self.bottomImage = ccui.ImageView:create()
	setValue(self.bottomImage, "bottomImage", 343, cc.size(466, 79), cc.p(320, 54), nil, nil, nil, nil, false)
	self.bottomImage:loadTexture("ccs/UiImages/commonBg/CommonPanel_img_bg_1.jpg", 1)
	self.bottomImage:setScale9Enabled(true)
	self.bottomImage:setCapInsets(cc.rect(0, 0, 466, 79))
	addChildForPre(self.Panel_2, self.bottomImage)

	self.spQualityBg = cc.Sprite:create()
	setValue(self.spQualityBg, "spQualityBg", 228, cc.size(100, 100), cc.p(172.8, 504), nil, nil, nil, nil, nil)
	self.spQualityBg:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.Panel_2, self.spQualityBg)

	self.spPaintingIcon = cc.Sprite:create()
	setValue(self.spPaintingIcon, "spPaintingIcon", 244, cc.size(178, 192), cc.p(172.8, 504), nil, nil, nil, nil, nil)
	self.spPaintingIcon:setScale(0.5)
	self.spPaintingIcon:setTexture("ccs/BigImages/userIcon/userIcon_img_meizi01.webp")
	addChildForPre(self.Panel_2, self.spPaintingIcon)

	self.listviewPanel = ccui.Layout:create()
	setValue(self.listviewPanel, "listviewPanel", 118, cc.size(460, 340), cc.p(320, 276.3), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.listviewPanel)

	self.okButton = ccui.Button:create()
	setValue(self.okButton, "okButton", 826, cc.size(153, 64), cc.p(322.176, 53.46), nil, nil, nil, nil, false)
	self.okButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.okButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.okButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.okButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.okButton:setTitleText([[Button]])
	self.okButton:setTitleFontSize(25)
	self.okButton:setTitleFontName(getFont())
	setClickEvent(self, self.okButton, "okButton")
	addChildForPre(self.Panel_2, self.okButton)

	self.titleSprite = cc.Sprite:create()
	setValue(self.titleSprite, "titleSprite", 340, cc.size(462, 106), cc.p(320, 595.38), nil, nil, nil, nil, nil)
	self.titleSprite:setScale(0.5)
	self.titleSprite:setSpriteFrame("ccs/UiImages/commonBg/CommonPanel_img_WinHeader_1.png")
	addChildForPre(self.Panel_2, self.titleSprite)

	self.titleName = createLabel({text=[[获取涂装]], font=getFont(), size=24})
	setValue(self.titleName, "titleName", 341, cc.size(96, 28), cc.p(320, 595.38), nil, nil, nil, nil, nil)
	self.titleName:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_2, self.titleName)

	self.closeButton = ccui.Button:create()
	setValue(self.closeButton, "closeButton", 342, cc.size(86, 55), cc.p(518.7139, 589.5776), nil, nil, nil, nil, nil)
	self.closeButton:loadTextureNormal("ccs/UiImages/image9/CommonPanel_btn_X_0.png", 1)
	self.closeButton:loadTexturePressed("ccs/UiImages/image9/CommonPanel_btn_X_1.png", 1)
	self.closeButton:loadTextureDisabled("ccs/UiImages/image9/CommonPanel_btn_X_1.png", 1)
	self.closeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.closeButton:setTitleText([[]])
	self.closeButton:setTitleColor(cc.c3b(65, 65, 70))
	self.closeButton:setTitleFontSize(14)
	self.closeButton:setTitleFontName(getFont())
	setClickEvent(self, self.closeButton, "closeButton")
	addChildForPre(self.Panel_2, self.closeButton)

	self.txtPaintName = createLabel({text=[[血色萝莉]], font=getFont(), size=20})
	setValue(self.txtPaintName, "txtPaintName", 245, cc.size(80, 23), cc.p(305.0173, 523.9225), nil, nil, nil, nil, nil)
	self.txtPaintName:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_2, self.txtPaintName)

	self.txtEquipTip = createLabel({text=[[适用于:]], font=getFont(), size=20})
	setValue(self.txtEquipTip, "txtEquipTip", 246, cc.size(65, 23), cc.p(297.5175, 480.6129), nil, nil, nil, nil, nil)
	self.txtEquipTip:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_2, self.txtEquipTip)

	self.txtShipName = createLabel({text=[[伊丽莎白二世级]], font=getFont(), size=20})
	setValue(self.txtShipName, "txtShipName", 247, cc.size(140, 23), cc.p(343.1699, 480.6129), cc.p(0, 0.5), nil, nil, nil, nil)
	self.txtShipName:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_2, self.txtShipName)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/commonBg.plist",
	"ccs/BigImages/userIcon/userIcon_img_meizi01.png",
}

return _M
