-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 25, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 586, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	setBgColor(self.rootPanel, 1, 102, cc.c4b(20, 20, 20, 255), nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 57, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.contentPanel = ccui.Layout:create()
	setValue(self.contentPanel, "AYN_contentPanel", 26, cc.size(386, 554), cc.p(320, 528), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.contentPanel)
	self.contentPanel_3 = self.contentPanel

	if PaintingObtainWingEffect then 
 		self.nodeWingEffect = PaintingObtainWingEffect.new() 
 	else 
		self.nodeWingEffect = BaseUi.new("ccs/ui/painting/PaintingObtainWingEffect.lua")
 	end 
	setValue(self.nodeWingEffect, "nodeWingEffect", 134, nil, cc.p(193, 554), nil, nil, nil, nil, nil)
	addChildForPre(self.contentPanel_3, self.nodeWingEffect)

	self.spPaintBg = cc.Sprite:create()
	setValue(self.spPaintBg, "spPaintBg", 28, cc.size(386, 554), nil, cc.p(0, 0), nil, nil, nil, nil)
	self.spPaintBg:setSpriteFrame("ccs/UiImages/painting/painting_get_quality_3.png")
	addChildForPre(self.contentPanel_3, self.spPaintBg)
	self.spPaintBg_4 = self.spPaintBg

	self.imgFeather = cc.Sprite:create()
	setValue(self.imgFeather, "imgFeather", 29, cc.size(647, 197), cc.p(193, 554), nil, nil, nil, nil, nil)
	self.imgFeather:setSpriteFrame("ccs/UiImages/painting/get_hint.png")
	addChildForPre(self.spPaintBg_4, self.imgFeather)
	self.imgFeather_5 = self.imgFeather

	self.txtGetTip = createLabel({text=[[恭喜获得]], font=getFont(), size=34})
	setValue(self.txtGetTip, "txtGetTip", 30, cc.size(136, 39), cc.p(323.5, 76.83), nil, cc.c4b(249, 189, 72, 255), nil, nil, nil)
	self.txtGetTip:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.txtGetTip:setColor(cc.c4b(249, 189, 72, 255))
	addChildForPre(self.imgFeather_5, self.txtGetTip)

	self.spPainting = cc.Sprite:create()
	setValue(self.spPainting, "spPainting", 31, cc.size(361, 452), cc.p(193, 488.5172), cc.p(0.5, 1), nil, nil, nil, nil)
	self.spPainting:setTexture("ccs/BigImages/userHead/userHead_img_meizi01.webp")
	addChildForPre(self.spPaintBg_4, self.spPainting)

	self.txtName = createLabel({text=[[持弩王子]], font=getFont(), size=50,align = 1, dimensions = cc.size(300.0000, 57.0000)})
	setValue(self.txtName, "txtName", 32, cc.size(300, 57), cc.p(193, 104.7614), nil, nil, nil, nil, false)
	self.txtName:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.spPaintBg_4, self.txtName)

	self.txtShipName = createLabel({text=[[(伊丽莎白二世级)]], font=getFont(), size=24})
	setValue(self.txtShipName, "txtShipName", 33, cc.size(183, 28), cc.p(193, 39.1124), nil, nil, nil, nil, nil)
	self.txtShipName:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.spPaintBg_4, self.txtShipName)

	self.xiaohuo = cc.Sprite:create()
	setValue(self.xiaohuo, "xiaohuo", 295, cc.size(512, 256), cc.p(193, 554), nil, nil, nil, nil, nil)
	self.xiaohuo:setSpriteFrame("ccs/UiImages/paintingXiaLuo/xialuo001.png")
	addChildForPre(self.spPaintBg_4, self.xiaohuo)

	self.txtTouchAny = createLabel({text=[[点击屏幕任意区域关闭]], font=getFont(), size=30})
	setValue(self.txtTouchAny, "txtTouchAny", 589, cc.size(300, 34), cc.p(193, -52.0206), nil, nil, nil, nil, nil)
	self.txtTouchAny:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.contentPanel_3, self.txtTouchAny)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(100)
	self.animation:setTimeSpeed(1)
	local timeLine
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateTextureFrame(0, true, "ccs/UiImages/paintingXiaLuo/xialuo001.png", nil))
	timeLine:addFrame(CreateTextureFrame(10, true, "ccs/UiImages/paintingXiaLuo/xialuo002.png", nil))
	timeLine:addFrame(CreateTextureFrame(20, true, "ccs/UiImages/paintingXiaLuo/xialuo003.png", nil))
	timeLine:addFrame(CreateTextureFrame(30, true, "ccs/UiImages/paintingXiaLuo/xialuo004.png", nil))
	timeLine:addFrame(CreateTextureFrame(40, true, "ccs/UiImages/paintingXiaLuo/xialuo005.png", nil))
	timeLine:addFrame(CreateTextureFrame(50, true, "ccs/UiImages/paintingXiaLuo/xialuo006.png", nil))
	timeLine:addFrame(CreateTextureFrame(60, true, "ccs/UiImages/paintingXiaLuo/xialuo007.png", nil))
	timeLine:addFrame(CreateTextureFrame(70, true, "ccs/UiImages/paintingXiaLuo/xialuo008.png", nil))
	timeLine:addFrame(CreateTextureFrame(80, true, "ccs/UiImages/paintingXiaLuo/xialuo009.png", nil))
	timeLine:addFrame(CreateTextureFrame(90, true, "ccs/UiImages/paintingXiaLuo/xialuo010.png", nil))
	timeLine:addFrame(CreateTextureFrame(100, true, "ccs/UiImages/paintingXiaLuo/xialuo011.png", nil))
	timeLine:setNode(self.xiaohuo)
	return self
end

_M.textures = {
	"ccs/plist/painting.plist",
	"ccs/BigImages/userHead/userHead_img_meizi01.png",
	"ccs/plist/paintingXiaLuo.plist",
}

return _M
