-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 15, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 17, cc.size(640, 200), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.spWing = cc.Sprite:create()
	setValue(self.spWing, "spWing", 116, cc.size(600, 300), nil, nil, nil, nil, nil, nil)
	self.spWing:setSpriteFrame("ccs/UiImages/paintingTuZhuang/tuzhuang012.png")
	addChildForPre(self.rootPanel_1, self.spWing)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(110)
	self.animation:setTimeSpeed(1)
	local timeLine
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateTextureFrame(0, true, "ccs/UiImages/paintingTuZhuang/tuzhuang001.png", nil))
	timeLine:addFrame(CreateTextureFrame(10, true, "ccs/UiImages/paintingTuZhuang/tuzhuang002.png", nil))
	timeLine:addFrame(CreateTextureFrame(20, true, "ccs/UiImages/paintingTuZhuang/tuzhuang003.png", nil))
	timeLine:addFrame(CreateTextureFrame(30, true, "ccs/UiImages/paintingTuZhuang/tuzhuang004.png", nil))
	timeLine:addFrame(CreateTextureFrame(40, true, "ccs/UiImages/paintingTuZhuang/tuzhuang005.png", nil))
	timeLine:addFrame(CreateTextureFrame(50, true, "ccs/UiImages/paintingTuZhuang/tuzhuang006.png", nil))
	timeLine:addFrame(CreateTextureFrame(60, true, "ccs/UiImages/paintingTuZhuang/tuzhuang007.png", nil))
	timeLine:addFrame(CreateTextureFrame(70, true, "ccs/UiImages/paintingTuZhuang/tuzhuang008.png", nil))
	timeLine:addFrame(CreateTextureFrame(80, true, "ccs/UiImages/paintingTuZhuang/tuzhuang009.png", nil))
	timeLine:addFrame(CreateTextureFrame(90, true, "ccs/UiImages/paintingTuZhuang/tuzhuang010.png", nil))
	timeLine:addFrame(CreateTextureFrame(100, true, "ccs/UiImages/paintingTuZhuang/tuzhuang011.png", nil))
	timeLine:addFrame(CreateTextureFrame(110, true, "ccs/UiImages/paintingTuZhuang/tuzhuang012.png", nil))
	timeLine:setNode(self.spWing)
	return self
end

_M.textures = {
	"ccs/plist/paintingTuZhuang.plist",
}

return _M
