-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 2876, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 2885, cc.size(200, 300), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.imgQualityBg = ccui.ImageView:create()
	setValue(self.imgQualityBg, "imgQualityBg", 339, cc.size(179, 241), cc.p(100, 150), nil, nil, nil, nil, nil)
	self.imgQualityBg:loadTexture("ccs/UiImages/painting/painting_quality_3.png", 1)
	addChildForPre(self.rootPanel_1, self.imgQualityBg)

	self.txtName = createLabel({text=[[疾风雷电]], font=getFont(), size=24,align = 1})
	setValue(self.txtName, "txtName", 21, cc.size(96, 28), cc.p(100, 264.75), cc.p(0.5, 1), nil, nil, nil, nil)
	self.txtName:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.txtName)

	self.spPaintingPic = cc.Sprite:create()
	setValue(self.spPaintingPic, "spPaintingPic", 558, cc.size(178, 192), cc.p(100, 168), nil, nil, nil, nil, nil)
	self.spPaintingPic:setScale(0.7)
	self.spPaintingPic:setTexture("ccs/BigImages/userIcon/userIcon_img_meizi01.webp")
	addChildForPre(self.rootPanel_1, self.spPaintingPic)

	self.btnPaintingPic = ccui.Button:create()
	self.btnPaintingPic:setScale9Enabled(true)
	self.btnPaintingPic:setCapInsets(cc.rect(0, 0, 10, 10))
	self.btnPaintingPic:setContentSize(cc.size(130, 140))
	setValue(self.btnPaintingPic, "btnPaintingPic", 1610, nil, cc.p(100, 167.01), nil, nil, nil, nil, false)
	self.btnPaintingPic:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.btnPaintingPic:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.btnPaintingPic:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.btnPaintingPic:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.btnPaintingPic:setTitleText([[]])
	self.btnPaintingPic:setTitleColor(cc.c3b(65, 65, 70))
	self.btnPaintingPic:setTitleFontSize(14)
	self.btnPaintingPic:setTitleFontName(getFont())
	setClickEvent(self, self.btnPaintingPic, "btnPaintingPic")
	addChildForPre(self.rootPanel_1, self.btnPaintingPic)

	self.txtShipName = createLabel({text=[[(长门及)]], font=getFont(), size=20,align = 1, dimensions = cc.size(160.0000, 23.0000)})
	setValue(self.txtShipName, "txtShipName", 24, cc.size(160, 23), cc.p(98.88, 44.01), cc.p(0.5, 0), nil, nil, nil, false)
	self.txtShipName:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.txtShipName)

	self.txtNum = createLabel({text=[[数量: 100/999]], font=getFont(), size=20,align = 1, dimensions = cc.size(160.0000, 23.0000)})
	setValue(self.txtNum, "txtNum", 22, cc.size(160, 23), cc.p(100, 85.2), nil, nil, nil, nil, false)
	self.txtNum:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.txtNum)

	self.spPieceFlag = cc.Sprite:create()
	setValue(self.spPieceFlag, "spPieceFlag", 587, cc.size(45, 47), cc.p(215.66, 278.67), cc.p(1, 1), nil, nil, nil, nil)
	self.spPieceFlag:setSpriteFrame("ccs/UiImages/painting/painting_piece.png")
	addChildForPre(self.rootPanel_1, self.spPieceFlag)

	self.spEffect = cc.Sprite:create()
	setValue(self.spEffect, "spEffect", 1185, cc.size(200, 300), cc.p(100.4998, 152.7215), nil, nil, nil, nil, nil)
	self.spEffect:setScaleX(1.41)
	self.spEffect:setScaleY(1.1963)
	self.spEffect:setSpriteFrame("ccs/UiImages/paintingCombineEffect/hecheng001.png")
	addChildForPre(self.rootPanel_1, self.spEffect)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(50)
	self.animation:setTimeSpeed(1)
	local timeLine
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateTextureFrame(0, true, "ccs/UiImages/paintingCombineEffect/hecheng001.png", nil))
	timeLine:addFrame(CreateTextureFrame(10, true, "ccs/UiImages/paintingCombineEffect/hecheng002.png", nil))
	timeLine:addFrame(CreateTextureFrame(20, true, "ccs/UiImages/paintingCombineEffect/hecheng003.png", nil))
	timeLine:addFrame(CreateTextureFrame(30, true, "ccs/UiImages/paintingCombineEffect/hecheng004.png", nil))
	timeLine:addFrame(CreateTextureFrame(40, true, "ccs/UiImages/paintingCombineEffect/hecheng005.png", nil))
	timeLine:addFrame(CreateTextureFrame(50, true, "ccs/UiImages/paintingCombineEffect/hecheng006.png", nil))
	timeLine:setNode(self.spEffect)
	return self
end

_M.textures = {
	"ccs/plist/painting.plist",
	"ccs/BigImages/userIcon/userIcon_img_meizi01.png",
	"ccs/plist/image9.plist",
	"ccs/plist/paintingCombineEffect.plist",
}

return _M
