-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 52, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 83, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonNewUi then 
 		self.commonNewUi = CommonNewUi.new() 
 	else 
		self.commonNewUi = BaseUi.new("ccs/ui/commonDialog/CommonNewUi.lua")
 	end 
	setValue(self.commonNewUi, "commonNewUi", 85, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonNewUi)

	self.adjustPanel = ccui.Layout:create()
	setValue(self.adjustPanel, "AXY_adjustPanel", 101, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.adjustPanel)
	self.adjustPanel_2 = self.adjustPanel

	self.paintingCellPre = ccui.Layout:create()
	setValue(self.paintingCellPre, "YBN_paintingCellPre", 128, cc.size(200, 300), cc.p(32, 537.6), nil, nil, nil, nil, nil)
	addChildForPre(self.adjustPanel_2, self.paintingCellPre)
	self.paintingCellPre_3 = self.paintingCellPre

	self.spRemouldArrow = cc.Sprite:create()
	setValue(self.spRemouldArrow, "YBN_spRemouldArrow", 171, cc.size(97, 47), cc.p(302, 162.87), nil, nil, nil, nil, nil)
	self.spRemouldArrow:setSpriteFrame("ccs/UiImages/painting/paintingRemouldArrow.png")
	addChildForPre(self.paintingCellPre_3, self.spRemouldArrow)

	self.paintingCellAft = ccui.Layout:create()
	setValue(self.paintingCellAft, "YBN_paintingCellAft", 127, cc.size(200, 300), cc.p(396.8, 537.6), nil, nil, nil, nil, nil)
	addChildForPre(self.adjustPanel_2, self.paintingCellAft)
	self.paintingCellAft_3 = self.paintingCellAft

	self.spAfterPaintingOutline = cc.Sprite:create()
	setValue(self.spAfterPaintingOutline, "YBN_spAfterPaintingOutline", 131, cc.size(200, 256), cc.p(100.8, 152.07), nil, nil, nil, nil, nil)
	self.spAfterPaintingOutline:setScaleX(1.36)
	self.spAfterPaintingOutline:setScaleY(1.4607)
	self.spAfterPaintingOutline:setSpriteFrame("ccs/UiImages/paintingRemouldSheng/biankuang_00011.png")
	addChildForPre(self.paintingCellAft_3, self.spAfterPaintingOutline)

	if paintingRemouldBao then 
 		self.spBaoEffect = paintingRemouldBao.new() 
 	else 
		self.spBaoEffect = BaseUi.new("ccs/ui/painting/paintingRemouldBao.lua")
 	end 
	setValue(self.spBaoEffect, "YBN_spBaoEffect", 68, nil, cc.p(132, 717.6), nil, nil, nil, nil, nil)
	addChildForPre(self.adjustPanel_2, self.spBaoEffect)

	if paintingRemouldLine then 
 		self.spLineEffect = paintingRemouldLine.new() 
 	else 
		self.spLineEffect = BaseUi.new("ccs/ui/painting/paintingRemouldLine.lua")
 	end 
	setValue(self.spLineEffect, "YBN_spLineEffect", 72, nil, cc.p(364.4, 720), nil, nil, nil, nil, nil)
	addChildForPre(self.adjustPanel_2, self.spLineEffect)

	if paintingRemouldSheng then 
 		self.spShengEffect = paintingRemouldSheng.new() 
 	else 
		self.spShengEffect = BaseUi.new("ccs/ui/painting/paintingRemouldSheng.lua")
 	end 
	setValue(self.spShengEffect, "YBN_spShengEffect", 76, nil, cc.p(496.8, 737.6), nil, nil, nil, nil, nil)
	addChildForPre(self.adjustPanel_2, self.spShengEffect)

	self.spTxtBg = cc.Sprite:create()
	setValue(self.spTxtBg, "ABN_spTxtBg", 173, cc.size(421, 59), cc.p(320, 432), nil, nil, nil, nil, nil)
	self.spTxtBg:setSpriteFrame("ccs/UiImages/painting/paintingRemouldTextBg.png")
	addChildForPre(self.adjustPanel_2, self.spTxtBg)
	self.spTxtBg_3 = self.spTxtBg

	self.txtRemould = createLabel({text=[[改造需求]], font=getFont(), size=24,align = 1,valign = 1, dimensions = cc.size(200.0000, 40.0000)})
	setValue(self.txtRemould, "txtRemould", 174, cc.size(200, 40), cc.p(210.5, 29.5), nil, cc.c4b(239, 207, 68, 255), nil, nil, false)
	self.txtRemould:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.txtRemould:setColor(cc.c4b(239, 207, 68, 255))
	addChildForPre(self.spTxtBg_3, self.txtRemould)

	self.panelCost = ccui.Layout:create()
	setValue(self.panelCost, "panelCost", 787, cc.size(640, 240), cc.p(0, 144), nil, nil, nil, nil, nil)
	addChildForPre(self.adjustPanel_2, self.panelCost)
	self.panelCost_3 = self.panelCost

	self.spCostBg1 = cc.Sprite:create()
	setValue(self.spCostBg1, "spCostBg1", 788, cc.size(100, 100), cc.p(105.344, 126.168), nil, nil, nil, nil, nil)
	self.spCostBg1:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.panelCost_3, self.spCostBg1)

	self.spCostItem1 = cc.Sprite:create()
	setValue(self.spCostItem1, "spCostItem1", 791, cc.size(178, 192), cc.p(105.344, 126.168), nil, nil, nil, nil, nil)
	self.spCostItem1:setScale(0.5)
	self.spCostItem1:setTexture("ccs/BigImages/userIcon/userIcon_img_meizi01.webp")
	addChildForPre(self.panelCost_3, self.spCostItem1)

	self.txtCostItemNum1 = createLabel({text=[[10/10]], font=getFont(), size=20,align = 1,valign = 1, dimensions = cc.size(100.0000, 30.0000)})
	setValue(self.txtCostItemNum1, "txtCostItemNum1", 796, cc.size(100, 30), cc.p(105.344, 78.168), cc.p(0.5, 0), cc.c4b(56, 196, 136, 255), nil, nil, false)
	self.txtCostItemNum1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.txtCostItemNum1:setColor(cc.c4b(56, 196, 136, 255))
	addChildForPre(self.panelCost_3, self.txtCostItemNum1)

	self.txtName1 = createLabel({text=[[12344321]], font=getFont(), size=20,align = 1, dimensions = cc.size(100.0000, 23.0000)})
	setValue(self.txtName1, "txtName1", 94, cc.size(100, 23), cc.p(105.344, 63.6202), nil, nil, nil, nil, false)
	self.txtName1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.panelCost_3, self.txtName1)

	self.spCostBg2 = cc.Sprite:create()
	setValue(self.spCostBg2, "spCostBg2", 789, cc.size(100, 100), cc.p(317.824, 126.168), nil, nil, nil, nil, nil)
	self.spCostBg2:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.panelCost_3, self.spCostBg2)

	self.spCostItem2 = cc.Sprite:create()
	setValue(self.spCostItem2, "spCostItem2", 794, cc.size(46, 46), cc.p(317.824, 126.168), nil, nil, nil, nil, nil)
	self.spCostItem2:setScale(0.5)
	self.spCostItem2:setTexture("Default/Sprite.png")
	addChildForPre(self.panelCost_3, self.spCostItem2)

	self.txtCostItemNum2 = createLabel({text=[[10/10]], font=getFont(), size=20,align = 1,valign = 1, dimensions = cc.size(100.0000, 30.0000)})
	setValue(self.txtCostItemNum2, "txtCostItemNum2", 797, cc.size(100, 30), cc.p(317.824, 78.168), cc.p(0.5, 0), cc.c4b(56, 196, 136, 255), nil, nil, false)
	self.txtCostItemNum2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.txtCostItemNum2:setColor(cc.c4b(56, 196, 136, 255))
	addChildForPre(self.panelCost_3, self.txtCostItemNum2)

	self.txtName2 = createLabel({text=[[12344321]], font=getFont(), size=20,align = 1, dimensions = cc.size(100.0000, 23.0000)})
	setValue(self.txtName2, "txtName2", 95, cc.size(100, 23), cc.p(317.824, 63.6202), nil, nil, nil, nil, false)
	self.txtName2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.panelCost_3, self.txtName2)

	self.spCostBg3 = cc.Sprite:create()
	setValue(self.spCostBg3, "spCostBg3", 790, cc.size(100, 100), cc.p(530.304, 126.168), nil, nil, nil, nil, nil)
	self.spCostBg3:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.panelCost_3, self.spCostBg3)

	self.txtCostItemNum3 = createLabel({text=[[10/10]], font=getFont(), size=20,align = 1,valign = 1, dimensions = cc.size(100.0000, 30.0000)})
	setValue(self.txtCostItemNum3, "txtCostItemNum3", 798, cc.size(100, 30), cc.p(530.304, 80.568), cc.p(0.5, 0), cc.c4b(56, 196, 136, 255), nil, nil, false)
	self.txtCostItemNum3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.txtCostItemNum3:setColor(cc.c4b(56, 196, 136, 255))
	addChildForPre(self.panelCost_3, self.txtCostItemNum3)

	self.spCostItem3 = cc.Sprite:create()
	setValue(self.spCostItem3, "spCostItem3", 795, cc.size(46, 46), cc.p(530.304, 126.168), nil, nil, nil, nil, nil)
	self.spCostItem3:setScale(0.5)
	self.spCostItem3:setTexture("Default/Sprite.png")
	addChildForPre(self.panelCost_3, self.spCostItem3)

	self.txtName3 = createLabel({text=[[12344321]], font=getFont(), size=20,align = 1, dimensions = cc.size(100.0000, 23.0000)})
	setValue(self.txtName3, "txtName3", 96, cc.size(100, 23), cc.p(530.304, 63.6202), nil, nil, nil, nil, false)
	self.txtName3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.panelCost_3, self.txtName3)

	self.btnRemould = ccui.Button:create()
	setValue(self.btnRemould, "BNN_btnRemould", 799, cc.size(153, 64), cc.p(320, 83.232), nil, nil, nil, nil, false)
	self.btnRemould:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.btnRemould:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.btnRemould:loadTextureDisabled("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.btnRemould:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.btnRemould:setTitleText([[改造]])
	self.btnRemould:setTitleFontSize(30)
	self.btnRemould:setTitleFontName(getFont())
	setClickEvent(self, self.btnRemould, "btnRemould")
	addChildForPre(self.adjustPanel_2, self.btnRemould)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/painting.plist",
	"ccs/plist/paintingRemouldSheng.plist",
	"ccs/plist/commonBg.plist",
	"ccs/BigImages/userIcon/userIcon_img_meizi01.png",
	"Default/Sprite.png",
	"ccs/plist/image9.plist",
}

return _M
