-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 1227, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 1441, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonNewUi then 
 		self.commonNewUi = CommonNewUi.new() 
 	else 
		self.commonNewUi = BaseUi.new("ccs/ui/commonDialog/CommonNewUi.lua")
 	end 
	setValue(self.commonNewUi, "commonNewUi", 1507, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonNewUi)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 1652, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.topContentPanel = ccui.Layout:create()
	setValue(self.topContentPanel, "LTN_topContentPanel", 2715, cc.size(640, 550), cc.p(0, 835.2), cc.p(0, 1), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.topContentPanel)
	self.topContentPanel_3 = self.topContentPanel

	self.btnGetPainting = ccui.Button:create()
	setValue(self.btnGetPainting, "btnGetPainting", 467, cc.size(81, 26), cc.p(531.712, 550), nil, cc.c4b(0, 187, 238, 255), nil, nil, false)
	self.btnGetPainting:loadTextureNormal("ccs/UiImages/image9/Underline.png", 1)
	self.btnGetPainting:loadTexturePressed("ccs/UiImages/image9/Underline.png", 1)
	self.btnGetPainting:loadTextureDisabled("ccs/UiImages/image9/Underline.png", 1)
	self.btnGetPainting:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.btnGetPainting:setTitleText([[ 获取途径 ]])
	self.btnGetPainting:setTitleColor(cc.c3b(0, 187, 238))
	self.btnGetPainting:setTitleFontSize(24)
	self.btnGetPainting:setTitleFontName(getFont())
	setClickEvent(self, self.btnGetPainting, "btnGetPainting")
	addChildForPre(self.topContentPanel_3, self.btnGetPainting)

	self.imgBg = ccui.ImageView:create()
	setValue(self.imgBg, "imgBg", 172, cc.size(551, 550), cc.p(320, 275), nil, nil, nil, nil, nil)
	self.imgBg:loadTexture("ccs/UiImages/painting/painting_background.png", 1)
	addChildForPre(self.topContentPanel_3, self.imgBg)

	self.spShip = cc.Sprite:create()
	setValue(self.spShip, "spShip", 560, cc.size(756, 826), cc.p(0, -30), cc.p(0, 0), nil, nil, nil, nil)
	self.spShip:setScale(0.7)
	self.spShip:setTexture("ccs/BigImages/ship_main/5_mg_zl_nkllnm_zhu.webp")
	addChildForPre(self.topContentPanel_3, self.spShip)

	self.spPainting = cc.Sprite:create()
	setValue(self.spPainting, "spPainting", 1576, cc.size(290, 443), cc.p(638.016, 227.92), cc.p(1, 0.5), nil, nil, nil, nil)
	self.spPainting:setSpriteFrame("ccs/UiImages/painting/painting_combine_percent.png")
	addChildForPre(self.topContentPanel_3, self.spPainting)

	self.contentPanel = ccui.Layout:create()
	setValue(self.contentPanel, "contentPanel", 1691, cc.size(640, 325), cc.p(0, 332.1202), cc.p(0, 1), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.contentPanel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/painting.plist",
	"ccs/BigImages/ship_main/5_mg_zl_nkllnm_zhu.png",
}

return _M
