-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 2876, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 2885, cc.size(200, 300), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.imgQualityBg = ccui.ImageView:create()
	setValue(self.imgQualityBg, "imgQualityBg", 339, cc.size(179, 241), cc.p(100, 150), nil, nil, nil, nil, nil)
	self.imgQualityBg:setScaleX(1)
	self.imgQualityBg:setScaleY(1.16)
	self.imgQualityBg:loadTexture("ccs/UiImages/painting/painting_quality_3.png", 1)
	addChildForPre(self.rootPanel_1, self.imgQualityBg)

	self.txtName = createLabel({text=[[疾风雷电]], font=getFont(), size=24,align = 1,valign = 1})
	setValue(self.txtName, "LTN_txtName", 21, cc.size(96, 28), cc.p(100, 270), nil, cc.c4b(76, 210, 248, 255), nil, nil, nil)
	self.txtName:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.txtName:setColor(cc.c4b(76, 210, 248, 255))
	addChildForPre(self.rootPanel_1, self.txtName)

	self.spPaintingPic = cc.Sprite:create()
	setValue(self.spPaintingPic, "spPaintingPic", 94, cc.size(178, 192), cc.p(100, 186), nil, nil, nil, nil, nil)
	self.spPaintingPic:setScale(0.7)
	self.spPaintingPic:setTexture("ccs/BigImages/userIcon/userIcon_img_meizi01.webp")
	addChildForPre(self.rootPanel_1, self.spPaintingPic)

	self.btnPaintingPic = ccui.Button:create()
	self.btnPaintingPic:setScale9Enabled(true)
	self.btnPaintingPic:setCapInsets(cc.rect(0, 0, 10, 10))
	self.btnPaintingPic:setContentSize(cc.size(120, 120))
	setValue(self.btnPaintingPic, "btnPaintingPic", 1610, nil, cc.p(100, 186), nil, nil, nil, nil, false)
	self.btnPaintingPic:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.btnPaintingPic:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.btnPaintingPic:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.btnPaintingPic:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.btnPaintingPic:setTitleText([[]])
	self.btnPaintingPic:setTitleColor(cc.c3b(65, 65, 70))
	self.btnPaintingPic:setTitleFontSize(14)
	self.btnPaintingPic:setTitleFontName(getFont())
	setClickEvent(self, self.btnPaintingPic, "btnPaintingPic")
	addChildForPre(self.rootPanel_1, self.btnPaintingPic)

	self.imgTxtBg = ccui.ImageView:create()
	setValue(self.imgTxtBg, "imgTxtBg", 2724, cc.size(179, 70), cc.p(100, 0), cc.p(0.5, 0), nil, 153, nil, false)
	self.imgTxtBg:loadTexture("ccs/UiImages/image9/common_txtBg.png", 1)
	self.imgTxtBg:setScale9Enabled(true)
	self.imgTxtBg:setCapInsets(cc.rect(0, 0, 178, 55))
	addChildForPre(self.rootPanel_1, self.imgTxtBg)

	self.txtEquipTip = createLabel({text=[[装备于]], font=getFont(), size=20})
	setValue(self.txtEquipTip, "txtEquipTip", 304, cc.size(60, 23), cc.p(99.9999, 52.0002), nil, nil, nil, nil, nil)
	self.txtEquipTip:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.txtEquipTip)

	self.txtShipName = createLabel({text=[[伊丽莎白二世]], font=getFont(), size=20,align = 1, dimensions = cc.size(160.0000, 23.0000)})
	setValue(self.txtShipName, "txtShipName", 24, cc.size(160, 23), cc.p(99.9999, 16.9901), cc.p(0.5, 0), nil, nil, nil, false)
	self.txtShipName:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.txtShipName)

	self.txtProperty = createLabel({text=[[火炮防御+100
爆破防御+100]], font=getFont(), size=20,align = 1,valign = 1, dimensions = cc.size(160.0000, 60.0000)})
	setValue(self.txtProperty, "txtProperty", 22, cc.size(160, 60), cc.p(100, 91.2), nil, nil, nil, nil, false)
	self.txtProperty:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.txtProperty)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/painting.plist",
	"ccs/BigImages/userIcon/userIcon_img_meizi01.png",
	"ccs/plist/image9.plist",
}

return _M
