-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 49, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 50, cc.size(640, 200), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.spSheng = cc.Sprite:create()
	setValue(self.spSheng, "spSheng", 51, cc.size(256, 256), nil, nil, nil, nil, nil, nil)
	self.spSheng:setSpriteFrame("ccs/UiImages/paintingRemouldSheng/Comp1_00011_00017.png")
	addChildForPre(self.rootPanel_1, self.spSheng)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(70)
	self.animation:setTimeSpeed(1)
	local timeLine
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateTextureFrame(0, true, "ccs/UiImages/paintingRemouldSheng/Comp1_00011_00009.png", nil))
	timeLine:addFrame(CreateTextureFrame(6, true, "ccs/UiImages/paintingRemouldSheng/Comp1_00011_00010.png", nil))
	timeLine:addFrame(CreateTextureFrame(12, true, "ccs/UiImages/paintingRemouldSheng/Comp1_00011_00011.png", nil))
	timeLine:addFrame(CreateTextureFrame(18, true, "ccs/UiImages/paintingRemouldSheng/Comp1_00011_00012.png", nil))
	timeLine:addFrame(CreateTextureFrame(24, true, "ccs/UiImages/paintingRemouldSheng/Comp1_00011_00013.png", nil))
	timeLine:addFrame(CreateTextureFrame(30, true, "ccs/UiImages/paintingRemouldSheng/Comp1_00011_00014.png", nil))
	timeLine:addFrame(CreateTextureFrame(36, true, "ccs/UiImages/paintingRemouldSheng/Comp1_00011_00015.png", nil))
	timeLine:addFrame(CreateTextureFrame(42, true, "ccs/UiImages/paintingRemouldSheng/Comp1_00011_00016.png", nil))
	timeLine:addFrame(CreateTextureFrame(48, true, "ccs/UiImages/paintingRemouldSheng/Comp1_00011_00017.png", nil))
	timeLine:setNode(self.spSheng)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(60, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreatePositionFrame(70, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.spSheng)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(60, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(70, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.spSheng)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(60, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(70, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.spSheng)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateEventFrame(42, true, "feEnd", nil))
	timeLine:setNode(self.spSheng)
	return self
end

_M.textures = {
	"ccs/plist/paintingRemouldSheng.plist",
}

return _M
