-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_0 = cc.Node:create()
	setValue(self.Node_0, "Node_0", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_0)
 	self.uiRootNode = self.Node_0
	self.Node_0_0 = self.Node_0

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 32, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.listViewPanel = ccui.Layout:create()
	setValue(self.listViewPanel, "NIX_listViewPanel", 111, cc.size(640, 708), cc.p(320, 832), cc.p(0.5, 1), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.listViewPanel)

	self.buttonPanel = ccui.Layout:create()
	setValue(self.buttonPanel, "WXY_buttonPanel", 172, cc.size(640, 120), nil, nil, nil, nil, nil, nil)
	setBgImage(self.buttonPanel, "ccs/UiImages/image9/common_img_jiemian04.png", 1, true, cc.rect(0, 0, 256, 19))
	self.buttonPanel:setContentSize(cc.size(640, 120))
	addChildForPre(self.rootPanel_1, self.buttonPanel)
	self.buttonPanel_2 = self.buttonPanel

	self.Image = ccui.ImageView:create()
	setValue(self.Image, "WXT_Image", 322, cc.size(640, 30), cc.p(320, 111.6), nil, nil, nil, nil, false)
	self.Image:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.Image:setScale9Enabled(true)
	self.Image:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.buttonPanel_2, self.Image)

	self.blueButton = ccui.Button:create()
	setValue(self.blueButton, "XYN_blueButton", 243, cc.size(153, 64), cc.p(160, 60), nil, nil, nil, nil, false)
	self.blueButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.blueButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.blueButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.blueButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.blueButton:setTitleText([[Button]])
	self.blueButton:setTitleFontSize(24)
	self.blueButton:setTitleFontName(getFont())
	setClickEvent(self, self.blueButton, "blueButton")
	addChildForPre(self.buttonPanel_2, self.blueButton)

	self.redButton = ccui.Button:create()
	setValue(self.redButton, "XYN_redButton", 244, cc.size(153, 64), cc.p(480, 60), nil, nil, nil, nil, false)
	self.redButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.redButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.redButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.redButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.redButton:setTitleText([[Button]])
	self.redButton:setTitleFontSize(24)
	self.redButton:setTitleFontName(getFont())
	setClickEvent(self, self.redButton, "redButton")
	addChildForPre(self.buttonPanel_2, self.redButton)

	self.itemPanel = ccui.Layout:create()
	setValue(self.itemPanel, "itemPanel", 291, cc.size(200, 120), cc.p(76.8, 60), cc.p(0, 0.5), nil, nil, nil, nil)
	addChildForPre(self.buttonPanel_2, self.itemPanel)
	self.itemPanel_3 = self.itemPanel

	self.ownTitleLabel = createLabel({text=[[拥有：]], font=getFont(), size=24})
	setValue(self.ownTitleLabel, "ownTitleLabel", 286, cc.size(72, 28), cc.p(57.4106, 80.2738), cc.p(1, 0.5), nil, nil, nil, nil)
	self.ownTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.itemPanel_3, self.ownTitleLabel)

	self.itemImage1 = cc.Sprite:create()
	setValue(self.itemImage1, "itemImage1", 287, cc.size(144, 102), cc.p(90, 81.3989), nil, nil, nil, nil, nil)
	self.itemImage1:setScale(0.5)
	self.itemImage1:setSpriteFrame("ccs/UiImages/mall/Props_icon_1.png")
	addChildForPre(self.itemPanel_3, self.itemImage1)

	self.itemImage2 = cc.Sprite:create()
	setValue(self.itemImage2, "itemImage2", 288, cc.size(135, 93), cc.p(90, 31.9618), nil, nil, nil, nil, nil)
	self.itemImage2:setScale(0.5)
	self.itemImage2:setSpriteFrame("ccs/UiImages/mall/Props_icon_2.png")
	addChildForPre(self.itemPanel_3, self.itemImage2)

	self.itemLabel1 = createLabel({text=[[0]], font=getFont(), size=20})
	setValue(self.itemLabel1, "itemLabel1", 289, cc.size(11, 23), cc.p(116, 81.3989), cc.p(0, 0.5), cc.c4b(255, 0, 255, 255), nil, nil, nil)
	self.itemLabel1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.itemLabel1:setColor(cc.c4b(255, 0, 255, 255))
	addChildForPre(self.itemPanel_3, self.itemLabel1)

	self.itemLabel2 = createLabel({text=[[0]], font=getFont(), size=20})
	setValue(self.itemLabel2, "itemLabel2", 290, cc.size(11, 23), cc.p(116, 31.9618), cc.p(0, 0.5), cc.c4b(255, 127, 0, 255), nil, nil, nil)
	self.itemLabel2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.itemLabel2:setColor(cc.c4b(255, 127, 0, 255))
	addChildForPre(self.itemPanel_3, self.itemLabel2)

	self.Image = ccui.ImageView:create()
	setValue(self.Image, "WBX_Image", 321, cc.size(640, 8), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.Image:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	self.Image:setScale9Enabled(true)
	self.Image:setCapInsets(cc.rect(0, 0, 640, 8))
	addChildForPre(self.buttonPanel_2, self.Image)

	self.desLabel = createLabel({text=[[0]], font=getFont(), size=24})
	setValue(self.desLabel, "XYN_desLabel", 396, cc.size(13, 28), cc.p(92.864, 59.7742), cc.p(0, 0.5), nil, nil, nil, nil)
	self.desLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.buttonPanel_2, self.desLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/mall.plist",
}

return _M
