-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 287, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 57, cc.size(198, 162), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.qualityBgSprite = cc.Sprite:create()
	setValue(self.qualityBgSprite, "qualityBgSprite", 80, cc.size(168, 100), cc.p(99, 81), nil, nil, nil, nil, nil)
	self.qualityBgSprite:setSpriteFrame("ccs/UiImages/commonBg/qualityBg12.png")
	addChildForPre(self.rootPanel_1, self.qualityBgSprite)

	self.tankDrawingImage = ccui.ImageView:create()
	setValue(self.tankDrawingImage, "tankDrawingImage", 120, cc.size(48, 48), cc.p(160.38, 106.92), nil, nil, nil, nil, nil)
	self.tankDrawingImage:setScaleX(0.98)
	self.tankDrawingImage:setScaleY(1)
	self.tankDrawingImage:loadTexture("ccs/UiImages/common/common_img_suipian.png", 1)
	addChildForPre(self.rootPanel_1, self.tankDrawingImage)

	self.tankSprite = cc.Sprite:create()
	setValue(self.tankSprite, "tankSprite", 82, cc.size(46, 46), cc.p(99, 81), nil, nil, nil, nil, nil)
	self.tankSprite:setTexture("Default/Sprite.png")
	addChildForPre(self.rootPanel_1, self.tankSprite)

	self.tankLineupImage = ccui.ImageView:create()
	setValue(self.tankLineupImage, "tankLineupImage", 377, cc.size(46, 46), cc.p(154.44, 116.64), nil, nil, nil, nil, nil)
	self.tankLineupImage:setScaleX(0.98)
	self.tankLineupImage:setScaleY(1)
	self.tankLineupImage:loadTexture("Default/ImageFile.png")
	addChildForPre(self.rootPanel_1, self.tankLineupImage)

	self.tankTypeSprite = cc.Sprite:create()
	setValue(self.tankTypeSprite, "tankTypeSprite", 83, cc.size(46, 46), cc.p(154.5588, 110.16), nil, nil, nil, nil, nil)
	self.tankTypeSprite:setScale(0.5)
	self.tankTypeSprite:setTexture("Default/Sprite.png")
	addChildForPre(self.rootPanel_1, self.tankTypeSprite)

	self.mainButton = ccui.Button:create()
	self.mainButton:setScale9Enabled(true)
	self.mainButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.mainButton:setContentSize(cc.size(198, 162))
	setValue(self.mainButton, "mainButton", 8, nil, cc.p(99, 81), nil, nil, nil, nil, false)
	self.mainButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.mainButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.mainButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.mainButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.mainButton:setTitleText([[]])
	self.mainButton:setTitleColor(cc.c3b(65, 65, 70))
	self.mainButton:setTitleFontSize(14)
	self.mainButton:setTitleFontName(getFont())
	setClickEvent(self, self.mainButton, "mainButton")
	addChildForPre(self.rootPanel_1, self.mainButton)

	self.paintIconSprite = cc.Sprite:create()
	setValue(self.paintIconSprite, "paintIconSprite", 222, cc.size(178, 192), cc.p(149.9999, 55), nil, nil, nil, nil, nil)
	self.paintIconSprite:setScale(0.35)
	self.paintIconSprite:setVisible(false)
	self.paintIconSprite:setTexture("ccs/BigImages/userIcon/userIcon_img_meizi01.webp")
	addChildForPre(self.rootPanel_1, self.paintIconSprite)

	self.jiaBiaoNode = cc.Node:create()
	setValue(self.jiaBiaoNode, "jiaBiaoNode", 361, nil, cc.p(18, 35), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.jiaBiaoNode)
	self.jiaBiaoNode_2 = self.jiaBiaoNode

	self.levelBg = cc.Sprite:create()
	setValue(self.levelBg, "levelBg", 359, cc.size(38, 20), cc.p(23.25, 13.95), nil, nil, nil, nil, nil)
	self.levelBg:setSpriteFrame("ccs/UiImages/common/common_img_level.png")
	addChildForPre(self.jiaBiaoNode_2, self.levelBg)

	self.lbLevel = createLabel({text=[[1]], font=getFont(), size=20})
	setValue(self.lbLevel, "lbLevel", 360, cc.size(11, 23), cc.p(23.25, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	self.lbLevel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.jiaBiaoNode_2, self.lbLevel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/common.plist",
	"Default/Sprite.png",
	"Default/ImageFile.png",
	"ccs/plist/image9.plist",
	"ccs/BigImages/userIcon/userIcon_img_meizi01.png",
}

return _M
