-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 486, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 487, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "dialogPanel", 488, cc.size(526, 500), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 325, cc.size(526, 500), cc.p(263, 250), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/image9/commonPanel_s9_bg_1.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(80, 30, 12, 10))
	addChildForPre(self.dialogPanel_2, self.bgImage)

	self.floorImage = ccui.ImageView:create()
	setValue(self.floorImage, "floorImage", 1732, cc.size(494.44, 360), cc.p(263, 300), nil, nil, nil, nil, false)
	self.floorImage:loadTexture("ccs/UiImages/image9/CommonPanel_img_chuangkoubeijing_1.png", 1)
	self.floorImage:setScale9Enabled(true)
	self.floorImage:setCapInsets(cc.rect(0, 0, 470, 5))
	addChildForPre(self.dialogPanel_2, self.floorImage)

	self.bottomImage = ccui.ImageView:create()
	setValue(self.bottomImage, "bottomImage", 85, cc.size(499, 100), cc.p(263, 65), nil, nil, nil, nil, false)
	self.bottomImage:loadTexture("ccs/UiImages/commonBg/CommonPanel_img_bg_1.jpg", 1)
	self.bottomImage:setScale9Enabled(true)
	self.bottomImage:setCapInsets(cc.rect(0, 0, 466, 79))
	addChildForPre(self.dialogPanel_2, self.bottomImage)

	self.titleSprite = cc.Sprite:create()
	setValue(self.titleSprite, "titleSprite", 130, cc.size(462, 106), cc.p(263, 492.2448), nil, nil, nil, nil, nil)
	self.titleSprite:setScale(0.5)
	self.titleSprite:setSpriteFrame("ccs/UiImages/commonBg/CommonPanel_img_WinHeader_1.png")
	addChildForPre(self.dialogPanel_2, self.titleSprite)

	self.titleLabel = createLabel({text=[[titleLabel]], font=getFont(), size=30})
	setValue(self.titleLabel, "titleLabel", 490, cc.size(120, 34), cc.p(263, 494.1837), nil, nil, nil, nil, nil)
	self.titleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.titleLabel)

	self.rewardListPanel = ccui.Layout:create()
	setValue(self.rewardListPanel, "rewardListPanel", 491, cc.size(450, 280), cc.p(263, 299), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.rewardListPanel)

	self.blueButton = ccui.Button:create()
	setValue(self.blueButton, "blueButton", 493, cc.size(153, 64), cc.p(368.2, 66.75), nil, nil, nil, nil, false)
	self.blueButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.blueButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.blueButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.blueButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.blueButton:setTitleText([[left]])
	self.blueButton:setTitleFontSize(25)
	self.blueButton:setTitleFontName(getFont())
	setClickEvent(self, self.blueButton, "blueButton")
	addChildForPre(self.dialogPanel_2, self.blueButton)

	self.redButton = ccui.Button:create()
	setValue(self.redButton, "redButton", 494, cc.size(153, 64), cc.p(157.8, 66.75), nil, nil, nil, nil, false)
	self.redButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.redButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.redButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.redButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.redButton:setTitleText([[right]])
	self.redButton:setTitleFontSize(25)
	self.redButton:setTitleFontName(getFont())
	setClickEvent(self, self.redButton, "redButton")
	addChildForPre(self.dialogPanel_2, self.redButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/commonBg.plist",
}

return _M
