-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_0 = cc.Node:create()
	setValue(self.Node_0, "Node_0", 48, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_0)
 	self.uiRootNode = self.Node_0
	self.Node_0_0 = self.Node_0

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 49, cc.size(640, 100), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.imageBg = ccui.ImageView:create()
	setValue(self.imageBg, "imageBg", 50, cc.size(564, 147), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	self.imageBg:loadTexture("ccs/UiImages/commonBg/commonPanelParts_img_bg_expand_1_03.png", 1)
	addChildForPre(self.rootPanel_1, self.imageBg)

	self.trainButton = ccui.Button:create()
	setValue(self.trainButton, "trainButton", 51, cc.size(145, 58), cc.p(134.4, 58), nil, nil, nil, nil, false)
	self.trainButton:loadTextureNormal("ccs/UiImages/image9/common_btn_yellow_0.png", 1)
	self.trainButton:loadTexturePressed("ccs/UiImages/image9/common_btn_yellow_1.png", 1)
	self.trainButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.trainButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.trainButton:setTitleText([[Button]])
	self.trainButton:setTitleFontSize(24)
	self.trainButton:setTitleFontName(getFont())
	setClickEvent(self, self.trainButton, "trainButton")
	addChildForPre(self.rootPanel_1, self.trainButton)
	self.trainButton_2 = self.trainButton

	self.trainRedSprite = cc.Sprite:create()
	setValue(self.trainRedSprite, "trainRedSprite", 708, cc.size(24, 24), cc.p(130.5, 46.4), nil, nil, nil, nil, nil)
	self.trainRedSprite:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.trainButton_2, self.trainRedSprite)

	self.changeButton = ccui.Button:create()
	setValue(self.changeButton, "changeButton", 52, cc.size(145, 58), cc.p(320, 58), nil, nil, nil, nil, false)
	self.changeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_yellow_0.png", 1)
	self.changeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_yellow_1.png", 1)
	self.changeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.changeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.changeButton:setTitleText([[Button]])
	self.changeButton:setTitleFontSize(24)
	self.changeButton:setTitleFontName(getFont())
	setClickEvent(self, self.changeButton, "changeButton")
	addChildForPre(self.rootPanel_1, self.changeButton)
	self.changeButton_2 = self.changeButton

	self.changeRedSprite = cc.Sprite:create()
	setValue(self.changeRedSprite, "changeRedSprite", 526, cc.size(24, 24), cc.p(130.5, 46.4), nil, nil, nil, nil, nil)
	self.changeRedSprite:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.changeButton_2, self.changeRedSprite)

	self.upLevelButton = ccui.Button:create()
	setValue(self.upLevelButton, "upLevelButton", 53, cc.size(145, 58), cc.p(505.6, 58), nil, nil, nil, nil, false)
	self.upLevelButton:loadTextureNormal("ccs/UiImages/image9/common_btn_yellow_0.png", 1)
	self.upLevelButton:loadTexturePressed("ccs/UiImages/image9/common_btn_yellow_1.png", 1)
	self.upLevelButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.upLevelButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.upLevelButton:setTitleText([[Button]])
	self.upLevelButton:setTitleFontSize(24)
	self.upLevelButton:setTitleFontName(getFont())
	setClickEvent(self, self.upLevelButton, "upLevelButton")
	addChildForPre(self.rootPanel_1, self.upLevelButton)
	self.upLevelButton_2 = self.upLevelButton

	self.upLevelRedSprite = cc.Sprite:create()
	setValue(self.upLevelRedSprite, "upLevelRedSprite", 527, cc.size(24, 24), cc.p(130.5, 46.4), nil, nil, nil, nil, nil)
	self.upLevelRedSprite:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.upLevelButton_2, self.upLevelRedSprite)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/common.plist",
}

return _M
