-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_1 = cc.Node:create()
	setValue(self.Node_1, "Node_1", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_1)
 	self.uiRootNode = self.Node_1
	self.Node_1_0 = self.Node_1

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 128, cc.size(640, 172), nil, nil, nil, nil, nil, nil)
	setBgColor(self.rootPanel, 1, 0, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.Node_1_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "XNN_bgImage", 301, cc.size(612, 162), cc.p(320, 86), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/commonBg/common_img_ditiao.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(0, 0, 612, 167))
	addChildForPre(self.rootPanel_1, self.bgImage)

	self.Image_6 = ccui.ImageView:create()
	setValue(self.Image_6, "Image_6", 163, cc.size(177, 111), cc.p(118.9707, 87.838), nil, nil, nil, nil, nil)
	self.Image_6:loadTexture("ccs/UiImages/common/commonPanelParts_img_iconbg_1.png", 1)
	addChildForPre(self.rootPanel_1, self.Image_6)

	self.rightPanel = ccui.Layout:create()
	setValue(self.rightPanel, "rightPanel", 4316, cc.size(420, 162), cc.p(412.032, 88.7176), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.rightPanel)
	self.rightPanel_2 = self.rightPanel

	self.labelBgImage = ccui.ImageView:create()
	setValue(self.labelBgImage, "labelBgImage", 315, cc.size(200, 40), cc.p(110, 116.8308), nil, nil, nil, nil, false)
	self.labelBgImage:loadTexture("ccs/UiImages/image9/common_s9_diban.png", 1)
	self.labelBgImage:setScale9Enabled(true)
	self.labelBgImage:setCapInsets(cc.rect(10, 10, 4, 4))
	addChildForPre(self.rightPanel_2, self.labelBgImage)

	self.StarImage = cc.Sprite:create()
	setValue(self.StarImage, "StarImage", 4313, cc.size(40, 38), cc.p(48.636, 52.2126), nil, nil, nil, nil, nil)
	self.StarImage:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.rightPanel_2, self.StarImage)

	self.qualityTitleLabel = createLabel({text=[[5]], font=getFont(), size=24,valign = 1})
	setValue(self.qualityTitleLabel, "qualityTitleLabel", 4311, cc.size(13, 28), cc.p(15.036, 52.2126), cc.p(0, 0.5), nil, nil, nil, nil)
	self.qualityTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightPanel_2, self.qualityTitleLabel)

	self.tankNameLabel = createLabel({text=[[tankName]], font=getFont(), size=24,valign = 1})
	setValue(self.tankNameLabel, "tankNameLabel", 4308, cc.size(109, 28), cc.p(19.236, 117.4176), cc.p(0, 0.5), cc.c4b(255, 127, 0, 255), nil, nil, nil)
	self.tankNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.tankNameLabel:setColor(cc.c4b(255, 127, 0, 255))
	addChildForPre(self.rightPanel_2, self.tankNameLabel)

	self.colourLabel = createLabel({text=[[(橙色)]], font=getFont(), size=24})
	setValue(self.colourLabel, "colourLabel", 38, cc.size(63, 28), cc.p(69.636, 52.2126), cc.p(0, 0.5), nil, nil, nil, nil)
	self.colourLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightPanel_2, self.colourLabel)

	self.selectCheckBox = ccui.CheckBox:create()
	setValue(self.selectCheckBox, "selectCheckBox", 2957, cc.size(65, 66), cc.p(332.2473, 80.875), nil, nil, nil, nil, nil)
	self.selectCheckBox:loadTextureBackGround("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.selectCheckBox:loadTextureBackGroundSelected("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.selectCheckBox:loadTextureBackGroundDisabled("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.selectCheckBox:loadTextureFrontCross("ccs/UiImages/common/common_btn_xuanzhong_1.png", 1)
	self.selectCheckBox:loadTextureFrontCrossDisabled("ccs/UiImages/common/common_btn_xuanzhong_1.png", 1)
	self.selectCheckBox:setEnabled(false)
	addChildForPre(self.rightPanel_2, self.selectCheckBox)

	self.mainButton = ccui.Button:create()
	self.mainButton:setScale9Enabled(true)
	self.mainButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.mainButton:setContentSize(cc.size(420, 162))
	setValue(self.mainButton, "mainButton", 145, nil, cc.p(210, 81), nil, nil, nil, nil, false)
	self.mainButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.mainButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.mainButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.mainButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.mainButton:setTitleText([[]])
	self.mainButton:setTitleColor(cc.c3b(65, 65, 70))
	self.mainButton:setTitleFontSize(14)
	self.mainButton:setTitleFontName(getFont())
	setClickEvent(self, self.mainButton, "mainButton")
	addChildForPre(self.rightPanel_2, self.mainButton)

	if PaperIconUi then 
 		self.paperIconUi = PaperIconUi.new() 
 	else 
		self.paperIconUi = BaseUi.new("ccs/ui/paper/PaperIconUi.lua")
 	end 
	setValue(self.paperIconUi, "paperIconUi", 177, nil, cc.p(20.032, 6.6736), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.paperIconUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/camp.plist",
}

return _M
