-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 94, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 97, cc.size(1125, 750), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame5Ui then 
 		self.commonDialogFrame5Ui = CommonDialogFrame5Ui.new() 
 	else 
		self.commonDialogFrame5Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame5Ui.lua")
 	end 
	setValue(self.commonDialogFrame5Ui, "commonDialogFrame5Ui", 650, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame5Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "dialogPanel", 98, cc.size(900, 480), cc.p(562.5, 375), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.listViewPanel = ccui.Layout:create()
	setValue(self.listViewPanel, "listViewPanel", 261, cc.size(650, 180), cc.p(450, 264), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.listViewPanel)
	self.listViewPanel_3 = self.listViewPanel

	self.listViewBGImage = ccui.ImageView:create()
	setValue(self.listViewBGImage, "listViewBGImage", 343, cc.size(700, 180), cc.p(325, 90), nil, nil, nil, nil, false)
	self.listViewBGImage:loadTexture("ccs/UiImages/commonB/Userplate.png", 1)
	self.listViewBGImage:setScale9Enabled(true)
	self.listViewBGImage:setCapInsets(cc.rect(20, 20, 224, 135))
	addChildForPre(self.listViewPanel_3, self.listViewBGImage)

	self.backButton = ccui.Button:create()
	setValue(self.backButton, "backButton", 299, cc.size(150, 62), cc.p(270, 96), nil, nil, nil, nil, false)
	self.backButton:loadTextureNormal("ccs/UiImages/image9/CommonBtnRed.png", 1)
	self.backButton:loadTexturePressed("ccs/UiImages/image9/CommonBtnRedHover.png", 1)
	self.backButton:loadTextureDisabled("ccs/UiImages/image9/CommonBtnDisable.png", 1)
	self.backButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.backButton:setTitleText([[back]])
	self.backButton:setTitleFontSize(25)
	self.backButton:setTitleFontName(getFont())
	setClickEvent(self, self.backButton, "backButton")
	addChildForPre(self.dialogPanel_2, self.backButton)

	self.okButton = ccui.Button:create()
	setValue(self.okButton, "okButton", 672, cc.size(150, 62), cc.p(630, 96), nil, nil, nil, nil, false)
	self.okButton:loadTextureNormal("ccs/UiImages/image9/CommonBtnBlue.png", 1)
	self.okButton:loadTexturePressed("ccs/UiImages/image9/CommonBtnBlueHover.png", 1)
	self.okButton:loadTextureDisabled("ccs/UiImages/image9/CommonBtnDisable.png", 1)
	self.okButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.okButton:setTitleText([[ok]])
	self.okButton:setTitleFontSize(25)
	self.okButton:setTitleFontName(getFont())
	setClickEvent(self, self.okButton, "okButton")
	addChildForPre(self.dialogPanel_2, self.okButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/common.plist",
}

return _M
