-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_0 = cc.Node:create()
	setValue(self.Node_0, "Node_0", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_0)
 	self.uiRootNode = self.Node_0
	self.Node_0_0 = self.Node_0

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 20, cc.size(420, 490), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.AccessoriesPlate = cc.Sprite:create()
	setValue(self.AccessoriesPlate, "AccessoriesPlate", 2237, cc.size(182, 182), cc.p(210, 343), nil, nil, nil, nil, nil)
	self.AccessoriesPlate:setSpriteFrame("ccs/UiImages/common/AccessoriesPlate.png")
	addChildForPre(self.rootPanel_1, self.AccessoriesPlate)

	self.titleBgImage = ccui.ImageView:create()
	setValue(self.titleBgImage, "titleBgImage", 1476, cc.size(250, 50), cc.p(210, 460.6), nil, nil, nil, nil, false)
	self.titleBgImage:loadTexture("ccs/UiImages/common/CommonUnderframeTitle.png", 1)
	self.titleBgImage:setScale9Enabled(true)
	self.titleBgImage:setCapInsets(cc.rect(0, 0, 448, 52))
	addChildForPre(self.rootPanel_1, self.titleBgImage)

	self.hasPartPanel = ccui.Layout:create()
	setValue(self.hasPartPanel, "hasPartPanel", 26, cc.size(420, 490), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.hasPartPanel)
	self.hasPartPanel_2 = self.hasPartPanel

	self.infoButton = ccui.Button:create()
	setValue(self.infoButton, "infoButton", 148, cc.size(70, 70), cc.p(378, 455.7), nil, nil, nil, nil, nil)
	self.infoButton:loadTextureNormal("ccs/UiImages/image9/BtnCommonLabel.png", 1)
	self.infoButton:loadTexturePressed("ccs/UiImages/image9/BtnCommonLabel.png", 1)
	self.infoButton:loadTextureDisabled("ccs/UiImages/image9/BtnCommonLabel.png", 1)
	self.infoButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.infoButton:setTitleText([[]])
	self.infoButton:setTitleColor(cc.c3b(65, 65, 70))
	self.infoButton:setTitleFontSize(14)
	self.infoButton:setTitleFontName(getFont())
	setClickEvent(self, self.infoButton, "infoButton")
	addChildForPre(self.hasPartPanel_2, self.infoButton)

	self.attrPanel = ccui.Layout:create()
	setValue(self.attrPanel, "attrPanel", 1308, cc.size(200, 160), cc.p(210, 166.6), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.hasPartPanel_2, self.attrPanel)
	self.attrPanel_3 = self.attrPanel

	self.useToTitleLabel = createLabel({text=[[装备于]], font=getFont(), size=20})
	setValue(self.useToTitleLabel, "useToTitleLabel", 1309, cc.size(60, 23), cc.p(92, 150.432), cc.p(1, 0.5), cc.c4b(226, 242, 167, 255), nil, nil, nil)
	self.useToTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.useToTitleLabel:setColor(cc.c4b(226, 242, 167, 255))
	addChildForPre(self.attrPanel_3, self.useToTitleLabel)

	self.typeTitleLabel = createLabel({text=[[配件类型]], font=getFont(), size=20})
	setValue(self.typeTitleLabel, "typeTitleLabel", 1310, cc.size(80, 23), cc.p(92, 122.832), cc.p(1, 0.5), cc.c4b(226, 242, 167, 255), nil, nil, nil)
	self.typeTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.typeTitleLabel:setColor(cc.c4b(226, 242, 167, 255))
	addChildForPre(self.attrPanel_3, self.typeTitleLabel)

	self.levelTitleLabel = createLabel({text=[[等级]], font=getFont(), size=20})
	setValue(self.levelTitleLabel, "levelTitleLabel", 1311, cc.size(40, 23), cc.p(92, 95.232), cc.p(1, 0.5), cc.c4b(226, 242, 167, 255), nil, nil, nil)
	self.levelTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.levelTitleLabel:setColor(cc.c4b(226, 242, 167, 255))
	addChildForPre(self.attrPanel_3, self.levelTitleLabel)

	self.qualityTitleLabel = createLabel({text=[[品质]], font=getFont(), size=20})
	setValue(self.qualityTitleLabel, "qualityTitleLabel", 1312, cc.size(40, 23), cc.p(92, 67.632), cc.p(1, 0.5), cc.c4b(226, 242, 167, 255), nil, nil, nil)
	self.qualityTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.qualityTitleLabel:setColor(cc.c4b(226, 242, 167, 255))
	addChildForPre(self.attrPanel_3, self.qualityTitleLabel)

	self.attri1TitleLabel = createLabel({text=[[火炮防御]], font=getFont(), size=20})
	setValue(self.attri1TitleLabel, "attri1TitleLabel", 1313, cc.size(80, 23), cc.p(92, 40.032), cc.p(1, 0.5), cc.c4b(226, 242, 167, 255), nil, nil, nil)
	self.attri1TitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.attri1TitleLabel:setColor(cc.c4b(226, 242, 167, 255))
	addChildForPre(self.attrPanel_3, self.attri1TitleLabel)

	self.attri2TitleLabel = createLabel({text=[[火炮防御]], font=getFont(), size=20})
	setValue(self.attri2TitleLabel, "attri2TitleLabel", 1314, cc.size(80, 23), cc.p(92, 12.432), cc.p(1, 0.5), cc.c4b(226, 242, 167, 255), nil, nil, nil)
	self.attri2TitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.attri2TitleLabel:setColor(cc.c4b(226, 242, 167, 255))
	addChildForPre(self.attrPanel_3, self.attri2TitleLabel)

	self.useToLabel = createLabel({text=[[装备于]], font=getFont(), size=20})
	setValue(self.useToLabel, "useToLabel", 1315, cc.size(60, 23), cc.p(108, 149.104), cc.p(0, 0.471), nil, nil, nil, nil)
	self.useToLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attrPanel_3, self.useToLabel)

	self.typeLabel = createLabel({text=[[配件类型]], font=getFont(), size=20})
	setValue(self.typeLabel, "typeLabel", 1316, cc.size(80, 23), cc.p(108, 122.176), cc.p(0, 0.5), nil, nil, nil, nil)
	self.typeLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attrPanel_3, self.typeLabel)

	self.levelLabel = createLabel({text=[[等级]], font=getFont(), size=20})
	setValue(self.levelLabel, "levelLabel", 1317, cc.size(40, 23), cc.p(108, 93.776), cc.p(0, 0.4652), nil, nil, nil, nil)
	self.levelLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attrPanel_3, self.levelLabel)

	self.qualityLabel = createLabel({text=[[2]], font=getFont(), size=20})
	setValue(self.qualityLabel, "qualityLabel", 1318, cc.size(11, 23), cc.p(108, 66.976), cc.p(0, 0.5), nil, nil, nil, nil)
	self.qualityLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attrPanel_3, self.qualityLabel)

	self.Star = cc.Sprite:create()
	setValue(self.Star, "Star", 385, cc.size(48, 48), cc.p(120, 67.2), cc.p(0, 0.5), nil, nil, nil, nil)
	self.Star:setScale(0.6)
	self.Star:setSpriteFrame("ccs/UiImages/commonIcon/Star.png")
	addChildForPre(self.attrPanel_3, self.Star)

	self.attri1Label = createLabel({text=[[火炮防御]], font=getFont(), size=20})
	setValue(self.attri1Label, "attri1Label", 1319, cc.size(80, 23), cc.p(108, 39.376), cc.p(0, 0.5), nil, nil, nil, nil)
	self.attri1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attrPanel_3, self.attri1Label)

	self.attri2Label = createLabel({text=[[火炮防御]], font=getFont(), size=20})
	setValue(self.attri2Label, "attri2Label", 1320, cc.size(80, 23), cc.p(108, 11.776), cc.p(0, 0.5), nil, nil, nil, nil)
	self.attri2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attrPanel_3, self.attri2Label)

	self.changeButton = ccui.Button:create()
	setValue(self.changeButton, "changeButton", 1720, cc.size(150, 62), cc.p(126, 49), nil, nil, nil, nil, false)
	self.changeButton:loadTextureNormal("ccs/UiImages/image9/CommonBtnGreen.png", 1)
	self.changeButton:loadTexturePressed("ccs/UiImages/image9/CommonBtnGreenHover.png", 1)
	self.changeButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.changeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.changeButton:setTitleText([[change]])
	self.changeButton:setTitleFontSize(25)
	self.changeButton:setTitleFontName(getFont())
	setClickEvent(self, self.changeButton, "changeButton")
	addChildForPre(self.hasPartPanel_2, self.changeButton)

	self.upgradeButton = ccui.Button:create()
	setValue(self.upgradeButton, "upgradeButton", 1721, cc.size(150, 62), cc.p(294, 49), nil, nil, nil, nil, false)
	self.upgradeButton:loadTextureNormal("ccs/UiImages/image9/CommonBtnYellow.png", 1)
	self.upgradeButton:loadTexturePressed("ccs/UiImages/image9/CommonBtnYellowHover.png", 1)
	self.upgradeButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.upgradeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.upgradeButton:setTitleText([[升级]])
	self.upgradeButton:setTitleFontSize(25)
	self.upgradeButton:setTitleFontName(getFont())
	setClickEvent(self, self.upgradeButton, "upgradeButton")
	addChildForPre(self.hasPartPanel_2, self.upgradeButton)

	self.lineupButton = ccui.Button:create()
	setValue(self.lineupButton, "lineupButton", 1101, cc.size(150, 62), cc.p(210, 49), nil, nil, nil, nil, false)
	self.lineupButton:loadTextureNormal("ccs/UiImages/image9/CommonBtnGreen.png", 1)
	self.lineupButton:loadTexturePressed("ccs/UiImages/image9/CommonBtnGreenHover.png", 1)
	self.lineupButton:loadTextureDisabled("ccs/UiImages/image9/CommonBtnDisable.png", 1)
	self.lineupButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.lineupButton:setTitleText([[lineupButton]])
	self.lineupButton:setTitleFontSize(25)
	self.lineupButton:setTitleFontName(getFont())
	setClickEvent(self, self.lineupButton, "lineupButton")
	addChildForPre(self.hasPartPanel_2, self.lineupButton)

	self.qualityBg = cc.Sprite:create()
	setValue(self.qualityBg, "qualityBg", 1491, cc.size(138, 138), cc.p(210, 343), nil, nil, nil, nil, nil)
	self.qualityBg:setSpriteFrame("ccs/UiImages/qualityBg/qualityBg8_2.png")
	addChildForPre(self.hasPartPanel_2, self.qualityBg)

	self.mainSprite = cc.Sprite:create()
	setValue(self.mainSprite, "mainSprite", 54, cc.size(150, 150), cc.p(210, 343), nil, nil, nil, nil, nil)
	self.mainSprite:setTexture("ccs/BigImages/equip/parts_1.webp")
	addChildForPre(self.hasPartPanel_2, self.mainSprite)

	self.nameLabel = createLabel({text=[[名称]], font=getFont(), size=24})
	setValue(self.nameLabel, "nameLabel", 21, cc.size(48, 28), cc.p(210, 460.6), nil, cc.c4b(255, 127, 0, 255), nil, nil, nil)
	self.nameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.nameLabel:setColor(cc.c4b(255, 127, 0, 255))
	addChildForPre(self.hasPartPanel_2, self.nameLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonPanelPartsC.plist",
	"ccs/plist/common.plist",
	"Default/Button_Disable.png",
	"ccs/plist/commonBg.plist",
	"ccs/BigImages/equip/parts_1.png",
}

return _M
