-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_0 = cc.Node:create()
	setValue(self.Node_0, "Node_0", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_0)
 	self.uiRootNode = self.Node_0
	self.Node_0_0 = self.Node_0

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 1, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 11, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 6, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.tabTopPanel = ccui.Layout:create()
	setValue(self.tabTopPanel, "WTX_tabTopPanel", 7, cc.size(640, 50), cc.p(320, 857.1164), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.tabTopPanel)
	self.tabTopPanel_3 = self.tabTopPanel

	self.CommonArticleBox = ccui.ImageView:create()
	setValue(self.CommonArticleBox, "WTX_CommonArticleBox", 629, cc.size(640, 62), cc.p(320, 22.5), nil, nil, nil, nil, nil)
	self.CommonArticleBox:loadTexture("ccs/UiImages/commonBg/common_img_diban00.png", 1)
	addChildForPre(self.tabTopPanel_3, self.CommonArticleBox)

	self.tabPartsButton = ccui.Button:create()
	self.tabPartsButton:setScale9Enabled(true)
	self.tabPartsButton:setCapInsets(cc.rect(0, 0, 247, 91))
	self.tabPartsButton:setContentSize(cc.size(124, 48))
	setValue(self.tabPartsButton, "tabPartsButton", 8, nil, cc.p(81.92, 25), nil, nil, nil, nil, false)
	self.tabPartsButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.tabPartsButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabPartsButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabPartsButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tabPartsButton:setTitleText([[配件]])
	self.tabPartsButton:setTitleFontSize(25)
	self.tabPartsButton:setTitleFontName(getFont())
	setClickEvent(self, self.tabPartsButton, "tabPartsButton")
	addChildForPre(self.tabTopPanel_3, self.tabPartsButton)

	self.tabBreakupButton = ccui.Button:create()
	self.tabBreakupButton:setScale9Enabled(true)
	self.tabBreakupButton:setCapInsets(cc.rect(0, 0, 247, 91))
	self.tabBreakupButton:setContentSize(cc.size(124, 48))
	setValue(self.tabBreakupButton, "tabBreakupButton", 9, nil, cc.p(213.952, 25), nil, nil, nil, nil, false)
	self.tabBreakupButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.tabBreakupButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabBreakupButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabBreakupButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tabBreakupButton:setTitleText([[配件分解]])
	self.tabBreakupButton:setTitleFontSize(25)
	self.tabBreakupButton:setTitleFontName(getFont())
	setClickEvent(self, self.tabBreakupButton, "tabBreakupButton")
	addChildForPre(self.tabTopPanel_3, self.tabBreakupButton)

	self.tabRestoreButton = ccui.Button:create()
	self.tabRestoreButton:setScale9Enabled(true)
	self.tabRestoreButton:setCapInsets(cc.rect(0, 0, 247, 91))
	self.tabRestoreButton:setContentSize(cc.size(124, 48))
	setValue(self.tabRestoreButton, "tabRestoreButton", 1462, nil, cc.p(345.984, 25), nil, nil, nil, nil, false)
	self.tabRestoreButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.tabRestoreButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabRestoreButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabRestoreButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tabRestoreButton:setTitleText([[配件还原]])
	self.tabRestoreButton:setTitleFontSize(25)
	self.tabRestoreButton:setTitleFontName(getFont())
	setClickEvent(self, self.tabRestoreButton, "tabRestoreButton")
	addChildForPre(self.tabTopPanel_3, self.tabRestoreButton)

	self.curNumberLabel = createLabel({text=[[curNumber]], font=getFont(), size=24})
	setValue(self.curNumberLabel, "RNN_curNumberLabel", 3411, cc.size(118, 28), cc.p(480, 25), cc.p(0, 0.5), nil, nil, nil, nil)
	self.curNumberLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.tabTopPanel_3, self.curNumberLabel)

	self.getMoreButton = ccui.Button:create()
	setValue(self.getMoreButton, "getMoreButton", 2123, cc.size(152, 26), cc.p(-34.816, 28), cc.p(1, 0.5), nil, nil, nil, false)
	self.getMoreButton:setVisible(false)
	self.getMoreButton:loadTextureNormal("ccs/UiImages/image9/Underline.png", 1)
	self.getMoreButton:loadTexturePressed("ccs/UiImages/image9/Underline.png", 1)
	self.getMoreButton:loadTextureDisabled("ccs/UiImages/image9/Underline.png", 1)
	self.getMoreButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.getMoreButton:setTitleText([[getMore]])
	self.getMoreButton:setTitleFontSize(24)
	self.getMoreButton:setTitleFontName(getFont())
	setClickEvent(self, self.getMoreButton, "getMoreButton")
	addChildForPre(self.tabTopPanel_3, self.getMoreButton)

	self.tabContentPanel = ccui.Layout:create()
	setValue(self.tabContentPanel, "tabContentPanel", 11, cc.size(640, 678), cc.p(0, 140), nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.tabContentPanel)

	self.imageLine1 = ccui.ImageView:create()
	setValue(self.imageLine1, "WXN_imageLine1", 1464, cc.size(640, 30), cc.p(320, 127), nil, nil, nil, nil, false)
	self.imageLine1:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.imageLine1:setScale9Enabled(true)
	self.imageLine1:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.dialogPanel_2, self.imageLine1)

	self.bottomPanel = ccui.Layout:create()
	setValue(self.bottomPanel, "WXN_bottomPanel", 1463, cc.size(640, 120), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.bottomPanel)
	self.bottomPanel_3 = self.bottomPanel

	self.imageBottomBg = ccui.ImageView:create()
	setValue(self.imageBottomBg, "WXN_imageBottomBg", 1466, cc.size(640, 120), cc.p(320, 60), nil, nil, nil, nil, false)
	self.imageBottomBg:loadTexture("ccs/UiImages/image9/common_img_jiemian04.png", 1)
	self.imageBottomBg:setScale9Enabled(true)
	self.imageBottomBg:setCapInsets(cc.rect(6, 6, 244, 7))
	addChildForPre(self.bottomPanel_3, self.imageBottomBg)

	self.selectBtn = ccui.Button:create()
	setValue(self.selectBtn, "LXN_selectBtn", 1467, cc.size(153, 64), cc.p(160, 61), nil, nil, nil, nil, false)
	self.selectBtn:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.selectBtn:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.selectBtn:loadTextureDisabled("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.selectBtn:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.selectBtn:setTitleText([[selectBtn]])
	self.selectBtn:setTitleFontSize(24)
	self.selectBtn:setTitleFontName(getFont())
	setClickEvent(self, self.selectBtn, "selectBtn")
	addChildForPre(self.bottomPanel_3, self.selectBtn)

	self.breakUpBtn = ccui.Button:create()
	setValue(self.breakUpBtn, "RXN_breakUpBtn", 1469, cc.size(153, 64), cc.p(480, 61), nil, nil, nil, nil, false)
	self.breakUpBtn:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.breakUpBtn:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.breakUpBtn:loadTextureDisabled("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.breakUpBtn:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.breakUpBtn:setTitleText([[breakUp]])
	self.breakUpBtn:setTitleFontSize(24)
	self.breakUpBtn:setTitleFontName(getFont())
	setClickEvent(self, self.breakUpBtn, "breakUpBtn")
	addChildForPre(self.bottomPanel_3, self.breakUpBtn)

	self.imageLine2 = ccui.ImageView:create()
	setValue(self.imageLine2, "WXN_imageLine2", 1465, cc.size(640, 8), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.imageLine2:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	self.imageLine2:setScale9Enabled(true)
	self.imageLine2:setCapInsets(cc.rect(0, 0, 640, 8))
	addChildForPre(self.dialogPanel_2, self.imageLine2)

	if CommonDialogFrame1CloseUi then 
 		self.commonDialogFrame1CloseUi = CommonDialogFrame1CloseUi.new() 
 	else 
		self.commonDialogFrame1CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame1CloseUi, "commonDialogFrame1CloseUi", 29, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
}

return _M
