-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 139, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 140, cc.size(640, 170), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "dialogPanel", 161, cc.size(640, 170), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.Image_10 = ccui.ImageView:create()
	setValue(self.Image_10, "Image_10", 928, cc.size(612, 167), cc.p(320, 85), nil, nil, nil, nil, nil)
	self.Image_10:loadTexture("ccs/UiImages/commonBg/common_img_ditiao.png", 1)
	addChildForPre(self.dialogPanel_2, self.Image_10)

	self.rank1Panel = ccui.Layout:create()
	setValue(self.rank1Panel, "rank1Panel", 162, cc.size(640, 143), cc.p(320, 85), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.rank1Panel:setClippingEnabled(true)
	addChildForPre(self.dialogPanel_2, self.rank1Panel)
	self.rank1Panel_3 = self.rank1Panel

	self.CommonChildYellow = ccui.ImageView:create()
	setValue(self.CommonChildYellow, "CommonChildYellow", 70, cc.size(461, 143), cc.p(273.344, 71.5), nil, nil, nil, nil, nil)
	self.CommonChildYellow:loadTexture("ccs/UiImages/commonBg/battle_img_paihang01.png", 1)
	addChildForPre(self.rank1Panel_3, self.CommonChildYellow)

	self.effectBg1Image = ccui.ImageView:create()
	setValue(self.effectBg1Image, "effectBg1Image", 107, cc.size(461, 143), cc.p(273.344, 71.5), nil, cc.c4b(255, 240, 0, 255), nil, nil, false)
	self.effectBg1Image:loadTexture("ccs/UiImages/commonBg/common_rank_kuang.png", 1)
	self.effectBg1Image:setScale9Enabled(true)
	self.effectBg1Image:setCapInsets(cc.rect(0, 0, 102, 28))
	addChildForPre(self.rank1Panel_3, self.effectBg1Image)

	self.Dan1Sprite = cc.Sprite:create()
	setValue(self.Dan1Sprite, "Dan1Sprite", 135, cc.size(81, 96), cc.p(100.4, 53.77), nil, nil, nil, nil, nil)
	self.Dan1Sprite:setSpriteFrame("ccs/UiImages/common/battle_duanwei_zuan.png")
	addChildForPre(self.rank1Panel_3, self.Dan1Sprite)

	self.Sprite_132 = cc.Sprite:create()
	setValue(self.Sprite_132, "Sprite_132", 323, cc.size(44, 70), cc.p(101.9149, 51.5797), nil, nil, nil, nil, nil)
	self.Sprite_132:setSpriteFrame("ccs/UiImages/common/battle_img_shuzi01.png")
	addChildForPre(self.rank1Panel_3, self.Sprite_132)

	self.rank2Panel = ccui.Layout:create()
	setValue(self.rank2Panel, "rank2Panel", 163, cc.size(640, 143), cc.p(320, 85), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.rank2Panel:setClippingEnabled(true)
	addChildForPre(self.dialogPanel_2, self.rank2Panel)
	self.rank2Panel_3 = self.rank2Panel

	self.CommonChildViolet = ccui.ImageView:create()
	setValue(self.CommonChildViolet, "CommonChildViolet", 71, cc.size(462, 143), cc.p(273.344, 71.5), nil, nil, nil, nil, nil)
	self.CommonChildViolet:loadTexture("ccs/UiImages/commonBg/battle_img_paihang02.png", 1)
	addChildForPre(self.rank2Panel_3, self.CommonChildViolet)

	self.effectBg2Image = ccui.ImageView:create()
	setValue(self.effectBg2Image, "effectBg2Image", 108, cc.size(461, 143), cc.p(273.344, 71.5), nil, cc.c4b(247, 0, 255, 255), nil, nil, false)
	self.effectBg2Image:loadTexture("ccs/UiImages/commonBg/common_rank_kuang.png", 1)
	self.effectBg2Image:setScale9Enabled(true)
	self.effectBg2Image:setCapInsets(cc.rect(0, 0, 102, 28))
	addChildForPre(self.rank2Panel_3, self.effectBg2Image)

	self.Dan2Sprite = cc.Sprite:create()
	setValue(self.Dan2Sprite, "Dan2Sprite", 136, cc.size(81, 96), cc.p(100.4, 53.77), nil, nil, nil, nil, nil)
	self.Dan2Sprite:setSpriteFrame("ccs/UiImages/common/battle_duanwei_zuan.png")
	addChildForPre(self.rank2Panel_3, self.Dan2Sprite)

	self.Sprite_133 = cc.Sprite:create()
	setValue(self.Sprite_133, "Sprite_133", 324, cc.size(44, 70), cc.p(101.9149, 61.5797), nil, nil, nil, nil, nil)
	self.Sprite_133:setSpriteFrame("ccs/UiImages/common/battle_img_shuzi02.png")
	addChildForPre(self.rank2Panel_3, self.Sprite_133)

	self.rank3Panel = ccui.Layout:create()
	setValue(self.rank3Panel, "rank3Panel", 164, cc.size(640, 143), cc.p(320, 85), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.rank3Panel:setClippingEnabled(true)
	addChildForPre(self.dialogPanel_2, self.rank3Panel)
	self.rank3Panel_3 = self.rank3Panel

	self.CommonChildBlue = ccui.ImageView:create()
	setValue(self.CommonChildBlue, "CommonChildBlue", 72, cc.size(462, 143), cc.p(273.344, 71.5), nil, nil, nil, nil, nil)
	self.CommonChildBlue:loadTexture("ccs/UiImages/commonBg/battle_img_paihang03.png", 1)
	addChildForPre(self.rank3Panel_3, self.CommonChildBlue)

	self.effectBg3Image = ccui.ImageView:create()
	setValue(self.effectBg3Image, "effectBg3Image", 109, cc.size(461, 143), cc.p(273.344, 71.5), nil, cc.c4b(0, 37, 255, 255), nil, nil, false)
	self.effectBg3Image:loadTexture("ccs/UiImages/commonBg/common_rank_kuang.png", 1)
	self.effectBg3Image:setScale9Enabled(true)
	self.effectBg3Image:setCapInsets(cc.rect(0, 0, 102, 28))
	addChildForPre(self.rank3Panel_3, self.effectBg3Image)

	self.Dan3Sprite = cc.Sprite:create()
	setValue(self.Dan3Sprite, "Dan3Sprite", 137, cc.size(81, 96), cc.p(100.4, 53.77), nil, nil, nil, nil, nil)
	self.Dan3Sprite:setSpriteFrame("ccs/UiImages/common/battle_duanwei_zuan.png")
	addChildForPre(self.rank3Panel_3, self.Dan3Sprite)

	self.Sprite_134 = cc.Sprite:create()
	setValue(self.Sprite_134, "Sprite_134", 325, cc.size(44, 70), cc.p(101.9149, 61.5797), nil, nil, nil, nil, nil)
	self.Sprite_134:setSpriteFrame("ccs/UiImages/common/battle_img_shuzi03.png")
	addChildForPre(self.rank3Panel_3, self.Sprite_134)

	self.rank4Panel = ccui.Layout:create()
	setValue(self.rank4Panel, "rank4Panel", 165, cc.size(640, 170), cc.p(320, 85), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.rank4Panel:setScaleX(0.99)
	self.rank4Panel:setScaleY(1)
	addChildForPre(self.dialogPanel_2, self.rank4Panel)
	self.rank4Panel_3 = self.rank4Panel

	self.CommonChildGreen = ccui.ImageView:create()
	setValue(self.CommonChildGreen, "CommonChildGreen", 73, cc.size(462, 143), cc.p(270.528, 85.68), nil, nil, nil, nil, nil)
	self.CommonChildGreen:loadTexture("ccs/UiImages/commonBg/battle_img_paihang04.png", 1)
	addChildForPre(self.rank4Panel_3, self.CommonChildGreen)

	self.Dan4Sprite = cc.Sprite:create()
	setValue(self.Dan4Sprite, "Dan4Sprite", 138, cc.size(81, 96), cc.p(100.4, 61.574), nil, nil, nil, nil, nil)
	self.Dan4Sprite:setSpriteFrame("ccs/UiImages/common/battle_duanwei_zuan.png")
	addChildForPre(self.rank4Panel_3, self.Dan4Sprite)

	self.numLabel = createLabel({text=[[num]], font=getFont(), size=30})
	setValue(self.numLabel, "numLabel", 177, cc.size(58, 34), cc.p(99.712, 61.574), nil, nil, nil, nil, nil)
	self.numLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rank4Panel_3, self.numLabel)

	self.userShipSprite = cc.Sprite:create()
	setValue(self.userShipSprite, "userShipSprite", 241, cc.size(46, 46), cc.p(141.4271, 23.7774), cc.p(0, 0), nil, nil, nil, nil)
	self.userShipSprite:setTexture("Default/Sprite.png")
	addChildForPre(self.dialogPanel_2, self.userShipSprite)

	self.Image_17 = ccui.ImageView:create()
	setValue(self.Image_17, "Image_17", 141, cc.size(454, 36), cc.p(274.2919, 115.4669), nil, nil, nil, nil, false)
	self.Image_17:loadTexture("ccs/UiImages/image9/common_s9_diban1.png", 1)
	self.Image_17:setScale9Enabled(true)
	self.Image_17:setCapInsets(cc.rect(5, 5, 9, 14))
	addChildForPre(self.dialogPanel_2, self.Image_17)

	self.userNameLabel = createLabel({text=[[name]], font=getFont(), size=24})
	setValue(self.userNameLabel, "userNameLabel", 171, cc.size(60, 28), cc.p(143.2073, 120.2401), cc.p(0, 0.5), nil, nil, nil, nil)
	self.userNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.userNameLabel)

	self.leveLabel = createLabel({text=[[leveLabel]], font=getFont(), size=20})
	setValue(self.leveLabel, "leveLabel", 172, cc.size(85, 23), cc.p(56.1303, 118.2394), cc.p(0, 0.5), cc.c4b(255, 239, 0, 255), nil, nil, nil)
	self.leveLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.leveLabel:setColor(cc.c4b(255, 239, 0, 255))
	addChildForPre(self.dialogPanel_2, self.leveLabel)

	self.rongyuVal = createLabel({text=[[rongyuVal]], font=getFont(), size=20})
	setValue(self.rongyuVal, "rongyuVal", 174, cc.size(88, 23), cc.p(404.032, 42.194), cc.p(0, 0.5), cc.c4b(0, 255, 0, 255), nil, nil, nil)
	self.rongyuVal:setVisible(false)
	self.rongyuVal:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rongyuVal:setColor(cc.c4b(0, 255, 0, 255))
	addChildForPre(self.dialogPanel_2, self.rongyuVal)

	self.fightingLabel = createLabel({text=[[zhanli]], font=getFont(), size=20})
	setValue(self.fightingLabel, "fightingLabel", 176, cc.size(52, 23), cc.p(408, 118.235), cc.p(0, 0.5), cc.c4b(255, 0, 0, 255), nil, nil, nil)
	self.fightingLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.fightingLabel:setColor(cc.c4b(255, 0, 0, 255))
	addChildForPre(self.dialogPanel_2, self.fightingLabel)

	self.zhanli = createLabel({text=[[zhanli]], font=getFont(), size=20,align = 2})
	setValue(self.zhanli, "zhanli", 1298, cc.size(52, 23), cc.p(334.464, 118.235), cc.p(0, 0.5), cc.c4b(255, 0, 0, 255), nil, nil, nil)
	self.zhanli:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.zhanli:setColor(cc.c4b(255, 0, 0, 255))
	addChildForPre(self.dialogPanel_2, self.zhanli)

	self.peopleButton = ccui.Button:create()
	self.peopleButton:setScale9Enabled(true)
	self.peopleButton:setCapInsets(cc.rect(0, 0, 98, 51))
	self.peopleButton:setContentSize(cc.size(120, 60))
	setValue(self.peopleButton, "peopleButton", 627, nil, cc.p(561.792, 85.153), nil, nil, nil, nil, false)
	self.peopleButton:setScale(0.8)
	self.peopleButton:loadTextureNormal("ccs/UiImages/image9/CommonPanel_btn_smallblue_0.png", 1)
	self.peopleButton:loadTexturePressed("ccs/UiImages/image9/CommonPanel_btn_smallblue_0.png", 1)
	self.peopleButton:loadTextureDisabled("ccs/UiImages/image9/CommonPanel_btn_smallblue_1.png", 1)
	self.peopleButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.peopleButton:setTitleText([[check]])
	self.peopleButton:setTitleFontSize(24)
	self.peopleButton:setTitleFontName(getFont())
	setClickEvent(self, self.peopleButton, "peopleButton")
	addChildForPre(self.dialogPanel_2, self.peopleButton)

	self.rongyu = createLabel({text=[[rongyu]], font=getFont(), size=20})
	setValue(self.rongyu, "rongyu", 140, cc.size(61, 23), cc.p(333.44, 40.8), cc.p(0, 0.5), cc.c4b(0, 255, 0, 255), nil, nil, nil)
	self.rongyu:setVisible(false)
	self.rongyu:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rongyu:setColor(cc.c4b(0, 255, 0, 255))
	addChildForPre(self.dialogPanel_2, self.rongyu)

	self.jifen = createLabel({text=[[jifen]], font=getFont(), size=20})
	setValue(self.jifen, "jifen", 176, cc.size(36, 23), cc.p(333.44, 81.6), cc.p(0, 0.5), cc.c4b(0, 255, 0, 255), nil, nil, nil)
	self.jifen:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.jifen:setColor(cc.c4b(0, 255, 0, 255))
	addChildForPre(self.dialogPanel_2, self.jifen)

	self.jifenVal = createLabel({text=[[jifenVal]], font=getFont(), size=20})
	setValue(self.jifenVal, "jifenVal", 177, cc.size(64, 23), cc.p(408, 81.6), cc.p(0, 0.5), cc.c4b(0, 255, 0, 255), nil, nil, nil)
	self.jifenVal:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.jifenVal:setColor(cc.c4b(0, 255, 0, 255))
	addChildForPre(self.dialogPanel_2, self.jifenVal)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/common.plist",
	"Default/Sprite.png",
	"ccs/plist/image9.plist",
}

return _M
