-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 139, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 140, cc.size(640, 170), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "dialogPanel", 161, cc.size(640, 170), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.Image_10 = ccui.ImageView:create()
	setValue(self.Image_10, "Image_10", 928, cc.size(612, 167), cc.p(320, 85), nil, nil, nil, nil, nil)
	self.Image_10:loadTexture("ccs/UiImages/commonBg/common_img_ditiao.png", 1)
	addChildForPre(self.dialogPanel_2, self.Image_10)

	self.rank1Panel = ccui.Layout:create()
	setValue(self.rank1Panel, "rank1Panel", 162, cc.size(640, 143), cc.p(320, 85), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.rank1Panel:setClippingEnabled(true)
	addChildForPre(self.dialogPanel_2, self.rank1Panel)
	self.rank1Panel_3 = self.rank1Panel

	self.CommonChildYellow = ccui.ImageView:create()
	setValue(self.CommonChildYellow, "CommonChildYellow", 70, cc.size(461, 143), cc.p(254.8, 71.5), nil, nil, nil, nil, nil)
	self.CommonChildYellow:loadTexture("ccs/UiImages/commonBg/battle_img_paihang01.png", 1)
	addChildForPre(self.rank1Panel_3, self.CommonChildYellow)

	self.effectBg1Image = ccui.ImageView:create()
	setValue(self.effectBg1Image, "effectBg1Image", 73, cc.size(461, 143), cc.p(254.8, 71.5), nil, cc.c4b(255, 240, 0, 255), nil, nil, false)
	self.effectBg1Image:loadTexture("ccs/UiImages/commonBg/common_rank_kuang.png", 1)
	self.effectBg1Image:setScale9Enabled(true)
	self.effectBg1Image:setCapInsets(cc.rect(0, 0, 102, 28))
	addChildForPre(self.rank1Panel_3, self.effectBg1Image)

	self.num1Image = ccui.ImageView:create()
	setValue(self.num1Image, "num1Image", 180, cc.size(44, 70), cc.p(72.704, 71.5), nil, nil, nil, nil, nil)
	self.num1Image:loadTexture("ccs/UiImages/common/battle_img_shuzi01.png", 1)
	addChildForPre(self.rank1Panel_3, self.num1Image)

	self.rank2Panel = ccui.Layout:create()
	setValue(self.rank2Panel, "rank2Panel", 163, cc.size(640, 143), cc.p(320, 85), cc.p(0.5, 0.5), cc.c4b(247, 0, 255, 255), nil, nil, nil)
	self.rank2Panel:setClippingEnabled(true)
	addChildForPre(self.dialogPanel_2, self.rank2Panel)
	self.rank2Panel_3 = self.rank2Panel

	self.CommonChildViolet = ccui.ImageView:create()
	setValue(self.CommonChildViolet, "CommonChildViolet", 71, cc.size(462, 143), cc.p(255.8, 71.5), nil, nil, nil, nil, nil)
	self.CommonChildViolet:loadTexture("ccs/UiImages/commonBg/battle_img_paihang02.png", 1)
	addChildForPre(self.rank2Panel_3, self.CommonChildViolet)

	self.effectBg2Image = ccui.ImageView:create()
	setValue(self.effectBg2Image, "effectBg2Image", 74, cc.size(461, 143), cc.p(254.8, 71.5), nil, cc.c4b(247, 0, 255, 255), nil, nil, false)
	self.effectBg2Image:loadTexture("ccs/UiImages/commonBg/common_rank_kuang.png", 1)
	self.effectBg2Image:setScale9Enabled(true)
	self.effectBg2Image:setCapInsets(cc.rect(0, 0, 102, 28))
	addChildForPre(self.rank2Panel_3, self.effectBg2Image)

	self.num2Image = ccui.ImageView:create()
	setValue(self.num2Image, "num2Image", 179, cc.size(44, 70), cc.p(72.704, 71.5), nil, nil, nil, nil, nil)
	self.num2Image:loadTexture("ccs/UiImages/common/battle_img_shuzi02.png", 1)
	addChildForPre(self.rank2Panel_3, self.num2Image)

	self.rank3Panel = ccui.Layout:create()
	setValue(self.rank3Panel, "rank3Panel", 164, cc.size(640, 143), cc.p(320, 85), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.rank3Panel:setClippingEnabled(true)
	addChildForPre(self.dialogPanel_2, self.rank3Panel)
	self.rank3Panel_3 = self.rank3Panel

	self.CommonChildBlue = ccui.ImageView:create()
	setValue(self.CommonChildBlue, "CommonChildBlue", 72, cc.size(462, 143), cc.p(254.8, 71.5), nil, nil, nil, nil, nil)
	self.CommonChildBlue:loadTexture("ccs/UiImages/commonBg/battle_img_paihang03.png", 1)
	addChildForPre(self.rank3Panel_3, self.CommonChildBlue)

	self.effectBg3Image = ccui.ImageView:create()
	setValue(self.effectBg3Image, "effectBg3Image", 75, cc.size(461, 143), cc.p(254.8, 71.5), nil, cc.c4b(0, 37, 255, 255), nil, nil, false)
	self.effectBg3Image:loadTexture("ccs/UiImages/commonBg/common_rank_kuang.png", 1)
	self.effectBg3Image:setScale9Enabled(true)
	self.effectBg3Image:setCapInsets(cc.rect(0, 0, 102, 28))
	addChildForPre(self.rank3Panel_3, self.effectBg3Image)

	self.num3Image = ccui.ImageView:create()
	setValue(self.num3Image, "num3Image", 178, cc.size(44, 70), cc.p(72.704, 71.5), nil, nil, nil, nil, nil)
	self.num3Image:loadTexture("ccs/UiImages/common/battle_img_shuzi03.png", 1)
	addChildForPre(self.rank3Panel_3, self.num3Image)

	self.rank4Panel = ccui.Layout:create()
	setValue(self.rank4Panel, "rank4Panel", 165, cc.size(640, 170), cc.p(320, 85), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.rank4Panel:setScaleX(0.99)
	self.rank4Panel:setScaleY(1)
	addChildForPre(self.dialogPanel_2, self.rank4Panel)
	self.rank4Panel_3 = self.rank4Panel

	self.CommonChildGreen = ccui.ImageView:create()
	setValue(self.CommonChildGreen, "CommonChildGreen", 73, cc.size(462, 143), cc.p(252, 88), nil, nil, nil, nil, nil)
	self.CommonChildGreen:loadTexture("ccs/UiImages/commonBg/battle_img_paihang04.png", 1)
	addChildForPre(self.rank4Panel_3, self.CommonChildGreen)

	self.numLabel = createLabel({text=[[num]], font=getFont(), size=30})
	setValue(self.numLabel, "numLabel", 177, cc.size(58, 34), cc.p(75.712, 85), nil, nil, nil, nil, nil)
	self.numLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rank4Panel_3, self.numLabel)

	self.userPicSprite = cc.Sprite:create()
	setValue(self.userPicSprite, "userPicSprite", 170, cc.size(100, 100), cc.p(159.888, 85), nil, nil, nil, nil, nil)
	self.userPicSprite:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.dialogPanel_2, self.userPicSprite)

	self.userShipSprite = cc.Sprite:create()
	setValue(self.userShipSprite, "userShipSprite", 241, cc.size(46, 46), cc.p(320, 70), nil, nil, nil, nil, nil)
	self.userShipSprite:setTexture("Default/Sprite.png")
	addChildForPre(self.dialogPanel_2, self.userShipSprite)

	self.userNameLabel = createLabel({text=[[userNameLabel]], font=getFont(), size=24})
	setValue(self.userNameLabel, "userNameLabel", 171, cc.size(169, 28), cc.p(224, 125.5995), cc.p(0, 0.5), nil, nil, nil, nil)
	self.userNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.userNameLabel)

	self.VipIcon = cc.Sprite:create()
	setValue(self.VipIcon, "VipIcon", 701, cc.size(46, 46), cc.p(-212.92, 124), cc.p(0, 0.5), nil, nil, nil, nil)
	self.VipIcon:setTexture("Default/Sprite.png")
	addChildForPre(self.dialogPanel_2, self.VipIcon)

	self.leveLabel = createLabel({text=[[leveLabel]], font=getFont(), size=20})
	setValue(self.leveLabel, "leveLabel", 172, cc.size(85, 23), cc.p(-217.7285, 54), cc.p(0, 0.5), nil, nil, nil, nil)
	self.leveLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.leveLabel)

	self.allianceLabel = createLabel({text=[[alliance]], font=getFont(), size=20})
	setValue(self.allianceLabel, "allianceLabel", 173, cc.size(67, 23), cc.p(355.3141, 83.6467), cc.p(0, 0.5), nil, nil, nil, nil)
	self.allianceLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.allianceLabel)

	self.waveLabel = createLabel({text=[[wave]], font=getFont(), size=20})
	setValue(self.waveLabel, "waveLabel", 174, cc.size(46, 23), cc.p(286.016, 44.2), cc.p(0, 0.5), nil, nil, nil, nil)
	self.waveLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.waveLabel)

	self.starLabel = createLabel({text=[[star]], font=getFont(), size=24})
	setValue(self.starLabel, "starLabel", 175, cc.size(40, 28), cc.p(539.712, 113.696), cc.p(1, 0.5), nil, nil, nil, nil)
	self.starLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.starLabel)

	self.starSprite = cc.Sprite:create()
	setValue(self.starSprite, "starSprite", 88, cc.size(49, 47), cc.p(542.72, 115.651), cc.p(0, 0.5), nil, nil, nil, nil)
	self.starSprite:setSpriteFrame("ccs/UiImages/battle/star_silver.png")
	addChildForPre(self.dialogPanel_2, self.starSprite)

	self.fightingLabel = createLabel({text=[[fightingLabel]], font=getFont(), size=20})
	setValue(self.fightingLabel, "fightingLabel", 176, cc.size(113, 23), cc.p(224, 44.194), cc.p(0, 0.5), nil, nil, nil, nil)
	self.fightingLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.fightingLabel)

	self.waveLabel_N = createLabel({text=[[wave]], font=getFont(), size=20,align = 2})
	setValue(self.waveLabel_N, "waveLabel_N", 1298, cc.size(46, 23), cc.p(224, 44.2), cc.p(0, 0.5), nil, nil, nil, nil)
	self.waveLabel_N:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.waveLabel_N)

	self.allianceLabel_N = createLabel({text=[[alliance]], font=getFont(), size=20,align = 2})
	setValue(self.allianceLabel_N, "allianceLabel_N", 1299, cc.size(67, 23), cc.p(224, 83.6467), cc.p(0, 0.5), nil, nil, nil, nil)
	self.allianceLabel_N:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.allianceLabel_N)

	self.peopleButton = ccui.Button:create()
	self.peopleButton:setScale9Enabled(true)
	self.peopleButton:setCapInsets(cc.rect(0, 0, 153, 64))
	self.peopleButton:setContentSize(cc.size(110, 55))
	setValue(self.peopleButton, "peopleButton", 627, nil, cc.p(547.8159, 55.414), nil, nil, nil, nil, false)
	self.peopleButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.peopleButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.peopleButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.peopleButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.peopleButton:setTitleText([[people]])
	self.peopleButton:setTitleFontSize(24)
	self.peopleButton:setTitleFontName(getFont())
	setClickEvent(self, self.peopleButton, "peopleButton")
	addChildForPre(self.dialogPanel_2, self.peopleButton)

	self.allianceScore = createLabel({text=[[allianceScore]], font=getFont(), size=24,align = 1})
	setValue(self.allianceScore, "allianceScore", 1684, cc.size(144, 28), cc.p(547.84, 85), nil, nil, nil, nil, nil)
	self.allianceScore:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.allianceScore)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/common.plist",
	"Default/Sprite.png",
	"ccs/plist/battle.plist",
	"ccs/plist/image9.plist",
}

return _M
