-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 90, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 91, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 98, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 92, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "WTX_Panel", 2458, cc.size(640, 80), cc.p(0, 813.9839), nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.Panel)
	self.Panel_3 = self.Panel

	self.Image_93 = ccui.ImageView:create()
	setValue(self.Image_93, "WTX_Image_93", 358, cc.size(640, 62), cc.p(320, 36.8), nil, nil, nil, nil, nil)
	self.Image_93:loadTexture("ccs/UiImages/commonBg/common_img_diban00.png", 1)
	addChildForPre(self.Panel_3, self.Image_93)

	self.bottonPanel = ccui.Layout:create()
	setValue(self.bottonPanel, "TWX_bottonPanel", 2529, cc.size(588.8, 53), cc.p(320, 40), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.Panel_3, self.bottonPanel)

	self.LButton = ccui.Button:create()
	setValue(self.LButton, "LYN_LButton", 346, cc.size(15, 109), cc.p(12.8, 40), nil, nil, nil, nil, nil)
	self.LButton:setRotationSkewX(180)
	self.LButton:setRotationSkewY(180)
	self.LButton:setScaleX(1.1)
	self.LButton:setScaleY(0.5)
	self.LButton:loadTextureNormal("ccs/UiImages/common/camp_btn_huadong_0.png", 1)
	self.LButton:loadTexturePressed("ccs/UiImages/common/camp_btn_huadong_1.png", 1)
	self.LButton:loadTextureDisabled("ccs/UiImages/common/camp_btn_huadong_1.png", 1)
	self.LButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.LButton:setTitleText([[]])
	self.LButton:setTitleColor(cc.c3b(65, 65, 70))
	self.LButton:setTitleFontSize(14)
	self.LButton:setTitleFontName(getFont())
	setClickEvent(self, self.LButton, "LButton")
	addChildForPre(self.Panel_3, self.LButton)

	self.RButton = ccui.Button:create()
	setValue(self.RButton, "RYN_RButton", 347, cc.size(15, 109), cc.p(627.2, 40), nil, nil, nil, nil, nil)
	self.RButton:setScaleX(1.1)
	self.RButton:setScaleY(0.5)
	self.RButton:loadTextureNormal("ccs/UiImages/common/camp_btn_huadong_0.png", 1)
	self.RButton:loadTexturePressed("ccs/UiImages/common/camp_btn_huadong_1.png", 1)
	self.RButton:loadTextureDisabled("ccs/UiImages/common/camp_btn_huadong_1.png", 1)
	self.RButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.RButton:setTitleText([[]])
	self.RButton:setTitleColor(cc.c3b(65, 65, 70))
	self.RButton:setTitleFontSize(14)
	self.RButton:setTitleFontName(getFont())
	setClickEvent(self, self.RButton, "RButton")
	addChildForPre(self.Panel_3, self.RButton)

	self.arenaPanel = ccui.Layout:create()
	setValue(self.arenaPanel, "WXT_arenaPanel", 122, cc.size(640, 75), cc.p(320, 793.01), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.arenaPanel)
	self.arenaPanel_3 = self.arenaPanel

	self.challengePanelBg_Copy = ccui.ImageView:create()
	setValue(self.challengePanelBg_Copy, "WXN_challengePanelBg_Copy", 496, cc.size(640, 49), cc.p(320, 37.5), nil, nil, nil, nil, false)
	self.challengePanelBg_Copy:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.challengePanelBg_Copy:setScale9Enabled(true)
	self.challengePanelBg_Copy:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.arenaPanel_3, self.challengePanelBg_Copy)

	self.amyRankTitleLabel = createLabel({text=[[myRankTitle]], font=getFont(), size=24,align = 2})
	setValue(self.amyRankTitleLabel, "amyRankTitleLabel", 125, cc.size(132, 28), cc.p(125.376, 37.5), cc.p(1, 0.5), nil, nil, nil, nil)
	self.amyRankTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.arenaPanel_3, self.amyRankTitleLabel)

	self.amyRankLabel = createLabel({text=[[myRank]], font=getFont(), size=24})
	setValue(self.amyRankLabel, "amyRankLabel", 126, cc.size(88, 28), cc.p(137.216, 37.5), cc.p(0, 0.5), cc.c4b(255, 249, 0, 255), nil, nil, nil)
	self.amyRankLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.amyRankLabel:setColor(cc.c4b(255, 249, 0, 255))
	addChildForPre(self.arenaPanel_3, self.amyRankLabel)

	self.fightingTitleLabel = createLabel({text=[[fightingTitle]], font=getFont(), size=24,align = 2})
	setValue(self.fightingTitleLabel, "fightingTitleLabel", 127, cc.size(121, 28), cc.p(344.448, 37.5), cc.p(1, 0.5), nil, nil, nil, nil)
	self.fightingTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.arenaPanel_3, self.fightingTitleLabel)

	self.fightingLabel = createLabel({text=[[fighting]], font=getFont(), size=24})
	setValue(self.fightingLabel, "fightingLabel", 128, cc.size(77, 28), cc.p(361.664, 37.5), cc.p(0, 0.5), nil, nil, nil, nil)
	self.fightingLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.arenaPanel_3, self.fightingLabel)

	self.countLabel = createLabel({text=[[fighting]], font=getFont(), size=24})
	setValue(self.countLabel, "countLabel", 115, cc.size(77, 28), cc.p(576.768, 38.64), cc.p(0, 0.5), nil, nil, nil, nil)
	self.countLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.arenaPanel_3, self.countLabel)

	self.countTitleLabel = createLabel({text=[[fightingTitle]], font=getFont(), size=24,align = 2})
	setValue(self.countTitleLabel, "countTitleLabel", 116, cc.size(121, 28), cc.p(568.768, 37.6425), cc.p(1, 0.5), nil, nil, nil, nil)
	self.countTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.arenaPanel_3, self.countTitleLabel)

	self.challengePanel = ccui.Layout:create()
	setValue(self.challengePanel, "WXT_challengePanel", 123, cc.size(640, 49), cc.p(320, 793.01), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.challengePanel)
	self.challengePanel_3 = self.challengePanel

	self.challengePanelBg = ccui.ImageView:create()
	setValue(self.challengePanelBg, "WXN_challengePanelBg", 1666, cc.size(640, 49), cc.p(320, 24.5), nil, nil, nil, nil, false)
	self.challengePanelBg:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.challengePanelBg:setScale9Enabled(true)
	self.challengePanelBg:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.challengePanel_3, self.challengePanelBg)

	self.cmyRankTitleLabel = createLabel({text=[[myRankTitle]], font=getFont(), size=24,align = 2})
	setValue(self.cmyRankTitleLabel, "cmyRankTitleLabel", 130, cc.size(132, 28), cc.p(16, 24.5), cc.p(0, 0.5), nil, nil, nil, nil)
	self.cmyRankTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.challengePanel_3, self.cmyRankTitleLabel)

	self.cmyRankLabel = createLabel({text=[[myRank]], font=getFont(), size=24})
	setValue(self.cmyRankLabel, "cmyRankLabel", 131, cc.size(88, 28), cc.p(147.2, 24.5), cc.p(0, 0.5), nil, nil, nil, nil)
	self.cmyRankLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.challengePanel_3, self.cmyRankLabel)

	self.starTitleLabel = createLabel({text=[[starTitle]], font=getFont(), size=24,align = 2})
	setValue(self.starTitleLabel, "starTitleLabel", 132, cc.size(84, 28), cc.p(480, 24.5), cc.p(1, 0.5), nil, nil, nil, nil)
	self.starTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.challengePanel_3, self.starTitleLabel)

	self.starLabel = createLabel({text=[[starLabel]], font=getFont(), size=24})
	setValue(self.starLabel, "starLabel", 133, cc.size(98, 28), cc.p(492.8, 24.5), cc.p(0, 0.5), nil, nil, nil, nil)
	self.starLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.challengePanel_3, self.starLabel)

	self.starSp = cc.Sprite:create()
	setValue(self.starSp, "starSp", 215, cc.size(48, 48), cc.p(556.8, 24.5), cc.p(0, 0.5), nil, nil, nil, nil)
	self.starSp:setSpriteFrame("ccs/UiImages/battle/star_gold.png")
	addChildForPre(self.challengePanel_3, self.starSp)

	self.countryBtePanel = ccui.Layout:create()
	setValue(self.countryBtePanel, "WXT_countryBtePanel", 3052, cc.size(640, 49), cc.p(320, 793.01), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.countryBtePanel)
	self.countryBtePanel_3 = self.countryBtePanel

	self.challengePanelBg_Copy = ccui.ImageView:create()
	setValue(self.challengePanelBg_Copy, "WXN_challengePanelBg_Copy", 3318, cc.size(640, 49), cc.p(320, 24.5), nil, nil, nil, nil, false)
	self.challengePanelBg_Copy:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.challengePanelBg_Copy:setScale9Enabled(true)
	self.challengePanelBg_Copy:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.countryBtePanel_3, self.challengePanelBg_Copy)

	self.rankingLabel1 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.rankingLabel1, "rankingLabel1", 3110, cc.size(109, 28), cc.p(89.6, 24.5), nil, cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.rankingLabel1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rankingLabel1:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.countryBtePanel_3, self.rankingLabel1)

	self.rankingLabel2 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.rankingLabel2, "rankingLabel2", 3111, cc.size(109, 28), cc.p(192, 24.5), nil, cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.rankingLabel2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rankingLabel2:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.countryBtePanel_3, self.rankingLabel2)

	self.rankingLabel3 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.rankingLabel3, "rankingLabel3", 3112, cc.size(109, 28), cc.p(403.2, 24.5), nil, cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.rankingLabel3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rankingLabel3:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.countryBtePanel_3, self.rankingLabel3)

	self.rankingLabel4 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.rankingLabel4, "rankingLabel4", 3113, cc.size(109, 28), cc.p(518.8, 24.5), nil, cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.rankingLabel4:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rankingLabel4:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.countryBtePanel_3, self.rankingLabel4)

	self.defensePanel = ccui.Layout:create()
	setValue(self.defensePanel, "ATN_defensePanel", 124, cc.size(640, 49), cc.p(320, 793.0051), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.defensePanel)
	self.defensePanel_3 = self.defensePanel

	self.defenseBg = ccui.ImageView:create()
	setValue(self.defenseBg, "AXY_defenseBg", 2257, cc.size(640, 49), cc.p(320, 24.5), nil, nil, nil, nil, false)
	self.defenseBg:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.defenseBg:setScale9Enabled(true)
	self.defenseBg:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.defensePanel_3, self.defenseBg)

	self.dmyRankTitleLabel = createLabel({text=[[myRankTitle]], font=getFont(), size=24,align = 2})
	setValue(self.dmyRankTitleLabel, "dmyRankTitleLabel", 134, cc.size(132, 28), cc.p(16, 24.5), cc.p(0, 0.5), nil, nil, nil, nil)
	self.dmyRankTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.defensePanel_3, self.dmyRankTitleLabel)

	self.dmyRankLabel = createLabel({text=[[myRank]], font=getFont(), size=24})
	setValue(self.dmyRankLabel, "dmyRankLabel", 135, cc.size(88, 28), cc.p(147.2, 24.5), cc.p(0, 0.5), nil, nil, nil, nil)
	self.dmyRankLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.defensePanel_3, self.dmyRankLabel)

	self.waveTitleLabel = createLabel({text=[[waveTitle]], font=getFont(), size=24,align = 2})
	setValue(self.waveTitleLabel, "waveTitleLabel", 136, cc.size(100, 28), cc.p(480, 24.5), cc.p(1, 0.5), nil, nil, nil, nil)
	self.waveTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.defensePanel_3, self.waveTitleLabel)

	self.waveLabel = createLabel({text=[[waveLabel]], font=getFont(), size=24})
	setValue(self.waveLabel, "waveLabel", 137, cc.size(114, 28), cc.p(492.8, 24.5), cc.p(0, 0.5), cc.c4b(81, 236, 84, 255), nil, nil, nil)
	self.waveLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.waveLabel:setColor(cc.c4b(81, 236, 84, 255))
	addChildForPre(self.defensePanel_3, self.waveLabel)

	self.line = ccui.ImageView:create()
	setValue(self.line, "WXN_line", 830, cc.size(640, 30), cc.p(320, 120), nil, nil, nil, nil, false)
	self.line:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.line:setScale9Enabled(true)
	self.line:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.dialogPanel_2, self.line)

	self.lbDesc = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.lbDesc, "XYN_lbDesc", 831, cc.size(109, 28), cc.p(320, 57.6), nil, nil, nil, nil, nil)
	self.lbDesc:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.lbDesc)

	self.line_Copy = ccui.ImageView:create()
	setValue(self.line_Copy, "WXN_line_Copy", 238, cc.size(640, 8), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.line_Copy:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	self.line_Copy:setScale9Enabled(true)
	self.line_Copy:setCapInsets(cc.rect(0, 0, 640, 8))
	addChildForPre(self.dialogPanel_2, self.line_Copy)

	self.exploitBtn = ccui.Button:create()
	setValue(self.exploitBtn, "XYN_exploitBtn", 239, cc.size(153, 64), cc.p(320, 58.944), nil, nil, nil, nil, false)
	self.exploitBtn:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.exploitBtn:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.exploitBtn:loadTextureDisabled("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.exploitBtn:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.exploitBtn:setTitleText([[exploit]])
	self.exploitBtn:setTitleFontSize(24)
	self.exploitBtn:setTitleFontName(getFont())
	setClickEvent(self, self.exploitBtn, "exploitBtn")
	addChildForPre(self.dialogPanel_2, self.exploitBtn)

	self.closeBtn = ccui.Button:create()
	setValue(self.closeBtn, "XYN_closeBtn", 240, cc.size(153, 64), cc.p(320, 58.944), nil, nil, nil, nil, false)
	self.closeBtn:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.closeBtn:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.closeBtn:loadTextureDisabled("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.closeBtn:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.closeBtn:setTitleText([[closeBtn]])
	self.closeBtn:setTitleFontSize(24)
	self.closeBtn:setTitleFontName(getFont())
	setClickEvent(self, self.closeBtn, "closeBtn")
	addChildForPre(self.dialogPanel_2, self.closeBtn)

	self.link2OtherBtn = ccui.Button:create()
	setValue(self.link2OtherBtn, "XYN_link2OtherBtn", 2853, cc.size(153, 64), cc.p(320, 58.944), nil, nil, nil, nil, false)
	self.link2OtherBtn:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.link2OtherBtn:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.link2OtherBtn:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.link2OtherBtn:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.link2OtherBtn:setTitleText([[link2Other]])
	self.link2OtherBtn:setTitleFontSize(24)
	self.link2OtherBtn:setTitleFontName(getFont())
	setClickEvent(self, self.link2OtherBtn, "link2OtherBtn")
	addChildForPre(self.dialogPanel_2, self.link2OtherBtn)

	self.downDescLabel = createLabel({text=[[downDescLabel]], font=getFont(), size=30})
	setValue(self.downDescLabel, "BXY_downDescLabel", 2256, cc.size(213, 34), cc.p(320, 57.6), nil, nil, nil, nil, nil)
	self.downDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.downDescLabel)

	self.rightRankListPanel = ccui.Layout:create()
	setValue(self.rightRankListPanel, "XIN_rightRankListPanel", 117, cc.size(640, 633.6), cc.p(320, 130), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.rightRankListPanel)
	self.rightRankListPanel_3 = self.rightRankListPanel

	self.rankListViewPanel = ccui.Layout:create()
	setValue(self.rankListViewPanel, "HYN_rankListViewPanel", 138, cc.size(640, 633.6), cc.p(320, 316.8), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rightRankListPanel_3, self.rankListViewPanel)

	self.rightRankList2Panel = ccui.Layout:create()
	setValue(self.rightRankList2Panel, "XIN_rightRankList2Panel", 3410, cc.size(640, 633.6), cc.p(320, 129.984), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.rightRankList2Panel)
	self.rightRankList2Panel_3 = self.rightRankList2Panel

	self.rankListView2Panel = ccui.Layout:create()
	setValue(self.rankListView2Panel, "HYN_rankListView2Panel", 3411, cc.size(640, 570.24), cc.p(320, 348.2), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rightRankList2Panel_3, self.rankListView2Panel)

	self.mylabelPanel = ccui.Layout:create()
	setValue(self.mylabelPanel, "BXN_mylabelPanel", 3514, cc.size(570, 50), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.rightRankList2Panel_3, self.mylabelPanel)
	self.mylabelPanel_4 = self.mylabelPanel

	self.myrankLabel1 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.myrankLabel1, "myrankLabel1", 3668, cc.size(109, 28), cc.p(51.3, 25), nil, cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.myrankLabel1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.myrankLabel1:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.mylabelPanel_4, self.myrankLabel1)

	self.myrankLabel2 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.myrankLabel2, "myrankLabel2", 3669, cc.size(109, 28), cc.p(171, 25), nil, cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.myrankLabel2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.myrankLabel2:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.mylabelPanel_4, self.myrankLabel2)

	self.myrankLabel3 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.myrankLabel3, "myrankLabel3", 3670, cc.size(109, 28), cc.p(359.1, 25), nil, cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.myrankLabel3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.myrankLabel3:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.mylabelPanel_4, self.myrankLabel3)

	self.myrankLabel4 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.myrankLabel4, "myrankLabel4", 3671, cc.size(109, 28), cc.p(495.9, 25), nil, cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.myrankLabel4:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.myrankLabel4:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.mylabelPanel_4, self.myrankLabel4)

	self.mylabelPanelForServerBattle02 = ccui.Layout:create()
	setValue(self.mylabelPanelForServerBattle02, "BXN_mylabelPanelForServerBattle02", 3549, cc.size(570, 50), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.rightRankList2Panel_3, self.mylabelPanelForServerBattle02)
	self.mylabelPanelForServerBattle02_4 = self.mylabelPanelForServerBattle02

	self.txtServerRank = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.txtServerRank, "txtServerRank", 3706, cc.size(109, 28), cc.p(51.3, 25), nil, cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.txtServerRank:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.txtServerRank:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.mylabelPanelForServerBattle02_4, self.txtServerRank)

	self.txtUnknowCountry = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.txtUnknowCountry, "txtUnknowCountry", 3707, cc.size(109, 28), cc.p(148.2, 25), nil, cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.txtUnknowCountry:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.txtUnknowCountry:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.mylabelPanelForServerBattle02_4, self.txtUnknowCountry)

	self.spCampIcon = cc.Sprite:create()
	setValue(self.spCampIcon, "spCampIcon", 3778, cc.size(46, 46), cc.p(150.024, 25), nil, nil, nil, nil, nil)
	self.spCampIcon:setScale(0.6)
	self.spCampIcon:setTexture("Default/Sprite.png")
	addChildForPre(self.mylabelPanelForServerBattle02_4, self.spCampIcon)

	self.txtServerName = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.txtServerName, "txtServerName", 3708, cc.size(109, 28), cc.p(228, 25), cc.p(0, 0.5), cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.txtServerName:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.txtServerName:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.mylabelPanelForServerBattle02_4, self.txtServerName)

	self.txtServerWinNum = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.txtServerWinNum, "txtServerWinNum", 3709, cc.size(109, 28), cc.p(456, 25), nil, cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.txtServerWinNum:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.txtServerWinNum:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.mylabelPanelForServerBattle02_4, self.txtServerWinNum)

	if CommonDialogFrame1CloseUi then 
 		self.commonDialogFrame1CloseUi = CommonDialogFrame1CloseUi.new() 
 	else 
		self.commonDialogFrame1CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame1CloseUi, "commonDialogFrame1CloseUi", 93, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/common.plist",
	"ccs/plist/battle.plist",
	"ccs/plist/image9.plist",
	"Default/Sprite.png",
}

return _M
