-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 492, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 513, cc.size(609, 455), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.centerPanel = ccui.Layout:create()
	setValue(self.centerPanel, "centerPanel", 359, cc.size(609, 455), cc.p(304.5, 227.5), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.centerPanel)
	self.centerPanel_2 = self.centerPanel

	self.DekaronBOSS = cc.Sprite:create()
	setValue(self.DekaronBOSS, "DekaronBOSS", 549, cc.size(608, 206), cc.p(304.5, 336.7), nil, nil, nil, nil, nil)
	self.DekaronBOSS:setScale(0.9)
	self.DekaronBOSS:setTexture("ccs/BigImages/background/longMarch_img_1.webp")
	addChildForPre(self.centerPanel_2, self.DekaronBOSS)
	self.DekaronBOSS_3 = self.DekaronBOSS

	self.battleTitleBg = ccui.ImageView:create()
	setValue(self.battleTitleBg, "battleTitleBg", 2103, cc.size(226, 47), cc.p(0, 206), cc.p(0, 1), nil, nil, nil, nil)
	self.battleTitleBg:loadTexture("ccs/UiImages/common/longMarch_img_txtbg_1.png", 1)
	addChildForPre(self.DekaronBOSS_3, self.battleTitleBg)
	self.battleTitleBg_4 = self.battleTitleBg

	self.battleLabel = createLabel({text=[[battleLabel]], font=getFont(), size=30,align = 1,valign = 1})
	setValue(self.battleLabel, "battleLabel", 545, cc.size(146, 34), cc.p(113, 23.5), nil, nil, nil, nil, nil)
	self.battleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.battleTitleBg_4, self.battleLabel)

	self.jump1Button = ccui.Button:create()
	self.jump1Button:setScale9Enabled(true)
	self.jump1Button:setCapInsets(cc.rect(0, 0, 10, 10))
	self.jump1Button:setContentSize(cc.size(545, 200))
	setValue(self.jump1Button, "jump1Button", 106, nil, cc.p(306.5, 336.7), nil, nil, nil, nil, false)
	self.jump1Button:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.jump1Button:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.jump1Button:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.jump1Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.jump1Button:setTitleText([[]])
	self.jump1Button:setTitleFontSize(25)
	self.jump1Button:setTitleFontName(getFont())
	setClickEvent(self, self.jump1Button, "jump1Button")
	addChildForPre(self.centerPanel_2, self.jump1Button)

	self.jump3Button = ccui.Button:create()
	setValue(self.jump3Button, "jump3Button", 2107, cc.size(153, 64), cc.p(482, 292), nil, nil, nil, nil, false)
	self.jump3Button:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.jump3Button:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.jump3Button:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.jump3Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.jump3Button:setTitleText([[Button]])
	self.jump3Button:setTitleFontSize(28)
	self.jump3Button:setTitleFontName(getFont())
	setClickEvent(self, self.jump3Button, "jump3Button")
	addChildForPre(self.centerPanel_2, self.jump3Button)

	self.BuyChest = cc.Sprite:create()
	setValue(self.BuyChest, "BuyChest", 550, cc.size(608, 210), cc.p(304.5, 118.3), nil, nil, nil, nil, nil)
	self.BuyChest:setScale(0.9)
	self.BuyChest:setTexture("ccs/BigImages/background/longMarch_img_2.webp")
	addChildForPre(self.centerPanel_2, self.BuyChest)
	self.BuyChest_3 = self.BuyChest

	self.byTitleBg = ccui.ImageView:create()
	setValue(self.byTitleBg, "byTitleBg", 2104, cc.size(226, 47), cc.p(0, 210), cc.p(0, 1), nil, nil, nil, nil)
	self.byTitleBg:loadTexture("ccs/UiImages/common/longMarch_img_txtbg_1.png", 1)
	addChildForPre(self.BuyChest_3, self.byTitleBg)
	self.byTitleBg_4 = self.byTitleBg

	self.buyLabel = createLabel({text=[[buyLabel]], font=getFont(), size=30,align = 1,valign = 1})
	setValue(self.buyLabel, "buyLabel", 546, cc.size(121, 34), cc.p(113, 23.5), nil, nil, nil, nil, nil)
	self.buyLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.byTitleBg_4, self.buyLabel)

	self.jump2Button = ccui.Button:create()
	self.jump2Button:setScale9Enabled(true)
	self.jump2Button:setCapInsets(cc.rect(0, 0, 10, 10))
	self.jump2Button:setContentSize(cc.size(545, 200))
	setValue(self.jump2Button, "jump2Button", 548, nil, cc.p(304.5, 118.3), nil, nil, nil, nil, false)
	self.jump2Button:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.jump2Button:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.jump2Button:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.jump2Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.jump2Button:setTitleText([[]])
	self.jump2Button:setTitleFontSize(25)
	self.jump2Button:setTitleFontName(getFont())
	setClickEvent(self, self.jump2Button, "jump2Button")
	addChildForPre(self.centerPanel_2, self.jump2Button)

	self.jump4Button = ccui.Button:create()
	setValue(self.jump4Button, "jump4Button", 2108, cc.size(153, 64), cc.p(482, 70), nil, nil, nil, nil, false)
	self.jump4Button:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.jump4Button:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.jump4Button:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.jump4Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.jump4Button:setTitleText([[Button]])
	self.jump4Button:setTitleFontSize(28)
	self.jump4Button:setTitleFontName(getFont())
	setClickEvent(self, self.jump4Button, "jump4Button")
	addChildForPre(self.centerPanel_2, self.jump4Button)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/BigImages/background/longMarch_img_1.jpg",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
	"ccs/BigImages/background/longMarch_img_2.jpg",
}

return _M
