-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 25, cc.size(604, 365), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.Particle01 = cc.ParticleSystemQuad:create("ccs/Particle/piece_1.plist")
 	self.Particle01:setPositionType(2) 
	setValue(self.Particle01, "Particle01", 251, nil, cc.p(302, 226.3), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Particle01)

	self.equipNameBg = ccui.ImageView:create()
	setValue(self.equipNameBg, "equipNameBg", 781, cc.size(179, 42), cc.p(302, 328.5), nil, nil, nil, nil, nil)
	self.equipNameBg:loadTexture("ccs/UiImages/common/longMarch_img_txtbg_2.png", 1)
	addChildForPre(self.rootPanel_1, self.equipNameBg)
	self.equipNameBg_2 = self.equipNameBg

	self.equipNameLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.equipNameLabel, "equipNameLabel", 782, cc.size(109, 28), cc.p(89.5, 21), nil, nil, nil, nil, nil)
	self.equipNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.equipNameBg_2, self.equipNameLabel)

	self.equipIcon = cc.Sprite:create()
	setValue(self.equipIcon, "equipIcon", 780, cc.size(100, 100), cc.p(302, 226.3), nil, nil, nil, nil, nil)
	self.equipIcon:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.rootPanel_1, self.equipIcon)

	self.info1Button = ccui.Button:create()
	self.info1Button:setScale9Enabled(true)
	self.info1Button:setCapInsets(cc.rect(0, 0, 46, 36))
	self.info1Button:setContentSize(cc.size(180, 180))
	setValue(self.info1Button, "info1Button", 783, nil, cc.p(302, 226.3), nil, nil, 0, nil, false)
	self.info1Button:loadTextureNormal("Default/Button_Normal.png", 0)
	self.info1Button:loadTexturePressed("Default/Button_Press.png", 0)
	self.info1Button:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.info1Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.info1Button:setTitleText([[Button]])
	self.info1Button:setTitleColor(cc.c3b(65, 65, 70))
	self.info1Button:setTitleFontSize(14)
	self.info1Button:setTitleFontName(getFont())
	setClickEvent(self, self.info1Button, "info1Button")
	addChildForPre(self.rootPanel_1, self.info1Button)

	if RobPiecePieceIconUi then 
 		self.piece1_RobPiecePieceIconUi = RobPiecePieceIconUi.new() 
 	else 
		self.piece1_RobPiecePieceIconUi = BaseUi.new("ccs/ui/robPiece/RobPiecePieceIconUi.lua")
 	end 
	setValue(self.piece1_RobPiecePieceIconUi, "piece1_RobPiecePieceIconUi", 124, nil, cc.p(302, 237.25), nil, nil, 0, nil, nil)
	self.piece1_RobPiecePieceIconUi:setScale(0.05)
	addChildForPre(self.rootPanel_1, self.piece1_RobPiecePieceIconUi)

	if RobPiecePieceIconUi then 
 		self.piece2_RobPiecePieceIconUi = RobPiecePieceIconUi.new() 
 	else 
		self.piece2_RobPiecePieceIconUi = BaseUi.new("ccs/ui/robPiece/RobPiecePieceIconUi.lua")
 	end 
	setValue(self.piece2_RobPiecePieceIconUi, "piece2_RobPiecePieceIconUi", 155, nil, cc.p(302, 237.25), nil, nil, 0, nil, nil)
	self.piece2_RobPiecePieceIconUi:setScale(0.05)
	addChildForPre(self.rootPanel_1, self.piece2_RobPiecePieceIconUi)

	if RobPiecePieceIconUi then 
 		self.piece3_RobPiecePieceIconUi = RobPiecePieceIconUi.new() 
 	else 
		self.piece3_RobPiecePieceIconUi = BaseUi.new("ccs/ui/robPiece/RobPiecePieceIconUi.lua")
 	end 
	setValue(self.piece3_RobPiecePieceIconUi, "piece3_RobPiecePieceIconUi", 161, nil, cc.p(302, 237.25), nil, nil, 0, nil, nil)
	self.piece3_RobPiecePieceIconUi:setScale(0.05)
	addChildForPre(self.rootPanel_1, self.piece3_RobPiecePieceIconUi)

	if RobPiecePieceIconUi then 
 		self.piece4_RobPiecePieceIconUi = RobPiecePieceIconUi.new() 
 	else 
		self.piece4_RobPiecePieceIconUi = BaseUi.new("ccs/ui/robPiece/RobPiecePieceIconUi.lua")
 	end 
	setValue(self.piece4_RobPiecePieceIconUi, "piece4_RobPiecePieceIconUi", 167, nil, cc.p(302, 237.25), nil, nil, 0, nil, nil)
	self.piece4_RobPiecePieceIconUi:setScale(0.05)
	addChildForPre(self.rootPanel_1, self.piece4_RobPiecePieceIconUi)

	if RobPiecePieceIconUi then 
 		self.piece5_RobPiecePieceIconUi = RobPiecePieceIconUi.new() 
 	else 
		self.piece5_RobPiecePieceIconUi = BaseUi.new("ccs/ui/robPiece/RobPiecePieceIconUi.lua")
 	end 
	setValue(self.piece5_RobPiecePieceIconUi, "piece5_RobPiecePieceIconUi", 173, nil, cc.p(302, 237.25), nil, nil, 0, nil, nil)
	self.piece5_RobPiecePieceIconUi:setScale(0.05)
	addChildForPre(self.rootPanel_1, self.piece5_RobPiecePieceIconUi)

	self.Particle03 = cc.ParticleSystemQuad:create("ccs/Particle/piece_3.plist")
 	self.Particle03:setPositionType(2) 
	setValue(self.Particle03, "Particle03", 253, nil, cc.p(302, 226.3), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle03:setScale(2.4)
	addChildForPre(self.rootPanel_1, self.Particle03)

	self.Particle02 = cc.ParticleSystemQuad:create("ccs/Particle/piece_2.plist")
 	self.Particle02:setPositionType(2) 
	setValue(self.Particle02, "Particle02", 252, nil, cc.p(302, 226.3), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle02:setScale(2.4)
	addChildForPre(self.rootPanel_1, self.Particle02)

	self.Particle04 = cc.ParticleSystemQuad:create("ccs/Particle/piece_4.plist")
 	self.Particle04:setPositionType(2) 
	setValue(self.Particle04, "Particle04", 254, nil, cc.p(302, 226.3), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle04:setScale(2)
	addChildForPre(self.rootPanel_1, self.Particle04)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(35)
	self.animation:setTimeSpeed(1)
	local timeLine
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 302.0000, 226.3000, nil))
	timeLine:setNode(self.Particle01)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.Particle01)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, false, 302.0000, 328.5000, nil))
	timeLine:addFrame(CreatePositionFrame(13, false, 302.0000, 328.5000, nil))
	timeLine:addFrame(CreatePositionFrame(35, true, 302.0000, 328.5000, nil))
	timeLine:setNode(self.equipNameBg)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, false, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(13, false, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(35, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.equipNameBg)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, false, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(13, false, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(35, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.equipNameBg)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateEventFrame(0, false, "", nil))
	timeLine:addFrame(CreateEventFrame(13, false, "startPlay1", nil))
	timeLine:addFrame(CreateEventFrame(35, true, "startPlay2", nil))
	timeLine:setNode(self.equipNameBg)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(23, true, 302.0000, 226.3000, nil))
	timeLine:addFrame(CreatePositionFrame(26, true, 302.0000, 226.3000, nil))
	timeLine:addFrame(CreatePositionFrame(29, true, 302.0000, 226.3000, nil))
	timeLine:addFrame(CreatePositionFrame(32, true, 302.0000, 226.3000, nil))
	timeLine:addFrame(CreatePositionFrame(35, true, 302.0000, 226.3000, nil))
	timeLine:setNode(self.equipIcon)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(23, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(26, true, 1.2000, 1.2000, nil))
	timeLine:addFrame(CreateScaleFrame(29, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(32, true, 1.2000, 1.2000, nil))
	timeLine:addFrame(CreateScaleFrame(35, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.equipIcon)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(23, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(26, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(29, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(32, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(35, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.equipIcon)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateTextureFrame(0, true, "ccs/UiImages/commonBg/qualityBg1.png", nil))
	timeLine:setNode(self.equipIcon)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateEventFrame(0, true, "", nil))
	timeLine:setNode(self.equipIcon)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 90.6000, 292.0000, nil))
	timeLine:addFrame(CreatePositionFrame(13, true, 90.6000, 321.2000, nil))
	timeLine:addFrame(CreatePositionFrame(20, true, 90.6000, 321.2000, nil))
	timeLine:addFrame(CreatePositionFrame(23, true, 90.6000, 321.2000, nil))
	timeLine:addFrame(CreatePositionFrame(30, true, 302.0000, 237.2500, nil))
	timeLine:setNode(self.piece1_RobPiecePieceIconUi)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(13, true, 1.1000, 1.1000, nil))
	timeLine:addFrame(CreateScaleFrame(20, true, 1.1000, 1.1000, nil))
	timeLine:addFrame(CreateScaleFrame(23, true, 1.1000, 1.1000, nil))
	timeLine:addFrame(CreateScaleFrame(30, true, 0.0500, 0.0500, nil))
	timeLine:setNode(self.piece1_RobPiecePieceIconUi)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(13, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(20, true, -15.0000, -15.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(23, true, -10.0000, -10.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(30, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.piece1_RobPiecePieceIconUi)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(23, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(30, true, cc.c3b(255,255,255), 0, nil))
	timeLine:setNode(self.piece1_RobPiecePieceIconUi)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 513.4000, 292.0000, nil))
	timeLine:addFrame(CreatePositionFrame(13, true, 513.4000, 321.2000, nil))
	timeLine:addFrame(CreatePositionFrame(20, true, 513.4000, 321.2000, nil))
	timeLine:addFrame(CreatePositionFrame(27, true, 513.4000, 321.2000, nil))
	timeLine:addFrame(CreatePositionFrame(35, true, 302.0000, 237.2500, nil))
	timeLine:setNode(self.piece2_RobPiecePieceIconUi)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(13, true, 1.1000, 1.1000, nil))
	timeLine:addFrame(CreateScaleFrame(20, true, 1.1000, 1.1000, nil))
	timeLine:addFrame(CreateScaleFrame(27, true, 1.1000, 1.1000, nil))
	timeLine:addFrame(CreateScaleFrame(35, true, 0.0500, 0.0500, nil))
	timeLine:setNode(self.piece2_RobPiecePieceIconUi)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(13, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(20, true, 15.0000, 15.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(27, true, 10.0000, 10.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(35, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.piece2_RobPiecePieceIconUi)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(27, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(35, true, cc.c3b(255,255,255), 0, nil))
	timeLine:setNode(self.piece2_RobPiecePieceIconUi)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 90.6000, 146.0000, nil))
	timeLine:addFrame(CreatePositionFrame(13, true, 90.6000, 127.7500, nil))
	timeLine:addFrame(CreatePositionFrame(20, true, 90.6000, 127.7500, nil))
	timeLine:addFrame(CreatePositionFrame(24, true, 90.6000, 127.7500, nil))
	timeLine:addFrame(CreatePositionFrame(30, true, 302.0000, 237.2500, nil))
	timeLine:setNode(self.piece3_RobPiecePieceIconUi)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(13, true, 1.1000, 1.1000, nil))
	timeLine:addFrame(CreateScaleFrame(20, true, 1.1000, 1.1000, nil))
	timeLine:addFrame(CreateScaleFrame(24, true, 1.1000, 1.1000, nil))
	timeLine:addFrame(CreateScaleFrame(30, true, 0.0500, 0.0500, nil))
	timeLine:setNode(self.piece3_RobPiecePieceIconUi)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(13, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(20, true, -15.0000, -15.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(24, true, -10.0000, -10.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(30, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.piece3_RobPiecePieceIconUi)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(24, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(30, true, cc.c3b(255,255,255), 0, nil))
	timeLine:setNode(self.piece3_RobPiecePieceIconUi)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 302.0000, 73.0000, nil))
	timeLine:addFrame(CreatePositionFrame(13, true, 302.0000, 40.1500, nil))
	timeLine:addFrame(CreatePositionFrame(20, true, 302.0000, 40.1500, nil))
	timeLine:addFrame(CreatePositionFrame(26, true, 302.0000, 40.1500, nil))
	timeLine:addFrame(CreatePositionFrame(33, true, 302.0000, 237.2500, nil))
	timeLine:setNode(self.piece4_RobPiecePieceIconUi)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(13, true, 1.1000, 1.1000, nil))
	timeLine:addFrame(CreateScaleFrame(20, true, 1.1000, 1.1000, nil))
	timeLine:addFrame(CreateScaleFrame(26, true, 1.1000, 1.1000, nil))
	timeLine:addFrame(CreateScaleFrame(33, true, 0.0500, 0.0500, nil))
	timeLine:setNode(self.piece4_RobPiecePieceIconUi)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(13, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(20, true, 15.0000, 15.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(26, true, 10.0000, 10.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(33, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.piece4_RobPiecePieceIconUi)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(26, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(33, true, cc.c3b(255,255,255), 0, nil))
	timeLine:setNode(self.piece4_RobPiecePieceIconUi)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 513.4000, 146.0000, nil))
	timeLine:addFrame(CreatePositionFrame(13, true, 513.4000, 127.7500, nil))
	timeLine:addFrame(CreatePositionFrame(20, true, 513.4000, 127.7500, nil))
	timeLine:addFrame(CreatePositionFrame(25, true, 513.4000, 127.7500, nil))
	timeLine:addFrame(CreatePositionFrame(32, true, 302.0000, 237.2500, nil))
	timeLine:setNode(self.piece5_RobPiecePieceIconUi)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(13, true, 1.1000, 1.1000, nil))
	timeLine:addFrame(CreateScaleFrame(20, true, 1.1000, 1.1000, nil))
	timeLine:addFrame(CreateScaleFrame(25, true, 1.1000, 1.1000, nil))
	timeLine:addFrame(CreateScaleFrame(32, true, 0.0500, 0.0500, nil))
	timeLine:setNode(self.piece5_RobPiecePieceIconUi)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(13, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(20, true, 15.0000, 15.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(25, true, 10.0000, 10.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(32, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.piece5_RobPiecePieceIconUi)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(25, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(32, true, cc.c3b(255,255,255), 0, nil))
	timeLine:setNode(self.piece5_RobPiecePieceIconUi)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 302.0000, 226.3000, nil))
	timeLine:setNode(self.Particle03)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 2.4000, 2.4000, nil))
	timeLine:setNode(self.Particle03)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 302.0000, 226.3000, nil))
	timeLine:setNode(self.Particle02)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 2.4000, 2.4000, nil))
	timeLine:setNode(self.Particle02)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 302.0000, 226.3000, nil))
	timeLine:setNode(self.Particle04)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 2.0000, 2.0000, nil))
	timeLine:setNode(self.Particle04)
	return self
end

_M.textures = {
	"ccs/plist/common.plist",
	"ccs/plist/commonBg.plist",
	"Default/Button_Disable.png",
	"Default/Button_Press.png",
	"Default/Button_Normal.png",
}

return _M
