-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 86, cc.size(1125, 750), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 271, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "dialogPanel", 597, cc.size(1000, 650), cc.p(562.5, 375), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.homeButton = ccui.Button:create()
	setValue(self.homeButton, "homeButton", 117, cc.size(100, 100), cc.p(0, 617.5), nil, nil, nil, nil, nil)
	self.homeButton:loadTextureNormal("ccs/UiImages/image9/BtnCommonHome.png", 1)
	self.homeButton:loadTexturePressed("ccs/UiImages/image9/BtnCommonHome.png", 1)
	self.homeButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.homeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.homeButton:setTitleText([[]])
	self.homeButton:setTitleColor(cc.c3b(65, 65, 70))
	self.homeButton:setTitleFontSize(14)
	self.homeButton:setTitleFontName(getFont())
	setClickEvent(self, self.homeButton, "homeButton")
	addChildForPre(self.dialogPanel_2, self.homeButton)

	self.tabPanel = ccui.Layout:create()
	setValue(self.tabPanel, "tabPanel", 87, cc.size(1000, 50), cc.p(500, 552.5), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.tabPanel)
	self.tabPanel_3 = self.tabPanel

	self.tab1Button = ccui.Button:create()
	setValue(self.tab1Button, "tab1Button", 107, cc.size(124, 48), cc.p(100, 25), nil, nil, nil, nil, false)
	self.tab1Button:loadTextureNormal("ccs/UiImages/image9/CommonBtn1Hove.png", 1)
	self.tab1Button:loadTexturePressed("ccs/UiImages/image9/CommonBtn1.png", 1)
	self.tab1Button:loadTextureDisabled("ccs/UiImages/image9/CommonBtn1.png", 1)
	self.tab1Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tab1Button:setTitleText([[武器*]])
	self.tab1Button:setTitleFontSize(25)
	self.tab1Button:setTitleFontName(getFont())
	setClickEvent(self, self.tab1Button, "tab1Button")
	addChildForPre(self.tabPanel_3, self.tab1Button)
	self.tab1Button_4 = self.tab1Button

	self.REDPOINT_ROBPIECE_TAB1 = cc.Sprite:create()
	setValue(self.REDPOINT_ROBPIECE_TAB1, "REDPOINT_ROBPIECE_TAB1", 144, cc.size(21, 21), cc.p(112.9639, 36.9203), cc.p(0.4923, 0.5022), nil, nil, nil, nil)
	self.REDPOINT_ROBPIECE_TAB1:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.tab1Button_4, self.REDPOINT_ROBPIECE_TAB1)

	self.tab2Button = ccui.Button:create()
	setValue(self.tab2Button, "tab2Button", 108, cc.size(124, 48), cc.p(230, 25), nil, nil, nil, nil, false)
	self.tab2Button:loadTextureNormal("ccs/UiImages/image9/CommonBtn1Hove.png", 1)
	self.tab2Button:loadTexturePressed("ccs/UiImages/image9/CommonBtn1.png", 1)
	self.tab2Button:loadTextureDisabled("ccs/UiImages/image9/CommonBtn1.png", 1)
	self.tab2Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tab2Button:setTitleText([[雷达*]])
	self.tab2Button:setTitleFontSize(25)
	self.tab2Button:setTitleFontName(getFont())
	setClickEvent(self, self.tab2Button, "tab2Button")
	addChildForPre(self.tabPanel_3, self.tab2Button)
	self.tab2Button_4 = self.tab2Button

	self.REDPOINT_ROBPIECE_TAB2 = cc.Sprite:create()
	setValue(self.REDPOINT_ROBPIECE_TAB2, "REDPOINT_ROBPIECE_TAB2", 282, cc.size(21, 21), cc.p(111.3333, 37.9998), nil, nil, nil, nil, nil)
	self.REDPOINT_ROBPIECE_TAB2:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.tab2Button_4, self.REDPOINT_ROBPIECE_TAB2)

	self.tab3Button = ccui.Button:create()
	setValue(self.tab3Button, "tab3Button", 109, cc.size(124, 48), cc.p(360, 25), nil, nil, nil, nil, false)
	self.tab3Button:loadTextureNormal("ccs/UiImages/image9/CommonBtn1Hove.png", 1)
	self.tab3Button:loadTexturePressed("ccs/UiImages/image9/CommonBtn1.png", 1)
	self.tab3Button:loadTextureDisabled("ccs/UiImages/image9/CommonBtn1.png", 1)
	self.tab3Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tab3Button:setTitleText([[装甲*]])
	self.tab3Button:setTitleFontSize(25)
	self.tab3Button:setTitleFontName(getFont())
	setClickEvent(self, self.tab3Button, "tab3Button")
	addChildForPre(self.tabPanel_3, self.tab3Button)
	self.tab3Button_4 = self.tab3Button

	self.REDPOINT_ROBPIECE_TAB3 = cc.Sprite:create()
	setValue(self.REDPOINT_ROBPIECE_TAB3, "REDPOINT_ROBPIECE_TAB3", 283, cc.size(21, 21), cc.p(111.3331, 37.9998), nil, nil, nil, nil, nil)
	self.REDPOINT_ROBPIECE_TAB3:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.tab3Button_4, self.REDPOINT_ROBPIECE_TAB3)

	self.tab4Button = ccui.Button:create()
	setValue(self.tab4Button, "tab4Button", 110, cc.size(124, 48), cc.p(490, 25), nil, nil, nil, nil, false)
	self.tab4Button:loadTextureNormal("ccs/UiImages/image9/CommonBtn1Hove.png", 1)
	self.tab4Button:loadTexturePressed("ccs/UiImages/image9/CommonBtn1.png", 1)
	self.tab4Button:loadTextureDisabled("ccs/UiImages/image9/CommonBtn1.png", 1)
	self.tab4Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tab4Button:setTitleText([[engine]])
	self.tab4Button:setTitleFontSize(25)
	self.tab4Button:setTitleFontName(getFont())
	setClickEvent(self, self.tab4Button, "tab4Button")
	addChildForPre(self.tabPanel_3, self.tab4Button)
	self.tab4Button_4 = self.tab4Button

	self.REDPOINT_ROBPIECE_TAB4 = cc.Sprite:create()
	setValue(self.REDPOINT_ROBPIECE_TAB4, "REDPOINT_ROBPIECE_TAB4", 284, cc.size(21, 21), cc.p(111.3332, 39.3331), nil, nil, nil, nil, nil)
	self.REDPOINT_ROBPIECE_TAB4:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.tab4Button_4, self.REDPOINT_ROBPIECE_TAB4)

	self.tab5Button = ccui.Button:create()
	setValue(self.tab5Button, "tab5Button", 247, cc.size(124, 48), cc.p(620, 25), nil, nil, nil, nil, false)
	self.tab5Button:loadTextureNormal("ccs/UiImages/image9/CommonBtn1Hove.png", 1)
	self.tab5Button:loadTexturePressed("ccs/UiImages/image9/CommonBtn1.png", 1)
	self.tab5Button:loadTextureDisabled("ccs/UiImages/image9/CommonBtn1.png", 1)
	self.tab5Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tab5Button:setTitleText([[medal]])
	self.tab5Button:setTitleFontSize(25)
	self.tab5Button:setTitleFontName(getFont())
	setClickEvent(self, self.tab5Button, "tab5Button")
	addChildForPre(self.tabPanel_3, self.tab5Button)
	self.tab5Button_4 = self.tab5Button

	self.REDPOINT_ROBPIECE_TAB5 = cc.Sprite:create()
	setValue(self.REDPOINT_ROBPIECE_TAB5, "REDPOINT_ROBPIECE_TAB5", 248, cc.size(25, 25), cc.p(111.3332, 39.3331), nil, nil, nil, nil, nil)
	self.REDPOINT_ROBPIECE_TAB5:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.tab5Button_4, self.REDPOINT_ROBPIECE_TAB5)

	self.frameBGSprite = cc.Sprite:create()
	setValue(self.frameBGSprite, "frameBGSprite", 596, cc.size(142, 32), cc.p(850, 28.5), nil, nil, nil, nil, nil)
	self.frameBGSprite:setScale(1.2)
	self.frameBGSprite:setSpriteFrame("ccs/UiImages/common/CommonUnderframe.png")
	addChildForPre(self.tabPanel_3, self.frameBGSprite)

	self.protectTimeLabel = createLabel({text=[[timeLabel]], font=getFont(), size=24,valign = 1})
	setValue(self.protectTimeLabel, "protectTimeLabel", 37, cc.size(104, 28), cc.p(850, 30), nil, nil, nil, nil, nil)
	self.protectTimeLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.tabPanel_3, self.protectTimeLabel)

	self.protect_icon = cc.Sprite:create()
	setValue(self.protect_icon, "protect_icon", 60, cc.size(150, 149), cc.p(732.4167, 33.2502), nil, nil, nil, nil, nil)
	self.protect_icon:setScale(0.4)
	self.protect_icon:setSpriteFrame("ccs/UiImages/icon/item_1215.png")
	addChildForPre(self.tabPanel_3, self.protect_icon)

	self.protectButton = ccui.Button:create()
	self.protectButton:setScale9Enabled(true)
	self.protectButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.protectButton:setContentSize(cc.size(220, 50))
	setValue(self.protectButton, "protectButton", 61, nil, cc.p(820, 35.93), nil, nil, nil, nil, false)
	self.protectButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.protectButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.protectButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.protectButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.protectButton:setTitleText([[]])
	self.protectButton:setTitleColor(cc.c3b(65, 65, 70))
	self.protectButton:setTitleFontSize(14)
	self.protectButton:setTitleFontName(getFont())
	setClickEvent(self, self.protectButton, "protectButton")
	addChildForPre(self.tabPanel_3, self.protectButton)

	self.commonArticleBox = cc.Sprite:create()
	setValue(self.commonArticleBox, "commonArticleBox", 52, cc.size(1020, 16), cc.p(500, 526.5), nil, nil, nil, nil, nil)
	self.commonArticleBox:setScaleX(0.99)
	self.commonArticleBox:setScaleY(0.94)
	self.commonArticleBox:setSpriteFrame("ccs/UiImages/common/CommonArticleBox.png")
	addChildForPre(self.dialogPanel_2, self.commonArticleBox)

	self.bottomPanel = ccui.Layout:create()
	setValue(self.bottomPanel, "bottomPanel", 286, cc.size(950, 500), cc.p(500, 273), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.bottomPanel)
	self.bottomPanel_3 = self.bottomPanel

	self.partListviewContent = ccui.Layout:create()
	setValue(self.partListviewContent, "partListviewContent", 89, cc.size(530, 500), cc.p(950, 250), cc.p(1, 0.5), nil, nil, nil, nil)
	addChildForPre(self.bottomPanel_3, self.partListviewContent)
	self.partListviewContent_4 = self.partListviewContent

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 106, cc.size(525, 450), cc.p(265, 265), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/common/CommonTextureBig.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(5, 5, 515, 480))
	addChildForPre(self.partListviewContent_4, self.bgImage)

	self.frameBGImage = ccui.ImageView:create()
	setValue(self.frameBGImage, "frameBGImage", 54, cc.size(525, 450), cc.p(265, 265), nil, nil, nil, nil, false)
	self.frameBGImage:loadTexture("ccs/UiImages/common/CommonFrame.png", 1)
	self.frameBGImage:setScale9Enabled(true)
	self.frameBGImage:setCapInsets(cc.rect(30, 20, 186, 10))
	addChildForPre(self.partListviewContent_4, self.frameBGImage)

	self.reportButton = ccui.Button:create()
	setValue(self.reportButton, "reportButton", 158, cc.size(150, 62), cc.p(418.7, 45), nil, nil, nil, nil, false)
	self.reportButton:loadTextureNormal("ccs/UiImages/image9/CommonBtnRed.png", 1)
	self.reportButton:loadTexturePressed("ccs/UiImages/image9/CommonBtnRedHover.png", 1)
	self.reportButton:loadTextureDisabled("ccs/UiImages/image9/CommonBtnDisable.png", 1)
	self.reportButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.reportButton:setTitleText([[report]])
	self.reportButton:setTitleFontSize(25)
	self.reportButton:setTitleFontName(getFont())
	setClickEvent(self, self.reportButton, "reportButton")
	addChildForPre(self.partListviewContent_4, self.reportButton)
	self.reportButton_5 = self.reportButton

	self.redPoint = cc.Sprite:create()
	setValue(self.redPoint, "log_redPoint", 163, cc.size(21, 21), cc.p(130.4707, 47.6079), nil, nil, nil, nil, nil)
	self.redPoint:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.reportButton_5, self.redPoint)

	self.TtileBGImage = ccui.ImageView:create()
	setValue(self.TtileBGImage, "TtileBGImage", 115, cc.size(260, 45), cc.p(170.077, 49.05), nil, nil, nil, nil, false)
	self.TtileBGImage:loadTexture("ccs/UiImages/common/CommonUnderframe.png", 1)
	self.TtileBGImage:setScale9Enabled(true)
	self.TtileBGImage:setCapInsets(cc.rect(5, 0, 132, 32))
	addChildForPre(self.partListviewContent_4, self.TtileBGImage)

	self.frameBGImage = ccui.ImageView:create()
	setValue(self.frameBGImage, "frameBGImage", 598, cc.size(260, 45), cc.p(170.077, 49.05), nil, nil, nil, nil, false)
	self.frameBGImage:loadTexture("ccs/UiImages/common/CommonFrame.png", 1)
	self.frameBGImage:setScale9Enabled(true)
	self.frameBGImage:setCapInsets(cc.rect(0, 0, 246, 50))
	addChildForPre(self.partListviewContent_4, self.frameBGImage)

	self.itemImage = ccui.ImageView:create()
	setValue(self.itemImage, "itemImage", 35, cc.size(150, 149), cc.p(77.592, 49.05), nil, nil, nil, nil, nil)
	self.itemImage:setScale(0.3)
	self.itemImage:loadTexture("ccs/UiImages/icon/item_1128.png", 1)
	addChildForPre(self.partListviewContent_4, self.itemImage)

	self.robCountLabel = createLabel({text=[[12/20*]], font=getFont(), size=24})
	setValue(self.robCountLabel, "robCountLabel", 92, cc.size(69, 28), cc.p(98.792, 51.3), cc.p(0, 0.5), nil, nil, nil, nil)
	self.robCountLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.partListviewContent_4, self.robCountLabel)

	self.itemTimeLabel = createLabel({text=[[itemTime]], font=getFont(), size=24})
	setValue(self.itemTimeLabel, "itemTimeLabel", 69, cc.size(97, 28), cc.p(240.037, 51.3), nil, cc.c4b(0, 160, 0, 255), nil, nil, nil)
	self.itemTimeLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.itemTimeLabel:setColor(cc.c4b(0, 160, 0, 255))
	addChildForPre(self.partListviewContent_4, self.itemTimeLabel)

	self.listviewPanel = ccui.Layout:create()
	setValue(self.listviewPanel, "listviewPanel", 107, cc.size(520, 410), cc.p(265, 275), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.partListviewContent_4, self.listviewPanel)

	if RobNoPieceUi then 
 		self.robNoPieceUi = RobNoPieceUi.new() 
 	else 
		self.robNoPieceUi = BaseUi.new("ccs/ui/robPiece/RobNoPieceUi.lua")
 	end 
	setValue(self.robNoPieceUi, "robNoPieceUi", 98, nil, cc.p(0, 50), nil, nil, nil, nil, nil)
	addChildForPre(self.partListviewContent_4, self.robNoPieceUi)

	self.pieceContent = ccui.Layout:create()
	setValue(self.pieceContent, "pieceContent", 88, cc.size(420, 500), cc.p(0, 250), cc.p(0, 0.5), nil, nil, nil, nil)
	addChildForPre(self.bottomPanel_3, self.pieceContent)
	self.pieceContent_4 = self.pieceContent

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 55, cc.size(415, 450), cc.p(210, 265), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/common/CommonTextureBig.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(5, 5, 515, 480))
	addChildForPre(self.pieceContent_4, self.bgImage)

	self.frameBGImage = ccui.ImageView:create()
	setValue(self.frameBGImage, "frameBGImage", 53, cc.size(415, 450), cc.p(210, 265), nil, nil, nil, nil, false)
	self.frameBGImage:loadTexture("ccs/UiImages/common/CommonFrame.png", 1)
	self.frameBGImage:setScale9Enabled(true)
	self.frameBGImage:setCapInsets(cc.rect(30, 20, 186, 10))
	addChildForPre(self.pieceContent_4, self.frameBGImage)

	self.BigGear = cc.Sprite:create()
	setValue(self.BigGear, "BigGear", 161, cc.size(265, 265), cc.p(210, 265), nil, nil, nil, nil, nil)
	self.BigGear:setSpriteFrame("ccs/UiImages/commonB/BigGear.png")
	addChildForPre(self.pieceContent_4, self.BigGear)

	self.jumpButton = ccui.Button:create()
	setValue(self.jumpButton, "jumpButton", 159, cc.size(150, 62), cc.p(210, 45), nil, nil, nil, nil, false)
	self.jumpButton:loadTextureNormal("ccs/UiImages/image9/CommonBtnGreen.png", 1)
	self.jumpButton:loadTexturePressed("ccs/UiImages/image9/CommonBtnGreenHover.png", 1)
	self.jumpButton:loadTextureDisabled("ccs/UiImages/image9/CommonBtnDisable.png", 1)
	self.jumpButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.jumpButton:setTitleText([[jump]])
	self.jumpButton:setTitleFontSize(25)
	self.jumpButton:setTitleFontName(getFont())
	setClickEvent(self, self.jumpButton, "jumpButton")
	addChildForPre(self.pieceContent_4, self.jumpButton)

	self.composeButton = ccui.Button:create()
	setValue(self.composeButton, "composeButton", 622, cc.size(150, 62), cc.p(210, 45), nil, nil, nil, nil, false)
	self.composeButton:loadTextureNormal("ccs/UiImages/image9/CommonBtnGreen.png", 1)
	self.composeButton:loadTexturePressed("ccs/UiImages/image9/CommonBtnGreenHover.png", 1)
	self.composeButton:loadTextureDisabled("ccs/UiImages/image9/CommonBtnDisable.png", 1)
	self.composeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.composeButton:setTitleText([[compose]])
	self.composeButton:setTitleFontSize(25)
	self.composeButton:setTitleFontName(getFont())
	setClickEvent(self, self.composeButton, "composeButton")
	addChildForPre(self.pieceContent_4, self.composeButton)

	self.infoButton = ccui.Button:create()
	setValue(self.infoButton, "infoButton", 160, cc.size(70, 70), cc.p(42, 80), nil, nil, nil, nil, nil)
	self.infoButton:loadTextureNormal("ccs/UiImages/image9/BtnCommonLabel.png", 1)
	self.infoButton:loadTexturePressed("ccs/UiImages/image9/BtnCommonLabel.png", 1)
	self.infoButton:loadTextureDisabled("ccs/UiImages/image9/BtnCommonLabel.png", 1)
	self.infoButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.infoButton:setTitleText([[]])
	self.infoButton:setTitleColor(cc.c3b(65, 65, 70))
	self.infoButton:setTitleFontSize(14)
	self.infoButton:setTitleFontName(getFont())
	setClickEvent(self, self.infoButton, "infoButton")
	addChildForPre(self.pieceContent_4, self.infoButton)

	self.equipTtileBGImage = ccui.ImageView:create()
	setValue(self.equipTtileBGImage, "equipTtileBGImage", 161, cc.size(300, 36), cc.p(210, 460), nil, nil, nil, nil, false)
	self.equipTtileBGImage:loadTexture("ccs/UiImages/common/CommonUnderframeTitle.png", 1)
	self.equipTtileBGImage:setScale9Enabled(true)
	self.equipTtileBGImage:setCapInsets(cc.rect(5, 0, 438, 52))
	addChildForPre(self.pieceContent_4, self.equipTtileBGImage)

	self.equipTtileLabel = createLabel({text=[[]], font=getFont(), size=24})
	setValue(self.equipTtileLabel, "equipTtileLabel", 163, nil, cc.p(210, 460), nil, cc.c4b(255, 127, 0, 255), nil, nil, nil)
	self.equipTtileLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.equipTtileLabel:setColor(cc.c4b(255, 127, 0, 255))
	addChildForPre(self.pieceContent_4, self.equipTtileLabel)

	self.pieceListViewPanel = ccui.Layout:create()
	setValue(self.pieceListViewPanel, "pieceListViewPanel", 165, cc.size(400, 320), cc.p(210, 265), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.pieceContent_4, self.pieceListViewPanel)

	self.item_1215 = cc.Sprite:create()
	setValue(self.item_1215, "item_1215", 764, cc.size(150, 149), cc.p(210, 265), nil, nil, nil, nil, nil)
	self.item_1215:setSpriteFrame("ccs/UiImages/icon/item_1215.png")
	addChildForPre(self.pieceContent_4, self.item_1215)

	self.robTipButton = ccui.Button:create()
	self.robTipButton:setScale9Enabled(true)
	self.robTipButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.robTipButton:setContentSize(cc.size(240, 35))
	setValue(self.robTipButton, "robTipButton", 279, nil, cc.p(588.9843, 49.5834), nil, nil, nil, nil, false)
	self.robTipButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.robTipButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.robTipButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.robTipButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.robTipButton:setTitleText([[]])
	self.robTipButton:setTitleColor(cc.c3b(65, 65, 70))
	self.robTipButton:setTitleFontSize(14)
	self.robTipButton:setTitleFontName(getFont())
	setClickEvent(self, self.robTipButton, "robTipButton")
	addChildForPre(self.pieceContent_4, self.robTipButton)

	self.info1Button = ccui.Button:create()
	self.info1Button:setScale9Enabled(true)
	self.info1Button:setCapInsets(cc.rect(0, 0, 10, 10))
	self.info1Button:setContentSize(cc.size(150, 150))
	setValue(self.info1Button, "info1Button", 765, nil, cc.p(214.7381, 269.7719), nil, nil, nil, nil, false)
	self.info1Button:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.info1Button:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.info1Button:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.info1Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.info1Button:setTitleText([[]])
	self.info1Button:setTitleColor(cc.c3b(65, 65, 70))
	self.info1Button:setTitleFontSize(14)
	self.info1Button:setTitleFontName(getFont())
	setClickEvent(self, self.info1Button, "info1Button")
	addChildForPre(self.pieceContent_4, self.info1Button)

	self.composeNumLabel = createLabel({text=[[剩余合成次数:10]], font=getFont(), size=20})
	setValue(self.composeNumLabel, "composeNumLabel", 142, cc.size(147, 23), cc.p(209.6775, 83.1784), nil, nil, nil, nil, nil)
	self.composeNumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.pieceContent_4, self.composeNumLabel)

	self.info2Button = ccui.Button:create()
	self.info2Button:setScale9Enabled(true)
	self.info2Button:setCapInsets(cc.rect(0, 0, 10, 10))
	self.info2Button:setContentSize(cc.size(150, 30))
	setValue(self.info2Button, "info2Button", 766, nil, cc.p(208.7911, 462.7909), nil, nil, nil, nil, false)
	self.info2Button:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.info2Button:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.info2Button:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.info2Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.info2Button:setTitleText([[]])
	self.info2Button:setTitleColor(cc.c3b(65, 65, 70))
	self.info2Button:setTitleFontSize(14)
	self.info2Button:setTitleFontName(getFont())
	setClickEvent(self, self.info2Button, "info2Button")
	addChildForPre(self.pieceContent_4, self.info2Button)

	if CommonDialogFrame1CloseUi then 
 		self.commonDialogFrame1CloseUi = CommonDialogFrame1CloseUi.new() 
 	else 
		self.commonDialogFrame1CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame1CloseUi, "commonDialogFrame1CloseUi", 336, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.commonDialogFrame1CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"Default/Button_Disable.png",
	"ccs/plist/common.plist",
	"ccs/plist/icon.plist",
	"ccs/plist/image9.plist",
}

return _M
