-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 72, cc.size(100, 100), nil, cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.pieceiconButton = ccui.Button:create()
	self.pieceiconButton:setScale9Enabled(true)
	self.pieceiconButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.pieceiconButton:setContentSize(cc.size(107, 107))
	setValue(self.pieceiconButton, "pieceiconButton", 75, nil, cc.p(50, 50), nil, nil, nil, nil, false)
	self.pieceiconButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.pieceiconButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.pieceiconButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.pieceiconButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.pieceiconButton:setTitleText([[点我*]])
	self.pieceiconButton:setTitleColor(cc.c3b(65, 65, 70))
	self.pieceiconButton:setTitleFontSize(14)
	self.pieceiconButton:setTitleFontName(getFont())
	setClickEvent(self, self.pieceiconButton, "pieceiconButton")
	addChildForPre(self.rootPanel_1, self.pieceiconButton)

	self.smallGearBgSprite = cc.Sprite:create()
	setValue(self.smallGearBgSprite, "smallGearBgSprite", 152, cc.size(100, 100), cc.p(50, 50), nil, nil, nil, nil, nil)
	self.smallGearBgSprite:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.rootPanel_1, self.smallGearBgSprite)

	self.equipImage = ccui.ImageView:create()
	setValue(self.equipImage, "equipImage", 696, cc.size(46, 46), cc.p(50, 50), nil, nil, nil, nil, nil)
	self.equipImage:loadTexture("Default/ImageFile.png")
	addChildForPre(self.rootPanel_1, self.equipImage)

	self.fragmentSprite = cc.Sprite:create()
	setValue(self.fragmentSprite, "fragmentSprite", 126, cc.size(100, 100), cc.p(50, 50), nil, nil, nil, nil, nil)
	self.fragmentSprite:setSpriteFrame("ccs/UiImages/common/commonIcon_1.png")
	addChildForPre(self.rootPanel_1, self.fragmentSprite)

	self.grayPanel = ccui.Layout:create()
	setValue(self.grayPanel, "grayPanel", 14, cc.size(100, 100), nil, nil, nil, nil, nil, nil)
	setBgColor(self.grayPanel, 1, 127, cc.c4b(0, 0, 0, 255), nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.grayPanel)

	self.pieceCountLabel = createLabel({text=[[1000]], font=getFont(), size=24})
	setValue(self.pieceCountLabel, "pieceCountLabel", 79, cc.size(53, 28), cc.p(91, 15), cc.p(1, 0.5), nil, nil, nil, nil)
	self.pieceCountLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.pieceCountLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"Default/Button_Disable.png",
	"ccs/plist/image9.plist",
	"ccs/plist/commonBg.plist",
	"Default/ImageFile.png",
	"ccs/plist/common.plist",
}

return _M
