-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 609, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 156, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 179, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.upPanel = ccui.Layout:create()
	setValue(self.upPanel, "WTX_upPanel", 347, cc.size(640, 50), cc.p(320, 849.792), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.upPanel)
	self.upPanel_3 = self.upPanel

	self.upPanelBg = ccui.ImageView:create()
	setValue(self.upPanelBg, "WXN_upPanelBg", 198, cc.size(640, 8), cc.p(320, 0), cc.p(0.5, 1), nil, nil, nil, false)
	self.upPanelBg:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	self.upPanelBg:setScale9Enabled(true)
	self.upPanelBg:setCapInsets(cc.rect(10, -2, 620, 12))
	addChildForPre(self.upPanel_3, self.upPanelBg)

	self.countLabel = createLabel({text=[[countLabel]], font=getFont(), size=24,valign = 1})
	setValue(self.countLabel, "countLabel", 583, cc.size(117, 28), cc.p(70.784, 25), cc.p(0, 0.5), nil, nil, nil, nil)
	self.countLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.upPanel_3, self.countLabel)

	self.itemImage = ccui.ImageView:create()
	setValue(self.itemImage, "itemImage", 46, cc.size(50, 65), cc.p(45.184, 23), nil, nil, nil, nil, nil)
	self.itemImage:setScale(0.8)
	self.itemImage:loadTexture("ccs/UiImages/common/longMarch_icon_duobaoling_1.png", 1)
	addChildForPre(self.upPanel_3, self.itemImage)

	self.desc2Label = createLabel({text=[[desc2Label]], font=getFont(), size=24})
	setValue(self.desc2Label, "BXN_desc2Label", 348, cc.size(122, 28), cc.p(608, 25), cc.p(1, 0.5), nil, nil, nil, nil)
	self.desc2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.upPanel_3, self.desc2Label)

	self.piecesPanel = ccui.Layout:create()
	setValue(self.piecesPanel, "WIN_piecesPanel", 346, cc.size(640, 695), cc.p(0, 120), nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.piecesPanel)
	self.piecesPanel_3 = self.piecesPanel

	self.listViewPanel = ccui.Layout:create()
	setValue(self.listViewPanel, "AXY_listViewPanel", 427, cc.size(609, 686), cc.p(318.016, 347.5), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.piecesPanel_3, self.listViewPanel)

	self.bottomPanel = ccui.Layout:create()
	setValue(self.bottomPanel, "WXN_bottomPanel", 86, cc.size(640, 120), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.bottomPanel)
	self.bottomPanel_3 = self.bottomPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "WXN_bgImage", 47, cc.size(640, 120), cc.p(320, 60), nil, nil, nil, nil, false)
	self.bgImage:setVisible(false)
	self.bgImage:loadTexture("ccs/UiImages/image9/common_s9_diban1.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(8, 8, 8, 8))
	addChildForPre(self.bottomPanel_3, self.bgImage)

	self.imageLine1 = ccui.ImageView:create()
	setValue(self.imageLine1, "WXN_imageLine1", 286, cc.size(640, 30), cc.p(317.4992, 107.4999), nil, nil, nil, nil, false)
	self.imageLine1:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.imageLine1:setScale9Enabled(true)
	self.imageLine1:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.bottomPanel_3, self.imageLine1)

	self.desc1Label = createLabel({text=[[desc1Label]], font=getFont(), size=20})
	setValue(self.desc1Label, "XNN_desc1Label", 390, cc.size(102, 23), cc.p(320, 87), nil, cc.c4b(255, 127, 0, 255), nil, nil, nil)
	self.desc1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.desc1Label:setColor(cc.c4b(255, 127, 0, 255))
	addChildForPre(self.bottomPanel_3, self.desc1Label)

	self.changeRivalButton = ccui.Button:create()
	setValue(self.changeRivalButton, "XNN_changeRivalButton", 696, cc.size(153, 64), cc.p(320, 43.368), nil, nil, nil, nil, false)
	self.changeRivalButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.changeRivalButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.changeRivalButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.changeRivalButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.changeRivalButton:setTitleText([[changeRival]])
	self.changeRivalButton:setTitleFontSize(25)
	self.changeRivalButton:setTitleFontName(getFont())
	setClickEvent(self, self.changeRivalButton, "changeRivalButton")
	addChildForPre(self.bottomPanel_3, self.changeRivalButton)

	self.imageLine2 = ccui.ImageView:create()
	setValue(self.imageLine2, "WXN_imageLine2", 287, cc.size(640, 8), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.imageLine2:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	self.imageLine2:setScale9Enabled(true)
	self.imageLine2:setCapInsets(cc.rect(0, 0, 640, 8))
	addChildForPre(self.bottomPanel_3, self.imageLine2)

	if CommonDialogFrame1CloseUi then 
 		self.commonDialogFrame1CloseUi = CommonDialogFrame1CloseUi.new() 
 	else 
		self.commonDialogFrame1CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame1CloseUi, "commonDialogFrame1CloseUi", 151, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/common.plist",
}

return _M
