-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_0 = cc.Node:create()
	setValue(self.Node_0, "Node_0", 1580, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_0)
 	self.uiRootNode = self.Node_0
	self.Node_0_0 = self.Node_0

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 1633, cc.size(120, 150), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.itemBgSprite = cc.Sprite:create()
	setValue(self.itemBgSprite, "itemBgSprite", 497, cc.size(100, 100), cc.p(60, 99), nil, nil, nil, nil, nil)
	self.itemBgSprite:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.rootPanel_1, self.itemBgSprite)

	self.equipIcon = cc.Sprite:create()
	setValue(self.equipIcon, "equipIcon", 1635, cc.size(46, 46), cc.p(60, 99), nil, nil, nil, nil, nil)
	self.equipIcon:setTexture("Default/Sprite.png")
	addChildForPre(self.rootPanel_1, self.equipIcon)

	self.imageSelectFrame = ccui.ImageView:create()
	setValue(self.imageSelectFrame, "imageSelectFrame", 1690, cc.size(107, 107), cc.p(60, 99), nil, nil, nil, nil, nil)
	self.imageSelectFrame:loadTexture("ccs/UiImages/common/common_img_xuanzhong.png", 1)
	addChildForPre(self.rootPanel_1, self.imageSelectFrame)

	self.equipNameLabel = createLabel({text=[[equipName]], font=getFont(), size=20,align = 1, dimensions = cc.size(109.0000, 56.0000)})
	setValue(self.equipNameLabel, "equipNameLabel", 1688, cc.size(109, 56), cc.p(60, 24), nil, nil, nil, nil, false)
	self.equipNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.equipNameLabel)

	self.infoButton = ccui.Button:create()
	self.infoButton:setScale9Enabled(true)
	self.infoButton:setCapInsets(cc.rect(0, 0, 46, 36))
	self.infoButton:setContentSize(cc.size(120, 150))
	setValue(self.infoButton, "infoButton", 1689, nil, cc.p(60, 75), nil, nil, 0, nil, false)
	self.infoButton:loadTextureNormal("Default/Button_Normal.png", 0)
	self.infoButton:loadTexturePressed("Default/Button_Press.png", 0)
	self.infoButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.infoButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.infoButton:setTitleText([[]])
	self.infoButton:setTitleColor(cc.c3b(65, 65, 70))
	self.infoButton:setTitleFontSize(14)
	self.infoButton:setTitleFontName(getFont())
	setClickEvent(self, self.infoButton, "infoButton")
	addChildForPre(self.rootPanel_1, self.infoButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"Default/Sprite.png",
	"ccs/plist/common.plist",
	"Default/Button_Disable.png",
	"Default/Button_Press.png",
	"Default/Button_Normal.png",
}

return _M
