-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_1 = cc.Node:create()
	setValue(self.Node_1, "Node_1", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_1)
 	self.uiRootNode = self.Node_1
	self.Node_1_0 = self.Node_1

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 20, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_1_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.shopListViewPrePanel = ccui.Layout:create()
	setValue(self.shopListViewPrePanel, "WIX_shopListViewPrePanel", 7, cc.size(640, 729), cc.p(320, 832.0319), cc.p(0.5, 1), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.shopListViewPrePanel)

	self.buttonPanel = ccui.Layout:create()
	setValue(self.buttonPanel, "WXB_buttonPanel", 3036, cc.size(640, 100), nil, nil, nil, nil, nil, nil)
	setBgColor(self.buttonPanel, 1, nil, cc.c4b(31, 36, 44, 255), nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.buttonPanel)
	self.buttonPanel_2 = self.buttonPanel

	self.atlasButton = ccui.Button:create()
	setValue(self.atlasButton, "XBN_atlasButton", 1153, cc.size(153, 64), cc.p(160, 50), nil, nil, nil, nil, false)
	self.atlasButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.atlasButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.atlasButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.atlasButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.atlasButton:setTitleText([[图鉴]])
	self.atlasButton:setTitleFontSize(24)
	self.atlasButton:setTitleFontName(getFont())
	setClickEvent(self, self.atlasButton, "atlasButton")
	addChildForPre(self.buttonPanel_2, self.atlasButton)

	self.exchageButton = ccui.Button:create()
	setValue(self.exchageButton, "XBN_exchageButton", 3379, cc.size(153, 64), cc.p(480, 50), nil, nil, nil, nil, false)
	self.exchageButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.exchageButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.exchageButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.exchageButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.exchageButton:setTitleText([[兑换]])
	self.exchageButton:setTitleFontSize(24)
	self.exchageButton:setTitleFontName(getFont())
	setClickEvent(self, self.exchageButton, "exchageButton")
	addChildForPre(self.buttonPanel_2, self.exchageButton)

	self.Image = ccui.ImageView:create()
	setValue(self.Image, "WTX_Image", 1029, cc.size(640, 30), cc.p(320, 93), nil, nil, nil, nil, false)
	self.Image:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.Image:setScale9Enabled(true)
	self.Image:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.buttonPanel_2, self.Image)

	self.desLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.desLabel, "XBN_desLabel", 351, cc.size(109, 28), cc.p(121.0074, 51.274), cc.p(0, 0.5), nil, nil, nil, nil)
	self.desLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.buttonPanel_2, self.desLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/common.plist",
}

return _M
