-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_1 = cc.Node:create()
	setValue(self.Node_1, "Node_1", 25, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_1)
 	self.uiRootNode = self.Node_1
	self.Node_1_0 = self.Node_1

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 106, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_1_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonShopDialog then 
 		self.CommonShopDialog = CommonShopDialog.new() 
 	else 
		self.CommonShopDialog = BaseUi.new("ccs/ui/commonDialog/CommonShopDialog.lua")
 	end 
	setValue(self.CommonShopDialog, "CommonShopDialog", 209, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.CommonShopDialog)

	self.Image = ccui.ImageView:create()
	setValue(self.Image, "WIX_Image", 338, cc.size(640, 763), cc.p(319.936, 528), nil, nil, nil, nil, false)
	self.Image:loadTexture("ccs/BigImages/background/shop_img_drawbg.webp")
	self.Image:setScale9Enabled(true)
	self.Image:setCapInsets(cc.rect(0, 0, 640, 780))
	addChildForPre(self.rootPanel_1, self.Image)

	self.PanelButtom = ccui.Layout:create()
	setValue(self.PanelButtom, "WBX_PanelButtom", 875, cc.size(640, 156), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.PanelButtom)
	self.PanelButtom_2 = self.PanelButtom

	self.buttonTop = ccui.ImageView:create()
	setValue(self.buttonTop, "WTN_buttonTop", 915, cc.size(640, 30), cc.p(0, 129), cc.p(0, 0), nil, nil, nil, false)
	self.buttonTop:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.buttonTop:setScale9Enabled(true)
	self.buttonTop:setCapInsets(cc.rect(1, 0, 638, 30))
	addChildForPre(self.PanelButtom_2, self.buttonTop)

	self.PanelConsume = ccui.Layout:create()
	setValue(self.PanelConsume, "TXN_PanelConsume", 1713, cc.size(270, 65), cc.p(368, 84), nil, nil, nil, nil, nil)
	addChildForPre(self.PanelButtom_2, self.PanelConsume)
	self.PanelConsume_3 = self.PanelConsume

	self.Textconsume = createLabel({text=[[消耗]], font=getFont(), size=24})
	setValue(self.Textconsume, "Textconsume", 916, cc.size(48, 28), cc.p(0, 28), cc.p(0, 0.5), nil, nil, nil, nil)
	self.Textconsume:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.PanelConsume_3, self.Textconsume)

	self.ImageIcon = cc.Sprite:create()
	setValue(self.ImageIcon, "ImageIcon", 692, cc.size(100, 100), cc.p(70.0001, 30), nil, nil, nil, nil, nil)
	self.ImageIcon:setScale(0.5)
	self.ImageIcon:setSpriteFrame("ccs/UiImages/icon/tegongling.png")
	addChildForPre(self.PanelConsume_3, self.ImageIcon)

	self.TextNum = createLabel({text=[[x1]], font=getFont(), size=24})
	setValue(self.TextNum, "TextNum", 1728, cc.size(25, 28), cc.p(99, 30), cc.p(0, 0.5), nil, nil, nil, nil)
	self.TextNum:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.PanelConsume_3, self.TextNum)

	self.TextHave = createLabel({text=[[拥有100个]], font=getFont(), size=24})
	setValue(self.TextHave, "TextHave", 1729, cc.size(112, 28), cc.p(146, 29), cc.p(0, 0.5), nil, nil, nil, nil)
	self.TextHave:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.PanelConsume_3, self.TextHave)

	self.BackButton = ccui.Button:create()
	setValue(self.BackButton, "WXN_BackButton", 1731, cc.size(153, 64), cc.p(211.2, 54.0072), nil, nil, nil, nil, false)
	self.BackButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.BackButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.BackButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.BackButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.BackButton:setTitleText([[关闭]])
	self.BackButton:setTitleFontSize(24)
	self.BackButton:setTitleFontName(getFont())
	setClickEvent(self, self.BackButton, "BackButton")
	addChildForPre(self.PanelButtom_2, self.BackButton)

	self.StepButton = ccui.Button:create()
	setValue(self.StepButton, "WXN_StepButton", 2010, cc.size(153, 64), cc.p(422.4, 52.9932), nil, nil, nil, nil, false)
	self.StepButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.StepButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.StepButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.StepButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.StepButton:setTitleText([[继续建造]])
	self.StepButton:setTitleFontSize(24)
	self.StepButton:setTitleFontName(getFont())
	setClickEvent(self, self.StepButton, "StepButton")
	addChildForPre(self.PanelButtom_2, self.StepButton)

	self.shipPanel = ccui.Layout:create()
	setValue(self.shipPanel, "AXY_shipPanel", 872, cc.size(640, 730), cc.p(320, 523.2), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.shipPanel)
	self.shipPanel_2 = self.shipPanel

	self.cellPanel1 = ccui.Layout:create()
	setValue(self.cellPanel1, "XYN_cellPanel1", 812, cc.size(161, 230), cc.p(86.912, 629.99), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.shipPanel_2, self.cellPanel1)
	self.cellPanel1_3 = self.cellPanel1

	if ShopTankCellUi then 
 		self.shipCell1 = ShopTankCellUi.new() 
 	else 
		self.shipCell1 = BaseUi.new("ccs/ui/shop/ShopTankCellUi.lua")
 	end 
	setValue(self.shipCell1, "shipCell1", 873, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.cellPanel1_3, self.shipCell1)

	self.cellPanel2 = ccui.Layout:create()
	setValue(self.cellPanel2, "XYN_cellPanel2", 815, cc.size(161, 230), cc.p(244.736, 629.99), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.shipPanel_2, self.cellPanel2)
	self.cellPanel2_3 = self.cellPanel2

	if ShopTankCellUi then 
 		self.shipCell2 = ShopTankCellUi.new() 
 	else 
		self.shipCell2 = BaseUi.new("ccs/ui/shop/ShopTankCellUi.lua")
 	end 
	setValue(self.shipCell2, "shipCell2", 882, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.cellPanel2_3, self.shipCell2)

	self.cellPanel3 = ccui.Layout:create()
	setValue(self.cellPanel3, "XYN_cellPanel3", 816, cc.size(161, 230), cc.p(402.624, 629.99), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.shipPanel_2, self.cellPanel3)
	self.cellPanel3_3 = self.cellPanel3

	if ShopTankCellUi then 
 		self.shipCell3 = ShopTankCellUi.new() 
 	else 
		self.shipCell3 = BaseUi.new("ccs/ui/shop/ShopTankCellUi.lua")
 	end 
	setValue(self.shipCell3, "shipCell3", 891, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.cellPanel3_3, self.shipCell3)

	self.cellPanel4 = ccui.Layout:create()
	setValue(self.cellPanel4, "XYN_cellPanel4", 813, cc.size(161, 230), cc.p(560.512, 629.99), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.shipPanel_2, self.cellPanel4)
	self.cellPanel4_3 = self.cellPanel4

	if ShopTankCellUi then 
 		self.shipCell4 = ShopTankCellUi.new() 
 	else 
		self.shipCell4 = BaseUi.new("ccs/ui/shop/ShopTankCellUi.lua")
 	end 
	setValue(self.shipCell4, "shipCell4", 900, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.cellPanel4_3, self.shipCell4)

	self.cellPanel10 = ccui.Layout:create()
	setValue(self.cellPanel10, "XYN_cellPanel10", 814, cc.size(161, 230), cc.p(86.912, 377.775), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.shipPanel_2, self.cellPanel10)
	self.cellPanel10_3 = self.cellPanel10

	if ShopTankCellUi then 
 		self.shipCell10 = ShopTankCellUi.new() 
 	else 
		self.shipCell10 = BaseUi.new("ccs/ui/shop/ShopTankCellUi.lua")
 	end 
	setValue(self.shipCell10, "shipCell10", 909, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.cellPanel10_3, self.shipCell10)

	self.cellPanel5 = ccui.Layout:create()
	setValue(self.cellPanel5, "XYN_cellPanel5", 817, cc.size(161, 230), cc.p(560.512, 377.775), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.shipPanel_2, self.cellPanel5)
	self.cellPanel5_3 = self.cellPanel5

	if ShopTankCellUi then 
 		self.shipCell5 = ShopTankCellUi.new() 
 	else 
		self.shipCell5 = BaseUi.new("ccs/ui/shop/ShopTankCellUi.lua")
 	end 
	setValue(self.shipCell5, "shipCell5", 200, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.cellPanel5_3, self.shipCell5)

	self.cellPanel9 = ccui.Layout:create()
	setValue(self.cellPanel9, "XYN_cellPanel9", 559, cc.size(161, 230), cc.p(86.912, 124.173), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.shipPanel_2, self.cellPanel9)
	self.cellPanel9_3 = self.cellPanel9

	if ShopTankCellUi then 
 		self.shipCell9 = ShopTankCellUi.new() 
 	else 
		self.shipCell9 = BaseUi.new("ccs/ui/shop/ShopTankCellUi.lua")
 	end 
	setValue(self.shipCell9, "shipCell9", 209, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.cellPanel9_3, self.shipCell9)

	self.cellPanel8 = ccui.Layout:create()
	setValue(self.cellPanel8, "XYN_cellPanel8", 819, cc.size(161, 230), cc.p(244.736, 124.173), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.shipPanel_2, self.cellPanel8)
	self.cellPanel8_3 = self.cellPanel8

	if ShopTankCellUi then 
 		self.shipCell8 = ShopTankCellUi.new() 
 	else 
		self.shipCell8 = BaseUi.new("ccs/ui/shop/ShopTankCellUi.lua")
 	end 
	setValue(self.shipCell8, "shipCell8", 918, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.cellPanel8_3, self.shipCell8)

	self.cellPanel7 = ccui.Layout:create()
	setValue(self.cellPanel7, "XYN_cellPanel7", 820, cc.size(161, 230), cc.p(402.624, 124.173), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.shipPanel_2, self.cellPanel7)
	self.cellPanel7_3 = self.cellPanel7

	if ShopTankCellUi then 
 		self.shipCell7 = ShopTankCellUi.new() 
 	else 
		self.shipCell7 = BaseUi.new("ccs/ui/shop/ShopTankCellUi.lua")
 	end 
	setValue(self.shipCell7, "shipCell7", 927, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.cellPanel7_3, self.shipCell7)

	self. cellPanel6 = ccui.Layout:create()
	setValue(self. cellPanel6, "XYN_ cellPanel6", 818, cc.size(161, 230), cc.p(560.512, 124.173), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.shipPanel_2, self. cellPanel6)
	self. cellPanel6_3 = self. cellPanel6

	if ShopTankCellUi then 
 		self.shipCell6 = ShopTankCellUi.new() 
 	else 
		self.shipCell6 = BaseUi.new("ccs/ui/shop/ShopTankCellUi.lua")
 	end 
	setValue(self.shipCell6, "shipCell6", 218, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self. cellPanel6_3, self.shipCell6)

	self.actPanel = ccui.Layout:create()
	setValue(self.actPanel, "XYN_actPanel", 710, cc.size(315, 260), cc.p(320, 372.3), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.actPanel:setClippingEnabled(true)
	addChildForPre(self.shipPanel_2, self.actPanel)
	self.actPanel_3 = self.actPanel

	self.actFrameImage = ccui.ImageView:create()
	setValue(self.actFrameImage, "actFrameImage", 340, cc.size(428, 382), cc.p(162.099, 133.12), nil, nil, nil, nil, false)
	self.actFrameImage:loadTexture("ccs/UiImages/mall/mall_img_kuang.png", 1)
	self.actFrameImage:setScale9Enabled(true)
	self.actFrameImage:setCapInsets(cc.rect(0, 0, 428, 382))
	addChildForPre(self.actPanel_3, self.actFrameImage)

	self.actbgImage = ccui.ImageView:create()
	setValue(self.actbgImage, "actbgImage", 339, cc.size(268, 224), cc.p(162.351, 133.9), nil, nil, nil, nil, false)
	self.actbgImage:loadTexture("ccs/UiImages/mall/mall_img_bg.png", 1)
	self.actbgImage:setScale9Enabled(true)
	self.actbgImage:setCapInsets(cc.rect(0, 0, 268, 224))
	addChildForPre(self.actPanel_3, self.actbgImage)

	self.particlePanel = ccui.Layout:create()
	setValue(self.particlePanel, "particlePanel", 721, cc.size(264, 220), cc.p(160.65, 135.2), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.particlePanel:setClippingEnabled(true)
	addChildForPre(self.actPanel_3, self.particlePanel)
	self.particlePanel_4 = self.particlePanel

	if ShopParticleUi then 
 		self.ShopParticleUi = ShopParticleUi.new() 
 	else 
		self.ShopParticleUi = BaseUi.new("ccs/ui/shop/ShopParticleUi.lua")
 	end 
	setValue(self.ShopParticleUi, "ShopParticleUi", 711, nil, cc.p(47.52, -396), nil, nil, nil, nil, nil)
	addChildForPre(self.particlePanel_4, self.ShopParticleUi)

	self.closeButton = ccui.Button:create()
	setValue(self.closeButton, "TRN_closeButton", 507, cc.size(80, 60), cc.p(640, 960), cc.p(1, 1), nil, nil, nil, nil)
	self.closeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_close_0.png", 1)
	self.closeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_close_1.png", 1)
	self.closeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_close_0.png", 1)
	self.closeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.closeButton:setTitleText([[]])
	self.closeButton:setTitleColor(cc.c3b(65, 65, 70))
	self.closeButton:setTitleFontSize(14)
	self.closeButton:setTitleFontName(getFont())
	setClickEvent(self, self.closeButton, "closeButton")
	addChildForPre(self.rootPanel_1, self.closeButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/BigImages/background/shop_img_drawbg.jpg",
	"ccs/plist/image9.plist",
	"ccs/plist/icon.plist",
	"ccs/plist/mall.plist",
}

return _M
