-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 129, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 130, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.topPanel = ccui.Layout:create()
	setValue(self.topPanel, "WIX_topPanel", 190, cc.size(640, 300), cc.p(320, 528), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.topPanel)
	self.topPanel_2 = self.topPanel

	self.epSpButton = ccui.Button:create()
	setValue(self.epSpButton, "epSpButton", 118, cc.size(46, 36), cc.p(262.4, 336), cc.p(1, 0.5), nil, nil, nil, nil)
	self.epSpButton:setScale(0.3)
	self.epSpButton:setVisible(false)
	self.epSpButton:loadTextureNormal("Default/Button_Normal.png", 0)
	self.epSpButton:loadTexturePressed("Default/Button_Press.png", 0)
	self.epSpButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.epSpButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.epSpButton:setTitleText([[]])
	self.epSpButton:setTitleColor(cc.c3b(65, 65, 70))
	self.epSpButton:setTitleFontSize(14)
	self.epSpButton:setTitleFontName(getFont())
	setClickEvent(self, self.epSpButton, "epSpButton")
	addChildForPre(self.topPanel_2, self.epSpButton)

	self.goldSp = cc.Sprite:create()
	setValue(self.goldSp, "goldSp", 195, cc.size(46, 46), cc.p(345.6, 336), cc.p(1, 0.5), nil, nil, nil, nil)
	self.goldSp:setScale(0.3)
	self.goldSp:setVisible(false)
	self.goldSp:setTexture("Default/Sprite.png")
	addChildForPre(self.topPanel_2, self.goldSp)

	self.goldLable = createLabel({text=[[123456789]], font=getFont(), size=24})
	setValue(self.goldLable, "goldLable", 193, cc.size(120, 28), cc.p(345.6, 336), cc.p(0, 0.5), nil, nil, nil, nil)
	self.goldLable:setVisible(false)
	self.goldLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.topPanel_2, self.goldLable)

	self.gemSp = cc.Sprite:create()
	setValue(self.gemSp, "gemSp", 196, cc.size(46, 46), cc.p(480, 336), cc.p(1, 0.5), nil, nil, nil, nil)
	self.gemSp:setScale(0.3)
	self.gemSp:setVisible(false)
	self.gemSp:setTexture("Default/Sprite.png")
	addChildForPre(self.topPanel_2, self.gemSp)

	self.gemLable = createLabel({text=[[123456789]], font=getFont(), size=24})
	setValue(self.gemLable, "gemLable", 194, cc.size(120, 28), cc.p(480, 336), cc.p(0, 0.5), nil, nil, nil, nil)
	self.gemLable:setVisible(false)
	self.gemLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.topPanel_2, self.gemLable)

	self.TopBackImage = ccui.ImageView:create()
	setValue(self.TopBackImage, "AXY_TopBackImage", 57, cc.size(640, 300), cc.p(320, 150), nil, nil, nil, nil, false)
	self.TopBackImage:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.TopBackImage:setScale9Enabled(true)
	self.TopBackImage:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.topPanel_2, self.TopBackImage)

	self.iconViewPanel = ccui.Layout:create()
	setValue(self.iconViewPanel, "AXY_iconViewPanel", 192, cc.size(640, 291), cc.p(320, 150), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.topPanel_2, self.iconViewPanel)

	self.infoButton = ccui.Button:create()
	setValue(self.infoButton, "TRX_infoButton", 219, cc.size(81, 26), cc.p(564, 335), nil, cc.c4b(15, 177, 242, 255), nil, nil, false)
	self.infoButton:loadTextureNormal("ccs/UiImages/image9/Underline.png", 1)
	self.infoButton:loadTexturePressed("ccs/UiImages/image9/Underline.png", 1)
	self.infoButton:loadTextureDisabled("ccs/UiImages/image9/Underline.png", 1)
	self.infoButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.infoButton:setTitleText([[说明]])
	self.infoButton:setTitleFontSize(26)
	self.infoButton:setTitleFontName(getFont())
	setClickEvent(self, self.infoButton, "infoButton")
	addChildForPre(self.topPanel_2, self.infoButton)

	self.selectScenePanel = ccui.Layout:create()
	setValue(self.selectScenePanel, "WBX_selectScenePanel", 191, cc.size(640, 315), cc.p(320, 174), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.selectScenePanel)
	self.selectScenePanel_2 = self.selectScenePanel

	self.selectBackImage = ccui.ImageView:create()
	setValue(self.selectBackImage, "selectBackImage", 58, cc.size(640, 315), cc.p(320, 157.5), nil, nil, nil, nil, false)
	self.selectBackImage:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.selectBackImage:setScale9Enabled(true)
	self.selectBackImage:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.selectScenePanel_2, self.selectBackImage)

	if ShopMedalCellUi then 
 		self.shopMedalCellUi1 = ShopMedalCellUi.new() 
 	else 
		self.shopMedalCellUi1 = BaseUi.new("ccs/ui/shop/ShopMedalCellUi.lua")
 	end 
	setValue(self.shopMedalCellUi1, "shopMedalCellUi1", 66, nil, cc.p(19.2, 22.05), nil, nil, nil, nil, nil)
	addChildForPre(self.selectScenePanel_2, self.shopMedalCellUi1)

	if ShopMedalCellUi then 
 		self.shopMedalCellUi2 = ShopMedalCellUi.new() 
 	else 
		self.shopMedalCellUi2 = BaseUi.new("ccs/ui/shop/ShopMedalCellUi.lua")
 	end 
	setValue(self.shopMedalCellUi2, "shopMedalCellUi2", 77, nil, cc.p(142.4, 22.05), nil, nil, nil, nil, nil)
	addChildForPre(self.selectScenePanel_2, self.shopMedalCellUi2)

	if ShopMedalCellUi then 
 		self.shopMedalCellUi3 = ShopMedalCellUi.new() 
 	else 
		self.shopMedalCellUi3 = BaseUi.new("ccs/ui/shop/ShopMedalCellUi.lua")
 	end 
	setValue(self.shopMedalCellUi3, "shopMedalCellUi3", 88, nil, cc.p(265.6, 22.05), nil, nil, nil, nil, nil)
	addChildForPre(self.selectScenePanel_2, self.shopMedalCellUi3)

	if ShopMedalCellUi then 
 		self.shopMedalCellUi4 = ShopMedalCellUi.new() 
 	else 
		self.shopMedalCellUi4 = BaseUi.new("ccs/ui/shop/ShopMedalCellUi.lua")
 	end 
	setValue(self.shopMedalCellUi4, "shopMedalCellUi4", 99, nil, cc.p(388.8, 22.05), nil, nil, nil, nil, nil)
	addChildForPre(self.selectScenePanel_2, self.shopMedalCellUi4)

	if ShopMedalCellUi then 
 		self.shopMedalCellUi5 = ShopMedalCellUi.new() 
 	else 
		self.shopMedalCellUi5 = BaseUi.new("ccs/ui/shop/ShopMedalCellUi.lua")
 	end 
	setValue(self.shopMedalCellUi5, "shopMedalCellUi5", 110, nil, cc.p(512, 22.05), nil, nil, nil, nil, nil)
	addChildForPre(self.selectScenePanel_2, self.shopMedalCellUi5)

	self.scene4Button = ccui.Button:create()
	setValue(self.scene4Button, "scene4Button", 142, cc.size(98, 51), cc.p(444.8, 57.771), nil, nil, nil, nil, false)
	self.scene4Button:loadTextureNormal("ccs/UiImages/image9/CommonPanel_btn_smallred_0.png", 1)
	self.scene4Button:loadTexturePressed("ccs/UiImages/image9/CommonPanel_btn_smallred_1.png", 1)
	self.scene4Button:loadTextureDisabled("ccs/UiImages/image9/CommonPanel_btn_small_2.png", 1)
	self.scene4Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.scene4Button:setTitleText([[Button]])
	self.scene4Button:setTitleFontSize(26)
	self.scene4Button:setTitleFontName(getFont())
	setClickEvent(self, self.scene4Button, "scene4Button")
	addChildForPre(self.selectScenePanel_2, self.scene4Button)

	self.HightSelectOneGemSp = cc.Sprite:create()
	setValue(self.HightSelectOneGemSp, "HightSelectOneGemSp", 190, cc.size(35, 35), cc.p(405.56, -15.75), cc.p(1, 0.5), nil, nil, nil, nil)
	self.HightSelectOneGemSp:setSpriteFrame("ccs/UiImages/common/commonIcon_icon_ZuanShi_2.png")
	addChildForPre(self.selectScenePanel_2, self.HightSelectOneGemSp)

	self.OneLable = createLabel({text=[[50]], font=getFont(), size=24})
	setValue(self.OneLable, "OneLable", 191, cc.size(26, 28), cc.p(406.776, -15.75), cc.p(0, 0.5), nil, nil, nil, nil)
	self.OneLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.selectScenePanel_2, self.OneLable)

	self.SelectSp = cc.Sprite:create()
	setValue(self.SelectSp, "SelectSp", 193, cc.size(100, 100), cc.p(503.808, -15.75), cc.p(1, 0.5), nil, nil, nil, nil)
	self.SelectSp:setScale(0.35)
	self.SelectSp:setSpriteFrame("ccs/UiImages/icon/madal_icon_tansuoling.png")
	addChildForPre(self.selectScenePanel_2, self.SelectSp)

	self.OneItemLable = createLabel({text=[[1]], font=getFont(), size=24})
	setValue(self.OneItemLable, "OneItemLable", 194, cc.size(13, 28), cc.p(503.808, -15.75), cc.p(0, 0.5), nil, nil, nil, nil)
	self.OneItemLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.selectScenePanel_2, self.OneItemLable)

	self.redLinePanel1 = ccui.Layout:create()
	setValue(self.redLinePanel1, "redLinePanel1", 81, cc.size(60, 2), cc.p(374.712, -15.75), nil, nil, nil, nil, nil)
	setBgColor(self.redLinePanel1, 1, nil, cc.c4b(255, 0, 0, 255), nil, nil, nil)
	addChildForPre(self.selectScenePanel_2, self.redLinePanel1)

	self.HightSelectOneGemSp2 = cc.Sprite:create()
	setValue(self.HightSelectOneGemSp2, "HightSelectOneGemSp2", 85, cc.size(35, 35), cc.p(334.6, -15.75), cc.p(1, 0.5), nil, nil, nil, nil)
	self.HightSelectOneGemSp2:setSpriteFrame("ccs/UiImages/common/commonIcon_icon_ZuanShi_2.png")
	addChildForPre(self.selectScenePanel_2, self.HightSelectOneGemSp2)

	self.OneLable2 = createLabel({text=[[50]], font=getFont(), size=24})
	setValue(self.OneLable2, "OneLable2", 86, cc.size(26, 28), cc.p(335.56, -15.75), cc.p(0, 0.5), nil, nil, nil, nil)
	self.OneLable2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.selectScenePanel_2, self.OneLable2)

	self.showPanel = ccui.Layout:create()
	setValue(self.showPanel, "WBX_showPanel", 216, cc.size(640, 120), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.showPanel)
	self.showPanel_2 = self.showPanel

	self.epLable = createLabel({text=[[123]], font=getFont(), size=24})
	setValue(self.epLable, "LBN_epLable", 99, cc.size(40, 28), cc.p(30.016, 508.104), cc.p(0, 0.5), nil, nil, nil, nil)
	self.epLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.showPanel_2, self.epLable)

	self.lineupButton = ccui.Button:create()
	setValue(self.lineupButton, "BRX_lineupButton", 217, cc.size(81, 26), cc.p(582.016, 509.604), nil, cc.c4b(15, 177, 242, 255), nil, nil, false)
	self.lineupButton:loadTextureNormal("ccs/UiImages/image9/Underline.png", 1)
	self.lineupButton:loadTexturePressed("ccs/UiImages/image9/Underline.png", 1)
	self.lineupButton:loadTextureDisabled("ccs/UiImages/image9/Underline.png", 1)
	self.lineupButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.lineupButton:setTitleText([[Button]])
	self.lineupButton:setTitleFontSize(26)
	self.lineupButton:setTitleFontName(getFont())
	setClickEvent(self, self.lineupButton, "lineupButton")
	addChildForPre(self.showPanel_2, self.lineupButton)

	self.gighButton = ccui.Button:create()
	setValue(self.gighButton, "XYN_gighButton", 202, cc.size(153, 64), cc.p(102.4, 60), nil, nil, nil, nil, false)
	self.gighButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.gighButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.gighButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.gighButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.gighButton:setTitleText([[Button]])
	self.gighButton:setTitleFontSize(26)
	self.gighButton:setTitleFontName(getFont())
	setClickEvent(self, self.gighButton, "gighButton")
	addChildForPre(self.showPanel_2, self.gighButton)

	self.quickButton = ccui.Button:create()
	setValue(self.quickButton, "XYN_quickButton", 203, cc.size(153, 64), cc.p(320, 60), nil, nil, nil, nil, false)
	self.quickButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.quickButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.quickButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.quickButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.quickButton:setTitleText([[Button]])
	self.quickButton:setTitleFontSize(26)
	self.quickButton:setTitleFontName(getFont())
	setClickEvent(self, self.quickButton, "quickButton")
	addChildForPre(self.showPanel_2, self.quickButton)

	self.selectButton = ccui.Button:create()
	setValue(self.selectButton, "XYN_selectButton", 204, cc.size(153, 64), cc.p(550.4, 60), nil, nil, nil, nil, false)
	self.selectButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.selectButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.selectButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.selectButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.selectButton:setTitleText([[Button]])
	self.selectButton:setTitleFontSize(26)
	self.selectButton:setTitleFontName(getFont())
	setClickEvent(self, self.selectButton, "selectButton")
	addChildForPre(self.showPanel_2, self.selectButton)

	self.needNumber = createLabel({text=[[123456789]], font=getFont(), size=24})
	setValue(self.needNumber, "needNumber", 201, cc.size(120, 28), cc.p(510.784, 101.796), cc.p(0, 0.5), nil, nil, nil, nil)
	self.needNumber:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.showPanel_2, self.needNumber)

	self.selectSp = cc.Sprite:create()
	setValue(self.selectSp, "selectSp", 205, cc.size(35, 35), cc.p(510.784, 101.796), cc.p(1, 0.5), nil, nil, nil, nil)
	self.selectSp:setSpriteFrame("ccs/UiImages/common/commonIcon_icon_Gold_2.png")
	addChildForPre(self.showPanel_2, self.selectSp)

	self.redLinePanel2 = ccui.Layout:create()
	setValue(self.redLinePanel2, "redLinePanel2", 82, cc.size(133, 2), cc.p(478.784, 101.796), nil, nil, nil, nil, nil)
	setBgColor(self.redLinePanel2, 1, nil, cc.c4b(255, 0, 0, 255), nil, nil, nil)
	addChildForPre(self.showPanel_2, self.redLinePanel2)

	self.selectSp2 = cc.Sprite:create()
	setValue(self.selectSp2, "selectSp2", 83, cc.size(35, 35), cc.p(510.784, 129.996), cc.p(1, 0.5), nil, nil, nil, nil)
	self.selectSp2:setSpriteFrame("ccs/UiImages/common/commonIcon_icon_Gold_2.png")
	addChildForPre(self.showPanel_2, self.selectSp2)

	self.needNumber2 = createLabel({text=[[123456789]], font=getFont(), size=24})
	setValue(self.needNumber2, "needNumber2", 84, cc.size(120, 28), cc.p(510.784, 132.996), cc.p(0, 0.5), nil, nil, nil, nil)
	self.needNumber2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.showPanel_2, self.needNumber2)

	self.imageLine1 = ccui.ImageView:create()
	setValue(self.imageLine1, "WBX_imageLine1", 59, cc.size(640, 8), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.imageLine1:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	self.imageLine1:setScale9Enabled(true)
	self.imageLine1:setCapInsets(cc.rect(0, 0, 640, 8))
	addChildForPre(self.showPanel_2, self.imageLine1)

	self.imageLine2 = ccui.ImageView:create()
	setValue(self.imageLine2, "WTX_imageLine2", 60, cc.size(640, 30), cc.p(320, 113.4), cc.p(0.5, 0), nil, nil, nil, false)
	self.imageLine2:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.imageLine2:setScale9Enabled(true)
	self.imageLine2:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.showPanel_2, self.imageLine2)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"Default/Button_Disable.png",
	"Default/Button_Press.png",
	"Default/Button_Normal.png",
	"Default/Sprite.png",
	"ccs/plist/battle.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/common.plist",
	"ccs/plist/icon.plist",
}

return _M
