-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_1 = cc.Node:create()
	setValue(self.Node_1, "Node_1", 187, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_1)
 	self.uiRootNode = self.Node_1
	self.Node_1_0 = self.Node_1

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 188, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_1_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if ShopDetailUi then 
 		self.ShopDetailUi = ShopDetailUi.new() 
 	else 
		self.ShopDetailUi = BaseUi.new("ccs/ui/shop/ShopDetailUi.lua")
 	end 
	setValue(self.ShopDetailUi, "ShopDetailUi", 2971, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.ShopDetailUi)

	if CommonShopDialog then 
 		self.CommonShopDialog = CommonShopDialog.new() 
 	else 
		self.CommonShopDialog = BaseUi.new("ccs/ui/commonDialog/CommonShopDialog.lua")
 	end 
	setValue(self.CommonShopDialog, "CommonShopDialog", 153, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.CommonShopDialog)

	self.CommonArticleBox = ccui.ImageView:create()
	setValue(self.CommonArticleBox, "TWX_CommonArticleBox", 613, cc.size(640, 62), cc.p(320, 860), nil, nil, nil, nil, nil)
	self.CommonArticleBox:loadTexture("ccs/UiImages/commonBg/common_img_diban00.png", 1)
	addChildForPre(self.rootPanel_1, self.CommonArticleBox)

	self.tabPanel = ccui.Layout:create()
	setValue(self.tabPanel, "TWX_tabPanel", 68, cc.size(640, 48), cc.p(0.0002, 887), cc.p(0, 1), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.tabPanel)
	self.tabPanel_2 = self.tabPanel

	self.shopButton = ccui.Button:create()
	self.shopButton:setScale9Enabled(true)
	self.shopButton:setCapInsets(cc.rect(0, 0, 247, 91))
	self.shopButton:setContentSize(cc.size(124, 48))
	setValue(self.shopButton, "shopButton", 85, nil, cc.p(195.2, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.shopButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.shopButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.shopButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.shopButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.shopButton:setTitleText([[商城]])
	self.shopButton:setTitleFontSize(25)
	self.shopButton:setTitleFontName(getFont())
	setClickEvent(self, self.shopButton, "shopButton")
	addChildForPre(self.tabPanel_2, self.shopButton)

	self.lotteryButton = ccui.Button:create()
	self.lotteryButton:setScale9Enabled(true)
	self.lotteryButton:setCapInsets(cc.rect(0, 0, 247, 91))
	self.lotteryButton:setContentSize(cc.size(123, 48))
	setValue(self.lotteryButton, "lotteryButton", 103, nil, cc.p(67.2, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.lotteryButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.lotteryButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.lotteryButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.lotteryButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.lotteryButton:setTitleText([[舰队抽取]])
	self.lotteryButton:setTitleFontSize(25)
	self.lotteryButton:setTitleFontName(getFont())
	setClickEvent(self, self.lotteryButton, "lotteryButton")
	addChildForPre(self.tabPanel_2, self.lotteryButton)

	self.medalButton = ccui.Button:create()
	self.medalButton:setScale9Enabled(true)
	self.medalButton:setCapInsets(cc.rect(0, 0, 247, 91))
	self.medalButton:setContentSize(cc.size(123, 48))
	setValue(self.medalButton, "medalButton", 104, nil, cc.p(326.4, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.medalButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.medalButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.medalButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.medalButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.medalButton:setTitleText([[商城]])
	self.medalButton:setTitleFontSize(25)
	self.medalButton:setTitleFontName(getFont())
	setClickEvent(self, self.medalButton, "medalButton")
	addChildForPre(self.tabPanel_2, self.medalButton)

	self.recruitButton = ccui.Button:create()
	self.recruitButton:setScale9Enabled(true)
	self.recruitButton:setCapInsets(cc.rect(0, 0, 247, 91))
	self.recruitButton:setContentSize(cc.size(123, 48))
	setValue(self.recruitButton, "recruitButton", 105, nil, cc.p(454.4, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.recruitButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.recruitButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.recruitButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.recruitButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.recruitButton:setTitleText([[商城]])
	self.recruitButton:setTitleFontSize(25)
	self.recruitButton:setTitleFontName(getFont())
	setClickEvent(self, self.recruitButton, "recruitButton")
	addChildForPre(self.tabPanel_2, self.recruitButton)

	self.contentPrePanel = ccui.Layout:create()
	setValue(self.contentPrePanel, "WIX_contentPrePanel", 267, cc.size(640, 832), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.contentPrePanel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/common.plist",
}

return _M
