-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 209, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 1646, cc.size(200, 200), cc.p(-508.9238, -212.8475), nil, nil, nil, nil, nil)
	setBgColor(self.rootPanel, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)

	self.Particle_1 = cc.ParticleSystemQuad:create("ccs/Particle/ceshi.plist")
 	self.Particle_1:setPositionType(2) 
	setValue(self.Particle_1, "Particle_1", 12, nil, cc.p(125.1185, 771.408), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle_1:setScaleX(1.3077)
	self.Particle_1:setScaleY(7)
	addChildForPre(self.Node_0, self.Particle_1)

	self.Particle_2 = cc.ParticleSystemQuad:create("ccs/Particle/ceshi01.plist")
 	self.Particle_2:setPositionType(2) 
	setValue(self.Particle_2, "Particle_2", 13, nil, cc.p(-1.1808, 667.5024), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle_2:setScaleX(0.6659)
	self.Particle_2:setScaleY(4)
	addChildForPre(self.Node_0, self.Particle_2)

	self.Particle_2_1 = cc.ParticleSystemQuad:create("ccs/Particle/ceshi01.plist")
 	self.Particle_2_1:setPositionType(2) 
	setValue(self.Particle_2_1, "Particle_2_1", 20, nil, cc.p(209.916, 669.3603), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle_2_1:setScaleX(0.6659)
	self.Particle_2_1:setScaleY(4)
	addChildForPre(self.Node_0, self.Particle_2_1)

	self.Particle_2_2 = cc.ParticleSystemQuad:create("ccs/Particle/ceshi01.plist")
 	self.Particle_2_2:setPositionType(2) 
	setValue(self.Particle_2_2, "Particle_2_2", 21, nil, cc.p(109.916, 666.0269), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle_2_2:setScaleX(0.6659)
	self.Particle_2_2:setScaleY(4)
	addChildForPre(self.Node_0, self.Particle_2_2)

	self.Particle_3 = cc.ParticleSystemQuad:create("ccs/Particle/ceshi02.plist")
 	self.Particle_3:setPositionType(2) 
	setValue(self.Particle_3, "Particle_3", 14, nil, cc.p(223.6573, 544.4366), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle_3:setScaleX(0.3769)
	self.Particle_3:setScaleY(3.3846)
	addChildForPre(self.Node_0, self.Particle_3)

	self.Particle_3_1 = cc.ParticleSystemQuad:create("ccs/Particle/ceshi02.plist")
 	self.Particle_3_1:setPositionType(2) 
	setValue(self.Particle_3_1, "Particle_3_1", 20, nil, cc.p(166.1663, 506.9356), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle_3_1:setScaleX(0.3769)
	self.Particle_3_1:setScaleY(3.3846)
	addChildForPre(self.Node_0, self.Particle_3_1)

	self.Particle_3_2 = cc.ParticleSystemQuad:create("ccs/Particle/ceshi02.plist")
 	self.Particle_3_2:setPositionType(2) 
	setValue(self.Particle_3_2, "Particle_3_2", 21, nil, cc.p(63.6788, 610.9313), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle_3_2:setScaleX(0.3769)
	self.Particle_3_2:setScaleY(3.3846)
	addChildForPre(self.Node_0, self.Particle_3_2)

	self.Particle_3_3 = cc.ParticleSystemQuad:create("ccs/Particle/ceshi02.plist")
 	self.Particle_3_3:setPositionType(2) 
	setValue(self.Particle_3_3, "Particle_3_3", 22, nil, cc.p(-2.3253, 656.936), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle_3_3:setScaleX(0.3769)
	self.Particle_3_3:setScaleY(3.3846)
	addChildForPre(self.Node_0, self.Particle_3_3)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
}

return _M
