-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 69, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 70, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 344, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.backGroundPanel = ccui.Layout:create()
	setValue(self.backGroundPanel, "AXY_backGroundPanel", 80, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	setBgColor(self.backGroundPanel, 1, 0, cc.c4b(0, 0, 0, 255), nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.backGroundPanel)

	self.backgroudPanel = ccui.Layout:create()
	setValue(self.backgroudPanel, "XYN_backgroudPanel", 125, cc.size(496, 475), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.backgroudPanel)
	self.backgroudPanel_3 = self.backgroudPanel

	self.imageBg = ccui.ImageView:create()
	setValue(self.imageBg, "imageBg", 147, cc.size(496, 475), cc.p(248, 237.5), nil, nil, nil, nil, false)
	self.imageBg:loadTexture("ccs/UiImages/image9/commonPanel_s9_bg_1.png", 1)
	self.imageBg:setScale9Enabled(true)
	self.imageBg:setCapInsets(cc.rect(30, 30, 112, 10))
	addChildForPre(self.backgroudPanel_3, self.imageBg)

	self.floorPanel = ccui.Layout:create()
	setValue(self.floorPanel, "floorPanel", 164, cc.size(496, 475), cc.p(248, 237.5), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.backgroudPanel_3, self.floorPanel)
	self.floorPanel_4 = self.floorPanel

	self.floorImage = ccui.ImageView:create()
	setValue(self.floorImage, "floorImage", 165, cc.size(456.32, 437), cc.p(248, 237.5), nil, nil, nil, nil, false)
	self.floorImage:loadTexture("ccs/UiImages/image9/CommonPanel_img_chuangkoubeijing_1.png", 1)
	self.floorImage:setScale9Enabled(true)
	self.floorImage:setCapInsets(cc.rect(0, 0, 470, 5))
	addChildForPre(self.floorPanel_4, self.floorImage)

	self.titleSprite = cc.Sprite:create()
	setValue(self.titleSprite, "titleSprite", 148, cc.size(462, 106), cc.p(248, 470.25), nil, nil, nil, nil, nil)
	self.titleSprite:setScale(0.6)
	self.titleSprite:setSpriteFrame("ccs/UiImages/commonBg/CommonPanel_img_WinHeader_1.png")
	addChildForPre(self.backgroudPanel_3, self.titleSprite)

	self.titleLabel = createLabel({text=[[Text Label]], font=getFont(), size=30})
	setValue(self.titleLabel, "titleLabel", 149, cc.size(136, 34), cc.p(248, 472.25), nil, nil, nil, nil, nil)
	self.titleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.backgroudPanel_3, self.titleLabel)

	self.closeButton = ccui.Button:create()
	setValue(self.closeButton, "closeButton", 79, cc.size(86, 55), cc.p(463.2144, 464.5025), nil, nil, nil, nil, nil)
	self.closeButton:loadTextureNormal("ccs/UiImages/common/CommonPanel_btn_X_0.png", 1)
	self.closeButton:loadTexturePressed("ccs/UiImages/common/CommonPanel_btn_X_1.png", 1)
	self.closeButton:loadTextureDisabled("ccs/UiImages/common/CommonPanel_btn_X_1.png", 1)
	self.closeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.closeButton:setTitleText([[]])
	self.closeButton:setTitleColor(cc.c3b(65, 65, 70))
	self.closeButton:setTitleFontSize(14)
	self.closeButton:setTitleFontName(getFont())
	setClickEvent(self, self.closeButton, "closeButton")
	addChildForPre(self.backgroudPanel_3, self.closeButton)

	self.infoPanel = ccui.Layout:create()
	setValue(self.infoPanel, "XYN_infoPanel", 71, cc.size(450, 450), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.infoPanel)
	self.infoPanel_3 = self.infoPanel

	self.tenSp = cc.Sprite:create()
	setValue(self.tenSp, "tenSp", 74, cc.size(612, 209), cc.p(225, 324), nil, nil, nil, nil, nil)
	self.tenSp:setScale(0.75)
	self.tenSp:setSpriteFrame("ccs/UiImages/commonBg/common_img_gaoditiao.png")
	addChildForPre(self.infoPanel_3, self.tenSp)

	self.tenImage = cc.Sprite:create()
	setValue(self.tenImage, "tenImage", 69, cc.size(259, 135), cc.p(135, 327.015), nil, nil, nil, nil, nil)
	self.tenImage:setTexture("ccs/BigImages/background/madal_img_goumai.webp")
	addChildForPre(self.infoPanel_3, self.tenImage)

	self.tenButton = ccui.Button:create()
	setValue(self.tenButton, "tenButton", 72, cc.size(153, 64), cc.p(360, 326.475), nil, nil, nil, nil, false)
	self.tenButton:loadTextureNormal("ccs/UiImages/image9/common_btn_green_0.png", 1)
	self.tenButton:loadTexturePressed("ccs/UiImages/image9/common_btn_green_1.png", 1)
	self.tenButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.tenButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tenButton:setTitleText([[探索10次]])
	self.tenButton:setTitleFontSize(28)
	self.tenButton:setTitleFontName(getFont())
	setClickEvent(self, self.tenButton, "tenButton")
	addChildForPre(self.infoPanel_3, self.tenButton)

	self.tenLable = createLabel({text=[[tenLable]], font=getFont(), size=30,align = 1,valign = 1})
	setValue(self.tenLable, "tenLable", 76, cc.size(115, 34), cc.p(130.005, 376.515), nil, cc.c4b(143, 84, 254, 255), nil, nil, nil)
	self.tenLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.tenLable:setColor(cc.c4b(143, 84, 254, 255))
	addChildForPre(self.infoPanel_3, self.tenLable)

	self.fiftyImage = cc.Sprite:create()
	setValue(self.fiftyImage, "fiftyImage", 70, cc.size(612, 209), cc.p(225, 112.5), nil, nil, nil, nil, nil)
	self.fiftyImage:setScale(0.75)
	self.fiftyImage:setSpriteFrame("ccs/UiImages/commonBg/common_img_gaoditiao.png")
	addChildForPre(self.infoPanel_3, self.fiftyImage)

	self.fiftySp = cc.Sprite:create()
	setValue(self.fiftySp, "fiftySp", 75, cc.size(259, 135), cc.p(135, 115.02), nil, nil, nil, nil, nil)
	self.fiftySp:setTexture("ccs/BigImages/background/madal_img_goumai2.webp")
	addChildForPre(self.infoPanel_3, self.fiftySp)

	self.fiftyButton = ccui.Button:create()
	setValue(self.fiftyButton, "fiftyButton", 73, cc.size(153, 64), cc.p(360, 112.5), nil, nil, nil, nil, false)
	self.fiftyButton:loadTextureNormal("ccs/UiImages/image9/common_btn_green_0.png", 1)
	self.fiftyButton:loadTexturePressed("ccs/UiImages/image9/common_btn_green_1.png", 1)
	self.fiftyButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.fiftyButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.fiftyButton:setTitleText([[探索50次]])
	self.fiftyButton:setTitleFontSize(28)
	self.fiftyButton:setTitleFontName(getFont())
	setClickEvent(self, self.fiftyButton, "fiftyButton")
	addChildForPre(self.infoPanel_3, self.fiftyButton)

	self.tensBg = ccui.Layout:create()
	setValue(self.tensBg, "tensBg", 1635, cc.size(260, 50), cc.p(135, 45), cc.p(0.5, 0), nil, nil, nil, nil)
	setBgColor(self.tensBg, 1, 102, cc.c4b(0, 0, 0, 255), nil, nil, nil)
	addChildForPre(self.infoPanel_3, self.tensBg)

	self.hightLable4 = createLabel({text=[[Text Label]], font=getFont(), size=18,valign = 2})
	setValue(self.hightLable4, "hightLable4", 142, cc.size(82, 21), cc.p(135.495, 45), cc.p(0.5, 0), nil, nil, nil, nil)
	self.hightLable4:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.infoPanel_3, self.hightLable4)

	self.fiftyLable = createLabel({text=[[fiftyLable]], font=getFont(), size=30,align = 1,valign = 1})
	setValue(self.fiftyLable, "fiftyLable", 77, cc.size(120, 34), cc.p(124.02, 166.5), nil, cc.c4b(253, 132, 53, 255), nil, nil, nil)
	self.fiftyLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.fiftyLable:setColor(cc.c4b(253, 132, 53, 255))
	addChildForPre(self.infoPanel_3, self.fiftyLable)

	self.twoInfoPanel = ccui.Layout:create()
	setValue(self.twoInfoPanel, "XYN_twoInfoPanel", 71, cc.size(450, 450), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.twoInfoPanel)
	self.twoInfoPanel_3 = self.twoInfoPanel

	self.tensPanel = ccui.Layout:create()
	setValue(self.tensPanel, "tensPanel", 167, cc.size(460, 158), cc.p(225, 337.5), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.twoInfoPanel_3, self.tensPanel)
	self.tensPanel_4 = self.tensPanel

	self.tensSp = cc.Sprite:create()
	setValue(self.tensSp, "tensSp", 75, cc.size(612, 209), cc.p(230, 79), nil, nil, nil, nil, nil)
	self.tensSp:setScale(0.75)
	self.tensSp:setSpriteFrame("ccs/UiImages/commonBg/common_img_gaoditiao.png")
	addChildForPre(self.tensPanel_4, self.tensSp)

	self.gemNumberLable3 = createLabel({text=[[00]], font=getFont(), size=20})
	setValue(self.gemNumberLable3, "gemNumberLable3", 42, cc.size(22, 23), cc.p(315.2711, 135.0657), cc.p(0, 0.5), nil, nil, nil, nil)
	self.gemNumberLable3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.tensPanel_4, self.gemNumberLable3)

	self.gemSp4 = cc.Sprite:create()
	setValue(self.gemSp4, "gemSp4", 43, cc.size(100, 100), cc.p(407.3685, 134.0737), nil, nil, nil, nil, nil)
	self.gemSp4:setScale(0.35)
	self.gemSp4:setSpriteFrame("ccs/UiImages/icon/madal_icon_tansuoling.png")
	addChildForPre(self.tensPanel_4, self.gemSp4)

	self.gemNumberLable4 = createLabel({text=[[0]], font=getFont(), size=20})
	setValue(self.gemNumberLable4, "gemNumberLable4", 44, cc.size(11, 23), cc.p(424.309, 135.0657), cc.p(0, 0.5), nil, nil, nil, nil)
	self.gemNumberLable4:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.tensPanel_4, self.gemNumberLable4)

	self.gemSp7 = cc.Sprite:create()
	setValue(self.gemSp7, "gemSp7", 134, cc.size(35, 35), cc.p(299.332, 102.4582), nil, nil, nil, nil, nil)
	self.gemSp7:setSpriteFrame("ccs/UiImages/common/commonIcon_icon_ZuanShi_2.png")
	addChildForPre(self.tensPanel_4, self.gemSp7)

	self.gemNumberLable7 = createLabel({text=[[00]], font=getFont(), size=20})
	setValue(self.gemNumberLable7, "gemNumberLable7", 135, cc.size(22, 23), cc.p(315.2711, 104.4581), cc.p(0, 0.5), nil, nil, nil, nil)
	self.gemNumberLable7:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.tensPanel_4, self.gemNumberLable7)

	self.gemSp8 = cc.Sprite:create()
	setValue(self.gemSp8, "gemSp8", 136, cc.size(100, 100), cc.p(407.3685, 104.4743), nil, nil, nil, nil, nil)
	self.gemSp8:setScale(0.35)
	self.gemSp8:setSpriteFrame("ccs/UiImages/icon/madal_icon_tansuoling.png")
	addChildForPre(self.tensPanel_4, self.gemSp8)

	self.gemNumberLable8 = createLabel({text=[[0]], font=getFont(), size=20})
	setValue(self.gemNumberLable8, "gemNumberLable8", 137, cc.size(11, 23), cc.p(424.309, 104.4581), cc.p(0, 0.5), nil, nil, nil, nil)
	self.gemNumberLable8:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.tensPanel_4, self.gemNumberLable8)

	self.redLinePanel1 = ccui.Layout:create()
	setValue(self.redLinePanel1, "redLinePanel1", 142, cc.size(57, 2), cc.p(285.8398, 102.4581), nil, nil, nil, nil, nil)
	setBgColor(self.redLinePanel1, 1, nil, cc.c4b(255, 0, 0, 255), nil, nil, nil)
	addChildForPre(self.tensPanel_4, self.redLinePanel1)

	self.gemSp3 = cc.Sprite:create()
	setValue(self.gemSp3, "gemSp3", 41, cc.size(35, 35), cc.p(299.332, 134.0737), nil, nil, nil, nil, nil)
	self.gemSp3:setSpriteFrame("ccs/UiImages/common/commonIcon_icon_ZuanShi_2.png")
	addChildForPre(self.tensPanel_4, self.gemSp3)

	self.tensButton = ccui.Button:create()
	setValue(self.tensButton, "tensButton", 74, cc.size(153, 64), cc.p(360, 322.02), nil, nil, nil, nil, false)
	self.tensButton:loadTextureNormal("ccs/UiImages/image9/common_btn_green_0.png", 1)
	self.tensButton:loadTexturePressed("ccs/UiImages/image9/common_btn_green_1.png", 1)
	self.tensButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.tensButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tensButton:setTitleText([[button]])
	self.tensButton:setTitleFontSize(28)
	self.tensButton:setTitleFontName(getFont())
	setClickEvent(self, self.tensButton, "tensButton")
	addChildForPre(self.twoInfoPanel_3, self.tensButton)

	self.tensImage = cc.Sprite:create()
	setValue(self.tensImage, "tensImage", 79, cc.size(259, 135), cc.p(140.49, 341.235), nil, nil, nil, nil, nil)
	self.tensImage:setTexture("ccs/BigImages/background/madal_img_goumai.webp")
	addChildForPre(self.twoInfoPanel_3, self.tensImage)

	self.hightTensBg = ccui.Layout:create()
	setValue(self.hightTensBg, "hightTensBg", 1636, cc.size(260, 50), cc.p(140, 273), cc.p(0.5, 0), nil, nil, nil, nil)
	setBgColor(self.hightTensBg, 1, 102, cc.c4b(0, 0, 0, 255), nil, nil, nil)
	addChildForPre(self.twoInfoPanel_3, self.hightTensBg)

	self.hightLable2 = createLabel({text=[[Text Label]], font=getFont(), size=18,valign = 2})
	setValue(self.hightLable2, "hightLable2", 138, cc.size(82, 21), cc.p(139.5, 273.999), cc.p(0.5, 0), nil, nil, nil, nil)
	self.hightLable2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.twoInfoPanel_3, self.hightLable2)

	self.tensLable = createLabel({text=[[高级探索10次]], font=getFont(), size=28,align = 1,valign = 1})
	setValue(self.tensLable, "tensLable", 82, cc.size(171, 32), cc.p(135.99, 391.005), nil, cc.c4b(253, 132, 53, 255), nil, nil, nil)
	self.tensLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.tensLable:setColor(cc.c4b(253, 132, 53, 255))
	addChildForPre(self.twoInfoPanel_3, self.tensLable)

	self.fiftyPanel = ccui.Layout:create()
	setValue(self.fiftyPanel, "fiftyPanel", 166, cc.size(460, 158), cc.p(225, 126), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.twoInfoPanel_3, self.fiftyPanel)
	self.fiftyPanel_4 = self.fiftyPanel

	self.fiftysSp = cc.Sprite:create()
	setValue(self.fiftysSp, "fiftysSp", 77, cc.size(612, 209), cc.p(234.094, 79), nil, nil, nil, nil, nil)
	self.fiftysSp:setScale(0.75)
	self.fiftysSp:setSpriteFrame("ccs/UiImages/commonBg/common_img_gaoditiao.png")
	addChildForPre(self.fiftyPanel_4, self.fiftysSp)

	self.gemNumberLable5 = createLabel({text=[[00]], font=getFont(), size=20})
	setValue(self.gemNumberLable5, "gemNumberLable5", 46, cc.size(22, 23), cc.p(308.2624, 135.0576), cc.p(0, 0.5), nil, nil, nil, nil)
	self.gemNumberLable5:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.fiftyPanel_4, self.gemNumberLable5)

	self.gemSp6 = cc.Sprite:create()
	setValue(self.gemSp6, "gemSp6", 47, cc.size(100, 100), cc.p(404.3599, 135.0736), nil, nil, nil, nil, nil)
	self.gemSp6:setRotationSkewY(-0.0025)
	self.gemSp6:setScale(0.35)
	self.gemSp6:setSpriteFrame("ccs/UiImages/icon/madal_icon_tansuoling.png")
	addChildForPre(self.fiftyPanel_4, self.gemSp6)

	self.gemNumberLable6 = createLabel({text=[[00]], font=getFont(), size=20})
	setValue(self.gemNumberLable6, "gemNumberLable6", 48, cc.size(22, 23), cc.p(419.3002, 134.0576), cc.p(0, 0.5), nil, nil, nil, nil)
	self.gemNumberLable6:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.fiftyPanel_4, self.gemNumberLable6)

	self.gemSp9 = cc.Sprite:create()
	setValue(self.gemSp9, "gemSp9", 138, cc.size(35, 35), cc.p(294.3232, 103.4341), nil, nil, nil, nil, nil)
	self.gemSp9:setSpriteFrame("ccs/UiImages/common/commonIcon_icon_ZuanShi_2.png")
	addChildForPre(self.fiftyPanel_4, self.gemSp9)

	self.gemNumberLable9 = createLabel({text=[[00]], font=getFont(), size=20})
	setValue(self.gemNumberLable9, "gemNumberLable9", 139, cc.size(22, 23), cc.p(308.2624, 104.4261), cc.p(0, 0.5), nil, nil, nil, nil)
	self.gemNumberLable9:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.fiftyPanel_4, self.gemNumberLable9)

	self.gemSp10 = cc.Sprite:create()
	setValue(self.gemSp10, "gemSp10", 140, cc.size(100, 100), cc.p(404.3598, 105.4499), nil, nil, nil, nil, nil)
	self.gemSp10:setScale(0.35)
	self.gemSp10:setSpriteFrame("ccs/UiImages/icon/madal_icon_tansuoling.png")
	addChildForPre(self.fiftyPanel_4, self.gemSp10)

	self.gemNumberLable10 = createLabel({text=[[00]], font=getFont(), size=20})
	setValue(self.gemNumberLable10, "gemNumberLable10", 141, cc.size(22, 23), cc.p(419.3002, 105.434), cc.p(0, 0.5), nil, nil, nil, nil)
	self.gemNumberLable10:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.fiftyPanel_4, self.gemNumberLable10)

	self.redLinePanel2 = ccui.Layout:create()
	setValue(self.redLinePanel2, "redLinePanel2", 143, cc.size(56, 2), cc.p(285.8311, 103.434), nil, nil, nil, nil, nil)
	setBgColor(self.redLinePanel2, 1, nil, cc.c4b(255, 0, 0, 255), nil, nil, nil)
	addChildForPre(self.fiftyPanel_4, self.redLinePanel2)

	self.gemSp5 = cc.Sprite:create()
	setValue(self.gemSp5, "gemSp5", 45, cc.size(35, 35), cc.p(294.3232, 135.0743), nil, nil, nil, nil, nil)
	self.gemSp5:setSpriteFrame("ccs/UiImages/common/commonIcon_icon_ZuanShi_2.png")
	addChildForPre(self.fiftyPanel_4, self.gemSp5)

	self.fiftysButton = ccui.Button:create()
	setValue(self.fiftysButton, "fiftysButton", 76, cc.size(153, 64), cc.p(360, 107.01), nil, nil, nil, nil, false)
	self.fiftysButton:loadTextureNormal("ccs/UiImages/image9/common_btn_green_0.png", 1)
	self.fiftysButton:loadTexturePressed("ccs/UiImages/image9/common_btn_green_1.png", 1)
	self.fiftysButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.fiftysButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.fiftysButton:setTitleText([[button]])
	self.fiftysButton:setTitleFontSize(28)
	self.fiftysButton:setTitleFontName(getFont())
	setClickEvent(self, self.fiftysButton, "fiftysButton")
	addChildForPre(self.twoInfoPanel_3, self.fiftysButton)

	self.fiftysImage = cc.Sprite:create()
	setValue(self.fiftysImage, "fiftysImage", 80, cc.size(259, 135), cc.p(140.49, 128.25), nil, nil, nil, nil, nil)
	self.fiftysImage:setTexture("ccs/BigImages/background/madal_img_goumai2.webp")
	addChildForPre(self.twoInfoPanel_3, self.fiftysImage)

	self.hightFiftyBg = ccui.Layout:create()
	setValue(self.hightFiftyBg, "hightFiftyBg", 1637, cc.size(260, 80), cc.p(140, 60), cc.p(0.5, 0), nil, nil, nil, nil)
	setBgColor(self.hightFiftyBg, 1, 102, cc.c4b(0, 0, 0, 255), nil, nil, nil)
	addChildForPre(self.twoInfoPanel_3, self.hightFiftyBg)

	self.hightLable3 = createLabel({text=[[Text Label]], font=getFont(), size=18,valign = 2, dimensions = cc.size(256.0000, 130.0000)})
	setValue(self.hightLable3, "hightLable3", 140, cc.size(256, 130), cc.p(140.01, 61.9984), cc.p(0.5, 0), nil, nil, nil, false)
	self.hightLable3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.twoInfoPanel_3, self.hightLable3)

	self.fiftysLable = createLabel({text=[[高级探索50次]], font=getFont(), size=28,align = 1,valign = 1})
	setValue(self.fiftysLable, "fiftysLable", 83, cc.size(171, 32), cc.p(124.02, 179.01), nil, cc.c4b(253, 132, 53, 255), nil, nil, nil)
	self.fiftysLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.fiftysLable:setColor(cc.c4b(253, 132, 53, 255))
	addChildForPre(self.twoInfoPanel_3, self.fiftysLable)

	self.clickCloseLable = createLabel({text=[[clickCloseLable]], font=getFont(), size=26,align = 1,valign = 1})
	setValue(self.clickCloseLable, "clickCloseLable", 78, cc.size(180, 31), cc.p(320, 216.768), nil, nil, nil, nil, nil)
	self.clickCloseLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.clickCloseLable)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/commonBg.plist",
	"ccs/plist/common.plist",
	"ccs/BigImages/background/madal_img_goumai.jpg",
	"ccs/BigImages/background/madal_img_goumai2.jpg",
	"ccs/plist/icon.plist",
}

return _M
