-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 81, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 82, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "XYN_dialogPanel", 119, cc.size(490, 540), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.backGroundImage = ccui.ImageView:create()
	setValue(self.backGroundImage, "backGroundImage", 129, cc.size(490, 540), cc.p(245, 270), nil, nil, nil, nil, false)
	self.backGroundImage:loadTexture("ccs/UiImages/image9/commonPanel_s9_bg_1.png", 1)
	self.backGroundImage:setScale9Enabled(true)
	self.backGroundImage:setCapInsets(cc.rect(60, 30, 52, 10))
	addChildForPre(self.dialogPanel_2, self.backGroundImage)

	self.floorPanel = ccui.Layout:create()
	setValue(self.floorPanel, "floorPanel", 227, cc.size(454, 445), cc.p(245, 301.212), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.floorPanel)
	self.floorPanel_3 = self.floorPanel

	self.floorBgImage = ccui.ImageView:create()
	setValue(self.floorBgImage, "floorBgImage", 228, cc.size(454, 445), cc.p(227, 222.5), nil, nil, nil, nil, false)
	self.floorBgImage:loadTexture("ccs/UiImages/image9/CommonPanel_img_chuangkoubeijing_1.png", 1)
	self.floorBgImage:setScale9Enabled(true)
	self.floorBgImage:setCapInsets(cc.rect(0, 0, 470, 5))
	addChildForPre(self.floorPanel_3, self.floorBgImage)

	self.imageTitle = ccui.ImageView:create()
	setValue(self.imageTitle, "imageTitle", 182, cc.size(462, 106), cc.p(245, 538), nil, nil, nil, nil, nil)
	self.imageTitle:setScale(0.6)
	self.imageTitle:loadTexture("ccs/UiImages/commonBg/CommonPanel_img_WinHeader_1.png", 1)
	addChildForPre(self.dialogPanel_2, self.imageTitle)

	self.DialogTitleLabe = createLabel({text=[[恭喜您获得如下勋章]], font=getFont(), size=32,align = 1,valign = 1})
	setValue(self.DialogTitleLabe, "DialogTitleLabe", 152, cc.size(288, 37), cc.p(245, 540), nil, cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.DialogTitleLabe:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.DialogTitleLabe:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.dialogPanel_2, self.DialogTitleLabe)

	self.goldTenPanel = ccui.Layout:create()
	setValue(self.goldTenPanel, "goldTenPanel", 144, cc.size(490, 480), cc.p(245, 287.982), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.goldTenPanel)
	self.goldTenPanel_3 = self.goldTenPanel

	self.PosNode1 = cc.Node:create()
	setValue(self.PosNode1, "PosNode1", 155, nil, cc.p(24.5, 417.6), nil, nil, nil, nil, nil)
	addChildForPre(self.goldTenPanel_3, self.PosNode1)
	self.PosNode1_4 = self.PosNode1

	self.kuang1 = ccui.ImageView:create()
	setValue(self.kuang1, "kuang1", 159, cc.size(48, 48), nil, cc.p(0, 0.5), nil, nil, nil, false)
	self.kuang1:loadTexture("Default/ImageFile.png")
	self.kuang1:setScale9Enabled(true)
	self.kuang1:setCapInsets(cc.rect(0, 0, 46, 46))
	addChildForPre(self.PosNode1_4, self.kuang1)

	self.medalIconSp1 = cc.Sprite:create()
	setValue(self.medalIconSp1, "medalIconSp1", 153, cc.size(46, 46), nil, cc.p(0, 0.5), nil, nil, nil, nil)
	self.medalIconSp1:setScale(0.3)
	self.medalIconSp1:setTexture("Default/Sprite.png")
	addChildForPre(self.PosNode1_4, self.medalIconSp1)

	self.medalName1 = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.medalName1, "medalName1", 154, cc.size(91, 23), cc.p(66, 0), cc.p(0, 0.5), nil, nil, nil, nil)
	self.medalName1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.PosNode1_4, self.medalName1)

	self.PosNode2 = cc.Node:create()
	setValue(self.PosNode2, "PosNode2", 102, nil, cc.p(245, 417.6), nil, nil, nil, nil, nil)
	addChildForPre(self.goldTenPanel_3, self.PosNode2)
	self.PosNode2_4 = self.PosNode2

	self.kuang2 = ccui.ImageView:create()
	setValue(self.kuang2, "kuang2", 160, cc.size(48, 48), nil, cc.p(0, 0.5), nil, nil, nil, false)
	self.kuang2:loadTexture("Default/ImageFile.png")
	self.kuang2:setScale9Enabled(true)
	self.kuang2:setCapInsets(cc.rect(0, 0, 46, 46))
	addChildForPre(self.PosNode2_4, self.kuang2)

	self.medalIconSp2 = cc.Sprite:create()
	setValue(self.medalIconSp2, "medalIconSp2", 103, cc.size(46, 46), nil, cc.p(0, 0.5), nil, nil, nil, nil)
	self.medalIconSp2:setScale(0.3)
	self.medalIconSp2:setTexture("Default/Sprite.png")
	addChildForPre(self.PosNode2_4, self.medalIconSp2)

	self.medalName2 = createLabel({text=[[勋章勋章名称]], font=getFont(), size=20})
	setValue(self.medalName2, "medalName2", 104, cc.size(120, 23), cc.p(66, 0), cc.p(0, 0.5), nil, nil, nil, nil)
	self.medalName2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.PosNode2_4, self.medalName2)

	self.PosNode3 = cc.Node:create()
	setValue(self.PosNode3, "PosNode3", 105, nil, cc.p(24.5, 340.8), nil, nil, nil, nil, nil)
	addChildForPre(self.goldTenPanel_3, self.PosNode3)
	self.PosNode3_4 = self.PosNode3

	self.kuang3 = ccui.ImageView:create()
	setValue(self.kuang3, "kuang3", 161, cc.size(48, 48), nil, cc.p(0, 0.5), nil, nil, nil, false)
	self.kuang3:loadTexture("Default/ImageFile.png")
	self.kuang3:setScale9Enabled(true)
	self.kuang3:setCapInsets(cc.rect(0, 0, 46, 46))
	addChildForPre(self.PosNode3_4, self.kuang3)

	self.medalIconSp3 = cc.Sprite:create()
	setValue(self.medalIconSp3, "medalIconSp3", 106, cc.size(46, 46), nil, cc.p(0, 0.5), nil, nil, nil, nil)
	self.medalIconSp3:setScale(0.3)
	self.medalIconSp3:setTexture("Default/Sprite.png")
	addChildForPre(self.PosNode3_4, self.medalIconSp3)

	self.medalName3 = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.medalName3, "medalName3", 107, cc.size(91, 23), cc.p(66, 0), cc.p(0, 0.5), nil, nil, nil, nil)
	self.medalName3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.PosNode3_4, self.medalName3)

	self.PosNode4 = cc.Node:create()
	setValue(self.PosNode4, "PosNode4", 108, nil, cc.p(245, 340.8), nil, nil, nil, nil, nil)
	addChildForPre(self.goldTenPanel_3, self.PosNode4)
	self.PosNode4_4 = self.PosNode4

	self.kuang4 = ccui.ImageView:create()
	setValue(self.kuang4, "kuang4", 162, cc.size(48, 48), nil, cc.p(0, 0.5), nil, nil, nil, false)
	self.kuang4:loadTexture("Default/ImageFile.png")
	self.kuang4:setScale9Enabled(true)
	self.kuang4:setCapInsets(cc.rect(0, 0, 46, 46))
	addChildForPre(self.PosNode4_4, self.kuang4)

	self.medalIconSp4 = cc.Sprite:create()
	setValue(self.medalIconSp4, "medalIconSp4", 109, cc.size(46, 46), nil, cc.p(0, 0.5), nil, nil, nil, nil)
	self.medalIconSp4:setScale(0.3)
	self.medalIconSp4:setTexture("Default/Sprite.png")
	addChildForPre(self.PosNode4_4, self.medalIconSp4)

	self.medalName4 = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.medalName4, "medalName4", 110, cc.size(91, 23), cc.p(66, 0), cc.p(0, 0.5), nil, nil, nil, nil)
	self.medalName4:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.PosNode4_4, self.medalName4)

	self.PosNode5 = cc.Node:create()
	setValue(self.PosNode5, "PosNode5", 111, nil, cc.p(24.5, 268.8), nil, nil, nil, nil, nil)
	addChildForPre(self.goldTenPanel_3, self.PosNode5)
	self.PosNode5_4 = self.PosNode5

	self.kuang5 = ccui.ImageView:create()
	setValue(self.kuang5, "kuang5", 163, cc.size(48, 48), nil, cc.p(0, 0.5), nil, nil, nil, false)
	self.kuang5:loadTexture("Default/ImageFile.png")
	self.kuang5:setScale9Enabled(true)
	self.kuang5:setCapInsets(cc.rect(0, 0, 46, 46))
	addChildForPre(self.PosNode5_4, self.kuang5)

	self.medalIconSp5 = cc.Sprite:create()
	setValue(self.medalIconSp5, "medalIconSp5", 112, cc.size(46, 46), nil, cc.p(0, 0.5), nil, nil, nil, nil)
	self.medalIconSp5:setScale(0.3)
	self.medalIconSp5:setTexture("Default/Sprite.png")
	addChildForPre(self.PosNode5_4, self.medalIconSp5)

	self.medalName5 = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.medalName5, "medalName5", 113, cc.size(91, 23), cc.p(66, 0), cc.p(0, 0.5), nil, nil, nil, nil)
	self.medalName5:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.PosNode5_4, self.medalName5)

	self.PosNode6 = cc.Node:create()
	setValue(self.PosNode6, "PosNode6", 114, nil, cc.p(245, 268.8), nil, nil, nil, nil, nil)
	addChildForPre(self.goldTenPanel_3, self.PosNode6)
	self.PosNode6_4 = self.PosNode6

	self.kuang6 = ccui.ImageView:create()
	setValue(self.kuang6, "kuang6", 164, cc.size(48, 48), nil, cc.p(0, 0.5), nil, nil, nil, false)
	self.kuang6:loadTexture("Default/ImageFile.png")
	self.kuang6:setScale9Enabled(true)
	self.kuang6:setCapInsets(cc.rect(0, 0, 46, 46))
	addChildForPre(self.PosNode6_4, self.kuang6)

	self.medalIconSp6 = cc.Sprite:create()
	setValue(self.medalIconSp6, "medalIconSp6", 115, cc.size(46, 46), nil, cc.p(0, 0.5), nil, nil, nil, nil)
	self.medalIconSp6:setScale(0.3)
	self.medalIconSp6:setTexture("Default/Sprite.png")
	addChildForPre(self.PosNode6_4, self.medalIconSp6)

	self.medalName6 = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.medalName6, "medalName6", 116, cc.size(91, 23), cc.p(66, 0), cc.p(0, 0.5), nil, nil, nil, nil)
	self.medalName6:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.PosNode6_4, self.medalName6)

	self.PosNode7 = cc.Node:create()
	setValue(self.PosNode7, "PosNode7", 117, nil, cc.p(24.5, 192), nil, nil, nil, nil, nil)
	addChildForPre(self.goldTenPanel_3, self.PosNode7)
	self.PosNode7_4 = self.PosNode7

	self.kuang7 = ccui.ImageView:create()
	setValue(self.kuang7, "kuang7", 165, cc.size(48, 48), nil, cc.p(0, 0.5), nil, nil, nil, false)
	self.kuang7:loadTexture("Default/ImageFile.png")
	self.kuang7:setScale9Enabled(true)
	self.kuang7:setCapInsets(cc.rect(0, 0, 46, 46))
	addChildForPre(self.PosNode7_4, self.kuang7)

	self.medalIconSp7 = cc.Sprite:create()
	setValue(self.medalIconSp7, "medalIconSp7", 118, cc.size(46, 46), nil, cc.p(0, 0.5), nil, nil, nil, nil)
	self.medalIconSp7:setScale(0.3)
	self.medalIconSp7:setTexture("Default/Sprite.png")
	addChildForPre(self.PosNode7_4, self.medalIconSp7)

	self.medalName7 = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.medalName7, "medalName7", 119, cc.size(91, 23), cc.p(66, 0), cc.p(0, 0.5), nil, nil, nil, nil)
	self.medalName7:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.PosNode7_4, self.medalName7)

	self.PosNode8 = cc.Node:create()
	setValue(self.PosNode8, "PosNode8", 120, nil, cc.p(245, 192), nil, nil, nil, nil, nil)
	addChildForPre(self.goldTenPanel_3, self.PosNode8)
	self.PosNode8_4 = self.PosNode8

	self.kuang8 = ccui.ImageView:create()
	setValue(self.kuang8, "kuang8", 166, cc.size(48, 48), nil, cc.p(0, 0.5), nil, nil, nil, false)
	self.kuang8:loadTexture("Default/ImageFile.png")
	self.kuang8:setScale9Enabled(true)
	self.kuang8:setCapInsets(cc.rect(0, 0, 46, 46))
	addChildForPre(self.PosNode8_4, self.kuang8)

	self.medalIconSp8 = cc.Sprite:create()
	setValue(self.medalIconSp8, "medalIconSp8", 121, cc.size(46, 46), nil, cc.p(0, 0.5), nil, nil, nil, nil)
	self.medalIconSp8:setScale(0.3)
	self.medalIconSp8:setTexture("Default/Sprite.png")
	addChildForPre(self.PosNode8_4, self.medalIconSp8)

	self.medalName8 = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.medalName8, "medalName8", 122, cc.size(91, 23), cc.p(66, 0), cc.p(0, 0.5), nil, nil, nil, nil)
	self.medalName8:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.PosNode8_4, self.medalName8)

	self.PosNode9 = cc.Node:create()
	setValue(self.PosNode9, "PosNode9", 123, nil, cc.p(24.5, 115.2), nil, nil, nil, nil, nil)
	addChildForPre(self.goldTenPanel_3, self.PosNode9)
	self.PosNode9_4 = self.PosNode9

	self.kuang9 = ccui.ImageView:create()
	setValue(self.kuang9, "kuang9", 167, cc.size(48, 48), nil, cc.p(0, 0.5), nil, nil, nil, false)
	self.kuang9:loadTexture("Default/ImageFile.png")
	self.kuang9:setScale9Enabled(true)
	self.kuang9:setCapInsets(cc.rect(0, 0, 46, 46))
	addChildForPre(self.PosNode9_4, self.kuang9)

	self.medalIconSp9 = cc.Sprite:create()
	setValue(self.medalIconSp9, "medalIconSp9", 124, cc.size(46, 46), nil, cc.p(0, 0.5), nil, nil, nil, nil)
	self.medalIconSp9:setScale(0.3)
	self.medalIconSp9:setTexture("Default/Sprite.png")
	addChildForPre(self.PosNode9_4, self.medalIconSp9)

	self.medalName9 = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.medalName9, "medalName9", 125, cc.size(91, 23), cc.p(66, 0), cc.p(0, 0.5), nil, nil, nil, nil)
	self.medalName9:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.PosNode9_4, self.medalName9)

	self.PosNode10 = cc.Node:create()
	setValue(self.PosNode10, "PosNode10", 126, nil, cc.p(245, 115.2), nil, nil, nil, nil, nil)
	addChildForPre(self.goldTenPanel_3, self.PosNode10)
	self.PosNode10_4 = self.PosNode10

	self.kuang10 = ccui.ImageView:create()
	setValue(self.kuang10, "kuang10", 168, cc.size(48, 48), nil, cc.p(0, 0.5), nil, nil, nil, false)
	self.kuang10:loadTexture("Default/ImageFile.png")
	self.kuang10:setScale9Enabled(true)
	self.kuang10:setCapInsets(cc.rect(5, 5, 36, 36))
	addChildForPre(self.PosNode10_4, self.kuang10)

	self.medalIconSp10 = cc.Sprite:create()
	setValue(self.medalIconSp10, "medalIconSp10", 127, cc.size(46, 46), nil, cc.p(0, 0.5), nil, nil, nil, nil)
	self.medalIconSp10:setScale(0.3)
	self.medalIconSp10:setTexture("Default/Sprite.png")
	addChildForPre(self.PosNode10_4, self.medalIconSp10)

	self.medalName10 = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.medalName10, "medalName10", 128, cc.size(91, 23), cc.p(66, 0), cc.p(0, 0.5), nil, nil, nil, nil)
	self.medalName10:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.PosNode10_4, self.medalName10)

	self.InfoScrollView = ccui.ScrollView:create()
	setValue(self.InfoScrollView, "InfoScrollView", 140, cc.size(460, 362), cc.p(245, 315.9), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.InfoScrollView:setInnerContainerSize(cc.size(460, 362))
	self.InfoScrollView:setDirection(1)
	addChildForPre(self.dialogPanel_2, self.InfoScrollView)
	self.InfoScrollView_3 = self.InfoScrollView

	self.infoPanel = ccui.Layout:create()
	setValue(self.infoPanel, "infoPanel", 93, cc.size(460, 362), cc.p(0, 362), cc.p(0, 1), nil, nil, nil, nil)
	addChildForPre(self.InfoScrollView_3, self.infoPanel)
	self.infoPanel_4 = self.infoPanel

	self.posNode = cc.Node:create()
	setValue(self.posNode, "posNode", 94, nil, cc.p(0, 400), nil, nil, nil, nil, nil)
	addChildForPre(self.infoPanel_4, self.posNode)

	self.fiftyMedalLable = createLabel({text=[[额外获得]], font=getFont(), size=20})
	setValue(self.fiftyMedalLable, "fiftyMedalLable", 139, cc.size(80, 23), cc.p(22.5, 114.2), cc.p(0, 0.5), nil, nil, nil, nil)
	self.fiftyMedalLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.fiftyMedalLable)

	self.fiftyNeedGoldlLable = createLabel({text=[[消耗金币]], font=getFont(), size=20})
	setValue(self.fiftyNeedGoldlLable, "fiftyNeedGoldlLable", 141, cc.size(80, 23), cc.p(352.8, 114.2), cc.p(1, 0.5), nil, nil, nil, nil)
	self.fiftyNeedGoldlLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.fiftyNeedGoldlLable)

	self.fiftyDescLable = createLabel({text=[[Text Label]], font=getFont(), size=20,align = 1,valign = 1, dimensions = cc.size(450.0000, 50.0000)})
	setValue(self.fiftyDescLable, "fiftyDescLable", 95, cc.size(450, 50), cc.p(245, 114.21), nil, nil, nil, nil, false)
	self.fiftyDescLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.fiftyDescLable)

	self.goldsP = cc.Sprite:create()
	setValue(self.goldsP, "goldsP", 142, cc.size(35, 35), cc.p(372.4, 114.2), nil, nil, nil, nil, nil)
	self.goldsP:setSpriteFrame("ccs/UiImages/common/commonIcon_icon_Gold_2.png")
	addChildForPre(self.dialogPanel_2, self.goldsP)

	self.goldNumberLable = createLabel({text=[[1234567]], font=getFont(), size=20})
	setValue(self.goldNumberLable, "goldNumberLable", 143, cc.size(77, 23), cc.p(392, 114.2), cc.p(0, 0.5), nil, nil, nil, nil)
	self.goldNumberLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.goldNumberLable)

	self.buttonBgImage = ccui.ImageView:create()
	setValue(self.buttonBgImage, "buttonBgImage", 183, cc.size(466, 79), cc.p(245, 52.596), nil, nil, nil, nil, nil)
	self.buttonBgImage:loadTexture("ccs/UiImages/commonBg/CommonPanel_img_bg_1.jpg", 1)
	addChildForPre(self.dialogPanel_2, self.buttonBgImage)

	self.againButton = ccui.Button:create()
	setValue(self.againButton, "againButton", 130, cc.size(153, 64), cc.p(122.5, 48.6), nil, nil, nil, nil, false)
	self.againButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.againButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.againButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.againButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.againButton:setTitleText([[button]])
	self.againButton:setTitleFontSize(26)
	self.againButton:setTitleFontName(getFont())
	setClickEvent(self, self.againButton, "againButton")
	addChildForPre(self.dialogPanel_2, self.againButton)

	self.okButton = ccui.Button:create()
	setValue(self.okButton, "okButton", 131, cc.size(153, 64), cc.p(367.5, 48.6), nil, nil, nil, nil, false)
	self.okButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.okButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.okButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.okButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.okButton:setTitleText([[button]])
	self.okButton:setTitleColor(cc.c3b(255, 255, 240))
	self.okButton:setTitleFontSize(26)
	self.okButton:setTitleFontName(getFont())
	setClickEvent(self, self.okButton, "okButton")
	addChildForPre(self.dialogPanel_2, self.okButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/commonBg.plist",
	"Default/ImageFile.png",
	"Default/Sprite.png",
	"ccs/plist/common.plist",
}

return _M
