-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 26, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 42, cc.size(640, 960), cc.p(0, -0.0003), nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if SkillEffectBg then 
 		self.SkillEffectBg = SkillEffectBg.new() 
 	else 
		self.SkillEffectBg = BaseUi.new("ccs/ui/skill/SkillEffectBg.lua")
 	end 
	setValue(self.SkillEffectBg, "SkillEffectBg", 45, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.SkillEffectBg)

	self.tankPanel = ccui.Layout:create()
	setValue(self.tankPanel, "tankPanel", 43, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.tankPanel)
	self.tankPanel_2 = self.tankPanel

	self.shipActionPanel = ccui.Layout:create()
	setValue(self.shipActionPanel, "shipActionPanel", 62, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.tankPanel_2, self.shipActionPanel)
	self.shipActionPanel_3 = self.shipActionPanel

	self.paintPicPanel = ccui.Layout:create()
	setValue(self.paintPicPanel, "paintPicPanel", 78, nil, cc.p(382, 542), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.paintPicPanel:setVisible(false)
	addChildForPre(self.shipActionPanel_3, self.paintPicPanel)
	self.paintPicPanel_4 = self.paintPicPanel

	self.paintPicSprite = cc.Sprite:create()
	setValue(self.paintPicSprite, "paintPicSprite", 79, cc.size(46, 46), nil, nil, nil, nil, nil, nil)
	self.paintPicSprite:setTexture("Default/Sprite.png")
	addChildForPre(self.paintPicPanel_4, self.paintPicSprite)

	self.shipPanel = ccui.Layout:create()
	setValue(self.shipPanel, "shipPanel", 1037, nil, cc.p(400.768, 451.2), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.shipPanel:setScale(0.95)
	addChildForPre(self.shipActionPanel_3, self.shipPanel)
	self.shipPanel_4 = self.shipPanel

	self.shipSprite = cc.Sprite:create()
	setValue(self.shipSprite, "shipSprite", 63, cc.size(430, 480), nil, nil, nil, nil, nil, nil)
	self.shipSprite:setTexture("ccs/BigImages/ship_show/4_rb_zl_fsec_ka.webp")
	addChildForPre(self.shipPanel_4, self.shipSprite)

	self.fireSprite = cc.Sprite:create()
	setValue(self.fireSprite, "fireSprite", 72, cc.size(280, 280), nil, cc.p(0.8, 0.55), nil, nil, nil, nil)
	self.fireSprite:setRotationSkewX(-35)
	self.fireSprite:setRotationSkewY(-35)
	self.fireSprite:setSpriteFrame("ccs/UiImages/skillEffect1/dazhaokaihuo007.png")
	addChildForPre(self.shipPanel_4, self.fireSprite)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(100)
	self.animation:setTimeSpeed(1)
	local timeLine
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(8, true, -100.0000, 542.0000, nil))
	timeLine:addFrame(CreatePositionFrame(20, true, 403.0000, 542.0000, nil))
	timeLine:addFrame(CreatePositionFrame(28, true, 382.0000, 542.0000, nil))
	timeLine:setNode(self.paintPicPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(8, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(20, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(28, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.paintPicPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(8, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(20, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(28, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.paintPicPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(8, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(20, true, cc.c3b(255,255,255), 255, nil))
	timeLine:setNode(self.paintPicPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(35, false, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(40, false, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(45, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(50, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(55, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(60, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(65, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(70, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(75, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(80, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(85, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(100, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.fireSprite)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(35, false, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(40, false, -35.0000, -35.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(45, true, -35.0000, -35.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(50, true, -35.0000, -35.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(55, true, -35.0000, -35.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(60, true, -35.0000, -35.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(65, true, -35.0000, -35.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(70, true, -35.0000, -35.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(75, true, -35.0000, -35.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(80, true, -35.0000, -35.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(85, true, -35.0000, -35.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(100, true, -35.0000, -35.0000, nil))
	timeLine:setNode(self.fireSprite)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateTextureFrame(35, false, "ccs/UiImages/skillEffect1/dazhaokaihuo001.png", nil))
	timeLine:addFrame(CreateTextureFrame(40, false, "ccs/UiImages/skillEffect1/dazhaokaihuo001.png", nil))
	timeLine:addFrame(CreateTextureFrame(45, true, "ccs/UiImages/skillEffect1/dazhaokaihuo002.png", nil))
	timeLine:addFrame(CreateTextureFrame(50, true, "ccs/UiImages/skillEffect1/dazhaokaihuo003.png", nil))
	timeLine:addFrame(CreateTextureFrame(55, true, "ccs/UiImages/skillEffect1/dazhaokaihuo004.png", nil))
	timeLine:addFrame(CreateTextureFrame(60, true, "ccs/UiImages/skillEffect1/dazhaokaihuo005.png", nil))
	timeLine:addFrame(CreateTextureFrame(65, true, "ccs/UiImages/skillEffect1/dazhaokaihuo006.png", nil))
	timeLine:addFrame(CreateTextureFrame(70, true, "ccs/UiImages/skillEffect1/dazhaokaihuo007.png", nil))
	timeLine:addFrame(CreateTextureFrame(75, true, "ccs/UiImages/skillEffect1/dazhaokaihuo008.png", nil))
	timeLine:addFrame(CreateTextureFrame(80, true, "ccs/UiImages/skillEffect1/dazhaokaihuo009.png", nil))
	timeLine:addFrame(CreateTextureFrame(85, true, "ccs/UiImages/skillEffect1/dazhaokaihuo009.png", nil))
	timeLine:addFrame(CreateTextureFrame(100, true, "ccs/UiImages/skillEffect1/dazhaokaihuo009.png", nil))
	timeLine:setNode(self.fireSprite)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(0, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(35, false, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(40, false, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(85, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(100, true, cc.c3b(255,255,255), 0, nil))
	timeLine:setNode(self.fireSprite)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 791.1680, 806.4000, nil))
	timeLine:addFrame(CreatePositionFrame(20, true, 362.3680, 422.4000, nil))
	timeLine:addFrame(CreatePositionFrame(28, true, 400.7680, 451.2000, nil))
	timeLine:setNode(self.shipPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 0.5000, 0.5000, nil))
	timeLine:addFrame(CreateScaleFrame(20, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(28, true, 0.9500, 0.9500, nil))
	timeLine:setNode(self.shipPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(20, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(28, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.shipPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 0.0000, -0.0003, nil))
	timeLine:addFrame(CreatePositionFrame(32, true, 0.0000, -0.0003, nil))
	timeLine:addFrame(CreatePositionFrame(44, true, 0.0000, -0.0003, nil))
	timeLine:addFrame(CreatePositionFrame(100, true, 0.0000, -0.0003, nil))
	timeLine:setNode(self.rootPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(32, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(44, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(100, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.rootPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(32, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(44, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(100, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.rootPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateEventFrame(0, true, "Fire1", nil))
	timeLine:addFrame(CreateEventFrame(32, true, "Fire1", nil))
	timeLine:addFrame(CreateEventFrame(44, true, "Fire2", nil))
	timeLine:addFrame(CreateEventFrame(100, true, "skillDone_1", nil))
	timeLine:setNode(self.rootPanel)
	return self
end

_M.textures = {
	"Default/Sprite.png",
	"ccs/BigImages/ship_show/4_rb_zl_fsec_ka.png",
	"ccs/plist/skillEffect1.plist",
}

return _M
