-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 26, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 42, cc.size(640, 960), cc.p(0, -0.0003), nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if SkillEffectBg then 
 		self.SkillEffectBg = SkillEffectBg.new() 
 	else 
		self.SkillEffectBg = BaseUi.new("ccs/ui/skill/SkillEffectBg.lua")
 	end 
	setValue(self.SkillEffectBg, "SkillEffectBg", 151, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.SkillEffectBg)

	self.tankPanel = ccui.Layout:create()
	setValue(self.tankPanel, "tankPanel", 43, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.tankPanel)
	self.tankPanel_2 = self.tankPanel

	self.subsPanel = ccui.Layout:create()
	setValue(self.subsPanel, "subsPanel", 176, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.tankPanel_2, self.subsPanel)
	self.subsPanel_3 = self.subsPanel

	self.shipPanel = ccui.Layout:create()
	setValue(self.shipPanel, "shipPanel", 1123, nil, cc.p(390.4, 422.4), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.shipPanel:setScale(0.95)
	addChildForPre(self.subsPanel_3, self.shipPanel)
	self.shipPanel_4 = self.shipPanel

	self.yuleiPanel = ccui.Layout:create()
	setValue(self.yuleiPanel, "yuleiPanel", 114, nil, nil, cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.shipPanel_4, self.yuleiPanel)
	self.yuleiPanel_5 = self.yuleiPanel

	self.yulei001 = cc.Sprite:create()
	setValue(self.yulei001, "yulei001", 154, cc.size(160, 400), nil, cc.p(0.5, 0.8), nil, 0, nil, nil)
	self.yulei001:setRotationSkewX(52)
	self.yulei001:setRotationSkewY(52)
	self.yulei001:setSpriteFrame("ccs/UiImages/skillEffect3/yulei007.png")
	addChildForPre(self.yuleiPanel_5, self.yulei001)

	self.yulei002 = cc.Sprite:create()
	setValue(self.yulei002, "yulei002", 153, cc.size(160, 400), nil, cc.p(0.5, 0.8), nil, 0, nil, nil)
	self.yulei002:setRotationSkewX(54)
	self.yulei002:setRotationSkewY(54)
	self.yulei002:setSpriteFrame("ccs/UiImages/skillEffect3/yulei007.png")
	addChildForPre(self.yuleiPanel_5, self.yulei002)

	self.shipSprite = cc.Sprite:create()
	setValue(self.shipSprite, "shipSprite", 177, cc.size(46, 46), nil, nil, nil, nil, nil, nil)
	self.shipSprite:setTexture("Default/Sprite.png")
	addChildForPre(self.shipPanel_4, self.shipSprite)

	self.yuleiPanel2 = ccui.Layout:create()
	setValue(self.yuleiPanel2, "yuleiPanel2", 142, nil, nil, cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.shipPanel_4, self.yuleiPanel2)
	self.yuleiPanel2_5 = self.yuleiPanel2

	self.yulei003 = cc.Sprite:create()
	setValue(self.yulei003, "yulei003", 145, cc.size(160, 400), nil, cc.p(0.5, 0.8), nil, 0, nil, nil)
	self.yulei003:setRotationSkewX(32)
	self.yulei003:setRotationSkewY(32)
	self.yulei003:setSpriteFrame("ccs/UiImages/skillEffect3/yulei007.png")
	addChildForPre(self.yuleiPanel2_5, self.yulei003)

	self.torpedoSpite = cc.Sprite:create()
	setValue(self.torpedoSpite, "torpedoSpite", 146, cc.size(160, 400), nil, cc.p(0.5, 0.8), nil, 0, nil, nil)
	self.torpedoSpite:setRotationSkewX(35)
	self.torpedoSpite:setRotationSkewY(35)
	self.torpedoSpite:setSpriteFrame("ccs/UiImages/skillEffect3/yulei007.png")
	addChildForPre(self.yuleiPanel2_5, self.torpedoSpite)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(100)
	self.animation:setTimeSpeed(1)
	local timeLine
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(42, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(45, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.yulei001)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(42, true, 52.0000, 52.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(45, true, 52.0000, 52.0000, nil))
	timeLine:setNode(self.yulei001)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateTextureFrame(42, true, "ccs/UiImages/skillEffect3/yulei001.png", nil))
	timeLine:addFrame(CreateTextureFrame(45, true, "ccs/UiImages/skillEffect3/yulei001.png", nil))
	timeLine:addFrame(CreateTextureFrame(49, true, "ccs/UiImages/skillEffect3/yulei001.png", nil))
	timeLine:addFrame(CreateTextureFrame(53, true, "ccs/UiImages/skillEffect3/yulei002.png", nil))
	timeLine:addFrame(CreateTextureFrame(57, true, "ccs/UiImages/skillEffect3/yulei003.png", nil))
	timeLine:addFrame(CreateTextureFrame(61, true, "ccs/UiImages/skillEffect3/yulei004.png", nil))
	timeLine:addFrame(CreateTextureFrame(65, true, "ccs/UiImages/skillEffect3/yulei005.png", nil))
	timeLine:addFrame(CreateTextureFrame(69, true, "ccs/UiImages/skillEffect3/yulei006.png", nil))
	timeLine:addFrame(CreateTextureFrame(73, true, "ccs/UiImages/skillEffect3/yulei007.png", nil))
	timeLine:setNode(self.yulei001)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(42, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(45, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(49, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(73, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(77, true, cc.c3b(255,255,255), 0, nil))
	timeLine:setNode(self.yulei001)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(42, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.yulei001)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(68, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.yulei002)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(68, true, 54.0000, 54.0000, nil))
	timeLine:setNode(self.yulei002)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateTextureFrame(40, true, "ccs/UiImages/skillEffect3/yulei001.png", nil))
	timeLine:addFrame(CreateTextureFrame(44, true, "ccs/UiImages/skillEffect3/yulei002.png", nil))
	timeLine:addFrame(CreateTextureFrame(48, true, "ccs/UiImages/skillEffect3/yulei003.png", nil))
	timeLine:addFrame(CreateTextureFrame(52, true, "ccs/UiImages/skillEffect3/yulei004.png", nil))
	timeLine:addFrame(CreateTextureFrame(56, true, "ccs/UiImages/skillEffect3/yulei005.png", nil))
	timeLine:addFrame(CreateTextureFrame(60, true, "ccs/UiImages/skillEffect3/yulei006.png", nil))
	timeLine:addFrame(CreateTextureFrame(64, true, "ccs/UiImages/skillEffect3/yulei007.png", nil))
	timeLine:addFrame(CreateTextureFrame(68, true, "ccs/UiImages/skillEffect3/yulei007.png", nil))
	timeLine:setNode(self.yulei002)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(35, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(40, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(64, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(68, true, cc.c3b(255,255,255), 0, nil))
	timeLine:setNode(self.yulei002)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(40, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreatePositionFrame(77, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.yulei003)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(40, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(43, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(77, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.yulei003)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(40, true, 30.0000, 30.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(43, true, 30.0000, 30.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(77, true, 32.0000, 32.0000, nil))
	timeLine:setNode(self.yulei003)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateTextureFrame(40, true, "ccs/UiImages/skillEffect3/yulei001.png", nil))
	timeLine:addFrame(CreateTextureFrame(43, true, "ccs/UiImages/skillEffect3/yulei001.png", nil))
	timeLine:addFrame(CreateTextureFrame(47, true, "ccs/UiImages/skillEffect3/yulei002.png", nil))
	timeLine:addFrame(CreateTextureFrame(51, true, "ccs/UiImages/skillEffect3/yulei003.png", nil))
	timeLine:addFrame(CreateTextureFrame(55, true, "ccs/UiImages/skillEffect3/yulei004.png", nil))
	timeLine:addFrame(CreateTextureFrame(59, true, "ccs/UiImages/skillEffect3/yulei005.png", nil))
	timeLine:addFrame(CreateTextureFrame(63, true, "ccs/UiImages/skillEffect3/yulei006.png", nil))
	timeLine:addFrame(CreateTextureFrame(67, true, "ccs/UiImages/skillEffect3/yulei007.png", nil))
	timeLine:addFrame(CreateTextureFrame(77, true, "ccs/UiImages/skillEffect3/yulei007.png", nil))
	timeLine:setNode(self.yulei003)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(40, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(43, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(47, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(67, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(71, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(77, true, cc.c3b(255,255,255), 0, nil))
	timeLine:setNode(self.yulei003)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(32, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreatePositionFrame(74, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.torpedoSpite)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(32, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(35, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(39, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(67, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(74, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.torpedoSpite)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(32, true, 30.0000, 30.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(35, true, 31.0000, 31.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(39, true, 31.0000, 31.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(67, true, 31.0000, 31.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(74, true, 35.0000, 35.0000, nil))
	timeLine:setNode(self.torpedoSpite)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateTextureFrame(32, true, "ccs/UiImages/skillEffect3/yulei001.png", nil))
	timeLine:addFrame(CreateTextureFrame(35, true, "ccs/UiImages/skillEffect3/yulei001.png", nil))
	timeLine:addFrame(CreateTextureFrame(39, true, "ccs/UiImages/skillEffect3/yulei001.png", nil))
	timeLine:addFrame(CreateTextureFrame(43, true, "ccs/UiImages/skillEffect3/yulei002.png", nil))
	timeLine:addFrame(CreateTextureFrame(47, true, "ccs/UiImages/skillEffect3/yulei003.png", nil))
	timeLine:addFrame(CreateTextureFrame(51, true, "ccs/UiImages/skillEffect3/yulei004.png", nil))
	timeLine:addFrame(CreateTextureFrame(55, true, "ccs/UiImages/skillEffect3/yulei005.png", nil))
	timeLine:addFrame(CreateTextureFrame(59, true, "ccs/UiImages/skillEffect3/yulei006.png", nil))
	timeLine:addFrame(CreateTextureFrame(63, true, "ccs/UiImages/skillEffect3/yulei007.png", nil))
	timeLine:addFrame(CreateTextureFrame(67, true, "ccs/UiImages/skillEffect3/yulei007.png", nil))
	timeLine:addFrame(CreateTextureFrame(74, true, "ccs/UiImages/skillEffect3/yulei007.png", nil))
	timeLine:setNode(self.torpedoSpite)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(32, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(35, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(39, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(63, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(67, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(74, true, cc.c3b(255,255,255), 0, nil))
	timeLine:setNode(self.torpedoSpite)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 793.6000, 806.4000, nil))
	timeLine:addFrame(CreatePositionFrame(20, true, 345.6000, 374.4000, nil))
	timeLine:addFrame(CreatePositionFrame(28, true, 390.4000, 422.4000, nil))
	timeLine:setNode(self.shipPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 0.5000, 0.5000, nil))
	timeLine:addFrame(CreateScaleFrame(20, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(28, true, 0.9500, 0.9500, nil))
	timeLine:setNode(self.shipPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(20, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(28, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.shipPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 0.0000, -0.0003, nil))
	timeLine:addFrame(CreatePositionFrame(32, true, 0.0000, -0.0003, nil))
	timeLine:addFrame(CreatePositionFrame(49, true, 0.0000, -0.0003, nil))
	timeLine:addFrame(CreatePositionFrame(100, true, 0.0000, -0.0003, nil))
	timeLine:setNode(self.rootPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(32, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(49, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(100, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.rootPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(32, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(49, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(100, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.rootPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateEventFrame(0, true, "", nil))
	timeLine:addFrame(CreateEventFrame(32, true, "Fire1", nil))
	timeLine:addFrame(CreateEventFrame(49, true, "Fire2", nil))
	timeLine:addFrame(CreateEventFrame(100, true, "skillDone_3", nil))
	timeLine:setNode(self.rootPanel)
	return self
end

_M.textures = {
	"ccs/plist/skillEffect3.plist",
	"Default/Sprite.png",
}

return _M
