-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 70, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 71, cc.size(463, 160), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "Panel", 72, cc.size(463, 160), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Panel)
	self.Panel_2 = self.Panel

	self.BgImage = ccui.ImageView:create()
	setValue(self.BgImage, "BgImage", 73, cc.size(612, 209), cc.p(231.5, 79.6), nil, nil, nil, nil, nil)
	self.BgImage:setScale(0.75)
	self.BgImage:loadTexture("ccs/UiImages/commonBg/common_img_gaoditiao.png", 1)
	addChildForPre(self.Panel_2, self.BgImage)

	self.rewardNamelab = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.rewardNamelab, "rewardNamelab", 88, cc.size(91, 23), cc.p(145.3357, 128.384), cc.p(0, 0.5), nil, nil, nil, nil)
	self.rewardNamelab:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_2, self.rewardNamelab)

	self.rewardNumberlab = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.rewardNumberlab, "rewardNumberlab", 89, cc.size(91, 23), cc.p(436.2849, 127.696), cc.p(1, 0.5), cc.c4b(42, 142, 255, 255), nil, nil, nil)
	self.rewardNumberlab:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rewardNumberlab:setColor(cc.c4b(42, 142, 255, 255))
	addChildForPre(self.Panel_2, self.rewardNumberlab)

	self.rewardDescribeImage = ccui.ImageView:create()
	setValue(self.rewardDescribeImage, "rewardDescribeImage", 91, cc.size(306, 80), cc.p(137.0017, 65.232), cc.p(0, 0.5), nil, nil, nil, false)
	self.rewardDescribeImage:loadTexture("ccs/UiImages/image9/common_s9_diban.png", 1)
	self.rewardDescribeImage:setScale9Enabled(true)
	self.rewardDescribeImage:setCapInsets(cc.rect(5, 5, 19, 24))
	addChildForPre(self.Panel_2, self.rewardDescribeImage)

	self.rewardDescribelab = createLabel({text=[[Text Label]], font=getFont(), size=20, dimensions = cc.size(297.0000, 72.0000)})
	setValue(self.rewardDescribelab, "rewardDescribelab", 90, cc.size(297, 72), cc.p(142.9281, 65.232), cc.p(0, 0.5), nil, nil, nil, false)
	self.rewardDescribelab:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_2, self.rewardDescribelab)

	if CommonItemCellIconUi then 
 		self.itemNode = CommonItemCellIconUi.new() 
 	else 
		self.itemNode = BaseUi.new("ccs/ui/commonDialog/CommonItemCellIconUi.lua")
 	end 
	setValue(self.itemNode, "itemNode", 235, nil, cc.p(20.5, 27.888), nil, nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.itemNode)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/image9.plist",
}

return _M
