-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_1 = cc.Node:create()
	setValue(self.Node_1, "Node_1", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_1)
 	self.uiRootNode = self.Node_1
	self.Node_1_0 = self.Node_1

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 128, cc.size(640, 170), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_1_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.spbg = ccui.ImageView:create()
	setValue(self.spbg, "spbg", 1053, cc.size(612, 167), cc.p(320, 85), nil, nil, nil, nil, nil)
	self.spbg:loadTexture("ccs/UiImages/commonBg/common_img_ditiao.png", 1)
	addChildForPre(self.rootPanel_1, self.spbg)

	self.itemPanel = ccui.Layout:create()
	setValue(self.itemPanel, "itemPanel", 131, cc.size(612, 170), cc.p(320, 85), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.itemPanel)
	self.itemPanel_2 = self.itemPanel

	self.itemNameLabel = createLabel({text=[[tankName]], font=getFont(), size=24})
	setValue(self.itemNameLabel, "itemNameLabel", 4308, cc.size(109, 28), cc.p(121.0536, 138.125), cc.p(0, 0.5), cc.c4b(255, 127, 0, 255), nil, nil, nil)
	self.itemNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.itemNameLabel:setColor(cc.c4b(255, 127, 0, 255))
	addChildForPre(self.itemPanel_2, self.itemNameLabel)

	self.levBgImage = ccui.ImageView:create()
	setValue(self.levBgImage, "levBgImage", 52, cc.size(310, 92), cc.p(118, 63.501), cc.p(0, 0.5), nil, nil, nil, false)
	self.levBgImage:loadTexture("ccs/UiImages/image9/common_s9_diban.png", 1)
	self.levBgImage:setScale9Enabled(true)
	self.levBgImage:setCapInsets(cc.rect(5, 5, 19, 24))
	addChildForPre(self.itemPanel_2, self.levBgImage)

	self.selectButton = ccui.Button:create()
	self.selectButton:setScale9Enabled(true)
	self.selectButton:setCapInsets(cc.rect(0, 0, 153, 64))
	self.selectButton:setContentSize(cc.size(130, 54))
	setValue(self.selectButton, "selectButton", 24, nil, cc.p(515.4264, 50.762), nil, nil, nil, nil, false)
	self.selectButton:setScale(1.25)
	self.selectButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.selectButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.selectButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.selectButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.selectButton:setTitleText([[Button]])
	self.selectButton:setTitleFontSize(20)
	self.selectButton:setTitleFontName(getFont())
	setClickEvent(self, self.selectButton, "selectButton")
	addChildForPre(self.itemPanel_2, self.selectButton)

	self.selectButton10 = ccui.Button:create()
	self.selectButton10:setScale9Enabled(true)
	self.selectButton10:setCapInsets(cc.rect(0, 0, 153, 64))
	self.selectButton10:setContentSize(cc.size(130, 54))
	setValue(self.selectButton10, "selectButton10", 74, nil, cc.p(514.3248, 116.807), nil, nil, nil, nil, false)
	self.selectButton10:setScale(1.25)
	self.selectButton10:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.selectButton10:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.selectButton10:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.selectButton10:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.selectButton10:setTitleText([[Button]])
	self.selectButton10:setTitleFontSize(20)
	self.selectButton10:setTitleFontName(getFont())
	setClickEvent(self, self.selectButton10, "selectButton10")
	addChildForPre(self.itemPanel_2, self.selectButton10)

	self.lbDesc = createLabel({text=[[Text Label]], font=getFont(), size=20, dimensions = cc.size(294.0000, 90.0000)})
	setValue(self.lbDesc, "lbDesc", 73, cc.size(294, 90), cc.p(127, 105), cc.p(0, 1), nil, nil, nil, false)
	self.lbDesc:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.itemPanel_2, self.lbDesc)

	self.shipqualityImage = cc.Sprite:create()
	setValue(self.shipqualityImage, "shipqualityImage", 1379, cc.size(100, 100), cc.p(63.5551, 92.4114), nil, nil, nil, nil, nil)
	self.shipqualityImage:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.itemPanel_2, self.shipqualityImage)

	self.itemIcon = cc.Sprite:create()
	setValue(self.itemIcon, "itemIcon", 435, cc.size(100, 100), cc.p(63.5551, 92.4114), nil, nil, nil, nil, nil)
	self.itemIcon:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.itemPanel_2, self.itemIcon)

	self.ndJiaoB = cc.Node:create()
	setValue(self.ndJiaoB, "ndJiaoB", 1346, nil, cc.p(39, 117), nil, nil, nil, nil, nil)
	addChildForPre(self.itemPanel_2, self.ndJiaoB)
	self.ndJiaoB_3 = self.ndJiaoB

	self.spJiaoB = cc.Sprite:create()
	setValue(self.spJiaoB, "spJiaoB", 1344, cc.size(51, 49), nil, nil, nil, nil, nil, nil)
	self.spJiaoB:setSpriteFrame("ccs/UiImages/common/newactivity_zhizunjiao.png")
	addChildForPre(self.ndJiaoB_3, self.spJiaoB)

	self.lbJiaoB = createLabel({text=[[Vip]], font=getFont(), size=16})
	setValue(self.lbJiaoB, "lbJiaoB", 1345, cc.size(22, 18), cc.p(-7, 7), nil, cc.c4b(255, 241, 0, 255), nil, nil, nil)
	self.lbJiaoB:setRotationSkewX(-45)
	self.lbJiaoB:setRotationSkewY(-45)
	self.lbJiaoB:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.lbJiaoB:setColor(cc.c4b(255, 241, 0, 255))
	addChildForPre(self.ndJiaoB_3, self.lbJiaoB)

	self.tankIconButton = ccui.Button:create()
	self.tankIconButton:setScale9Enabled(true)
	self.tankIconButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.tankIconButton:setContentSize(cc.size(100, 100))
	setValue(self.tankIconButton, "tankIconButton", 898, nil, cc.p(63.5551, 92.4114), nil, nil, nil, nil, false)
	self.tankIconButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.tankIconButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.tankIconButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.tankIconButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tankIconButton:setTitleText([[]])
	self.tankIconButton:setTitleColor(cc.c3b(65, 65, 70))
	self.tankIconButton:setTitleFontSize(14)
	self.tankIconButton:setTitleFontName(getFont())
	setClickEvent(self, self.tankIconButton, "tankIconButton")
	addChildForPre(self.itemPanel_2, self.tankIconButton)

	self.lbCount = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.lbCount, "lbCount", 72, cc.size(91, 23), cc.p(64, 26.9998), nil, nil, nil, nil, nil)
	self.lbCount:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.itemPanel_2, self.lbCount)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/newactivity.plist",
}

return _M
