-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_1 = cc.Node:create()
	setValue(self.Node_1, "Node_1", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_1)
 	self.uiRootNode = self.Node_1
	self.Node_1_0 = self.Node_1

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 1, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	setBgColor(self.rootPanel, 1, 0, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.Node_1_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonShopDialog then 
 		self.commonShopDialog = CommonShopDialog.new() 
 	else 
		self.commonShopDialog = BaseUi.new("ccs/ui/commonDialog/CommonShopDialog.lua")
 	end 
	setValue(self.commonShopDialog, "commonShopDialog", 828, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonShopDialog)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 744, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.tabPanel = ccui.Layout:create()
	setValue(self.tabPanel, "TWX_tabPanel", 7, cc.size(640, 50.016), cc.p(320, 844.8), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.tabPanel)
	self.tabPanel_3 = self.tabPanel

	self.line = ccui.ImageView:create()
	setValue(self.line, "WXN_line", 1169, cc.size(640, 62), cc.p(320.0001, 22.008), nil, nil, nil, nil, nil)
	self.line:loadTexture("ccs/UiImages/commonBg/common_img_diban00.png", 1)
	addChildForPre(self.tabPanel_3, self.line)

	self.tabAllButton = ccui.Button:create()
	self.tabAllButton:setScale9Enabled(true)
	self.tabAllButton:setCapInsets(cc.rect(10, 10, 227, 71))
	self.tabAllButton:setContentSize(cc.size(130, 50))
	setValue(self.tabAllButton, "tabAllButton", 8, nil, cc.p(80, 25), nil, nil, nil, nil, false)
	self.tabAllButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.tabAllButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabAllButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabAllButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tabAllButton:setTitleText([[全部]])
	self.tabAllButton:setTitleFontSize(25)
	self.tabAllButton:setTitleFontName(getFont())
	setClickEvent(self, self.tabAllButton, "tabAllButton")
	addChildForPre(self.tabPanel_3, self.tabAllButton)

	self.tabBoxButton = ccui.Button:create()
	self.tabBoxButton:setScale9Enabled(true)
	self.tabBoxButton:setCapInsets(cc.rect(10, 10, 227, 71))
	self.tabBoxButton:setContentSize(cc.size(130, 50))
	setValue(self.tabBoxButton, "tabBoxButton", 9, nil, cc.p(215, 25), nil, nil, nil, nil, false)
	self.tabBoxButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.tabBoxButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabBoxButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabBoxButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tabBoxButton:setTitleText([[道具]])
	self.tabBoxButton:setTitleFontSize(25)
	self.tabBoxButton:setTitleFontName(getFont())
	setClickEvent(self, self.tabBoxButton, "tabBoxButton")
	addChildForPre(self.tabPanel_3, self.tabBoxButton)

	self.tabMaterialButton = ccui.Button:create()
	self.tabMaterialButton:setScale9Enabled(true)
	self.tabMaterialButton:setCapInsets(cc.rect(10, 10, 227, 71))
	self.tabMaterialButton:setContentSize(cc.size(130, 50))
	setValue(self.tabMaterialButton, "tabMaterialButton", 10, nil, cc.p(350, 25), nil, nil, nil, nil, false)
	self.tabMaterialButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.tabMaterialButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabMaterialButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabMaterialButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tabMaterialButton:setTitleText([[材料]])
	self.tabMaterialButton:setTitleFontSize(25)
	self.tabMaterialButton:setTitleFontName(getFont())
	setClickEvent(self, self.tabMaterialButton, "tabMaterialButton")
	addChildForPre(self.tabPanel_3, self.tabMaterialButton)

	self.tabContentPanel = ccui.Layout:create()
	setValue(self.tabContentPanel, "tabContentPanel", 34, cc.size(640, 810), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.tabContentPanel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/common.plist",
}

return _M
