-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_0 = cc.Node:create()
	setValue(self.Node_0, "Node_0", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_0)
 	self.uiRootNode = self.Node_0
	self.Node_0_0 = self.Node_0

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 9, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 1255, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 5, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.techListView = ccui.Layout:create()
	setValue(self.techListView, "XIN_techListView", 54, cc.size(640, 690), cc.p(320.0002, 483.0006), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.techListView)

	self.line = ccui.ImageView:create()
	setValue(self.line, "TWX_line", 1045, cc.size(640, 8), cc.p(320, 834), nil, nil, nil, nil, false)
	self.line:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	self.line:setScale9Enabled(true)
	self.line:setCapInsets(cc.rect(0, 0, 640, 8))
	addChildForPre(self.dialogPanel_2, self.line)

	self.resPanel = ccui.Layout:create()
	setValue(self.resPanel, "TXN_resPanel", 1040, cc.size(640, 60), cc.p(320, 866), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.resPanel)
	self.resPanel_3 = self.resPanel

	self.getTechPaperButton = ccui.Button:create()
	setValue(self.getTechPaperButton, "getTechPaperButton", 56, cc.size(152, 26), cc.p(628.992, 21.996), cc.p(1, 0.5), cc.c4b(0, 183, 238, 255), nil, nil, false)
	self.getTechPaperButton:loadTextureNormal("ccs/UiImages/image9/Underline.png", 1)
	self.getTechPaperButton:loadTexturePressed("ccs/UiImages/image9/Underline.png", 1)
	self.getTechPaperButton:loadTextureDisabled("ccs/UiImages/image9/Underline.png", 1)
	self.getTechPaperButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.getTechPaperButton:setTitleText([[getTechPaperButton]])
	self.getTechPaperButton:setTitleColor(cc.c3b(255, 255, 240))
	self.getTechPaperButton:setTitleFontSize(24)
	self.getTechPaperButton:setTitleFontName(getFont())
	setClickEvent(self, self.getTechPaperButton, "getTechPaperButton")
	addChildForPre(self.resPanel_3, self.getTechPaperButton)

	self.IconPaper = cc.Sprite:create()
	setValue(self.IconPaper, "IconPaper", 57, cc.size(45, 45), cc.p(319.744, 18), nil, nil, nil, nil, nil)
	self.IconPaper:setSpriteFrame("ccs/UiImages/common/commonIcon_img_tuzhi_xiaohao_1.png")
	addChildForPre(self.resPanel_3, self.IconPaper)

	self.goldLabel = createLabel({text=[[0]], font=getFont(), size=24})
	setValue(self.goldLabel, "goldLabel", 6, cc.size(13, 28), cc.p(113.984, 19.998), cc.p(0, 0.5), nil, nil, nil, nil)
	self.goldLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.resPanel_3, self.goldLabel)

	self.IconGold = cc.Sprite:create()
	setValue(self.IconGold, "IconGold", 1094, cc.size(34, 28), cc.p(82.944, 22.998), nil, nil, nil, nil, nil)
	self.IconGold:setSpriteFrame("ccs/UiImages/common/icon_gold.png")
	addChildForPre(self.resPanel_3, self.IconGold)

	self.itemCountabel = createLabel({text=[[0]], font=getFont(), size=24})
	setValue(self.itemCountabel, "itemCountabel", 7, cc.size(13, 28), cc.p(346.944, 19.686), cc.p(0, 0.4887), nil, nil, nil, nil)
	self.itemCountabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.resPanel_3, self.itemCountabel)

	self.downPanel = ccui.Layout:create()
	setValue(self.downPanel, "BWX_downPanel", 1041, cc.size(640, 129.984), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.downPanel)
	self.downPanel_3 = self.downPanel

	self.ImageLine = ccui.ImageView:create()
	setValue(self.ImageLine, "WXN_ImageLine", 1042, cc.size(640, 30), cc.p(320, 130), nil, nil, nil, nil, false)
	self.ImageLine:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.ImageLine:setScale9Enabled(true)
	self.ImageLine:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.downPanel_3, self.ImageLine)

	self.ImageLineDown = ccui.ImageView:create()
	setValue(self.ImageLineDown, "WXN_ImageLineDown", 1044, cc.size(640, 8), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.ImageLineDown:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	self.ImageLineDown:setScale9Enabled(true)
	self.ImageLineDown:setCapInsets(cc.rect(0, 0, 640, 8))
	addChildForPre(self.downPanel_3, self.ImageLineDown)

	self.btnOneKeyUp = ccui.Button:create()
	setValue(self.btnOneKeyUp, "XNN_btnOneKeyUp", 1043, cc.size(153, 64), cc.p(320, 64), nil, nil, nil, nil, false)
	self.btnOneKeyUp:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.btnOneKeyUp:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.btnOneKeyUp:loadTextureDisabled("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.btnOneKeyUp:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.btnOneKeyUp:setTitleText([[Button]])
	self.btnOneKeyUp:setTitleFontSize(24)
	self.btnOneKeyUp:setTitleFontName(getFont())
	setClickEvent(self, self.btnOneKeyUp, "btnOneKeyUp")
	addChildForPre(self.downPanel_3, self.btnOneKeyUp)

	if CommonDialogFrame1CloseUi then 
 		self.commonDialogFrame1CloseUi = CommonDialogFrame1CloseUi.new() 
 	else 
		self.commonDialogFrame1CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame1CloseUi, "commonDialogFrame1CloseUi", 1272, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/common.plist",
}

return _M
