-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 617, cc.size(575, 633), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.lightBgImage = ccui.ImageView:create()
	setValue(self.lightBgImage, "lightBgImage", 171, cc.size(230, 230), cc.p(287.5, 316.5), nil, nil, nil, nil, nil)
	self.lightBgImage:setScale(2.8)
	self.lightBgImage:loadTexture("ccs/UiImages/commonBg/common_shipLight.png", 1)
	addChildForPre(self.rootPanel_1, self.lightBgImage)

	self.shipBgImage = ccui.ImageView:create()
	setValue(self.shipBgImage, "shipBgImage", 501, cc.size(64, 63), cc.p(287.5, 316.5), nil, nil, nil, nil, nil)
	self.shipBgImage:setScaleX(18)
	self.shipBgImage:setScaleY(11.5713)
	self.shipBgImage:loadTexture("ccs/UiImages/commonBg/common_shipBg.png", 1)
	addChildForPre(self.rootPanel_1, self.shipBgImage)

	self.TankShowStand = cc.Sprite:create()
	setValue(self.TankShowStand, "TankShowStand", 664, cc.size(46, 46), cc.p(270.71, -11.2674), cc.p(0.5, 0), nil, nil, nil, nil)
	self.TankShowStand:setScale(1.27)
	self.TankShowStand:setVisible(false)
	self.TankShowStand:setTexture("Default/Sprite.png")
	addChildForPre(self.rootPanel_1, self.TankShowStand)

	self.tankSprite = cc.Sprite:create()
	setValue(self.tankSprite, "tankSprite", 666, cc.size(348, 332), cc.p(287.5, 278.52), nil, nil, nil, nil, nil)
	self.tankSprite:setScale(1.1)
	self.tankSprite:setTexture("ccs/BigImages/ship_show/1_dg_qt_II_ka.webp")
	addChildForPre(self.rootPanel_1, self.tankSprite)

	self.TankShowStandB = cc.Sprite:create()
	setValue(self.TankShowStandB, "TankShowStandB", 665, cc.size(46, 46), cc.p(450.9725, 145.2735), cc.p(0.6687, 0.6208), nil, nil, nil, nil)
	self.TankShowStandB:setScale(1.37)
	self.TankShowStandB:setVisible(false)
	self.TankShowStandB:setTexture("Default/Sprite.png")
	addChildForPre(self.rootPanel_1, self.TankShowStandB)

	self.CommonTipPlate = cc.Sprite:create()
	setValue(self.CommonTipPlate, "CommonTipPlate", 154, cc.size(374, 39), cc.p(287.5, 455.76), nil, nil, nil, nil, nil)
	self.CommonTipPlate:setScaleX(0.7)
	self.CommonTipPlate:setScaleY(1)
	self.CommonTipPlate:setSpriteFrame("ccs/UiImages/image9/commonPanel_TxtBg_WinGouMaiDaoJu_2.png")
	addChildForPre(self.rootPanel_1, self.CommonTipPlate)

	self.tankNameLabel = createLabel({text=[[tankNameLabel]], font=getFont(), size=25,align = 1})
	setValue(self.tankNameLabel, "tankNameLabel", 156, cc.size(175, 29), cc.p(287.5, 455.76), nil, nil, nil, nil, nil)
	self.tankNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.tankNameLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"Default/Sprite.png",
	"ccs/BigImages/ship_show/1_dg_qt_II_ka.png",
	"ccs/plist/image9.plist",
}

return _M
