-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 111, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonNewUi then 
 		self.CommonNewUi = CommonNewUi.new() 
 	else 
		self.CommonNewUi = BaseUi.new("ccs/ui/commonDialog/CommonNewUi.lua")
 	end 
	setValue(self.CommonNewUi, "CommonNewUi", 988, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.CommonNewUi)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 948, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.mainPanel = ccui.Layout:create()
	setValue(self.mainPanel, "AXY_mainPanel", 283, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.mainPanel)
	self.mainPanel_3 = self.mainPanel

	self.vipPlayerInfoView = ccui.Layout:create()
	setValue(self.vipPlayerInfoView, "XTN_vipPlayerInfoView", 473, cc.size(640, 104), cc.p(320, 834), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.mainPanel_3, self.vipPlayerInfoView)
	self.vipPlayerInfoView_4 = self.vipPlayerInfoView

	if ChargePlayerVipUi then 
 		self.chargePlayerVipUi = ChargePlayerVipUi.new() 
 	else 
		self.chargePlayerVipUi = BaseUi.new("ccs/ui/charge/ChargePlayerVipUi.lua")
 	end 
	setValue(self.chargePlayerVipUi, "chargePlayerVipUi", 1392, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.vipPlayerInfoView_4, self.chargePlayerVipUi)

	self.vipInfoPanel = ccui.Layout:create()
	setValue(self.vipInfoPanel, "AXY_vipInfoPanel", 427, cc.size(640, 750), cc.p(320, 384), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.mainPanel_3, self.vipInfoPanel)
	self.vipInfoPanel_4 = self.vipInfoPanel

	self.vipCellPanel = ccui.Layout:create()
	setValue(self.vipCellPanel, "AXY_vipCellPanel", 629, cc.size(640, 750), cc.p(320, 375), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.vipInfoPanel_4, self.vipCellPanel)

	self.vipLeftButton = ccui.Button:create()
	setValue(self.vipLeftButton, "LYN_vipLeftButton", 428, cc.size(58, 106), cc.p(32, 412.5), nil, nil, nil, nil, nil)
	self.vipLeftButton:setRotationSkewX(180)
	self.vipLeftButton:setRotationSkewY(180)
	self.vipLeftButton:loadTextureNormal("ccs/UiImages/common/login_btn_zuoyou.png", 1)
	self.vipLeftButton:loadTexturePressed("ccs/UiImages/common/login_btn_zuoyou.png", 1)
	self.vipLeftButton:loadTextureDisabled("ccs/UiImages/common/login_btn_zuoyou.png", 1)
	self.vipLeftButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.vipLeftButton:setTitleText([[]])
	self.vipLeftButton:setTitleColor(cc.c3b(65, 65, 70))
	self.vipLeftButton:setTitleFontSize(14)
	self.vipLeftButton:setTitleFontName(getFont())
	setClickEvent(self, self.vipLeftButton, "vipLeftButton")
	addChildForPre(self.vipInfoPanel_4, self.vipLeftButton)

	self.vipRightButton = ccui.Button:create()
	setValue(self.vipRightButton, "RYN_vipRightButton", 429, cc.size(58, 106), cc.p(608, 412.5), nil, nil, nil, nil, nil)
	self.vipRightButton:loadTextureNormal("ccs/UiImages/common/login_btn_zuoyou.png", 1)
	self.vipRightButton:loadTexturePressed("ccs/UiImages/common/login_btn_zuoyou.png", 1)
	self.vipRightButton:loadTextureDisabled("ccs/UiImages/common/login_btn_zuoyou.png", 1)
	self.vipRightButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.vipRightButton:setTitleText([[]])
	self.vipRightButton:setTitleColor(cc.c3b(65, 65, 70))
	self.vipRightButton:setTitleFontSize(14)
	self.vipRightButton:setTitleFontName(getFont())
	setClickEvent(self, self.vipRightButton, "vipRightButton")
	addChildForPre(self.vipInfoPanel_4, self.vipRightButton)

	self.lbLeftVip = createLabel({text=[[V10]], font=getFont(), size=24})
	setValue(self.lbLeftVip, "LYN_lbLeftVip", 804, cc.size(42, 28), cc.p(10, 316.0478), cc.p(0, 0.5), cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.lbLeftVip:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.lbLeftVip:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.vipInfoPanel_4, self.lbLeftVip)

	self.lbRightVip = createLabel({text=[[V11]], font=getFont(), size=24})
	setValue(self.lbRightVip, "LYN_lbRightVip", 805, cc.size(40, 28), cc.p(630, 316.0478), cc.p(1, 0.5), cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.lbRightVip:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.lbRightVip:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.vipInfoPanel_4, self.lbRightVip)

	self.topImage = ccui.ImageView:create()
	setValue(self.topImage, "WXT_topImage", 487, cc.size(640, 30), cc.p(320.0001, 768), nil, nil, nil, nil, false)
	self.topImage:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.topImage:setScale9Enabled(true)
	self.topImage:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.mainPanel_3, self.topImage)

	self.endImage = ccui.ImageView:create()
	setValue(self.endImage, "WXB_endImage", 488, cc.size(640, 8), cc.p(320.0001, 0), nil, nil, nil, nil, false)
	self.endImage:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	self.endImage:setScale9Enabled(true)
	self.endImage:setCapInsets(cc.rect(0, 0, 640, 8))
	addChildForPre(self.mainPanel_3, self.endImage)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
}

return _M
