-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 32, cc.size(500, 327), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.uiPanel = ccui.Layout:create()
	setValue(self.uiPanel, "AXY_uiPanel", 314, cc.size(490, 327), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.uiPanel)
	self.uiPanel_2 = self.uiPanel

	self.vipBoxButton = ccui.Button:create()
	self.vipBoxButton:setScale9Enabled(true)
	self.vipBoxButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.vipBoxButton:setContentSize(cc.size(350, 50))
	setValue(self.vipBoxButton, "vipBoxButton", 879, nil, cc.p(245, 284.49), nil, nil, nil, nil, false)
	self.vipBoxButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.vipBoxButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.vipBoxButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.vipBoxButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.vipBoxButton:setTitleText([[]])
	self.vipBoxButton:setTitleColor(cc.c3b(65, 65, 70))
	self.vipBoxButton:setTitleFontSize(14)
	self.vipBoxButton:setTitleFontName(getFont())
	setClickEvent(self, self.vipBoxButton, "vipBoxButton")
	addChildForPre(self.uiPanel_2, self.vipBoxButton)
	self.vipBoxButton_3 = self.vipBoxButton

	self.vipBgImageR = cc.Sprite:create()
	setValue(self.vipBgImageR, "vipBgImageR", 656, cc.size(244, 48), cc.p(174.0001, 25.2582), cc.p(0, 0.5), nil, nil, nil, nil)
	self.vipBgImageR:setFlippedX(true)
	self.vipBgImageR:setSpriteFrame("ccs/UiImages/mall/vipPay_img_dituao2.png")
	addChildForPre(self.vipBoxButton_3, self.vipBgImageR)

	self.vipBgImageL = cc.Sprite:create()
	setValue(self.vipBgImageL, "vipBgImageL", 657, cc.size(244, 48), cc.p(176, 25.2582), cc.p(1, 0.5), nil, nil, nil, nil)
	self.vipBgImageL:setSpriteFrame("ccs/UiImages/mall/vipPay_img_dituao2.png")
	addChildForPre(self.vipBoxButton_3, self.vipBgImageL)

	self.giftsNameLabel = createLabel({text=[[giftsNameLabel]], font=getFont(), size=27,align = 1,valign = 1})
	setValue(self.giftsNameLabel, "giftsNameLabel", 176, cc.size(187, 31), cc.p(175, 25), nil, nil, nil, nil, nil)
	self.giftsNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.vipBoxButton_3, self.giftsNameLabel)

	self.listViewPanel = ccui.Layout:create()
	setValue(self.listViewPanel, "listViewPanel", 720, cc.size(500, 150), cc.p(245, 176.58), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.uiPanel_2, self.listViewPanel)

	self.buyButton = ccui.Button:create()
	setValue(self.buyButton, "buyButton", 33, cc.size(153, 64), cc.p(245, 44.9625), nil, nil, nil, nil, false)
	self.buyButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.buyButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.buyButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.buyButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.buyButton:setTitleText([[buyButton]])
	self.buyButton:setTitleFontSize(25)
	self.buyButton:setTitleFontName(getFont())
	setClickEvent(self, self.buyButton, "buyButton")
	addChildForPre(self.uiPanel_2, self.buyButton)
	self.buyButton_3 = self.buyButton

	self.tipBuyImgage = cc.Sprite:create()
	setValue(self.tipBuyImgage, "tipBuyImgage", 292, cc.size(17, 17), cc.p(140.76, 57.6), nil, nil, nil, nil, nil)
	self.tipBuyImgage:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.buyButton_3, self.tipBuyImgage)

	self.buyImage = ccui.ImageView:create()
	setValue(self.buyImage, "buyImage", 315, cc.size(197, 63), cc.p(381.9735, 149.9335), nil, nil, nil, nil, false)
	self.buyImage:setRotationSkewX(16)
	self.buyImage:setRotationSkewY(16)
	self.buyImage:loadTexture("Default/ImageFile.png")
	self.buyImage:setScale9Enabled(true)
	self.buyImage:setCapInsets(cc.rect(0, 0, 46, 46))
	addChildForPre(self.uiPanel_2, self.buyImage)

	self.priceLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.priceLabel, "priceLabel", 157, cc.size(91, 23), cc.p(235.2, 95.75), cc.p(0, 0.5), nil, nil, nil, nil)
	self.priceLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.uiPanel_2, self.priceLabel)

	self.diamondsSprite = cc.Sprite:create()
	setValue(self.diamondsSprite, "diamondsSprite", 158, cc.size(35, 35), cc.p(205.8, 95.75), nil, nil, nil, nil, nil)
	self.diamondsSprite:setSpriteFrame("ccs/UiImages/common/commonIcon_icon_ZuanShi_2.png")
	addChildForPre(self.uiPanel_2, self.diamondsSprite)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/mall.plist",
	"ccs/plist/common.plist",
	"Default/ImageFile.png",
}

return _M
