-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 105, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 106, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonNewUi then 
 		self.CommonNewUi = CommonNewUi.new() 
 	else 
		self.CommonNewUi = BaseUi.new("ccs/ui/commonDialog/CommonNewUi.lua")
 	end 
	setValue(self.CommonNewUi, "CommonNewUi", 322, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.CommonNewUi)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 381, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.buffPanel = ccui.Layout:create()
	setValue(self.buffPanel, "LYN_buffPanel", 492, cc.size(255, 354), cc.p(0, 576), cc.p(0, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.buffPanel)
	self.buffPanel_3 = self.buffPanel

	self.rewardBgImage = ccui.ImageView:create()
	setValue(self.rewardBgImage, "rewardBgImage", 845, cc.size(255, 354), cc.p(127.5, 177), nil, nil, nil, nil, nil)
	self.rewardBgImage:loadTexture("ccs/UiImages/commonBg/worldboss_img_diban.png", 1)
	addChildForPre(self.buffPanel_3, self.rewardBgImage)

	self.explainLabel = createLabel({text=[[explainLabel]], font=getFont(), size=24})
	setValue(self.explainLabel, "explainLabel", 1035, cc.size(134, 28), cc.p(26.5455, 317.3964), cc.p(0, 0.5), nil, nil, nil, nil)
	self.explainLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.buffPanel_3, self.explainLabel)

	self.offStateButton = ccui.Button:create()
	setValue(self.offStateButton, "offStateButton", 429, cc.size(36, 123), cc.p(255, 177), nil, nil, nil, nil, nil)
	self.offStateButton:loadTextureNormal("ccs/UiImages/common/worldboss_btn_left.png", 1)
	self.offStateButton:loadTexturePressed("ccs/UiImages/common/worldboss_btn_left.png", 1)
	self.offStateButton:loadTextureDisabled("ccs/UiImages/common/worldboss_btn_left.png", 1)
	self.offStateButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.offStateButton:setTitleText([[]])
	self.offStateButton:setTitleColor(cc.c3b(65, 65, 70))
	self.offStateButton:setTitleFontSize(14)
	self.offStateButton:setTitleFontName(getFont())
	setClickEvent(self, self.offStateButton, "offStateButton")
	addChildForPre(self.buffPanel_3, self.offStateButton)

	self.openStateButton = ccui.Button:create()
	setValue(self.openStateButton, "openStateButton", 430, cc.size(36, 123), cc.p(255, 177), nil, nil, nil, nil, nil)
	self.openStateButton:loadTextureNormal("ccs/UiImages/common/worldboss_btn_right.png", 1)
	self.openStateButton:loadTexturePressed("ccs/UiImages/common/worldboss_btn_right.png", 1)
	self.openStateButton:loadTextureDisabled("ccs/UiImages/common/worldboss_btn_right.png", 1)
	self.openStateButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.openStateButton:setTitleText([[]])
	self.openStateButton:setTitleColor(cc.c3b(65, 65, 70))
	self.openStateButton:setTitleFontSize(14)
	self.openStateButton:setTitleFontName(getFont())
	setClickEvent(self, self.openStateButton, "openStateButton")
	addChildForPre(self.buffPanel_3, self.openStateButton)

	self.detailButton = ccui.Button:create()
	setValue(self.detailButton, "detailButton", 116, cc.size(153, 64), cc.p(114.9049, 43), nil, nil, nil, nil, false)
	self.detailButton:loadTextureNormal("ccs/UiImages/image9/common_btn_green_0.png", 1)
	self.detailButton:loadTexturePressed("ccs/UiImages/image9/common_btn_green_1.png", 1)
	self.detailButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.detailButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.detailButton:setTitleText([[Button]])
	self.detailButton:setTitleFontSize(24)
	self.detailButton:setTitleFontName(getFont())
	setClickEvent(self, self.detailButton, "detailButton")
	addChildForPre(self.buffPanel_3, self.detailButton)

	self.bottomPanel = ccui.Layout:create()
	setValue(self.bottomPanel, "WXB_bottomPanel", 516, cc.size(640, 288), cc.p(320, 153.6), cc.p(0.5, 0.5), nil, nil, nil, nil)
	setBgColor(self.bottomPanel, 1, nil, cc.c4b(20, 31, 44, 255), nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.bottomPanel)
	self.bottomPanel_3 = self.bottomPanel

	self.topImage = ccui.ImageView:create()
	setValue(self.topImage, "WTX_topImage", 336, cc.size(640, 30), cc.p(320, 282.24), nil, nil, nil, nil, false)
	self.topImage:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.topImage:setScale9Enabled(true)
	self.topImage:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.bottomPanel_3, self.topImage)

	self.rewardViewPanel = ccui.Layout:create()
	setValue(self.rewardViewPanel, "LYN_rewardViewPanel", 337, cc.size(355, 132), cc.p(194.8386, 182.5348), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.bottomPanel_3, self.rewardViewPanel)
	self.rewardViewPanel_4 = self.rewardViewPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 338, cc.size(350, 130), cc.p(177.5, 66), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.rewardViewPanel_4, self.bgImage)

	self.rewardKillLabel = createLabel({text=[[rewardKillLabel]], font=getFont(), size=24})
	setValue(self.rewardKillLabel, "rewardKillLabel", 1034, cc.size(164, 28), cc.p(11.0405, 114.6288), cc.p(0, 0.5), nil, nil, nil, nil)
	self.rewardKillLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rewardViewPanel_4, self.rewardKillLabel)

	self.itemPanel = ccui.Layout:create()
	setValue(self.itemPanel, "itemPanel", 108, cc.size(316, 80), cc.p(13.149, 10), nil, nil, nil, nil, nil)
	addChildForPre(self.rewardViewPanel_4, self.itemPanel)

	self.rewardPanel = ccui.Layout:create()
	setValue(self.rewardPanel, "RYN_rewardPanel", 431, cc.size(242, 132), cc.p(507.4374, 182.5348), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.bottomPanel_3, self.rewardPanel)
	self.rewardPanel_4 = self.rewardPanel

	self.countdownImage = ccui.ImageView:create()
	setValue(self.countdownImage, "countdownImage", 987, cc.size(242, 132), cc.p(121, 66), nil, nil, nil, nil, false)
	self.countdownImage:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.countdownImage:setScale9Enabled(true)
	self.countdownImage:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.rewardPanel_4, self.countdownImage)

	self.rewardExplainLabel = createLabel({text=[[rewardExplainLabel]], font=getFont(), size=24,align = 2,valign = 1})
	setValue(self.rewardExplainLabel, "rewardExplainLabel", 1032, cc.size(210, 28), cc.p(7.5746, 114.6288), cc.p(0, 0.5), nil, nil, nil, nil)
	self.rewardExplainLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rewardPanel_4, self.rewardExplainLabel)

	self.rewardExplainButton = ccui.Button:create()
	setValue(self.rewardExplainButton, "rewardExplainButton", 1033, cc.size(133, 114), cc.p(160.5912, 59.4132), nil, nil, nil, nil, nil)
	self.rewardExplainButton:loadTextureNormal("ccs/UiImages/battle/icon_box02.png", 1)
	self.rewardExplainButton:loadTexturePressed("ccs/UiImages/battle/icon_box01.png", 1)
	self.rewardExplainButton:loadTextureDisabled("ccs/UiImages/battle/icon_box01.png", 1)
	self.rewardExplainButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.rewardExplainButton:setTitleText([[]])
	self.rewardExplainButton:setTitleColor(cc.c3b(65, 65, 70))
	self.rewardExplainButton:setTitleFontSize(25)
	self.rewardExplainButton:setTitleFontName(getFont())
	setClickEvent(self, self.rewardExplainButton, "rewardExplainButton")
	addChildForPre(self.rewardPanel_4, self.rewardExplainButton)

	self.buttonPanel = ccui.Layout:create()
	setValue(self.buttonPanel, "BXN_buttonPanel", 117, cc.size(640, 100), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.bottomPanel_3, self.buttonPanel)
	self.buttonPanel_4 = self.buttonPanel

	self.autoButton = ccui.Button:create()
	setValue(self.autoButton, "autoButton", 335, cc.size(153, 64), cc.p(318.3283, 32.5486), nil, nil, nil, nil, false)
	self.autoButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.autoButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.autoButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.autoButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.autoButton:setTitleText([[XXXXX]])
	self.autoButton:setTitleFontSize(24)
	self.autoButton:setTitleFontName(getFont())
	setClickEvent(self, self.autoButton, "autoButton")
	addChildForPre(self.buttonPanel_4, self.autoButton)

	self.dekaronButton = ccui.Button:create()
	setValue(self.dekaronButton, "dekaronButton", 515, cc.size(153, 64), cc.p(525.44, 32.55), nil, nil, nil, nil, false)
	self.dekaronButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.dekaronButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.dekaronButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.dekaronButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.dekaronButton:setTitleText([[XXXXX]])
	self.dekaronButton:setTitleFontSize(24)
	self.dekaronButton:setTitleFontName(getFont())
	setClickEvent(self, self.dekaronButton, "dekaronButton")
	addChildForPre(self.buttonPanel_4, self.dekaronButton)

	self.adjustmentButton = ccui.Button:create()
	setValue(self.adjustmentButton, "adjustmentButton", 494, cc.size(153, 64), cc.p(111.232, 32.55), nil, nil, nil, nil, false)
	self.adjustmentButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.adjustmentButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.adjustmentButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.adjustmentButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.adjustmentButton:setTitleText([[XXXXX]])
	self.adjustmentButton:setTitleFontSize(24)
	self.adjustmentButton:setTitleFontName(getFont())
	setClickEvent(self, self.adjustmentButton, "adjustmentButton")
	addChildForPre(self.buttonPanel_4, self.adjustmentButton)

	self.countdownLableTime = createLabel({text=[[countdownLableTime]], font=getFont(), size=20})
	setValue(self.countdownLableTime, "countdownLableTime", 989, cc.size(189, 23), cc.p(518.144, 75), nil, nil, nil, nil, nil)
	self.countdownLableTime:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.buttonPanel_4, self.countdownLableTime)

	self.countdownLableTitle = createLabel({text=[[countdownLableTitle]], font=getFont(), size=20})
	setValue(self.countdownLableTitle, "countdownLableTitle", 988, cc.size(182, 23), cc.p(518.144, 85.76), cc.p(0.5, 0), cc.c4b(255, 0, 0, 255), nil, nil, nil)
	self.countdownLableTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.countdownLableTitle:setColor(cc.c4b(255, 0, 0, 255))
	addChildForPre(self.buttonPanel_4, self.countdownLableTitle)

	self.openLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.openLabel, "openLabel", 355, cc.size(109, 28), cc.p(518.144, 86.42), nil, cc.c4b(255, 0, 0, 255), nil, nil, nil)
	self.openLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.openLabel:setColor(cc.c4b(255, 0, 0, 255))
	addChildForPre(self.buttonPanel_4, self.openLabel)

	self.vipLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.vipLabel, "vipLabel", 373, cc.size(91, 23), cc.p(319.2382, 80.4584), nil, nil, nil, nil, nil)
	self.vipLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.buttonPanel_4, self.vipLabel)

	self.rewardCenterButton = ccui.Button:create()
	setValue(self.rewardCenterButton, "rewardCenterButton", 493, cc.size(153, 64), cc.p(860.608, 586.656), nil, nil, nil, nil, nil)
	self.rewardCenterButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.rewardCenterButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.rewardCenterButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.rewardCenterButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.rewardCenterButton:setTitleText([[]])
	self.rewardCenterButton:setTitleColor(cc.c3b(65, 65, 70))
	self.rewardCenterButton:setTitleFontSize(14)
	self.rewardCenterButton:setTitleFontName(getFont())
	setClickEvent(self, self.rewardCenterButton, "rewardCenterButton")
	addChildForPre(self.dialogPanel_2, self.rewardCenterButton)

	self.rewardButtonNameLabel = createLabel({text=[[rewardButtonNameLabel]], font=getFont(), size=25,align = 1})
	setValue(self.rewardButtonNameLabel, "rewardButtonNameLabel", 150, cc.size(276, 29), cc.p(860.608, 500.256), nil, nil, nil, nil, nil)
	self.rewardButtonNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.rewardButtonNameLabel)

	self.helpButton = ccui.Button:create()
	setValue(self.helpButton, "RTN_helpButton", 614, cc.size(68, 42), cc.p(585.664, 835.2), nil, nil, nil, nil, nil)
	self.helpButton:loadTextureNormal("ccs/UiImages/image9/common_btn_xiangqing.png", 1)
	self.helpButton:loadTexturePressed("ccs/UiImages/image9/common_btn_xiangqing.png", 1)
	self.helpButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_xiangqing.png", 1)
	self.helpButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.helpButton:setTitleText([[]])
	self.helpButton:setTitleColor(cc.c3b(65, 65, 70))
	self.helpButton:setTitleFontSize(14)
	self.helpButton:setTitleFontName(getFont())
	setClickEvent(self, self.helpButton, "helpButton")
	addChildForPre(self.dialogPanel_2, self.helpButton)

	self.fntNode = cc.Node:create()
	setValue(self.fntNode, "TXN_fntNode", 139, nil, cc.p(320, 835.2), nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.fntNode)

	self.rankbuttonPanel = ccui.Layout:create()
	setValue(self.rankbuttonPanel, "RBN_rankbuttonPanel", 271, cc.size(100, 100), cc.p(556.8, 384), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.rankbuttonPanel)
	self.rankbuttonPanel_3 = self.rankbuttonPanel

	self.hurtRankButton = ccui.Button:create()
	setValue(self.hurtRankButton, "hurtRankButton", 206, cc.size(100, 80), cc.p(50, 50), nil, nil, nil, nil, false)
	self.hurtRankButton:loadTextureNormal("ccs/UiImages/common/worldboss_btn_lingjiang.png", 1)
	self.hurtRankButton:loadTexturePressed("ccs/UiImages/common/worldboss_btn_lingjiang.png", 1)
	self.hurtRankButton:loadTextureDisabled("ccs/UiImages/common/worldboss_btn_lingjiang.png", 1)
	self.hurtRankButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.hurtRankButton:setTitleText([[Button]])
	self.hurtRankButton:setTitleColor(cc.c3b(65, 65, 70))
	self.hurtRankButton:setTitleFontSize(14)
	self.hurtRankButton:setTitleFontName(getFont())
	setClickEvent(self, self.hurtRankButton, "hurtRankButton")
	addChildForPre(self.rankbuttonPanel_3, self.hurtRankButton)

	self.buttonNameLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.buttonNameLabel, "buttonNameLabel", 272, cc.size(91, 23), cc.p(50, 19.71), nil, nil, nil, nil, nil)
	self.buttonNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rankbuttonPanel_3, self.buttonNameLabel)

	self.myRankLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.myRankLabel, "myRankLabel", 273, cc.size(91, 23), cc.p(50, -6.71), nil, cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.myRankLabel:setVisible(false)
	self.myRankLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.myRankLabel:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.rankbuttonPanel_3, self.myRankLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/battle.plist",
}

return _M
