-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 36, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame5Ui then 
 		self.commonDialogFrame5Ui = CommonDialogFrame5Ui.new() 
 	else 
		self.commonDialogFrame5Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame5Ui.lua")
 	end 
	setValue(self.commonDialogFrame5Ui, "commonDialogFrame5Ui", 1071, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame5Ui)

	self.oldPanel = ccui.Layout:create()
	setValue(self.oldPanel, "XYN_oldPanel", 164, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.oldPanel)
	self.oldPanel_2 = self.oldPanel

	self.okButton = ccui.Button:create()
	setValue(self.okButton, "okButton", 253, cc.size(153, 64), cc.p(416, 384), nil, nil, nil, nil, false)
	self.okButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.okButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.okButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.okButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.okButton:setTitleText([[okButton]])
	self.okButton:setTitleFontSize(25)
	self.okButton:setTitleFontName(getFont())
	setClickEvent(self, self.okButton, "okButton")
	addChildForPre(self.oldPanel_2, self.okButton)

	self.cancelButton = ccui.Button:create()
	setValue(self.cancelButton, "cancelButton", 355, cc.size(153, 64), cc.p(224, 384), nil, nil, nil, nil, false)
	self.cancelButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.cancelButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.cancelButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.cancelButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.cancelButton:setTitleText([[cancel]])
	self.cancelButton:setTitleFontSize(25)
	self.cancelButton:setTitleFontName(getFont())
	setClickEvent(self, self.cancelButton, "cancelButton")
	addChildForPre(self.oldPanel_2, self.cancelButton)

	self.titleLabel = createLabel({text=[[titleLabel]], font=getFont(), size=30})
	setValue(self.titleLabel, "titleLabel", 254, cc.size(120, 34), cc.p(320, 556.8), nil, nil, nil, nil, nil)
	self.titleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.oldPanel_2, self.titleLabel)

	self.inputPanel = ccui.Layout:create()
	setValue(self.inputPanel, "inputPanel", 76, cc.size(400, 70), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.oldPanel_2, self.inputPanel)
	self.inputPanel_3 = self.inputPanel

	self.inputBGImage = ccui.ImageView:create()
	setValue(self.inputBGImage, "inputBGImage", 520, cc.size(347, 51), cc.p(200, 35), nil, nil, nil, nil, false)
	self.inputBGImage:loadTexture("ccs/UiImages/login/login_img_20.png", 1)
	self.inputBGImage:setScale9Enabled(true)
	self.inputBGImage:setCapInsets(cc.rect(0, 0, 347, 51))
	addChildForPre(self.inputPanel_3, self.inputBGImage)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/common.plist",
	"ccs/plist/login.plist",
}

return _M
