-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 28, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 78, cc.size(640, 200), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 615, cc.size(628, 188), cc.p(320, 96), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/newactivity/newactivity_9dib.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(30, 30, 19, 112))
	addChildForPre(self.rootPanel_1, self.bgImage)

	self.getButton = ccui.Button:create()
	setValue(self.getButton, "getButton", 79, cc.size(153, 64), cc.p(547.0361, 94.1861), nil, nil, nil, nil, false)
	self.getButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.getButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.getButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.getButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.getButton:setTitleText([[Button]])
	self.getButton:setTitleFontSize(25)
	self.getButton:setTitleFontName(getFont())
	setClickEvent(self, self.getButton, "getButton")
	addChildForPre(self.rootPanel_1, self.getButton)

	self.Image_13 = ccui.ImageView:create()
	setValue(self.Image_13, "Image_13", 454, cc.size(440, 140), cc.p(242.1403, 83.2231), nil, nil, nil, nil, false)
	self.Image_13:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.Image_13:setScale9Enabled(true)
	self.Image_13:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.rootPanel_1, self.Image_13)

	self.rewardListView = ccui.Layout:create()
	setValue(self.rewardListView, "rewardListView", 80, cc.size(440, 140), cc.p(22.1404, 13.223), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.rewardListView)

	self.acctitle1 = createLabel({text=[[累计大充值]], font=getFont(), size=24})
	setValue(self.acctitle1, "acctitle1", 65, cc.size(120, 28), cc.p(32.6679, 165.7), cc.p(0, 0.5), nil, nil, nil, nil)
	self.acctitle1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.acctitle1)

	self.acctitle2 = createLabel({text=[[1000000]], font=getFont(), size=24})
	setValue(self.acctitle2, "acctitle2", 66, cc.size(93, 28), cc.p(119.5798, 165.7), cc.p(0, 0.5), nil, nil, nil, nil)
	self.acctitle2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.acctitle2)

	self.acctitle3 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.acctitle3, "acctitle3", 67, cc.size(109, 28), cc.p(195.9958, 165.7), cc.p(0, 0.5), cc.c4b(48, 233, 255, 255), nil, nil, nil)
	self.acctitle3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.acctitle3:setColor(cc.c4b(48, 233, 255, 255))
	addChildForPre(self.rootPanel_1, self.acctitle3)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/newactivity.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/common.plist",
	"ccs/plist/battle.plist",
}

return _M
