-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 600, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 601, cc.size(157, 120), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.selectButton = ccui.Button:create()
	self.selectButton:setScale9Enabled(true)
	self.selectButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.selectButton:setContentSize(cc.size(165, 120))
	setValue(self.selectButton, "selectButton", 608, nil, cc.p(78.5, 60), nil, nil, nil, nil, false)
	self.selectButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.selectButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.selectButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.selectButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.selectButton:setTitleText([[]])
	self.selectButton:setTitleColor(cc.c3b(65, 65, 70))
	self.selectButton:setTitleFontSize(14)
	self.selectButton:setTitleFontName(getFont())
	setClickEvent(self, self.selectButton, "selectButton")
	addChildForPre(self.rootPanel_1, self.selectButton)

	self.activeSprite = cc.Sprite:create()
	setValue(self.activeSprite, "activeSprite", 104, cc.size(159, 128), cc.p(78.5, 60), nil, nil, nil, nil, nil)
	self.activeSprite:setSpriteFrame("ccs/UiImages/newactivity/newactivity_buthuodongtub_28.png")
	addChildForPre(self.rootPanel_1, self.activeSprite)

	self.frameImage = ccui.ImageView:create()
	setValue(self.frameImage, "frameImage", 2601, cc.size(197, 163), cc.p(78.5, 60), nil, nil, nil, nil, nil)
	self.frameImage:setScale(0.9)
	self.frameImage:loadTexture("ccs/UiImages/newactivity/newactivity_butguang.png", 1)
	addChildForPre(self.rootPanel_1, self.frameImage)

	self.timeLabel = createLabel({text=[[永久]], font=getFont(), size=20})
	setValue(self.timeLabel, "timeLabel", 106, cc.size(40, 23), cc.p(132.1155, 66.372), cc.p(1, 0.5), nil, nil, nil, nil)
	self.timeLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.timeLabel)

	self.active1Label = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.active1Label, "active1Label", 107, cc.size(100, 26), cc.p(79.7362, 18.2884), nil, nil, nil, nil, nil)
	self.active1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.active1Label)

	self.redpointSprite = cc.Sprite:create()
	setValue(self.redpointSprite, "redpointSprite", 108, cc.size(25, 25), cc.p(130.3336, 113.1591), nil, nil, nil, nil, nil)
	self.redpointSprite:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.rootPanel_1, self.redpointSprite)

	self.newpointSprite = cc.Sprite:create()
	setValue(self.newpointSprite, "newpointSprite", 51, cc.size(25, 25), cc.p(130.3336, 113.1591), nil, nil, 0, nil, nil)
	self.newpointSprite:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.rootPanel_1, self.newpointSprite)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/newactivity.plist",
	"ccs/plist/common.plist",
}

return _M
