-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 295, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 296, cc.size(640, 150), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 507, cc.size(630, 140), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/newactivity/newactivity_9dib.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(30, 30, 19, 112))
	addChildForPre(self.rootPanel_1, self.bgImage)

	self.itemPanel = ccui.Layout:create()
	setValue(self.itemPanel, "itemPanel", 298, cc.size(100, 100), cc.p(89.6, 75), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.itemPanel)

	self.spriteBuyBoxDiscount = cc.Sprite:create()
	setValue(self.spriteBuyBoxDiscount, "spriteBuyBoxDiscount", 154, cc.size(82, 82), cc.p(6.592, 138.75), cc.p(0, 1), nil, nil, nil, nil)
	self.spriteBuyBoxDiscount:setFlippedX(true)
	self.spriteBuyBoxDiscount:setSpriteFrame("ccs/UiImages/newactivity/newactivity_8zhe.png")
	addChildForPre(self.rootPanel_1, self.spriteBuyBoxDiscount)
	self.spriteBuyBoxDiscount_2 = self.spriteBuyBoxDiscount

	self.saleLabel = createLabel({text=[[saleLabel]], font=getFont(), size=20})
	setValue(self.saleLabel, "saleLabel", 49, cc.size(85, 23), cc.p(25.42, 53.3), nil, cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.saleLabel:setRotationSkewX(-45)
	self.saleLabel:setRotationSkewY(-45)
	self.saleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.saleLabel:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.spriteBuyBoxDiscount_2, self.saleLabel)

	self.infoText = createLabel({text=[[infoText]], font=getFont(), size=24,valign = 1})
	setValue(self.infoText, "infoText", 299, cc.size(82, 28), cc.p(153.6, 75), cc.p(0, 0.5), nil, nil, nil, nil)
	self.infoText:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.infoText)

	self.price1Panel = ccui.Layout:create()
	setValue(self.price1Panel, "price1Panel", 128, cc.size(140, 35), cc.p(297.2631, 81.4963), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.price1Panel)
	self.price1Panel_2 = self.price1Panel

	self.price1Label = createLabel({text=[[原价:50]], font=getFont(), size=24,valign = 1})
	setValue(self.price1Label, "price1Label", 127, cc.size(81, 28), cc.p(27.3718, 18.0215), cc.p(0, 0.5), nil, nil, nil, nil)
	self.price1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.price1Panel_2, self.price1Label)

	self.spriteitem1 = cc.Sprite:create()
	setValue(self.spriteitem1, "spriteitem1", 151, cc.size(46, 38), cc.p(111.6195, 15.8559), cc.p(0, 0.5), nil, nil, nil, nil)
	self.spriteitem1:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainUi_zuanshi.png")
	addChildForPre(self.price1Panel_2, self.spriteitem1)

	self.ImgDiscountLine = ccui.ImageView:create()
	setValue(self.ImgDiscountLine, "ImgDiscountLine", 153, cc.size(20, 4), cc.p(140, 17.5), cc.p(1, 0.5), nil, nil, nil, nil)
	self.ImgDiscountLine:loadTexture("ccs/UiImages/common/redWire.png", 1)
	addChildForPre(self.price1Panel_2, self.ImgDiscountLine)

	self.price2Panel = ccui.Layout:create()
	setValue(self.price2Panel, "price2Panel", 129, cc.size(140, 35), cc.p(299.4286, 56.5939), cc.p(0, 1), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.price2Panel)
	self.price2Panel_2 = self.price2Panel

	self.price2Label = createLabel({text=[[原价:50]], font=getFont(), size=24,valign = 1})
	setValue(self.price2Label, "price2Label", 150, cc.size(81, 28), cc.p(25.2063, 17.888), cc.p(0, 0.5), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.price2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.price2Label:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.price2Panel_2, self.price2Label)

	self.spriteitem2 = cc.Sprite:create()
	setValue(self.spriteitem2, "spriteitem2", 152, cc.size(46, 38), cc.p(109.454, 17.8882), cc.p(0, 0.5), nil, nil, nil, nil)
	self.spriteitem2:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainUi_zuanshi.png")
	addChildForPre(self.price2Panel_2, self.spriteitem2)

	self.buyButton = ccui.Button:create()
	setValue(self.buyButton, "buyButton", 300, cc.size(153, 64), cc.p(550.6257, 75), nil, nil, nil, nil, false)
	self.buyButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.buyButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.buyButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.buyButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.buyButton:setTitleText([[buyButton]])
	self.buyButton:setTitleFontSize(25)
	self.buyButton:setTitleFontName(getFont())
	setClickEvent(self, self.buyButton, "buyButton")
	addChildForPre(self.rootPanel_1, self.buyButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/newactivity.plist",
	"ccs/plist/mainUiFeeling.plist",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
}

return _M
