-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 473, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "WIX_Panel", 13, cc.size(640, 765), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Panel)
	self.Panel_2 = self.Panel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "WIX_bgImage", 407, cc.size(640, 765), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/BigImages/background/newactivity_bag02.webp")
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(0, 0, 640, 765))
	addChildForPre(self.Panel_2, self.bgImage)

	self.Listview = ccui.Layout:create()
	setValue(self.Listview, "WIX_Listview", 42, cc.size(640, 408), cc.p(319.9989, 7.65), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.Listview)

	self.sprite1 = cc.Sprite:create()
	setValue(self.sprite1, "TXN_sprite1", 410, cc.size(588, 61), cc.p(320, 749.7), nil, nil, 127, nil, nil)
	self.sprite1:setSpriteFrame("ccs/UiImages/newactivity/newactivity_ing_zhuangshi.png")
	addChildForPre(self.Panel_2, self.sprite1)

	self.labelSprite = cc.Sprite:create()
	setValue(self.labelSprite, "TXN_labelSprite", 411, cc.size(529, 86), cc.p(326.4737, 703.8), nil, nil, nil, nil, nil)
	self.labelSprite:setSpriteFrame("ccs/UiImages/newactivity/newactivity_title.png")
	addChildForPre(self.Panel_2, self.labelSprite)

	self.labelPanel = ccui.Layout:create()
	setValue(self.labelPanel, "TXN_labelPanel", 408, cc.size(640, 253), cc.p(320, 413.1), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.labelPanel)
	self.labelPanel_3 = self.labelPanel

	self.labelbgImage = ccui.ImageView:create()
	setValue(self.labelbgImage, "labelbgImage", 409, cc.size(640, 253), cc.p(320, 126.5), nil, nil, nil, nil, false)
	self.labelbgImage:loadTexture("ccs/UiImages/newactivity/newactivity_9dia.png", 1)
	self.labelbgImage:setScale9Enabled(true)
	self.labelbgImage:setCapInsets(cc.rect(30, 30, 76, 193))
	addChildForPre(self.labelPanel_3, self.labelbgImage)

	self.bg1Image = ccui.ImageView:create()
	setValue(self.bg1Image, "bg1Image", 979, cc.size(130, 30), cc.p(98.5713, 207.7068), nil, nil, nil, nil, false)
	self.bg1Image:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.bg1Image:setScale9Enabled(true)
	self.bg1Image:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.labelPanel_3, self.bg1Image)

	self.bg2Image = ccui.ImageView:create()
	setValue(self.bg2Image, "bg2Image", 980, cc.size(130, 30), cc.p(98.5713, 129.27), nil, nil, nil, nil, false)
	self.bg2Image:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.bg2Image:setScale9Enabled(true)
	self.bg2Image:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.labelPanel_3, self.bg2Image)

	self.bg3Image = ccui.ImageView:create()
	setValue(self.bg3Image, "bg3Image", 981, cc.size(130, 30), cc.p(98.5713, 61.0682), nil, nil, nil, nil, false)
	self.bg3Image:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.bg3Image:setScale9Enabled(true)
	self.bg3Image:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.labelPanel_3, self.bg3Image)

	self.alltimeLable = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.alltimeLable, "alltimeLable", 369, cc.size(109, 28), cc.p(313.4977, 167.3429), cc.p(0, 0.5), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.alltimeLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.alltimeLable:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.labelPanel_3, self.alltimeLable)

	self.alltimeLableTitle = createLabel({text=[[剩余时间:]], font=getFont(), size=22})
	setValue(self.alltimeLableTitle, "alltimeLableTitle", 368, cc.size(94, 26), cc.p(304.2896, 167.3427), cc.p(1, 0.5), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.alltimeLableTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.alltimeLableTitle:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.labelPanel_3, self.alltimeLableTitle)

	self.activityDescLabel = createLabel({text=[[Text Label]], font=getFont(), size=24, dimensions = cc.size(422.0000, 100.0000)})
	setValue(self.activityDescLabel, "activityDescLabel", 51, cc.size(422, 100), cc.p(175.68, 142.9197), cc.p(0, 1), nil, nil, nil, false)
	self.activityDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_3, self.activityDescLabel)

	self.chargenum1 = createLabel({text=[[中级=0]], font=getFont(), size=24})
	setValue(self.chargenum1, "chargenum1", 48, cc.size(75, 28), cc.p(175.68, 63.7054), cc.p(0, 0.5), cc.c4b(255, 217, 48, 255), nil, nil, nil)
	self.chargenum1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.chargenum1:setColor(cc.c4b(255, 217, 48, 255))
	addChildForPre(self.labelPanel_3, self.chargenum1)

	self.chargenum2 = createLabel({text=[[高级=0]], font=getFont(), size=24})
	setValue(self.chargenum2, "chargenum2", 547, cc.size(75, 28), cc.p(175.68, 30.36), cc.p(0, 0.5), cc.c4b(255, 217, 48, 255), nil, nil, nil)
	self.chargenum2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.chargenum2:setColor(cc.c4b(255, 217, 48, 255))
	addChildForPre(self.labelPanel_3, self.chargenum2)

	self.chargenumtitle = createLabel({text=[[Text Label]], font=getFont(), size=24,align = 1})
	setValue(self.chargenumtitle, "chargenumtitle", 46, cc.size(109, 28), cc.p(98.5713, 61.0682), nil, nil, nil, nil, nil)
	self.chargenumtitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_3, self.chargenumtitle)

	self.active_time = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.active_time, "active_time", 45, cc.size(109, 28), cc.p(175.68, 205.7649), cc.p(0, 0.5), nil, nil, nil, nil)
	self.active_time:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_3, self.active_time)

	self.active_timeTitle = createLabel({text=[[Text Label]], font=getFont(), size=24,align = 1})
	setValue(self.active_timeTitle, "active_timeTitle", 44, cc.size(109, 28), cc.p(98.5713, 207.7068), nil, nil, nil, nil, nil)
	self.active_timeTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_3, self.active_timeTitle)

	self.active_content = createLabel({text=[[活动内容*]], font=getFont(), size=24,align = 1})
	setValue(self.active_content, "active_content", 145, cc.size(105, 28), cc.p(98.5713, 129.27), nil, nil, nil, nil, nil)
	self.active_content:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_3, self.active_content)

	self.chargeButton = ccui.Button:create()
	setValue(self.chargeButton, "chargeButton", 43, cc.size(153, 64), cc.p(524.608, 48.2218), nil, nil, nil, nil, false)
	self.chargeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_yellow_0.png", 1)
	self.chargeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_yellow_1.png", 1)
	self.chargeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.chargeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.chargeButton:setTitleText([[charge]])
	self.chargeButton:setTitleColor(cc.c3b(251, 251, 251))
	self.chargeButton:setTitleFontSize(24)
	self.chargeButton:setTitleFontName(getFont())
	setClickEvent(self, self.chargeButton, "chargeButton")
	addChildForPre(self.labelPanel_3, self.chargeButton)

	self.sprite2 = cc.Sprite:create()
	setValue(self.sprite2, "BWX_sprite2", 534, cc.size(640, 8), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	self.sprite2:setSpriteFrame("ccs/UiImages/image9/common_img_jiemian02.png")
	addChildForPre(self.Panel_2, self.sprite2)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/BigImages/background/newactivity_bag02.jpg",
	"ccs/plist/newactivity.plist",
	"ccs/plist/mainUiFeeling.plist",
	"ccs/plist/image9.plist",
}

return _M
