-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 13, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bgPanel = ccui.Layout:create()
	setValue(self.bgPanel, "STX_bgPanel", 102, cc.size(640, 960), cc.p(0, 765), cc.p(0, 1), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.bgPanel)
	self.bgPanel_2 = self.bgPanel

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "Panel", 103, cc.size(200, 200), cc.p(320, 960), cc.p(0.5, 1), nil, nil, nil, nil)
	self.Panel:setScale(0.86)
	addChildForPre(self.bgPanel_2, self.Panel)
	self.Panel_3 = self.Panel

	self.egg = cc.Sprite:create()
	setValue(self.egg, "egg", 101, cc.size(750, 1106), cc.p(100, -358.5), nil, nil, nil, nil, nil)
	self.egg:setTexture("ccs/BigImages/background/egg.webp")
	addChildForPre(self.Panel_3, self.egg)

	self.labelPanel = ccui.Layout:create()
	setValue(self.labelPanel, "TXN_labelPanel", 93, cc.size(600, 240), cc.p(25.6, 412.8), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.labelPanel)
	self.labelPanel_2 = self.labelPanel

	self.bg1Image = ccui.ImageView:create()
	setValue(self.bg1Image, "bg1Image", 1039, cc.size(130, 30), cc.p(100.2001, 208.6428), nil, nil, nil, nil, false)
	self.bg1Image:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.bg1Image:setScale9Enabled(true)
	self.bg1Image:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.labelPanel_2, self.bg1Image)

	self.bg2Image = ccui.ImageView:create()
	setValue(self.bg2Image, "bg2Image", 1041, cc.size(130, 30), cc.p(100.2001, 132.7858), nil, nil, nil, nil, false)
	self.bg2Image:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.bg2Image:setScale9Enabled(true)
	self.bg2Image:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.labelPanel_2, self.bg2Image)

	self.bg3Image = ccui.ImageView:create()
	setValue(self.bg3Image, "bg3Image", 1040, cc.size(130, 30), cc.p(100.2001, 52.4286), nil, nil, nil, nil, false)
	self.bg3Image:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.bg3Image:setScale9Enabled(true)
	self.bg3Image:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.labelPanel_2, self.bg3Image)

	self.active_timeTitle = createLabel({text=[[Text Label]], font=getFont(), size=25})
	setValue(self.active_timeTitle, "active_timeTitle", 44, cc.size(113, 29), cc.p(100.2001, 210.8399), nil, nil, nil, nil, nil)
	self.active_timeTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_2, self.active_timeTitle)

	self.active_content = createLabel({text=[[活动内容*]], font=getFont(), size=24})
	setValue(self.active_content, "active_content", 145, cc.size(105, 28), cc.p(100.2001, 134.664), nil, nil, nil, nil, nil)
	self.active_content:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_2, self.active_content)

	self.active_time = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.active_time, "active_time", 45, cc.size(109, 28), cc.p(173.1612, 210.8402), cc.p(0, 0.5), nil, nil, nil, nil)
	self.active_time:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_2, self.active_time)

	self.activityDescLabel = createLabel({text=[[]], font=getFont(), size=24, dimensions = cc.size(320.0000, 100.0000)})
	setValue(self.activityDescLabel, "activityDescLabel", 51, cc.size(320, 100), cc.p(173.1612, 148.68), cc.p(0, 1), nil, nil, nil, false)
	self.activityDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_2, self.activityDescLabel)

	self.alltimeLableTitle = createLabel({text=[[剩余时间:]], font=getFont(), size=24})
	setValue(self.alltimeLableTitle, "alltimeLableTitle", 368, cc.size(102, 28), cc.p(302.6433, 173.8347), cc.p(1, 0.5), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.alltimeLableTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.alltimeLableTitle:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.labelPanel_2, self.alltimeLableTitle)

	self.alltimeLable = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.alltimeLable, "alltimeLable", 369, cc.size(109, 28), cc.p(309.9181, 173.8347), cc.p(0, 0.5), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.alltimeLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.alltimeLable:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.labelPanel_2, self.alltimeLable)

	self.integralTitleLabel = createLabel({text=[[integralLabel]], font=getFont(), size=24})
	setValue(self.integralTitleLabel, "integralTitleLabel", 98, cc.size(137, 28), cc.p(100.2002, 54.3399), nil, nil, nil, nil, nil)
	self.integralTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_2, self.integralTitleLabel)

	self.integralLabel = createLabel({text=[[integralLabel]], font=getFont(), size=24})
	setValue(self.integralLabel, "integralLabel", 30, cc.size(137, 28), cc.p(173.1612, 54.3361), cc.p(0, 0.5), cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.integralLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.integralLabel:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.labelPanel_2, self.integralLabel)

	self.chargeButton = ccui.Button:create()
	setValue(self.chargeButton, "chargeButton", 43, cc.size(153, 64), cc.p(485.04, 57.792), nil, nil, nil, nil, false)
	self.chargeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_yellow_0.png", 1)
	self.chargeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_yellow_1.png", 1)
	self.chargeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.chargeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.chargeButton:setTitleText([[charge]])
	self.chargeButton:setTitleColor(cc.c3b(251, 251, 251))
	self.chargeButton:setTitleFontSize(24)
	self.chargeButton:setTitleFontName(getFont())
	setClickEvent(self, self.chargeButton, "chargeButton")
	addChildForPre(self.labelPanel_2, self.chargeButton)

	self.buttonPanel = ccui.Layout:create()
	setValue(self.buttonPanel, "WBX_buttonPanel", 90, cc.size(640, 120), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.buttonPanel)
	self.buttonPanel_2 = self.buttonPanel

	self.buttonbgImage = ccui.ImageView:create()
	setValue(self.buttonbgImage, "WBX_buttonbgImage", 92, cc.size(640, 114), cc.p(320, 60), nil, nil, nil, nil, false)
	self.buttonbgImage:loadTexture("ccs/UiImages/newactivity/newactivity_bak6.png", 1)
	self.buttonbgImage:setScale9Enabled(true)
	self.buttonbgImage:setCapInsets(cc.rect(0, 0, 17, 123))
	addChildForPre(self.buttonPanel_2, self.buttonbgImage)

	self.btn3Label = createLabel({text=[[btn3Label]], font=getFont(), size=24,valign = 1})
	setValue(self.btn3Label, "btn3Label", 27, cc.size(105, 28), cc.p(484.8, 84.996), cc.p(0, 0.5), nil, nil, nil, nil)
	self.btn3Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.buttonPanel_2, self.btn3Label)

	self.btn3Icon = cc.Sprite:create()
	setValue(self.btn3Icon, "btn3Icon", 29, cc.size(35, 35), cc.p(456.064, 84.996), nil, nil, nil, nil, nil)
	self.btn3Icon:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainUi_zuanshi.png")
	addChildForPre(self.buttonPanel_2, self.btn3Icon)

	self.btn2Label = createLabel({text=[[btn2Label]], font=getFont(), size=24,valign = 1})
	setValue(self.btn2Label, "btn2Label", 26, cc.size(105, 28), cc.p(301.376, 84.996), cc.p(0, 0.5), nil, nil, nil, nil)
	self.btn2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.buttonPanel_2, self.btn2Label)

	self.btn2Icon = cc.Sprite:create()
	setValue(self.btn2Icon, "btn2Icon", 28, cc.size(35, 35), cc.p(269.376, 84.996), nil, nil, nil, nil, nil)
	self.btn2Icon:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainUi_zuanshi.png")
	addChildForPre(self.buttonPanel_2, self.btn2Icon)

	self.btn1Label = createLabel({text=[[btn1Label]], font=getFont(), size=24,valign = 1})
	setValue(self.btn1Label, "btn1Label", 27, cc.size(105, 28), cc.p(102.4, 84.996), cc.p(0, 0.5), nil, nil, nil, nil)
	self.btn1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.buttonPanel_2, self.btn1Label)

	self.btn1Icon = cc.Sprite:create()
	setValue(self.btn1Icon, "btn1Icon", 26, cc.size(35, 35), cc.p(72.064, 84.996), nil, nil, nil, nil, nil)
	self.btn1Icon:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainUi_zuanshi.png")
	addChildForPre(self.buttonPanel_2, self.btn1Icon)

	self.btn1FreeLabel = createLabel({text=[[btn1Label]], font=getFont(), size=24})
	setValue(self.btn1FreeLabel, "btn1FreeLabel", 25, cc.size(105, 28), cc.p(76.8, 87.204), cc.p(0, 0.5), nil, nil, nil, nil)
	self.btn1FreeLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.buttonPanel_2, self.btn1FreeLabel)

	self.activity5Button = ccui.Button:create()
	setValue(self.activity5Button, "activity5Button", 24, cc.size(153, 64), cc.p(512, 38.4), nil, nil, nil, nil, false)
	self.activity5Button:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.activity5Button:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.activity5Button:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.activity5Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.activity5Button:setTitleText([[砸50次]])
	self.activity5Button:setTitleFontSize(24)
	self.activity5Button:setTitleFontName(getFont())
	setClickEvent(self, self.activity5Button, "activity5Button")
	addChildForPre(self.buttonPanel_2, self.activity5Button)

	self.activity4Button = ccui.Button:create()
	setValue(self.activity4Button, "activity4Button", 23, cc.size(153, 64), cc.p(320, 38.4), nil, nil, nil, nil, false)
	self.activity4Button:loadTextureNormal("ccs/UiImages/image9/common_btn_yellow_0.png", 1)
	self.activity4Button:loadTexturePressed("ccs/UiImages/image9/common_btn_yellow_1.png", 1)
	self.activity4Button:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.activity4Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.activity4Button:setTitleText([[砸10次]])
	self.activity4Button:setTitleFontSize(24)
	self.activity4Button:setTitleFontName(getFont())
	setClickEvent(self, self.activity4Button, "activity4Button")
	addChildForPre(self.buttonPanel_2, self.activity4Button)

	self.activity3Button = ccui.Button:create()
	setValue(self.activity3Button, "activity3Button", 22, cc.size(153, 64), cc.p(128, 38.4), nil, nil, nil, nil, false)
	self.activity3Button:loadTextureNormal("ccs/UiImages/image9/common_btn_green_0.png", 1)
	self.activity3Button:loadTexturePressed("ccs/UiImages/image9/common_btn_green_1.png", 1)
	self.activity3Button:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.activity3Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.activity3Button:setTitleText([[砸1次]])
	self.activity3Button:setTitleFontSize(24)
	self.activity3Button:setTitleFontName(getFont())
	setClickEvent(self, self.activity3Button, "activity3Button")
	addChildForPre(self.buttonPanel_2, self.activity3Button)

	self.commonbgsprite = ccui.ImageView:create()
	setValue(self.commonbgsprite, "WBX_commonbgsprite", 347, cc.size(640, 8), cc.p(319.9999, -2), cc.p(0.5, 0), nil, nil, nil, false)
	self.commonbgsprite:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	self.commonbgsprite:setScale9Enabled(true)
	self.commonbgsprite:setCapInsets(cc.rect(0, 0, 640, 8))
	addChildForPre(self.buttonPanel_2, self.commonbgsprite)

	self.Image = ccui.ImageView:create()
	setValue(self.Image, "TXN_Image", 267, cc.size(360, 143), cc.p(322.368, 167.904), nil, nil, nil, nil, false)
	self.Image:loadTexture("ccs/UiImages/newactivity/newactivity_bak5.png", 1)
	self.Image:setScale9Enabled(true)
	self.Image:setCapInsets(cc.rect(0, 0, 360, 143))
	addChildForPre(self.rootPanel_1, self.Image)
	self.Image_2 = self.Image

	self.eggNode = cc.Node:create()
	setValue(self.eggNode, "XYN_eggNode", 254, nil, cc.p(176.4, 194.48), nil, nil, nil, nil, nil)
	addChildForPre(self.Image_2, self.eggNode)
	self.eggNode_3 = self.eggNode

	self.eggboom = cc.Sprite:create()
	setValue(self.eggboom, "eggboom", 255, cc.size(251, 112), cc.p(14, -65.3567), nil, nil, nil, nil, nil)
	self.eggboom:setSpriteFrame("ccs/UiImages/newactivity/newactivity_dan2.png")
	addChildForPre(self.eggNode_3, self.eggboom)

	self.eggFrame1 = cc.Sprite:create()
	setValue(self.eggFrame1, "eggFrame1", 253, cc.size(200, 200), cc.p(5.9161, 11.8306), nil, nil, nil, nil, nil)
	self.eggFrame1:setSpriteFrame("ccs/UiImages/goldEgg/eggFrame1.png")
	addChildForPre(self.eggNode_3, self.eggFrame1)

	self.activity1Button = ccui.Button:create()
	setValue(self.activity1Button, "TXN_activity1Button", 59, cc.size(153, 64), cc.p(95.7305, 346.1313), nil, nil, nil, nil, false)
	self.activity1Button:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.activity1Button:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.activity1Button:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.activity1Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.activity1Button:setTitleText([[Button]])
	self.activity1Button:setTitleFontSize(24)
	self.activity1Button:setTitleFontName(getFont())
	setClickEvent(self, self.activity1Button, "activity1Button")
	addChildForPre(self.rootPanel_1, self.activity1Button)

	self.activity2Button = ccui.Button:create()
	setValue(self.activity2Button, "TXN_activity2Button", 60, cc.size(153, 64), cc.p(549.737, 346.1313), nil, nil, nil, nil, nil)
	self.activity2Button:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.activity2Button:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.activity2Button:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.activity2Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.activity2Button:setTitleText([[]])
	self.activity2Button:setTitleFontSize(24)
	self.activity2Button:setTitleFontName(getFont())
	setClickEvent(self, self.activity2Button, "activity2Button")
	addChildForPre(self.rootPanel_1, self.activity2Button)

	self.titleSprite = cc.Sprite:create()
	setValue(self.titleSprite, "TXN_titleSprite", 86, cc.size(529, 86), cc.p(320, 714.6428), nil, nil, nil, nil, nil)
	self.titleSprite:setSpriteFrame("ccs/UiImages/newactivity/newactivity_title.png")
	addChildForPre(self.rootPanel_1, self.titleSprite)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/BigImages/background/egg.jpg",
	"ccs/plist/mainUiFeeling.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/newactivity.plist",
	"Default/Button_Disable.png",
	"ccs/plist/goldEgg.plist",
}

return _M
