-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 131, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 165, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "AXY_Panel", 166, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Panel)
	self.Panel_2 = self.Panel

	self.bgImage1 = ccui.ImageView:create()
	setValue(self.bgImage1, "WIX_bgImage1", 116, cc.size(640, 765), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.bgImage1:loadTexture("ccs/BigImages/background/newactivity_bag02.webp")
	self.bgImage1:setScale9Enabled(true)
	self.bgImage1:setCapInsets(cc.rect(0, 0, 640, 765))
	addChildForPre(self.Panel_2, self.bgImage1)

	self.sprite1 = cc.Sprite:create()
	setValue(self.sprite1, "BXN_sprite1", 49, cc.size(46, 46), cc.p(320, 76.8), cc.p(0.5, 0), nil, nil, nil, nil)
	self.sprite1:setTexture("Default/Sprite.png")
	addChildForPre(self.Panel_2, self.sprite1)

	self.FigntlingButton = ccui.Button:create()
	setValue(self.FigntlingButton, "BXN_FigntlingButton", 210, cc.size(153, 64), cc.p(322.624, 53.088), nil, nil, nil, nil, false)
	self.FigntlingButton:loadTextureNormal("ccs/UiImages/image9/common_btn_yellow_0.png", 1)
	self.FigntlingButton:loadTexturePressed("ccs/UiImages/image9/common_btn_yellow_1.png", 1)
	self.FigntlingButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.FigntlingButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.FigntlingButton:setTitleText([[Button]])
	self.FigntlingButton:setTitleColor(cc.c3b(251, 251, 251))
	self.FigntlingButton:setTitleFontSize(24)
	self.FigntlingButton:setTitleFontName(getFont())
	setClickEvent(self, self.FigntlingButton, "FigntlingButton")
	addChildForPre(self.Panel_2, self.FigntlingButton)

	self.oldPanel = ccui.Layout:create()
	setValue(self.oldPanel, "TXN_oldPanel", 132, cc.size(640, 765), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.oldPanel)
	self.oldPanel_3 = self.oldPanel

	self.bgImage2 = ccui.ImageView:create()
	setValue(self.bgImage2, "TXN_bgImage2", 48, cc.size(620, 230), cc.p(320, 558.45), nil, nil, nil, nil, false)
	self.bgImage2:loadTexture("ccs/UiImages/newactivity/newactivity_9dia.png", 1)
	self.bgImage2:setScale9Enabled(true)
	self.bgImage2:setCapInsets(cc.rect(30, 30, 76, 193))
	addChildForPre(self.oldPanel_3, self.bgImage2)

	self.Image7 = ccui.ImageView:create()
	setValue(self.Image7, "Image7", 1058, cc.size(130, 30), cc.p(100.3564, 617.7145), nil, nil, nil, nil, false)
	self.Image7:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.Image7:setScale9Enabled(true)
	self.Image7:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.oldPanel_3, self.Image7)

	self.Image6 = ccui.ImageView:create()
	setValue(self.Image6, "Image6", 1059, cc.size(130, 30), cc.p(100.3564, 545.286), nil, nil, nil, nil, false)
	self.Image6:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.Image6:setScale9Enabled(true)
	self.Image6:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.oldPanel_3, self.Image6)

	self.active_timeTitle = createLabel({text=[[Text Label]], font=getFont(), size=24,align = 1})
	setValue(self.active_timeTitle, "active_timeTitle", 203, cc.size(109, 28), cc.p(97.6367, 618.1011), nil, nil, nil, nil, nil)
	self.active_timeTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.oldPanel_3, self.active_timeTitle)

	self.active_content = createLabel({text=[[Text Label]], font=getFont(), size=24,align = 1})
	setValue(self.active_content, "active_content", 204, cc.size(109, 28), cc.p(97.6367, 546.3824), nil, nil, nil, nil, nil)
	self.active_content:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.oldPanel_3, self.active_content)

	self.active_time = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.active_time, "active_time", 205, cc.size(109, 28), cc.p(181.248, 618.12), cc.p(0, 0.5), nil, nil, nil, nil)
	self.active_time:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.oldPanel_3, self.active_time)

	self.activityDescLabel = createLabel({text=[[Text Label]], font=getFont(), size=24, dimensions = cc.size(380.0000, 100.0000)})
	setValue(self.activityDescLabel, "activityDescLabel", 206, cc.size(380, 100), cc.p(181.824, 560.3625), cc.p(0, 1), nil, nil, nil, false)
	self.activityDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.oldPanel_3, self.activityDescLabel)

	self.alltimeLableTitle = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.alltimeLableTitle, "alltimeLableTitle", 208, cc.size(109, 28), cc.p(198.9701, 580.2294), cc.p(0, 0.5), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.alltimeLableTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.alltimeLableTitle:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.oldPanel_3, self.alltimeLableTitle)

	self.alltimeLable = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.alltimeLable, "alltimeLable", 209, cc.size(109, 28), cc.p(319.1916, 578.518), cc.p(0, 0.5), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.alltimeLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.alltimeLable:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.oldPanel_3, self.alltimeLable)

	self.sprite3 = cc.Sprite:create()
	setValue(self.sprite3, "sprite3", 47, cc.size(529, 86), cc.p(332.9718, 719.4586), nil, nil, nil, nil, nil)
	self.sprite3:setSpriteFrame("ccs/UiImages/newactivity/newactivity_title.png")
	addChildForPre(self.oldPanel_3, self.sprite3)

	self.Image = ccui.ImageView:create()
	setValue(self.Image, "BWX_Image", 1002, cc.size(640, 90), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.Image:loadTexture("ccs/UiImages/newactivity/newactivity_img_jinbi.png", 1)
	self.Image:setScale9Enabled(true)
	self.Image:setCapInsets(cc.rect(0, 0, 640, 90))
	addChildForPre(self.Panel_2, self.Image)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/BigImages/background/newactivity_bag02.jpg",
	"Default/Sprite.png",
	"ccs/plist/image9.plist",
	"ccs/plist/newactivity.plist",
	"ccs/plist/mainUiFeeling.plist",
}

return _M
