-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 131, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 68, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "AXY_Panel", 29, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Panel)
	self.Panel_2 = self.Panel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "WIX_bgImage", 52, cc.size(640, 765), cc.p(319.9999, 382.5), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/BigImages/background/newactivity_bag02.webp")
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(0, 0, 640, 765))
	addChildForPre(self.Panel_2, self.bgImage)

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "WIX_Panel", 51, cc.size(640, 765), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.Panel)
	self.Panel_3 = self.Panel

	self.sprite3 = cc.Sprite:create()
	setValue(self.sprite3, "TXN_sprite3", 53, cc.size(529, 86), cc.p(320, 703.8), nil, nil, nil, nil, nil)
	self.sprite3:setSpriteFrame("ccs/UiImages/newactivity/newactivity_title.png")
	addChildForPre(self.Panel_3, self.sprite3)

	self.sprite2 = cc.Sprite:create()
	setValue(self.sprite2, "TXN_sprite2", 54, cc.size(588, 61), cc.p(320, 749.7), nil, nil, 127, nil, nil)
	self.sprite2:setSpriteFrame("ccs/UiImages/newactivity/newactivity_ing_zhuangshi.png")
	addChildForPre(self.Panel_3, self.sprite2)

	self.Listview = ccui.Layout:create()
	setValue(self.Listview, "WIX_Listview", 207, cc.size(640, 408), cc.p(320.0002, 7.65), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.Panel_3, self.Listview)

	self.sprite1 = cc.Sprite:create()
	setValue(self.sprite1, "BXN_sprite1", 55, cc.size(640, 8), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	self.sprite1:setSpriteFrame("ccs/UiImages/image9/common_img_jiemian02.png")
	addChildForPre(self.Panel_3, self.sprite1)

	self.labelPanel = ccui.Layout:create()
	setValue(self.labelPanel, "TXN_labelPanel", 132, cc.size(640, 253), cc.p(320, 413.1), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.Panel_3, self.labelPanel)
	self.labelPanel_4 = self.labelPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 50, cc.size(640, 253), cc.p(320, 126.5), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/newactivity/newactivity_9dia.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(30, 30, 76, 193))
	addChildForPre(self.labelPanel_4, self.bgImage)

	self.Image7 = ccui.ImageView:create()
	setValue(self.Image7, "Image7", 1225, cc.size(130, 30), cc.p(88.7141, 203.7144), nil, nil, nil, nil, false)
	self.Image7:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.Image7:setScale9Enabled(true)
	self.Image7:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.labelPanel_4, self.Image7)

	self.Image8 = ccui.ImageView:create()
	setValue(self.Image8, "Image8", 1226, cc.size(130, 30), cc.p(88.7141, 128.0002), nil, nil, nil, nil, false)
	self.Image8:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.Image8:setScale9Enabled(true)
	self.Image8:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.labelPanel_4, self.Image8)

	self.active_timeTitle = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.active_timeTitle, "active_timeTitle", 203, cc.size(109, 28), cc.p(79.0137, 203.7227), nil, nil, nil, nil, nil)
	self.active_timeTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_4, self.active_timeTitle)

	self.active_content = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.active_content, "active_content", 204, cc.size(109, 28), cc.p(79.0137, 127.4109), nil, nil, nil, nil, nil)
	self.active_content:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_4, self.active_content)

	self.active_time = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.active_time, "active_time", 205, cc.size(109, 28), cc.p(157.76, 203.7156), cc.p(0, 0.5), nil, nil, nil, nil)
	self.active_time:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_4, self.active_time)

	self.activityDescLabel = createLabel({text=[[Text Label]], font=getFont(), size=24, dimensions = cc.size(300.0000, 140.0000)})
	setValue(self.activityDescLabel, "activityDescLabel", 206, cc.size(300, 140), cc.p(157.76, 141.4017), cc.p(0, 1), nil, nil, nil, false)
	self.activityDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_4, self.activityDescLabel)

	self.alltimeLableTitle = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.alltimeLableTitle, "alltimeLableTitle", 208, cc.size(109, 28), cc.p(240.6978, 166.8822), nil, cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.alltimeLableTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.alltimeLableTitle:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.labelPanel_4, self.alltimeLableTitle)

	self.alltimeLable = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.alltimeLable, "alltimeLable", 209, cc.size(109, 28), cc.p(304.3698, 166.8823), cc.p(0, 0.5), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.alltimeLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.alltimeLable:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.labelPanel_4, self.alltimeLable)

	self.FigntlingButton = ccui.Button:create()
	setValue(self.FigntlingButton, "FigntlingButton", 210, cc.size(153, 64), cc.p(-206.144, 109.1695), nil, nil, nil, nil, false)
	self.FigntlingButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.FigntlingButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.FigntlingButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.FigntlingButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.FigntlingButton:setTitleText([[Button]])
	self.FigntlingButton:setTitleColor(cc.c3b(251, 251, 251))
	self.FigntlingButton:setTitleFontSize(24)
	self.FigntlingButton:setTitleFontName(getFont())
	setClickEvent(self, self.FigntlingButton, "FigntlingButton")
	addChildForPre(self.labelPanel_4, self.FigntlingButton)

	self.rankSprite = cc.Sprite:create()
	setValue(self.rankSprite, "rankSprite", 328, cc.size(46, 46), cc.p(569.6, 69.7521), nil, nil, nil, nil, nil)
	self.rankSprite:setTexture("Default/Sprite.png")
	addChildForPre(self.labelPanel_4, self.rankSprite)

	self.RankingButton = ccui.Button:create()
	self.RankingButton:setScale9Enabled(true)
	self.RankingButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.RankingButton:setContentSize(cc.size(103, 100))
	setValue(self.RankingButton, "RankingButton", 54, nil, cc.p(555.008, 69.7521), nil, nil, nil, nil, false)
	self.RankingButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.RankingButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.RankingButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.RankingButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.RankingButton:setTitleText([[]])
	self.RankingButton:setTitleColor(cc.c3b(251, 251, 251))
	self.RankingButton:setTitleFontSize(24)
	self.RankingButton:setTitleFontName(getFont())
	setClickEvent(self, self.RankingButton, "RankingButton")
	addChildForPre(self.labelPanel_4, self.RankingButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/BigImages/background/newactivity_bag02.jpg",
	"ccs/plist/newactivity.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/mainUiFeeling.plist",
	"Default/Sprite.png",
}

return _M
