-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 983, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	self.rootPanel:setClippingEnabled(true)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "AXY_Panel", 2032, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Panel)
	self.Panel_2 = self.Panel

	self.oldPanel = ccui.Layout:create()
	setValue(self.oldPanel, "WIX_oldPanel", 1964, cc.size(640, 765), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.oldPanel)
	self.oldPanel_3 = self.oldPanel

	self.bgimage = ccui.ImageView:create()
	setValue(self.bgimage, "WIX_bgimage", 522, cc.size(640, 765), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.bgimage:loadTexture("ccs/BigImages/background/newactivity_bag02.webp")
	self.bgimage:setScale9Enabled(true)
	self.bgimage:setCapInsets(cc.rect(0, 0, 640, 765))
	addChildForPre(self.oldPanel_3, self.bgimage)

	self.Sprite6 = cc.Sprite:create()
	setValue(self.Sprite6, "TXN_Sprite6", 2007, cc.size(588, 61), cc.p(320, 743.9625), nil, nil, 127, nil, nil)
	self.Sprite6:setSpriteFrame("ccs/UiImages/newactivity/newactivity_ing_zhuangshi.png")
	addChildForPre(self.oldPanel_3, self.Sprite6)

	self.Image = ccui.ImageView:create()
	setValue(self.Image, "XYN_Image", 1973, cc.size(640, 695), cc.p(320.0009, 382.5), nil, nil, nil, nil, false)
	self.Image:loadTexture("Default/ImageFile.png")
	self.Image:setScale9Enabled(true)
	self.Image:setCapInsets(cc.rect(0, 0, 46, 46))
	addChildForPre(self.oldPanel_3, self.Image)
	self.Image_4 = self.Image

	self.GoToChargeButton = ccui.Button:create()
	setValue(self.GoToChargeButton, "TXN_GoToChargeButton", 523, cc.size(153, 64), cc.p(521.152, 418.7375), nil, nil, nil, nil, false)
	self.GoToChargeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_yellow_0.png", 1)
	self.GoToChargeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_yellow_1.png", 1)
	self.GoToChargeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.GoToChargeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.GoToChargeButton:setTitleText([[Button]])
	self.GoToChargeButton:setTitleFontSize(25)
	self.GoToChargeButton:setTitleFontName(getFont())
	setClickEvent(self, self.GoToChargeButton, "GoToChargeButton")
	addChildForPre(self.Image_4, self.GoToChargeButton)

	self.rewardPanel = ccui.Layout:create()
	setValue(self.rewardPanel, "TXN_rewardPanel", 156, cc.size(550, 150), cc.p(322.56, 95.1455), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.Image_4, self.rewardPanel)

	self.sprite = cc.Sprite:create()
	setValue(self.sprite, "BXN_sprite", 1974, cc.size(640, 90), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	self.sprite:setSpriteFrame("ccs/UiImages/newactivity/newactivity_img_jinbi.png")
	addChildForPre(self.oldPanel_3, self.sprite)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/BigImages/background/newactivity_bag02.jpg",
	"ccs/plist/newactivity.plist",
	"Default/ImageFile.png",
	"ccs/plist/image9.plist",
	"ccs/plist/common.plist",
}

return _M
