-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 8, cc.size(490, 120), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.Image1 = ccui.ImageView:create()
	setValue(self.Image1, "Image1", 81, cc.size(490, 110), cc.p(245, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.Image1:loadTexture("ccs/UiImages/newactivity/newactivity_9dib.png", 1)
	self.Image1:setScale9Enabled(true)
	self.Image1:setCapInsets(cc.rect(30, 30, 19, 112))
	addChildForPre(self.rootPanel_1, self.Image1)

	self.TitleLabel = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.TitleLabel, "TitleLabel", 9, cc.size(100, 26), cc.p(121.373, 46.524), cc.p(0, 0.5), nil, nil, nil, nil)
	self.TitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.TitleLabel)

	self.GetButton = ccui.Button:create()
	setValue(self.GetButton, "GetButton", 11, cc.size(153, 64), cc.p(399.734, 47.688), nil, nil, nil, nil, false)
	self.GetButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.GetButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.GetButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.GetButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.GetButton:setTitleText([[Button]])
	self.GetButton:setTitleFontSize(25)
	self.GetButton:setTitleFontName(getFont())
	setClickEvent(self, self.GetButton, "GetButton")
	addChildForPre(self.rootPanel_1, self.GetButton)

	self.GoldImage = cc.Sprite:create()
	setValue(self.GoldImage, "GoldImage", 8, cc.size(46, 38), cc.p(35.8759, 44.076), cc.p(0, 0.5), nil, nil, nil, nil)
	self.GoldImage:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainUi_big_zuanshi.png")
	addChildForPre(self.rootPanel_1, self.GoldImage)

	self.Sprite1 = cc.Sprite:create()
	setValue(self.Sprite1, "Sprite1", 82, cc.size(170, 43), cc.p(97.3916, 100), nil, nil, nil, nil, nil)
	self.Sprite1:setSpriteFrame("ccs/UiImages/newactivity/newactivity_yeqian.png")
	addChildForPre(self.rootPanel_1, self.Sprite1)

	self.levelLable = createLabel({text=[[Text Label]], font=getFont(), size=25})
	setValue(self.levelLable, "levelLable", 261, cc.size(113, 29), cc.p(73.5, 101.7732), nil, nil, nil, nil, nil)
	self.levelLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.levelLable)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/newactivity.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/common.plist",
	"ccs/plist/mainUiFeeling.plist",
}

return _M
