-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 983, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "AXY_Panel", 48, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Panel)
	self.Panel_2 = self.Panel

	self.Panel1 = ccui.Layout:create()
	setValue(self.Panel1, "WIX_Panel1", 49, cc.size(640, 765), nil, nil, nil, nil, nil, nil)
	self.Panel1:setClippingEnabled(true)
	setBgColor(self.Panel1, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.Panel_2, self.Panel1)
	self.Panel1_3 = self.Panel1

	self.Image1 = ccui.ImageView:create()
	setValue(self.Image1, "WIX_Image1", 71, cc.size(640, 765), cc.p(320, 382.5), nil, nil, nil, nil, false)
	self.Image1:loadTexture("ccs/BigImages/background/newactivity_bag02.webp")
	self.Image1:setScale9Enabled(true)
	self.Image1:setCapInsets(cc.rect(0, 0, 640, 765))
	addChildForPre(self.Panel1_3, self.Image1)

	self.Image3 = ccui.ImageView:create()
	setValue(self.Image3, "TXN_Image3", 221, cc.size(568, 183), cc.p(320, 546.2865), nil, nil, nil, nil, false)
	self.Image3:loadTexture("ccs/UiImages/newactivity/newactivity_9dia.png", 1)
	self.Image3:setScale9Enabled(true)
	self.Image3:setCapInsets(cc.rect(30, 30, 76, 193))
	addChildForPre(self.Panel1_3, self.Image3)

	self.Label1 = createLabel({text=[[购买成长计划，达到等级后可获得]], font=getFont(), size=30})
	setValue(self.Label1, "TXN_Label1", 113, cc.size(450, 34), cc.p(76.8, 581.3999), cc.p(0, 0.5), nil, nil, nil, nil)
	self.Label1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel1_3, self.Label1)

	self.Label2 = createLabel({text=[[总计]], font=getFont(), size=30})
	setValue(self.Label2, "TXN_Label2", 114, cc.size(60, 34), cc.p(73.5616, 542.3751), cc.p(0, 0.5), nil, nil, nil, nil)
	self.Label2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel1_3, self.Label2)

	self.Label3 = createLabel({text=[[VIP 3级及以上玩家可以购买]], font=getFont(), size=30})
	setValue(self.Label3, "TXN_Label3", 115, cc.size(372, 34), cc.p(73.5616, 499.3506), cc.p(0, 0.5), nil, nil, nil, nil)
	self.Label3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel1_3, self.Label3)

	self.diamondSprite1 = cc.Sprite:create()
	setValue(self.diamondSprite1, "TXN_diamondSprite1", 120, cc.size(46, 38), cc.p(166.4, 542.3752), nil, nil, nil, nil, nil)
	self.diamondSprite1:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainUi_big_zuanshi.png")
	addChildForPre(self.Panel1_3, self.diamondSprite1)

	self.Label4 = createLabel({text=[[888]], font=getFont(), size=30})
	setValue(self.Label4, "TXN_Label4", 121, cc.size(50, 34), cc.p(197.5671, 542.3751), cc.p(0, 0.5), nil, nil, nil, nil)
	self.Label4:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel1_3, self.Label4)

	self.Sprite2 = cc.Sprite:create()
	setValue(self.Sprite2, "TXN_Sprite2", 51, cc.size(588, 61), cc.p(320, 749.7), nil, nil, nil, nil, nil)
	self.Sprite2:setSpriteFrame("ccs/UiImages/newactivity/newactivity_ing_zhuangshi.png")
	addChildForPre(self.Panel1_3, self.Sprite2)

	self.Sprite3 = cc.Sprite:create()
	setValue(self.Sprite3, "TXN_Sprite3", 52, cc.size(46, 46), cc.p(320, 660.348), nil, nil, nil, nil, nil)
	self.Sprite3:setTexture("Default/Sprite.png")
	addChildForPre(self.Panel1_3, self.Sprite3)

	self.Sprite5 = cc.Sprite:create()
	setValue(self.Sprite5, "BXN_Sprite5", 54, cc.size(300, 457), cc.p(104.5941, 233.7807), nil, nil, nil, nil, nil)
	self.Sprite5:setTexture("ccs/BigImages/userHead/leaderHead_img_1.webp")
	addChildForPre(self.Panel1_3, self.Sprite5)

	self.GoToChargeButton = ccui.Button:create()
	setValue(self.GoToChargeButton, "TXN_GoToChargeButton", 1040, cc.size(215, 76), cc.p(286.0852, 418.608), nil, nil, nil, nil, false)
	self.GoToChargeButton:loadTextureNormal("ccs/UiImages/login/login_img_top-02.png", 1)
	self.GoToChargeButton:loadTexturePressed("ccs/UiImages/login/login_img_top-02.png", 1)
	self.GoToChargeButton:loadTextureDisabled("ccs/UiImages/login/login_img_top-02.png", 1)
	self.GoToChargeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.GoToChargeButton:setTitleText([[Button]])
	self.GoToChargeButton:setTitleFontSize(34)
	self.GoToChargeButton:setTitleFontName(getFont())
	setClickEvent(self, self.GoToChargeButton, "GoToChargeButton")
	addChildForPre(self.Panel1_3, self.GoToChargeButton)

	self.BuyButton = ccui.Button:create()
	setValue(self.BuyButton, "TXN_BuyButton", 1041, cc.size(215, 76), cc.p(510.272, 418.608), nil, nil, nil, nil, nil)
	self.BuyButton:loadTextureNormal("ccs/UiImages/login/login_img_top-02.png", 1)
	self.BuyButton:loadTexturePressed("ccs/UiImages/login/login_img_top-02.png", 1)
	self.BuyButton:loadTextureDisabled("ccs/UiImages/login/login_img_top-02.png", 1)
	self.BuyButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.BuyButton:setTitleText([[]])
	self.BuyButton:setTitleFontSize(25)
	self.BuyButton:setTitleFontName(getFont())
	setClickEvent(self, self.BuyButton, "BuyButton")
	addChildForPre(self.Panel1_3, self.BuyButton)
	self.BuyButton_4 = self.BuyButton

	self.havebuylabel = createLabel({text=[[Text Label]], font=getFont(), size=34})
	setValue(self.havebuylabel, "havebuylabel", 704, cc.size(154, 39), cc.p(109.3087, 40.9898), nil, nil, nil, nil, nil)
	self.havebuylabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.BuyButton_4, self.havebuylabel)

	self.labelButton = createLabel({text=[[购买]], font=getFont(), size=34})
	setValue(self.labelButton, "labelButton", 110, cc.size(68, 39), cc.p(49.3754, 37.9205), nil, nil, nil, nil, nil)
	self.labelButton:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.BuyButton_4, self.labelButton)

	self.diamondSprite = cc.Sprite:create()
	setValue(self.diamondSprite, "diamondSprite", 111, cc.size(46, 38), cc.p(109.0164, 37.9205), nil, nil, nil, nil, nil)
	self.diamondSprite:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainUi_big_zuanshi.png")
	addChildForPre(self.BuyButton_4, self.diamondSprite)

	self.numLabel = createLabel({text=[[888]], font=getFont(), size=34})
	setValue(self.numLabel, "numLabel", 112, cc.size(56, 39), cc.p(164.3312, 37.9205), nil, nil, nil, nil, nil)
	self.numLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.BuyButton_4, self.numLabel)

	self.ListView = ccui.Layout:create()
	setValue(self.ListView, "WIX_ListView", 537, cc.size(490, 359), cc.p(385.472, 179.775), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.Panel1_3, self.ListView)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/BigImages/background/newactivity_bag02.jpg",
	"ccs/plist/newactivity.plist",
	"ccs/plist/mainUiFeeling.plist",
	"Default/Sprite.png",
	"ccs/BigImages/userHead/leaderHead_img_1.png",
	"ccs/plist/login.plist",
}

return _M
