-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 71, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 72, cc.size(270, 480), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 397, cc.size(256.5, 350.4), cc.p(135, 278.4), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/newactivity/newactivity_orange.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(20, 44, 30, 6))
	addChildForPre(self.rootPanel_1, self.bgImage)

	self.presentPriceTitle = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.presentPriceTitle, "presentPriceTitle", 73, cc.size(91, 23), cc.p(107.163, 96), cc.p(1, 0.5), nil, nil, nil, nil)
	self.presentPriceTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.presentPriceTitle)

	self.originalPriceTitle = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.originalPriceTitle, "originalPriceTitle", 74, cc.size(91, 23), cc.p(107.163, 68.016), cc.p(1, 0.5), nil, nil, nil, nil)
	self.originalPriceTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.originalPriceTitle)

	self.presentPriceNum = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.presentPriceNum, "presentPriceNum", 75, cc.size(91, 23), cc.p(156.087, 96), cc.p(0, 0.5), nil, nil, nil, nil)
	self.presentPriceNum:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.presentPriceNum)

	self.originalPriceNum = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.originalPriceNum, "originalPriceNum", 76, cc.size(91, 23), cc.p(156.087, 68.016), cc.p(0, 0.5), nil, nil, nil, nil)
	self.originalPriceNum:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.originalPriceNum)

	self.redBarSprite = cc.Sprite:create()
	setValue(self.redBarSprite, "redBarSprite", 1124, cc.size(203, 7), cc.p(150.687, 68.016), cc.p(0, 0.5), nil, nil, nil, nil)
	self.redBarSprite:setScaleX(0.5)
	self.redBarSprite:setScaleY(1)
	self.redBarSprite:setSpriteFrame("ccs/UiImages/newactivity/newactivity_hongxian.png")
	addChildForPre(self.rootPanel_1, self.redBarSprite)

	self.purchaseButton = ccui.Button:create()
	setValue(self.purchaseButton, "purchaseButton", 77, cc.size(98, 51), cc.p(135, 33.6), nil, nil, nil, nil, false)
	self.purchaseButton:loadTextureNormal("ccs/UiImages/image9/CommonPanel_btn_smallblue_0.png", 1)
	self.purchaseButton:loadTexturePressed("ccs/UiImages/image9/CommonPanel_btn_smallblue_1.png", 1)
	self.purchaseButton:loadTextureDisabled("ccs/UiImages/image9/CommonPanel_btn_small_2.png", 1)
	self.purchaseButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.purchaseButton:setTitleText([[购买]])
	self.purchaseButton:setTitleFontSize(20)
	self.purchaseButton:setTitleFontName(getFont())
	setClickEvent(self, self.purchaseButton, "purchaseButton")
	addChildForPre(self.rootPanel_1, self.purchaseButton)

	self.zuanshiSprite = cc.Sprite:create()
	setValue(self.zuanshiSprite, "zuanshiSprite", 78, cc.size(100, 100), cc.p(135, 93.9999), nil, nil, nil, nil, nil)
	self.zuanshiSprite:setScale(0.38)
	self.zuanshiSprite:setSpriteFrame("ccs/UiImages/icon/zuanshi.png")
	addChildForPre(self.rootPanel_1, self.zuanshiSprite)

	self.commonItemCell1Panel = ccui.Layout:create()
	setValue(self.commonItemCell1Panel, "commonItemCell1Panel", 135, cc.size(150, 130), cc.p(76.462, 363.4), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonItemCell1Panel)

	self.commonItemCell2Panel = ccui.Layout:create()
	setValue(self.commonItemCell2Panel, "commonItemCell2Panel", 136, cc.size(150, 130), cc.p(191, 363.4), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonItemCell2Panel)

	self.commonItemCell3Panel = ccui.Layout:create()
	setValue(self.commonItemCell3Panel, "commonItemCell3Panel", 137, cc.size(150, 130), cc.p(76.462, 192), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonItemCell3Panel)

	self.commonItemCell4Panel = ccui.Layout:create()
	setValue(self.commonItemCell4Panel, "commonItemCell4Panel", 138, cc.size(150, 130), cc.p(191, 192), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonItemCell4Panel)

	self.levelPackTitleImage = ccui.ImageView:create()
	setValue(self.levelPackTitleImage, "levelPackTitleImage", 81, cc.size(170, 43), cc.p(135, 451.2), nil, nil, nil, nil, nil)
	self.levelPackTitleImage:loadTexture("ccs/UiImages/newactivity/newactivity_yeqian.png", 1)
	addChildForPre(self.rootPanel_1, self.levelPackTitleImage)
	self.levelPackTitleImage_2 = self.levelPackTitleImage

	self.levelPackTitle = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.levelPackTitle, "levelPackTitle", 82, cc.size(91, 23), cc.p(85, 21.5), nil, nil, nil, nil, nil)
	self.levelPackTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.levelPackTitleImage_2, self.levelPackTitle)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/newactivity.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/icon.plist",
}

return _M
