-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 480, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 481, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	setBgColor(self.rootPanel, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 574, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 709, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "WIX_bgImage", 2504, cc.size(607, 631), cc.p(320, 556.8), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.dialogPanel_2, self.bgImage)

	self.listviewPanel = ccui.Layout:create()
	setValue(self.listviewPanel, "WIX_listviewPanel", 1851, cc.size(607, 518.4), cc.p(320, 556.8), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.listviewPanel)

	self.labelPanel = ccui.Layout:create()
	setValue(self.labelPanel, "TXN_labelPanel", 2026, cc.size(570, 50), cc.p(320, 816), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.labelPanel)
	self.labelPanel_3 = self.labelPanel

	self.rankingLabel1 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.rankingLabel1, "rankingLabel1", 2207, cc.size(109, 28), cc.p(51.3, 27.92), nil, cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.rankingLabel1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rankingLabel1:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.labelPanel_3, self.rankingLabel1)

	self.rankingLabel2 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.rankingLabel2, "rankingLabel2", 2208, cc.size(109, 28), cc.p(171, 27.92), nil, cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.rankingLabel2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rankingLabel2:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.labelPanel_3, self.rankingLabel2)

	self.rankingLabel3 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.rankingLabel3, "rankingLabel3", 2209, cc.size(109, 28), cc.p(359.1, 27.92), nil, cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.rankingLabel3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rankingLabel3:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.labelPanel_3, self.rankingLabel3)

	self.rankingLabel4 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.rankingLabel4, "rankingLabel4", 2210, cc.size(109, 28), cc.p(495.9, 27.92), nil, cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.rankingLabel4:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rankingLabel4:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.labelPanel_3, self.rankingLabel4)

	self.mylabelPanel = ccui.Layout:create()
	setValue(self.mylabelPanel, "BXN_mylabelPanel", 2427, cc.size(570, 50), cc.p(320, 246.432), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.mylabelPanel)
	self.mylabelPanel_3 = self.mylabelPanel

	self.myrankLabel1 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.myrankLabel1, "myrankLabel1", 2464, cc.size(109, 28), cc.p(51.3, 27.92), nil, cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.myrankLabel1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.myrankLabel1:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.mylabelPanel_3, self.myrankLabel1)

	self.myrankLabel2 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.myrankLabel2, "myrankLabel2", 2465, cc.size(109, 28), cc.p(171, 27.92), nil, cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.myrankLabel2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.myrankLabel2:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.mylabelPanel_3, self.myrankLabel2)

	self.myrankLabel3 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.myrankLabel3, "myrankLabel3", 2466, cc.size(109, 28), cc.p(359.1, 27.92), nil, cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.myrankLabel3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.myrankLabel3:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.mylabelPanel_3, self.myrankLabel3)

	self.myrankLabel4 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.myrankLabel4, "myrankLabel4", 2467, cc.size(109, 28), cc.p(495.9, 27.92), nil, cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.myrankLabel4:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.myrankLabel4:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.mylabelPanel_3, self.myrankLabel4)

	self.rewardInfoPanel = ccui.Layout:create()
	setValue(self.rewardInfoPanel, "AXY_rewardInfoPanel", 902, cc.size(640, 124.8), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.rewardInfoPanel)
	self.rewardInfoPanel_3 = self.rewardInfoPanel

	self.bottomLine = ccui.ImageView:create()
	setValue(self.bottomLine, "AXY_bottomLine", 1163, cc.size(640, 14.976), cc.p(320, 124.8), nil, nil, nil, nil, false)
	self.bottomLine:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.bottomLine:setScale9Enabled(true)
	self.bottomLine:setCapInsets(cc.rect(1, 0, 638, 30))
	addChildForPre(self.rewardInfoPanel_3, self.bottomLine)

	self.rewardInfoButton = ccui.Button:create()
	self.rewardInfoButton:setScale9Enabled(true)
	self.rewardInfoButton:setCapInsets(cc.rect(0, 0, 153, 64))
	self.rewardInfoButton:setContentSize(cc.size(153, 64))
	setValue(self.rewardInfoButton, "XYN_rewardInfoButton", 1645, nil, cc.p(320, 62.4), nil, nil, nil, nil, false)
	self.rewardInfoButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.rewardInfoButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.rewardInfoButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.rewardInfoButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.rewardInfoButton:setTitleText([[奖励预览]])
	self.rewardInfoButton:setTitleFontSize(24)
	self.rewardInfoButton:setTitleFontName(getFont())
	setClickEvent(self, self.rewardInfoButton, "rewardInfoButton")
	addChildForPre(self.rewardInfoPanel_3, self.rewardInfoButton)

	self.bottomlowerImage = ccui.ImageView:create()
	setValue(self.bottomlowerImage, "WXN_bottomlowerImage", 1164, cc.size(640, 8), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.bottomlowerImage:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	self.bottomlowerImage:setScale9Enabled(true)
	self.bottomlowerImage:setCapInsets(cc.rect(0, 0, 640, 8))
	addChildForPre(self.rewardInfoPanel_3, self.bottomlowerImage)

	self.infoPanel = ccui.Layout:create()
	setValue(self.infoPanel, "BXN_infoPanel", 2757, cc.size(607, 50), cc.p(320, 163.2), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.infoPanel)
	self.infoPanel_3 = self.infoPanel

	self.Image2 = ccui.ImageView:create()
	setValue(self.Image2, "WXN_Image2", 2758, cc.size(607, 50), cc.p(303.5, 25), nil, nil, nil, nil, false)
	self.Image2:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.Image2:setScale9Enabled(true)
	self.Image2:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.infoPanel_3, self.Image2)

	self.infolabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.infolabel, "infolabel", 2759, cc.size(109, 28), cc.p(303.5, 25), nil, nil, nil, nil, nil)
	self.infolabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.infoPanel_3, self.infolabel)

	if CommonDialogFrame1CloseUi then 
 		self.commonDialogFrame1CloseUi = CommonDialogFrame1CloseUi.new() 
 	else 
		self.commonDialogFrame1CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame1CloseUi, "commonDialogFrame1CloseUi", 567, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/battle.plist",
	"ccs/plist/image9.plist",
}

return _M
