-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 61, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 62, cc.size(640, 960), cc.p(-0.0001, 0), nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bgPanel = ccui.Layout:create()
	setValue(self.bgPanel, "AXY_bgPanel", 96, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.bgPanel)
	self.bgPanel_2 = self.bgPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "WIX_bgImage", 97, cc.size(640, 765), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/BigImages/background/newactivity_bag02.webp")
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(0, 0, 640, 765))
	addChildForPre(self.bgPanel_2, self.bgImage)

	self.zhanJianPanel = ccui.Layout:create()
	setValue(self.zhanJianPanel, "TXN_zhanJianPanel", 237, cc.size(640, 765), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.zhanJianPanel)
	self.zhanJianPanel_2 = self.zhanJianPanel

	self.tankBG = ccui.ImageView:create()
	setValue(self.tankBG, "tankBG", 7, cc.size(653, 296), cc.p(320, 257.5755), nil, nil, nil, nil, nil)
	self.tankBG:setScale(0.85)
	self.tankBG:loadTexture("ccs/BigImages/background/newactivity_luckyturnBg.webp")
	addChildForPre(self.zhanJianPanel_2, self.tankBG)

	self.reward1Panel = ccui.Layout:create()
	setValue(self.reward1Panel, "reward1Panel", 87, cc.size(150, 200), cc.p(155.6, 260.1), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.zhanJianPanel_2, self.reward1Panel)
	self.reward1Panel_3 = self.reward1Panel

	self.prizeNode1 = ccui.Layout:create()
	setValue(self.prizeNode1, "prizeNode1", 97, cc.size(150, 130), cc.p(75, 100), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.reward1Panel_3, self.prizeNode1)

	self.reward2Panel = ccui.Layout:create()
	setValue(self.reward2Panel, "reward2Panel", 88, cc.size(150, 200), cc.p(320, 260.1), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.zhanJianPanel_2, self.reward2Panel)
	self.reward2Panel_3 = self.reward2Panel

	self.prizeNode2 = ccui.Layout:create()
	setValue(self.prizeNode2, "prizeNode2", 98, cc.size(150, 130), cc.p(75, 100), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.reward2Panel_3, self.prizeNode2)

	self.reward3Panel = ccui.Layout:create()
	setValue(self.reward3Panel, "reward3Panel", 89, cc.size(150, 200), cc.p(485.4, 260.1), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.zhanJianPanel_2, self.reward3Panel)
	self.reward3Panel_3 = self.reward3Panel

	self.prizeNode3 = ccui.Layout:create()
	setValue(self.prizeNode3, "prizeNode3", 99, cc.size(150, 130), cc.p(75, 100), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.reward3Panel_3, self.prizeNode3)

	self.btnPanel = ccui.Layout:create()
	setValue(self.btnPanel, "TXN_btnPanel", 239, cc.size(640, 200), cc.p(320, 70.752), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.btnPanel)
	self.btnPanel_2 = self.btnPanel

	self.freeButton = ccui.Button:create()
	setValue(self.freeButton, "freeButton", 447, cc.size(153, 64), cc.p(149, 93.95), nil, nil, nil, nil, nil)
	self.freeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.freeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.freeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.freeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.freeButton:setTitleText([[]])
	self.freeButton:setTitleFontSize(24)
	self.freeButton:setTitleFontName(getFont())
	setClickEvent(self, self.freeButton, "freeButton")
	addChildForPre(self.btnPanel_2, self.freeButton)

	self.diamondIcon_Copy_0 = ccui.ImageView:create()
	setValue(self.diamondIcon_Copy_0, "diamondIcon_Copy_0", 1054, cc.size(100, 100), cc.p(109.9967, 94.35), nil, nil, nil, nil, nil)
	self.diamondIcon_Copy_0:setScale(0.5)
	self.diamondIcon_Copy_0:loadTexture("ccs/UiImages/icon/zuanshi.png", 1)
	addChildForPre(self.btnPanel_2, self.diamondIcon_Copy_0)

	self.timeLabledes = createLabel({text=[[Text La]], font=getFont(), size=24})
	setValue(self.timeLabledes, "timeLabledes", 97, cc.size(77, 28), cc.p(140.8, 96), cc.p(0, 0.5), nil, nil, nil, nil)
	self.timeLabledes:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.btnPanel_2, self.timeLabledes)

	self.freetimeslab = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.freetimeslab, "freetimeslab", 96, cc.size(109, 28), cc.p(147.2, 94), nil, nil, nil, nil, nil)
	self.freetimeslab:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.btnPanel_2, self.freetimeslab)

	self.ordinaryIntegrallab = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.ordinaryIntegrallab, "ordinaryIntegrallab", 98, cc.size(109, 28), cc.p(149.6, 140), nil, nil, nil, nil, nil)
	self.ordinaryIntegrallab:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.btnPanel_2, self.ordinaryIntegrallab)

	self.diamondButton = ccui.Button:create()
	setValue(self.diamondButton, "diamondButton", 448, cc.size(153, 64), cc.p(481.23, 93.9501), nil, nil, nil, nil, nil)
	self.diamondButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.diamondButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.diamondButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.diamondButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.diamondButton:setTitleText([[]])
	self.diamondButton:setTitleFontSize(24)
	self.diamondButton:setTitleFontName(getFont())
	setClickEvent(self, self.diamondButton, "diamondButton")
	addChildForPre(self.btnPanel_2, self.diamondButton)

	self.diamondIcon = ccui.ImageView:create()
	setValue(self.diamondIcon, "diamondIcon", 300, cc.size(100, 100), cc.p(440.33, 94.35), nil, nil, nil, nil, nil)
	self.diamondIcon:setScale(0.5)
	self.diamondIcon:loadTexture("ccs/UiImages/icon/zuanshi.png", 1)
	addChildForPre(self.btnPanel_2, self.diamondIcon)

	self.priceLable = createLabel({text=[[Text La]], font=getFont(), size=24})
	setValue(self.priceLable, "priceLable", 100, cc.size(77, 28), cc.p(473.6, 94), cc.p(0, 0.5), nil, nil, nil, nil)
	self.priceLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.btnPanel_2, self.priceLable)

	self.luxuryIntegrallab = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.luxuryIntegrallab, "luxuryIntegrallab", 101, cc.size(109, 28), cc.p(480, 140), nil, nil, nil, nil, nil)
	self.luxuryIntegrallab:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.btnPanel_2, self.luxuryIntegrallab)

	self.mainPanel = ccui.Layout:create()
	setValue(self.mainPanel, "TXN_mainPanel", 63, cc.size(600, 245), cc.p(18.82, 438.35), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.mainPanel)
	self.mainPanel_2 = self.mainPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 6, cc.size(630, 253), cc.p(300, 122.5), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/newactivity/newactivity_9dia.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(30, 30, 71, 216))
	addChildForPre(self.mainPanel_2, self.bgImage)

	self.bg1Image = ccui.ImageView:create()
	setValue(self.bg1Image, "bg1Image", 102, cc.size(130, 30), cc.p(113.84, 198.97), nil, nil, nil, nil, false)
	self.bg1Image:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.bg1Image:setScale9Enabled(true)
	self.bg1Image:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.mainPanel_2, self.bg1Image)

	self.bg2Image = ccui.ImageView:create()
	setValue(self.bg2Image, "bg2Image", 103, cc.size(130, 30), cc.p(113.84, 126.94), nil, nil, nil, nil, false)
	self.bg2Image:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.bg2Image:setScale9Enabled(true)
	self.bg2Image:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.mainPanel_2, self.bg2Image)

	self.bg3Image = ccui.ImageView:create()
	setValue(self.bg3Image, "bg3Image", 104, cc.size(130, 30), cc.p(113.82, 53.9245), nil, nil, nil, nil, false)
	self.bg3Image:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.bg3Image:setScale9Enabled(true)
	self.bg3Image:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.mainPanel_2, self.bg3Image)

	self.active_time = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.active_time, "active_time", 458, cc.size(109, 28), cc.p(199.55, 199.39), cc.p(0, 0.5), nil, nil, nil, nil)
	self.active_time:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.mainPanel_2, self.active_time)

	self.activityDescLabel = createLabel({text=[[Text Label]], font=getFont(), size=24, dimensions = cc.size(300.0000, 110.0000)})
	setValue(self.activityDescLabel, "activityDescLabel", 459, cc.size(300, 110), cc.p(199.8, 141.4385), cc.p(0, 1), nil, nil, nil, false)
	self.activityDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.mainPanel_2, self.activityDescLabel)

	self.active_timeTitle = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.active_timeTitle, "active_timeTitle", 456, cc.size(109, 28), cc.p(113.84, 198.97), nil, nil, nil, nil, nil)
	self.active_timeTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.mainPanel_2, self.active_timeTitle)

	self.active_content = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.active_content, "active_content", 457, cc.size(109, 28), cc.p(113.84, 126.94), nil, nil, nil, nil, nil)
	self.active_content:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.mainPanel_2, self.active_content)

	self.rewardInfoButton = ccui.Button:create()
	setValue(self.rewardInfoButton, "rewardInfoButton", 460, cc.size(103, 93), cc.p(388.98, 53.33), nil, nil, nil, nil, nil)
	self.rewardInfoButton:loadTextureNormal("ccs/UiImages/newactivity/newactivity_paihangbang.png", 1)
	self.rewardInfoButton:loadTexturePressed("ccs/UiImages/newactivity/newactivity_paihangbang.png", 1)
	self.rewardInfoButton:loadTextureDisabled("ccs/UiImages/newactivity/newactivity_paihangbang.png", 1)
	self.rewardInfoButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.rewardInfoButton:setTitleText([[]])
	self.rewardInfoButton:setTitleFontSize(24)
	self.rewardInfoButton:setTitleFontName(getFont())
	setClickEvent(self, self.rewardInfoButton, "rewardInfoButton")
	addChildForPre(self.mainPanel_2, self.rewardInfoButton)

	self.rankingListButton = ccui.Button:create()
	setValue(self.rankingListButton, "rankingListButton", 623, cc.size(103, 93), cc.p(523.0577, 53.33), nil, nil, nil, nil, nil)
	self.rankingListButton:loadTextureNormal("ccs/UiImages/newactivity/newactivity_paihangbang.png", 1)
	self.rankingListButton:loadTexturePressed("ccs/UiImages/newactivity/newactivity_paihangbang.png", 1)
	self.rankingListButton:loadTextureDisabled("ccs/UiImages/newactivity/newactivity_paihangbang.png", 1)
	self.rankingListButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.rankingListButton:setTitleText([[]])
	self.rankingListButton:setTitleColor(cc.c3b(65, 65, 70))
	self.rankingListButton:setTitleFontSize(14)
	self.rankingListButton:setTitleFontName(getFont())
	setClickEvent(self, self.rankingListButton, "rankingListButton")
	addChildForPre(self.mainPanel_2, self.rankingListButton)

	self.alltimeLableTitle = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.alltimeLableTitle, "alltimeLableTitle", 149, cc.size(109, 28), cc.p(311.1, 165.73), cc.p(1, 0.5), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.alltimeLableTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.alltimeLableTitle:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.mainPanel_2, self.alltimeLableTitle)

	self.alltimeLable = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.alltimeLable, "alltimeLable", 150, cc.size(109, 28), cc.p(321.35, 165.73), cc.p(0, 0.5), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.alltimeLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.alltimeLable:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.mainPanel_2, self.alltimeLable)

	self.rankLable = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.rankLable, "rankLable", 304, cc.size(109, 28), cc.p(113.82, 53.9245), nil, nil, nil, nil, nil)
	self.rankLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.mainPanel_2, self.rankLable)

	self.rankNumLable = createLabel({text=[[1000]], font=getFont(), size=24})
	setValue(self.rankNumLable, "rankNumLable", 303, cc.size(53, 28), cc.p(199.56, 53.9245), cc.p(0, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.rankNumLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rankNumLable:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.mainPanel_2, self.rankNumLable)

	self.newactivity = cc.Sprite:create()
	setValue(self.newactivity, "TXN_newactivity", 299, cc.size(588, 61), cc.p(300, 313.6), nil, nil, nil, nil, nil)
	self.newactivity:setSpriteFrame("ccs/UiImages/newactivity/newactivity_ing_zhuangshi.png")
	addChildForPre(self.mainPanel_2, self.newactivity)

	self.Image_55 = ccui.ImageView:create()
	setValue(self.Image_55, "Image_55", 300, cc.size(529, 86), cc.p(300, 271.95), nil, nil, nil, nil, nil)
	self.Image_55:loadTexture("ccs/UiImages/newactivity/newactivity_title.png", 1)
	addChildForPre(self.mainPanel_2, self.Image_55)

	self.TitleLable = createLabel({text=[[Text Label]], font=getFont(), size=40})
	setValue(self.TitleLable, "TitleLable", 452, cc.size(182, 45), cc.p(300, 271.95), nil, nil, nil, nil, nil)
	self.TitleLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.mainPanel_2, self.TitleLable)

	self.Image = ccui.ImageView:create()
	setValue(self.Image, "TXN_Image", 301, cc.size(640, 90), cc.p(320, -144.96), nil, nil, nil, nil, false)
	self.Image:loadTexture("ccs/UiImages/newactivity/newactivity_img_jinbi.png", 1)
	self.Image:setScale9Enabled(true)
	self.Image:setCapInsets(cc.rect(0, 0, 640, 90))
	addChildForPre(self.rootPanel_1, self.Image)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/BigImages/background/newactivity_bag02.jpg",
	"ccs/BigImages/background/newactivity_luckyturnBg.png",
	"ccs/plist/image9.plist",
	"ccs/plist/icon.plist",
	"ccs/plist/newactivity.plist",
	"ccs/plist/mainUiFeeling.plist",
}

return _M
