-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 494, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 472, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "WIX_Panel", 445, cc.size(640, 765), cc.p(-0.0001, 0), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Panel)
	self.Panel_2 = self.Panel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "WIX_bgImage", 387, cc.size(640, 765), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/BigImages/background/newactivity_bag02.webp")
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(0, 0, 640, 765))
	addChildForPre(self.Panel_2, self.bgImage)

	self.sprite1 = cc.Sprite:create()
	setValue(self.sprite1, "TXN_sprite1", 391, cc.size(588, 61), cc.p(307.2, 749.7), nil, nil, 127, nil, nil)
	self.sprite1:setSpriteFrame("ccs/UiImages/newactivity/newactivity_ing_zhuangshi.png")
	addChildForPre(self.Panel_2, self.sprite1)

	self.infoPanel = ccui.Layout:create()
	setValue(self.infoPanel, "WIX_infoPanel", 446, cc.size(640, 408), cc.p(320, 7.65), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.infoPanel)

	self.labelSprite = cc.Sprite:create()
	setValue(self.labelSprite, "TXN_labelSprite", 390, cc.size(529, 86), cc.p(320, 703.8), nil, nil, nil, nil, nil)
	self.labelSprite:setSpriteFrame("ccs/UiImages/newactivity/newactivity_title.png")
	addChildForPre(self.Panel_2, self.labelSprite)

	self.sprite2 = cc.Sprite:create()
	setValue(self.sprite2, "BWX_sprite2", 535, cc.size(640, 8), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	self.sprite2:setSpriteFrame("ccs/UiImages/image9/common_img_jiemian02.png")
	addChildForPre(self.Panel_2, self.sprite2)

	self.labelPanel = ccui.Layout:create()
	setValue(self.labelPanel, "TXN_labelPanel", 388, cc.size(640, 253), cc.p(320, 413.1), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.labelPanel)
	self.labelPanel_3 = self.labelPanel

	self.labelbgImage = ccui.ImageView:create()
	setValue(self.labelbgImage, "labelbgImage", 389, cc.size(640, 253), cc.p(320, 126.5), nil, nil, nil, nil, false)
	self.labelbgImage:loadTexture("ccs/UiImages/newactivity/newactivity_9dia.png", 1)
	self.labelbgImage:setScale9Enabled(true)
	self.labelbgImage:setCapInsets(cc.rect(30, 30, 76, 193))
	addChildForPre(self.labelPanel_3, self.labelbgImage)

	self.Image12 = ccui.ImageView:create()
	setValue(self.Image12, "Image12", 1222, cc.size(130, 30), cc.p(100.2143, 202.0714), nil, nil, nil, nil, false)
	self.Image12:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.Image12:setScale9Enabled(true)
	self.Image12:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.labelPanel_3, self.Image12)

	self.Image11 = ccui.ImageView:create()
	setValue(self.Image11, "Image11", 1223, cc.size(130, 30), cc.p(100.2143, 131.2857), nil, nil, nil, nil, false)
	self.Image11:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.Image11:setScale9Enabled(true)
	self.Image11:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.labelPanel_3, self.Image11)

	self.Image13 = ccui.ImageView:create()
	setValue(self.Image13, "Image13", 1224, cc.size(130, 30), cc.p(100.2143, 62.1428), nil, nil, nil, nil, false)
	self.Image13:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.Image13:setScale9Enabled(true)
	self.Image13:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.labelPanel_3, self.Image13)

	self.ranknumLable = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.ranknumLable, "ranknumLable", 576, cc.size(109, 28), cc.p(168.5933, 58.8279), cc.p(0, 0.5), cc.c4b(255, 217, 48, 255), nil, nil, nil)
	self.ranknumLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.ranknumLable:setColor(cc.c4b(255, 217, 48, 255))
	addChildForPre(self.labelPanel_3, self.ranknumLable)

	self.rankTitle = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.rankTitle, "rankTitle", 575, cc.size(109, 28), cc.p(91.0302, 60.4079), nil, nil, nil, nil, nil)
	self.rankTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_3, self.rankTitle)

	self.alltimeLable = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.alltimeLable, "alltimeLable", 507, cc.size(109, 28), cc.p(320.6801, 164.9518), cc.p(0, 0.5), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.alltimeLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.alltimeLable:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.labelPanel_3, self.alltimeLable)

	self.alltimeLableTitle = createLabel({text=[[剩余时间:]], font=getFont(), size=24,valign = 1})
	setValue(self.alltimeLableTitle, "alltimeLableTitle", 506, cc.size(102, 28), cc.p(318.9999, 164.9518), cc.p(1, 0.5), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.alltimeLableTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.alltimeLableTitle:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.labelPanel_3, self.alltimeLableTitle)

	self.GoToShopButton = ccui.Button:create()
	setValue(self.GoToShopButton, "GoToShopButton", 505, cc.size(153, 64), cc.p(518.784, 50.347), nil, nil, nil, nil, false)
	self.GoToShopButton:loadTextureNormal("ccs/UiImages/image9/common_btn_yellow_0.png", 1)
	self.GoToShopButton:loadTexturePressed("ccs/UiImages/image9/common_btn_yellow_1.png", 1)
	self.GoToShopButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.GoToShopButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.GoToShopButton:setTitleText([[Button]])
	self.GoToShopButton:setTitleColor(cc.c3b(255, 255, 240))
	self.GoToShopButton:setTitleFontSize(24)
	self.GoToShopButton:setTitleFontName(getFont())
	setClickEvent(self, self.GoToShopButton, "GoToShopButton")
	addChildForPre(self.labelPanel_3, self.GoToShopButton)

	self.activityDescLabel = createLabel({text=[[Text Label]], font=getFont(), size=24, dimensions = cc.size(400.0000, 100.0000)})
	setValue(self.activityDescLabel, "activityDescLabel", 503, cc.size(400, 100), cc.p(168.576, 142.4896), cc.p(0, 1), nil, nil, nil, false)
	self.activityDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_3, self.activityDescLabel)

	self.active_time = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.active_time, "active_time", 502, cc.size(109, 28), cc.p(168.576, 199.7688), cc.p(0, 0.5), nil, nil, nil, nil)
	self.active_time:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_3, self.active_time)

	self.active_content = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.active_content, "active_content", 501, cc.size(109, 28), cc.p(91.0303, 130.0734), nil, nil, nil, nil, nil)
	self.active_content:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_3, self.active_content)

	self.active_timeTitle = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.active_timeTitle, "active_timeTitle", 500, cc.size(109, 28), cc.p(91.0303, 201.3548), nil, nil, nil, nil, nil)
	self.active_timeTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_3, self.active_timeTitle)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/BigImages/background/newactivity_bag02.jpg",
	"ccs/plist/newactivity.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/mainUiFeeling.plist",
}

return _M
