-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 61, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 62, cc.size(640, 960), cc.p(-0.0001, 0), nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bgPanel = ccui.Layout:create()
	setValue(self.bgPanel, "AXY_bgPanel", 96, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.bgPanel)
	self.bgPanel_2 = self.bgPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "WIX_bgImage", 97, cc.size(640, 765), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/BigImages/background/newactivity_bag02.webp")
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(0, 0, 640, 765))
	addChildForPre(self.bgPanel_2, self.bgImage)

	self.zhanJianPanel = ccui.Layout:create()
	setValue(self.zhanJianPanel, "TXN_zhanJianPanel", 237, cc.size(520, 355), cc.p(320, 115.2), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.zhanJianPanel)
	self.zhanJianPanel_2 = self.zhanJianPanel

	self.tankPanel = ccui.Layout:create()
	setValue(self.tankPanel, "tankPanel", 791, cc.size(348.5205, 182), cc.p(260, 173.95), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.zhanJianPanel_2, self.tankPanel)
	self.tankPanel_3 = self.tankPanel

	self.tankSprite = cc.Sprite:create()
	setValue(self.tankSprite, "tankSprite", 792, cc.size(694, 898), cc.p(128.6389, 121.8672), nil, nil, nil, nil, nil)
	self.tankSprite:setScale(0.3)
	self.tankSprite:setTexture("ccs/BigImages/ship_main/5_rb_zl_hnec_zhu.webp")
	addChildForPre(self.tankPanel_3, self.tankSprite)

	self.prostituteSprite = cc.Sprite:create()
	setValue(self.prostituteSprite, "prostituteSprite", 793, cc.size(361, 452), cc.p(230.0235, 91), nil, nil, nil, nil, nil)
	self.prostituteSprite:setScale(0.44)
	self.prostituteSprite:setTexture("ccs/BigImages/userHead/userHead_img_meizi02.webp")
	addChildForPre(self.tankPanel_3, self.prostituteSprite)

	self.drawCell1Panel = ccui.Layout:create()
	setValue(self.drawCell1Panel, "drawCell1Panel", 756, cc.size(80, 80), cc.p(45.188, 266.2497), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.zhanJianPanel_2, self.drawCell1Panel)

	self.drawCell2Panel = ccui.Layout:create()
	setValue(self.drawCell2Panel, "drawCell2Panel", 757, cc.size(80, 80), cc.p(152.239, 266.2498), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.zhanJianPanel_2, self.drawCell2Panel)

	self.drawCell3Panel = ccui.Layout:create()
	setValue(self.drawCell3Panel, "drawCell3Panel", 758, cc.size(80, 80), cc.p(259.2659, 266.2498), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.zhanJianPanel_2, self.drawCell3Panel)

	self.drawCell4Panel = ccui.Layout:create()
	setValue(self.drawCell4Panel, "drawCell4Panel", 759, cc.size(80, 80), cc.p(366.2921, 266.2498), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.zhanJianPanel_2, self.drawCell4Panel)

	self.drawCell5Panel = ccui.Layout:create()
	setValue(self.drawCell5Panel, "drawCell5Panel", 760, cc.size(80, 80), cc.p(473.3185, 266.2498), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.zhanJianPanel_2, self.drawCell5Panel)

	self.drawCell6Panel = ccui.Layout:create()
	setValue(self.drawCell6Panel, "drawCell6Panel", 761, cc.size(80, 80), cc.p(473.3185, 177.4998), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.zhanJianPanel_2, self.drawCell6Panel)

	self.drawCell7Panel = ccui.Layout:create()
	setValue(self.drawCell7Panel, "drawCell7Panel", 762, cc.size(80, 80), cc.p(473.3185, 88.7497), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.zhanJianPanel_2, self.drawCell7Panel)

	self.drawCell8Panel = ccui.Layout:create()
	setValue(self.drawCell8Panel, "drawCell8Panel", 763, cc.size(80, 80), cc.p(473.3185, -0.0002), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.zhanJianPanel_2, self.drawCell8Panel)

	self.drawCell9Panel = ccui.Layout:create()
	setValue(self.drawCell9Panel, "drawCell9Panel", 764, cc.size(80, 80), cc.p(366.2921, -0.0002), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.zhanJianPanel_2, self.drawCell9Panel)

	self.drawCell10Panel = ccui.Layout:create()
	setValue(self.drawCell10Panel, "drawCell10Panel", 765, cc.size(80, 80), cc.p(259.2659, -0.0002), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.zhanJianPanel_2, self.drawCell10Panel)

	self.drawCell11Panel = ccui.Layout:create()
	setValue(self.drawCell11Panel, "drawCell11Panel", 766, cc.size(80, 80), cc.p(152.2389, -0.0002), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.zhanJianPanel_2, self.drawCell11Panel)

	self.drawCell12Panel = ccui.Layout:create()
	setValue(self.drawCell12Panel, "drawCell12Panel", 767, cc.size(80, 80), cc.p(45.213, -0.0002), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.zhanJianPanel_2, self.drawCell12Panel)

	self.drawCell13Panel = ccui.Layout:create()
	setValue(self.drawCell13Panel, "drawCell13Panel", 768, cc.size(80, 80), cc.p(45.213, 88.7497), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.zhanJianPanel_2, self.drawCell13Panel)

	self.drawCell14Panel = ccui.Layout:create()
	setValue(self.drawCell14Panel, "drawCell14Panel", 769, cc.size(80, 80), cc.p(45.213, 177.4998), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.zhanJianPanel_2, self.drawCell14Panel)

	self.spriteSelect = ccui.ImageView:create()
	setValue(self.spriteSelect, "spriteSelect", 1040, cc.size(129, 129), cc.p(45.188, 266.25), cc.p(0.5, 0.1), nil, nil, nil, false)
	self.spriteSelect:setScale(0.8)
	self.spriteSelect:loadTexture("ccs/UiImages/newactivity/newactivity_xuanzhongguang.png", 1)
	self.spriteSelect:setScale9Enabled(true)
	self.spriteSelect:setCapInsets(cc.rect(40, 40, 50, 50))
	addChildForPre(self.zhanJianPanel_2, self.spriteSelect)

	self.btnPanel = ccui.Layout:create()
	setValue(self.btnPanel, "TXN_btnPanel", 239, cc.size(640, 144), cc.p(320, 41.952), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.btnPanel)
	self.btnPanel_2 = self.btnPanel

	self.oneButton = ccui.Button:create()
	setValue(self.oneButton, "oneButton", 447, cc.size(153, 64), cc.p(96, 83.0001), nil, nil, nil, nil, false)
	self.oneButton:loadTextureNormal("ccs/UiImages/image9/common_btn_yellow_0.png", 1)
	self.oneButton:loadTexturePressed("ccs/UiImages/image9/common_btn_yellow_1.png", 1)
	self.oneButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.oneButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.oneButton:setTitleText([[Button]])
	self.oneButton:setTitleFontSize(24)
	self.oneButton:setTitleFontName(getFont())
	setClickEvent(self, self.oneButton, "oneButton")
	addChildForPre(self.btnPanel_2, self.oneButton)

	self.freeNumLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.freeNumLabel, "freeNumLabel", 77, cc.size(109, 28), cc.p(96, 126.58), nil, nil, nil, nil, nil)
	self.freeNumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.btnPanel_2, self.freeNumLabel)

	self.oneIcon = ccui.ImageView:create()
	setValue(self.oneIcon, "oneIcon", 1054, cc.size(100, 100), cc.p(63.9963, 126.5821), nil, nil, nil, nil, nil)
	self.oneIcon:setScale(0.5)
	self.oneIcon:loadTexture("ccs/UiImages/icon/zuanshi.png", 1)
	addChildForPre(self.btnPanel_2, self.oneIcon)

	self.oneNumLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.oneNumLabel, "oneNumLabel", 1055, cc.size(109, 28), cc.p(85.9973, 126.58), cc.p(0, 0.5), nil, nil, nil, nil)
	self.oneNumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.btnPanel_2, self.oneNumLabel)

	self.oneRankLanel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.oneRankLanel, "oneRankLanel", 788, cc.size(91, 23), cc.p(96, 46.1664), nil, cc.c4b(40, 219, 114, 255), nil, nil, nil)
	self.oneRankLanel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.oneRankLanel:setColor(cc.c4b(40, 219, 114, 255))
	addChildForPre(self.btnPanel_2, self.oneRankLanel)

	self.tenButton = ccui.Button:create()
	setValue(self.tenButton, "tenButton", 84, cc.size(153, 64), cc.p(320, 83.0001), nil, nil, nil, nil, false)
	self.tenButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.tenButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.tenButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.tenButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tenButton:setTitleText([[Button]])
	self.tenButton:setTitleFontSize(24)
	self.tenButton:setTitleFontName(getFont())
	setClickEvent(self, self.tenButton, "tenButton")
	addChildForPre(self.btnPanel_2, self.tenButton)

	self.tenIcon = ccui.ImageView:create()
	setValue(self.tenIcon, "tenIcon", 300, cc.size(100, 100), cc.p(279.5818, 126.582), nil, nil, nil, nil, nil)
	self.tenIcon:setScale(0.5)
	self.tenIcon:loadTexture("ccs/UiImages/icon/zuanshi.png", 1)
	addChildForPre(self.btnPanel_2, self.tenIcon)

	self.tenNumLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.tenNumLabel, "tenNumLabel", 301, cc.size(109, 28), cc.p(301.5816, 126.5821), cc.p(0, 0.5), nil, nil, nil, nil)
	self.tenNumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.btnPanel_2, self.tenNumLabel)

	self.tenRankLanel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.tenRankLanel, "tenRankLanel", 789, cc.size(91, 23), cc.p(320, 46.1664), nil, cc.c4b(40, 219, 114, 255), nil, nil, nil)
	self.tenRankLanel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.tenRankLanel:setColor(cc.c4b(40, 219, 114, 255))
	addChildForPre(self.btnPanel_2, self.tenRankLanel)

	self.fiftyButton = ccui.Button:create()
	setValue(self.fiftyButton, "fiftyButton", 448, cc.size(153, 64), cc.p(544, 83.0001), nil, nil, nil, nil, false)
	self.fiftyButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.fiftyButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.fiftyButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.fiftyButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.fiftyButton:setTitleText([[Button]])
	self.fiftyButton:setTitleFontSize(24)
	self.fiftyButton:setTitleFontName(getFont())
	setClickEvent(self, self.fiftyButton, "fiftyButton")
	addChildForPre(self.btnPanel_2, self.fiftyButton)

	self.fiftyIcon = ccui.ImageView:create()
	setValue(self.fiftyIcon, "fiftyIcon", 85, cc.size(100, 100), cc.p(496.4769, 126.5821), nil, nil, nil, nil, nil)
	self.fiftyIcon:setScale(0.5)
	self.fiftyIcon:loadTexture("ccs/UiImages/icon/zuanshi.png", 1)
	addChildForPre(self.btnPanel_2, self.fiftyIcon)

	self.fiftyNumLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.fiftyNumLabel, "fiftyNumLabel", 86, cc.size(109, 28), cc.p(516.4749, 126.5821), cc.p(0, 0.5), nil, nil, nil, nil)
	self.fiftyNumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.btnPanel_2, self.fiftyNumLabel)

	self.fiftyRankLanel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.fiftyRankLanel, "fiftyRankLanel", 790, cc.size(91, 23), cc.p(544, 46.1664), nil, cc.c4b(40, 219, 114, 255), nil, nil, nil)
	self.fiftyRankLanel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.fiftyRankLanel:setColor(cc.c4b(40, 219, 114, 255))
	addChildForPre(self.btnPanel_2, self.fiftyRankLanel)

	self.mainPanel = ccui.Layout:create()
	setValue(self.mainPanel, "TXN_mainPanel", 63, cc.size(600, 218), cc.p(18.82, 471.35), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.mainPanel)
	self.mainPanel_2 = self.mainPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 6, cc.size(630, 224.54), cc.p(300, 109), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/newactivity/newactivity_9dia.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(30, 30, 71, 216))
	addChildForPre(self.mainPanel_2, self.bgImage)

	self.bg1Image = ccui.ImageView:create()
	setValue(self.bg1Image, "bg1Image", 102, cc.size(130, 30), cc.p(113.82, 177.0378), nil, nil, nil, nil, false)
	self.bg1Image:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.bg1Image:setScale9Enabled(true)
	self.bg1Image:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.mainPanel_2, self.bg1Image)

	self.bg2Image = ccui.ImageView:create()
	setValue(self.bg2Image, "bg2Image", 103, cc.size(130, 30), cc.p(113.82, 112.9458), nil, nil, nil, nil, false)
	self.bg2Image:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.bg2Image:setScale9Enabled(true)
	self.bg2Image:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.mainPanel_2, self.bg2Image)

	self.bg3Image = ccui.ImageView:create()
	setValue(self.bg3Image, "bg3Image", 104, cc.size(130, 30), cc.p(113.82, 44.908), nil, nil, nil, nil, false)
	self.bg3Image:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.bg3Image:setScale9Enabled(true)
	self.bg3Image:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.mainPanel_2, self.bg3Image)

	self.active_time = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.active_time, "active_time", 458, cc.size(109, 28), cc.p(199.56, 177.4084), cc.p(0, 0.5), nil, nil, nil, nil)
	self.active_time:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.mainPanel_2, self.active_time)

	self.activityDescLabel = createLabel({text=[[Text Label]], font=getFont(), size=24, dimensions = cc.size(300.0000, 110.0000)})
	setValue(self.activityDescLabel, "activityDescLabel", 459, cc.size(300, 110), cc.p(199.56, 125.8514), cc.p(0, 1), nil, nil, nil, false)
	self.activityDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.mainPanel_2, self.activityDescLabel)

	self.active_timeTitle = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.active_timeTitle, "active_timeTitle", 456, cc.size(109, 28), cc.p(113.82, 177.0378), nil, nil, nil, nil, nil)
	self.active_timeTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.mainPanel_2, self.active_timeTitle)

	self.active_content = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.active_content, "active_content", 457, cc.size(109, 28), cc.p(113.82, 112.9458), nil, nil, nil, nil, nil)
	self.active_content:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.mainPanel_2, self.active_content)

	self.rewardInfoButton = ccui.Button:create()
	setValue(self.rewardInfoButton, "rewardInfoButton", 460, cc.size(103, 93), cc.p(388.9805, 51.448), nil, nil, nil, nil, nil)
	self.rewardInfoButton:loadTextureNormal("ccs/UiImages/newactivity/newactivity_paihangbang.png", 1)
	self.rewardInfoButton:loadTexturePressed("ccs/UiImages/newactivity/newactivity_paihangbang.png", 1)
	self.rewardInfoButton:loadTextureDisabled("ccs/UiImages/newactivity/newactivity_paihangbang.png", 1)
	self.rewardInfoButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.rewardInfoButton:setTitleText([[]])
	self.rewardInfoButton:setTitleFontSize(24)
	self.rewardInfoButton:setTitleFontName(getFont())
	setClickEvent(self, self.rewardInfoButton, "rewardInfoButton")
	addChildForPre(self.mainPanel_2, self.rewardInfoButton)

	self.rankingListButton = ccui.Button:create()
	setValue(self.rankingListButton, "rankingListButton", 623, cc.size(103, 93), cc.p(523.0802, 51.448), nil, nil, nil, nil, nil)
	self.rankingListButton:loadTextureNormal("ccs/UiImages/newactivity/newactivity_paihangbang.png", 1)
	self.rankingListButton:loadTexturePressed("ccs/UiImages/newactivity/newactivity_paihangbang.png", 1)
	self.rankingListButton:loadTextureDisabled("ccs/UiImages/newactivity/newactivity_paihangbang.png", 1)
	self.rankingListButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.rankingListButton:setTitleText([[]])
	self.rankingListButton:setTitleColor(cc.c3b(65, 65, 70))
	self.rankingListButton:setTitleFontSize(14)
	self.rankingListButton:setTitleFontName(getFont())
	setClickEvent(self, self.rankingListButton, "rankingListButton")
	addChildForPre(self.mainPanel_2, self.rankingListButton)

	self.alltimeLableTitle = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.alltimeLableTitle, "alltimeLableTitle", 149, cc.size(109, 28), cc.p(311.1, 147.4552), cc.p(1, 0.5), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.alltimeLableTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.alltimeLableTitle:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.mainPanel_2, self.alltimeLableTitle)

	self.alltimeLable = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.alltimeLable, "alltimeLable", 150, cc.size(109, 28), cc.p(321.36, 147.4552), cc.p(0, 0.5), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.alltimeLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.alltimeLable:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.mainPanel_2, self.alltimeLable)

	self.rankLable = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.rankLable, "rankLable", 304, cc.size(109, 28), cc.p(113.82, 44.908), nil, nil, nil, nil, nil)
	self.rankLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.mainPanel_2, self.rankLable)

	self.rankNumLable = createLabel({text=[[1000]], font=getFont(), size=24})
	setValue(self.rankNumLable, "rankNumLable", 303, cc.size(53, 28), cc.p(199.56, 44.908), cc.p(0, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.rankNumLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rankNumLable:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.mainPanel_2, self.rankNumLable)

	self.newactivity = cc.Sprite:create()
	setValue(self.newactivity, "TXN_newactivity", 299, cc.size(588, 61), cc.p(300, 279.04), nil, nil, nil, nil, nil)
	self.newactivity:setSpriteFrame("ccs/UiImages/newactivity/newactivity_ing_zhuangshi.png")
	addChildForPre(self.mainPanel_2, self.newactivity)

	self.Image_55 = ccui.ImageView:create()
	setValue(self.Image_55, "Image_55", 300, cc.size(529, 86), cc.p(300, 241.98), nil, nil, nil, nil, nil)
	self.Image_55:loadTexture("ccs/UiImages/newactivity/newactivity_title.png", 1)
	addChildForPre(self.mainPanel_2, self.Image_55)

	self.TitleLable = createLabel({text=[[Text Label]], font=getFont(), size=40})
	setValue(self.TitleLable, "TitleLable", 452, cc.size(182, 45), cc.p(300, 241.98), nil, nil, nil, nil, nil)
	self.TitleLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.mainPanel_2, self.TitleLable)

	self.Image = ccui.ImageView:create()
	setValue(self.Image, "TXN_Image", 301, cc.size(640, 90), cc.p(320, -144.96), nil, nil, nil, nil, false)
	self.Image:loadTexture("ccs/UiImages/newactivity/newactivity_img_jinbi.png", 1)
	self.Image:setScale9Enabled(true)
	self.Image:setCapInsets(cc.rect(0, 0, 640, 90))
	addChildForPre(self.rootPanel_1, self.Image)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/BigImages/background/newactivity_bag02.jpg",
	"ccs/BigImages/ship_main/5_rb_zl_hnec_zhu.png",
	"ccs/BigImages/userHead/userHead_img_meizi02.png",
	"ccs/plist/newactivity.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/icon.plist",
	"ccs/plist/mainUiFeeling.plist",
}

return _M
