-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 238, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "WIX_bgImage", 239, cc.size(640, 765), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/BigImages/background/newactivity_bag02.webp")
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(0, 0, 640, 765))
	addChildForPre(self.rootPanel_1, self.bgImage)

	self.Listview = ccui.Layout:create()
	setValue(self.Listview, "WIX_Listview", 42, cc.size(640, 282), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Listview)

	self.Sprite = cc.Sprite:create()
	setValue(self.Sprite, "TXN_Sprite", 240, cc.size(529, 86), cc.p(326.7654, 711.3958), nil, nil, nil, nil, nil)
	self.Sprite:setSpriteFrame("ccs/UiImages/newactivity/newactivity_title.png")
	addChildForPre(self.rootPanel_1, self.Sprite)

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "TXN_Panel", 13, cc.size(640, 400), cc.p(320, 278.4), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Panel)
	self.Panel_2 = self.Panel

	self.bgImage2 = ccui.ImageView:create()
	setValue(self.bgImage2, "bgImage2", 241, cc.size(620, 400), cc.p(320, 200), nil, nil, nil, nil, false)
	self.bgImage2:loadTexture("ccs/UiImages/newactivity/newactivity_9dia.png", 1)
	self.bgImage2:setScale9Enabled(true)
	self.bgImage2:setCapInsets(cc.rect(30, 30, 76, 193))
	addChildForPre(self.Panel_2, self.bgImage2)

	self.Image3 = ccui.ImageView:create()
	setValue(self.Image3, "Image3", 1219, cc.size(130, 30), cc.p(111.7145, 335.1431), nil, nil, nil, nil, false)
	self.Image3:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.Image3:setScale9Enabled(true)
	self.Image3:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.Panel_2, self.Image3)

	self.Image1 = ccui.ImageView:create()
	setValue(self.Image1, "Image1", 1220, cc.size(130, 30), cc.p(111.7145, 266.0004), nil, nil, nil, nil, false)
	self.Image1:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.Image1:setScale9Enabled(true)
	self.Image1:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.Panel_2, self.Image1)

	self.Image2 = ccui.ImageView:create()
	setValue(self.Image2, "Image2", 1221, cc.size(130, 30), cc.p(111.7145, 191.9286), nil, nil, nil, nil, false)
	self.Image2:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.Image2:setScale9Enabled(true)
	self.Image2:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.Panel_2, self.Image2)

	self.chargeButton = ccui.Button:create()
	setValue(self.chargeButton, "chargeButton", 43, cc.size(153, 64), cc.p(-207.616, 195.2), nil, nil, nil, nil, false)
	self.chargeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_yellow_0.png", 1)
	self.chargeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_yellow_1.png", 1)
	self.chargeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.chargeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.chargeButton:setTitleText([[charge]])
	self.chargeButton:setTitleColor(cc.c3b(251, 251, 251))
	self.chargeButton:setTitleFontSize(24)
	self.chargeButton:setTitleFontName(getFont())
	setClickEvent(self, self.chargeButton, "chargeButton")
	addChildForPre(self.Panel_2, self.chargeButton)

	self.tanknameLable = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.tanknameLable, "tanknameLable", 380, cc.size(91, 23), cc.p(-217, 269.3784), nil, cc.c4b(255, 144, 0, 255), nil, nil, nil)
	self.tanknameLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.tanknameLable:setColor(cc.c4b(255, 144, 0, 255))
	addChildForPre(self.Panel_2, self.tanknameLable)

	self.active_content = createLabel({text=[[活动内容*]], font=getFont(), size=25,align = 1})
	setValue(self.active_content, "active_content", 145, cc.size(109, 29), cc.p(111.7145, 264.6), nil, nil, nil, nil, nil)
	self.active_content:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_2, self.active_content)

	self.active_timeTitle = createLabel({text=[[Text Label]], font=getFont(), size=25,align = 1})
	setValue(self.active_timeTitle, "active_timeTitle", 44, cc.size(113, 29), cc.p(111.7145, 338.64), nil, nil, nil, nil, nil)
	self.active_timeTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_2, self.active_timeTitle)

	self.active_time = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.active_time, "active_time", 45, cc.size(109, 28), cc.p(204.416, 336.84), cc.p(0, 0.5), nil, nil, nil, nil)
	self.active_time:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_2, self.active_time)

	self.chargenumtitle = createLabel({text=[[Text Label]], font=getFont(), size=25,align = 1})
	setValue(self.chargenumtitle, "chargenumtitle", 46, cc.size(113, 29), cc.p(111.7145, 190.56), nil, nil, nil, nil, nil)
	self.chargenumtitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_2, self.chargenumtitle)

	self.activityDescLabel = createLabel({text=[[Text Label]], font=getFont(), size=24, dimensions = cc.size(380.0000, 100.0000)})
	setValue(self.activityDescLabel, "activityDescLabel", 51, cc.size(380, 100), cc.p(204.416, 279.08), cc.p(0, 1), nil, nil, nil, false)
	self.activityDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_2, self.activityDescLabel)

	self.tankimg = ccui.ImageView:create()
	setValue(self.tankimg, "tankimg", 119, cc.size(481, 222), cc.p(262.1733, 190.5765), cc.p(0.5, 1), nil, nil, nil, nil)
	self.tankimg:setScale(0.8)
	self.tankimg:loadTexture("ccs/UiImages/newactivity/newactivity_ship.png", 1)
	addChildForPre(self.Panel_2, self.tankimg)

	self.alltimeLableTitle = createLabel({text=[[剩余时间:]], font=getFont(), size=22})
	setValue(self.alltimeLableTitle, "alltimeLableTitle", 368, cc.size(94, 26), cc.p(313.9893, 300.4894), cc.p(1, 0.5), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.alltimeLableTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.alltimeLableTitle:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.Panel_2, self.alltimeLableTitle)

	self.alltimeLable = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.alltimeLable, "alltimeLable", 369, cc.size(109, 28), cc.p(323.2238, 300.4894), cc.p(0, 0.5), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.alltimeLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.alltimeLable:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.Panel_2, self.alltimeLable)

	self.getPaperButton = ccui.Button:create()
	setValue(self.getPaperButton, "getPaperButton", 152, cc.size(153, 64), cc.p(531.328, 131.16), nil, nil, nil, nil, false)
	self.getPaperButton:loadTextureNormal("ccs/UiImages/image9/common_btn_yellow_0.png", 1)
	self.getPaperButton:loadTexturePressed("ccs/UiImages/image9/common_btn_yellow_1.png", 1)
	self.getPaperButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.getPaperButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.getPaperButton:setTitleText([[Button]])
	self.getPaperButton:setTitleColor(cc.c3b(251, 251, 251))
	self.getPaperButton:setTitleFontSize(24)
	self.getPaperButton:setTitleFontName(getFont())
	setClickEvent(self, self.getPaperButton, "getPaperButton")
	addChildForPre(self.Panel_2, self.getPaperButton)

	self.activityDescLabel1 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.activityDescLabel1, "activityDescLabel1", 379, cc.size(109, 28), cc.p(-275.7468, 316.2281), cc.p(0, 0.5), nil, nil, nil, nil)
	self.activityDescLabel1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_2, self.activityDescLabel1)

	self.shipNameLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.shipNameLabel, "shipNameLabel", 2407, cc.size(109, 28), cc.p(327.9205, 184.4556), nil, nil, nil, nil, nil)
	self.shipNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_2, self.shipNameLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/BigImages/background/newactivity_bag02.jpg",
	"ccs/plist/newactivity.plist",
	"ccs/plist/mainUiFeeling.plist",
	"ccs/plist/image9.plist",
}

return _M
