-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 8, cc.size(640, 200), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.Image1 = ccui.ImageView:create()
	setValue(self.Image1, "Image1", 113, cc.size(620, 168), cc.p(320, 88), nil, nil, nil, nil, false)
	self.Image1:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.Image1:setScale9Enabled(true)
	self.Image1:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.rootPanel_1, self.Image1)

	self.GetButton = ccui.Button:create()
	setValue(self.GetButton, "GetButton", 11, cc.size(153, 64), cc.p(516.288, 89.24), nil, nil, nil, nil, false)
	self.GetButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.GetButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.GetButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.GetButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.GetButton:setTitleText([[Button]])
	self.GetButton:setTitleFontSize(25)
	self.GetButton:setTitleFontName(getFont())
	setClickEvent(self, self.GetButton, "GetButton")
	addChildForPre(self.rootPanel_1, self.GetButton)

	self.bgImage1 = ccui.ImageView:create()
	setValue(self.bgImage1, "bgImage1", 2672, cc.size(400, 137), cc.p(232.256, 8), cc.p(0.5, 0), nil, nil, nil, false)
	self.bgImage1:loadTexture("ccs/UiImages/newactivity/newactivity_9dib.png", 1)
	self.bgImage1:setScale9Enabled(true)
	self.bgImage1:setCapInsets(cc.rect(30, 30, 19, 112))
	addChildForPre(self.rootPanel_1, self.bgImage1)

	self.rewardPanel = ccui.Layout:create()
	setValue(self.rewardPanel, "rewardPanel", 397, cc.size(400, 130), cc.p(32.256, 76), cc.p(0, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.rewardPanel)

	self.Sprite1 = cc.Sprite:create()
	setValue(self.Sprite1, "Sprite1", 2143, cc.size(170, 43), cc.p(96.3945, 168.1788), nil, nil, nil, nil, nil)
	self.Sprite1:setSpriteFrame("ccs/UiImages/newactivity/newactivity_yeqian.png")
	addChildForPre(self.rootPanel_1, self.Sprite1)

	self.TitleLabel = createLabel({text=[[Text Label]], font=getFont(), size=25})
	setValue(self.TitleLabel, "TitleLabel", 9, cc.size(113, 29), cc.p(30.72, 167.28), cc.p(0, 0.5), nil, nil, nil, nil)
	self.TitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.TitleLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/battle.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/common.plist",
	"ccs/plist/newactivity.plist",
}

return _M
