-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 28, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 78, cc.size(640, 187), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 187, cc.size(622, 180), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/newactivity/newactivity_9dib.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(30, 30, 19, 112))
	addChildForPre(self.rootPanel_1, self.bgImage)

	self.getButton = ccui.Button:create()
	setValue(self.getButton, "getButton", 79, cc.size(98, 51), cc.p(581.76, 83.5329), nil, nil, nil, nil, false)
	self.getButton:setScale(0.8)
	self.getButton:loadTextureNormal("ccs/UiImages/image9/CommonPanel_btn_smallblue_0.png", 1)
	self.getButton:loadTexturePressed("ccs/UiImages/image9/CommonPanel_btn_smallblue_1.png", 1)
	self.getButton:loadTextureDisabled("ccs/UiImages/image9/CommonPanel_btn_small_2.png", 1)
	self.getButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.getButton:setTitleText([[Button]])
	self.getButton:setTitleFontSize(25)
	self.getButton:setTitleFontName(getFont())
	setClickEvent(self, self.getButton, "getButton")
	addChildForPre(self.rootPanel_1, self.getButton)

	self.acctitle1 = createLabel({text=[[累计大充值]], font=getFont(), size=24})
	setValue(self.acctitle1, "acctitle1", 65, cc.size(120, 28), cc.p(26.304, 160.9696), cc.p(0, 0.5), nil, nil, nil, nil)
	self.acctitle1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.acctitle1)

	self.needPanel = ccui.Layout:create()
	setValue(self.needPanel, "needPanel", 51, cc.size(515, 140), cc.p(13.8805, 5.6319), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.needPanel)
	self.needPanel_2 = self.needPanel

	self.needBgImage = ccui.ImageView:create()
	setValue(self.needBgImage, "needBgImage", 212, cc.size(540.75, 151.2), cc.p(265.225, 70), nil, nil, nil, nil, false)
	self.needBgImage:setVisible(false)
	self.needBgImage:loadTexture("ccs/UiImages/newactivity/newactivity_orange.png", 1)
	self.needBgImage:setScale9Enabled(true)
	self.needBgImage:setCapInsets(cc.rect(20, 20, 30, 54))
	addChildForPre(self.needPanel_2, self.needBgImage)

	self.spritequality1 = cc.Sprite:create()
	setValue(self.spritequality1, "spritequality1", 392, cc.size(100, 100), cc.p(33.9999, 105.5396), nil, nil, nil, nil, nil)
	self.spritequality1:setScale(0.5)
	self.spritequality1:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.needPanel_2, self.spritequality1)

	self.spritequality2 = cc.Sprite:create()
	setValue(self.spritequality2, "spritequality2", 393, cc.size(100, 100), cc.p(155.2061, 105.5395), nil, nil, nil, nil, nil)
	self.spritequality2:setScale(0.5)
	self.spritequality2:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.needPanel_2, self.spritequality2)

	self.spritequality3 = cc.Sprite:create()
	setValue(self.spritequality3, "spritequality3", 394, cc.size(100, 100), cc.p(280.2858, 105.5395), nil, nil, nil, nil, nil)
	self.spritequality3:setScale(0.5)
	self.spritequality3:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.needPanel_2, self.spritequality3)

	self.spritequality4 = cc.Sprite:create()
	setValue(self.spritequality4, "spritequality4", 395, cc.size(100, 100), cc.p(33.9677, 32.5623), nil, nil, nil, nil, nil)
	self.spritequality4:setScale(0.5)
	self.spritequality4:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.needPanel_2, self.spritequality4)

	self.spritequality5 = cc.Sprite:create()
	setValue(self.spritequality5, "spritequality5", 396, cc.size(100, 100), cc.p(155.206, 32.5623), nil, nil, nil, nil, nil)
	self.spritequality5:setScale(0.5)
	self.spritequality5:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.needPanel_2, self.spritequality5)

	self.spriteIcon1 = cc.Sprite:create()
	setValue(self.spriteIcon1, "spriteIcon1", 60, cc.size(100, 100), cc.p(34, 105.5396), nil, nil, nil, nil, nil)
	self.spriteIcon1:setScale(0.5)
	self.spriteIcon1:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.needPanel_2, self.spriteIcon1)

	self.spriteIcon2 = cc.Sprite:create()
	setValue(self.spriteIcon2, "spriteIcon2", 61, cc.size(100, 100), cc.p(155.2061, 105.5396), nil, nil, nil, nil, nil)
	self.spriteIcon2:setScale(0.5)
	self.spriteIcon2:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.needPanel_2, self.spriteIcon2)

	self.spriteIcon3 = cc.Sprite:create()
	setValue(self.spriteIcon3, "spriteIcon3", 62, cc.size(100, 100), cc.p(280.2858, 105.5396), nil, nil, nil, nil, nil)
	self.spriteIcon3:setScale(0.5)
	self.spriteIcon3:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.needPanel_2, self.spriteIcon3)

	self.spriteIcon4 = cc.Sprite:create()
	setValue(self.spriteIcon4, "spriteIcon4", 63, cc.size(100, 100), cc.p(33.9677, 32.5624), nil, nil, nil, nil, nil)
	self.spriteIcon4:setScale(0.5)
	self.spriteIcon4:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.needPanel_2, self.spriteIcon4)

	self.spriteIcon5 = cc.Sprite:create()
	setValue(self.spriteIcon5, "spriteIcon5", 64, cc.size(100, 100), cc.p(155.206, 32.5624), nil, nil, nil, nil, nil)
	self.spriteIcon5:setScale(0.5)
	self.spriteIcon5:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.needPanel_2, self.spriteIcon5)

	self.itemNum3 = createLabel({text=[[21*]], font=getFont(), size=20})
	setValue(self.itemNum3, "itemNum3", 77, cc.size(30, 23), cc.p(324.9635, 105.5396), nil, nil, nil, nil, nil)
	self.itemNum3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.needPanel_2, self.itemNum3)

	self.itemNum2 = createLabel({text=[[21*]], font=getFont(), size=20})
	setValue(self.itemNum2, "itemNum2", 76, cc.size(30, 23), cc.p(199.7519, 105.5396), nil, nil, nil, nil, nil)
	self.itemNum2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.needPanel_2, self.itemNum2)

	self.itemNum1 = createLabel({text=[[21*]], font=getFont(), size=20})
	setValue(self.itemNum1, "itemNum1", 71, cc.size(30, 23), cc.p(77.0081, 105.5396), nil, nil, nil, nil, nil)
	self.itemNum1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.needPanel_2, self.itemNum1)

	self.itemNum4 = createLabel({text=[[21*]], font=getFont(), size=20})
	setValue(self.itemNum4, "itemNum4", 78, cc.size(30, 23), cc.p(76.3737, 32.5624), nil, nil, nil, nil, nil)
	self.itemNum4:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.needPanel_2, self.itemNum4)

	self.itemNum5 = createLabel({text=[[21*]], font=getFont(), size=20})
	setValue(self.itemNum5, "itemNum5", 79, cc.size(30, 23), cc.p(199.7519, 32.5624), nil, nil, nil, nil, nil)
	self.itemNum5:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.needPanel_2, self.itemNum5)

	self.plus1 = createLabel({text=[[+]], font=getFont(), size=48})
	setValue(self.plus1, "plus1", 1790, cc.size(28, 54), cc.p(112.4947, 107.6553), nil, cc.c4b(255, 192, 0, 255), nil, nil, nil)
	self.plus1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.plus1:setColor(cc.c4b(255, 192, 0, 255))
	addChildForPre(self.needPanel_2, self.plus1)

	self.plus2 = createLabel({text=[[+]], font=getFont(), size=48})
	setValue(self.plus2, "plus2", 1888, cc.size(28, 54), cc.p(234.5582, 106.6497), nil, cc.c4b(255, 192, 0, 255), nil, nil, nil)
	self.plus2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.plus2:setColor(cc.c4b(255, 192, 0, 255))
	addChildForPre(self.needPanel_2, self.plus2)

	self.plus3 = createLabel({text=[[+]], font=getFont(), size=48})
	setValue(self.plus3, "plus3", 1889, cc.size(28, 54), cc.p(356.0385, 105.6442), nil, cc.c4b(255, 192, 0, 255), nil, nil, nil)
	self.plus3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.plus3:setColor(cc.c4b(255, 192, 0, 255))
	addChildForPre(self.needPanel_2, self.plus3)

	self.plus4 = createLabel({text=[[+]], font=getFont(), size=48})
	setValue(self.plus4, "plus4", 1890, cc.size(28, 54), cc.p(107.3965, 31.4229), nil, cc.c4b(255, 192, 0, 255), nil, nil, nil)
	self.plus4:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.plus4:setColor(cc.c4b(255, 192, 0, 255))
	addChildForPre(self.needPanel_2, self.plus4)

	self.rewardListView = ccui.Layout:create()
	setValue(self.rewardListView, "rewardListView", 80, cc.size(100, 150), cc.p(413.0001, 12.7553), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.rewardListView)
	self.rewardListView_2 = self.rewardListView

	self.signLabel = createLabel({text=[[=]], font=getFont(), size=48})
	setValue(self.signLabel, "signLabel", 1892, cc.size(28, 54), cc.p(1.2879, 73.2406), nil, cc.c4b(255, 192, 0, 255), nil, nil, nil)
	self.signLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.signLabel:setColor(cc.c4b(255, 192, 0, 255))
	addChildForPre(self.rewardListView_2, self.signLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/newactivity.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/commonBg.plist",
}

return _M
