-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 97, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bgPanel = ccui.Layout:create()
	setValue(self.bgPanel, "STX_bgPanel", 61, cc.size(640, 960), cc.p(320, 765), cc.p(0.5, 1), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.bgPanel)
	self.bgPanel_2 = self.bgPanel

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "Panel", 62, cc.size(200, 200), cc.p(320, 960), cc.p(0.5, 1), nil, nil, nil, nil)
	self.Panel:setScale(0.86)
	addChildForPre(self.bgPanel_2, self.Panel)
	self.Panel_3 = self.Panel

	self.treasure = cc.Sprite:create()
	setValue(self.treasure, "treasure", 63, cc.size(750, 1106), cc.p(100, -352), nil, nil, nil, nil, nil)
	self.treasure:setTexture("ccs/BigImages/background/treasure.webp")
	addChildForPre(self.Panel_3, self.treasure)

	self.labelPanel = ccui.Layout:create()
	setValue(self.labelPanel, "TXN_labelPanel", 13, cc.size(600, 253), cc.p(19.2, 412.8), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.labelPanel)
	self.labelPanel_2 = self.labelPanel

	self.Image1 = ccui.ImageView:create()
	setValue(self.Image1, "Image1", 1217, cc.size(130, 30), cc.p(91.1786, 211.9282), nil, nil, nil, nil, false)
	self.Image1:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.Image1:setScale9Enabled(true)
	self.Image1:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.labelPanel_2, self.Image1)

	self.Image2 = ccui.ImageView:create()
	setValue(self.Image2, "Image2", 1218, cc.size(130, 30), cc.p(91.1786, 148.9033), nil, nil, nil, nil, false)
	self.Image2:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.Image2:setScale9Enabled(true)
	self.Image2:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.labelPanel_2, self.Image2)

	self.chargeButton = ccui.Button:create()
	setValue(self.chargeButton, "chargeButton", 43, cc.size(153, 64), cc.p(-188.76, 116.6077), nil, nil, nil, nil, false)
	self.chargeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.chargeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.chargeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.chargeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.chargeButton:setTitleText([[charge]])
	self.chargeButton:setTitleColor(cc.c3b(251, 251, 251))
	self.chargeButton:setTitleFontSize(24)
	self.chargeButton:setTitleFontName(getFont())
	setClickEvent(self, self.chargeButton, "chargeButton")
	addChildForPre(self.labelPanel_2, self.chargeButton)

	self.active_content = createLabel({text=[[活动内容*]], font=getFont(), size=24,align = 1})
	setValue(self.active_content, "active_content", 145, cc.size(105, 28), cc.p(91.1786, 148.9033), nil, nil, nil, nil, nil)
	self.active_content:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_2, self.active_content)

	self.active_timeTitle = createLabel({text=[[Text Label]], font=getFont(), size=24,align = 1})
	setValue(self.active_timeTitle, "active_timeTitle", 44, cc.size(109, 28), cc.p(91.1786, 213.9366), nil, nil, nil, nil, nil)
	self.active_timeTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_2, self.active_timeTitle)

	self.active_time = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.active_time, "active_time", 45, cc.size(109, 28), cc.p(164.2667, 213.9366), cc.p(0, 0.5), nil, nil, nil, nil)
	self.active_time:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_2, self.active_time)

	self.activityDescLabel = createLabel({text=[[Text Label]], font=getFont(), size=24, dimensions = cc.size(410.0000, 90.0000)})
	setValue(self.activityDescLabel, "activityDescLabel", 51, cc.size(410, 90), cc.p(164.2667, 161.8943), cc.p(0, 1), nil, nil, nil, false)
	self.activityDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_2, self.activityDescLabel)

	self.alltimeLableTitle = createLabel({text=[[剩余时间:]], font=getFont(), size=22})
	setValue(self.alltimeLableTitle, "alltimeLableTitle", 368, cc.size(94, 26), cc.p(287.6842, 181.8479), cc.p(1, 0.5), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.alltimeLableTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.alltimeLableTitle:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.labelPanel_2, self.alltimeLableTitle)

	self.alltimeLable = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.alltimeLable, "alltimeLable", 369, cc.size(109, 28), cc.p(294.9575, 181.008), cc.p(0, 0.5), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.alltimeLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.alltimeLable:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.labelPanel_2, self.alltimeLable)

	self.spritequality1 = cc.Sprite:create()
	setValue(self.spritequality1, "spritequality1", 397, cc.size(100, 100), cc.p(71.7, 67.7787), nil, nil, nil, nil, nil)
	self.spritequality1:setScale(0.5)
	self.spritequality1:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.labelPanel_2, self.spritequality1)

	self.spritequality2 = cc.Sprite:create()
	setValue(self.spritequality2, "spritequality2", 398, cc.size(100, 100), cc.p(175.56, 67.7787), nil, nil, nil, nil, nil)
	self.spritequality2:setScale(0.5)
	self.spritequality2:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.labelPanel_2, self.spritequality2)

	self.spritequality3 = cc.Sprite:create()
	setValue(self.spritequality3, "spritequality3", 399, cc.size(100, 100), cc.p(279.42, 67.7787), nil, nil, nil, nil, nil)
	self.spritequality3:setScale(0.5)
	self.spritequality3:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.labelPanel_2, self.spritequality3)

	self.spritequality4 = cc.Sprite:create()
	setValue(self.spritequality4, "spritequality4", 400, cc.size(100, 100), cc.p(383.28, 67.7787), nil, nil, nil, nil, nil)
	self.spritequality4:setScale(0.5)
	self.spritequality4:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.labelPanel_2, self.spritequality4)

	self.spritequality5 = cc.Sprite:create()
	setValue(self.spritequality5, "spritequality5", 401, cc.size(100, 100), cc.p(487.08, 67.7787), nil, nil, nil, nil, nil)
	self.spritequality5:setScale(0.5)
	self.spritequality5:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.labelPanel_2, self.spritequality5)

	self.spriteicon1 = cc.Sprite:create()
	setValue(self.spriteicon1, "spriteicon1", 48, cc.size(100, 100), cc.p(71.7, 67.7787), nil, nil, nil, nil, nil)
	self.spriteicon1:setScale(0.5)
	self.spriteicon1:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.labelPanel_2, self.spriteicon1)

	self.spriteicon2 = cc.Sprite:create()
	setValue(self.spriteicon2, "spriteicon2", 49, cc.size(100, 100), cc.p(175.56, 67.7787), nil, nil, nil, nil, nil)
	self.spriteicon2:setScale(0.5)
	self.spriteicon2:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.labelPanel_2, self.spriteicon2)

	self.spriteicon3 = cc.Sprite:create()
	setValue(self.spriteicon3, "spriteicon3", 50, cc.size(100, 100), cc.p(279.42, 67.7787), nil, nil, nil, nil, nil)
	self.spriteicon3:setScale(0.5)
	self.spriteicon3:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.labelPanel_2, self.spriteicon3)

	self.spriteicon4 = cc.Sprite:create()
	setValue(self.spriteicon4, "spriteicon4", 51, cc.size(100, 100), cc.p(383.28, 67.7787), nil, nil, nil, nil, nil)
	self.spriteicon4:setScale(0.5)
	self.spriteicon4:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.labelPanel_2, self.spriteicon4)

	self.spriteicon5 = cc.Sprite:create()
	setValue(self.spriteicon5, "spriteicon5", 52, cc.size(100, 100), cc.p(487.08, 67.7787), nil, nil, nil, nil, nil)
	self.spriteicon5:setScale(0.5)
	self.spriteicon5:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.labelPanel_2, self.spriteicon5)

	self.itemnum1 = createLabel({text=[[999]], font=getFont(), size=24})
	setValue(self.itemnum1, "itemnum1", 54, cc.size(40, 28), cc.p(96.9, 67.7787), cc.p(0, 0.5), nil, nil, nil, nil)
	self.itemnum1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_2, self.itemnum1)

	self.itemnum4 = createLabel({text=[[22]], font=getFont(), size=24})
	setValue(self.itemnum4, "itemnum4", 55, cc.size(26, 28), cc.p(408, 67.7787), cc.p(0, 0.5), nil, nil, nil, nil)
	self.itemnum4:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_2, self.itemnum4)

	self.itemnum5 = createLabel({text=[[999]], font=getFont(), size=24})
	setValue(self.itemnum5, "itemnum5", 56, cc.size(40, 28), cc.p(513.9, 67.7787), cc.p(0, 0.5), nil, nil, nil, nil)
	self.itemnum5:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_2, self.itemnum5)

	self.itemnum2 = createLabel({text=[[999]], font=getFont(), size=24})
	setValue(self.itemnum2, "itemnum2", 57, cc.size(40, 28), cc.p(206.04, 67.7787), cc.p(0, 0.5), nil, nil, nil, nil)
	self.itemnum2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_2, self.itemnum2)

	self.itemnum3 = createLabel({text=[[22]], font=getFont(), size=24})
	setValue(self.itemnum3, "itemnum3", 58, cc.size(26, 28), cc.p(306, 67.7787), cc.p(0, 0.5), nil, nil, nil, nil)
	self.itemnum3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_2, self.itemnum3)

	self.infoButton = ccui.Button:create()
	self.infoButton:setScale9Enabled(true)
	self.infoButton:setCapInsets(cc.rect(0, 0, 81, 26))
	self.infoButton:setContentSize(cc.size(80, 30))
	setValue(self.infoButton, "infoButton", 59, nil, cc.p(-203.76, 178.2132), nil, nil, nil, nil, false)
	self.infoButton:loadTextureNormal("ccs/UiImages/image9/Underline.png", 1)
	self.infoButton:loadTexturePressed("ccs/UiImages/image9/Underline.png", 1)
	self.infoButton:loadTextureDisabled("ccs/UiImages/image9/Underline.png", 1)
	self.infoButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.infoButton:setTitleText([[Button]])
	self.infoButton:setTitleFontSize(25)
	self.infoButton:setTitleFontName(getFont())
	setClickEvent(self, self.infoButton, "infoButton")
	addChildForPre(self.labelPanel_2, self.infoButton)

	self.Listview = ccui.Layout:create()
	setValue(self.Listview, "WIX_Listview", 42, cc.size(640, 408), cc.p(320, 9.6), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Listview)

	self.titleSprite = cc.Sprite:create()
	setValue(self.titleSprite, "TXN_titleSprite", 32, cc.size(529, 86), cc.p(320, 717.2017), nil, nil, nil, nil, nil)
	self.titleSprite:setSpriteFrame("ccs/UiImages/newactivity/newactivity_title.png")
	addChildForPre(self.rootPanel_1, self.titleSprite)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/BigImages/background/treasure.jpg",
	"ccs/plist/mainUiFeeling.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/commonBg.plist",
	"ccs/plist/newactivity.plist",
}

return _M
