-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 494, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 428, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "WIX_Panel", 429, cc.size(640, 765), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Panel)
	self.Panel_2 = self.Panel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "TXN_bgImage", 430, cc.size(640, 765), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/BigImages/background/newactivity_bag02.webp")
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(0, 0, 640, 765))
	addChildForPre(self.Panel_2, self.bgImage)

	self.sprite2 = cc.Sprite:create()
	setValue(self.sprite2, "TXN_sprite2", 431, cc.size(588, 61), cc.p(320, 749.7), nil, nil, 127, nil, nil)
	self.sprite2:setSpriteFrame("ccs/UiImages/newactivity/newactivity_ing_zhuangshi.png")
	addChildForPre(self.Panel_2, self.sprite2)

	self.sprite1 = cc.Sprite:create()
	setValue(self.sprite1, "TXN_sprite1", 432, cc.size(529, 86), cc.p(319.9998, 703.8), nil, nil, nil, nil, nil)
	self.sprite1:setSpriteFrame("ccs/UiImages/newactivity/newactivity_title.png")
	addChildForPre(self.Panel_2, self.sprite1)

	self.labelPanel = ccui.Layout:create()
	setValue(self.labelPanel, "TXN_labelPanel", 445, cc.size(640, 253), cc.p(320, 413.1), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.labelPanel)
	self.labelPanel_3 = self.labelPanel

	self.labelbgImage = ccui.ImageView:create()
	setValue(self.labelbgImage, "labelbgImage", 427, cc.size(640, 253), cc.p(320, 126.5), nil, nil, nil, nil, false)
	self.labelbgImage:loadTexture("ccs/UiImages/newactivity/newactivity_9dia.png", 1)
	self.labelbgImage:setScale9Enabled(true)
	self.labelbgImage:setCapInsets(cc.rect(30, 30, 76, 193))
	addChildForPre(self.labelPanel_3, self.labelbgImage)

	self.bg1Image = ccui.ImageView:create()
	setValue(self.bg1Image, "bg1Image", 1001, cc.size(189, 40), cc.p(91.9999, 198.7856), nil, nil, nil, nil, nil)
	self.bg1Image:loadTexture("ccs/UiImages/newactivity/newactivity_chendi.png", 1)
	addChildForPre(self.labelPanel_3, self.bg1Image)

	self.bg2Image = ccui.ImageView:create()
	setValue(self.bg2Image, "bg2Image", 1003, cc.size(189, 40), cc.p(91.9999, 127.8572), nil, nil, nil, nil, nil)
	self.bg2Image:loadTexture("ccs/UiImages/newactivity/newactivity_chendi.png", 1)
	addChildForPre(self.labelPanel_3, self.bg2Image)

	self.bg3Image = ccui.ImageView:create()
	setValue(self.bg3Image, "bg3Image", 1002, cc.size(189, 40), cc.p(91.9999, 54.0713), nil, nil, nil, nil, nil)
	self.bg3Image:loadTexture("ccs/UiImages/newactivity/newactivity_chendi.png", 1)
	addChildForPre(self.labelPanel_3, self.bg3Image)

	self.active_timeTitle = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.active_timeTitle, "active_timeTitle", 500, cc.size(109, 28), cc.p(89.6107, 200.5735), nil, nil, nil, nil, nil)
	self.active_timeTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_3, self.active_timeTitle)

	self.active_content = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.active_content, "active_content", 501, cc.size(109, 28), cc.p(89.6107, 127.298), nil, nil, nil, nil, nil)
	self.active_content:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_3, self.active_content)

	self.active_time = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.active_time, "active_time", 502, cc.size(109, 28), cc.p(172.928, 200.5784), cc.p(0, 0.5), nil, nil, nil, nil)
	self.active_time:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_3, self.active_time)

	self.activityDescLabel = createLabel({text=[[Text Label]], font=getFont(), size=24, dimensions = cc.size(377.0000, 100.0000)})
	setValue(self.activityDescLabel, "activityDescLabel", 503, cc.size(377, 100), cc.p(172.928, 141.3005), cc.p(0, 1), nil, nil, nil, false)
	self.activityDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_3, self.activityDescLabel)

	self.GoToShopButton = ccui.Button:create()
	setValue(self.GoToShopButton, "GoToShopButton", 505, cc.size(153, 64), cc.p(536.32, 45.1858), nil, nil, nil, nil, false)
	self.GoToShopButton:loadTextureNormal("ccs/UiImages/image9/common_btn_yellow_0.png", 1)
	self.GoToShopButton:loadTexturePressed("ccs/UiImages/image9/common_btn_yellow_1.png", 1)
	self.GoToShopButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.GoToShopButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.GoToShopButton:setTitleText([[Button]])
	self.GoToShopButton:setTitleColor(cc.c3b(255, 255, 240))
	self.GoToShopButton:setTitleFontSize(24)
	self.GoToShopButton:setTitleFontName(getFont())
	setClickEvent(self, self.GoToShopButton, "GoToShopButton")
	addChildForPre(self.labelPanel_3, self.GoToShopButton)

	self.alltimeLableTitle = createLabel({text=[[剩余时间:]], font=getFont(), size=24})
	setValue(self.alltimeLableTitle, "alltimeLableTitle", 506, cc.size(102, 28), cc.p(275.3616, 162.4894), nil, cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.alltimeLableTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.alltimeLableTitle:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.labelPanel_3, self.alltimeLableTitle)

	self.alltimeLable = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.alltimeLable, "alltimeLable", 507, cc.size(109, 28), cc.p(337, 163.5099), cc.p(0, 0.5), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.alltimeLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.alltimeLable:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.labelPanel_3, self.alltimeLable)

	self.rankTitle = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.rankTitle, "rankTitle", 575, cc.size(109, 28), cc.p(89.6107, 54.0224), nil, nil, nil, nil, nil)
	self.rankTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_3, self.rankTitle)

	self.ranknumLable = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.ranknumLable, "ranknumLable", 576, cc.size(109, 28), cc.p(172.9132, 54.0224), cc.p(0, 0.5), cc.c4b(255, 217, 48, 255), nil, nil, nil)
	self.ranknumLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.ranknumLable:setColor(cc.c4b(255, 217, 48, 255))
	addChildForPre(self.labelPanel_3, self.ranknumLable)

	self.infoPanel = ccui.Layout:create()
	setValue(self.infoPanel, "WIX_infoPanel", 446, cc.size(640, 408), cc.p(320, 7.65), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.infoPanel)

	self.sprite3 = cc.Sprite:create()
	setValue(self.sprite3, "BWX_sprite3", 533, cc.size(640, 8), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	self.sprite3:setSpriteFrame("ccs/UiImages/image9/common_img_jiemian02.png")
	addChildForPre(self.Panel_2, self.sprite3)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/BigImages/background/newactivity_bag02.jpg",
	"ccs/plist/newactivity.plist",
	"ccs/plist/image9.plist",
}

return _M
