-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 3, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 81, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 102, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.topPanel = ccui.Layout:create()
	setValue(self.topPanel, "WTX_topPanel", 143, cc.size(640, 108), cc.p(320, 890), cc.p(0.5, 1), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.topPanel)
	self.topPanel_3 = self.topPanel

	self.topSp = cc.Sprite:create()
	setValue(self.topSp, "topSp", 217, cc.size(640, 108), cc.p(320, 108), cc.p(0.5, 1), nil, nil, nil, nil)
	self.topSp:setSpriteFrame("ccs/UiImages/commonBg/common_img_juntuanvs.png")
	addChildForPre(self.topPanel_3, self.topSp)
	self.topSp_4 = self.topSp

	self.TimeLable = createLabel({text=[[军团名字加人数]], font=getFont(), size=18})
	setValue(self.TimeLable, "TimeLable", 87, cc.size(126, 21), cc.p(320, 41.1156), nil, nil, nil, nil, nil)
	self.TimeLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.topSp_4, self.TimeLable)

	self.TimeFont = createLabel({text=[[time]], font=getFont(), size=30})
	setValue(self.TimeFont, "TimeFont", 88, cc.size(56, 34), cc.p(320, 28.08), nil, nil, nil, nil, nil)
	self.TimeFont:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.topSp_4, self.TimeFont)

	self.leftAllianceIconSp = cc.Sprite:create()
	setValue(self.leftAllianceIconSp, "leftAllianceIconSp", 1338, cc.size(100, 100), cc.p(236.8, 59.4), nil, nil, nil, nil, nil)
	self.leftAllianceIconSp:setScale(0.8)
	self.leftAllianceIconSp:setSpriteFrame("ccs/UiImages/icon/legion_01.png")
	addChildForPre(self.topSp_4, self.leftAllianceIconSp)

	self.rightAllianceIconSp = cc.Sprite:create()
	setValue(self.rightAllianceIconSp, "rightAllianceIconSp", 1339, cc.size(100, 100), cc.p(403.2, 59.4), nil, nil, nil, nil, nil)
	self.rightAllianceIconSp:setScale(0.8)
	self.rightAllianceIconSp:setSpriteFrame("ccs/UiImages/icon/legion_01.png")
	addChildForPre(self.topSp_4, self.rightAllianceIconSp)

	self.leftPanel = ccui.Layout:create()
	setValue(self.leftPanel, "leftPanel", 1452, cc.size(196, 100), cc.p(200.384, 54), cc.p(1, 0.5), nil, nil, nil, nil)
	addChildForPre(self.topPanel_3, self.leftPanel)
	self.leftPanel_4 = self.leftPanel

	self.ZidFont = createLabel({text=[[Zid]], font=getFont(), size=22})
	setValue(self.ZidFont, "ZidFont", 218, cc.size(30, 26), cc.p(58.95, 86.8), cc.p(1, 0.5), cc.c4b(52, 224, 255, 255), nil, nil, nil)
	self.ZidFont:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.ZidFont:setColor(cc.c4b(52, 224, 255, 255))
	addChildForPre(self.leftPanel_4, self.ZidFont)

	self.nameLable = createLabel({text=[[nameLable]], font=getFont(), size=22})
	setValue(self.nameLable, "nameLable", 219, cc.size(108, 26), cc.p(175, 86.8), cc.p(1, 0.5), nil, nil, nil, nil)
	self.nameLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftPanel_4, self.nameLable)

	self.StarNumFont = createLabel({text=[[StarNum]], font=getFont(), size=30})
	setValue(self.StarNumFont, "StarNumFont", 220, cc.size(118, 34), cc.p(117.6, 25), cc.p(1, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.StarNumFont:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.StarNumFont:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.leftPanel_4, self.StarNumFont)

	self.topLeftStartSp = cc.Sprite:create()
	setValue(self.topLeftStartSp, "topLeftStartSp", 221, cc.size(48, 48), cc.p(139.1193, 25), nil, nil, nil, nil, nil)
	self.topLeftStartSp:setScale(0.6)
	self.topLeftStartSp:setSpriteFrame("ccs/UiImages/battle/star_gold.png")
	addChildForPre(self.leftPanel_4, self.topLeftStartSp)

	self.leftNumLable = createLabel({text=[[leftNumLabel]], font=getFont(), size=22})
	setValue(self.leftNumLable, "leftNumLable", 843, cc.size(129, 26), cc.p(179.7, 60.8), cc.p(1, 0.5), nil, nil, nil, nil)
	self.leftNumLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftPanel_4, self.leftNumLable)

	self.rightPanel = ccui.Layout:create()
	setValue(self.rightPanel, "rightPanel", 1453, cc.size(196, 100), cc.p(441.6, 54), cc.p(0, 0.5), nil, nil, nil, nil)
	addChildForPre(self.topPanel_3, self.rightPanel)
	self.rightPanel_4 = self.rightPanel

	self.ZidFont2 = createLabel({text=[[Zid]], font=getFont(), size=22})
	setValue(self.ZidFont2, "ZidFont2", 247, cc.size(30, 26), cc.p(15.4, 86.8), cc.p(0, 0.5), cc.c4b(52, 224, 255, 255), nil, nil, nil)
	self.ZidFont2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.ZidFont2:setColor(cc.c4b(52, 224, 255, 255))
	addChildForPre(self.rightPanel_4, self.ZidFont2)

	self.nameLable2 = createLabel({text=[[nameLabel2]], font=getFont(), size=22})
	setValue(self.nameLable2, "nameLable2", 248, cc.size(121, 26), cc.p(59.4, 86.8), cc.p(0, 0.5), nil, nil, nil, nil)
	self.nameLable2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightPanel_4, self.nameLable2)

	self.StarNumFont2 = createLabel({text=[[StarNum]], font=getFont(), size=30})
	setValue(self.StarNumFont2, "StarNumFont2", 249, cc.size(118, 34), cc.p(52.9984, 25), cc.p(0, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.StarNumFont2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.StarNumFont2:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.rightPanel_4, self.StarNumFont2)

	self.topRightStartSp = cc.Sprite:create()
	setValue(self.topRightStartSp, "topRightStartSp", 250, cc.size(48, 48), cc.p(135.1616, 25), nil, nil, nil, nil, nil)
	self.topRightStartSp:setScale(0.6)
	self.topRightStartSp:setSpriteFrame("ccs/UiImages/battle/star_gold.png")
	addChildForPre(self.rightPanel_4, self.topRightStartSp)

	self.rightNumLable = createLabel({text=[[rightNumLabel]], font=getFont(), size=22})
	setValue(self.rightNumLable, "rightNumLable", 844, cc.size(143, 26), cc.p(15.4, 60.8), cc.p(0, 0.5), nil, nil, nil, nil)
	self.rightNumLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightPanel_4, self.rightNumLable)

	self.contPanel = ccui.Layout:create()
	setValue(self.contPanel, "WIX_contPanel", 145, cc.size(640, 586), cc.p(320, 488), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.contPanel)
	self.contPanel_3 = self.contPanel

	self.splitLine = ccui.ImageView:create()
	setValue(self.splitLine, "AXY_splitLine", 705, cc.size(8, 586), cc.p(320, 293), nil, nil, nil, nil, false)
	self.splitLine:loadTexture("ccs/UiImages/countryBattle/countrybattle_img_shutiao.png", 1)
	self.splitLine:setScale9Enabled(true)
	self.splitLine:setCapInsets(cc.rect(0, 0, 8, 110))
	addChildForPre(self.contPanel_3, self.splitLine)

	self.leftPanel = ccui.Layout:create()
	setValue(self.leftPanel, "AXY_leftPanel", 146, cc.size(320, 586), cc.p(320, 0), cc.p(1, 0), nil, nil, nil, nil)
	addChildForPre(self.contPanel_3, self.leftPanel)

	self.rightPanel = ccui.Layout:create()
	setValue(self.rightPanel, "AXY_rightPanel", 147, cc.size(320, 586), cc.p(320, 0), nil, nil, nil, nil, nil)
	addChildForPre(self.contPanel_3, self.rightPanel)

	self.logPanel = ccui.Layout:create()
	setValue(self.logPanel, "WBX_logPanel", 211, cc.size(640, 80), cc.p(320, 115.2), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.logPanel)
	self.logPanel_3 = self.logPanel

	self.logPanelBg = ccui.ImageView:create()
	setValue(self.logPanelBg, "logPanelBg", 602, cc.size(255, 640), cc.p(320, 80), cc.p(1, 0.5), nil, nil, nil, false)
	self.logPanelBg:setRotationSkewX(270)
	self.logPanelBg:setRotationSkewY(270)
	self.logPanelBg:loadTexture("ccs/UiImages/commonBg/worldboss_img_diban.png", 1)
	self.logPanelBg:setScale9Enabled(true)
	self.logPanelBg:setCapInsets(cc.rect(30, 30, 195, 294))
	addChildForPre(self.logPanel_3, self.logPanelBg)

	self.seeLogButton = ccui.Button:create()
	setValue(self.seeLogButton, "seeLogButton", 212, cc.size(36, 123), cc.p(320, 80), cc.p(0, 0.5), nil, nil, nil, nil)
	self.seeLogButton:setRotationSkewX(-90)
	self.seeLogButton:setRotationSkewY(-90)
	self.seeLogButton:loadTextureNormal("ccs/UiImages/common/worldboss_btn_right.png", 1)
	self.seeLogButton:loadTexturePressed("ccs/UiImages/common/worldboss_btn_right.png", 1)
	self.seeLogButton:loadTextureDisabled("ccs/UiImages/common/worldboss_btn_right.png", 1)
	self.seeLogButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.seeLogButton:setTitleText([[]])
	self.seeLogButton:setTitleColor(cc.c3b(65, 65, 70))
	self.seeLogButton:setTitleFontSize(14)
	self.seeLogButton:setTitleFontName(getFont())
	setClickEvent(self, self.seeLogButton, "seeLogButton")
	addChildForPre(self.logPanel_3, self.seeLogButton)

	self.logListViewPanel = ccui.Layout:create()
	setValue(self.logListViewPanel, "logListViewPanel", 774, cc.size(608, 64.8), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.logPanel_3, self.logListViewPanel)

	self.downPanel = ccui.Layout:create()
	setValue(self.downPanel, "WBX_downPanel", 144, cc.size(640, 108), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.downPanel)
	self.downPanel_3 = self.downPanel

	self.logButton = ccui.Button:create()
	setValue(self.logButton, "logButton", 161, cc.size(153, 64), cc.p(140.8, 54), nil, nil, nil, nil, false)
	self.logButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.logButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.logButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.logButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.logButton:setTitleText([[Button]])
	self.logButton:setTitleFontSize(25)
	self.logButton:setTitleFontName(getFont())
	setClickEvent(self, self.logButton, "logButton")
	addChildForPre(self.downPanel_3, self.logButton)
	self.logButton_4 = self.logButton

	self.redPointSp = cc.Sprite:create()
	setValue(self.redPointSp, "redPointSp", 40, cc.size(24, 24), cc.p(137.7, 51.2), nil, nil, nil, nil, nil)
	self.redPointSp:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.logButton_4, self.redPointSp)

	self.reloadButton = ccui.Button:create()
	setValue(self.reloadButton, "reloadButton", 162, cc.size(153, 64), cc.p(499.2, 54), nil, nil, nil, nil, false)
	self.reloadButton:loadTextureNormal("ccs/UiImages/image9/common_btn_yellow_0.png", 1)
	self.reloadButton:loadTexturePressed("ccs/UiImages/image9/common_btn_yellow_1.png", 1)
	self.reloadButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.reloadButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.reloadButton:setTitleText([[Button]])
	self.reloadButton:setTitleFontSize(25)
	self.reloadButton:setTitleFontName(getFont())
	setClickEvent(self, self.reloadButton, "reloadButton")
	addChildForPre(self.downPanel_3, self.reloadButton)

	self.imageLine1 = ccui.ImageView:create()
	setValue(self.imageLine1, "WTX_imageLine1", 138, cc.size(640, 30), cc.p(320, 108), nil, nil, nil, nil, nil)
	self.imageLine1:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	addChildForPre(self.downPanel_3, self.imageLine1)

	self.imageLine2 = ccui.ImageView:create()
	setValue(self.imageLine2, "WBX_imageLine2", 139, cc.size(640, 8), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	self.imageLine2:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	addChildForPre(self.downPanel_3, self.imageLine2)

	self.downYaZhuPanel = ccui.Layout:create()
	setValue(self.downYaZhuPanel, "WBX_downYaZhuPanel", 43, cc.size(640, 110), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	setBgColor(self.downYaZhuPanel, 1, 204, cc.c4b(0, 0, 0, 255), nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.downYaZhuPanel)
	self.downYaZhuPanel_3 = self.downYaZhuPanel

	self.YaZhuButton = ccui.Button:create()
	setValue(self.YaZhuButton, "YaZhuButton", 54, cc.size(153, 64), cc.p(320, 55), nil, nil, nil, nil, false)
	self.YaZhuButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.YaZhuButton:loadTexturePressed("Default/Button_Press.png", 0)
	self.YaZhuButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.YaZhuButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.YaZhuButton:setTitleText([[Button]])
	self.YaZhuButton:setTitleFontSize(25)
	self.YaZhuButton:setTitleFontName(getFont())
	setClickEvent(self, self.YaZhuButton, "YaZhuButton")
	addChildForPre(self.downYaZhuPanel_3, self.YaZhuButton)

	if CommonDialogFrame1CloseUi then 
 		self.commonDialogFrame1CloseUi = CommonDialogFrame1CloseUi.new() 
 	else 
		self.commonDialogFrame1CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame1CloseUi, "commonDialogFrame1CloseUi", 96, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.commonDialogFrame1CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/icon.plist",
	"ccs/plist/battle.plist",
	"ccs/plist/countryBattle.plist",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
	"Default/Button_Disable.png",
	"Default/Button_Press.png",
}

return _M
