-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 148, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 149, cc.size(320, 166), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.cellPanelBg = ccui.ImageView:create()
	setValue(self.cellPanelBg, "cellPanelBg", 57, cc.size(46, 46), cc.p(160, 83), nil, nil, nil, nil, nil)
	self.cellPanelBg:loadTexture("Default/ImageFile.png")
	addChildForPre(self.rootPanel_1, self.cellPanelBg)

	self.cellBg = cc.Sprite:create()
	setValue(self.cellBg, "cellBg", 319, cc.size(310, 160), cc.p(160, 83), nil, nil, nil, nil, nil)
	self.cellBg:setSpriteFrame("ccs/UiImages/commonBg/common_img_juntuanbolue.png")
	addChildForPre(self.rootPanel_1, self.cellBg)

	self.tankSpBgSprite = cc.Sprite:create()
	setValue(self.tankSpBgSprite, "tankSpBgSprite", 1257, cc.size(168, 100), cc.p(86.4, 83), nil, nil, nil, nil, nil)
	self.tankSpBgSprite:setScale(0.8)
	self.tankSpBgSprite:setSpriteFrame("ccs/UiImages/commonBg/qualityBg12.png")
	addChildForPre(self.rootPanel_1, self.tankSpBgSprite)

	self.tankSp = cc.Sprite:create()
	setValue(self.tankSp, "tankSp", 150, cc.size(46, 46), cc.p(81.8, 83), nil, nil, nil, nil, nil)
	self.tankSp:setScale(0.8)
	self.tankSp:setTexture("Default/Sprite.png")
	addChildForPre(self.rootPanel_1, self.tankSp)

	self.nameLable = createLabel({text=[[玩家名字七八字]], font=getFont(), size=20})
	setValue(self.nameLable, "nameLable", 151, cc.size(140, 23), cc.p(19, 142.4575), cc.p(0, 0.5), cc.c4b(218, 207, 162, 255), nil, nil, nil)
	self.nameLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.nameLable:setColor(cc.c4b(218, 207, 162, 255))
	addChildForPre(self.rootPanel_1, self.nameLable)

	self.warpointLable = createLabel({text=[[我是战斗力]], font=getFont(), size=20})
	setValue(self.warpointLable, "warpointLable", 152, cc.size(100, 23), cc.p(176, 111.975), cc.p(0, 0.5), cc.c4b(218, 207, 162, 255), nil, nil, nil)
	self.warpointLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.warpointLable:setColor(cc.c4b(218, 207, 162, 255))
	addChildForPre(self.rootPanel_1, self.warpointLable)

	self.warpointNewLable = createLabel({text=[[00]], font=getFont(), size=20})
	setValue(self.warpointNewLable, "warpointNewLable", 1288, cc.size(22, 23), cc.p(278, 111.975), cc.p(0, 0.5), nil, nil, nil, nil)
	self.warpointNewLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.warpointNewLable)

	self.attackNumLable = createLabel({text=[[攻击次数]], font=getFont(), size=20})
	setValue(self.attackNumLable, "attackNumLable", 153, cc.size(80, 23), cc.p(176, 80.3025), cc.p(0, 0.5), cc.c4b(218, 207, 162, 255), nil, nil, nil)
	self.attackNumLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.attackNumLable:setColor(cc.c4b(218, 207, 162, 255))
	addChildForPre(self.rootPanel_1, self.attackNumLable)

	self.attackNum = createLabel({text=[[9]], font=getFont(), size=20})
	setValue(self.attackNum, "attackNum", 320, cc.size(11, 23), cc.p(269, 80.3025), cc.p(0, 0.5), nil, nil, nil, nil)
	self.attackNum:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.attackNum)

	self.winNum = createLabel({text=[[wining]], font=getFont(), size=20})
	setValue(self.winNum, "winNum", 155, cc.size(56, 23), cc.p(176, 142.4575), cc.p(0, 0.5), cc.c4b(218, 207, 162, 255), nil, nil, nil)
	self.winNum:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.winNum:setColor(cc.c4b(218, 207, 162, 255))
	addChildForPre(self.rootPanel_1, self.winNum)

	self.loseNum = createLabel({text=[[3]], font=getFont(), size=20})
	setValue(self.loseNum, "loseNum", 156, cc.size(11, 23), cc.p(275.168, 142.4575), cc.p(0, 0.5), cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.loseNum:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.loseNum:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.rootPanel_1, self.loseNum)

	self.attackButton = ccui.Button:create()
	setValue(self.attackButton, "attackButton", 158, cc.size(98, 51), cc.p(237.7993, 35.275), nil, nil, nil, nil, false)
	self.attackButton:loadTextureNormal("ccs/UiImages/image9/CommonPanel_btn_smallyellow_0.png", 1)
	self.attackButton:loadTexturePressed("ccs/UiImages/image9/CommonPanel_btn_smallyellow_1.png", 1)
	self.attackButton:loadTextureDisabled("ccs/UiImages/image9/CommonPanel_btn_small_2.png", 1)
	self.attackButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.attackButton:setTitleText([[Button]])
	self.attackButton:setTitleFontSize(25)
	self.attackButton:setTitleFontName(getFont())
	setClickEvent(self, self.attackButton, "attackButton")
	addChildForPre(self.rootPanel_1, self.attackButton)

	self.startNum = createLabel({text=[[3]], font=getFont(), size=22})
	setValue(self.startNum, "startNum", 159, cc.size(12, 26), cc.p(80, 23.58), cc.p(1, 0.5), cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.startNum:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.startNum:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.rootPanel_1, self.startNum)

	self.startSp = cc.Sprite:create()
	setValue(self.startSp, "startSp", 160, cc.size(48, 48), cc.p(84.3995, 23.6549), cc.p(0, 0.5), nil, nil, nil, nil)
	self.startSp:setScale(0.6)
	self.startSp:setSpriteFrame("ccs/UiImages/battle/star_gold.png")
	addChildForPre(self.rootPanel_1, self.startSp)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"Default/ImageFile.png",
	"ccs/plist/commonBg.plist",
	"Default/Sprite.png",
	"ccs/plist/image9.plist",
	"ccs/plist/battle.plist",
}

return _M
