-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 696, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 721, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 723, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 722, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.tabPanel = ccui.Layout:create()
	setValue(self.tabPanel, "WTX_tabPanel", 775, cc.size(640, 90), cc.p(320, 844.8), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.tabPanel)
	self.tabPanel_3 = self.tabPanel

	self.bossBtnLv1 = ccui.Button:create()
	setValue(self.bossBtnLv1, "bossBtnLv1", 776, cc.size(135, 74), cc.p(74, 48), nil, nil, nil, nil, false)
	self.bossBtnLv1:loadTextureNormal("ccs/UiImages/image9/legion_btn_1.png", 1)
	self.bossBtnLv1:loadTexturePressed("ccs/UiImages/image9/legion_btn_0.png", 1)
	self.bossBtnLv1:loadTextureDisabled("ccs/UiImages/image9/legion_btn_0.png", 1)
	self.bossBtnLv1:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.bossBtnLv1:setTitleText([[Button]])
	self.bossBtnLv1:setTitleFontSize(22)
	self.bossBtnLv1:setTitleFontName(getFont())
	setClickEvent(self, self.bossBtnLv1, "bossBtnLv1")
	addChildForPre(self.tabPanel_3, self.bossBtnLv1)
	self.bossBtnLv1_4 = self.bossBtnLv1

	self.REDPOINT_ALLIANCE_BOSS_CHALLENGE1 = ccui.ImageView:create()
	setValue(self.REDPOINT_ALLIANCE_BOSS_CHALLENGE1, "REDPOINT_ALLIANCE_BOSS_CHALLENGE1", 2529, cc.size(24, 24), cc.p(124, 66), nil, nil, nil, nil, nil)
	self.REDPOINT_ALLIANCE_BOSS_CHALLENGE1:loadTexture("ccs/UiImages/common/commonPanel_tips_red_1.png", 1)
	addChildForPre(self.bossBtnLv1_4, self.REDPOINT_ALLIANCE_BOSS_CHALLENGE1)

	self.bossBtnLv2 = ccui.Button:create()
	setValue(self.bossBtnLv2, "bossBtnLv2", 777, cc.size(135, 74), cc.p(212.992, 47.997), nil, nil, nil, nil, false)
	self.bossBtnLv2:loadTextureNormal("ccs/UiImages/image9/legion_btn_1.png", 1)
	self.bossBtnLv2:loadTexturePressed("ccs/UiImages/image9/legion_btn_0.png", 1)
	self.bossBtnLv2:loadTextureDisabled("ccs/UiImages/image9/legion_btn_0.png", 1)
	self.bossBtnLv2:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.bossBtnLv2:setTitleText([[Button]])
	self.bossBtnLv2:setTitleFontSize(22)
	self.bossBtnLv2:setTitleFontName(getFont())
	setClickEvent(self, self.bossBtnLv2, "bossBtnLv2")
	addChildForPre(self.tabPanel_3, self.bossBtnLv2)
	self.bossBtnLv2_4 = self.bossBtnLv2

	self.REDPOINT_ALLIANCE_BOSS_CHALLENGE2 = ccui.ImageView:create()
	setValue(self.REDPOINT_ALLIANCE_BOSS_CHALLENGE2, "REDPOINT_ALLIANCE_BOSS_CHALLENGE2", 2530, cc.size(24, 24), cc.p(124, 66), nil, nil, nil, nil, nil)
	self.REDPOINT_ALLIANCE_BOSS_CHALLENGE2:loadTexture("ccs/UiImages/common/commonPanel_tips_red_1.png", 1)
	addChildForPre(self.bossBtnLv2_4, self.REDPOINT_ALLIANCE_BOSS_CHALLENGE2)

	self.bossBtnLv3 = ccui.Button:create()
	setValue(self.bossBtnLv3, "bossBtnLv3", 778, cc.size(135, 74), cc.p(352, 47.997), nil, nil, nil, nil, false)
	self.bossBtnLv3:loadTextureNormal("ccs/UiImages/image9/legion_btn_1.png", 1)
	self.bossBtnLv3:loadTexturePressed("ccs/UiImages/image9/legion_btn_0.png", 1)
	self.bossBtnLv3:loadTextureDisabled("ccs/UiImages/image9/legion_btn_0.png", 1)
	self.bossBtnLv3:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.bossBtnLv3:setTitleText([[Button]])
	self.bossBtnLv3:setTitleFontSize(22)
	self.bossBtnLv3:setTitleFontName(getFont())
	setClickEvent(self, self.bossBtnLv3, "bossBtnLv3")
	addChildForPre(self.tabPanel_3, self.bossBtnLv3)
	self.bossBtnLv3_4 = self.bossBtnLv3

	self.REDPOINT_ALLIANCE_BOSS_CHALLENGE3 = ccui.ImageView:create()
	setValue(self.REDPOINT_ALLIANCE_BOSS_CHALLENGE3, "REDPOINT_ALLIANCE_BOSS_CHALLENGE3", 2531, cc.size(24, 24), cc.p(124, 66), nil, nil, nil, nil, nil)
	self.REDPOINT_ALLIANCE_BOSS_CHALLENGE3:loadTexture("ccs/UiImages/common/commonPanel_tips_red_1.png", 1)
	addChildForPre(self.bossBtnLv3_4, self.REDPOINT_ALLIANCE_BOSS_CHALLENGE3)

	self.bossBtnLv4 = ccui.Button:create()
	setValue(self.bossBtnLv4, "bossBtnLv4", 296, cc.size(135, 74), cc.p(491.008, 47.997), nil, nil, nil, nil, false)
	self.bossBtnLv4:loadTextureNormal("ccs/UiImages/image9/legion_btn_1.png", 1)
	self.bossBtnLv4:loadTexturePressed("ccs/UiImages/image9/legion_btn_0.png", 1)
	self.bossBtnLv4:loadTextureDisabled("ccs/UiImages/image9/legion_btn_0.png", 1)
	self.bossBtnLv4:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.bossBtnLv4:setTitleText([[Button]])
	self.bossBtnLv4:setTitleFontSize(22)
	self.bossBtnLv4:setTitleFontName(getFont())
	setClickEvent(self, self.bossBtnLv4, "bossBtnLv4")
	addChildForPre(self.tabPanel_3, self.bossBtnLv4)
	self.bossBtnLv4_4 = self.bossBtnLv4

	self.REDPOINT_ALLIANCE_BOSS_CHALLENGE4 = ccui.ImageView:create()
	setValue(self.REDPOINT_ALLIANCE_BOSS_CHALLENGE4, "REDPOINT_ALLIANCE_BOSS_CHALLENGE4", 2532, cc.size(24, 24), cc.p(124, 66), nil, nil, nil, nil, nil)
	self.REDPOINT_ALLIANCE_BOSS_CHALLENGE4:loadTexture("ccs/UiImages/common/commonPanel_tips_red_1.png", 1)
	addChildForPre(self.bossBtnLv4_4, self.REDPOINT_ALLIANCE_BOSS_CHALLENGE4)

	self.infoButton = ccui.Button:create()
	setValue(self.infoButton, "RYN_infoButton", 297, cc.size(68, 42), cc.p(566.976, 47.997), nil, nil, nil, nil, nil)
	self.infoButton:loadTextureNormal("ccs/UiImages/image9/common_btn_xiangqing.png", 1)
	self.infoButton:loadTexturePressed("ccs/UiImages/image9/common_btn_xiangqing.png", 1)
	self.infoButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_xiangqing.png", 1)
	self.infoButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.infoButton:setTitleText([[]])
	self.infoButton:setTitleFontSize(24)
	self.infoButton:setTitleFontName(getFont())
	setClickEvent(self, self.infoButton, "infoButton")
	addChildForPre(self.tabPanel_3, self.infoButton)

	self.imageling = ccui.ImageView:create()
	setValue(self.imageling, "WBX_imageling", 397, cc.size(640, 8), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.imageling:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	self.imageling:setScale9Enabled(true)
	self.imageling:setCapInsets(cc.rect(0, 0, 640, 8))
	addChildForPre(self.tabPanel_3, self.imageling)

	self.seaPanel = ccui.Layout:create()
	setValue(self.seaPanel, "WIX_seaPanel", 757, cc.size(640, 526), cc.p(320, 270), cc.p(0.5, 0), nil, nil, nil, nil)
	self.seaPanel:setClippingEnabled(true)
	setBgColor(self.seaPanel, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.seaPanel)
	self.seaPanel_3 = self.seaPanel

	self.wavePanel = ccui.Layout:create()
	setValue(self.wavePanel, "wavePanel", 2770, cc.size(640, 960), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	setBgColor(self.wavePanel, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.seaPanel_3, self.wavePanel)
	self.wavePanel_4 = self.wavePanel

	self.seaimage2 = ccui.ImageView:create()
	setValue(self.seaimage2, "seaimage2", 1966, cc.size(188, 110), cc.p(320, 360), cc.p(0.5, 0), nil, nil, nil, false)
	self.seaimage2:setScale(3.45)
	self.seaimage2:loadTexture("ccs/BigImages/background/mainUi_img_bg1.webp")
	self.seaimage2:setScale9Enabled(true)
	self.seaimage2:setCapInsets(cc.rect(0, 0, 188, 110))
	addChildForPre(self.wavePanel_4, self.seaimage2)

	self.seaSprite1 = cc.Sprite:create()
	setValue(self.seaSprite1, "seaSprite1", 2750, cc.size(413, 492), cc.p(320, 103), nil, nil, nil, nil, nil)
	self.seaSprite1:setScaleX(1.56)
	self.seaSprite1:setScaleY(1.16)
	self.seaSprite1:setSpriteFrame("ccs/UiImages/mainUiShipWave2/mainsea3.png")
	addChildForPre(self.wavePanel_4, self.seaSprite1)

	self.island2 = ccui.ImageView:create()
	setValue(self.island2, "RBN_island2", 1886, cc.size(114, 78), cc.p(640, 400), cc.p(1, 0.5), nil, nil, nil, nil)
	self.island2:loadTexture("ccs/UiImages/mainUiFeeling/mainUi_img_gangkou2.png", 1)
	addChildForPre(self.wavePanel_4, self.island2)

	self.island1 = ccui.ImageView:create()
	setValue(self.island1, "LBN_island1", 1887, cc.size(404, 167), cc.p(0, 380), cc.p(0, 0.5), nil, nil, nil, nil)
	self.island1:loadTexture("ccs/UiImages/mainUiFeeling/mainUi_img_gangkou1.png", 1)
	addChildForPre(self.wavePanel_4, self.island1)

	self.contentPanel = ccui.Layout:create()
	setValue(self.contentPanel, "WIX_contentPanel", 478, cc.size(640, 796.8), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.contentPanel)

	if CommonDialogFrame1CloseUi then 
 		self.commonDialogFrame1CloseUi = CommonDialogFrame1CloseUi.new() 
 	else 
		self.commonDialogFrame1CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame1CloseUi, "commonDialogFrame1CloseUi", 768, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/common.plist",
	"ccs/BigImages/background/mainUi_img_bg1.jpg",
	"ccs/plist/mainUiShipWave2.plist",
	"ccs/plist/mainUiFeeling.plist",
}

return _M
