-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 175, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 190, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "WIX_dialogPanel", 559, cc.size(640, 796.8), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.topPanel = ccui.Layout:create()
	setValue(self.topPanel, "WIX_topPanel", 317, cc.size(640, 526), cc.p(320, 270), cc.p(0.5, 0), nil, nil, nil, nil)
	self.topPanel:setClippingEnabled(true)
	addChildForPre(self.dialogPanel_2, self.topPanel)
	self.topPanel_3 = self.topPanel

	self.tankBoosImg = ccui.ImageView:create()
	setValue(self.tankBoosImg, "LBN_tankBoosImg", 913, cc.size(46, 46), cc.p(128, 31.56), cc.p(0, 0), nil, nil, nil, nil)
	self.tankBoosImg:loadTexture("Default/ImageFile.png")
	addChildForPre(self.topPanel_3, self.tankBoosImg)

	self.barNode = cc.Node:create()
	setValue(self.barNode, "XYN_barNode", 100, nil, cc.p(320, 473.4), nil, nil, nil, nil, nil)
	addChildForPre(self.topPanel_3, self.barNode)

	self.lockedPanel = ccui.Layout:create()
	setValue(self.lockedPanel, "AXY_lockedPanel", 915, cc.size(640, 526), cc.p(320, 263), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.topPanel_3, self.lockedPanel)
	self.lockedPanel_4 = self.lockedPanel

	self.lockBgImage = ccui.ImageView:create()
	setValue(self.lockBgImage, "XYN_lockBgImage", 916, cc.size(300, 200), cc.p(320, 263), nil, nil, nil, nil, false)
	self.lockBgImage:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.lockBgImage:setScale9Enabled(true)
	self.lockBgImage:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.lockedPanel_4, self.lockBgImage)
	self.lockBgImage_5 = self.lockBgImage

	self.lockedImage = ccui.ImageView:create()
	setValue(self.lockedImage, "lockedImage", 914, cc.size(189, 189), cc.p(150, 119.308), nil, nil, nil, nil, nil)
	self.lockedImage:setScale(0.6)
	self.lockedImage:loadTexture("ccs/UiImages/common/legion_img_suo.png", 1)
	addChildForPre(self.lockBgImage_5, self.lockedImage)

	self.lockedLabel = createLabel({text=[[Text Label]], font=getFont(), size=28})
	setValue(self.lockedLabel, "lockedLabel", 917, cc.size(127, 32), cc.p(150, 34.6667), nil, nil, nil, nil, nil)
	self.lockedLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.lockBgImage_5, self.lockedLabel)

	self.bottomPanel = ccui.Layout:create()
	setValue(self.bottomPanel, "WBX_bottomPanel", 318, cc.size(640, 260), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.bottomPanel)
	self.bottomPanel_3 = self.bottomPanel

	self.imageLineTop = ccui.ImageView:create()
	setValue(self.imageLineTop, "WTX_imageLineTop", 580, cc.size(640, 30), cc.p(320, 260), nil, nil, nil, nil, false)
	self.imageLineTop:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.imageLineTop:setScale9Enabled(true)
	self.imageLineTop:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.bottomPanel_3, self.imageLineTop)

	self.rewardDropPanel = ccui.Layout:create()
	setValue(self.rewardDropPanel, "rewardDropPanel", 319, cc.size(305, 120), cc.p(10, 251), cc.p(0, 1), nil, nil, nil, nil)
	addChildForPre(self.bottomPanel_3, self.rewardDropPanel)
	self.rewardDropPanel_4 = self.rewardDropPanel

	self.rewardDropBg = ccui.ImageView:create()
	setValue(self.rewardDropBg, "rewardDropBg", 783, cc.size(305, 120), cc.p(152.5, 60), nil, nil, nil, nil, false)
	self.rewardDropBg:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.rewardDropBg:setScale9Enabled(true)
	self.rewardDropBg:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.rewardDropPanel_4, self.rewardDropBg)

	self.rewardDropTitleLabel = createLabel({text=[[rewardDropTitleLabel]], font=getFont(), size=22,valign = 1})
	setValue(self.rewardDropTitleLabel, "rewardDropTitleLabel", 52, cc.size(209, 26), cc.p(0, 120), cc.p(0, 1), nil, nil, nil, nil)
	self.rewardDropTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rewardDropPanel_4, self.rewardDropTitleLabel)

	self.rewardDropCellPanel = ccui.Layout:create()
	setValue(self.rewardDropCellPanel, "rewardDropCellPanel", 57, cc.size(305, 90), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rewardDropPanel_4, self.rewardDropCellPanel)

	self.rewardPanel = ccui.Layout:create()
	setValue(self.rewardPanel, "rewardPanel", 320, cc.size(305, 120), cc.p(325, 251), cc.p(0, 1), nil, nil, nil, nil)
	addChildForPre(self.bottomPanel_3, self.rewardPanel)
	self.rewardPanel_4 = self.rewardPanel

	self.rewardBgImg = ccui.ImageView:create()
	setValue(self.rewardBgImg, "rewardBgImg", 784, cc.size(305, 120), cc.p(152.5, 60), nil, nil, nil, nil, false)
	self.rewardBgImg:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.rewardBgImg:setScale9Enabled(true)
	self.rewardBgImg:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.rewardPanel_4, self.rewardBgImg)

	self.rewardTitleLabel = createLabel({text=[[rewardTitleLabel]], font=getFont(), size=22,valign = 1})
	setValue(self.rewardTitleLabel, "rewardTitleLabel", 53, cc.size(161, 26), cc.p(0, 120), cc.p(0, 1), nil, nil, nil, nil)
	self.rewardTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rewardPanel_4, self.rewardTitleLabel)

	self.rewardCellPanel = ccui.Layout:create()
	setValue(self.rewardCellPanel, "rewardCellPanel", 58, cc.size(305, 90), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rewardPanel_4, self.rewardCellPanel)

	self.attackPanel = ccui.Layout:create()
	setValue(self.attackPanel, "attackPanel", 322, cc.size(640, 120), cc.p(320, 10), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.bottomPanel_3, self.attackPanel)
	self.attackPanel_4 = self.attackPanel

	self.campButton = ccui.Button:create()
	setValue(self.campButton, "XYN_campButton", 861, cc.size(145, 58), cc.p(96, 44), nil, nil, nil, nil, false)
	self.campButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.campButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.campButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.campButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.campButton:setTitleText([[campButton]])
	self.campButton:setTitleFontSize(25)
	self.campButton:setTitleFontName(getFont())
	setClickEvent(self, self.campButton, "campButton")
	addChildForPre(self.attackPanel_4, self.campButton)

	self.rankButton = ccui.Button:create()
	setValue(self.rankButton, "XYN_rankButton", 862, cc.size(145, 58), cc.p(320, 44), nil, nil, nil, nil, false)
	self.rankButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.rankButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.rankButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.rankButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.rankButton:setTitleText([[rankButton]])
	self.rankButton:setTitleFontSize(25)
	self.rankButton:setTitleFontName(getFont())
	setClickEvent(self, self.rankButton, "rankButton")
	addChildForPre(self.attackPanel_4, self.rankButton)

	self.residueNumlabel = createLabel({text=[[residueNumlabel]], font=getFont(), size=25,align = 1})
	setValue(self.residueNumlabel, "XYN_residueNumlabel", 50, cc.size(187, 29), cc.p(544, 93.6), nil, nil, nil, nil, nil)
	self.residueNumlabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attackPanel_4, self.residueNumlabel)

	self.attakButton = ccui.Button:create()
	setValue(self.attakButton, "XYN_attakButton", 51, cc.size(145, 58), cc.p(544, 44), nil, nil, nil, nil, false)
	self.attakButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.attakButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.attakButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.attakButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.attakButton:setTitleText([[attakButton]])
	self.attakButton:setTitleFontSize(25)
	self.attakButton:setTitleFontName(getFont())
	setClickEvent(self, self.attakButton, "attakButton")
	addChildForPre(self.attackPanel_4, self.attakButton)
	self.attakButton_5 = self.attakButton

	self.redPointState = ccui.ImageView:create()
	setValue(self.redPointState, "redPointState", 2533, cc.size(24, 24), cc.p(135, 50), nil, nil, nil, nil, nil)
	self.redPointState:loadTexture("ccs/UiImages/common/commonPanel_tips_red_1.png", 1)
	addChildForPre(self.attakButton_5, self.redPointState)

	self.imageLineDown = ccui.ImageView:create()
	setValue(self.imageLineDown, "AXY_imageLineDown", 722, cc.size(640, 8), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.imageLineDown:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	self.imageLineDown:setScale9Enabled(true)
	self.imageLineDown:setCapInsets(cc.rect(0, 0, 640, 8))
	addChildForPre(self.bottomPanel_3, self.imageLineDown)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"Default/ImageFile.png",
	"ccs/plist/battle.plist",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
}

return _M
