-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 77, cc.size(640, 175), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bigPanel = ccui.Layout:create()
	setValue(self.bigPanel, "bigPanel", 789, cc.size(640, 160), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.bigPanel)
	self.bigPanel_2 = self.bigPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 206, cc.size(612, 167), cc.p(320, 80), nil, nil, nil, nil, nil)
	self.bgImage:loadTexture("ccs/UiImages/commonBg/common_img_ditiao.png", 1)
	addChildForPre(self.bigPanel_2, self.bgImage)

	self.CommonChildGreen = ccui.ImageView:create()
	setValue(self.CommonChildGreen, "CommonChildGreen", 89, cc.size(462, 143), cc.p(236.7998, 81.3701), nil, nil, nil, nil, nil)
	self.CommonChildGreen:setScale(0.9)
	self.CommonChildGreen:loadTexture("ccs/UiImages/commonBg/battle_img_paihang04.png", 1)
	addChildForPre(self.bigPanel_2, self.CommonChildGreen)

	self.headPanel = ccui.Layout:create()
	setValue(self.headPanel, "headPanel", 1345, cc.size(160, 124), cc.p(57.6, 19.2), nil, nil, nil, nil, nil)
	self.headPanel:setClippingEnabled(true)
	addChildForPre(self.bigPanel_2, self.headPanel)
	self.headPanel_3 = self.headPanel

	self.memberImage = ccui.ImageView:create()
	setValue(self.memberImage, "memberImage", 927, cc.size(355, 477), cc.p(67.2, 6.2), nil, nil, nil, nil, nil)
	self.memberImage:setScale(0.5)
	self.memberImage:loadTexture("ccs/BigImages/userHead/userHead_country1_1.webp")
	addChildForPre(self.headPanel_3, self.memberImage)

	self.labelBgImage = ccui.ImageView:create()
	setValue(self.labelBgImage, "labelBgImage", 1346, cc.size(60, 20), cc.p(78, 27.797), nil, nil, 197, nil, false)
	self.labelBgImage:setRotationSkewX(180)
	self.labelBgImage:setRotationSkewY(180)
	self.labelBgImage:loadTexture("ccs/UiImages/common/common_img_level.png", 1)
	self.labelBgImage:setScale9Enabled(true)
	self.labelBgImage:setCapInsets(cc.rect(0, 0, 38, 20))
	addChildForPre(self.bigPanel_2, self.labelBgImage)

	self.memberNameLabel = createLabel({text=[[memberName]], font=getFont(), size=24})
	setValue(self.memberNameLabel, "memberNameLabel", 79, cc.size(152, 28), cc.p(238.0846, 109.6566), cc.p(0, 0.5), nil, nil, nil, nil)
	self.memberNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.memberNameLabel)

	self.fightingNumLabel = createLabel({text=[[999999]], font=getFont(), size=24})
	setValue(self.fightingNumLabel, "fightingNumLabel", 743, cc.size(80, 28), cc.p(320.5168, 44.8566), cc.p(0, 0.5), cc.c4b(255, 85, 0, 255), nil, nil, nil)
	self.fightingNumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.fightingNumLabel:setColor(cc.c4b(255, 85, 0, 255))
	addChildForPre(self.bigPanel_2, self.fightingNumLabel)

	self.fightingTitleLabel = createLabel({text=[[战斗力：]], font=getFont(), size=24})
	setValue(self.fightingTitleLabel, "fightingTitleLabel", 80, cc.size(96, 28), cc.p(235.2686, 44.8566), cc.p(0, 0.5), cc.c4b(255, 85, 0, 255), nil, nil, nil)
	self.fightingTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.fightingTitleLabel:setColor(cc.c4b(255, 85, 0, 255))
	addChildForPre(self.bigPanel_2, self.fightingTitleLabel)

	self.memberLevelTitleLabel = createLabel({text=[[Lv]], font=getFont(), size=20})
	setValue(self.memberLevelTitleLabel, "memberLevelTitleLabel", 81, cc.size(21, 23), cc.p(54.9387, 24.6933), cc.p(0, 0.5), cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.memberLevelTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.memberLevelTitleLabel:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.bigPanel_2, self.memberLevelTitleLabel)

	self.memberLevelLabel = createLabel({text=[[00]], font=getFont(), size=20})
	setValue(self.memberLevelLabel, "memberLevelLabel", 492, cc.size(22, 23), cc.p(78.5546, 24.6933), cc.p(0, 0.5), cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.memberLevelLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.memberLevelLabel:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.bigPanel_2, self.memberLevelLabel)

	self.refuseButton = ccui.Button:create()
	setValue(self.refuseButton, "refuseButton", 117, cc.size(153, 64), cc.p(524.8786, 50.4779), nil, nil, nil, nil, false)
	self.refuseButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.refuseButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.refuseButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.refuseButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.refuseButton:setTitleText([[Refuse]])
	self.refuseButton:setTitleFontSize(25)
	self.refuseButton:setTitleFontName(getFont())
	setClickEvent(self, self.refuseButton, "refuseButton")
	addChildForPre(self.bigPanel_2, self.refuseButton)

	self.mililevelImg = ccui.ImageView:create()
	setValue(self.mililevelImg, "mililevelImg", 37, cc.size(100, 100), cc.p(204.0565, 104.5236), nil, nil, nil, nil, nil)
	self.mililevelImg:setScale(0.5)
	self.mililevelImg:loadTexture("ccs/UiImages/icon/military_1.jpg", 1)
	addChildForPre(self.bigPanel_2, self.mililevelImg)

	self.passButton = ccui.Button:create()
	setValue(self.passButton, "passButton", 118, cc.size(153, 64), cc.p(524.8786, 116.9346), nil, nil, nil, nil, false)
	self.passButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.passButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.passButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.passButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.passButton:setTitleText([[Refuse]])
	self.passButton:setTitleFontSize(25)
	self.passButton:setTitleFontName(getFont())
	setClickEvent(self, self.passButton, "passButton")
	addChildForPre(self.bigPanel_2, self.passButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/BigImages/userHead/userHead_country1_1.png",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/icon.plist",
}

return _M
