-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 68, cc.size(640, 960), cc.p(-0.3572, 0), nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.createDescLabel = createLabel({text=[[创建军团需要花费]], font=getFont(), size=24})
	setValue(self.createDescLabel, "BXN_createDescLabel", 32, cc.size(192, 28), cc.p(353.2256, 94.7976), cc.p(1, 0.5), nil, nil, nil, nil)
	self.createDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.createDescLabel)

	self.Sprite = cc.Sprite:create()
	setValue(self.Sprite, "BXN_Sprite", 1166, cc.size(35, 35), cc.p(376.2706, 94.7976), nil, nil, nil, nil, nil)
	self.Sprite:setSpriteFrame("ccs/UiImages/common/commonIcon_icon_ZuanShi_2.png")
	addChildForPre(self.rootPanel_1, self.Sprite)

	self.createButton = ccui.Button:create()
	setValue(self.createButton, "BXN_createButton", 73, cc.size(153, 64), cc.p(299.648, 47.328), nil, nil, nil, nil, false)
	self.createButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.createButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.createButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.createButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.createButton:setTitleText([[creatButton]])
	self.createButton:setTitleFontSize(25)
	self.createButton:setTitleFontName(getFont())
	setClickEvent(self, self.createButton, "createButton")
	addChildForPre(self.rootPanel_1, self.createButton)

	self.topContent = ccui.Layout:create()
	setValue(self.topContent, "TXN_topContent", 69, cc.size(640, 250), cc.p(320, 835.2), cc.p(0.5, 1), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.topContent)
	self.topContent_2 = self.topContent

	self.textBGImage = ccui.ImageView:create()
	setValue(self.textBGImage, "textBGImage", 418, cc.size(340, 50), cc.p(369.536, 194.3728), nil, nil, nil, nil, false)
	self.textBGImage:loadTexture("ccs/UiImages/image9/common_s9_diban1.png", 1)
	self.textBGImage:setScale9Enabled(true)
	self.textBGImage:setCapInsets(cc.rect(1, 1, 13, 22))
	addChildForPre(self.topContent_2, self.textBGImage)

	self.allianceID_input = ccui.EditBox:create(cc.size(250, 40), ccui.Scale9Sprite:create())
	setValue(self.allianceID_input, "allianceID_input", 72, cc.size(250, 40), cc.p(199.552, 194.3729), cc.p(0, 0.5), cc.c4b(226, 242, 167, 255), nil, nil, nil)
	self.allianceID_input:setText([[]])
	self.allianceID_input:setReturnType(1)
	self.allianceID_input:setInputMode(6)
	self.allianceID_input:setPlaceHolder([[请输入军团ID]])
	self.allianceID_input:setFontSize(30)
	self.allianceID_input:setPlaceholderFontSize(30)
	self.allianceID_input:setFontColor(cc.c4b(226, 242, 167, 255))
	self.allianceID_input:setFontName(getFont())
	self.allianceID_input:setPlaceholderFontName(getFont())
	addChildForPre(self.topContent_2, self.allianceID_input)

	self.allianceTtileLabel = createLabel({text=[[AllianceTtile]], font=getFont(), size=24})
	setValue(self.allianceTtileLabel, "allianceTtileLabel", 74, cc.size(129, 28), cc.p(51.2, 194.3729), cc.p(0, 0.5), nil, nil, nil, nil)
	self.allianceTtileLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.topContent_2, self.allianceTtileLabel)

	self.allianceImageTitleLabel = createLabel({text=[[AllianceImage]], font=getFont(), size=24})
	setValue(self.allianceImageTitleLabel, "allianceImageTitleLabel", 75, cc.size(150, 28), cc.p(51.2, 75), cc.p(0, 0.5), nil, nil, nil, nil)
	self.allianceImageTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.topContent_2, self.allianceImageTitleLabel)

	self.selectButton = ccui.Button:create()
	setValue(self.selectButton, "selectButton", 43, cc.size(153, 64), cc.p(-348.2324, -48.6763), nil, nil, nil, nil, false)
	self.selectButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.selectButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.selectButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.selectButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.selectButton:setTitleText([[select]])
	self.selectButton:setTitleFontSize(25)
	self.selectButton:setTitleFontName(getFont())
	setClickEvent(self, self.selectButton, "selectButton")
	addChildForPre(self.topContent_2, self.selectButton)

	self.bgSprite = cc.Sprite:create()
	setValue(self.bgSprite, "bgSprite", 128, cc.size(289, 202), cc.p(379.2753, 57.715), nil, nil, nil, nil, nil)
	self.bgSprite:setSpriteFrame("ccs/UiImages/commonBg/legion_img_diban.png")
	addChildForPre(self.topContent_2, self.bgSprite)

	self.legionSprite = cc.Sprite:create()
	setValue(self.legionSprite, "legionSprite", 129, cc.size(100, 100), cc.p(379.2753, 57.715), nil, nil, nil, nil, nil)
	self.legionSprite:setScale(1.5)
	self.legionSprite:setSpriteFrame("ccs/UiImages/icon/legion_01.png")
	addChildForPre(self.topContent_2, self.legionSprite)

	self.Image = ccui.ImageView:create()
	setValue(self.Image, "WBX_Image", 978, cc.size(640, 30), cc.p(320, 122.976), nil, nil, nil, nil, false)
	self.Image:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.Image:setScale9Enabled(true)
	self.Image:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.rootPanel_1, self.Image)

	self.Image = ccui.ImageView:create()
	setValue(self.Image, "WIX_Image", 131, cc.size(589, 358), cc.p(320, 314.88), nil, nil, nil, nil, false)
	self.Image:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.Image:setScale9Enabled(true)
	self.Image:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.rootPanel_1, self.Image)

	self.listviewPanel = ccui.Layout:create()
	setValue(self.listviewPanel, "WIX_listviewPanel", 130, cc.size(589, 358), cc.p(320, 135.84), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.listviewPanel)

	self.costNumLabel = createLabel({text=[[100]], font=getFont(), size=24})
	setValue(self.costNumLabel, "BXN_costNumLabel", 1167, cc.size(40, 28), cc.p(400.3592, 94.7975), cc.p(0, 0.5), nil, nil, nil, nil)
	self.costNumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.costNumLabel)

	self.desLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.desLabel, "TXN_desLabel", 1168, cc.size(109, 28), cc.p(584.9022, 518.5204), cc.p(1, 0.5), cc.c4b(230, 0, 0, 255), nil, nil, nil)
	self.desLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.desLabel:setColor(cc.c4b(230, 0, 0, 255))
	addChildForPre(self.rootPanel_1, self.desLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/commonBg.plist",
	"ccs/plist/legion.plist",
	"ccs/plist/battle.plist",
}

return _M
