-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 68, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.listViewContent = ccui.Layout:create()
	setValue(self.listViewContent, "WIX_listViewContent", 70, cc.size(640, 728), cc.p(320, 369.6), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.listViewContent)

	self.topContent = ccui.Layout:create()
	setValue(self.topContent, "TXN_topContent", 69, cc.size(640, 85), cc.p(0, 825), cc.p(0, 1), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.topContent)
	self.topContent_2 = self.topContent

	self.countryImage = ccui.ImageView:create()
	setValue(self.countryImage, "countryImage", 71, cc.size(46, 46), cc.p(-176.0286, 60.6286), nil, nil, nil, nil, nil)
	self.countryImage:setScale(0.5)
	self.countryImage:loadTexture("Default/ImageFile.png")
	addChildForPre(self.topContent_2, self.countryImage)

	self.textBGImage = ccui.ImageView:create()
	setValue(self.textBGImage, "textBGImage", 418, cc.size(340, 35), cc.p(192, 42.5), nil, nil, nil, nil, false)
	self.textBGImage:loadTexture("ccs/UiImages/image9/common_s9_diban1.png", 1)
	self.textBGImage:setScale9Enabled(true)
	self.textBGImage:setCapInsets(cc.rect(10, 1, 4, 22))
	addChildForPre(self.topContent_2, self.textBGImage)

	self.allianceID_input = ccui.EditBox:create(cc.size(300, 20), ccui.Scale9Sprite:create())
	setValue(self.allianceID_input, "allianceID_input", 72, cc.size(300, 20), cc.p(25.6, 42.5), cc.p(0, 0.5), cc.c4b(226, 242, 167, 255), nil, nil, nil)
	self.allianceID_input:setText([[]])
	self.allianceID_input:setReturnType(1)
	self.allianceID_input:setInputMode(6)
	self.allianceID_input:setPlaceHolder([[请输入军团ID]])
	self.allianceID_input:setFontSize(20)
	self.allianceID_input:setPlaceholderFontSize(20)
	self.allianceID_input:setFontColor(cc.c4b(226, 242, 167, 255))
	self.allianceID_input:setFontName(getFont())
	self.allianceID_input:setPlaceholderFontName(getFont())
	addChildForPre(self.topContent_2, self.allianceID_input)

	self.serchButton = ccui.Button:create()
	setValue(self.serchButton, "serchButton", 73, cc.size(153, 64), cc.p(448.8571, 42.4997), nil, nil, nil, nil, false)
	self.serchButton:loadTextureNormal("ccs/UiImages/image9/common_btn_green_0.png", 1)
	self.serchButton:loadTexturePressed("ccs/UiImages/image9/common_btn_green_1.png", 1)
	self.serchButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.serchButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.serchButton:setTitleText([[查找*]])
	self.serchButton:setTitleFontSize(25)
	self.serchButton:setTitleFontName(getFont())
	setClickEvent(self, self.serchButton, "serchButton")
	addChildForPre(self.topContent_2, self.serchButton)

	self.allianceApplyLabel = createLabel({text=[[申请倒计时]], font=getFont(), size=20})
	setValue(self.allianceApplyLabel, "allianceApplyLabel", 74, cc.size(100, 23), cc.p(536.2162, 59.5002), cc.p(0, 0.5), cc.c4b(226, 242, 167, 255), nil, nil, nil)
	self.allianceApplyLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.allianceApplyLabel:setColor(cc.c4b(226, 242, 167, 255))
	addChildForPre(self.topContent_2, self.allianceApplyLabel)

	self.allianceApplyTimeLabel = createLabel({text=[[2:25:24]], font=getFont(), size=20})
	setValue(self.allianceApplyTimeLabel, "allianceApplyTimeLabel", 75, cc.size(66, 23), cc.p(536.2162, 29.7502), cc.p(0, 0.5), nil, nil, nil, nil)
	self.allianceApplyTimeLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.topContent_2, self.allianceApplyTimeLabel)

	self.Image = ccui.ImageView:create()
	setValue(self.Image, "WBX_Image", 640, cc.size(640, 30), cc.p(320, 0), nil, nil, nil, nil, nil)
	self.Image:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	addChildForPre(self.topContent_2, self.Image)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"Default/ImageFile.png",
	"ccs/plist/image9.plist",
}

return _M
