-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_1 = cc.Node:create()
	setValue(self.Node_1, "Node_1", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_1)
 	self.uiRootNode = self.Node_1
	self.Node_1_0 = self.Node_1

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 196, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_1_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonNewUi then 
 		self.CommonNewUi = CommonNewUi.new() 
 	else 
		self.CommonNewUi = BaseUi.new("ccs/ui/commonDialog/CommonNewUi.lua")
 	end 
	setValue(self.CommonNewUi, "CommonNewUi", 463, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.CommonNewUi)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 63, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.tabPanel = ccui.Layout:create()
	setValue(self.tabPanel, "WTX_tabPanel", 6, cc.size(640, 50), cc.p(320, 825), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.tabPanel)
	self.tabPanel_3 = self.tabPanel

	self.CommonArticleBox = ccui.ImageView:create()
	setValue(self.CommonArticleBox, "WTX_CommonArticleBox", 1662, cc.size(640, 62), cc.p(320, -4), cc.p(0.5, 0), nil, nil, nil, nil)
	self.CommonArticleBox:loadTexture("ccs/UiImages/commonBg/common_img_diban00.png", 1)
	addChildForPre(self.tabPanel_3, self.CommonArticleBox)

	self.tabJoinAllianceButton = ccui.Button:create()
	setValue(self.tabJoinAllianceButton, "tabJoinAllianceButton", 11, cc.size(124, 46), cc.p(72.96, 29), nil, nil, nil, nil, false)
	self.tabJoinAllianceButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.tabJoinAllianceButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabJoinAllianceButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabJoinAllianceButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tabJoinAllianceButton:setTitleText([[加入军团*]])
	self.tabJoinAllianceButton:setTitleFontSize(25)
	self.tabJoinAllianceButton:setTitleFontName(getFont())
	setClickEvent(self, self.tabJoinAllianceButton, "tabJoinAllianceButton")
	addChildForPre(self.tabPanel_3, self.tabJoinAllianceButton)

	self.tabCreateAllianceButton = ccui.Button:create()
	setValue(self.tabCreateAllianceButton, "tabCreateAllianceButton", 12, cc.size(124, 46), cc.p(207.808, 29), nil, nil, nil, nil, false)
	self.tabCreateAllianceButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.tabCreateAllianceButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabCreateAllianceButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabCreateAllianceButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tabCreateAllianceButton:setTitleText([[创建军团*]])
	self.tabCreateAllianceButton:setTitleFontSize(25)
	self.tabCreateAllianceButton:setTitleFontName(getFont())
	setClickEvent(self, self.tabCreateAllianceButton, "tabCreateAllianceButton")
	addChildForPre(self.tabPanel_3, self.tabCreateAllianceButton)

	self.infoButton = ccui.Button:create()
	setValue(self.infoButton, "infoButton", 891, cc.size(81, 26), cc.p(573.632, 28.865), nil, cc.c4b(0, 187, 238, 255), nil, nil, false)
	self.infoButton:loadTextureNormal("ccs/UiImages/image9/Underline.png", 1)
	self.infoButton:loadTexturePressed("ccs/UiImages/image9/Underline.png", 1)
	self.infoButton:loadTextureDisabled("ccs/UiImages/image9/Underline.png", 1)
	self.infoButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.infoButton:setTitleText([[说明]])
	self.infoButton:setTitleFontSize(24)
	self.infoButton:setTitleFontName(getFont())
	setClickEvent(self, self.infoButton, "infoButton")
	addChildForPre(self.tabPanel_3, self.infoButton)

	self.contentPanel = ccui.Layout:create()
	setValue(self.contentPanel, "WIX_contentPanel", 14, cc.size(640, 796.8), cc.p(320, 9.6), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.contentPanel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
}

return _M
