-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 79, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 80, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonNewUi then 
 		self.commonNewUi = CommonNewUi.new() 
 	else 
		self.commonNewUi = BaseUi.new("ccs/ui/commonDialog/CommonNewUi.lua")
 	end 
	setValue(self.commonNewUi, "commonNewUi", 572, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonNewUi)

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "AXY_Panel", 106, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Panel)
	self.Panel_2 = self.Panel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "WIX_bgImage", 683, cc.size(606, 435), cc.p(320, 336), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.Panel_2, self.bgImage)

	self.noticeBGImage = ccui.ImageView:create()
	setValue(self.noticeBGImage, "WIX_noticeBGImage", 212, cc.size(580, 165), cc.p(320, 403.2), nil, nil, nil, nil, false)
	self.noticeBGImage:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.noticeBGImage:setScale9Enabled(true)
	self.noticeBGImage:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.Panel_2, self.noticeBGImage)

	self.noticePanel = ccui.Layout:create()
	setValue(self.noticePanel, "WIX_noticePanel", 588, cc.size(606, 435), cc.p(320, 336), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.noticePanel)
	self.noticePanel_3 = self.noticePanel

	self.noticeTitleLabel = createLabel({text=[[军团公告]], font=getFont(), size=24})
	setValue(self.noticeTitleLabel, "TXN_noticeTitleLabel", 116, cc.size(96, 28), cc.p(299.2428, 398.1555), nil, cc.c4b(0, 156, 255, 255), nil, nil, nil)
	self.noticeTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.noticeTitleLabel:setColor(cc.c4b(0, 156, 255, 255))
	addChildForPre(self.noticePanel_3, self.noticeTitleLabel)

	self.noticeLabel = ccui.EditBox:create(cc.size(550, 60), ccui.Scale9Sprite:create())
	setValue(self.noticeLabel, "TXN_noticeLabel", 336, cc.size(550, 60), cc.p(18.18, 344.694), cc.p(0, 0.5), nil, nil, nil, nil)
	self.noticeLabel:setText([[]])
	self.noticeLabel:setReturnType(1)
	self.noticeLabel:setInputMode(6)
	self.noticeLabel:setPlaceHolder([[ 你你你你你你你你你你你你你你你你你你你你你你你你你你你你你你你你你你你你]])
	self.noticeLabel:setFontSize(24)
	self.noticeLabel:setPlaceholderFontSize(24)
	self.noticeLabel:setFontColor(cc.c4b(255, 255, 255, 255))
	self.noticeLabel:setFontName(getFont())
	self.noticeLabel:setPlaceholderFontName(getFont())
	addChildForPre(self.noticePanel_3, self.noticeLabel)

	self.stateTitleLabel = createLabel({text=[[stateTitleLabel]], font=getFont(), size=24})
	setValue(self.stateTitleLabel, "BXN_stateTitleLabel", 118, cc.size(155, 28), cc.p(303, 164.0385), nil, cc.c4b(0, 156, 255, 255), nil, nil, nil)
	self.stateTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.stateTitleLabel:setColor(cc.c4b(0, 156, 255, 255))
	addChildForPre(self.noticePanel_3, self.stateTitleLabel)

	self.stateLabel = createLabel({text=[[stateLabel]], font=getFont(), size=24})
	setValue(self.stateLabel, "BXN_stateLabel", 119, cc.size(110, 28), cc.p(303, 84.9555), nil, nil, nil, nil, nil)
	self.stateLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.noticePanel_3, self.stateLabel)

	self.leftButton = ccui.Button:create()
	setValue(self.leftButton, "LBN_leftButton", 220, cc.size(58, 106), cc.p(53.5098, 79.2135), nil, nil, nil, nil, nil)
	self.leftButton:setRotationSkewX(180)
	self.leftButton:setRotationSkewY(180)
	self.leftButton:loadTextureNormal("ccs/UiImages/common/login_btn_zuoyou.png", 1)
	self.leftButton:loadTexturePressed("ccs/UiImages/common/login_btn_zuoyou.png", 1)
	self.leftButton:loadTextureDisabled("ccs/UiImages/common/login_btn_zuoyou.png", 1)
	self.leftButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.leftButton:setTitleText([[]])
	self.leftButton:setTitleColor(cc.c3b(65, 65, 70))
	self.leftButton:setTitleFontSize(14)
	self.leftButton:setTitleFontName(getFont())
	setClickEvent(self, self.leftButton, "leftButton")
	addChildForPre(self.noticePanel_3, self.leftButton)

	self.rightButton = ccui.Button:create()
	setValue(self.rightButton, "RBN_rightButton", 221, cc.size(58, 106), cc.p(557.0352, 77.082), nil, nil, nil, nil, nil)
	self.rightButton:loadTextureNormal("ccs/UiImages/common/login_btn_zuoyou.png", 1)
	self.rightButton:loadTexturePressed("ccs/UiImages/common/login_btn_zuoyou.png", 1)
	self.rightButton:loadTextureDisabled("ccs/UiImages/common/login_btn_zuoyou.png", 1)
	self.rightButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.rightButton:setTitleText([[]])
	self.rightButton:setTitleColor(cc.c3b(65, 65, 70))
	self.rightButton:setTitleFontSize(14)
	self.rightButton:setTitleFontName(getFont())
	setClickEvent(self, self.rightButton, "rightButton")
	addChildForPre(self.noticePanel_3, self.rightButton)

	self.topPanel = ccui.Layout:create()
	setValue(self.topPanel, "TXN_topPanel", 685, cc.size(640, 307), cc.p(0, 576), nil, nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.topPanel)
	self.topPanel_3 = self.topPanel

	self.labelPanel = ccui.Layout:create()
	setValue(self.labelPanel, "labelPanel", 586, cc.size(300, 200), cc.p(315.968, 70.61), nil, nil, nil, nil, nil)
	addChildForPre(self.topPanel_3, self.labelPanel)
	self.labelPanel_4 = self.labelPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 686, cc.size(300, 200), cc.p(150, 100), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.labelPanel_4, self.bgImage)

	self.nameTitleLabel = createLabel({text=[[nameTitleLabel]], font=getFont(), size=24})
	setValue(self.nameTitleLabel, "nameTitleLabel", 107, cc.size(163, 28), cc.p(-539.46, 145.78), cc.p(0, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.nameTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.nameTitleLabel:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.labelPanel_4, self.nameTitleLabel)

	self.nameLabel = createLabel({text=[[name]], font=getFont(), size=24,align = 1})
	setValue(self.nameLabel, "nameLabel", 108, cc.size(60, 28), cc.p(150, 176.28), nil, nil, nil, nil, nil)
	self.nameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_4, self.nameLabel)

	self.idTitleLabel = createLabel({text=[[idTitleLabel]], font=getFont(), size=24})
	setValue(self.idTitleLabel, "idTitleLabel", 109, cc.size(121, 28), cc.p(141, 89.42), cc.p(1, 0.5), cc.c4b(0, 156, 255, 255), nil, nil, nil)
	self.idTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.idTitleLabel:setColor(cc.c4b(0, 156, 255, 255))
	addChildForPre(self.labelPanel_4, self.idTitleLabel)

	self.idLabel = createLabel({text=[[id]], font=getFont(), size=24})
	setValue(self.idLabel, "idLabel", 110, cc.size(18, 28), cc.p(159, 89.42), cc.p(0, 0.5), nil, nil, nil, nil)
	self.idLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_4, self.idLabel)

	self.levelTitleLabel = createLabel({text=[[levelTitleLabel]], font=getFont(), size=24})
	setValue(self.levelTitleLabel, "levelTitleLabel", 111, cc.size(152, 28), cc.p(141, 55.06), cc.p(1, 0.5), cc.c4b(0, 156, 255, 255), nil, nil, nil)
	self.levelTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.levelTitleLabel:setColor(cc.c4b(0, 156, 255, 255))
	addChildForPre(self.labelPanel_4, self.levelTitleLabel)

	self.levelLabel = createLabel({text=[[levelLabel]], font=getFont(), size=24})
	setValue(self.levelLabel, "levelLabel", 112, cc.size(108, 28), cc.p(159, 55.06), cc.p(0, 0.5), nil, nil, nil, nil)
	self.levelLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_4, self.levelLabel)

	self.constructionTitleLabel = createLabel({text=[[constructionTitleLabel]], font=getFont(), size=24})
	setValue(self.constructionTitleLabel, "constructionTitleLabel", 113, cc.size(232, 28), cc.p(141, 20.72), cc.p(1, 0.5), cc.c4b(0, 156, 255, 255), nil, nil, nil)
	self.constructionTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.constructionTitleLabel:setColor(cc.c4b(0, 156, 255, 255))
	addChildForPre(self.labelPanel_4, self.constructionTitleLabel)

	self.constructionLabel = createLabel({text=[[constructionLabel]], font=getFont(), size=24})
	setValue(self.constructionLabel, "constructionLabel", 114, cc.size(188, 28), cc.p(159, 20.72), cc.p(0, 0.5), nil, nil, nil, nil)
	self.constructionLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_4, self.constructionLabel)

	self.badgeIconPanel = ccui.Layout:create()
	setValue(self.badgeIconPanel, "badgeIconPanel", 163, cc.size(120, 120), cc.p(-483.66, 29.74), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.labelPanel_4, self.badgeIconPanel)

	self.countrypicLabel = createLabel({text=[[countrypicLabel]], font=getFont(), size=24})
	setValue(self.countrypicLabel, "countrypicLabel", 115, cc.size(168, 28), cc.p(-547.68, 108.32), cc.p(0, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.countrypicLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.countrypicLabel:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.labelPanel_4, self.countrypicLabel)

	self.renameButton = ccui.Button:create()
	setValue(self.renameButton, "renameButton", 122, cc.size(81, 26), cc.p(150.15, 131.28), nil, cc.c4b(0, 156, 255, 255), nil, nil, false)
	self.renameButton:loadTextureNormal("ccs/UiImages/image9/Underline.png", 1)
	self.renameButton:loadTexturePressed("ccs/UiImages/image9/Underline.png", 1)
	self.renameButton:loadTextureDisabled("ccs/UiImages/image9/Underline.png", 1)
	self.renameButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.renameButton:setTitleText([[修改军团名称]])
	self.renameButton:setTitleFontSize(24)
	self.renameButton:setTitleFontName(getFont())
	setClickEvent(self, self.renameButton, "renameButton")
	addChildForPre(self.labelPanel_4, self.renameButton)

	self.renameSprite = cc.Sprite:create()
	setValue(self.renameSprite, "renameSprite", 335, cc.size(100, 100), cc.p(52.3964, 131.2743), nil, nil, nil, nil, nil)
	self.renameSprite:setScale(0.4)
	self.renameSprite:setSpriteFrame("ccs/UiImages/icon/juesegengmingka.png")
	addChildForPre(self.labelPanel_4, self.renameSprite)

	self.upgradeButton = ccui.Button:create()
	setValue(self.upgradeButton, "upgradeButton", 121, cc.size(153, 64), cc.p(468.352, 29.5334), nil, nil, nil, nil, false)
	self.upgradeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.upgradeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.upgradeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.upgradeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.upgradeButton:setTitleText([[upgrade]])
	self.upgradeButton:setTitleFontSize(25)
	self.upgradeButton:setTitleFontName(getFont())
	setClickEvent(self, self.upgradeButton, "upgradeButton")
	addChildForPre(self.topPanel_3, self.upgradeButton)

	self.legionbgSprite = cc.Sprite:create()
	setValue(self.legionbgSprite, "legionbgSprite", 687, cc.size(289, 202), cc.p(162.3047, 173.4984), nil, nil, nil, nil, nil)
	self.legionbgSprite:setSpriteFrame("ccs/UiImages/commonBg/legion_img_diban.png")
	addChildForPre(self.topPanel_3, self.legionbgSprite)

	self.legionSprite = cc.Sprite:create()
	setValue(self.legionSprite, "legionSprite", 688, cc.size(100, 100), cc.p(164.1698, 173.4991), nil, nil, nil, nil, nil)
	self.legionSprite:setScale(1.5)
	self.legionSprite:setSpriteFrame("ccs/UiImages/icon/legion_01.png")
	addChildForPre(self.topPanel_3, self.legionSprite)

	self.modifyButton = ccui.Button:create()
	setValue(self.modifyButton, "modifyButton", 689, cc.size(153, 64), cc.p(167.3526, 31.7759), nil, nil, nil, nil, false)
	self.modifyButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.modifyButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.modifyButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.modifyButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.modifyButton:setTitleText([[Button]])
	self.modifyButton:setTitleFontSize(24)
	self.modifyButton:setTitleFontName(getFont())
	setClickEvent(self, self.modifyButton, "modifyButton")
	addChildForPre(self.topPanel_3, self.modifyButton)

	self.modifyOkButton = ccui.Button:create()
	setValue(self.modifyOkButton, "BXN_modifyOkButton", 120, cc.size(153, 64), cc.p(320, 49.056), nil, nil, nil, nil, false)
	self.modifyOkButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.modifyOkButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.modifyOkButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.modifyOkButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.modifyOkButton:setTitleText([[modifyok]])
	self.modifyOkButton:setTitleFontSize(25)
	self.modifyOkButton:setTitleFontName(getFont())
	setClickEvent(self, self.modifyOkButton, "modifyOkButton")
	addChildForPre(self.Panel_2, self.modifyOkButton)

	self.Image = ccui.ImageView:create()
	setValue(self.Image, "WBX_Image", 485, cc.size(640, 30), cc.p(320, 105.6), nil, nil, nil, nil, false)
	self.Image:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.Image:setScale9Enabled(true)
	self.Image:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.Panel_2, self.Image)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/battle.plist",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/icon.plist",
	"ccs/plist/commonBg.plist",
}

return _M
