-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 68, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.topContent = ccui.Layout:create()
	setValue(self.topContent, "TXN_topContent", 69, cc.size(640, 280), cc.p(0, 777.6), cc.p(0, 1), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.topContent)
	self.topContent_2 = self.topContent

	self.legionbgSprite = cc.Sprite:create()
	setValue(self.legionbgSprite, "legionbgSprite", 60, cc.size(289, 202), cc.p(164.1743, 168.1073), nil, nil, nil, nil, nil)
	self.legionbgSprite:setSpriteFrame("ccs/UiImages/commonBg/legion_img_diban.png")
	addChildForPre(self.topContent_2, self.legionbgSprite)

	self.badgeIconPanel = ccui.Layout:create()
	setValue(self.badgeIconPanel, "badgeIconPanel", 299, cc.size(130, 130), cc.p(168.128, 169.092), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.topContent_2, self.badgeIconPanel)

	self.legionSprite = cc.Sprite:create()
	setValue(self.legionSprite, "legionSprite", 128, cc.size(100, 100), cc.p(164.1743, 168.1074), nil, nil, nil, nil, nil)
	self.legionSprite:setScale(1.5)
	self.legionSprite:setSpriteFrame("ccs/UiImages/icon/legion_01.png")
	addChildForPre(self.topContent_2, self.legionSprite)

	self.leaveButton = ccui.Button:create()
	setValue(self.leaveButton, "leaveButton", 1362, cc.size(153, 64), cc.p(449.6169, 33.6), nil, nil, nil, nil, false)
	self.leaveButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.leaveButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.leaveButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.leaveButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.leaveButton:setTitleText([[Leave]])
	self.leaveButton:setTitleFontSize(25)
	self.leaveButton:setTitleFontName(getFont())
	setClickEvent(self, self.leaveButton, "leaveButton")
	addChildForPre(self.topContent_2, self.leaveButton)

	self.manageButton = ccui.Button:create()
	setValue(self.manageButton, "manageButton", 73, cc.size(153, 64), cc.p(185.3316, 33.6), nil, nil, nil, nil, false)
	self.manageButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.manageButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.manageButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.manageButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.manageButton:setTitleText([[manage]])
	self.manageButton:setTitleFontSize(25)
	self.manageButton:setTitleFontName(getFont())
	setClickEvent(self, self.manageButton, "manageButton")
	addChildForPre(self.topContent_2, self.manageButton)

	self.labelPanel = ccui.Layout:create()
	setValue(self.labelPanel, "labelPanel", 61, cc.size(290, 203), cc.p(473.7745, 170), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.topContent_2, self.labelPanel)
	self.labelPanel_3 = self.labelPanel

	self.labelbgImage = ccui.ImageView:create()
	setValue(self.labelbgImage, "labelbgImage", 62, cc.size(290, 203), cc.p(145, 100.0993), nil, nil, nil, nil, false)
	self.labelbgImage:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.labelbgImage:setScale9Enabled(true)
	self.labelbgImage:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.labelPanel_3, self.labelbgImage)

	self.allianceTitleLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.allianceTitleLabel, "allianceTitleLabel", 433, cc.size(109, 28), cc.p(145, 181.2145), nil, nil, nil, nil, nil)
	self.allianceTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_3, self.allianceTitleLabel)

	self.levelLabel = createLabel({text=[[level]], font=getFont(), size=20})
	setValue(self.levelLabel, "levelLabel", 74, cc.size(41, 23), cc.p(144.797, 149.3369), cc.p(1, 0.5), cc.c4b(0, 187, 238, 255), nil, nil, nil)
	self.levelLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.levelLabel:setColor(cc.c4b(0, 187, 238, 255))
	addChildForPre(self.labelPanel_3, self.levelLabel)

	self.constructionNumLabel = createLabel({text=[[Num]], font=getFont(), size=20})
	setValue(self.constructionNumLabel, "constructionNumLabel", 75, cc.size(42, 23), cc.p(157.876, 90.5815), cc.p(0, 0.5), nil, nil, nil, nil)
	self.constructionNumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_3, self.constructionNumLabel)

	self.constructionTitleLabel = createLabel({text=[[Construction]], font=getFont(), size=20})
	setValue(self.constructionTitleLabel, "constructionTitleLabel", 1365, cc.size(112, 23), cc.p(144.797, 90.5815), cc.p(1, 0.5), cc.c4b(0, 187, 238, 255), nil, nil, nil)
	self.constructionTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.constructionTitleLabel:setColor(cc.c4b(0, 187, 238, 255))
	addChildForPre(self.labelPanel_3, self.constructionTitleLabel)

	self.allianceNumLabel = createLabel({text=[[NUM]], font=getFont(), size=20})
	setValue(self.allianceNumLabel, "allianceNumLabel", 1366, cc.size(45, 23), cc.p(157.876, 119.9592), cc.p(0, 0.5), nil, nil, nil, nil)
	self.allianceNumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_3, self.allianceNumLabel)

	self.allianceNumTitleLabel = createLabel({text=[[NumTitle]], font=getFont(), size=20})
	setValue(self.allianceNumTitleLabel, "allianceNumTitleLabel", 1367, cc.size(79, 23), cc.p(144.797, 119.9592), cc.p(1, 0.5), cc.c4b(0, 187, 238, 255), nil, nil, nil)
	self.allianceNumTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.allianceNumTitleLabel:setColor(cc.c4b(0, 187, 238, 255))
	addChildForPre(self.labelPanel_3, self.allianceNumTitleLabel)

	self.allianceLevel = createLabel({text=[[num]], font=getFont(), size=20})
	setValue(self.allianceLevel, "allianceLevel", 100, cc.size(38, 23), cc.p(157.876, 149.3369), cc.p(0, 0.5), nil, nil, nil, nil)
	self.allianceLevel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_3, self.allianceLevel)

	self.rankBtnBgImage = ccui.ImageView:create()
	setValue(self.rankBtnBgImage, "rankBtnBgImage", 3014, cc.size(480, 42), cc.p(145, 41.48), nil, nil, nil, nil, nil)
	self.rankBtnBgImage:setScaleX(0.5)
	self.rankBtnBgImage:setScaleY(1)
	self.rankBtnBgImage:loadTexture("ccs/UiImages/common/arena_img_plate.png", 1)
	addChildForPre(self.labelPanel_3, self.rankBtnBgImage)

	self.rankLabel = createLabel({text=[[rankLabel]], font=getFont(), size=24})
	setValue(self.rankLabel, "rankLabel", 3015, cc.size(105, 28), cc.p(144.797, 41), cc.p(1, 0.5), cc.c4b(0, 187, 238, 255), nil, nil, nil)
	self.rankLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rankLabel:setColor(cc.c4b(0, 187, 238, 255))
	addChildForPre(self.labelPanel_3, self.rankLabel)

	self.rankButton = ccui.Button:create()
	setValue(self.rankButton, "rankButton", 3016, cc.size(100, 80), cc.p(204, 43), nil, nil, nil, nil, nil)
	self.rankButton:loadTextureNormal("ccs/UiImages/common/worldboss_btn_lingjiang.png", 1)
	self.rankButton:loadTexturePressed("ccs/UiImages/common/worldboss_btn_lingjiang.png", 1)
	self.rankButton:loadTextureDisabled("ccs/UiImages/common/worldboss_btn_lingjiang.png", 1)
	self.rankButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.rankButton:setTitleText([[]])
	self.rankButton:setTitleColor(cc.c3b(65, 65, 70))
	self.rankButton:setTitleFontSize(14)
	self.rankButton:setTitleFontName(getFont())
	setClickEvent(self, self.rankButton, "rankButton")
	addChildForPre(self.labelPanel_3, self.rankButton)

	self.Image = ccui.ImageView:create()
	setValue(self.Image, "WBX_Image", 138, cc.size(640, 30), cc.p(320, 163.2), nil, nil, nil, nil, false)
	self.Image:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.Image:setScale9Enabled(true)
	self.Image:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.rootPanel_1, self.Image)

	self.buttonPanel = ccui.Layout:create()
	setValue(self.buttonPanel, "BXN_buttonPanel", 136, cc.size(640, 175), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.buttonPanel)
	self.buttonPanel_2 = self.buttonPanel

	self.donateButton = ccui.Button:create()
	setValue(self.donateButton, "donateButton", 139, cc.size(153, 64), cc.p(111.786, 124.1439), nil, nil, nil, nil, false)
	self.donateButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.donateButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.donateButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.donateButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.donateButton:setTitleText([[Button]])
	self.donateButton:setTitleFontSize(24)
	self.donateButton:setTitleFontName(getFont())
	setClickEvent(self, self.donateButton, "donateButton")
	addChildForPre(self.buttonPanel_2, self.donateButton)

	self.bossButton = ccui.Button:create()
	setValue(self.bossButton, "bossButton", 140, cc.size(153, 64), cc.p(111.786, 38.6697), nil, nil, nil, nil, false)
	self.bossButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.bossButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.bossButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.bossButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.bossButton:setTitleText([[Button]])
	self.bossButton:setTitleFontSize(24)
	self.bossButton:setTitleFontName(getFont())
	setClickEvent(self, self.bossButton, "bossButton")
	addChildForPre(self.buttonPanel_2, self.bossButton)
	self.bossButton_3 = self.bossButton

	self.REDPOINT_ALLIANCE_BOSS = ccui.ImageView:create()
	setValue(self.REDPOINT_ALLIANCE_BOSS, "REDPOINT_ALLIANCE_BOSS", 2181, cc.size(24, 24), cc.p(144.0036, 52), nil, nil, nil, nil, nil)
	self.REDPOINT_ALLIANCE_BOSS:loadTexture("ccs/UiImages/common/commonPanel_tips_red_1.png", 1)
	addChildForPre(self.bossButton_3, self.REDPOINT_ALLIANCE_BOSS)

	self.shopButton = ccui.Button:create()
	setValue(self.shopButton, "shopButton", 141, cc.size(153, 64), cc.p(315.9721, 124.1439), nil, nil, nil, nil, false)
	self.shopButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.shopButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.shopButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.shopButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.shopButton:setTitleText([[Button]])
	self.shopButton:setTitleFontSize(24)
	self.shopButton:setTitleFontName(getFont())
	setClickEvent(self, self.shopButton, "shopButton")
	addChildForPre(self.buttonPanel_2, self.shopButton)

	self.attactButton = ccui.Button:create()
	setValue(self.attactButton, "attactButton", 142, cc.size(153, 64), cc.p(317.9721, 38.6697), nil, nil, nil, nil, false)
	self.attactButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.attactButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.attactButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.attactButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.attactButton:setTitleText([[Button]])
	self.attactButton:setTitleFontSize(24)
	self.attactButton:setTitleFontName(getFont())
	setClickEvent(self, self.attactButton, "attactButton")
	addChildForPre(self.buttonPanel_2, self.attactButton)
	self.attactButton_3 = self.attactButton

	self.REDPOINT_LOGNMARCH_ALLIANCEBATTLE_STATE = ccui.ImageView:create()
	setValue(self.REDPOINT_LOGNMARCH_ALLIANCEBATTLE_STATE, "REDPOINT_LOGNMARCH_ALLIANCEBATTLE_STATE", 2180, cc.size(24, 24), cc.p(144, 52), nil, nil, nil, nil, nil)
	self.REDPOINT_LOGNMARCH_ALLIANCEBATTLE_STATE:loadTexture("ccs/UiImages/common/commonPanel_tips_red_1.png", 1)
	addChildForPre(self.attactButton_3, self.REDPOINT_LOGNMARCH_ALLIANCEBATTLE_STATE)

	self.technologyButton = ccui.Button:create()
	setValue(self.technologyButton, "technologyButton", 143, cc.size(153, 64), cc.p(520.1582, 124.1439), nil, nil, nil, nil, false)
	self.technologyButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.technologyButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.technologyButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.technologyButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.technologyButton:setTitleText([[Button]])
	self.technologyButton:setTitleFontSize(24)
	self.technologyButton:setTitleFontName(getFont())
	setClickEvent(self, self.technologyButton, "technologyButton")
	addChildForPre(self.buttonPanel_2, self.technologyButton)

	self.attackContestButton = ccui.Button:create()
	setValue(self.attackContestButton, "attackContestButton", 144, cc.size(153, 64), cc.p(520.1582, 38.6697), nil, nil, nil, nil, false)
	self.attackContestButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.attackContestButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.attackContestButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.attackContestButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.attackContestButton:setTitleText([[Button]])
	self.attackContestButton:setTitleFontSize(24)
	self.attackContestButton:setTitleFontName(getFont())
	setClickEvent(self, self.attackContestButton, "attackContestButton")
	addChildForPre(self.buttonPanel_2, self.attackContestButton)

	self.descPanel = ccui.Layout:create()
	setValue(self.descPanel, "XYN_descPanel", 137, cc.size(640, 130), cc.p(320, 374.4), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.descPanel)
	self.descPanel_2 = self.descPanel

	self.titleBgSprite = ccui.ImageView:create()
	setValue(self.titleBgSprite, "titleBgSprite", 199, cc.size(480, 42), cc.p(315.2831, 104.4726), nil, nil, nil, nil, false)
	self.titleBgSprite:loadTexture("ccs/UiImages/common/arena_img_plate.png", 1)
	self.titleBgSprite:setScale9Enabled(true)
	self.titleBgSprite:setCapInsets(cc.rect(0, 0, 480, 42))
	addChildForPre(self.descPanel_2, self.titleBgSprite)

	self.allianceDescTitleLabel = createLabel({text=[[DescTitle]], font=getFont(), size=24})
	setValue(self.allianceDescTitleLabel, "allianceDescTitleLabel", 718, cc.size(99, 28), cc.p(320, 105.443), nil, cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.allianceDescTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.allianceDescTitleLabel:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.descPanel_2, self.allianceDescTitleLabel)

	self.desBgImage = ccui.ImageView:create()
	setValue(self.desBgImage, "desBgImage", 200, cc.size(573, 73), cc.p(319.9995, 39.9623), nil, nil, nil, nil, false)
	self.desBgImage:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.desBgImage:setScale9Enabled(true)
	self.desBgImage:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.descPanel_2, self.desBgImage)

	self.allianceDescLabel = createLabel({text=[[]], font=getFont(), size=24, dimensions = cc.size(560.0000, 100.0000)})
	setValue(self.allianceDescLabel, "allianceDescLabel", 1368, cc.size(560, 100), cc.p(40.704, 72.046), cc.p(0, 1), nil, nil, nil, false)
	self.allianceDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.descPanel_2, self.allianceDescLabel)

	self.contPanel = ccui.Layout:create()
	setValue(self.contPanel, "XYN_contPanel", 201, cc.size(640, 200), cc.p(320, 177.504), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.contPanel)
	self.contPanel_2 = self.contPanel

	self.listViewContent = ccui.Layout:create()
	setValue(self.listViewContent, "listViewContent", 70, cc.size(573, 143), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.contPanel_2, self.listViewContent)
	self.listViewContent_3 = self.listViewContent

	self.Image = ccui.ImageView:create()
	setValue(self.Image, "Image", 204, cc.size(573, 143), cc.p(286.5, 71.5), nil, nil, nil, nil, false)
	self.Image:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.Image:setScale9Enabled(true)
	self.Image:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.listViewContent_3, self.Image)

	self.titlebgImage = ccui.ImageView:create()
	setValue(self.titlebgImage, "titlebgImage", 202, cc.size(480, 42), cc.p(320, 171.6335), nil, nil, nil, nil, false)
	self.titlebgImage:loadTexture("ccs/UiImages/common/arena_img_plate.png", 1)
	self.titlebgImage:setScale9Enabled(true)
	self.titlebgImage:setCapInsets(cc.rect(0, 0, 480, 42))
	addChildForPre(self.contPanel_2, self.titlebgImage)

	self.titleLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.titleLabel, "titleLabel", 203, cc.size(109, 28), cc.p(320, 171.634), nil, cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.titleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.titleLabel:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.contPanel_2, self.titleLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/icon.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/battle.plist",
	"ccs/plist/common.plist",
}

return _M
