-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_1 = cc.Node:create()
	setValue(self.Node_1, "Node_1", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_1)
 	self.uiRootNode = self.Node_1
	self.Node_1_0 = self.Node_1

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 196, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_1_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonNewUi then 
 		self.commonNewUi = CommonNewUi.new() 
 	else 
		self.commonNewUi = BaseUi.new("ccs/ui/commonDialog/CommonNewUi.lua")
 	end 
	setValue(self.commonNewUi, "commonNewUi", 287, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonNewUi)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 30, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.CommonArticleBox = ccui.ImageView:create()
	setValue(self.CommonArticleBox, "WTX_CommonArticleBox", 300, cc.size(640, 62), cc.p(320, 802.8), cc.p(0.5, 0), nil, nil, nil, false)
	self.CommonArticleBox:loadTexture("ccs/UiImages/commonBg/common_img_diban00.png", 1)
	self.CommonArticleBox:setScale9Enabled(true)
	self.CommonArticleBox:setCapInsets(cc.rect(0, 0, 640, 62))
	addChildForPre(self.dialogPanel_2, self.CommonArticleBox)

	self.tabPanel = ccui.Layout:create()
	setValue(self.tabPanel, "WTX_tabPanel", 6, cc.size(640, 50), cc.p(320, 830.4), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.tabPanel)
	self.tabPanel_3 = self.tabPanel

	self.tabAllianceButton = ccui.Button:create()
	setValue(self.tabAllianceButton, "tabAllianceButton", 11, cc.size(124, 46), cc.p(73.216, 31), nil, nil, nil, nil, false)
	self.tabAllianceButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.tabAllianceButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabAllianceButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabAllianceButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tabAllianceButton:setTitleText([[tabAllia]])
	self.tabAllianceButton:setTitleFontSize(25)
	self.tabAllianceButton:setTitleFontName(getFont())
	setClickEvent(self, self.tabAllianceButton, "tabAllianceButton")
	addChildForPre(self.tabPanel_3, self.tabAllianceButton)

	self.tabAllianceShopButton = ccui.Button:create()
	setValue(self.tabAllianceShopButton, "tabAllianceShopButton", 12, cc.size(124, 46), cc.p(210.944, 31), nil, nil, nil, nil, false)
	self.tabAllianceShopButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.tabAllianceShopButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabAllianceShopButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabAllianceShopButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tabAllianceShopButton:setTitleText([[tabAShop]])
	self.tabAllianceShopButton:setTitleFontSize(25)
	self.tabAllianceShopButton:setTitleFontName(getFont())
	setClickEvent(self, self.tabAllianceShopButton, "tabAllianceShopButton")
	addChildForPre(self.tabPanel_3, self.tabAllianceShopButton)

	self.tabAllianceAuditButton = ccui.Button:create()
	setValue(self.tabAllianceAuditButton, "tabAllianceAuditButton", 13, cc.size(124, 46), cc.p(348.672, 31), nil, nil, nil, nil, false)
	self.tabAllianceAuditButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.tabAllianceAuditButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabAllianceAuditButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabAllianceAuditButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tabAllianceAuditButton:setTitleText([[tabAudit]])
	self.tabAllianceAuditButton:setTitleFontSize(25)
	self.tabAllianceAuditButton:setTitleFontName(getFont())
	setClickEvent(self, self.tabAllianceAuditButton, "tabAllianceAuditButton")
	addChildForPre(self.tabPanel_3, self.tabAllianceAuditButton)

	self.tabAllianceSerchButton = ccui.Button:create()
	setValue(self.tabAllianceSerchButton, "tabAllianceSerchButton", 53, cc.size(124, 46), cc.p(486.4, 31), nil, nil, nil, nil, false)
	self.tabAllianceSerchButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.tabAllianceSerchButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabAllianceSerchButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabAllianceSerchButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tabAllianceSerchButton:setTitleText([[tabSerch]])
	self.tabAllianceSerchButton:setTitleFontSize(25)
	self.tabAllianceSerchButton:setTitleFontName(getFont())
	setClickEvent(self, self.tabAllianceSerchButton, "tabAllianceSerchButton")
	addChildForPre(self.tabPanel_3, self.tabAllianceSerchButton)

	self.infoButton = ccui.Button:create()
	setValue(self.infoButton, "infoButton", 870, cc.size(81, 26), cc.p(589.056, 30.5), nil, cc.c4b(0, 156, 255, 255), nil, nil, false)
	self.infoButton:loadTextureNormal("ccs/UiImages/image9/Underline.png", 1)
	self.infoButton:loadTexturePressed("ccs/UiImages/image9/Underline.png", 1)
	self.infoButton:loadTextureDisabled("ccs/UiImages/image9/Underline.png", 1)
	self.infoButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.infoButton:setTitleText([[说明]])
	self.infoButton:setTitleFontSize(24)
	self.infoButton:setTitleFontName(getFont())
	setClickEvent(self, self.infoButton, "infoButton")
	addChildForPre(self.tabPanel_3, self.infoButton)

	self.contentPanel = ccui.Layout:create()
	setValue(self.contentPanel, "WIX_contentPanel", 14, cc.size(640, 796.8), cc.p(320, 9.6), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.contentPanel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
}

return _M
