-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 265, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 266, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonNewUi then 
 		self.CommonNewUi = CommonNewUi.new() 
 	else 
		self.CommonNewUi = BaseUi.new("ccs/ui/commonDialog/CommonNewUi.lua")
 	end 
	setValue(self.CommonNewUi, "CommonNewUi", 267, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.CommonNewUi)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 280, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "WIX_bgImage", 283, cc.size(607, 740), cc.p(320, 454.08), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.dialogPanel_2, self.bgImage)

	self.listviewPanel = ccui.Layout:create()
	setValue(self.listviewPanel, "WIX_listviewPanel", 284, cc.size(607, 680), cc.p(320, 482.88), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.listviewPanel)

	self.imageLine = ccui.ImageView:create()
	setValue(self.imageLine, "BXN_imageLine", 66, cc.size(2, 613), cc.p(320, 142), nil, nil, nil, nil, nil)
	self.imageLine:setRotationSkewX(90)
	self.imageLine:setRotationSkewY(90)
	self.imageLine:loadTexture("ccs/UiImages/common/common_img_16.png", 1)
	addChildForPre(self.dialogPanel_2, self.imageLine)

	self.labelPanel = ccui.Layout:create()
	setValue(self.labelPanel, "TXN_labelPanel", 311, cc.size(570, 50), cc.p(320, 816), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.labelPanel)
	self.labelPanel_3 = self.labelPanel

	self.rankingLabel1 = createLabel({text=[[XXXX]], font=getFont(), size=24})
	setValue(self.rankingLabel1, "rankingLabel1", 312, cc.size(64, 28), cc.p(51.3, 27.92), nil, cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.rankingLabel1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rankingLabel1:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.labelPanel_3, self.rankingLabel1)

	self.rankingLabel2 = createLabel({text=[[XXXXX]], font=getFont(), size=24})
	setValue(self.rankingLabel2, "rankingLabel2", 315, cc.size(80, 28), cc.p(171, 27.92), nil, cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.rankingLabel2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rankingLabel2:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.labelPanel_3, self.rankingLabel2)

	self.rankingLabel4 = createLabel({text=[[XXXXXX]], font=getFont(), size=24})
	setValue(self.rankingLabel4, "rankingLabel4", 316, cc.size(96, 28), cc.p(359.1, 27.92), nil, cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.rankingLabel4:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rankingLabel4:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.labelPanel_3, self.rankingLabel4)

	self.rankingLabel3 = createLabel({text=[[XXXXXX]], font=getFont(), size=24})
	setValue(self.rankingLabel3, "rankingLabel3", 317, cc.size(96, 28), cc.p(495.9, 27.92), nil, cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.rankingLabel3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rankingLabel3:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.labelPanel_3, self.rankingLabel3)

	self.mylabelPanel = ccui.Layout:create()
	setValue(self.mylabelPanel, "BXN_mylabelPanel", 350, cc.size(570, 50), cc.p(320, 86.4), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.mylabelPanel)
	self.mylabelPanel_3 = self.mylabelPanel

	self.myrankLabel1 = createLabel({text=[[XXXX]], font=getFont(), size=24})
	setValue(self.myrankLabel1, "myrankLabel1", 351, cc.size(64, 28), cc.p(51.3, 27.92), nil, cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.myrankLabel1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.myrankLabel1:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.mylabelPanel_3, self.myrankLabel1)

	self.myrankLabel2 = createLabel({text=[[XXXXX]], font=getFont(), size=24})
	setValue(self.myrankLabel2, "myrankLabel2", 352, cc.size(80, 28), cc.p(171, 27.92), nil, cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.myrankLabel2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.myrankLabel2:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.mylabelPanel_3, self.myrankLabel2)

	self.myrankLabel3 = createLabel({text=[[XXXXXX]], font=getFont(), size=24})
	setValue(self.myrankLabel3, "myrankLabel3", 353, cc.size(96, 28), cc.p(359.1, 27.92), nil, cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.myrankLabel3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.myrankLabel3:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.mylabelPanel_3, self.myrankLabel3)

	self.myrankLabel4 = createLabel({text=[[XXXXXX]], font=getFont(), size=24})
	setValue(self.myrankLabel4, "myrankLabel4", 354, cc.size(96, 28), cc.p(495.9, 27.92), nil, cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.myrankLabel4:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.myrankLabel4:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.mylabelPanel_3, self.myrankLabel4)

	self.residueNumlabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.residueNumlabel, "BXN_residueNumlabel", 661, cc.size(109, 28), cc.p(320, 43.2), nil, nil, nil, nil, nil)
	self.residueNumlabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.residueNumlabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/battle.plist",
	"ccs/plist/common.plist",
}

return _M
