-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 972, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 973, cc.size(120, 120), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 992, cc.size(100, 100), cc.p(60, 60), nil, nil, nil, nil, nil)
	self.bgImage:loadTexture("ccs/UiImages/commonBg/qualityBg1.png", 1)
	addChildForPre(self.rootPanel_1, self.bgImage)

	self.legionSprite = cc.Sprite:create()
	setValue(self.legionSprite, "legionSprite", 138, cc.size(100, 100), cc.p(60, 60), nil, nil, nil, nil, nil)
	self.legionSprite:setScale(0.9)
	self.legionSprite:setSpriteFrame("ccs/UiImages/icon/legion_01.png")
	addChildForPre(self.rootPanel_1, self.legionSprite)

	self.clickButton = ccui.Button:create()
	self.clickButton:setScale9Enabled(true)
	self.clickButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.clickButton:setContentSize(cc.size(120, 120))
	setValue(self.clickButton, "clickButton", 80, nil, cc.p(60, 60), nil, nil, nil, nil, false)
	self.clickButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.clickButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.clickButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.clickButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.clickButton:setTitleText([[]])
	self.clickButton:setTitleColor(cc.c3b(65, 65, 70))
	self.clickButton:setTitleFontSize(14)
	self.clickButton:setTitleFontName(getFont())
	setClickEvent(self, self.clickButton, "clickButton")
	addChildForPre(self.rootPanel_1, self.clickButton)

	self.selectSprite = cc.Sprite:create()
	setValue(self.selectSprite, "selectSprite", 389, cc.size(102, 102), cc.p(60, 60), nil, nil, nil, nil, nil)
	self.selectSprite:setSpriteFrame("ccs/UiImages/beginnersGuide/yindao01001.png")
	addChildForPre(self.rootPanel_1, self.selectSprite)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/legion.plist",
	"ccs/plist/common.plist",
	"ccs/plist/beginnersGuide.plist",
}

return _M
