-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 68, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonNewUi then 
 		self.commonNewUi = CommonNewUi.new() 
 	else 
		self.commonNewUi = BaseUi.new("ccs/ui/commonDialog/CommonNewUi.lua")
 	end 
	setValue(self.commonNewUi, "commonNewUi", 86, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonNewUi)

	self.listViewContent = ccui.Layout:create()
	setValue(self.listViewContent, "WIX_listViewContent", 70, cc.size(640, 804), cc.p(0, 8), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.listViewContent)

	self.endImage = ccui.ImageView:create()
	setValue(self.endImage, "WTX_endImage", 240, cc.size(640, 8), cc.p(320, 816), nil, nil, nil, nil, false)
	self.endImage:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	self.endImage:setScale9Enabled(true)
	self.endImage:setCapInsets(cc.rect(0, 0, 640, 8))
	addChildForPre(self.rootPanel_1, self.endImage)

	self.topContent = ccui.Layout:create()
	setValue(self.topContent, "TXN_topContent", 69, cc.size(640, 50), cc.p(0, 816), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.topContent)
	self.topContent_2 = self.topContent

	self.contributionTitleLabel = createLabel({text=[[个人贡献点:]], font=getFont(), size=24,align = 2})
	setValue(self.contributionTitleLabel, "contributionTitleLabel", 74, cc.size(126, 28), cc.p(147.456, 24.15), cc.p(1, 0.5), nil, nil, nil, nil)
	self.contributionTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.topContent_2, self.contributionTitleLabel)

	self.contributionNumLabel = createLabel({text=[[00000000]], font=getFont(), size=24})
	setValue(self.contributionNumLabel, "contributionNumLabel", 75, cc.size(106, 28), cc.p(147.456, 24.15), cc.p(0, 0.5), cc.c4b(0, 255, 0, 255), nil, nil, nil)
	self.contributionNumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.contributionNumLabel:setColor(cc.c4b(0, 255, 0, 255))
	addChildForPre(self.topContent_2, self.contributionNumLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
}

return _M
