-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_0 = cc.Node:create()
	setValue(self.Node_0, "Node_0", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_0)
 	self.uiRootNode = self.Node_0
	self.Node_0_0 = self.Node_0

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 9, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonNewUi then 
 		self.commonNewUi = CommonNewUi.new() 
 	else 
		self.commonNewUi = BaseUi.new("ccs/ui/commonDialog/CommonNewUi.lua")
 	end 
	setValue(self.commonNewUi, "commonNewUi", 165, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonNewUi)

	self.techListView = ccui.Layout:create()
	setValue(self.techListView, "WIX_techListView", 54, cc.size(640, 804), cc.p(320, 8), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.techListView)

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "AXY_Panel", 5, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Panel)
	self.Panel_2 = self.Panel

	self.Image = ccui.ImageView:create()
	setValue(self.Image, "WTX_Image", 285, cc.size(640, 62), cc.p(320, 835.2), nil, nil, nil, nil, nil)
	self.Image:loadTexture("ccs/UiImages/commonBg/common_img_diban00.png", 1)
	addChildForPre(self.Panel_2, self.Image)

	self.labelPanel = ccui.Layout:create()
	setValue(self.labelPanel, "TXN_labelPanel", 258, cc.size(640, 50), cc.p(0, 816), nil, nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.labelPanel)
	self.labelPanel_3 = self.labelPanel

	self.buildlabel = createLabel({text=[[军团建设：]], font=getFont(), size=24})
	setValue(self.buildlabel, "buildlabel", 283, cc.size(120, 28), cc.p(12.8, 23.91), cc.p(0, 0.5), cc.c4b(0, 156, 255, 255), nil, nil, nil)
	self.buildlabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.buildlabel:setColor(cc.c4b(0, 156, 255, 255))
	addChildForPre(self.labelPanel_3, self.buildlabel)

	self.buildNumlabel = createLabel({text=[[999999]], font=getFont(), size=24})
	setValue(self.buildNumlabel, "buildNumlabel", 284, cc.size(80, 28), cc.p(128, 23.91), cc.p(0, 0.5), cc.c4b(0, 156, 255, 255), nil, nil, nil)
	self.buildNumlabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.buildNumlabel:setColor(cc.c4b(0, 156, 255, 255))
	addChildForPre(self.labelPanel_3, self.buildNumlabel)

	self.explainButton = ccui.Button:create()
	setValue(self.explainButton, "explainButton", 114, cc.size(81, 26), cc.p(567.3112, 26.6129), nil, cc.c4b(0, 156, 255, 255), nil, nil, false)
	self.explainButton:loadTextureNormal("ccs/UiImages/image9/Underline.png", 1)
	self.explainButton:loadTexturePressed("ccs/UiImages/image9/Underline.png", 1)
	self.explainButton:loadTextureDisabled("ccs/UiImages/image9/Underline.png", 1)
	self.explainButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.explainButton:setTitleText([[Button]])
	self.explainButton:setTitleFontSize(24)
	self.explainButton:setTitleFontName(getFont())
	setClickEvent(self, self.explainButton, "explainButton")
	addChildForPre(self.labelPanel_3, self.explainButton)

	self.techListView = ccui.Layout:create()
	setValue(self.techListView, "WIX_techListView", 54, cc.size(640, 804), cc.p(320, 8), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.techListView)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/image9.plist",
}

return _M
