-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 99, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 123, cc.size(138, 132), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.Satellite = cc.Sprite:create()
	setValue(self.Satellite, "Satellite", 122, cc.size(256, 256), cc.p(69, 66), nil, nil, nil, nil, nil)
	self.Satellite:setScale(0.5)
	self.Satellite:setSpriteFrame("ccs/UiImages/allianceBadge/Satellite.png")
	addChildForPre(self.rootPanel_1, self.Satellite)

	self.Particle_1 = cc.ParticleSystemQuad:create("ccs/Particle/allianceBadge2_Par02.plist")
 	self.Particle_1:setPositionType(2) 
	setValue(self.Particle_1, "Particle_1", 123, nil, cc.p(69, 66), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle_1:setScale(0.4)
	addChildForPre(self.rootPanel_1, self.Particle_1)

	self.Particle_3 = cc.ParticleSystemQuad:create("ccs/Particle/allianceBadge11_Par02.plist")
 	self.Particle_3:setPositionType(2) 
	setValue(self.Particle_3, "Particle_3", 125, nil, cc.p(55.1675, 54.0001), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle_3:setScale(0.25)
	addChildForPre(self.rootPanel_1, self.Particle_3)

	self.Particle_2 = cc.ParticleSystemQuad:create("ccs/Particle/allianceBadge11_Par01.plist")
 	self.Particle_2:setPositionType(2) 
	setValue(self.Particle_2, "Particle_2", 124, nil, cc.p(45.583, 46.2497), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle_2:setRotationSkewX(-135)
	self.Particle_2:setRotationSkewY(-135)
	self.Particle_2:setScale(0.2)
	addChildForPre(self.rootPanel_1, self.Particle_2)

	self.Particle_4 = cc.ParticleSystemQuad:create("ccs/Particle/allianceBadge11_Par03.plist")
 	self.Particle_4:setPositionType(2) 
	setValue(self.Particle_4, "Particle_4", 126, nil, cc.p(78.3333, 60), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle_4:setRotationSkewX(180)
	self.Particle_4:setRotationSkewY(179.9991)
	self.Particle_4:setScale(0.4)
	addChildForPre(self.rootPanel_1, self.Particle_4)

	self.Particle_5 = cc.ParticleSystemQuad:create("ccs/Particle/allianceBadge11_Par03.plist")
 	self.Particle_5:setPositionType(2) 
	setValue(self.Particle_5, "Particle_5", 127, nil, cc.p(61.5, 76.3571), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle_5:setRotationSkewX(50.4259)
	self.Particle_5:setRotationSkewY(50.4259)
	self.Particle_5:setScale(0.4)
	addChildForPre(self.rootPanel_1, self.Particle_5)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(180)
	self.animation:setTimeSpeed(1)
	local timeLine
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 69.0000, 66.0000, nil))
	timeLine:addFrame(CreatePositionFrame(180, true, 69.0000, 66.0000, nil))
	timeLine:setNode(self.Satellite)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 0.5000, 0.5000, nil))
	timeLine:addFrame(CreateScaleFrame(180, true, 0.5000, 0.5000, nil))
	timeLine:setNode(self.Satellite)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(180, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.Satellite)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateEventFrame(0, true, "begin", nil))
	timeLine:addFrame(CreateEventFrame(180, true, "over", nil))
	timeLine:setNode(self.Satellite)
	return self
end

_M.textures = {
	"ccs/plist/allianceBadge.plist",
}

return _M
