-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 99, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 123, cc.size(138, 132), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.cartridge01 = cc.Sprite:create()
	setValue(self.cartridge01, "cartridge01", 17, cc.size(256, 256), cc.p(69, 66), nil, nil, nil, nil, nil)
	self.cartridge01:setScale(0.5)
	self.cartridge01:setSpriteFrame("ccs/UiImages/allianceBadge/cartridge01.png")
	addChildForPre(self.rootPanel_1, self.cartridge01)

	self.Particle_1 = cc.ParticleSystemQuad:create("ccs/Particle/allianceBadge2_Par01.plist")
 	self.Particle_1:setPositionType(2) 
	setValue(self.Particle_1, "Particle_1", 19, nil, cc.p(69, 66), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle_1:setScale(0.4)
	addChildForPre(self.rootPanel_1, self.Particle_1)

	self.cartridge02 = cc.Sprite:create()
	setValue(self.cartridge02, "cartridge02", 18, cc.size(256, 256), cc.p(69, 66), nil, nil, nil, nil, nil)
	self.cartridge02:setScale(0.5)
	self.cartridge02:setSpriteFrame("ccs/UiImages/allianceBadge/cartridge02.png")
	addChildForPre(self.rootPanel_1, self.cartridge02)

	self.Particle_2 = cc.ParticleSystemQuad:create("ccs/Particle/allianceBadge2_Par02.plist")
 	self.Particle_2:setPositionType(2) 
	setValue(self.Particle_2, "Particle_2", 20, nil, cc.p(69, 66), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle_2:setScale(0.4)
	addChildForPre(self.rootPanel_1, self.Particle_2)

	self.Particle_3 = cc.ParticleSystemQuad:create("ccs/Particle/allianceBadge2_Par03.plist")
 	self.Particle_3:setPositionType(2) 
	setValue(self.Particle_3, "Particle_3", 21, nil, cc.p(69, 66), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle_3:setScale(0.3)
	addChildForPre(self.rootPanel_1, self.Particle_3)

	self.Particle_4 = cc.ParticleSystemQuad:create("ccs/Particle/allianceBadge2_Par03.plist")
 	self.Particle_4:setPositionType(2) 
	setValue(self.Particle_4, "Particle_4", 22, nil, cc.p(69, 66), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle_4:setRotationSkewY(180)
	self.Particle_4:setScale(0.3)
	addChildForPre(self.rootPanel_1, self.Particle_4)

	self.Particle_5 = cc.ParticleSystemQuad:create("ccs/Particle/allianceBadge2_Par03.plist")
 	self.Particle_5:setPositionType(2) 
	setValue(self.Particle_5, "Particle_5", 23, nil, cc.p(55.2, 52.8), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle_5:setScale(0.3)
	addChildForPre(self.rootPanel_1, self.Particle_5)

	self.Particle_6 = cc.ParticleSystemQuad:create("ccs/Particle/allianceBadge2_Par03.plist")
 	self.Particle_6:setPositionType(2) 
	setValue(self.Particle_6, "Particle_6", 24, nil, cc.p(55.2, 52.8), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle_6:setRotationSkewY(179.9987)
	self.Particle_6:setScale(0.3)
	addChildForPre(self.rootPanel_1, self.Particle_6)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/allianceBadge.plist",
}

return _M
