-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 105, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 106, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 381, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	setBgColor(self.dialogPanel, 1, nil, cc.c4b(31, 36, 44, 255), nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.allianceBgPanel = ccui.Layout:create()
	setValue(self.allianceBgPanel, "WIX_allianceBgPanel", 171, cc.size(640, 788), cc.p(320, 182), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.allianceBgPanel)
	self.allianceBgPanel_3 = self.allianceBgPanel

	self.imageBg = ccui.ImageView:create()
	setValue(self.imageBg, "imageBg", 26, cc.size(640, 788), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	self.imageBg:loadTexture("ccs/BigImages/background/juntuanduijue.webp")
	addChildForPre(self.allianceBgPanel_3, self.imageBg)

	self.rewardPanel = ccui.Layout:create()
	setValue(self.rewardPanel, "LYN_rewardPanel", 492, cc.size(370, 410), cc.p(0, 480), cc.p(0, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.rewardPanel)
	self.rewardPanel_3 = self.rewardPanel

	self.rewardBgImage = ccui.ImageView:create()
	setValue(self.rewardBgImage, "rewardBgImage", 845, cc.size(370, 410), cc.p(185, 205), nil, nil, nil, nil, false)
	self.rewardBgImage:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.rewardBgImage:setScale9Enabled(true)
	self.rewardBgImage:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.rewardPanel_3, self.rewardBgImage)

	self.tiplineImage01 = ccui.ImageView:create()
	setValue(self.tiplineImage01, "tiplineImage01", 639, cc.size(2, 332.1), cc.p(185, 291.1), nil, nil, nil, nil, false)
	self.tiplineImage01:setRotationSkewX(90)
	self.tiplineImage01:setRotationSkewY(90)
	self.tiplineImage01:loadTexture("ccs/UiImages/common/common_img_16.png", 1)
	self.tiplineImage01:setScale9Enabled(true)
	self.tiplineImage01:setCapInsets(cc.rect(0, 0, 2, 613))
	addChildForPre(self.rewardPanel_3, self.tiplineImage01)

	self.tiplineImage02 = ccui.ImageView:create()
	setValue(self.tiplineImage02, "tiplineImage02", 640, cc.size(2, 332.1), cc.p(185, 168.1), nil, nil, nil, nil, false)
	self.tiplineImage02:setRotationSkewX(90)
	self.tiplineImage02:setRotationSkewY(90)
	self.tiplineImage02:loadTexture("ccs/UiImages/common/common_img_16.png", 1)
	self.tiplineImage02:setScale9Enabled(true)
	self.tiplineImage02:setCapInsets(cc.rect(0, 0, 2, 613))
	addChildForPre(self.rewardPanel_3, self.tiplineImage02)

	self.rewardSelectButton = ccui.Button:create()
	setValue(self.rewardSelectButton, "rewardSelectButton", 493, cc.size(133, 114), cc.p(107.3, 248.9), nil, nil, nil, nil, nil)
	self.rewardSelectButton:loadTextureNormal("ccs/UiImages/battle/icon_box02.png", 1)
	self.rewardSelectButton:loadTexturePressed("ccs/UiImages/battle/icon_box01.png", 1)
	self.rewardSelectButton:loadTextureDisabled("ccs/UiImages/battle/icon_box01.png", 1)
	self.rewardSelectButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.rewardSelectButton:setTitleText([[]])
	self.rewardSelectButton:setTitleFontSize(25)
	self.rewardSelectButton:setTitleFontName(getFont())
	setClickEvent(self, self.rewardSelectButton, "rewardSelectButton")
	addChildForPre(self.rewardPanel_3, self.rewardSelectButton)
	self.rewardSelectButton_4 = self.rewardSelectButton

	self.rewardSelectLabel = createLabel({text=[[rewardSelectLabel]], font=getFont(), size=26})
	setValue(self.rewardSelectLabel, "rewardSelectLabel", 799, cc.size(215, 31), cc.p(66.5, 0.4), nil, nil, nil, nil, nil)
	self.rewardSelectLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rewardSelectButton_4, self.rewardSelectLabel)

	self.rankingButton = ccui.Button:create()
	setValue(self.rankingButton, "rankingButton", 1033, cc.size(100, 80), cc.p(244.2, 241.9), cc.p(0, 0.5), nil, nil, nil, nil)
	self.rankingButton:loadTextureNormal("ccs/UiImages/common/worldboss_btn_lingjiang.png", 1)
	self.rankingButton:loadTexturePressed("ccs/UiImages/common/worldboss_btn_lingjiang.png", 1)
	self.rankingButton:loadTextureDisabled("ccs/UiImages/common/worldboss_btn_lingjiang.png", 1)
	self.rankingButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.rankingButton:setTitleText([[]])
	self.rankingButton:setTitleColor(cc.c3b(65, 65, 70))
	self.rankingButton:setTitleFontSize(25)
	self.rankingButton:setTitleFontName(getFont())
	setClickEvent(self, self.rankingButton, "rankingButton")
	addChildForPre(self.rewardPanel_3, self.rankingButton)
	self.rankingButton_4 = self.rankingButton

	self.rankingButtonLabel = createLabel({text=[[rankingButton]], font=getFont(), size=26,align = 2,valign = 1})
	setValue(self.rankingButtonLabel, "rankingButtonLabel", 1032, cc.size(160, 31), cc.p(50, -9.6), nil, nil, nil, nil, nil)
	self.rankingButtonLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rankingButton_4, self.rankingButtonLabel)

	self.explainLabel = createLabel({text=[[explainLabel]], font=getFont(), size=26})
	setValue(self.explainLabel, "explainLabel", 1035, cc.size(146, 31), cc.p(18.5, 381.3), cc.p(0, 0.5), cc.c4b(0, 156, 255, 255), nil, nil, nil)
	self.explainLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.explainLabel:setColor(cc.c4b(0, 156, 255, 255))
	addChildForPre(self.rewardPanel_3, self.explainLabel)

	self.enemyNameLabel = createLabel({text=[[enemyNameLabel]], font=getFont(), size=25,align = 1})
	setValue(self.enemyNameLabel, "enemyNameLabel", 150, cc.size(202, 29), cc.p(185, 332.1), nil, cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.enemyNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.enemyNameLabel:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.rewardPanel_3, self.enemyNameLabel)

	self.btRewardPanel = ccui.Layout:create()
	setValue(self.btRewardPanel, "btRewardPanel", 1126, cc.size(370, 120), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rewardPanel_3, self.btRewardPanel)

	self.rewardLabel = createLabel({text=[[rewardLabel]], font=getFont(), size=26})
	setValue(self.rewardLabel, "rewardLabel", 1034, cc.size(143, 31), cc.p(18.5, 139.4), cc.p(0, 0.5), cc.c4b(0, 156, 255, 255), nil, nil, nil)
	self.rewardLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rewardLabel:setColor(cc.c4b(0, 156, 255, 255))
	addChildForPre(self.rewardPanel_3, self.rewardLabel)

	self.buttonPanel = ccui.Layout:create()
	setValue(self.buttonPanel, "WBX_buttonPanel", 516, cc.size(640, 172.8), cc.p(320, 86.4), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.buttonPanel)
	self.buttonPanel_3 = self.buttonPanel

	self.adjustmentButton = ccui.Button:create()
	self.adjustmentButton:setScale9Enabled(true)
	self.adjustmentButton:setCapInsets(cc.rect(0, 0, 153, 64))
	self.adjustmentButton:setContentSize(cc.size(153, 64))
	setValue(self.adjustmentButton, "XYN_adjustmentButton", 494, nil, cc.p(128, 50.4), nil, nil, nil, nil, false)
	self.adjustmentButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.adjustmentButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.adjustmentButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.adjustmentButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.adjustmentButton:setTitleText([[adjButton]])
	self.adjustmentButton:setTitleFontSize(25)
	self.adjustmentButton:setTitleFontName(getFont())
	setClickEvent(self, self.adjustmentButton, "adjustmentButton")
	addChildForPre(self.buttonPanel_3, self.adjustmentButton)

	self.attackButton = ccui.Button:create()
	setValue(self.attackButton, "XYN_attackButton", 515, cc.size(153, 64), cc.p(512, 50.4), nil, nil, nil, nil, false)
	self.attackButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.attackButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.attackButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.attackButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.attackButton:setTitleText([[attackButton]])
	self.attackButton:setTitleFontSize(25)
	self.attackButton:setTitleFontName(getFont())
	setClickEvent(self, self.attackButton, "attackButton")
	addChildForPre(self.buttonPanel_3, self.attackButton)
	self.attackButton_4 = self.attackButton

	self.REDPOINT_LOGNMARCH_ALLIANCEBATTLE_STATE = cc.Sprite:create()
	setValue(self.REDPOINT_LOGNMARCH_ALLIANCEBATTLE_STATE, "REDPOINT_LOGNMARCH_ALLIANCEBATTLE_STATE", 2179, cc.size(24, 24), cc.p(145.35, 57.6), nil, nil, nil, nil, nil)
	self.REDPOINT_LOGNMARCH_ALLIANCEBATTLE_STATE:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.attackButton_4, self.REDPOINT_LOGNMARCH_ALLIANCEBATTLE_STATE)

	self.countdownPanel = ccui.Layout:create()
	setValue(self.countdownPanel, "XYN_countdownPanel", 748, cc.size(230, 70), cc.p(514.5, 87), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.buttonPanel_3, self.countdownPanel)
	self.countdownPanel_4 = self.countdownPanel

	self.labelCD_Title = createLabel({text=[[labelCD_Title]], font=getFont(), size=22,align = 1})
	setValue(self.labelCD_Title, "labelCD_Title", 988, cc.size(131, 26), cc.p(115, 35), cc.p(0.5, 0), nil, nil, nil, nil)
	self.labelCD_Title:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.countdownPanel_4, self.labelCD_Title)

	self.labelOpen = createLabel({text=[[labelOpen]], font=getFont(), size=26,align = 1})
	setValue(self.labelOpen, "labelOpen", 355, cc.size(118, 31), cc.p(115, 35), nil, nil, nil, nil, nil)
	self.labelOpen:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.countdownPanel_4, self.labelOpen)

	self.labelCD_Time = createLabel({text=[[labelCD_Time]], font=getFont(), size=24,align = 1})
	setValue(self.labelCD_Time, "labelCD_Time", 989, cc.size(151, 28), cc.p(115, 34.3), cc.p(0.5, 1), nil, nil, nil, nil)
	self.labelCD_Time:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.countdownPanel_4, self.labelCD_Time)

	self.imageLine1 = ccui.ImageView:create()
	setValue(self.imageLine1, "WBX_imageLine1", 701, cc.size(640, 8), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	self.imageLine1:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	addChildForPre(self.buttonPanel_3, self.imageLine1)

	self.imageLine2 = ccui.ImageView:create()
	setValue(self.imageLine2, "WTX_imageLine2", 702, cc.size(640, 30), cc.p(320, 172.8), nil, nil, nil, nil, nil)
	self.imageLine2:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	addChildForPre(self.buttonPanel_3, self.imageLine2)

	self.allianceBattleTitle = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.allianceBattleTitle, "TXN_allianceBattleTitle", 663, cc.size(91, 23), cc.p(320, 864), nil, nil, nil, nil, nil)
	self.allianceBattleTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.allianceBattleTitle)

	self.helpButton = ccui.Button:create()
	setValue(self.helpButton, "LTN_helpButton", 614, cc.size(68, 42), cc.p(81.216, 889.92), nil, nil, nil, nil, nil)
	self.helpButton:loadTextureNormal("ccs/UiImages/image9/common_btn_xiangqing.png", 1)
	self.helpButton:loadTexturePressed("ccs/UiImages/image9/common_btn_xiangqing.png", 1)
	self.helpButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_xiangqing.png", 1)
	self.helpButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.helpButton:setTitleText([[]])
	self.helpButton:setTitleColor(cc.c3b(65, 65, 70))
	self.helpButton:setTitleFontSize(14)
	self.helpButton:setTitleFontName(getFont())
	setClickEvent(self, self.helpButton, "helpButton")
	addChildForPre(self.dialogPanel_2, self.helpButton)

	self.closeButton = ccui.Button:create()
	setValue(self.closeButton, "RTN_closeButton", 110, cc.size(46, 36), cc.p(584, 909.984), nil, nil, nil, nil, nil)
	self.closeButton:setScale(0.75)
	self.closeButton:loadTextureNormal("Default/Button_Normal.png", 0)
	self.closeButton:loadTexturePressed("Default/Button_Press.png", 0)
	self.closeButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.closeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.closeButton:setTitleText([[]])
	self.closeButton:setTitleColor(cc.c3b(65, 65, 70))
	self.closeButton:setTitleFontSize(14)
	self.closeButton:setTitleFontName(getFont())
	setClickEvent(self, self.closeButton, "closeButton")
	addChildForPre(self.dialogPanel_2, self.closeButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/BigImages/background/juntuanduijue.png",
	"ccs/plist/battle.plist",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
	"Default/Button_Disable.png",
	"Default/Button_Press.png",
	"Default/Button_Normal.png",
}

return _M
