-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 85, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 86, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	setBgColor(self.rootPanel, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 828, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 212, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.tabPanel = ccui.Layout:create()
	setValue(self.tabPanel, "WTX_tabPanel", 119, cc.size(640, 62), cc.p(320, 853), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.tabPanel)
	self.tabPanel_3 = self.tabPanel

	self.tabBgImage = ccui.ImageView:create()
	setValue(self.tabBgImage, "tabBgImage", 982, cc.size(640, 62), cc.p(320, 31), nil, nil, nil, nil, false)
	self.tabBgImage:loadTexture("ccs/UiImages/commonBg/common_img_diban00.png", 1)
	self.tabBgImage:setScale9Enabled(true)
	self.tabBgImage:setCapInsets(cc.rect(0, 0, 640, 62))
	addChildForPre(self.tabPanel_3, self.tabBgImage)

	self.tab1Button = ccui.Button:create()
	self.tab1Button:setScale9Enabled(true)
	self.tab1Button:setCapInsets(cc.rect(0, 0, 247, 91))
	self.tab1Button:setContentSize(cc.size(124, 47))
	setValue(self.tab1Button, "tab1Button", 213, nil, cc.p(73.2, 31), nil, nil, nil, nil, false)
	self.tab1Button:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.tab1Button:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tab1Button:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tab1Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tab1Button:setTitleText([[tab1Button]])
	self.tab1Button:setTitleFontSize(25)
	self.tab1Button:setTitleFontName(getFont())
	setClickEvent(self, self.tab1Button, "tab1Button")
	addChildForPre(self.tabPanel_3, self.tab1Button)

	self.tab2Button = ccui.Button:create()
	self.tab2Button:setScale9Enabled(true)
	self.tab2Button:setCapInsets(cc.rect(0, 0, 247, 91))
	self.tab2Button:setContentSize(cc.size(124, 47))
	setValue(self.tab2Button, "tab2Button", 214, nil, cc.p(209.5, 31), nil, nil, nil, nil, false)
	self.tab2Button:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.tab2Button:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tab2Button:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tab2Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tab2Button:setTitleText([[tab2Button]])
	self.tab2Button:setTitleFontSize(25)
	self.tab2Button:setTitleFontName(getFont())
	setClickEvent(self, self.tab2Button, "tab2Button")
	addChildForPre(self.tabPanel_3, self.tab2Button)

	self.tab3Button = ccui.Button:create()
	self.tab3Button:setScale9Enabled(true)
	self.tab3Button:setCapInsets(cc.rect(0, 0, 247, 91))
	self.tab3Button:setContentSize(cc.size(124, 47))
	setValue(self.tab3Button, "tab3Button", 24, nil, cc.p(345.8, 31), nil, nil, nil, nil, false)
	self.tab3Button:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.tab3Button:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tab3Button:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tab3Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tab3Button:setTitleText([[tab3Button]])
	self.tab3Button:setTitleFontSize(25)
	self.tab3Button:setTitleFontName(getFont())
	setClickEvent(self, self.tab3Button, "tab3Button")
	addChildForPre(self.tabPanel_3, self.tab3Button)

	self.contentPanel = ccui.Layout:create()
	setValue(self.contentPanel, "WIX_contentPanel", 433, cc.size(640, 811), cc.p(320, 11), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.contentPanel)

	self.imageLine = ccui.ImageView:create()
	setValue(self.imageLine, "WBX_imageLine", 1021, cc.size(640, 8), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	self.imageLine:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	addChildForPre(self.dialogPanel_2, self.imageLine)

	if CommonDialogFrame1CloseUi then 
 		self.commonDialogFrame1CloseUi = CommonDialogFrame1CloseUi.new() 
 	else 
		self.commonDialogFrame1CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame1CloseUi, "commonDialogFrame1CloseUi", 843, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.commonDialogFrame1CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
}

return _M
