-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 6, cc.size(640, 170), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bigPanel = ccui.Layout:create()
	setValue(self.bigPanel, "bigPanel", 18, cc.size(640, 170), cc.p(320, 85), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.bigPanel)
	self.bigPanel_2 = self.bigPanel

	self.bg1Image = ccui.ImageView:create()
	setValue(self.bg1Image, "bg1Image", 105, cc.size(612, 167), cc.p(320, 85), nil, nil, nil, nil, nil)
	self.bg1Image:loadTexture("ccs/UiImages/commonBg/common_img_ditiao.png", 1)
	addChildForPre(self.bigPanel_2, self.bg1Image)

	self.bg2Image = ccui.ImageView:create()
	setValue(self.bg2Image, "bg2Image", 2080, cc.size(462, 143), cc.p(259.3576, 87.8701), nil, nil, nil, nil, nil)
	self.bg2Image:loadTexture("ccs/UiImages/commonBg/battle_img_paihang04.png", 1)
	addChildForPre(self.bigPanel_2, self.bg2Image)

	self.fightLogTextPanel = ccui.Layout:create()
	setValue(self.fightLogTextPanel, "fightLogTextPanel", 9, cc.size(450, 100), cc.p(32, 87.8346), cc.p(0, 0.5), nil, nil, nil, nil)
	addChildForPre(self.bigPanel_2, self.fightLogTextPanel)

	self.timeText = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.timeText, "timeText", 6, cc.size(91, 23), cc.p(597.3933, 126.1004), cc.p(1, 0.5), nil, nil, nil, nil)
	self.timeText:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.timeText)

	self.logButton = ccui.Button:create()
	setValue(self.logButton, "logButton", 88, cc.size(98, 51), cc.p(551.7734, 70.8275), nil, nil, nil, nil, false)
	self.logButton:setScale(0.8)
	self.logButton:loadTextureNormal("ccs/UiImages/image9/CommonPanel_btn_smallblue_0.png", 1)
	self.logButton:loadTexturePressed("ccs/UiImages/image9/CommonPanel_btn_smallblue_1.png", 1)
	self.logButton:loadTextureDisabled("ccs/UiImages/image9/CommonPanel_btn_small_2.png", 1)
	self.logButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.logButton:setTitleText([[Button]])
	self.logButton:setTitleFontSize(24)
	self.logButton:setTitleFontName(getFont())
	setClickEvent(self, self.logButton, "logButton")
	addChildForPre(self.bigPanel_2, self.logButton)

	self.ChouDiPanel = ccui.Layout:create()
	setValue(self.ChouDiPanel, "ChouDiPanel", 345, cc.size(640, 120), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.ChouDiPanel)
	self.ChouDiPanel_1 = self.ChouDiPanel

	self.CommonChildGreen = ccui.ImageView:create()
	setValue(self.CommonChildGreen, "CommonChildGreen", 346, cc.size(640, 110), cc.p(320, 60), nil, nil, nil, nil, false)
	self.CommonChildGreen:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.CommonChildGreen:setScale9Enabled(true)
	self.CommonChildGreen:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.ChouDiPanel_1, self.CommonChildGreen)

	self.HonourBoySmall = cc.Sprite:create()
	setValue(self.HonourBoySmall, "HonourBoySmall", 378, cc.size(100, 100), cc.p(64, 61.2), nil, nil, nil, nil, nil)
	self.HonourBoySmall:setScale(0.9)
	self.HonourBoySmall:setTexture("ccs/BigImages/userIcon/pic1.webp")
	addChildForPre(self.ChouDiPanel_1, self.HonourBoySmall)

	self.zid = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.zid, "zid", 379, cc.size(91, 23), cc.p(172.8, 61.2), cc.p(1, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.zid:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.zid:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.ChouDiPanel_1, self.zid)

	self.name = createLabel({text=[[123456789012345]], font=getFont(), size=20})
	setValue(self.name, "name", 380, cc.size(166, 23), cc.p(179.2, 61.2), cc.p(0, 0.5), nil, nil, nil, nil)
	self.name:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.ChouDiPanel_1, self.name)

	self.level = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.level, "level", 381, cc.size(91, 23), cc.p(326.4, 61.2), cc.p(0, 0.5), nil, nil, nil, nil)
	self.level:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.ChouDiPanel_1, self.level)

	self.warePoint = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.warePoint, "warePoint", 382, cc.size(91, 23), cc.p(505.6, 61.2), cc.p(1, 0.5), nil, nil, nil, nil)
	self.warePoint:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.ChouDiPanel_1, self.warePoint)

	self.AttackButton = ccui.Button:create()
	setValue(self.AttackButton, "AttackButton", 383, cc.size(98, 51), cc.p(614.4, 61.2), cc.p(1, 0.5), nil, nil, nil, false)
	self.AttackButton:setScale(0.8)
	self.AttackButton:loadTextureNormal("ccs/UiImages/image9/CommonPanel_btn_smallred_0.png", 1)
	self.AttackButton:loadTexturePressed("ccs/UiImages/image9/CommonPanel_btn_smallred_1.png", 1)
	self.AttackButton:loadTextureDisabled("ccs/UiImages/image9/CommonPanel_btn_small_2.png", 1)
	self.AttackButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.AttackButton:setTitleText([[Button]])
	self.AttackButton:setTitleFontSize(25)
	self.AttackButton:setTitleFontName(getFont())
	setClickEvent(self, self.AttackButton, "AttackButton")
	addChildForPre(self.ChouDiPanel_1, self.AttackButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/battle.plist",
	"ccs/BigImages/userIcon/pic1.png",
}

return _M
