-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 68, cc.size(950, 420), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.leftListViewPanel = ccui.Layout:create()
	setValue(self.leftListViewPanel, "leftListViewPanel", 70, cc.size(550, 420), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.leftListViewPanel)
	self.leftListViewPanel_2 = self.leftListViewPanel

	self.leftTopTitlePanel = ccui.Layout:create()
	setValue(self.leftTopTitlePanel, "leftTopTitlePanel", 143, cc.size(550, 50), cc.p(275, 399), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.leftListViewPanel_2, self.leftTopTitlePanel)
	self.leftTopTitlePanel_3 = self.leftTopTitlePanel

	self.LrankNumLabel = createLabel({text=[[rankNum]], font=getFont(), size=24})
	setValue(self.LrankNumLabel, "LrankNumLabel", 146, cc.size(97, 28), cc.p(82.5, 25), nil, cc.c4b(217, 194, 105, 255), nil, nil, nil)
	self.LrankNumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.LrankNumLabel:setColor(cc.c4b(217, 194, 105, 255))
	addChildForPre(self.leftTopTitlePanel_3, self.LrankNumLabel)

	self.nameLabel = createLabel({text=[[name]], font=getFont(), size=24})
	setValue(self.nameLabel, "nameLabel", 145, cc.size(60, 28), cc.p(275, 25), nil, cc.c4b(217, 194, 105, 255), nil, nil, nil)
	self.nameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.nameLabel:setColor(cc.c4b(217, 194, 105, 255))
	addChildForPre(self.leftTopTitlePanel_3, self.nameLabel)

	self.LdiamondLabel = createLabel({text=[[diamondLabel]], font=getFont(), size=24})
	setValue(self.LdiamondLabel, "LdiamondLabel", 147, cc.size(150, 28), cc.p(467.5, 25), nil, cc.c4b(217, 194, 105, 255), nil, nil, nil)
	self.LdiamondLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.LdiamondLabel:setColor(cc.c4b(217, 194, 105, 255))
	addChildForPre(self.leftTopTitlePanel_3, self.LdiamondLabel)

	self.leftListViewCellPanel = ccui.Layout:create()
	setValue(self.leftListViewCellPanel, "leftListViewCellPanel", 115, cc.size(550, 370), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.leftListViewPanel_2, self.leftListViewCellPanel)

	self.rightListViewPanel = ccui.Layout:create()
	setValue(self.rightListViewPanel, "rightListViewPanel", 141, cc.size(400, 420), cc.p(550, 0), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.rightListViewPanel)
	self.rightListViewPanel_2 = self.rightListViewPanel

	self.rightTopTitlePanel = ccui.Layout:create()
	setValue(self.rightTopTitlePanel, "rightTopTitlePanel", 144, cc.size(400, 50), cc.p(200, 399), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rightListViewPanel_2, self.rightTopTitlePanel)
	self.rightTopTitlePanel_3 = self.rightTopTitlePanel

	self.RrankNumLabel = createLabel({text=[[rankNumLabel]], font=getFont(), size=24})
	setValue(self.RrankNumLabel, "RrankNumLabel", 148, cc.size(156, 28), cc.p(120, 25), nil, cc.c4b(217, 194, 105, 255), nil, nil, nil)
	self.RrankNumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.RrankNumLabel:setColor(cc.c4b(217, 194, 105, 255))
	addChildForPre(self.rightTopTitlePanel_3, self.RrankNumLabel)

	self.RdiamondLabel = createLabel({text=[[diamondLabel]], font=getFont(), size=24})
	setValue(self.RdiamondLabel, "RdiamondLabel", 149, cc.size(150, 28), cc.p(280, 25), nil, cc.c4b(217, 194, 105, 255), nil, nil, nil)
	self.RdiamondLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.RdiamondLabel:setColor(cc.c4b(217, 194, 105, 255))
	addChildForPre(self.rightTopTitlePanel_3, self.RdiamondLabel)

	self.rightListViewCellPanel = ccui.Layout:create()
	setValue(self.rightListViewCellPanel, "rightListViewCellPanel", 116, cc.size(400, 370), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rightListViewPanel_2, self.rightListViewCellPanel)

	self.PanelCommonLineVertical = cc.Sprite:create()
	setValue(self.PanelCommonLineVertical, "PanelCommonLineVertical", 935, cc.size(6, 440), cc.p(551, 210), nil, nil, nil, nil, nil)
	self.PanelCommonLineVertical:setScaleX(1)
	self.PanelCommonLineVertical:setScaleY(0.9)
	self.PanelCommonLineVertical:setSpriteFrame("ccs/UiImages/common/PanelCommonLineVertical.png")
	addChildForPre(self.rootPanel_1, self.PanelCommonLineVertical)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/common.plist",
}

return _M
