-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_0 = cc.Node:create()
	setValue(self.Node_0, "Node_0", 33, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_0)
 	self.uiRootNode = self.Node_0
	self.Node_0_0 = self.Node_0

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 34, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 35, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	setBgColor(self.dialogPanel, 1, 204, cc.c4b(0, 0, 0, 255), nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.contentPanel = ccui.Layout:create()
	setValue(self.contentPanel, "XYN_contentPanel", 269, cc.size(640, 640), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.contentPanel)
	self.contentPanel_3 = self.contentPanel

	self.labelTitle = createLabel({text=[[Text Label]], font=getFont(), size=36})
	setValue(self.labelTitle, "labelTitle", 342, cc.size(164, 42), cc.p(320, 582.016), nil, nil, nil, nil, nil)
	self.labelTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.contentPanel_3, self.labelTitle)

	self.labelTitle2 = createLabel({text=[[Text Label]], font=getFont(), size=36})
	setValue(self.labelTitle2, "labelTitle2", 343, cc.size(164, 42), cc.p(320, 539.008), nil, cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.labelTitle2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.labelTitle2:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.contentPanel_3, self.labelTitle2)

	self.closeButton = ccui.Button:create()
	setValue(self.closeButton, "closeButton", 344, cc.size(153, 64), cc.p(320, 64), nil, nil, nil, nil, false)
	self.closeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.closeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.closeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.closeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.closeButton:setTitleText([[Button]])
	self.closeButton:setTitleFontSize(24)
	self.closeButton:setTitleFontName(getFont())
	setClickEvent(self, self.closeButton, "closeButton")
	addChildForPre(self.contentPanel_3, self.closeButton)

	self.sectionPanel1 = ccui.Layout:create()
	setValue(self.sectionPanel1, "sectionPanel1", 417, cc.size(560, 386), cc.p(320, 320), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.contentPanel_3, self.sectionPanel1)
	self.sectionPanel1_4 = self.sectionPanel1

	self.sectionImage11 = ccui.ImageView:create()
	setValue(self.sectionImage11, "sectionImage11", 418, cc.size(81, 96), cc.p(280, 193), nil, nil, nil, nil, nil)
	self.sectionImage11:loadTexture("ccs/UiImages/battle/battle_duanwei_zuan.png", 1)
	addChildForPre(self.sectionPanel1_4, self.sectionImage11)

	self.sectionImage12 = ccui.ImageView:create()
	setValue(self.sectionImage12, "sectionImage12", 419, cc.size(154, 89), cc.p(171.024, 199.9866), nil, nil, nil, nil, nil)
	self.sectionImage12:loadTexture("ccs/UiImages/battle/battle_duanwei_zuan01.png", 1)
	addChildForPre(self.sectionPanel1_4, self.sectionImage12)

	self.sectionImage13 = ccui.ImageView:create()
	setValue(self.sectionImage13, "sectionImage13", 420, cc.size(154, 89), cc.p(389.984, 199.9866), nil, nil, nil, nil, nil)
	self.sectionImage13:setFlippedX(true)
	self.sectionImage13:loadTexture("ccs/UiImages/battle/battle_duanwei_zuan01.png", 1)
	addChildForPre(self.sectionPanel1_4, self.sectionImage13)

	self.sectionPanel2 = ccui.Layout:create()
	setValue(self.sectionPanel2, "sectionPanel2", 429, cc.size(560, 386), cc.p(320, 320), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.contentPanel_3, self.sectionPanel2)
	self.sectionPanel2_4 = self.sectionPanel2

	self.sectionImage21 = ccui.ImageView:create()
	setValue(self.sectionImage21, "sectionImage21", 430, cc.size(81, 93), cc.p(280, 193), nil, nil, nil, nil, nil)
	self.sectionImage21:loadTexture("ccs/UiImages/battle/battle_duanwei_jin.png", 1)
	addChildForPre(self.sectionPanel2_4, self.sectionImage21)

	self.sectionImage22 = ccui.ImageView:create()
	setValue(self.sectionImage22, "sectionImage22", 431, cc.size(100, 64), cc.p(205.016, 195.0072), nil, nil, nil, nil, nil)
	self.sectionImage22:loadTexture("ccs/UiImages/battle/battle_duanwei_jin01.png", 1)
	addChildForPre(self.sectionPanel2_4, self.sectionImage22)

	self.sectionImage23 = ccui.ImageView:create()
	setValue(self.sectionImage23, "sectionImage23", 432, cc.size(100, 64), cc.p(354.984, 195.0072), nil, nil, nil, nil, nil)
	self.sectionImage23:setFlippedX(true)
	self.sectionImage23:loadTexture("ccs/UiImages/battle/battle_duanwei_jin01.png", 1)
	addChildForPre(self.sectionPanel2_4, self.sectionImage23)

	self.sectionPanel3 = ccui.Layout:create()
	setValue(self.sectionPanel3, "sectionPanel3", 421, cc.size(560, 386), cc.p(320, 320), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.contentPanel_3, self.sectionPanel3)
	self.sectionPanel3_4 = self.sectionPanel3

	self.sectionImage31 = ccui.ImageView:create()
	setValue(self.sectionImage31, "sectionImage31", 422, cc.size(82, 93), cc.p(280, 193), nil, nil, nil, nil, nil)
	self.sectionImage31:loadTexture("ccs/UiImages/battle/battle_duanwei_yin.png", 1)
	addChildForPre(self.sectionPanel3_4, self.sectionImage31)

	self.sectionImage32 = ccui.ImageView:create()
	setValue(self.sectionImage32, "sectionImage32", 423, cc.size(82, 59), cc.p(212.016, 199.9866), nil, nil, nil, nil, nil)
	self.sectionImage32:loadTexture("ccs/UiImages/battle/battle_duanwei_yin01.png", 1)
	addChildForPre(self.sectionPanel3_4, self.sectionImage32)

	self.sectionImage33 = ccui.ImageView:create()
	setValue(self.sectionImage33, "sectionImage33", 424, cc.size(82, 59), cc.p(350, 199.9866), nil, nil, nil, nil, nil)
	self.sectionImage33:setFlippedX(true)
	self.sectionImage33:loadTexture("ccs/UiImages/battle/battle_duanwei_yin01.png", 1)
	addChildForPre(self.sectionPanel3_4, self.sectionImage33)

	self.sectionPanel4 = ccui.Layout:create()
	setValue(self.sectionPanel4, "sectionPanel4", 425, cc.size(560, 386), cc.p(320, 320), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.contentPanel_3, self.sectionPanel4)
	self.sectionPanel4_4 = self.sectionPanel4

	self.sectionImage41 = ccui.ImageView:create()
	setValue(self.sectionImage41, "sectionImage41", 426, cc.size(82, 93), cc.p(280, 193), nil, nil, nil, nil, nil)
	self.sectionImage41:loadTexture("ccs/UiImages/battle/battle_duanwei_tong.png", 1)
	addChildForPre(self.sectionPanel4_4, self.sectionImage41)

	self.sectionImage42 = ccui.ImageView:create()
	setValue(self.sectionImage42, "sectionImage42", 427, cc.size(36, 47), cc.p(221.992, 193), nil, nil, nil, nil, nil)
	self.sectionImage42:loadTexture("ccs/UiImages/battle/battle_duanwei_tong01.png", 1)
	addChildForPre(self.sectionPanel4_4, self.sectionImage42)

	self.sectionImage43 = ccui.ImageView:create()
	setValue(self.sectionImage43, "sectionImage43", 428, cc.size(36, 47), cc.p(339.024, 193), nil, nil, nil, nil, nil)
	self.sectionImage43:setFlippedX(true)
	self.sectionImage43:loadTexture("ccs/UiImages/battle/battle_duanwei_tong01.png", 1)
	addChildForPre(self.sectionPanel4_4, self.sectionImage43)

	self.numberLabel4 = createLabel({text=[[4]], font=getFont(), size=30})
	setValue(self.numberLabel4, "numberLabel4", 103, cc.size(16, 34), cc.p(320, 320), nil, nil, nil, nil, nil)
	self.numberLabel4:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.contentPanel_3, self.numberLabel4)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/battle.plist",
}

return _M
