-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 389, cc.size(640, 220), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bigPanel = ccui.Layout:create()
	setValue(self.bigPanel, "bigPanel", 115, cc.size(640, 220), cc.p(320, 110), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.bigPanel)
	self.bigPanel_2 = self.bigPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 220, cc.size(612, 209), cc.p(319.9999, 110), nil, nil, nil, nil, nil)
	self.bgImage:loadTexture("ccs/UiImages/commonBg/common_img_gaoditiao.png", 1)
	addChildForPre(self.bigPanel_2, self.bgImage)

	self.Image_3 = ccui.ImageView:create()
	setValue(self.Image_3, "Image_3", 331, cc.size(440, 120), cc.p(244.2698, 85.0383), nil, nil, nil, nil, false)
	self.Image_3:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.Image_3:setScale9Enabled(true)
	self.Image_3:setCapInsets(cc.rect(5, 5, 20, 20))
	addChildForPre(self.bigPanel_2, self.Image_3)

	self.rewardPanel = ccui.Layout:create()
	setValue(self.rewardPanel, "rewardPanel", 380, cc.size(410, 120), cc.p(36.6017, 24.8544), nil, nil, nil, nil, nil)
	addChildForPre(self.bigPanel_2, self.rewardPanel)

	self.seeRewardButton = ccui.Button:create()
	setValue(self.seeRewardButton, "seeRewardButton", 382, cc.size(153, 64), cc.p(541.4606, 85.5925), nil, nil, nil, nil, false)
	self.seeRewardButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.seeRewardButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.seeRewardButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.seeRewardButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.seeRewardButton:setTitleText([[buton]])
	self.seeRewardButton:setTitleFontSize(24)
	self.seeRewardButton:setTitleFontName(getFont())
	setClickEvent(self, self.seeRewardButton, "seeRewardButton")
	addChildForPre(self.bigPanel_2, self.seeRewardButton)

	self.rewardTitleLabel = createLabel({text=[[rewardTitleLabel]], font=getFont(), size=24})
	setValue(self.rewardTitleLabel, "rewardTitleLabel", 383, cc.size(176, 28), cc.p(47.0001, 189.2), cc.p(0, 0.5), cc.c4b(255, 229, 0, 255), nil, nil, nil)
	self.rewardTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rewardTitleLabel:setColor(cc.c4b(255, 229, 0, 255))
	addChildForPre(self.bigPanel_2, self.rewardTitleLabel)

	self.rewardInfoTitleLabel = createLabel({text=[[rewardInfoTitleLabel]], font=getFont(), size=20})
	setValue(self.rewardInfoTitleLabel, "rewardInfoTitleLabel", 384, cc.size(180, 23), cc.p(47.0001, 159.2001), cc.p(0, 0.5), cc.c4b(193, 197, 198, 255), nil, nil, nil)
	self.rewardInfoTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rewardInfoTitleLabel:setColor(cc.c4b(193, 197, 198, 255))
	addChildForPre(self.bigPanel_2, self.rewardInfoTitleLabel)

	self.rewardTimeLabel = createLabel({text=[[rewardTimeLabel]], font=getFont(), size=24,align = 2})
	setValue(self.rewardTimeLabel, "rewardTimeLabel", 385, cc.size(184, 28), cc.p(590.5238, 185.5268), cc.p(1, 0.5), cc.c4b(24, 172, 223, 255), nil, nil, nil)
	self.rewardTimeLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rewardTimeLabel:setColor(cc.c4b(24, 172, 223, 255))
	addChildForPre(self.bigPanel_2, self.rewardTimeLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/battle.plist",
	"ccs/plist/image9.plist",
}

return _M
