-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 389, cc.size(640, 170), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bigPanel = ccui.Layout:create()
	setValue(self.bigPanel, "bigPanel", 115, cc.size(640, 170), cc.p(320, 85), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.bigPanel)
	self.bigPanel_2 = self.bigPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 220, cc.size(612, 167), cc.p(320, 85), nil, nil, nil, nil, nil)
	self.bgImage:loadTexture("ccs/UiImages/commonBg/common_img_ditiao.png", 1)
	addChildForPre(self.bigPanel_2, self.bgImage)

	self.Image_3 = ccui.ImageView:create()
	setValue(self.Image_3, "Image_3", 352, cc.size(450, 123), cc.p(257.3842, 86.3284), nil, nil, nil, nil, false)
	self.Image_3:loadTexture("ccs/UiImages/commonBg/battle_img_paihang04.png", 1)
	self.Image_3:setScale9Enabled(true)
	self.Image_3:setCapInsets(cc.rect(0, 0, 462, 143))
	addChildForPre(self.bigPanel_2, self.Image_3)

	self.deleteButton = ccui.Button:create()
	self.deleteButton:setScale9Enabled(true)
	self.deleteButton:setCapInsets(cc.rect(0, 0, 153, 64))
	self.deleteButton:setContentSize(cc.size(133, 56))
	setValue(self.deleteButton, "deleteButton", 382, nil, cc.p(548.8161, 63.002), nil, nil, nil, nil, false)
	self.deleteButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.deleteButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.deleteButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.deleteButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.deleteButton:setTitleText([[rebutton]])
	self.deleteButton:setTitleFontSize(24)
	self.deleteButton:setTitleFontName(getFont())
	setClickEvent(self, self.deleteButton, "deleteButton")
	addChildForPre(self.bigPanel_2, self.deleteButton)

	self.rewardTitleLabel = createLabel({text=[[rewardTitleLabel]], font=getFont(), size=24})
	setValue(self.rewardTitleLabel, "rewardTitleLabel", 383, cc.size(176, 28), cc.p(43.7919, 129.9455), cc.p(0, 0.5), cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.rewardTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rewardTitleLabel:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.bigPanel_2, self.rewardTitleLabel)

	self.rewardTimeLabel = createLabel({text=[[rewardTimeLabel]], font=getFont(), size=24,align = 2})
	setValue(self.rewardTimeLabel, "rewardTimeLabel", 385, cc.size(184, 28), cc.p(594.3998, 132.4993), cc.p(1, 0.5), cc.c4b(24, 172, 223, 255), nil, nil, nil)
	self.rewardTimeLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rewardTimeLabel:setColor(cc.c4b(24, 172, 223, 255))
	addChildForPre(self.bigPanel_2, self.rewardTimeLabel)

	self.rewardInfoTitleLabel = createLabel({text=[[rewardInfoTitleLabel
]], font=getFont(), size=20, dimensions = cc.size(372.0000, 90.0000)})
	setValue(self.rewardInfoTitleLabel, "rewardInfoTitleLabel", 384, cc.size(372, 90), cc.p(44.208, 68.1971), cc.p(0, 0.5), nil, nil, nil, false)
	self.rewardInfoTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.rewardInfoTitleLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/image9.plist",
}

return _M
