-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_0 = cc.Node:create()
	setValue(self.Node_0, "Node_0", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_0)
 	self.uiRootNode = self.Node_0
	self.Node_0_0 = self.Node_0

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 5, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.contentPanel = ccui.Layout:create()
	setValue(self.contentPanel, "XYN_contentPanel", 3066, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.contentPanel)
	self.contentPanel_2 = self.contentPanel

	self.troopPanel = ccui.Layout:create()
	setValue(self.troopPanel, "troopPanel", 163, cc.size(500, 120), cc.p(320, 620.352), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.contentPanel_2, self.troopPanel)
	self.troopPanel_3 = self.troopPanel

	self.WinLoseUserSprite = cc.Sprite:create()
	setValue(self.WinLoseUserSprite, "WinLoseUserSprite", 183, cc.size(573, 93), cc.p(250, 64.8), nil, nil, nil, nil, nil)
	self.WinLoseUserSprite:setSpriteFrame("ccs/UiImages/battle/winLose_img_vs_jingjichang.png")
	addChildForPre(self.troopPanel_3, self.WinLoseUserSprite)
	self.WinLoseUserSprite_4 = self.WinLoseUserSprite

	self.bnameLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.bnameLabel, "bnameLabel", 57, cc.size(91, 23), cc.p(435.48, 23.25), nil, nil, nil, nil, nil)
	self.bnameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.WinLoseUserSprite_4, self.bnameLabel)

	self.anameLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.anameLabel, "anameLabel", 56, cc.size(91, 23), cc.p(137.52, 65.1), nil, nil, nil, nil, nil)
	self.anameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.WinLoseUserSprite_4, self.anameLabel)

	self.InfoPanel = ccui.Layout:create()
	setValue(self.InfoPanel, "InfoPanel", 31, cc.size(640, 200), cc.p(320, 384), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.contentPanel_2, self.InfoPanel)
	self.InfoPanel_3 = self.InfoPanel

	self.rankLabel = createLabel({text=[[rank]], font=getFont(), size=36})
	setValue(self.rankLabel, "rankLabel", 34, cc.size(70, 42), cc.p(399.36, 151), cc.p(0, 0.5), cc.c4b(40, 219, 114, 255), nil, nil, nil)
	self.rankLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rankLabel:setColor(cc.c4b(40, 219, 114, 255))
	addChildForPre(self.InfoPanel_3, self.rankLabel)

	self.rankDescLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.rankDescLabel, "rankDescLabel", 36, cc.size(91, 23), cc.p(320, 76), nil, nil, nil, nil, nil)
	self.rankDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.InfoPanel_3, self.rankDescLabel)

	self.rankDesc1Label = createLabel({text=[[rankDesc1Label]], font=getFont(), size=20})
	setValue(self.rankDesc1Label, "rankDesc1Label", 762, cc.size(144, 23), cc.p(320, 40), nil, nil, nil, nil, nil)
	self.rankDesc1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.InfoPanel_3, self.rankDesc1Label)

	self.rank1DescLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.rank1DescLabel, "rank1DescLabel", 62, cc.size(91, 23), cc.p(320, 111.004), nil, nil, nil, nil, nil)
	self.rank1DescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.InfoPanel_3, self.rank1DescLabel)

	self.rankTitleSprite = cc.Sprite:create()
	setValue(self.rankTitleSprite, "rankTitleSprite", 160, cc.size(46, 46), cc.p(392.96, 151), cc.p(1, 0.5), nil, nil, nil, nil)
	self.rankTitleSprite:setTexture("Default/Sprite.png")
	addChildForPre(self.InfoPanel_3, self.rankTitleSprite)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/battle.plist",
	"Default/Sprite.png",
}

return _M
