-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 275, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.imageBg = ccui.ImageView:create()
	setValue(self.imageBg, "XYN_imageBg", 69, cc.size(375, 667), cc.p(320, 480), nil, nil, nil, nil, nil)
	self.imageBg:setScale(2)
	self.imageBg:loadTexture("ccs/BigImages/background/countryBattle_img_bg_1.webp")
	addChildForPre(self.rootPanel_1, self.imageBg)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 3227, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.contentPanel = ccui.Layout:create()
	setValue(self.contentPanel, "XYN_contentPanel", 276, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.contentPanel)
	self.contentPanel_3 = self.contentPanel

	self.loseTitlePanel = ccui.Layout:create()
	setValue(self.loseTitlePanel, "loseTitlePanel", 3447, cc.size(640, 400), cc.p(320, 560), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.contentPanel_3, self.loseTitlePanel)
	self.loseTitlePanel_4 = self.loseTitlePanel

	self.loseTitleBg = ccui.ImageView:create()
	setValue(self.loseTitleBg, "loseTitleBg", 3448, cc.size(46, 46), cc.p(320, 222), nil, nil, nil, nil, nil)
	self.loseTitleBg:loadTexture("Default/ImageFile.png")
	addChildForPre(self.loseTitlePanel_4, self.loseTitleBg)

	self.shibaiyan011 = cc.ParticleSystemQuad:create("ccs/Particle/shibai.plist")
 	self.shibaiyan011:setPositionType(2) 
	setValue(self.shibaiyan011, "shibaiyan011", 108, nil, cc.p(232.9, 264), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.loseTitlePanel_4, self.shibaiyan011)

	self.shibaiyan012 = cc.ParticleSystemQuad:create("ccs/Particle/shibai.plist")
 	self.shibaiyan012:setPositionType(2) 
	setValue(self.shibaiyan012, "shibaiyan012", 109, nil, cc.p(378.67, 264), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.shibaiyan012:setRotationSkewX(30)
	self.shibaiyan012:setRotationSkewY(30)
	addChildForPre(self.loseTitlePanel_4, self.shibaiyan012)

	self.loseTopPanel = ccui.Layout:create()
	setValue(self.loseTopPanel, "loseTopPanel", 1444, cc.size(640, 400), cc.p(320, 560), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.contentPanel_3, self.loseTopPanel)
	self.loseTopPanel_4 = self.loseTopPanel

	self.levelLabel = createLabel({text=[[lv]], font=getFont(), size=20})
	setValue(self.levelLabel, "levelLabel", 289, cc.size(14, 23), cc.p(189.52, 106), cc.p(0, 0.5), cc.c4b(255, 228, 0, 255), nil, nil, nil)
	self.levelLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.levelLabel:setColor(cc.c4b(255, 228, 0, 255))
	addChildForPre(self.loseTopPanel_4, self.levelLabel)

	self.imageLevel = ccui.ImageView:create()
	setValue(self.imageLevel, "imageLevel", 1446, cc.size(46, 46), cc.p(154.7503, 104.7501), nil, nil, nil, nil, nil)
	self.imageLevel:setVisible(false)
	self.imageLevel:loadTexture("Default/ImageFile.png")
	addChildForPre(self.loseTopPanel_4, self.imageLevel)

	self.levTitleLabel = createLabel({text=[[Lv]], font=getFont(), size=20})
	setValue(self.levTitleLabel, "levTitleLabel", 1902, cc.size(21, 23), cc.p(171, 106), nil, cc.c4b(255, 228, 0, 255), nil, nil, nil)
	self.levTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.levTitleLabel:setColor(cc.c4b(255, 228, 0, 255))
	addChildForPre(self.loseTopPanel_4, self.levTitleLabel)

	self.expBarBg = ccui.ImageView:create()
	setValue(self.expBarBg, "expBarBg", 1449, cc.size(245, 24), cc.p(351.376, 107), nil, nil, nil, nil, nil)
	self.expBarBg:loadTexture("ccs/UiImages/battle/s9_img_expa.png", 1)
	addChildForPre(self.loseTopPanel_4, self.expBarBg)
	self.expBarBg_5 = self.expBarBg

	local progressSprite = cc.Sprite:createWithSpriteFrameName("ccs/UiImages/battle/s9_img_expb.png")
	self.expLoadingBar = cc.ProgressTimer:create(progressSprite)
	setValue(self.expLoadingBar, "expLoadingBar", 1453, cc.size(245, 24), cc.p(122.5, 12), nil, nil, nil, nil, nil)
	self.expLoadingBar:setPercentage(100)
	self.expLoadingBar:setType(1)
	self.expLoadingBar:setBarChangeRate({x=1,y=0})
	self.expLoadingBar:setMidpoint({x = 0,y = 0})
	addChildForPre(self.expBarBg_5, self.expLoadingBar)

	self.progressLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.progressLabel, "progressLabel", 1449, cc.size(91, 23), cc.p(480.0006, 106.6667), cc.p(0, 0.5), cc.c4b(255, 228, 0, 255), nil, nil, nil)
	self.progressLabel:setVisible(false)
	self.progressLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.progressLabel:setColor(cc.c4b(255, 228, 0, 255))
	addChildForPre(self.loseTopPanel_4, self.progressLabel)

	self.battleLosePanel = ccui.Layout:create()
	setValue(self.battleLosePanel, "battleLosePanel", 303, cc.size(490, 43), cc.p(334.976, 143.68), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.loseTopPanel_4, self.battleLosePanel)
	self.battleLosePanel_5 = self.battleLosePanel

	self.IconExp = cc.Sprite:create()
	setValue(self.IconExp, "IconExp", 683, cc.size(50, 26), cc.p(299.488, 19.7972), nil, nil, nil, nil, nil)
	self.IconExp:setSpriteFrame("ccs/UiImages/battle/winLose_img_txt_exp_1.png")
	addChildForPre(self.battleLosePanel_5, self.IconExp)

	self.expLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.expLabel, "expLabel", 296, cc.size(91, 23), cc.p(328.009, 21.5), cc.p(0, 0.5), cc.c4b(255, 228, 0, 255), nil, nil, nil)
	self.expLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.expLabel:setColor(cc.c4b(255, 228, 0, 255))
	addChildForPre(self.battleLosePanel_5, self.expLabel)

	self.IconGold = cc.Sprite:create()
	setValue(self.IconGold, "IconGold", 294, cc.size(34, 28), cc.p(87.002, 25.8), nil, nil, nil, nil, nil)
	self.IconGold:setSpriteFrame("ccs/UiImages/common/icon_gold.png")
	addChildForPre(self.battleLosePanel_5, self.IconGold)

	self.goldLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.goldLabel, "goldLabel", 295, cc.size(91, 23), cc.p(117.3, 21.0012), cc.p(0, 0.5), cc.c4b(255, 228, 0, 255), nil, nil, nil)
	self.goldLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.goldLabel:setColor(cc.c4b(255, 228, 0, 255))
	addChildForPre(self.battleLosePanel_5, self.goldLabel)

	self.jumpButtonPanel = ccui.Layout:create()
	setValue(self.jumpButtonPanel, "jumpButtonPanel", 302, cc.size(640, 360), cc.p(320, 384), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.contentPanel_3, self.jumpButtonPanel)
	self.jumpButtonPanel_4 = self.jumpButtonPanel

	self.rewardTitleBg = ccui.ImageView:create()
	setValue(self.rewardTitleBg, "rewardTitleBg", 1451, cc.size(290, 40), cc.p(320, 295.74), nil, nil, nil, nil, nil)
	self.rewardTitleBg:loadTexture("ccs/UiImages/battle/winLose_img_txtbg_1.png", 1)
	addChildForPre(self.jumpButtonPanel_4, self.rewardTitleBg)
	self.rewardTitleBg_5 = self.rewardTitleBg

	self.spriteTitle = cc.Sprite:create()
	setValue(self.spriteTitle, "spriteTitle", 1452, cc.size(46, 46), cc.p(145, 20), nil, nil, nil, nil, nil)
	self.spriteTitle:setTexture("Default/Sprite.png")
	addChildForPre(self.rewardTitleBg_5, self.spriteTitle)

	self.aEquipmentFrame = ccui.ImageView:create()
	setValue(self.aEquipmentFrame, "aEquipmentFrame", 33, cc.size(100, 100), cc.p(128, 180), nil, nil, nil, nil, nil)
	self.aEquipmentFrame:loadTexture("ccs/UiImages/commonBg/qualityBg1.png", 1)
	addChildForPre(self.jumpButtonPanel_4, self.aEquipmentFrame)
	self.aEquipmentFrame_5 = self.aEquipmentFrame

	self.upgradeButton = ccui.Button:create()
	setValue(self.upgradeButton, "upgradeButton", 465, cc.size(100, 100), cc.p(50, 50), nil, nil, nil, nil, nil)
	self.upgradeButton:loadTextureNormal("ccs/UiImages/battle/winLose_icon_peijiangaizao_1.png", 1)
	self.upgradeButton:loadTexturePressed("ccs/UiImages/battle/winLose_icon_peijiangaizao_1.png", 1)
	self.upgradeButton:loadTextureDisabled("ccs/UiImages/battle/winLose_icon_peijiangaizao_1.png", 1)
	self.upgradeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.upgradeButton:setTitleText([[]])
	self.upgradeButton:setTitleColor(cc.c3b(65, 65, 70))
	self.upgradeButton:setTitleFontSize(14)
	self.upgradeButton:setTitleFontName(getFont())
	setClickEvent(self, self.upgradeButton, "upgradeButton")
	addChildForPre(self.aEquipmentFrame_5, self.upgradeButton)

	self.astrongLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.astrongLabel, "astrongLabel", 286, cc.size(91, 23), cc.p(50, -20), nil, nil, nil, nil, nil)
	self.astrongLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.aEquipmentFrame_5, self.astrongLabel)

	self.bEquipmentFrame = ccui.ImageView:create()
	setValue(self.bEquipmentFrame, "bEquipmentFrame", 34, cc.size(100, 100), cc.p(320, 180), nil, nil, nil, nil, nil)
	self.bEquipmentFrame:loadTexture("ccs/UiImages/commonBg/qualityBg1.png", 1)
	addChildForPre(self.jumpButtonPanel_4, self.bEquipmentFrame)
	self.bEquipmentFrame_5 = self.bEquipmentFrame

	self.bstrongLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.bstrongLabel, "bstrongLabel", 287, cc.size(91, 23), cc.p(50, -20), nil, nil, nil, nil, nil)
	self.bstrongLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bEquipmentFrame_5, self.bstrongLabel)

	self.trainButton = ccui.Button:create()
	setValue(self.trainButton, "trainButton", 466, cc.size(100, 100), cc.p(50, 50), nil, nil, nil, nil, nil)
	self.trainButton:loadTextureNormal("ccs/UiImages/battle/winLose_icon_jianchuanxunlian_1.png", 1)
	self.trainButton:loadTexturePressed("ccs/UiImages/battle/winLose_icon_jianchuanxunlian_1.png", 1)
	self.trainButton:loadTextureDisabled("ccs/UiImages/battle/winLose_icon_jianchuanxunlian_1.png", 1)
	self.trainButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.trainButton:setTitleText([[]])
	self.trainButton:setTitleColor(cc.c3b(65, 65, 70))
	self.trainButton:setTitleFontSize(14)
	self.trainButton:setTitleFontName(getFont())
	setClickEvent(self, self.trainButton, "trainButton")
	addChildForPre(self.bEquipmentFrame_5, self.trainButton)

	self.cEquipmentFrame = ccui.ImageView:create()
	setValue(self.cEquipmentFrame, "cEquipmentFrame", 37, cc.size(100, 100), cc.p(512, 180), nil, nil, nil, nil, nil)
	self.cEquipmentFrame:loadTexture("ccs/UiImages/commonBg/qualityBg1.png", 1)
	addChildForPre(self.jumpButtonPanel_4, self.cEquipmentFrame)
	self.cEquipmentFrame_5 = self.cEquipmentFrame

	self.cstrongLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.cstrongLabel, "cstrongLabel", 288, cc.size(91, 23), cc.p(50, -20), nil, nil, nil, nil, nil)
	self.cstrongLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.cEquipmentFrame_5, self.cstrongLabel)

	self.arrayButton = ccui.Button:create()
	setValue(self.arrayButton, "arrayButton", 467, cc.size(100, 100), cc.p(50, 50), nil, nil, nil, nil, nil)
	self.arrayButton:loadTextureNormal("ccs/UiImages/battle/winLose_icon_zhenxingtiaozheng_1.png", 1)
	self.arrayButton:loadTexturePressed("ccs/UiImages/battle/winLose_icon_zhenxingtiaozheng_1.png", 1)
	self.arrayButton:loadTextureDisabled("ccs/UiImages/battle/winLose_icon_zhenxingtiaozheng_1.png", 1)
	self.arrayButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.arrayButton:setTitleText([[]])
	self.arrayButton:setTitleColor(cc.c3b(65, 65, 70))
	self.arrayButton:setTitleFontSize(14)
	self.arrayButton:setTitleFontName(getFont())
	setClickEvent(self, self.arrayButton, "arrayButton")
	addChildForPre(self.cEquipmentFrame_5, self.arrayButton)

	self.buttonPanel = ccui.Layout:create()
	setValue(self.buttonPanel, "buttonPanel", 81, cc.size(640, 200), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.contentPanel_3, self.buttonPanel)
	self.buttonPanel_4 = self.buttonPanel

	self.nextCheckpointBtn = ccui.Button:create()
	setValue(self.nextCheckpointBtn, "nextCheckpointBtn", 1450, cc.size(153, 64), cc.p(512, 142), nil, nil, nil, nil, false)
	self.nextCheckpointBtn:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.nextCheckpointBtn:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.nextCheckpointBtn:loadTextureDisabled("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.nextCheckpointBtn:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.nextCheckpointBtn:setTitleText([[nextCheck]])
	self.nextCheckpointBtn:setTitleFontSize(25)
	self.nextCheckpointBtn:setTitleFontName(getFont())
	setClickEvent(self, self.nextCheckpointBtn, "nextCheckpointBtn")
	addChildForPre(self.buttonPanel_4, self.nextCheckpointBtn)

	self.closeDialogButton = ccui.Button:create()
	setValue(self.closeDialogButton, "closeDialogButton", 300, cc.size(153, 64), cc.p(320, 60), nil, nil, nil, nil, false)
	self.closeDialogButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.closeDialogButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.closeDialogButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.closeDialogButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.closeDialogButton:setTitleText([[close]])
	self.closeDialogButton:setTitleFontSize(25)
	self.closeDialogButton:setTitleFontName(getFont())
	setClickEvent(self, self.closeDialogButton, "closeDialogButton")
	addChildForPre(self.buttonPanel_4, self.closeDialogButton)

	self.redoButton = ccui.Button:create()
	setValue(self.redoButton, "redoButton", 299, cc.size(153, 64), cc.p(512, 142), nil, nil, nil, nil, false)
	self.redoButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.redoButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.redoButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.redoButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.redoButton:setTitleText([[redo]])
	self.redoButton:setTitleFontSize(25)
	self.redoButton:setTitleFontName(getFont())
	setClickEvent(self, self.redoButton, "redoButton")
	addChildForPre(self.buttonPanel_4, self.redoButton)

	self.replayButton = ccui.Button:create()
	setValue(self.replayButton, "replayButton", 297, cc.size(153, 64), cc.p(128, 142), nil, nil, nil, nil, false)
	self.replayButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.replayButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.replayButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.replayButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.replayButton:setTitleText([[replay]])
	self.replayButton:setTitleFontSize(25)
	self.replayButton:setTitleFontName(getFont())
	setClickEvent(self, self.replayButton, "replayButton")
	addChildForPre(self.buttonPanel_4, self.replayButton)

	if ArenaAndRobLoseUi then 
 		self.arenaAndRobLoseUi = ArenaAndRobLoseUi.new() 
 	else 
		self.arenaAndRobLoseUi = BaseUi.new("ccs/ui/battle/ArenaAndRobLoseUi.lua")
 	end 
	setValue(self.arenaAndRobLoseUi, "arenaAndRobLoseUi", 733, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.contentPanel_3, self.arenaAndRobLoseUi)

	if RobPieceResult1Ui then 
 		self.robPieceResult1Ui = RobPieceResult1Ui.new() 
 	else 
		self.robPieceResult1Ui = BaseUi.new("ccs/ui/battle/RobPieceResult1Ui.lua")
 	end 
	setValue(self.robPieceResult1Ui, "robPieceResult1Ui", 1013, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.contentPanel_3, self.robPieceResult1Ui)

	if GlodMineBattleResultUi then 
 		self.glodMineBattleResultUi = GlodMineBattleResultUi.new() 
 	else 
		self.glodMineBattleResultUi = BaseUi.new("ccs/ui/battle/GlodMineBattleResultUi.lua")
 	end 
	setValue(self.glodMineBattleResultUi, "glodMineBattleResultUi", 693, nil, nil, nil, nil, nil, nil, nil)
	self.glodMineBattleResultUi:setVisible(false)
	addChildForPre(self.contentPanel_3, self.glodMineBattleResultUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(55)
	self.animation:setTimeSpeed(1)
	local timeLine
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 232.9000, 264.0000, nil))
	timeLine:setNode(self.shibaiyan011)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 378.6700, 264.0000, nil))
	timeLine:setNode(self.shibaiyan012)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 320.0000, 560.0000, nil))
	timeLine:addFrame(CreatePositionFrame(2, true, 320.0000, 560.0000, nil))
	timeLine:addFrame(CreatePositionFrame(12, true, 320.0000, 560.0000, nil))
	timeLine:addFrame(CreatePositionFrame(45, true, 320.0000, 560.0000, nil))
	timeLine:addFrame(CreatePositionFrame(55, true, 320.0000, 560.0000, nil))
	timeLine:setNode(self.loseTitlePanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(2, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(12, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(45, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(55, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.loseTitlePanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(2, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(12, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(45, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(55, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.loseTitlePanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateEventFrame(0, true, "play0", nil))
	timeLine:addFrame(CreateEventFrame(2, true, "play1", nil))
	timeLine:addFrame(CreateEventFrame(12, true, "play2", nil))
	timeLine:addFrame(CreateEventFrame(45, true, "play3", nil))
	timeLine:addFrame(CreateEventFrame(55, true, "play4", nil))
	timeLine:setNode(self.loseTitlePanel)
	return self
end

_M.textures = {
	"ccs/BigImages/background/countryBattle_img_bg_1.jpg",
	"Default/ImageFile.png",
	"ccs/plist/battle.plist",
	"ccs/plist/common.plist",
	"Default/Sprite.png",
	"ccs/plist/commonBg.plist",
	"ccs/plist/image9.plist",
}

return _M
