-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 3, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.movePanel = ccui.Layout:create()
	setValue(self.movePanel, "XYN_movePanel", 1161, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.movePanel)
	self.movePanel_2 = self.movePanel

	self.CombatBlue = cc.Sprite:create()
	setValue(self.CombatBlue, "CombatBlue", 8, cc.size(644, 78), cc.p(320, 637.744), nil, nil, nil, nil, nil)
	self.CombatBlue:setSpriteFrame("ccs/UiImages/battle/combat_img_jiemian01.png")
	addChildForPre(self.movePanel_2, self.CombatBlue)
	self.CombatBlue_3 = self.CombatBlue

	self.leftLevel = createLabel({text=[[leftLv]], font=getFont(), size=22})
	setValue(self.leftLevel, "leftLevel", 252, cc.size(52, 26), cc.p(32.0068, 50.7468), cc.p(0, 0.5), cc.c4b(254, 209, 1, 255), nil, nil, nil)
	self.leftLevel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.leftLevel:setColor(cc.c4b(254, 209, 1, 255))
	addChildForPre(self.CombatBlue_3, self.leftLevel)

	self.leftNameLabel = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.leftNameLabel, "leftNameLabel", 300, cc.size(100, 26), cc.p(88.2924, 50.7468), cc.p(0, 0.5), nil, nil, nil, nil)
	self.leftNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.CombatBlue_3, self.leftNameLabel)

	self.leftSpeedLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.leftSpeedLabel, "leftSpeedLabel", 302, cc.size(91, 23), cc.p(153.5296, 18.4782), cc.p(0, 0.5), cc.c4b(254, 209, 1, 255), nil, nil, nil)
	self.leftSpeedLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.leftSpeedLabel:setColor(cc.c4b(254, 209, 1, 255))
	addChildForPre(self.CombatBlue_3, self.leftSpeedLabel)

	self.leftFirst = ccui.ImageView:create()
	setValue(self.leftFirst, "leftFirst", 320, cc.size(46, 46), cc.p(120.9983, 5), cc.p(1, 0.5), nil, nil, nil, nil)
	self.leftFirst:loadTexture("Default/ImageFile.png")
	addChildForPre(self.CombatBlue_3, self.leftFirst)

	self.rightNameLabel = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.rightNameLabel, "rightNameLabel", 303, cc.size(100, 26), cc.p(549.01, 50.7468), cc.p(1, 0.5), nil, nil, nil, nil)
	self.rightNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.CombatBlue_3, self.rightNameLabel)

	self.rightSpeedLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.rightSpeedLabel, "rightSpeedLabel", 304, cc.size(91, 23), cc.p(496.6528, 18.0024), cc.p(1, 0.5), cc.c4b(254, 209, 1, 255), nil, nil, nil)
	self.rightSpeedLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rightSpeedLabel:setColor(cc.c4b(254, 209, 1, 255))
	addChildForPre(self.CombatBlue_3, self.rightSpeedLabel)

	self.rightFirst = ccui.ImageView:create()
	setValue(self.rightFirst, "rightFirst", 321, cc.size(46, 46), cc.p(524.0005, 5), cc.p(0, 0.5), nil, nil, nil, nil)
	self.rightFirst:loadTexture("Default/ImageFile.png")
	addChildForPre(self.CombatBlue_3, self.rightFirst)

	self.rightLevel = createLabel({text=[[rightLV]], font=getFont(), size=22})
	setValue(self.rightLevel, "rightLevel", 253, cc.size(68, 26), cc.p(615.986, 50.7468), cc.p(1, 0.5), cc.c4b(254, 209, 1, 255), nil, nil, nil)
	self.rightLevel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rightLevel:setColor(cc.c4b(254, 209, 1, 255))
	addChildForPre(self.CombatBlue_3, self.rightLevel)

	self.vssaoguang001 = cc.Sprite:create()
	setValue(self.vssaoguang001, "vssaoguang001", 96, cc.size(320, 160), cc.p(482.9279, 642.3458), nil, nil, 0, nil, nil)
	self.vssaoguang001:setSpriteFrame("ccs/UiImages/battleEffectOpen/vssaoguang004.png")
	addChildForPre(self.movePanel_2, self.vssaoguang001)

	self.vssaoguang002 = cc.Sprite:create()
	setValue(self.vssaoguang002, "vssaoguang002", 98, cc.size(320, 160), cc.p(153.4618, 642.5277), nil, nil, 0, nil, nil)
	self.vssaoguang002:setRotationSkewY(180)
	self.vssaoguang002:setSpriteFrame("ccs/UiImages/battleEffectOpen/vssaoguang004.png")
	addChildForPre(self.movePanel_2, self.vssaoguang002)

	self.ComabatPlate = cc.Sprite:create()
	setValue(self.ComabatPlate, "ComabatPlate", 5, cc.size(133, 66), cc.p(320, 643.2), nil, nil, nil, nil, nil)
	self.ComabatPlate:setScale(1.2)
	self.ComabatPlate:setSpriteFrame("ccs/UiImages/battle/combat_img_vsdiban.png")
	addChildForPre(self.movePanel_2, self.ComabatPlate)

	self.vs01 = cc.Sprite:create()
	setValue(self.vs01, "vs01", 91, cc.size(300, 300), cc.p(327.1058, 647.8221), nil, nil, 0, nil, nil)
	self.vs01:setScale(1.2)
	self.vs01:setSpriteFrame("ccs/UiImages/battleEffectOpen/vs01.png")
	addChildForPre(self.movePanel_2, self.vs01)

	self.vs02 = cc.Sprite:create()
	setValue(self.vs02, "vs02", 94, cc.size(240, 240), cc.p(325.9367, 648.7469), nil, nil, 0, nil, nil)
	self.vs02:setScale(1.3)
	self.vs02:setSpriteFrame("ccs/UiImages/battleEffectOpen/vs02.png")
	addChildForPre(self.movePanel_2, self.vs02)

	self.vs03 = cc.Sprite:create()
	setValue(self.vs03, "vs03", 93, cc.size(200, 200), cc.p(321.1783, 652.5523), nil, nil, 0, nil, nil)
	self.vs03:setScale(1.1)
	self.vs03:setSpriteFrame("ccs/UiImages/battleEffectOpen/vs03.png")
	addChildForPre(self.movePanel_2, self.vs03)

	self.ComabatVS = cc.Sprite:create()
	setValue(self.ComabatVS, "ComabatVS", 135, cc.size(83, 64), cc.p(317.2726, 639.0892), nil, nil, nil, nil, nil)
	self.ComabatVS:setSpriteFrame("ccs/UiImages/battle/combat_img_vs.png")
	addChildForPre(self.movePanel_2, self.ComabatVS)

	self.vsdian001 = cc.Sprite:create()
	setValue(self.vsdian001, "vsdian001", 95, cc.size(300, 80), cc.p(384.02, 647.7839), cc.p(0.1, 0.5), nil, 0, nil, nil)
	self.vsdian001:setScale(0.9)
	self.vsdian001:setSpriteFrame("ccs/UiImages/battleEffectOpen/vsdian003.png")
	addChildForPre(self.movePanel_2, self.vsdian001)

	self.vsdian001 = cc.Sprite:create()
	setValue(self.vsdian001, "vsdian001", 99, cc.size(300, 80), cc.p(265.953, 642.2847), cc.p(0.1, 0.5), nil, 0, nil, nil)
	self.vsdian001:setRotationSkewY(180)
	self.vsdian001:setSpriteFrame("ccs/UiImages/battleEffectOpen/vsdian003.png")
	addChildForPre(self.movePanel_2, self.vsdian001)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(60)
	self.animation:setTimeSpeed(1)
	local timeLine
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(25, true, 482.9279, 642.3458, nil))
	timeLine:addFrame(CreatePositionFrame(50, true, 482.9279, 642.3458, nil))
	timeLine:setNode(self.vssaoguang001)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(25, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(50, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.vssaoguang001)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(25, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(50, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.vssaoguang001)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateTextureFrame(25, true, "ccs/UiImages/battleEffectOpen/vssaoguang001.png", nil))
	timeLine:addFrame(CreateTextureFrame(30, true, "ccs/UiImages/battleEffectOpen/vssaoguang001.png", nil))
	timeLine:addFrame(CreateTextureFrame(35, true, "ccs/UiImages/battleEffectOpen/vssaoguang002.png", nil))
	timeLine:addFrame(CreateTextureFrame(40, true, "ccs/UiImages/battleEffectOpen/vssaoguang003.png", nil))
	timeLine:addFrame(CreateTextureFrame(45, true, "ccs/UiImages/battleEffectOpen/vssaoguang004.png", nil))
	timeLine:addFrame(CreateTextureFrame(50, true, "ccs/UiImages/battleEffectOpen/vssaoguang004.png", nil))
	timeLine:setNode(self.vssaoguang001)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(25, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(30, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(45, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(50, true, cc.c3b(255,255,255), 0, nil))
	timeLine:setNode(self.vssaoguang001)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(25, true, 153.4618, 642.5277, nil))
	timeLine:setNode(self.vssaoguang002)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(25, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.vssaoguang002)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(25, true, 0.0000, 180.0000, nil))
	timeLine:setNode(self.vssaoguang002)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateTextureFrame(25, true, "ccs/UiImages/battleEffectOpen/vssaoguang001.png", nil))
	timeLine:addFrame(CreateTextureFrame(30, true, "ccs/UiImages/battleEffectOpen/vssaoguang001.png", nil))
	timeLine:addFrame(CreateTextureFrame(35, true, "ccs/UiImages/battleEffectOpen/vssaoguang002.png", nil))
	timeLine:addFrame(CreateTextureFrame(40, true, "ccs/UiImages/battleEffectOpen/vssaoguang003.png", nil))
	timeLine:addFrame(CreateTextureFrame(45, true, "ccs/UiImages/battleEffectOpen/vssaoguang004.png", nil))
	timeLine:setNode(self.vssaoguang002)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(25, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(30, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(45, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(50, true, cc.c3b(255,255,255), 0, nil))
	timeLine:setNode(self.vssaoguang002)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 320.0000, 960.0000, nil))
	timeLine:addFrame(CreatePositionFrame(15, true, 320.0000, 643.2000, nil))
	timeLine:addFrame(CreatePositionFrame(25, true, 320.0000, 643.2000, nil))
	timeLine:addFrame(CreatePositionFrame(60, true, 320.0000, 643.2000, nil))
	timeLine:setNode(self.ComabatPlate)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 1.2000, 1.2000, nil))
	timeLine:addFrame(CreateScaleFrame(25, true, 1.2000, 1.2000, nil))
	timeLine:addFrame(CreateScaleFrame(60, true, 1.2000, 1.2000, nil))
	timeLine:setNode(self.ComabatPlate)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(25, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(60, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.ComabatPlate)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(0, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(15, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(25, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(60, true, cc.c3b(255,255,255), 255, nil))
	timeLine:setNode(self.ComabatPlate)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateEventFrame(0, true, "", nil))
	timeLine:addFrame(CreateEventFrame(25, true, "startPlaySound", nil))
	timeLine:addFrame(CreateEventFrame(60, true, "startPlayMove", nil))
	timeLine:setNode(self.ComabatPlate)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(20, true, 327.1058, 647.8221, nil))
	timeLine:addFrame(CreatePositionFrame(30, true, 327.1058, 647.8221, nil))
	timeLine:setNode(self.vs01)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 0.0010, 0.0010, nil))
	timeLine:addFrame(CreateScaleFrame(20, true, 0.0010, 0.0010, nil))
	timeLine:addFrame(CreateScaleFrame(25, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(30, true, 1.2000, 1.2000, nil))
	timeLine:setNode(self.vs01)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(20, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(30, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.vs01)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(20, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(25, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(30, true, cc.c3b(255,255,255), 0, nil))
	timeLine:setNode(self.vs01)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(30, true, 325.9367, 648.7469, nil))
	timeLine:setNode(self.vs02)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(25, true, 0.0010, 0.0010, nil))
	timeLine:addFrame(CreateScaleFrame(30, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(45, true, 1.3000, 1.3000, nil))
	timeLine:setNode(self.vs02)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(25, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(30, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(45, true, cc.c3b(255,255,255), 0, nil))
	timeLine:setNode(self.vs02)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(30, true, 321.1783, 652.5523, nil))
	timeLine:setNode(self.vs03)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 0.0010, 0.0010, nil))
	timeLine:addFrame(CreateScaleFrame(25, true, 0.0010, 0.0010, nil))
	timeLine:addFrame(CreateScaleFrame(30, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(45, true, 1.1000, 1.1000, nil))
	timeLine:setNode(self.vs03)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(30, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.vs03)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(25, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(30, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(45, true, cc.c3b(255,255,255), 0, nil))
	timeLine:setNode(self.vs03)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(25, true, 317.2726, 639.0892, nil))
	timeLine:addFrame(CreatePositionFrame(60, true, 317.2726, 639.0892, nil))
	timeLine:setNode(self.ComabatVS)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(15, true, 5.0000, 5.0000, nil))
	timeLine:addFrame(CreateScaleFrame(25, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(60, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.ComabatVS)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(25, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(60, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.ComabatVS)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(15, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(25, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(60, true, cc.c3b(255,255,255), 255, nil))
	timeLine:setNode(self.ComabatVS)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(25, true, 399.8532, 653.6177, nil))
	timeLine:addFrame(CreatePositionFrame(29, true, 384.0200, 647.7839, nil))
	timeLine:setNode(self.vsdian001)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(25, true, 0.0010, 0.0010, nil))
	timeLine:addFrame(CreateScaleFrame(29, true, 0.9000, 0.9000, nil))
	timeLine:addFrame(CreateScaleFrame(41, true, 0.9000, 0.9000, nil))
	timeLine:setNode(self.vsdian001)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(25, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.vsdian001)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateTextureFrame(25, true, "ccs/UiImages/battleEffectOpen/vsdian001.png", nil))
	timeLine:addFrame(CreateTextureFrame(29, true, "ccs/UiImages/battleEffectOpen/vsdian001.png", nil))
	timeLine:addFrame(CreateTextureFrame(33, true, "ccs/UiImages/battleEffectOpen/vsdian002.png", nil))
	timeLine:addFrame(CreateTextureFrame(37, true, "ccs/UiImages/battleEffectOpen/vsdian003.png", nil))
	timeLine:setNode(self.vsdian001)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(25, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(29, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(37, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(41, true, cc.c3b(255,255,255), 0, nil))
	timeLine:setNode(self.vsdian001)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(25, true, 265.9530, 642.2847, nil))
	timeLine:addFrame(CreatePositionFrame(29, true, 265.9530, 642.2847, nil))
	timeLine:setNode(self.vsdian001)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(25, true, 0.0010, 0.0010, nil))
	timeLine:addFrame(CreateScaleFrame(29, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.vsdian001)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(25, true, 0.0000, 180.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(29, true, 0.0000, 180.0000, nil))
	timeLine:setNode(self.vsdian001)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateTextureFrame(25, true, "ccs/UiImages/battleEffectOpen/vsdian001.png", nil))
	timeLine:addFrame(CreateTextureFrame(29, true, "ccs/UiImages/battleEffectOpen/vsdian001.png", nil))
	timeLine:addFrame(CreateTextureFrame(33, true, "ccs/UiImages/battleEffectOpen/vsdian002.png", nil))
	timeLine:addFrame(CreateTextureFrame(37, true, "ccs/UiImages/battleEffectOpen/vsdian003.png", nil))
	timeLine:setNode(self.vsdian001)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(25, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(29, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(37, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(41, true, cc.c3b(255,255,255), 0, nil))
	timeLine:setNode(self.vsdian001)
	return self
end

_M.textures = {
	"ccs/plist/battle.plist",
	"Default/ImageFile.png",
	"ccs/plist/battleEffectOpen.plist",
}

return _M
