-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_0 = cc.Node:create()
	setValue(self.Node_0, "Node_0", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_0)
 	self.uiRootNode = self.Node_0
	self.Node_0_0 = self.Node_0

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 87, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 2853, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.imageBg = ccui.ImageView:create()
	setValue(self.imageBg, "XYN_imageBg", 649, cc.size(375, 667), cc.p(320, 480), nil, nil, nil, nil, nil)
	self.imageBg:setScale(2)
	self.imageBg:loadTexture("ccs/BigImages/background/countryBattle_img_bg_1.webp")
	addChildForPre(self.dialogPanel_2, self.imageBg)

	self.contentPanel = ccui.Layout:create()
	setValue(self.contentPanel, "XYN_contentPanel", 5, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.contentPanel)
	self.contentPanel_3 = self.contentPanel

	self.winTitlePanel = ccui.Layout:create()
	setValue(self.winTitlePanel, "winTitlePanel", 564, cc.size(640, 400), cc.p(320, 745), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.contentPanel_3, self.winTitlePanel)
	self.winTitlePanel_4 = self.winTitlePanel

	self.WinLight = cc.Sprite:create()
	setValue(self.WinLight, "WinLight", 53, cc.size(256, 256), cc.p(320, 335), cc.p(0.5004, 0.5), nil, nil, nil, nil)
	self.WinLight:setScale(2)
	self.WinLight:setSpriteFrame("ccs/UiImages/common/light.png")
	addChildForPre(self.winTitlePanel_4, self.WinLight)

	self.winTitleSprite = cc.Sprite:create()
	setValue(self.winTitleSprite, "winTitleSprite", 179, cc.size(46, 46), cc.p(320, 800), nil, nil, nil, nil, nil)
	self.winTitleSprite:setTexture("Default/Sprite.png")
	addChildForPre(self.winTitlePanel_4, self.winTitleSprite)

	self.winTopPanel = ccui.Layout:create()
	setValue(self.winTopPanel, "winTopPanel", 105, cc.size(640, 400), cc.p(320, 745), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.contentPanel_3, self.winTopPanel)
	self.winTopPanel_4 = self.winTopPanel

	self.winTitleBg = ccui.ImageView:create()
	setValue(self.winTitleBg, "winTitleBg", 106, cc.size(596, 210), cc.p(320, -650), nil, nil, nil, nil, nil)
	self.winTitleBg:loadTexture("ccs/UiImages/battle/winLose_img_win_bg.png", 1)
	addChildForPre(self.winTopPanel_4, self.winTitleBg)

	if BattleResultStartUi then 
 		self.BattleResultStartUi = BattleResultStartUi.new() 
 	else 
		self.BattleResultStartUi = BaseUi.new("ccs/ui/battle/BattleResultStartUi.lua")
 	end 
	setValue(self.BattleResultStartUi, "BattleResultStartUi", 164, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.winTopPanel_4, self.BattleResultStartUi)

	self.InfoPanel = ccui.Layout:create()
	setValue(self.InfoPanel, "InfoPanel", 31, cc.size(482, 36), cc.p(320, 131), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.winTopPanel_4, self.InfoPanel)
	self.InfoPanel_5 = self.InfoPanel

	self.IconOil = cc.Sprite:create()
	setValue(self.IconOil, "IconOil", 33, cc.size(50, 26), cc.p(300, 16.9992), nil, nil, nil, nil, nil)
	self.IconOil:setSpriteFrame("ccs/UiImages/battle/winLose_img_txt_exp_1.png")
	addChildForPre(self.InfoPanel_5, self.IconOil)

	self.oilLabel = createLabel({text=[[Oil]], font=getFont(), size=24})
	setValue(self.oilLabel, "oilLabel", 34, cc.size(29, 28), cc.p(336.56, 18), cc.p(0, 0.5), cc.c4b(255, 228, 0, 255), nil, nil, nil)
	self.oilLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.oilLabel:setColor(cc.c4b(255, 228, 0, 255))
	addChildForPre(self.InfoPanel_5, self.oilLabel)

	self.IconGold = cc.Sprite:create()
	setValue(self.IconGold, "IconGold", 35, cc.size(34, 28), cc.p(80.012, 21.24), nil, nil, nil, nil, nil)
	self.IconGold:setSpriteFrame("ccs/UiImages/battle/icon_gold.png")
	addChildForPre(self.InfoPanel_5, self.IconGold)

	self.goldLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.goldLabel, "goldLabel", 36, cc.size(109, 28), cc.p(111.2938, 18), cc.p(0, 0.5), cc.c4b(255, 228, 0, 255), nil, nil, nil)
	self.goldLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.goldLabel:setColor(cc.c4b(255, 228, 0, 255))
	addChildForPre(self.InfoPanel_5, self.goldLabel)

	self.imageLevel = ccui.ImageView:create()
	setValue(self.imageLevel, "imageLevel", 109, cc.size(46, 46), cc.p(111.808, 90.52), nil, nil, nil, nil, nil)
	self.imageLevel:setVisible(false)
	self.imageLevel:loadTexture("Default/ImageFile.png")
	addChildForPre(self.winTopPanel_4, self.imageLevel)

	self.levTitlelabel = createLabel({text=[[Lv]], font=getFont(), size=24})
	setValue(self.levTitlelabel, "levTitlelabel", 1872, cc.size(25, 28), cc.p(121.6, 90.84), nil, cc.c4b(255, 222, 0, 255), nil, nil, nil)
	self.levTitlelabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.levTitlelabel:setColor(cc.c4b(255, 222, 0, 255))
	addChildForPre(self.winTopPanel_4, self.levTitlelabel)

	self.LevelLabel = createLabel({text=[[Level]], font=getFont(), size=24})
	setValue(self.LevelLabel, "LevelLabel", 32, cc.size(57, 28), cc.p(145.696, 90.8234), cc.p(0, 0.5), cc.c4b(255, 222, 0, 255), nil, nil, nil)
	self.LevelLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.LevelLabel:setColor(cc.c4b(255, 222, 0, 255))
	addChildForPre(self.winTopPanel_4, self.LevelLabel)

	self.progressLabel = createLabel({text=[[progressLabel]], font=getFont(), size=24})
	setValue(self.progressLabel, "progressLabel", 317, cc.size(152, 28), cc.p(463.88, 91.9567), cc.p(0, 0.5), cc.c4b(255, 222, 0, 255), nil, nil, nil)
	self.progressLabel:setVisible(false)
	self.progressLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.progressLabel:setColor(cc.c4b(255, 222, 0, 255))
	addChildForPre(self.winTopPanel_4, self.progressLabel)

	self.expBarBg = ccui.ImageView:create()
	setValue(self.expBarBg, "expBarBg", 542, cc.size(245, 24), cc.p(326.88, 91.32), nil, nil, nil, nil, nil)
	self.expBarBg:loadTexture("ccs/UiImages/battle/s9_img_expa.png", 1)
	addChildForPre(self.winTopPanel_4, self.expBarBg)
	self.expBarBg_5 = self.expBarBg

	local progressSprite = cc.Sprite:createWithSpriteFrameName("ccs/UiImages/battle/s9_img_expb.png")
	self.expLoadingBar = cc.ProgressTimer:create(progressSprite)
	setValue(self.expLoadingBar, "expLoadingBar", 186, cc.size(245, 24), cc.p(122.5, 12), nil, nil, nil, nil, nil)
	self.expLoadingBar:setPercentage(100)
	self.expLoadingBar:setType(1)
	self.expLoadingBar:setBarChangeRate({x=1,y=0})
	self.expLoadingBar:setMidpoint({x = 0,y = 0})
	addChildForPre(self.expBarBg_5, self.expLoadingBar)

	self.starPanel = ccui.Layout:create()
	setValue(self.starPanel, "starPanel", 62, cc.size(500, 80), cc.p(320, 193), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.winTopPanel_4, self.starPanel)
	self.starPanel_5 = self.starPanel

	self.WinStar1B = cc.Sprite:create()
	setValue(self.WinStar1B, "WinStar1B", 64, cc.size(120, 116), cc.p(125, 120), cc.p(0.5, 1), nil, 0, nil, nil)
	self.WinStar1B:setSpriteFrame("ccs/UiImages/battle/winLose_img_star_2.png")
	addChildForPre(self.starPanel_5, self.WinStar1B)

	self.WinStar2B = cc.Sprite:create()
	setValue(self.WinStar2B, "WinStar2B", 61, cc.size(120, 116), cc.p(250, 120), cc.p(0.5, 1), nil, 0, nil, nil)
	self.WinStar2B:setSpriteFrame("ccs/UiImages/battle/winLose_img_star_2.png")
	addChildForPre(self.starPanel_5, self.WinStar2B)

	self.WinStar3B = cc.Sprite:create()
	setValue(self.WinStar3B, "WinStar3B", 66, cc.size(120, 116), cc.p(375, 120), cc.p(0.5, 1), nil, 0, nil, nil)
	self.WinStar3B:setSpriteFrame("ccs/UiImages/battle/winLose_img_star_2.png")
	addChildForPre(self.starPanel_5, self.WinStar3B)

	self.WinStar1A = cc.Sprite:create()
	setValue(self.WinStar1A, "WinStar1A", 63, cc.size(120, 116), cc.p(125, 62), nil, nil, 0, nil, nil)
	self.WinStar1A:setRotationSkewX(360)
	self.WinStar1A:setRotationSkewY(360)
	self.WinStar1A:setScale(3)
	self.WinStar1A:setSpriteFrame("ccs/UiImages/battle/winLose_img_star_1.png")
	addChildForPre(self.starPanel_5, self.WinStar1A)

	self.WinStar2A = cc.Sprite:create()
	setValue(self.WinStar2A, "WinStar2A", 60, cc.size(120, 116), cc.p(250, 62), nil, nil, 0, nil, nil)
	self.WinStar2A:setRotationSkewX(360)
	self.WinStar2A:setRotationSkewY(360)
	self.WinStar2A:setScale(3)
	self.WinStar2A:setSpriteFrame("ccs/UiImages/battle/winLose_img_star_1.png")
	addChildForPre(self.starPanel_5, self.WinStar2A)

	self.WinStar3A = cc.Sprite:create()
	setValue(self.WinStar3A, "WinStar3A", 65, cc.size(120, 116), cc.p(375, 62), nil, nil, 0, nil, nil)
	self.WinStar3A:setRotationSkewX(360)
	self.WinStar3A:setRotationSkewY(360)
	self.WinStar3A:setScale(0.7)
	self.WinStar3A:setSpriteFrame("ccs/UiImages/battle/winLose_img_star_1.png")
	addChildForPre(self.starPanel_5, self.WinStar3A)

	self.first3starLabel = createLabel({text=[[first3starLabel]], font=getFont(), size=24})
	setValue(self.first3starLabel, "first3starLabel", 689, cc.size(150, 28), cc.p(320, 35), nil, cc.c4b(255, 228, 0, 255), nil, nil, nil)
	self.first3starLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.first3starLabel:setColor(cc.c4b(255, 228, 0, 255))
	addChildForPre(self.winTopPanel_4, self.first3starLabel)

	self.battleRewardPanel = ccui.Layout:create()
	setValue(self.battleRewardPanel, "battleRewardPanel", 570, cc.size(640, 315), cc.p(320, 384.576), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.contentPanel_3, self.battleRewardPanel)
	self.battleRewardPanel_4 = self.battleRewardPanel

	self.rewardTitleBg = ccui.ImageView:create()
	setValue(self.rewardTitleBg, "rewardTitleBg", 110, cc.size(290, 40), cc.p(320, 288.918), nil, nil, nil, nil, nil)
	self.rewardTitleBg:loadTexture("ccs/UiImages/battle/winLose_img_txtbg_1.png", 1)
	addChildForPre(self.battleRewardPanel_4, self.rewardTitleBg)
	self.rewardTitleBg_5 = self.rewardTitleBg

	self.spriteTitle = cc.Sprite:create()
	setValue(self.spriteTitle, "spriteTitle", 111, cc.size(46, 46), cc.p(145, 20), nil, nil, nil, nil, nil)
	self.spriteTitle:setTexture("Default/Sprite.png")
	addChildForPre(self.rewardTitleBg_5, self.spriteTitle)

	self.rewardPanel = ccui.Layout:create()
	setValue(self.rewardPanel, "rewardPanel", 8, cc.size(600, 160), cc.p(320, 105.9975), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.battleRewardPanel_4, self.rewardPanel)

	self.noHaveReward = createLabel({text=[[noHaveReward]], font=getFont(), size=24})
	setValue(self.noHaveReward, "noHaveReward", 711, cc.size(165, 28), cc.p(320, 227.4615), nil, nil, nil, nil, nil)
	self.noHaveReward:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.battleRewardPanel_4, self.noHaveReward)

	self.buttonPanel = ccui.Layout:create()
	setValue(self.buttonPanel, "buttonPanel", 80, cc.size(640, 220), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.contentPanel_3, self.buttonPanel)
	self.buttonPanel_4 = self.buttonPanel

	self.replayButton = ccui.Button:create()
	setValue(self.replayButton, "replayButton", 9, cc.size(153, 64), cc.p(128, 142.01), nil, nil, nil, nil, false)
	self.replayButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.replayButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.replayButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.replayButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.replayButton:setTitleText([[Replay]])
	self.replayButton:setTitleFontSize(25)
	self.replayButton:setTitleFontName(getFont())
	setClickEvent(self, self.replayButton, "replayButton")
	addChildForPre(self.buttonPanel_4, self.replayButton)

	self.redoButton = ccui.Button:create()
	setValue(self.redoButton, "redoButton", 10, cc.size(153, 64), cc.p(320, 142), nil, nil, nil, nil, false)
	self.redoButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.redoButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.redoButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.redoButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.redoButton:setTitleText([[ReTry]])
	self.redoButton:setTitleFontSize(25)
	self.redoButton:setTitleFontName(getFont())
	setClickEvent(self, self.redoButton, "redoButton")
	addChildForPre(self.buttonPanel_4, self.redoButton)

	self.closeDialogButton = ccui.Button:create()
	setValue(self.closeDialogButton, "closeDialogButton", 11, cc.size(153, 64), cc.p(320, 60), nil, nil, nil, nil, false)
	self.closeDialogButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.closeDialogButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.closeDialogButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.closeDialogButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.closeDialogButton:setTitleText([[Close]])
	self.closeDialogButton:setTitleFontSize(25)
	self.closeDialogButton:setTitleFontName(getFont())
	setClickEvent(self, self.closeDialogButton, "closeDialogButton")
	addChildForPre(self.buttonPanel_4, self.closeDialogButton)

	self.nextCheckpointBtn = ccui.Button:create()
	setValue(self.nextCheckpointBtn, "nextCheckpointBtn", 107, cc.size(153, 64), cc.p(512, 142.01), nil, nil, nil, nil, false)
	self.nextCheckpointBtn:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.nextCheckpointBtn:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.nextCheckpointBtn:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.nextCheckpointBtn:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.nextCheckpointBtn:setTitleText([[nextCheck]])
	self.nextCheckpointBtn:setTitleFontSize(25)
	self.nextCheckpointBtn:setTitleFontName(getFont())
	setClickEvent(self, self.nextCheckpointBtn, "nextCheckpointBtn")
	addChildForPre(self.buttonPanel_4, self.nextCheckpointBtn)

	self.first3starCondLabel = createLabel({text=[[first3starCondLabel]], font=getFont(), size=24})
	setValue(self.first3starCondLabel, "first3starCondLabel", 543, cc.size(208, 28), cc.p(320, 200), nil, cc.c4b(255, 222, 0, 255), nil, nil, nil)
	self.first3starCondLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.first3starCondLabel:setColor(cc.c4b(255, 222, 0, 255))
	addChildForPre(self.buttonPanel_4, self.first3starCondLabel)

	self.defenseOilDescLabel = createLabel({text=[[defenseOilDescLabel]], font=getFont(), size=24})
	setValue(self.defenseOilDescLabel, "defenseOilDescLabel", 340, cc.size(228, 28), cc.p(320, 200.002), nil, cc.c4b(255, 228, 0, 255), nil, nil, nil)
	self.defenseOilDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.defenseOilDescLabel:setColor(cc.c4b(255, 228, 0, 255))
	addChildForPre(self.buttonPanel_4, self.defenseOilDescLabel)

	if ArenaResultUi then 
 		self.arenaResultUi = ArenaResultUi.new() 
 	else 
		self.arenaResultUi = BaseUi.new("ccs/ui/battle/ArenaResultUi.lua")
 	end 
	setValue(self.arenaResultUi, "arenaResultUi", 192, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.contentPanel_3, self.arenaResultUi)

	if RobPieceResult1Ui then 
 		self.robPieceResult1Ui = RobPieceResult1Ui.new() 
 	else 
		self.robPieceResult1Ui = BaseUi.new("ccs/ui/battle/RobPieceResult1Ui.lua")
 	end 
	setValue(self.robPieceResult1Ui, "robPieceResult1Ui", 465, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.contentPanel_3, self.robPieceResult1Ui)

	if GlodMineBattleResultUi then 
 		self.glodMineBattleResultUi = GlodMineBattleResultUi.new() 
 	else 
		self.glodMineBattleResultUi = BaseUi.new("ccs/ui/battle/GlodMineBattleResultUi.lua")
 	end 
	setValue(self.glodMineBattleResultUi, "glodMineBattleResultUi", 564, nil, nil, nil, nil, nil, nil, nil)
	self.glodMineBattleResultUi:setVisible(false)
	addChildForPre(self.contentPanel_3, self.glodMineBattleResultUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(65)
	self.animation:setTimeSpeed(1)
	local timeLine
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 320.0000, 800.0000, nil))
	timeLine:addFrame(CreatePositionFrame(15, true, 320.0000, 800.0000, nil))
	timeLine:addFrame(CreatePositionFrame(21, true, 320.0000, 320.0000, nil))
	timeLine:setNode(self.winTitleSprite)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(21, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.winTitleSprite)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(21, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.winTitleSprite)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateEventFrame(21, true, "startFire", nil))
	timeLine:setNode(self.winTitleSprite)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(5, true, 320.0000, -650.0000, nil))
	timeLine:addFrame(CreatePositionFrame(15, true, 320.0000, 176.0000, nil))
	timeLine:addFrame(CreatePositionFrame(22, true, 320.0000, 176.0000, nil))
	timeLine:addFrame(CreatePositionFrame(24, true, 320.0000, 170.0000, nil))
	timeLine:addFrame(CreatePositionFrame(26, true, 320.0000, 176.0000, nil))
	timeLine:setNode(self.winTitleBg)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(15, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(22, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(26, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.winTitleBg)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(15, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(22, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(26, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.winTitleBg)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateTextureFrame(65, true, "ccs/UiImages/battle/winLose_img_txt_exp_1.png", nil))
	timeLine:setNode(self.IconOil)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(65, true, cc.c3b(255,228,0), 255, nil))
	timeLine:setNode(self.oilLabel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateTextureFrame(65, true, "ccs/UiImages/battle/icon_gold.png", nil))
	timeLine:setNode(self.IconGold)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(31, true, 111.8080, 90.5200, nil))
	timeLine:addFrame(CreatePositionFrame(50, true, 111.8080, 90.5200, nil))
	timeLine:addFrame(CreatePositionFrame(65, true, 111.8080, 90.5200, nil))
	timeLine:setNode(self.imageLevel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(31, true, 145.6960, 90.8234, nil))
	timeLine:addFrame(CreatePositionFrame(50, true, 145.7280, 90.8234, nil))
	timeLine:addFrame(CreatePositionFrame(65, true, 145.7280, 90.8234, nil))
	timeLine:setNode(self.LevelLabel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(0, true, cc.c3b(255,222,0), 255, nil))
	timeLine:addFrame(CreateColorFrame(18, true, cc.c3b(255,228,0), 255, nil))
	timeLine:setNode(self.LevelLabel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(31, true, 463.8800, 91.9567, nil))
	timeLine:addFrame(CreatePositionFrame(50, true, 463.8720, 91.9567, nil))
	timeLine:addFrame(CreatePositionFrame(65, true, 463.8720, 91.9567, nil))
	timeLine:setNode(self.progressLabel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(0, true, cc.c3b(255,222,0), 255, nil))
	timeLine:addFrame(CreateColorFrame(18, true, cc.c3b(255,228,0), 255, nil))
	timeLine:setNode(self.progressLabel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateVisibleFrame(65, true, false, nil))
	timeLine:setNode(self.progressLabel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(31, true, 326.8800, 91.3200, nil))
	timeLine:addFrame(CreatePositionFrame(50, true, 326.8480, 91.3200, nil))
	timeLine:addFrame(CreatePositionFrame(65, true, 326.8480, 91.3200, nil))
	timeLine:setNode(self.expBarBg)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(32, true, 125.0000, 120.0000, nil))
	timeLine:setNode(self.WinStar1B)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(32, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.WinStar1B)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(32, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.WinStar1B)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(25, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(32, true, cc.c3b(255,255,255), 255, nil))
	timeLine:setNode(self.WinStar1B)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(32, true, 250.0000, 120.0000, nil))
	timeLine:setNode(self.WinStar2B)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(32, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.WinStar2B)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(32, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.WinStar2B)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(25, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(32, true, cc.c3b(255,255,255), 255, nil))
	timeLine:setNode(self.WinStar2B)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(32, true, 375.0000, 120.0000, nil))
	timeLine:setNode(self.WinStar3B)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(32, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.WinStar3B)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(32, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.WinStar3B)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(25, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(32, true, cc.c3b(255,255,255), 255, nil))
	timeLine:setNode(self.WinStar3B)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(26, true, 125.0000, 62.0000, nil))
	timeLine:addFrame(CreatePositionFrame(33, true, 125.0000, 62.0000, nil))
	timeLine:setNode(self.WinStar1A)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(26, true, 3.0000, 3.0000, nil))
	timeLine:addFrame(CreateScaleFrame(33, true, 0.7000, 0.7000, nil))
	timeLine:addFrame(CreateScaleFrame(35, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.WinStar1A)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(26, true, 360.0000, 360.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(33, true, 360.0000, 360.0000, nil))
	timeLine:setNode(self.WinStar1A)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(26, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(33, true, cc.c3b(255,255,255), 255, nil))
	timeLine:setNode(self.WinStar1A)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateEventFrame(0, true, "", nil))
	timeLine:addFrame(CreateEventFrame(10, true, "", nil))
	timeLine:setNode(self.WinStar1A)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(34, true, 250.0000, 62.0000, nil))
	timeLine:addFrame(CreatePositionFrame(39, true, 250.0000, 62.0000, nil))
	timeLine:addFrame(CreatePositionFrame(41, true, 250.0000, 62.0000, nil))
	timeLine:setNode(self.WinStar2A)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(34, true, 3.0000, 3.0000, nil))
	timeLine:addFrame(CreateScaleFrame(39, true, 0.7000, 0.7000, nil))
	timeLine:addFrame(CreateScaleFrame(41, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.WinStar2A)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(34, true, 360.0000, 360.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(39, true, 360.0000, 360.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(41, true, 360.0000, 360.0000, nil))
	timeLine:setNode(self.WinStar2A)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(34, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(39, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(41, true, cc.c3b(255,255,255), 255, nil))
	timeLine:setNode(self.WinStar2A)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 375.0000, 62.0000, nil))
	timeLine:addFrame(CreatePositionFrame(39, true, 375.0000, 62.0000, nil))
	timeLine:addFrame(CreatePositionFrame(44, true, 375.0000, 62.0000, nil))
	timeLine:setNode(self.WinStar3A)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 0.7000, 0.7000, nil))
	timeLine:addFrame(CreateScaleFrame(39, true, 0.7000, 0.7000, nil))
	timeLine:addFrame(CreateScaleFrame(40, true, 3.0000, 3.0000, nil))
	timeLine:addFrame(CreateScaleFrame(44, true, 0.7000, 0.7000, nil))
	timeLine:addFrame(CreateScaleFrame(46, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.WinStar3A)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 360.0000, 360.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(39, true, 360.0000, 360.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(44, true, 360.0000, 360.0000, nil))
	timeLine:setNode(self.WinStar3A)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateEventFrame(0, true, "startEffOver", nil))
	timeLine:addFrame(CreateEventFrame(30, true, "startEffOver", nil))
	timeLine:addFrame(CreateEventFrame(39, true, "startEffOver", nil))
	timeLine:addFrame(CreateEventFrame(40, true, "startEffOver", nil))
	timeLine:setNode(self.WinStar3A)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(0, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(39, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(44, true, cc.c3b(255,255,255), 255, nil))
	timeLine:setNode(self.WinStar3A)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 320.0000, 193.0000, nil))
	timeLine:addFrame(CreatePositionFrame(33, true, 320.0000, 193.0000, nil))
	timeLine:addFrame(CreatePositionFrame(38, true, 320.0000, 193.0000, nil))
	timeLine:addFrame(CreatePositionFrame(44, true, 320.0000, 193.0000, nil))
	timeLine:setNode(self.starPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(33, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(38, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(44, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.starPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(33, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(38, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(44, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.starPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateEventFrame(0, true, "", nil))
	timeLine:addFrame(CreateEventFrame(33, true, "star1complete", nil))
	timeLine:addFrame(CreateEventFrame(38, true, "star2complete", nil))
	timeLine:addFrame(CreateEventFrame(44, true, "star3complete", nil))
	timeLine:setNode(self.starPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(0, true, cc.c3b(255,222,0), 255, nil))
	timeLine:setNode(self.first3starCondLabel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreatePositionFrame(65, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.buttonPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(65, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.buttonPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(65, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.buttonPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateEventFrame(0, true, "", nil))
	timeLine:addFrame(CreateEventFrame(65, true, "closeButtonShow", nil))
	timeLine:setNode(self.buttonPanel)
	return self
end

_M.textures = {
	"ccs/BigImages/background/countryBattle_img_bg_1.jpg",
	"ccs/plist/common.plist",
	"Default/Sprite.png",
	"ccs/plist/battle.plist",
	"Default/ImageFile.png",
	"ccs/plist/image9.plist",
}

return _M
