-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 209, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 210, cc.size(150, 150), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.frame1 = cc.Sprite:create()
	setValue(self.frame1, "frame1", 329, cc.size(126, 127), cc.p(75, 75), nil, nil, 0, nil, nil)
	self.frame1:setRotationSkewX(-250)
	self.frame1:setRotationSkewY(-250)
	self.frame1:setSpriteFrame("ccs/UiImages/commonBg/qualityBg9.png")
	addChildForPre(self.rootPanel_1, self.frame1)

	self.qualityBgSprite = cc.Sprite:create()
	setValue(self.qualityBgSprite, "qualityBgSprite", 395, cc.size(100, 100), cc.p(75, 75), nil, nil, nil, nil, nil)
	self.qualityBgSprite:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.rootPanel_1, self.qualityBgSprite)
	self.qualityBgSprite_2 = self.qualityBgSprite

	self.qualitySprite = cc.Sprite:create()
	setValue(self.qualitySprite, "qualitySprite", 64, cc.size(100, 100), cc.p(50, 50), nil, nil, nil, nil, nil)
	self.qualitySprite:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.qualityBgSprite_2, self.qualitySprite)

	self.imagePanel = ccui.Layout:create()
	setValue(self.imagePanel, "imagePanel", 55, cc.size(90, 90), cc.p(50, 50), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.imagePanel:setClippingEnabled(true)
	addChildForPre(self.qualityBgSprite_2, self.imagePanel)
	self.imagePanel_3 = self.imagePanel

	self.itemImage = cc.Sprite:create()
	setValue(self.itemImage, "itemImage", 396, cc.size(46, 46), cc.p(45, 45), nil, nil, nil, nil, nil)
	self.itemImage:setTexture("Default/Sprite.png")
	addChildForPre(self.imagePanel_3, self.itemImage)

	self.fragmentSprite = cc.Sprite:create()
	setValue(self.fragmentSprite, "fragmentSprite", 56, cc.size(100, 100), cc.p(50, 50), nil, nil, nil, nil, nil)
	self.fragmentSprite:setSpriteFrame("ccs/UiImages/common/common_img_suipian.png")
	addChildForPre(self.qualityBgSprite_2, self.fragmentSprite)

	self.partsSprite = cc.Sprite:create()
	setValue(self.partsSprite, "partsSprite", 1039, cc.size(100, 100), cc.p(50, 50), nil, nil, nil, nil, nil)
	self.partsSprite:setSpriteFrame("ccs/UiImages/common/commonIcon_1.png")
	addChildForPre(self.qualityBgSprite_2, self.partsSprite)

	self.flagSprite = cc.Sprite:create()
	setValue(self.flagSprite, "flagSprite", 585, cc.size(70, 42), cc.p(78, 82), nil, nil, nil, nil, nil)
	self.flagSprite:setScale(0.45)
	self.flagSprite:setSpriteFrame("ccs/UiImages/common/common_img_guoqi01.png")
	addChildForPre(self.qualityBgSprite_2, self.flagSprite)

	self.numLabel = createLabel({text=[[0]], font=getFont(), size=24})
	setValue(self.numLabel, "numLabel", 394, cc.size(13, 28), cc.p(93, 17), cc.p(1, 0.5), nil, nil, nil, nil)
	self.numLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.qualityBgSprite_2, self.numLabel)

	self.desLabel = createLabel({text=[[itemName]], font=getFont(), size=22})
	setValue(self.desLabel, "desLabel", 392, cc.size(100, 26), cc.p(50, -14), nil, nil, nil, nil, nil)
	self.desLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.qualityBgSprite_2, self.desLabel)

	self.desLabel02 = createLabel({text=[[itemName]], font=getFont(), size=22})
	setValue(self.desLabel02, "desLabel02", 179, cc.size(100, 26), cc.p(50, -14), nil, nil, 0, nil, nil)
	self.desLabel02:setScale(1.5)
	self.desLabel02:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.qualityBgSprite_2, self.desLabel02)

	self.tankTypeSprite = cc.Sprite:create()
	setValue(self.tankTypeSprite, "tankTypeSprite", 157, cc.size(46, 46), cc.p(9, 9), nil, nil, nil, nil, nil)
	self.tankTypeSprite:setScale(0.6)
	self.tankTypeSprite:setTexture("Default/Sprite.png")
	addChildForPre(self.qualityBgSprite_2, self.tankTypeSprite)

	self.mainIconBtn = ccui.Button:create()
	self.mainIconBtn:setScale9Enabled(true)
	self.mainIconBtn:setCapInsets(cc.rect(0, 0, 10, 10))
	self.mainIconBtn:setContentSize(cc.size(100, 100))
	setValue(self.mainIconBtn, "mainIconBtn", 186, nil, cc.p(50, 50), nil, nil, nil, nil, false)
	self.mainIconBtn:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.mainIconBtn:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.mainIconBtn:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.mainIconBtn:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.mainIconBtn:setTitleText([[]])
	self.mainIconBtn:setTitleColor(cc.c3b(65, 65, 70))
	self.mainIconBtn:setTitleFontSize(14)
	self.mainIconBtn:setTitleFontName(getFont())
	setClickEvent(self, self.mainIconBtn, "mainIconBtn")
	addChildForPre(self.qualityBgSprite_2, self.mainIconBtn)

	self.frame2 = cc.Sprite:create()
	setValue(self.frame2, "frame2", 330, cc.size(126, 127), cc.p(75, 75), nil, nil, 0, nil, nil)
	self.frame2:setRotationSkewX(-180)
	self.frame2:setRotationSkewY(-180)
	self.frame2:setScale(0.3)
	self.frame2:setSpriteFrame("ccs/UiImages/commonBg/qualityBg9.png")
	addChildForPre(self.rootPanel_1, self.frame2)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(45)
	self.animation:setTimeSpeed(1)
	local timeLine
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 0.0010, 0.0010, nil))
	timeLine:addFrame(CreateScaleFrame(5, true, 0.5000, 0.5000, nil))
	timeLine:addFrame(CreateScaleFrame(10, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(45, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.frame1)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(5, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(45, true, -250.0000, -250.0000, nil))
	timeLine:setNode(self.frame1)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(0, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(5, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(33, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(45, true, cc.c3b(255,255,255), 0, nil))
	timeLine:setNode(self.frame1)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(5, true, 75.0000, 75.0000, nil))
	timeLine:addFrame(CreatePositionFrame(45, true, 75.0000, 75.0000, nil))
	timeLine:setNode(self.frame1)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(20, true, 0.0010, 0.0010, nil))
	timeLine:addFrame(CreateScaleFrame(25, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.desLabel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(25, true, 50.0000, -14.0000, nil))
	timeLine:addFrame(CreatePositionFrame(32, true, 50.0000, -14.0000, nil))
	timeLine:setNode(self.desLabel02)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(25, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(32, true, 1.5000, 1.5000, nil))
	timeLine:setNode(self.desLabel02)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(32, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.desLabel02)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(26, true, 75.0000, 75.0000, nil))
	timeLine:addFrame(CreatePositionFrame(45, true, 75.0000, 75.0000, nil))
	timeLine:setNode(self.qualityBgSprite)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 0.0010, 0.0010, nil))
	timeLine:addFrame(CreateScaleFrame(18, true, 1.2000, 1.2000, nil))
	timeLine:addFrame(CreateScaleFrame(22, true, 0.9500, 0.9500, nil))
	timeLine:addFrame(CreateScaleFrame(26, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(45, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.qualityBgSprite)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(26, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(45, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.qualityBgSprite)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateEventFrame(0, true, "", nil))
	timeLine:addFrame(CreateEventFrame(18, true, "startNext", nil))
	timeLine:addFrame(CreateEventFrame(26, true, "", nil))
	timeLine:addFrame(CreateEventFrame(45, true, "actionEnd", nil))
	timeLine:setNode(self.qualityBgSprite)
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"Default/Sprite.png",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
}

return _M
