-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_0 = cc.Node:create()
	setValue(self.Node_0, "Node_0", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_0)
 	self.uiRootNode = self.Node_0
	self.Node_0_0 = self.Node_0

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 5, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.contentPanel = ccui.Layout:create()
	setValue(self.contentPanel, "XYN_contentPanel", 3160, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.contentPanel)
	self.contentPanel_2 = self.contentPanel

	self.InfoPanel = ccui.Layout:create()
	setValue(self.InfoPanel, "InfoPanel", 31, cc.size(640, 150), cc.p(320, 335), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.contentPanel_2, self.InfoPanel)
	self.InfoPanel_3 = self.InfoPanel

	self.pieceInfoLabel = createLabel({text=[[pieceInfoLabel]], font=getFont(), size=24,align = 1})
	setValue(self.pieceInfoLabel, "pieceInfoLabel", 32, cc.size(156, 28), cc.p(332.608, 216.45), nil, cc.c4b(255, 222, 0, 255), nil, nil, nil)
	self.pieceInfoLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.pieceInfoLabel:setColor(cc.c4b(255, 222, 0, 255))
	addChildForPre(self.InfoPanel_3, self.pieceInfoLabel)

	self.rewardInfoLabel = createLabel({text=[[rewardInfoLabel]], font=getFont(), size=24})
	setValue(self.rewardInfoLabel, "rewardInfoLabel", 34, cc.size(172, 28), cc.p(320, 180), nil, nil, nil, nil, nil)
	self.rewardInfoLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.InfoPanel_3, self.rewardInfoLabel)

	self.aEquipmentFrame = cc.Sprite:create()
	setValue(self.aEquipmentFrame, "aEquipmentFrame", 271, cc.size(100, 100), cc.p(96, 72), nil, nil, nil, nil, nil)
	self.aEquipmentFrame:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.InfoPanel_3, self.aEquipmentFrame)
	self.aEquipmentFrame_4 = self.aEquipmentFrame

	self.aitemSprite = cc.Sprite:create()
	setValue(self.aitemSprite, "aitemSprite", 275, cc.size(46, 46), cc.p(50, 50), nil, nil, nil, nil, nil)
	self.aitemSprite:setScale(0.6)
	self.aitemSprite:setTexture("Default/Sprite.png")
	addChildForPre(self.aEquipmentFrame_4, self.aitemSprite)

	self.aButton = ccui.Button:create()
	self.aButton:setScale9Enabled(true)
	self.aButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.aButton:setContentSize(cc.size(100, 100))
	setValue(self.aButton, "aButton", 277, nil, cc.p(51.46, 116.83), nil, nil, nil, nil, false)
	self.aButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.aButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.aButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.aButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.aButton:setTitleText([[]])
	self.aButton:setTitleColor(cc.c3b(65, 65, 70))
	self.aButton:setTitleFontSize(14)
	self.aButton:setTitleFontName(getFont())
	setClickEvent(self, self.aButton, "aButton")
	addChildForPre(self.aEquipmentFrame_4, self.aButton)

	self.bEquipmentFrame = cc.Sprite:create()
	setValue(self.bEquipmentFrame, "bEquipmentFrame", 272, cc.size(100, 100), cc.p(320, 72), nil, nil, nil, nil, nil)
	self.bEquipmentFrame:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.InfoPanel_3, self.bEquipmentFrame)
	self.bEquipmentFrame_4 = self.bEquipmentFrame

	self.bitemSprite = cc.Sprite:create()
	setValue(self.bitemSprite, "bitemSprite", 276, cc.size(46, 46), cc.p(50, 50), nil, nil, nil, nil, nil)
	self.bitemSprite:setScale(0.6)
	self.bitemSprite:setTexture("Default/Sprite.png")
	addChildForPre(self.bEquipmentFrame_4, self.bitemSprite)

	self.bButton = ccui.Button:create()
	self.bButton:setScale9Enabled(true)
	self.bButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.bButton:setContentSize(cc.size(100, 100))
	setValue(self.bButton, "bButton", 278, nil, cc.p(51.47, 48.83), nil, nil, nil, nil, false)
	self.bButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.bButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.bButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.bButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.bButton:setTitleText([[]])
	self.bButton:setTitleColor(cc.c3b(65, 65, 70))
	self.bButton:setTitleFontSize(14)
	self.bButton:setTitleFontName(getFont())
	setClickEvent(self, self.bButton, "bButton")
	addChildForPre(self.bEquipmentFrame_4, self.bButton)

	self.cEquipmentFrame = cc.Sprite:create()
	setValue(self.cEquipmentFrame, "cEquipmentFrame", 273, cc.size(100, 100), cc.p(544, 72), nil, nil, nil, nil, nil)
	self.cEquipmentFrame:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.InfoPanel_3, self.cEquipmentFrame)
	self.cEquipmentFrame_4 = self.cEquipmentFrame

	self.citemSprite = cc.Sprite:create()
	setValue(self.citemSprite, "citemSprite", 274, cc.size(46, 46), cc.p(50, 50), nil, nil, nil, nil, nil)
	self.citemSprite:setScale(0.6)
	self.citemSprite:setTexture("Default/Sprite.png")
	addChildForPre(self.cEquipmentFrame_4, self.citemSprite)

	self.cButton = ccui.Button:create()
	self.cButton:setScale9Enabled(true)
	self.cButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.cButton:setContentSize(cc.size(100, 100))
	setValue(self.cButton, "cButton", 279, nil, cc.p(51.46, 48.83), nil, nil, nil, nil, false)
	self.cButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.cButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.cButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.cButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.cButton:setTitleText([[]])
	self.cButton:setTitleColor(cc.c3b(65, 65, 70))
	self.cButton:setTitleFontSize(14)
	self.cButton:setTitleFontName(getFont())
	setClickEvent(self, self.cButton, "cButton")
	addChildForPre(self.cEquipmentFrame_4, self.cButton)

	self.robSuccessLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.robSuccessLabel, "robSuccessLabel", 63, cc.size(109, 28), cc.p(315.4534, 218.021), cc.p(1, 0.5), nil, nil, nil, nil)
	self.robSuccessLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.InfoPanel_3, self.robSuccessLabel)

	self.robSuccessItem = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.robSuccessItem, "robSuccessItem", 64, cc.size(109, 28), cc.p(322.9988, 217.5665), cc.p(0, 0.5), nil, nil, nil, nil)
	self.robSuccessItem:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.InfoPanel_3, self.robSuccessItem)

	self.troopPanel = ccui.Layout:create()
	setValue(self.troopPanel, "troopPanel", 163, cc.size(640, 120), cc.p(320, 620.352), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.contentPanel_2, self.troopPanel)
	self.troopPanel_3 = self.troopPanel

	self.WinLoseUser = cc.Sprite:create()
	setValue(self.WinLoseUser, "WinLoseUser", 54, cc.size(573, 93), cc.p(320, 60), nil, nil, nil, nil, nil)
	self.WinLoseUser:setSpriteFrame("ccs/UiImages/battle/winLose_img_vs_jingjichang.png")
	addChildForPre(self.troopPanel_3, self.WinLoseUser)

	self.anameLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.anameLabel, "anameLabel", 56, cc.size(91, 23), cc.p(170.752, 78), nil, nil, nil, nil, nil)
	self.anameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.troopPanel_3, self.anameLabel)

	self.bnameLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.bnameLabel, "bnameLabel", 57, cc.size(91, 23), cc.p(463.744, 38.004), nil, nil, nil, nil, nil)
	self.bnameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.troopPanel_3, self.bnameLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"Default/Sprite.png",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/battle.plist",
}

return _M
