-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_0 = cc.Node:create()
	setValue(self.Node_0, "Node_0", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_0)
 	self.uiRootNode = self.Node_0
	self.Node_0_0 = self.Node_0

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 5, cc.size(824, 716), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.InfoRewardPanel = ccui.Layout:create()
	setValue(self.InfoRewardPanel, "InfoRewardPanel", 31, cc.size(500, 150), cc.p(412, 193.32), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.InfoRewardPanel)
	self.InfoRewardPanel_2 = self.InfoRewardPanel

	self.pieceInfoLabel = createLabel({text=[[text]], font=getFont(), size=24,align = 2})
	setValue(self.pieceInfoLabel, "pieceInfoLabel", 1278, cc.size(38, 28), cc.p(175, 120), cc.p(1, 0.5), cc.c4b(240, 178, 15, 255), nil, nil, nil)
	self.pieceInfoLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.pieceInfoLabel:setColor(cc.c4b(240, 178, 15, 255))
	addChildForPre(self.InfoRewardPanel_2, self.pieceInfoLabel)

	self.rewardInfoLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.rewardInfoLabel, "rewardInfoLabel", 1279, cc.size(91, 23), cc.p(200, 120), cc.p(0, 0.5), nil, nil, nil, nil)
	self.rewardInfoLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.InfoRewardPanel_2, self.rewardInfoLabel)

	self.aEquipmentFrame = cc.Sprite:create()
	setValue(self.aEquipmentFrame, "aEquipmentFrame", 1280, cc.size(105, 105), cc.p(125, 45), nil, nil, nil, nil, nil)
	self.aEquipmentFrame:setSpriteFrame("ccs/UiImages/commonB/EquipmentFrame.png")
	addChildForPre(self.InfoRewardPanel_2, self.aEquipmentFrame)
	self.aEquipmentFrame_3 = self.aEquipmentFrame

	self.aItemSprite = cc.Sprite:create()
	setValue(self.aItemSprite, "aItemSprite", 1281, cc.size(150, 149), cc.p(52.5, 52.5), nil, nil, nil, nil, nil)
	self.aItemSprite:setScale(0.6)
	self.aItemSprite:setSpriteFrame("ccs/UiImages/icon/item_1015.png")
	addChildForPre(self.aEquipmentFrame_3, self.aItemSprite)

	self.aButton = ccui.Button:create()
	self.aButton:setScale9Enabled(true)
	self.aButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.aButton:setContentSize(cc.size(105, 105))
	setValue(self.aButton, "aButton", 1282, nil, cc.p(52.5, 52.5), nil, nil, nil, nil, false)
	self.aButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.aButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.aButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.aButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.aButton:setTitleText([[Button]])
	self.aButton:setTitleColor(cc.c3b(65, 65, 70))
	self.aButton:setTitleFontSize(14)
	self.aButton:setTitleFontName(getFont())
	setClickEvent(self, self.aButton, "aButton")
	addChildForPre(self.aEquipmentFrame_3, self.aButton)

	self.bEquipmentFrame = cc.Sprite:create()
	setValue(self.bEquipmentFrame, "bEquipmentFrame", 1283, cc.size(105, 105), cc.p(250, 45), nil, nil, nil, nil, nil)
	self.bEquipmentFrame:setSpriteFrame("ccs/UiImages/commonB/EquipmentFrame.png")
	addChildForPre(self.InfoRewardPanel_2, self.bEquipmentFrame)
	self.bEquipmentFrame_3 = self.bEquipmentFrame

	self.bItemSprite = cc.Sprite:create()
	setValue(self.bItemSprite, "bItemSprite", 1284, cc.size(150, 149), cc.p(52.5, 52.5), nil, nil, nil, nil, nil)
	self.bItemSprite:setScale(0.6)
	self.bItemSprite:setSpriteFrame("ccs/UiImages/icon/item_1015.png")
	addChildForPre(self.bEquipmentFrame_3, self.bItemSprite)

	self.bButton = ccui.Button:create()
	self.bButton:setScale9Enabled(true)
	self.bButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.bButton:setContentSize(cc.size(105, 105))
	setValue(self.bButton, "bButton", 1285, nil, cc.p(52.5, 52.5), nil, nil, nil, nil, false)
	self.bButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.bButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.bButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.bButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.bButton:setTitleText([[Button]])
	self.bButton:setTitleColor(cc.c3b(65, 65, 70))
	self.bButton:setTitleFontSize(14)
	self.bButton:setTitleFontName(getFont())
	setClickEvent(self, self.bButton, "bButton")
	addChildForPre(self.bEquipmentFrame_3, self.bButton)

	self.cEquipmentFrame = cc.Sprite:create()
	setValue(self.cEquipmentFrame, "cEquipmentFrame", 1286, cc.size(105, 105), cc.p(375, 45), nil, nil, nil, nil, nil)
	self.cEquipmentFrame:setSpriteFrame("ccs/UiImages/commonB/EquipmentFrame.png")
	addChildForPre(self.InfoRewardPanel_2, self.cEquipmentFrame)
	self.cEquipmentFrame_3 = self.cEquipmentFrame

	self.cItemSprite = cc.Sprite:create()
	setValue(self.cItemSprite, "cItemSprite", 1287, cc.size(150, 149), cc.p(52.5, 52.5), nil, nil, nil, nil, nil)
	self.cItemSprite:setScale(0.6)
	self.cItemSprite:setSpriteFrame("ccs/UiImages/icon/item_1015.png")
	addChildForPre(self.cEquipmentFrame_3, self.cItemSprite)

	self.cButton = ccui.Button:create()
	self.cButton:setScale9Enabled(true)
	self.cButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.cButton:setContentSize(cc.size(105, 105))
	setValue(self.cButton, "cButton", 1288, nil, cc.p(52.5, 52.5), nil, nil, nil, nil, false)
	self.cButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.cButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.cButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.cButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.cButton:setTitleText([[Button]])
	self.cButton:setTitleColor(cc.c3b(65, 65, 70))
	self.cButton:setTitleFontSize(14)
	self.cButton:setTitleFontName(getFont())
	setClickEvent(self, self.cButton, "cButton")
	addChildForPre(self.cEquipmentFrame_3, self.cButton)

	self.troopPanel = ccui.Layout:create()
	setValue(self.troopPanel, "troopPanel", 938, cc.size(500, 120), cc.p(412, 307.88), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.troopPanel)
	self.troopPanel_2 = self.troopPanel

	self.WinLoseUser = cc.Sprite:create()
	setValue(self.WinLoseUser, "WinLoseUser", 54, cc.size(310, 40), cc.p(95, 84), nil, nil, nil, nil, nil)
	self.WinLoseUser:setSpriteFrame("ccs/UiImages/battle/WinLoseUser.png")
	addChildForPre(self.troopPanel_2, self.WinLoseUser)
	self.WinLoseUser_3 = self.WinLoseUser

	self.aNameLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.aNameLabel, "aNameLabel", 56, cc.size(91, 23), cc.p(155, 20), nil, nil, nil, nil, nil)
	self.aNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.WinLoseUser_3, self.aNameLabel)

	self.WinLoseUserB = cc.Sprite:create()
	setValue(self.WinLoseUserB, "WinLoseUserB", 55, cc.size(310, 40), cc.p(405, 42), nil, nil, nil, nil, nil)
	self.WinLoseUserB:setSpriteFrame("ccs/UiImages/battle/WinLoseUserB.png")
	addChildForPre(self.troopPanel_2, self.WinLoseUserB)
	self.WinLoseUserB_3 = self.WinLoseUserB

	self.bNameLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.bNameLabel, "bNameLabel", 57, cc.size(91, 23), cc.p(155, 20), nil, nil, nil, nil, nil)
	self.bNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.WinLoseUserB_3, self.bNameLabel)

	self.ComabatV = cc.Sprite:create()
	setValue(self.ComabatV, "ComabatV", 59, cc.size(181, 145), cc.p(245, 84), nil, nil, nil, nil, nil)
	self.ComabatV:setScale(0.4)
	self.ComabatV:setSpriteFrame("ccs/UiImages/combat/ComabatV.png")
	addChildForPre(self.troopPanel_2, self.ComabatV)

	self.ComabatS = cc.Sprite:create()
	setValue(self.ComabatS, "ComabatS", 58, cc.size(203, 98), cc.p(270, 60), nil, nil, nil, nil, nil)
	self.ComabatS:setScale(0.4)
	self.ComabatS:setSpriteFrame("ccs/UiImages/combat/ComabatS.png")
	addChildForPre(self.troopPanel_2, self.ComabatS)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/common.plist",
	"ccs/plist/icon.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/winLose.plist",
	"ccs/plist/combat.plist",
}

return _M
