-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_0 = cc.Node:create()
	setValue(self.Node_0, "Node_0", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_0)
 	self.uiRootNode = self.Node_0
	self.Node_0_0 = self.Node_0

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 151, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 1610, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 152, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.leftRightButtonPanel = ccui.Layout:create()
	setValue(self.leftRightButtonPanel, "WXY_leftRightButtonPanel", 197, cc.size(640, 182.4), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.leftRightButtonPanel)
	self.leftRightButtonPanel_3 = self.leftRightButtonPanel

	self.leftButton = ccui.Button:create()
	setValue(self.leftButton, "LNN_leftButton", 198, cc.size(18, 104), cc.p(19.2, 91.2), nil, nil, nil, nil, nil)
	self.leftButton:setFlippedX(true)
	self.leftButton:loadTextureNormal("ccs/UiImages/common/camp_btn_huadong_0.png", 1)
	self.leftButton:loadTexturePressed("ccs/UiImages/common/camp_btn_huadong_1.png", 1)
	self.leftButton:loadTextureDisabled("ccs/UiImages/common/camp_btn_huadong_1.png", 1)
	self.leftButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.leftButton:setTitleText([[]])
	self.leftButton:setTitleColor(cc.c3b(65, 65, 70))
	self.leftButton:setTitleFontSize(14)
	self.leftButton:setTitleFontName(getFont())
	setClickEvent(self, self.leftButton, "leftButton")
	addChildForPre(self.leftRightButtonPanel_3, self.leftButton)

	self.rightButton = ccui.Button:create()
	setValue(self.rightButton, "RNN_rightButton", 199, cc.size(18, 104), cc.p(620.8, 91.2), nil, nil, nil, nil, nil)
	self.rightButton:setFlippedX(true)
	self.rightButton:setRotationSkewX(180)
	self.rightButton:setRotationSkewY(180)
	self.rightButton:loadTextureNormal("ccs/UiImages/common/camp_btn_huadong_0.png", 1)
	self.rightButton:loadTexturePressed("ccs/UiImages/common/camp_btn_huadong_1.png", 1)
	self.rightButton:loadTextureDisabled("ccs/UiImages/common/camp_btn_huadong_1.png", 1)
	self.rightButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.rightButton:setTitleText([[]])
	self.rightButton:setTitleColor(cc.c3b(65, 65, 70))
	self.rightButton:setTitleFontSize(14)
	self.rightButton:setTitleFontName(getFont())
	setClickEvent(self, self.rightButton, "rightButton")
	addChildForPre(self.leftRightButtonPanel_3, self.rightButton)

	self.bottomPanel = ccui.Layout:create()
	setValue(self.bottomPanel, "WXN_bottomPanel", 2152, cc.size(640, 120), nil, nil, nil, nil, nil, nil)
	setBgColor(self.bottomPanel, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.bottomPanel)
	self.bottomPanel_3 = self.bottomPanel

	self.ImageLine3 = ccui.ImageView:create()
	setValue(self.ImageLine3, "WXN_ImageLine3", 2156, cc.size(640, 120), cc.p(320, 60), nil, nil, nil, nil, false)
	self.ImageLine3:loadTexture("ccs/UiImages/image9/common_img_jiemian04.png", 1)
	self.ImageLine3:setScale9Enabled(true)
	self.ImageLine3:setCapInsets(cc.rect(10, 6, 236, 7))
	addChildForPre(self.bottomPanel_3, self.ImageLine3)

	self.ImageLine1 = ccui.ImageView:create()
	setValue(self.ImageLine1, "WXN_ImageLine1", 2153, cc.size(640, 30), cc.p(320, 120), nil, nil, nil, nil, false)
	self.ImageLine1:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.ImageLine1:setScale9Enabled(true)
	self.ImageLine1:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.bottomPanel_3, self.ImageLine1)

	self.ImageLine2 = ccui.ImageView:create()
	setValue(self.ImageLine2, "WXN_ImageLine2", 2155, cc.size(640, 8), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.ImageLine2:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	self.ImageLine2:setScale9Enabled(true)
	self.ImageLine2:setCapInsets(cc.rect(0, 0, 640, 8))
	addChildForPre(self.bottomPanel_3, self.ImageLine2)

	self.partChangeButton = ccui.Button:create()
	setValue(self.partChangeButton, "XYN_partChangeButton", 158, cc.size(153, 64), cc.p(320, 60), nil, nil, nil, nil, false)
	self.partChangeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.partChangeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.partChangeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.partChangeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.partChangeButton:setTitleText([[change]])
	self.partChangeButton:setTitleFontSize(25)
	self.partChangeButton:setTitleFontName(getFont())
	setClickEvent(self, self.partChangeButton, "partChangeButton")
	addChildForPre(self.bottomPanel_3, self.partChangeButton)

	if CommonDialogFrame1CloseUi then 
 		self.commonDialogFrame1CloseUi = CommonDialogFrame1CloseUi.new() 
 	else 
		self.commonDialogFrame1CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame1CloseUi, "commonDialogFrame1CloseUi", 1622, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
}

return _M
