-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_0 = cc.Node:create()
	setValue(self.Node_0, "Node_0", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_0)
 	self.uiRootNode = self.Node_0
	self.Node_0_0 = self.Node_0

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 151, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	setBgColor(self.rootPanel, 1, 0, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.Node_0_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 268, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 152, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.leftPanel = ccui.Layout:create()
	setValue(self.leftPanel, "TXN_leftPanel", 1283, cc.size(254, 275), cc.p(131.2, 739.2), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.leftPanel)
	self.leftPanel_3 = self.leftPanel

	self.changeButton = ccui.Button:create()
	setValue(self.changeButton, "changeButton", 156, cc.size(153, 64), cc.p(127, -55), nil, nil, nil, nil, false)
	self.changeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.changeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.changeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.changeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.changeButton:setTitleText([[更换]])
	self.changeButton:setTitleFontSize(25)
	self.changeButton:setTitleFontName(getFont())
	setClickEvent(self, self.changeButton, "changeButton")
	addChildForPre(self.leftPanel_3, self.changeButton)

	if CampPartBigIconUi then 
 		self.campPartBigIconUi = CampPartBigIconUi.new() 
 	else 
		self.campPartBigIconUi = BaseUi.new("ccs/ui/camp/CampPartBigIconUi.lua")
 	end 
	setValue(self.campPartBigIconUi, "campPartBigIconUi", 665, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.leftPanel_3, self.campPartBigIconUi)

	self.buttonPanel = ccui.Layout:create()
	setValue(self.buttonPanel, "WXN_buttonPanel", 315, cc.size(640, 134.4), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.buttonPanel)
	self.buttonPanel_3 = self.buttonPanel

	self.buttonBgImage = ccui.ImageView:create()
	setValue(self.buttonBgImage, "WXN_buttonBgImage", 349, cc.size(640, 134.4), cc.p(320, 67.2), nil, nil, nil, nil, false)
	self.buttonBgImage:loadTexture("ccs/UiImages/image9/common_img_jiemian04.png", 1)
	self.buttonBgImage:setScale9Enabled(true)
	self.buttonBgImage:setCapInsets(cc.rect(0, 0, 256, 19))
	addChildForPre(self.buttonPanel_3, self.buttonBgImage)

	self.unloadButton = ccui.Button:create()
	setValue(self.unloadButton, "XNN_unloadButton", 157, cc.size(153, 64), cc.p(96, 60.48), nil, nil, nil, nil, false)
	self.unloadButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.unloadButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.unloadButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.unloadButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.unloadButton:setTitleText([[卸下]])
	self.unloadButton:setTitleFontSize(25)
	self.unloadButton:setTitleFontName(getFont())
	setClickEvent(self, self.unloadButton, "unloadButton")
	addChildForPre(self.buttonPanel_3, self.unloadButton)

	self.partChangeButton = ccui.Button:create()
	setValue(self.partChangeButton, "XNN_partChangeButton", 158, cc.size(153, 64), cc.p(320, 60.48), nil, nil, nil, nil, false)
	self.partChangeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.partChangeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.partChangeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.partChangeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.partChangeButton:setTitleText([[change]])
	self.partChangeButton:setTitleFontSize(25)
	self.partChangeButton:setTitleFontName(getFont())
	setClickEvent(self, self.partChangeButton, "partChangeButton")
	addChildForPre(self.buttonPanel_3, self.partChangeButton)

	self.upgradeButton = ccui.Button:create()
	setValue(self.upgradeButton, "XNN_upgradeButton", 159, cc.size(153, 64), cc.p(544, 60.48), nil, nil, nil, nil, false)
	self.upgradeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.upgradeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.upgradeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.upgradeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.upgradeButton:setTitleText([[升级]])
	self.upgradeButton:setTitleFontSize(25)
	self.upgradeButton:setTitleFontName(getFont())
	setClickEvent(self, self.upgradeButton, "upgradeButton")
	addChildForPre(self.buttonPanel_3, self.upgradeButton)

	self.imageLine1 = ccui.ImageView:create()
	setValue(self.imageLine1, "WXN_imageLine1", 1176, cc.size(640, 30), cc.p(320, 134.4), nil, nil, nil, nil, false)
	self.imageLine1:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.imageLine1:setScale9Enabled(true)
	self.imageLine1:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.buttonPanel_3, self.imageLine1)

	self.imageLine2 = ccui.ImageView:create()
	setValue(self.imageLine2, "WXN_imageLine2", 1177, cc.size(640, 8), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.imageLine2:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	self.imageLine2:setScale9Enabled(true)
	self.imageLine2:setCapInsets(cc.rect(0, 0, 640, 8))
	addChildForPre(self.buttonPanel_3, self.imageLine2)

	self.rightPanel = ccui.Layout:create()
	setValue(self.rightPanel, "TXN_rightPanel", 1284, cc.size(359, 367), cc.p(441.6, 691.2), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.rightPanel)
	self.rightPanel_3 = self.rightPanel

	self.rightBGImage = ccui.ImageView:create()
	setValue(self.rightBGImage, "rightBGImage", 2025, cc.size(359, 367), cc.p(179.5, 183.5), nil, nil, nil, nil, false)
	self.rightBGImage:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.rightBGImage:setScale9Enabled(true)
	self.rightBGImage:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.rightPanel_3, self.rightBGImage)
	self.rightBGImage_4 = self.rightBGImage

	self.partNameLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.partNameLabel, "partNameLabel", 348, cc.size(109, 28), cc.p(21.54, 341.31), cc.p(0, 0.5), cc.c4b(251, 71, 0, 255), nil, nil, nil)
	self.partNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.partNameLabel:setColor(cc.c4b(251, 71, 0, 255))
	addChildForPre(self.rightBGImage_4, self.partNameLabel)

	self.rankTitleLabel = createLabel({text=[[rankTitle]], font=getFont(), size=24})
	setValue(self.rankTitleLabel, "rankTitleLabel", 2026, cc.size(91, 28), cc.p(132.1479, 251.5785), cc.p(1, 0.5), cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.rankTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rankTitleLabel:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.rightBGImage_4, self.rankTitleLabel)

	self.levelTitleLabel = createLabel({text=[[levelTitle]], font=getFont(), size=24})
	setValue(self.levelTitleLabel, "levelTitleLabel", 2027, cc.size(93, 28), cc.p(134.8404, 207.8688), cc.p(1, 0.5), cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.levelTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.levelTitleLabel:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.rightBGImage_4, self.levelTitleLabel)

	self.attri1TitleLabel = createLabel({text=[[attri1TitleLabel]], font=getFont(), size=24})
	setValue(self.attri1TitleLabel, "attri1TitleLabel", 2028, cc.size(156, 28), cc.p(132.1479, 162.1406), cc.p(1, 0.5), cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.attri1TitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.attri1TitleLabel:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.rightBGImage_4, self.attri1TitleLabel)

	self.levelLabel = createLabel({text=[[level]], font=getFont(), size=24})
	setValue(self.levelLabel, "levelLabel", 2029, cc.size(49, 28), cc.p(147.0105, 207.8688), cc.p(0, 0.5), nil, nil, nil, nil)
	self.levelLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightBGImage_4, self.levelLabel)

	self.attri1Label = createLabel({text=[[attri1Label]], font=getFont(), size=24})
	setValue(self.attri1Label, "attri1Label", 2030, cc.size(112, 28), cc.p(147.0105, 162.1406), cc.p(0, 0.5), nil, nil, nil, nil)
	self.attri1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightBGImage_4, self.attri1Label)

	self.attri2TitleLabel = createLabel({text=[[attri2TitleLabel]], font=getFont(), size=24})
	setValue(self.attri2TitleLabel, "attri2TitleLabel", 526, cc.size(156, 28), cc.p(132.1479, 114.4306), cc.p(1, 0.5), cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.attri2TitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.attri2TitleLabel:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.rightBGImage_4, self.attri2TitleLabel)

	self.typeTitleLabel = createLabel({text=[[typeTitle]], font=getFont(), size=24})
	setValue(self.typeTitleLabel, "typeTitleLabel", 527, cc.size(89, 28), cc.p(132.1479, 299.7289), cc.p(1, 0.5), cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.typeTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.typeTitleLabel:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.rightBGImage_4, self.typeTitleLabel)

	self.partsLoadTitleLabel = createLabel({text=[[partsLoadTitle]], font=getFont(), size=24})
	setValue(self.partsLoadTitleLabel, "partsLoadTitleLabel", 528, cc.size(151, 28), cc.p(132.1479, 68.0051), cc.p(1, 0.5), cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.partsLoadTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.partsLoadTitleLabel:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.rightBGImage_4, self.partsLoadTitleLabel)

	self.typeLabel = createLabel({text=[[type]], font=getFont(), size=24})
	setValue(self.typeLabel, "typeLabel", 529, cc.size(45, 28), cc.p(147.0105, 299.7289), cc.p(0, 0.5), nil, nil, nil, nil)
	self.typeLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightBGImage_4, self.typeLabel)

	self.partsLoadLabel = createLabel({text=[[partsLoad]], font=getFont(), size=24, dimensions = cc.size(208.0000, 80.0000)})
	setValue(self.partsLoadLabel, "partsLoadLabel", 530, cc.size(208, 80), cc.p(147.0105, 40.0764), cc.p(0, 0.5), nil, nil, nil, false)
	self.partsLoadLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightBGImage_4, self.partsLoadLabel)

	self.attri2Label = createLabel({text=[[attri2Label]], font=getFont(), size=24})
	setValue(self.attri2Label, "attri2Label", 531, cc.size(112, 28), cc.p(147.0105, 114.4306), cc.p(0, 0.5), nil, nil, nil, nil)
	self.attri2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightBGImage_4, self.attri2Label)

	self.Star1 = cc.Sprite:create()
	setValue(self.Star1, "Star1", 3831, cc.size(48, 48), cc.p(145.3591, 251.5785), cc.p(0, 0.5), nil, nil, nil, nil)
	self.Star1:setScale(0.8)
	self.Star1:setSpriteFrame("ccs/UiImages/battle/star_gold.png")
	addChildForPre(self.rightBGImage_4, self.Star1)

	self.Star2 = cc.Sprite:create()
	setValue(self.Star2, "Star2", 344, cc.size(48, 48), cc.p(186.5005, 251.5785), cc.p(0, 0.5), nil, nil, nil, nil)
	self.Star2:setScale(0.8)
	self.Star2:setSpriteFrame("ccs/UiImages/battle/star_gold.png")
	addChildForPre(self.rightBGImage_4, self.Star2)

	self.Star3 = cc.Sprite:create()
	setValue(self.Star3, "Star3", 345, cc.size(48, 48), cc.p(227.606, 251.5785), cc.p(0, 0.5), nil, nil, nil, nil)
	self.Star3:setScale(0.8)
	self.Star3:setSpriteFrame("ccs/UiImages/battle/star_gold.png")
	addChildForPre(self.rightBGImage_4, self.Star3)

	self.Star4 = cc.Sprite:create()
	setValue(self.Star4, "Star4", 346, cc.size(48, 48), cc.p(268.7115, 251.5785), cc.p(0, 0.5), nil, nil, nil, nil)
	self.Star4:setScale(0.8)
	self.Star4:setSpriteFrame("ccs/UiImages/battle/star_gold.png")
	addChildForPre(self.rightBGImage_4, self.Star4)

	self.Star5 = cc.Sprite:create()
	setValue(self.Star5, "Star5", 347, cc.size(48, 48), cc.p(309.8529, 251.5785), cc.p(0, 0.5), nil, nil, nil, nil)
	self.Star5:setScale(0.8)
	self.Star5:setSpriteFrame("ccs/UiImages/battle/star_gold.png")
	addChildForPre(self.rightBGImage_4, self.Star5)

	self.skillPanel = ccui.Layout:create()
	setValue(self.skillPanel, "WIX_skillPanel", 339, cc.size(640, 324), cc.p(0, 153.6), nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.skillPanel)
	self.skillPanel_3 = self.skillPanel

	self.skillBgImage = ccui.ImageView:create()
	setValue(self.skillBgImage, "AXY_skillBgImage", 342, cc.size(640, 324), cc.p(320, 324), cc.p(0.5, 1), nil, nil, nil, false)
	self.skillBgImage:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.skillBgImage:setScale9Enabled(true)
	self.skillBgImage:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.skillPanel_3, self.skillBgImage)

	self.skillTitleBgSprite = cc.Sprite:create()
	setValue(self.skillTitleBgSprite, "TXN_skillTitleBgSprite", 343, cc.size(480, 42), cc.p(320, 294.84), nil, nil, nil, nil, nil)
	self.skillTitleBgSprite:setSpriteFrame("ccs/UiImages/common/arena_img_plate.png")
	addChildForPre(self.skillPanel_3, self.skillTitleBgSprite)

	self.skillTitleLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.skillTitleLabel, "TXN_skillTitleLabel", 340, cc.size(109, 28), cc.p(320, 294.84), nil, nil, nil, nil, nil)
	self.skillTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.skillPanel_3, self.skillTitleLabel)

	self.skillDescriptionLabel = createLabel({text=[[]], font=getFont(), size=22, dimensions = cc.size(606.9760, 249.4800)})
	setValue(self.skillDescriptionLabel, "TXN_skillDescriptionLabel", 341, cc.size(606.976, 249.48), cc.p(320, 262.44), cc.p(0.5, 1), nil, nil, nil, false)
	self.skillDescriptionLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.skillPanel_3, self.skillDescriptionLabel)

	if CommonDialogFrame1CloseUi then 
 		self.commonDialogFrame4CloseUi = CommonDialogFrame1CloseUi.new() 
 	else 
		self.commonDialogFrame4CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame4CloseUi, "commonDialogFrame4CloseUi", 234, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame4CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/common.plist",
	"ccs/plist/battle.plist",
	"ccs/plist/arena.plist",
}

return _M
