-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_1 = cc.Node:create()
	setValue(self.Node_1, "Node_1", 70, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_1)
 	self.uiRootNode = self.Node_1
	self.Node_1_0 = self.Node_1

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 219, cc.size(640, 170), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_1_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.rootbgImage = ccui.ImageView:create()
	setValue(self.rootbgImage, "rootbgImage", 155, cc.size(612, 167), cc.p(320, 85), nil, nil, nil, nil, nil)
	self.rootbgImage:loadTexture("ccs/UiImages/commonBg/common_img_ditiao.png", 1)
	addChildForPre(self.rootPanel_1, self.rootbgImage)

	self.detailPanel = ccui.Layout:create()
	setValue(self.detailPanel, "detailPanel", 145, cc.size(608, 139), cc.p(320, 85), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.detailPanel)
	self.detailPanel_2 = self.detailPanel

	self.qualityImage = cc.Sprite:create()
	setValue(self.qualityImage, "qualityImage", 147, cc.size(100, 100), cc.p(65.6572, 69.0639), nil, nil, nil, nil, nil)
	self.qualityImage:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.detailPanel_2, self.qualityImage)

	self.itemImage = cc.Sprite:create()
	setValue(self.itemImage, "itemImage", 150, cc.size(46, 46), cc.p(64.0079, 69.8873), nil, nil, nil, nil, nil)
	self.itemImage:setScale(0.5)
	self.itemImage:setTexture("Default/Sprite.png")
	addChildForPre(self.detailPanel_2, self.itemImage)

	self.flagSprite = cc.Sprite:create()
	setValue(self.flagSprite, "flagSprite", 558, cc.size(70, 42), cc.p(90, 100), nil, nil, nil, nil, nil)
	self.flagSprite:setScale(0.45)
	self.flagSprite:setSpriteFrame("ccs/UiImages/common/common_img_guoqi01.png")
	addChildForPre(self.detailPanel_2, self.flagSprite)

	self.equipButton = ccui.Button:create()
	self.equipButton:setScale9Enabled(true)
	self.equipButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.equipButton:setContentSize(cc.size(100, 100))
	setValue(self.equipButton, "equipButton", 146, nil, cc.p(64.0109, 70.7117), nil, nil, nil, nil, false)
	self.equipButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.equipButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.equipButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.equipButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.equipButton:setTitleText([[]])
	self.equipButton:setTitleColor(cc.c3b(65, 65, 70))
	self.equipButton:setTitleFontSize(14)
	self.equipButton:setTitleFontName(getFont())
	setClickEvent(self, self.equipButton, "equipButton")
	addChildForPre(self.detailPanel_2, self.equipButton)

	self.stateImage = cc.Sprite:create()
	setValue(self.stateImage, "stateImage", 148, cc.size(46, 46), cc.p(516.2333, 124.5911), nil, nil, nil, nil, nil)
	self.stateImage:setTexture("Default/Sprite.png")
	addChildForPre(self.detailPanel_2, self.stateImage)

	self.bg2Image = ccui.ImageView:create()
	setValue(self.bg2Image, "bg2Image", 153, cc.size(300, 73), cc.p(271.18, 56), nil, nil, nil, nil, false)
	self.bg2Image:loadTexture("ccs/UiImages/image9/common_s9_diban.png", 1)
	self.bg2Image:setScale9Enabled(true)
	self.bg2Image:setCapInsets(cc.rect(10, 10, 14, 14))
	addChildForPre(self.detailPanel_2, self.bg2Image)

	self.equipLabel = createLabel({text=[[装备名称]], font=getFont(), size=24})
	setValue(self.equipLabel, "equipLabel", 156, cc.size(96, 28), cc.p(127.5738, 107.6429), cc.p(0, 0.5), nil, nil, nil, nil)
	self.equipLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.detailPanel_2, self.equipLabel)

	self.levLabel = createLabel({text=[[99]], font=getFont(), size=20})
	setValue(self.levLabel, "levLabel", 157, cc.size(22, 23), cc.p(200, 69.4312), cc.p(0, 0.5), nil, nil, nil, nil)
	self.levLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.detailPanel_2, self.levLabel)

	self.levelTitleLabel = createLabel({text=[[名字：]], font=getFont(), size=20})
	setValue(self.levelTitleLabel, "levelTitleLabel", 607, cc.size(60, 23), cc.p(132.964, 68.8824), cc.p(0, 0.5), nil, nil, nil, nil)
	self.levelTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.detailPanel_2, self.levelTitleLabel)

	self.qualityLabel = createLabel({text=[[4]], font=getFont(), size=20})
	setValue(self.qualityLabel, "qualityLabel", 158, cc.size(11, 23), cc.p(200, 41.6565), cc.p(0, 0.5), nil, nil, nil, nil)
	self.qualityLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.detailPanel_2, self.qualityLabel)

	self.qualityTitleLabel = createLabel({text=[[品质：]], font=getFont(), size=20})
	setValue(self.qualityTitleLabel, "qualityTitleLabel", 608, cc.size(60, 23), cc.p(132.964, 41.6565), cc.p(0, 0.5), nil, nil, nil, nil)
	self.qualityTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.detailPanel_2, self.qualityTitleLabel)

	self.starImage = cc.Sprite:create()
	setValue(self.starImage, "starImage", 159, cc.size(40, 38), cc.p(228.4873, 43.4416), nil, nil, nil, nil, nil)
	self.starImage:setScale(0.5)
	self.starImage:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.detailPanel_2, self.starImage)

	self.add1Label = createLabel({text=[[999]], font=getFont(), size=20})
	setValue(self.add1Label, "add1Label", 160, cc.size(33, 23), cc.p(345.0002, 68.8314), cc.p(0, 0.5), nil, nil, nil, nil)
	self.add1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.detailPanel_2, self.add1Label)

	self.add1TitleLabel = createLabel({text=[[爆破攻击：]], font=getFont(), size=20})
	setValue(self.add1TitleLabel, "add1TitleLabel", 605, cc.size(100, 23), cc.p(246.0036, 68.8319), cc.p(0, 0.5), nil, nil, nil, nil)
	self.add1TitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.detailPanel_2, self.add1TitleLabel)

	self.add2Label = createLabel({text=[[+20%]], font=getFont(), size=20})
	setValue(self.add2Label, "add2Label", 161, cc.size(51, 23), cc.p(345.0002, 40.9955), cc.p(0, 0.5), nil, nil, nil, nil)
	self.add2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.detailPanel_2, self.add2Label)

	self.add2TitleLabel = createLabel({text=[[爆破攻击：]], font=getFont(), size=20})
	setValue(self.add2TitleLabel, "add2TitleLabel", 606, cc.size(100, 23), cc.p(246.0034, 40.9957), cc.p(0, 0.5), nil, nil, nil, nil)
	self.add2TitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.detailPanel_2, self.add2TitleLabel)

	self.equipUseButton = ccui.Button:create()
	self.equipUseButton:setScale9Enabled(true)
	self.equipUseButton:setCapInsets(cc.rect(0, 0, 153, 64))
	self.equipUseButton:setContentSize(cc.size(130, 56))
	setValue(self.equipUseButton, "equipUseButton", 162, nil, cc.p(516.2336, 33.7962), nil, nil, nil, nil, false)
	self.equipUseButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.equipUseButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.equipUseButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.equipUseButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.equipUseButton:setTitleText([[装备]])
	self.equipUseButton:setTitleFontSize(24)
	self.equipUseButton:setTitleFontName(getFont())
	setClickEvent(self, self.equipUseButton, "equipUseButton")
	addChildForPre(self.detailPanel_2, self.equipUseButton)

	self.useToLabel = createLabel({text=[[战舰名字]], font=getFont(), size=20})
	setValue(self.useToLabel, "useToLabel", 609, cc.size(80, 23), cc.p(516.82, 76.6656), nil, nil, nil, nil, nil)
	self.useToLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.detailPanel_2, self.useToLabel)

	self.getMoreButton = ccui.Button:create()
	self.getMoreButton:setScale9Enabled(true)
	self.getMoreButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.getMoreButton:setContentSize(cc.size(608, 130))
	setValue(self.getMoreButton, "getMoreButton", 220, nil, cc.p(320, 85), nil, nil, nil, nil, false)
	self.getMoreButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.getMoreButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.getMoreButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.getMoreButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.getMoreButton:setTitleText([[点击获取更多配件]])
	self.getMoreButton:setTitleFontSize(30)
	self.getMoreButton:setTitleFontName(getFont())
	setClickEvent(self, self.getMoreButton, "getMoreButton")
	addChildForPre(self.rootPanel_1, self.getMoreButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"Default/Sprite.png",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
}

return _M
