-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_0 = cc.Node:create()
	setValue(self.Node_0, "Node_0", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_0)
 	self.uiRootNode = self.Node_0
	self.Node_0_0 = self.Node_0

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 151, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 152, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.leftPanel = ccui.Layout:create()
	setValue(self.leftPanel, "WTX_leftPanel", 1283, cc.size(640, 275), cc.p(0, 595), nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.leftPanel)
	self.leftPanel_3 = self.leftPanel

	if CampPartBigIconUi then 
 		self.campPartBigIconUi = CampPartBigIconUi.new() 
 	else 
		self.campPartBigIconUi = BaseUi.new("ccs/ui/camp/CampPartBigIconUi.lua")
 	end 
	setValue(self.campPartBigIconUi, "LNN_campPartBigIconUi", 506, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.leftPanel_3, self.campPartBigIconUi)

	self.leftRightPanel = ccui.Layout:create()
	setValue(self.leftRightPanel, "WNN_leftRightPanel", 510, cc.size(362, 275), cc.p(268.5, 0), nil, nil, nil, nil, nil)
	addChildForPre(self.leftPanel_3, self.leftRightPanel)
	self.leftRightPanel_4 = self.leftRightPanel

	self.leftRightPanelBg = ccui.ImageView:create()
	setValue(self.leftRightPanelBg, "WXN_leftRightPanelBg", 607, cc.size(362, 275), cc.p(181, 137.5), nil, nil, nil, nil, false)
	self.leftRightPanelBg:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.leftRightPanelBg:setScale9Enabled(true)
	self.leftRightPanelBg:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.leftRightPanel_4, self.leftRightPanelBg)

	self.levelTitleLabel = createLabel({text=[[levelTitle]], font=getFont(), size=24})
	setValue(self.levelTitleLabel, "levelTitleLabel", 2027, cc.size(93, 28), cc.p(27.0052, 115.6925), cc.p(0, 0.5), cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.levelTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.levelTitleLabel:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.leftRightPanel_4, self.levelTitleLabel)

	self.loadForTitleLabel = createLabel({text=[[loadForTitle]], font=getFont(), size=24})
	setValue(self.loadForTitleLabel, "loadForTitleLabel", 121, cc.size(125, 28), cc.p(157.5551, 27.7283), cc.p(1, 0.5), cc.c4b(217, 194, 105, 255), nil, nil, nil)
	self.loadForTitleLabel:setVisible(false)
	self.loadForTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.loadForTitleLabel:setColor(cc.c4b(217, 194, 105, 255))
	addChildForPre(self.leftRightPanel_4, self.loadForTitleLabel)

	self.loadForLabel = createLabel({text=[[loadForLabel]], font=getFont(), size=24})
	setValue(self.loadForLabel, "loadForLabel", 122, cc.size(140, 28), cc.p(171.5846, 25.7283), cc.p(0, 0.5), nil, nil, nil, nil)
	self.loadForLabel:setVisible(false)
	self.loadForLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftRightPanel_4, self.loadForLabel)

	self.labelName = createLabel({text=[[labelName]], font=getFont(), size=24})
	setValue(self.labelName, "labelName", 617, cc.size(114, 28), cc.p(25.6296, 245.63), cc.p(0, 0.5), cc.c4b(255, 0, 0, 255), nil, nil, nil)
	self.labelName:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.labelName:setColor(cc.c4b(255, 0, 0, 255))
	addChildForPre(self.leftRightPanel_4, self.labelName)

	self.rankTitleLabel = createLabel({text=[[rankTitle]], font=getFont(), size=24})
	setValue(self.rankTitleLabel, "rankTitleLabel", 2026, cc.size(91, 28), cc.p(25.6296, 159.005), cc.p(0, 0.5), cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.rankTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rankTitleLabel:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.leftRightPanel_4, self.rankTitleLabel)

	self.levelLabel = createLabel({text=[[level]], font=getFont(), size=24})
	setValue(self.levelLabel, "levelLabel", 2029, cc.size(49, 28), cc.p(91.4774, 115.6925), cc.p(0, 0.5), nil, nil, nil, nil)
	self.levelLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftRightPanel_4, self.levelLabel)

	self.ArrowGreen = cc.Sprite:create()
	setValue(self.ArrowGreen, "ArrowGreen", 3061, cc.size(22, 29), cc.p(167.7146, 115.6925), nil, nil, nil, nil, nil)
	self.ArrowGreen:setRotationSkewX(90)
	self.ArrowGreen:setRotationSkewY(90)
	self.ArrowGreen:setSpriteFrame("ccs/UiImages/common/common_img_jiantou.png")
	addChildForPre(self.leftRightPanel_4, self.ArrowGreen)

	self.levelNewLabel = createLabel({text=[[4]], font=getFont(), size=24})
	setValue(self.levelNewLabel, "levelNewLabel", 2863, cc.size(13, 28), cc.p(199.7516, 115.6925), cc.p(0, 0.5), nil, nil, nil, nil)
	self.levelNewLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftRightPanel_4, self.levelNewLabel)

	self.rankLabel = createLabel({text=[[5]], font=getFont(), size=24})
	setValue(self.rankLabel, "rankLabel", 3797, cc.size(13, 28), cc.p(91.4774, 159.995), cc.p(0, 0.5), nil, nil, nil, nil)
	self.rankLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftRightPanel_4, self.rankLabel)

	self.typeTitleLabel = createLabel({text=[[typeTitle]], font=getFont(), size=24})
	setValue(self.typeTitleLabel, "typeTitleLabel", 396, cc.size(89, 28), cc.p(25.6296, 202.3175), cc.p(0, 0.5), cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.typeTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.typeTitleLabel:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.leftRightPanel_4, self.typeTitleLabel)

	self.typeLabel = createLabel({text=[[type]], font=getFont(), size=24})
	setValue(self.typeLabel, "typeLabel", 398, cc.size(45, 28), cc.p(91.4774, 202.3175), cc.p(0, 0.5), nil, nil, nil, nil)
	self.typeLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftRightPanel_4, self.typeLabel)

	self.levelTitle = createLabel({text=[[rankTitle]], font=getFont(), size=24})
	setValue(self.levelTitle, "levelTitle", 627, cc.size(91, 28), cc.p(25.6296, 72.38), cc.p(0, 0.5), cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.levelTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.levelTitle:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.leftRightPanel_4, self.levelTitle)

	self.levelTitleCount = createLabel({text=[[level]], font=getFont(), size=24})
	setValue(self.levelTitleCount, "levelTitleCount", 508, cc.size(49, 28), cc.p(91.4774, 72.38), cc.p(0, 0.5), nil, nil, nil, nil)
	self.levelTitleCount:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftRightPanel_4, self.levelTitleCount)

	self.Star1 = cc.Sprite:create()
	setValue(self.Star1, "Star1", 3796, cc.size(48, 48), cc.p(112.4734, 159.3075), cc.p(0, 0.5), nil, nil, nil, nil)
	self.Star1:setScale(0.8)
	self.Star1:setSpriteFrame("ccs/UiImages/battle/star_gold.png")
	addChildForPre(self.leftRightPanel_4, self.Star1)

	self.rankNewLabel = createLabel({text=[[5]], font=getFont(), size=24})
	setValue(self.rankNewLabel, "rankNewLabel", 2526, cc.size(13, 28), cc.p(163.0086, 159.995), cc.p(0, 0.5), nil, nil, nil, nil)
	self.rankNewLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftRightPanel_4, self.rankNewLabel)

	self.rightDownPanel = ccui.Layout:create()
	setValue(self.rightDownPanel, "WIX_rightDownPanel", 2221, cc.size(640, 445), cc.p(320, 360), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.rightDownPanel)
	self.rightDownPanel_3 = self.rightDownPanel

	self.rightBGImage = ccui.ImageView:create()
	setValue(self.rightBGImage, "AXY_rightBGImage", 2025, cc.size(621, 445), cc.p(320, 222.5), nil, nil, nil, nil, false)
	self.rightBGImage:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.rightBGImage:setScale9Enabled(true)
	self.rightBGImage:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.rightDownPanel_3, self.rightBGImage)

	self.rightPanel = ccui.Layout:create()
	setValue(self.rightPanel, "XTN_rightPanel", 1284, cc.size(640, 445), cc.p(320, 222.5), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rightDownPanel_3, self.rightPanel)
	self.rightPanel_4 = self.rightPanel

	self.attri1TitleLabel = createLabel({text=[[attri1TitleLabel]], font=getFont(), size=24})
	setValue(self.attri1TitleLabel, "attri1TitleLabel", 2028, cc.size(156, 28), cc.p(307.2, 411.7585), cc.p(1, 0.5), cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.attri1TitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.attri1TitleLabel:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.rightPanel_4, self.attri1TitleLabel)

	self.attri1Label = createLabel({text=[[attri1]], font=getFont(), size=24})
	setValue(self.attri1Label, "attri1Label", 2030, cc.size(53, 28), cc.p(317.312, 411.7585), cc.p(0, 0.5), nil, nil, nil, nil)
	self.attri1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightPanel_4, self.attri1Label)

	self.attri1NewLabel = createLabel({text=[[+4]], font=getFont(), size=24})
	setValue(self.attri1NewLabel, "attri1NewLabel", 58, cc.size(27, 28), cc.p(428.48, 412.782), cc.p(0, 0.5), nil, nil, nil, nil)
	self.attri1NewLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightPanel_4, self.attri1NewLabel)

	self.ArrowGreen_Copy = cc.Sprite:create()
	setValue(self.ArrowGreen_Copy, "ArrowGreen_Copy", 1328, cc.size(22, 29), cc.p(398.848, 411.7585), nil, nil, nil, nil, nil)
	self.ArrowGreen_Copy:setRotationSkewX(90)
	self.ArrowGreen_Copy:setRotationSkewY(90)
	self.ArrowGreen_Copy:setSpriteFrame("ccs/UiImages/common/common_img_jiantou.png")
	addChildForPre(self.rightPanel_4, self.ArrowGreen_Copy)

	self.attri2TitleLabel = createLabel({text=[[attri2TitleLabel]], font=getFont(), size=24})
	setValue(self.attri2TitleLabel, "attri2TitleLabel", 395, cc.size(156, 28), cc.p(307.2, 359.56), cc.p(1, 0.5), cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.attri2TitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.attri2TitleLabel:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.rightPanel_4, self.attri2TitleLabel)

	self.partsLoadTitleLabel = createLabel({text=[[partsLoadTitle]], font=getFont(), size=24})
	setValue(self.partsLoadTitleLabel, "partsLoadTitleLabel", 397, cc.size(151, 28), cc.p(307.2, 307.3615), cc.p(1, 0.5), cc.c4b(0, 183, 238, 255), nil, nil, nil)
	self.partsLoadTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.partsLoadTitleLabel:setColor(cc.c4b(0, 183, 238, 255))
	addChildForPre(self.rightPanel_4, self.partsLoadTitleLabel)

	self.partsLoadLabel = createLabel({text=[[partsLoad]], font=getFont(), size=24, dimensions = cc.size(250.0000, 80.0000)})
	setValue(self.partsLoadLabel, "partsLoadLabel", 399, cc.size(250, 80), cc.p(317.312, 281.3735), cc.p(0, 0.5), nil, nil, nil, false)
	self.partsLoadLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightPanel_4, self.partsLoadLabel)

	self.attri2Label = createLabel({text=[[attri2Label]], font=getFont(), size=24})
	setValue(self.attri2Label, "attri2Label", 1759, cc.size(112, 28), cc.p(317.312, 359.56), cc.p(0, 0.5), nil, nil, nil, nil)
	self.attri2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightPanel_4, self.attri2Label)

	self.imageUpgradeNeed = ccui.ImageView:create()
	setValue(self.imageUpgradeNeed, "LNN_imageUpgradeNeed", 744, cc.size(368, 42), cc.p(320, 190), nil, nil, nil, nil, nil)
	self.imageUpgradeNeed:loadTexture("ccs/UiImages/common/common_Partsimg_ditiao.png", 1)
	addChildForPre(self.rightPanel_4, self.imageUpgradeNeed)
	self.imageUpgradeNeed_5 = self.imageUpgradeNeed

	self.lableNeed = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.lableNeed, "lableNeed", 1211, cc.size(109, 28), cc.p(184, 21), nil, nil, nil, nil, nil)
	self.lableNeed:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.imageUpgradeNeed_5, self.lableNeed)

	self.cost1Node = cc.Node:create()
	setValue(self.cost1Node, "LNN_cost1Node", 1209, nil, cc.p(96, 89), nil, nil, nil, nil, nil)
	addChildForPre(self.rightPanel_4, self.cost1Node)

	self.cost2Node = cc.Node:create()
	setValue(self.cost2Node, "XYN_cost2Node", 2973, nil, cc.p(320, 89), nil, nil, nil, nil, nil)
	addChildForPre(self.rightPanel_4, self.cost2Node)
	self.cost2Node_5 = self.cost2Node

	self.qualityBg1_2 = cc.Sprite:create()
	setValue(self.qualityBg1_2, "qualityBg1_2", 2974, cc.size(100, 100), nil, nil, nil, nil, nil, nil)
	self.qualityBg1_2:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.cost2Node_5, self.qualityBg1_2)

	self.cost3Node = cc.Node:create()
	setValue(self.cost3Node, "RNN_cost3Node", 2975, nil, cc.p(544, 89), nil, nil, nil, nil, nil)
	addChildForPre(self.rightPanel_4, self.cost3Node)
	self.cost3Node_5 = self.cost3Node

	self.qualityBg1_3 = cc.Sprite:create()
	setValue(self.qualityBg1_3, "qualityBg1_3", 2976, cc.size(100, 100), nil, nil, nil, nil, nil, nil)
	self.qualityBg1_3:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.cost3Node_5, self.qualityBg1_3)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/battle.plist",
	"ccs/plist/common.plist",
	"ccs/plist/commonBg.plist",
}

return _M
