-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_0 = cc.Node:create()
	setValue(self.Node_0, "Node_0", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_0)
 	self.uiRootNode = self.Node_0
	self.Node_0_0 = self.Node_0

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 427, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	setBgColor(self.rootPanel, 1, 0, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.Node_0_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 539, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 428, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.attributionPanel = ccui.Layout:create()
	setValue(self.attributionPanel, "XYN_attributionPanel", 447, cc.size(608, 307.2), cc.p(320, 705.792), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.attributionPanel)
	self.attributionPanel_3 = self.attributionPanel

	self.Image_9 = ccui.ImageView:create()
	setValue(self.Image_9, "Image_9", 654, cc.size(608, 307.2), cc.p(304, 153.6), nil, nil, nil, nil, false)
	self.Image_9:loadTexture("ccs/UiImages/image9/common_s9_xiankuang.png", 1)
	self.Image_9:setScale9Enabled(true)
	self.Image_9:setCapInsets(cc.rect(10, 10, 16, 18))
	addChildForPre(self.attributionPanel_3, self.Image_9)

	self.contentTitleLabel = createLabel({text=[[技能描述：]], font=getFont(), size=24,align = 2})
	setValue(self.contentTitleLabel, "contentTitleLabel", 1712, cc.size(120, 28), cc.p(8.5728, 140.9741), cc.p(0, 0.5), nil, nil, nil, nil)
	self.contentTitleLabel:setVisible(false)
	self.contentTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attributionPanel_3, self.contentTitleLabel)

	self.skillContentLabel = createLabel({text=[[对敌方单体造成爆破攻击伤害]], font=getFont(), size=24, dimensions = cc.size(559.3600, 73.7280)})
	setValue(self.skillContentLabel, "skillContentLabel", 1713, cc.size(559.36, 73.728), cc.p(22.9824, 192.8909), cc.p(0, 1), nil, nil, nil, false)
	self.skillContentLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attributionPanel_3, self.skillContentLabel)

	self.levelTitleLabel = createLabel({text=[[等    级：]], font=getFont(), size=24,align = 2})
	setValue(self.levelTitleLabel, "levelTitleLabel", 1714, cc.size(98, 28), cc.p(22.9824, 217.0368), cc.p(0, 0.5), nil, nil, nil, nil)
	self.levelTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attributionPanel_3, self.levelTitleLabel)

	self.level1Label = createLabel({text=[[1]], font=getFont(), size=24})
	setValue(self.level1Label, "level1Label", 1715, cc.size(13, 28), cc.p(157.1072, 217.0368), cc.p(0, 0.5), nil, nil, nil, nil)
	self.level1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attributionPanel_3, self.level1Label)

	self.level2Label = createLabel({text=[[2]], font=getFont(), size=24})
	setValue(self.level2Label, "level2Label", 113, cc.size(13, 28), cc.p(158.1408, 105.1853), cc.p(0, 0.5), nil, nil, nil, nil)
	self.level2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attributionPanel_3, self.level2Label)

	self.attrAddTitleLabel = createLabel({text=[[属性提升：]], font=getFont(), size=24,align = 2})
	setValue(self.attrAddTitleLabel, "attrAddTitleLabel", 1716, cc.size(120, 28), cc.p(15.4432, 89.7945), cc.p(0, 0.5), nil, nil, nil, nil)
	self.attrAddTitleLabel:setVisible(false)
	self.attrAddTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attributionPanel_3, self.attrAddTitleLabel)

	self.attrAdd1Label = createLabel({text=[[100%]], font=getFont(), size=24})
	setValue(self.attrAdd1Label, "attrAdd1Label", 1717, cc.size(61, 28), cc.p(194.56, 138.24), cc.p(0, 0.5), nil, nil, nil, nil)
	self.attrAdd1Label:setVisible(false)
	self.attrAdd1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attributionPanel_3, self.attrAdd1Label)

	self.attrAdd2Label = createLabel({text=[[110%]], font=getFont(), size=24})
	setValue(self.attrAdd2Label, "attrAdd2Label", 114, cc.size(59, 28), cc.p(364.8, 138.24), cc.p(0, 0.5), cc.c4b(0, 255, 0, 255), nil, nil, nil)
	self.attrAdd2Label:setVisible(false)
	self.attrAdd2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.attrAdd2Label:setColor(cc.c4b(0, 255, 0, 255))
	addChildForPre(self.attributionPanel_3, self.attrAdd2Label)

	self.ArrowGreen1 = cc.Sprite:create()
	setValue(self.ArrowGreen1, "ArrowGreen1", 115, cc.size(22, 29), cc.p(204.3488, 103.9565), nil, nil, nil, nil, nil)
	self.ArrowGreen1:setSpriteFrame("ccs/UiImages/common/common_img_jiantou.png")
	addChildForPre(self.attributionPanel_3, self.ArrowGreen1)

	self.levelTitleLabel2 = createLabel({text=[[等    级：]], font=getFont(), size=24,align = 2})
	setValue(self.levelTitleLabel2, "levelTitleLabel2", 966, cc.size(98, 28), cc.p(22.9824, 105.1853), cc.p(0, 0.5), nil, nil, nil, nil)
	self.levelTitleLabel2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attributionPanel_3, self.levelTitleLabel2)

	self.skillContentLabel2 = createLabel({text=[[对敌方单体造成爆破攻击伤害]], font=getFont(), size=24, dimensions = cc.size(559.3600, 73.7280)})
	setValue(self.skillContentLabel2, "skillContentLabel2", 967, cc.size(559.36, 73.728), cc.p(22.9824, 78.9504), cc.p(0, 1), nil, nil, nil, false)
	self.skillContentLabel2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attributionPanel_3, self.skillContentLabel2)

	self.LightColourLine = cc.Sprite:create()
	setValue(self.LightColourLine, "LightColourLine", 112, cc.size(368, 42), cc.p(291.1998, 274.9993), nil, nil, nil, nil, nil)
	self.LightColourLine:setSpriteFrame("ccs/UiImages/common/common_Partsimg_ditiao.png")
	addChildForPre(self.attributionPanel_3, self.LightColourLine)

	self.lbTitleTop = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.lbTitleTop, "lbTitleTop", 969, cc.size(109, 28), cc.p(291.1998, 274.9993), nil, nil, nil, nil, nil)
	self.lbTitleTop:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attributionPanel_3, self.lbTitleTop)

	self.attributionPanelUnder = ccui.Layout:create()
	setValue(self.attributionPanelUnder, "XYN_attributionPanelUnder", 1527, cc.size(608, 350.016), cc.p(320, 364.8), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.attributionPanelUnder)
	self.attributionPanelUnder_3 = self.attributionPanelUnder

	self.Image_10 = ccui.ImageView:create()
	setValue(self.Image_10, "Image_10", 655, cc.size(608, 350.016), cc.p(304, 175.008), nil, nil, nil, nil, false)
	self.Image_10:loadTexture("ccs/UiImages/image9/common_s9_xiankuang.png", 1)
	self.Image_10:setScale9Enabled(true)
	self.Image_10:setCapInsets(cc.rect(10, 10, 16, 18))
	addChildForPre(self.attributionPanelUnder_3, self.Image_10)

	self.contentUnder = createLabel({text=[[熟练度在技能升级失败时会增加，升级成功后清0， 每日0点技能熟练度会重置。]], font=getFont(), size=20,align = 1, dimensions = cc.size(561.0000, 60.0000)})
	setValue(self.contentUnder, "contentUnder", 979, cc.size(561, 60), cc.p(304, 188.7636), nil, cc.c4b(255, 0, 0, 255), nil, nil, false)
	self.contentUnder:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.contentUnder:setColor(cc.c4b(255, 0, 0, 255))
	addChildForPre(self.attributionPanelUnder_3, self.contentUnder)

	self.proficiencyTitleLabel = createLabel({text=[[熟练度]], font=getFont(), size=24,align = 2})
	setValue(self.proficiencyTitleLabel, "proficiencyTitleLabel", 1533, cc.size(72, 28), cc.p(171.9929, 251.0011), cc.p(1, 0.5), nil, nil, nil, nil)
	self.proficiencyTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attributionPanelUnder_3, self.proficiencyTitleLabel)

	self.resetTimeLabel = createLabel({text=[[resetTimeLabel]], font=getFont(), size=24,align = 2})
	setValue(self.resetTimeLabel, "resetTimeLabel", 1264, cc.size(164, 28), cc.p(595.1712, 250.9965), cc.p(1, 0.5), nil, nil, nil, nil)
	self.resetTimeLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attributionPanelUnder_3, self.resetTimeLabel)

	self.costTitleLabel = createLabel({text=[[消  耗：]], font=getFont(), size=24,align = 2})
	setValue(self.costTitleLabel, "costTitleLabel", 1534, cc.size(85, 28), cc.p(290.9679, 134.9062), cc.p(1, 0.5), nil, nil, nil, nil)
	self.costTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attributionPanelUnder_3, self.costTitleLabel)

	self.costLabel = createLabel({text=[[1]], font=getFont(), size=24})
	setValue(self.costLabel, "costLabel", 1535, cc.size(13, 28), cc.p(331.9241, 134.424), cc.p(0, 0.5), nil, nil, nil, nil)
	self.costLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attributionPanelUnder_3, self.costLabel)

	self.ownTitleLabel = createLabel({text=[[拥  有：]], font=getFont(), size=24,align = 2})
	setValue(self.ownTitleLabel, "ownTitleLabel", 1536, cc.size(85, 28), cc.p(86.1536, 134.8962), cc.p(1, 0.5), nil, nil, nil, nil)
	self.ownTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attributionPanelUnder_3, self.ownTitleLabel)

	self.ownLabel = createLabel({text=[[10]], font=getFont(), size=24})
	setValue(self.ownLabel, "ownLabel", 1537, cc.size(26, 28), cc.p(125, 134.9062), cc.p(0, 0.5), nil, nil, nil, nil)
	self.ownLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attributionPanelUnder_3, self.ownLabel)

	self.getSkillButton = ccui.Button:create()
	setValue(self.getSkillButton, "getSkillButton", 1265, cc.size(81, 26), cc.p(587.9968, 135.4212), cc.p(1, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, false)
	self.getSkillButton:loadTextureNormal("ccs/UiImages/image9/Underline.png", 1)
	self.getSkillButton:loadTexturePressed("ccs/UiImages/image9/Underline.png", 1)
	self.getSkillButton:loadTextureDisabled("ccs/UiImages/image9/Underline.png", 1)
	self.getSkillButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.getSkillButton:setTitleText([[getSkillButton]])
	self.getSkillButton:setTitleColor(cc.c3b(0, 230, 255))
	self.getSkillButton:setTitleFontSize(24)
	self.getSkillButton:setTitleFontName(getFont())
	setClickEvent(self, self.getSkillButton, "getSkillButton")
	addChildForPre(self.attributionPanelUnder_3, self.getSkillButton)

	self.iconPaper = cc.Sprite:create()
	setValue(self.iconPaper, "iconPaper", 1719, cc.size(35, 35), cc.p(311.9226, 134.9062), nil, nil, nil, nil, nil)
	self.iconPaper:setSpriteFrame("ccs/UiImages/common/commonIcon_img_tuzhi_small_1.png")
	addChildForPre(self.attributionPanelUnder_3, self.iconPaper)

	self.IconPaper1 = cc.Sprite:create()
	setValue(self.IconPaper1, "IconPaper1", 1762, cc.size(35, 35), cc.p(106.9993, 134.9062), nil, nil, nil, nil, nil)
	self.IconPaper1:setSpriteFrame("ccs/UiImages/common/commonIcon_img_tuzhi_small_1.png")
	addChildForPre(self.attributionPanelUnder_3, self.IconPaper1)

	self.loadingBarPanel = ccui.Layout:create()
	setValue(self.loadingBarPanel, "loadingBarPanel", 124, cc.size(291, 30), cc.p(197.9954, 251.0002), cc.p(0, 0.5), nil, nil, nil, nil)
	addChildForPre(self.attributionPanelUnder_3, self.loadingBarPanel)
	self.loadingBarPanel_4 = self.loadingBarPanel

	self.processImage = ccui.ImageView:create()
	setValue(self.processImage, "processImage", 125, cc.size(294, 24), cc.p(128.04, 15), nil, nil, nil, nil, false)
	self.processImage:loadTexture("ccs/UiImages/battle/s9_img_expa.png", 1)
	self.processImage:setScale9Enabled(true)
	self.processImage:setCapInsets(cc.rect(10, 0, 225, 24))
	addChildForPre(self.loadingBarPanel_4, self.processImage)

	local progressSprite = cc.Sprite:createWithSpriteFrameName("ccs/UiImages/common/camp_bar_jinengshengji.png")
	self.LoadingBar = cc.ProgressTimer:create(progressSprite)
	setValue(self.LoadingBar, "LoadingBar", 123, cc.size(281, 14), cc.p(127, 15), nil, nil, nil, nil, nil)
	self.LoadingBar:setPercentage(100)
	self.LoadingBar:setType(1)
	self.LoadingBar:setBarChangeRate({x=1,y=0})
	self.LoadingBar:setMidpoint({x = 0,y = 0})
	addChildForPre(self.loadingBarPanel_4, self.LoadingBar)
	self.LoadingBar_5 = self.LoadingBar

	self.skillUpgradeLoadingBarPanel = ccui.Layout:create()
	setValue(self.skillUpgradeLoadingBarPanel, "skillUpgradeLoadingBarPanel", 173, cc.size(281, 14), nil, nil, nil, 0, nil, nil)
	setBgColor(self.skillUpgradeLoadingBarPanel, 1, 127, nil, nil, nil, nil)
	addChildForPre(self.LoadingBar_5, self.skillUpgradeLoadingBarPanel)

	self.skillUpgradeParticle = cc.ParticleSystemQuad:create("ccs/Particle/particle_skill02.plist")
 	self.skillUpgradeParticle:setPositionType(2) 
	setValue(self.skillUpgradeParticle, "skillUpgradeParticle", 122, nil, cc.p(0, 15), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.loadingBarPanel_4, self.skillUpgradeParticle)

	self.progressLabel = createLabel({text=[[80/100]], font=getFont(), size=24})
	setValue(self.progressLabel, "progressLabel", 1764, cc.size(73, 28), cc.p(126.9924, 15), nil, nil, nil, nil, nil)
	self.progressLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.loadingBarPanel_4, self.progressLabel)

	self.LightColourLine = cc.Sprite:create()
	setValue(self.LightColourLine, "LightColourLine", 111, cc.size(368, 42), cc.p(290.0002, 317.0011), nil, nil, nil, nil, nil)
	self.LightColourLine:setSpriteFrame("ccs/UiImages/common/common_Partsimg_ditiao.png")
	addChildForPre(self.attributionPanelUnder_3, self.LightColourLine)

	self.lbTitleBotton = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.lbTitleBotton, "lbTitleBotton", 968, cc.size(109, 28), cc.p(290.0002, 317.0038), nil, nil, nil, nil, nil)
	self.lbTitleBotton:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attributionPanelUnder_3, self.lbTitleBotton)

	self.buttonPanel = ccui.Layout:create()
	setValue(self.buttonPanel, "BXN_buttonPanel", 767, cc.size(608, 73.5034), cc.p(304, 7.5953), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.attributionPanelUnder_3, self.buttonPanel)
	self.buttonPanel_4 = self.buttonPanel

	self.autoUpgradeButton = ccui.Button:create()
	self.autoUpgradeButton:setScale9Enabled(true)
	self.autoUpgradeButton:setCapInsets(cc.rect(0, 0, 98, 51))
	self.autoUpgradeButton:setContentSize(cc.size(160, 60))
	setValue(self.autoUpgradeButton, "autoUpgradeButton", 448, nil, cc.p(182.4, 36.7517), nil, nil, nil, nil, false)
	self.autoUpgradeButton:loadTextureNormal("ccs/UiImages/image9/CommonPanel_btn_smallred_0.png", 1)
	self.autoUpgradeButton:loadTexturePressed("ccs/UiImages/image9/CommonPanel_btn_smallred_1.png", 1)
	self.autoUpgradeButton:loadTextureDisabled("ccs/UiImages/image9/CommonPanel_btn_small_2.png", 1)
	self.autoUpgradeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.autoUpgradeButton:setTitleText([[自动升级]])
	self.autoUpgradeButton:setTitleFontSize(25)
	self.autoUpgradeButton:setTitleFontName(getFont())
	setClickEvent(self, self.autoUpgradeButton, "autoUpgradeButton")
	addChildForPre(self.buttonPanel_4, self.autoUpgradeButton)

	self.upgradeButton = ccui.Button:create()
	self.upgradeButton:setScale9Enabled(true)
	self.upgradeButton:setCapInsets(cc.rect(0, 0, 98, 51))
	self.upgradeButton:setContentSize(cc.size(160, 60))
	setValue(self.upgradeButton, "upgradeButton", 449, nil, cc.p(425.6, 36.7517), nil, nil, nil, nil, false)
	self.upgradeButton:loadTextureNormal("ccs/UiImages/image9/CommonPanel_btn_smallblue_0.png", 1)
	self.upgradeButton:loadTexturePressed("ccs/UiImages/image9/CommonPanel_btn_smallblue_1.png", 1)
	self.upgradeButton:loadTextureDisabled("ccs/UiImages/image9/CommonPanel_btn_small_2.png", 1)
	self.upgradeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.upgradeButton:setTitleText([[升级]])
	self.upgradeButton:setTitleFontSize(25)
	self.upgradeButton:setTitleFontName(getFont())
	setClickEvent(self, self.upgradeButton, "upgradeButton")
	addChildForPre(self.buttonPanel_4, self.upgradeButton)

	self.leftPanel = ccui.Layout:create()
	setValue(self.leftPanel, "BXN_leftPanel", 152, cc.size(640, 150), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.leftPanel)
	self.leftPanel_3 = self.leftPanel

	self.skillListPanel = ccui.Layout:create()
	setValue(self.skillListPanel, "skillListPanel", 153, cc.size(640, 150), cc.p(320, 79.995), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.leftPanel_3, self.skillListPanel)
	self.skillListPanel_4 = self.skillListPanel

	self.skill1Button = ccui.Button:create()
	self.skill1Button:setScale9Enabled(true)
	self.skill1Button:setCapInsets(cc.rect(0, 0, 10, 10))
	self.skill1Button:setContentSize(cc.size(100, 150))
	setValue(self.skill1Button, "skill1Button", 154, nil, cc.p(130, 75), nil, nil, nil, nil, false)
	self.skill1Button:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.skill1Button:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.skill1Button:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.skill1Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.skill1Button:setTitleText([[]])
	self.skill1Button:setTitleColor(cc.c3b(65, 65, 70))
	self.skill1Button:setTitleFontSize(14)
	self.skill1Button:setTitleFontName(getFont())
	setClickEvent(self, self.skill1Button, "skill1Button")
	addChildForPre(self.skillListPanel_4, self.skill1Button)
	self.skill1Button_5 = self.skill1Button

	if CampSkillUpgradeLeftCellUi then 
 		self.skill1_CampSkillUpgradeLeftCellUi = CampSkillUpgradeLeftCellUi.new() 
 	else 
		self.skill1_CampSkillUpgradeLeftCellUi = BaseUi.new("ccs/ui/camp/CampSkillUpgradeLeftCellUi.lua")
 	end 
	setValue(self.skill1_CampSkillUpgradeLeftCellUi, "skill1_CampSkillUpgradeLeftCellUi", 183, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.skill1Button_5, self.skill1_CampSkillUpgradeLeftCellUi)

	self.skill2Button = ccui.Button:create()
	self.skill2Button:setScale9Enabled(true)
	self.skill2Button:setCapInsets(cc.rect(0, 0, 10, 10))
	self.skill2Button:setContentSize(cc.size(100, 150))
	setValue(self.skill2Button, "skill2Button", 181, nil, cc.p(320, 75), nil, nil, nil, nil, false)
	self.skill2Button:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.skill2Button:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.skill2Button:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.skill2Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.skill2Button:setTitleText([[]])
	self.skill2Button:setTitleColor(cc.c3b(65, 65, 70))
	self.skill2Button:setTitleFontSize(14)
	self.skill2Button:setTitleFontName(getFont())
	setClickEvent(self, self.skill2Button, "skill2Button")
	addChildForPre(self.skillListPanel_4, self.skill2Button)
	self.skill2Button_5 = self.skill2Button

	if CampSkillUpgradeLeftCellUi then 
 		self.skill2_CampSkillUpgradeLeftCellUi = CampSkillUpgradeLeftCellUi.new() 
 	else 
		self.skill2_CampSkillUpgradeLeftCellUi = BaseUi.new("ccs/ui/camp/CampSkillUpgradeLeftCellUi.lua")
 	end 
	setValue(self.skill2_CampSkillUpgradeLeftCellUi, "skill2_CampSkillUpgradeLeftCellUi", 216, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.skill2Button_5, self.skill2_CampSkillUpgradeLeftCellUi)

	self.skill3Button = ccui.Button:create()
	self.skill3Button:setScale9Enabled(true)
	self.skill3Button:setCapInsets(cc.rect(0, 0, 10, 10))
	self.skill3Button:setContentSize(cc.size(100, 150))
	setValue(self.skill3Button, "skill3Button", 182, nil, cc.p(510, 75), nil, nil, nil, nil, false)
	self.skill3Button:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.skill3Button:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.skill3Button:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.skill3Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.skill3Button:setTitleText([[]])
	self.skill3Button:setTitleColor(cc.c3b(65, 65, 70))
	self.skill3Button:setTitleFontSize(14)
	self.skill3Button:setTitleFontName(getFont())
	setClickEvent(self, self.skill3Button, "skill3Button")
	addChildForPre(self.skillListPanel_4, self.skill3Button)
	self.skill3Button_5 = self.skill3Button

	if CampSkillUpgradeLeftCellUi then 
 		self.skill3_CampSkillUpgradeLeftCellUi = CampSkillUpgradeLeftCellUi.new() 
 	else 
		self.skill3_CampSkillUpgradeLeftCellUi = BaseUi.new("ccs/ui/camp/CampSkillUpgradeLeftCellUi.lua")
 	end 
	setValue(self.skill3_CampSkillUpgradeLeftCellUi, "skill3_CampSkillUpgradeLeftCellUi", 223, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.skill3Button_5, self.skill3_CampSkillUpgradeLeftCellUi)

	self.PanelCommonLineVertical = ccui.ImageView:create()
	setValue(self.PanelCommonLineVertical, "WXB_PanelCommonLineVertical", 800, cc.size(640, 30), cc.p(320, 165.024), nil, nil, nil, nil, false)
	self.PanelCommonLineVertical:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.PanelCommonLineVertical:setScale9Enabled(true)
	self.PanelCommonLineVertical:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.dialogPanel_2, self.PanelCommonLineVertical)

	if CommonDialogFrame1CloseUi then 
 		self.commonDialogFrame1CloseUi = CommonDialogFrame1CloseUi.new() 
 	else 
		self.commonDialogFrame1CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame1CloseUi, "commonDialogFrame1CloseUi", 534, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(42)
	self.animation:setTimeSpeed(1)
	local timeLine
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(0, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(21, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(42, true, cc.c3b(255,255,255), 0, nil))
	timeLine:setNode(self.skillUpgradeLoadingBarPanel)
	return self
end

_M.textures = {
	"ccs/plist/common.plist",
	"ccs/plist/winLose.plist",
	"ccs/plist/camp.plist",
	"ccs/plist/image9.plist",
}

return _M
