-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_1 = cc.Node:create()
	setValue(self.Node_1, "Node_1", 1175, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_1)
 	self.uiRootNode = self.Node_1
	self.Node_1_0 = self.Node_1

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 1407, cc.size(124, 237), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_1_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bigPanel = ccui.Layout:create()
	setValue(self.bigPanel, "bigPanel", 1441, cc.size(124, 232.26), cc.p(62, 125.61), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.bigPanel)
	self.bigPanel_2 = self.bigPanel

	self.yellowBoxImage = ccui.ImageView:create()
	setValue(self.yellowBoxImage, "yellowBoxImage", 120, cc.size(124, 232.26), cc.p(62, 116.13), nil, nil, nil, nil, false)
	self.yellowBoxImage:loadTexture("ccs/UiImages/common/common_img_xuanzhong.png", 1)
	self.yellowBoxImage:setScale9Enabled(true)
	self.yellowBoxImage:setCapInsets(cc.rect(40, 40, 27, 27))
	addChildForPre(self.bigPanel_2, self.yellowBoxImage)

	self.commonitemPabel = ccui.Layout:create()
	setValue(self.commonitemPabel, "commonitemPabel", 127, cc.size(150, 130), cc.p(62, 173.01), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.commonitemPabel:setScale(0.9)
	addChildForPre(self.rootPanel_1, self.commonitemPabel)

	self.selectedBtnPabel = ccui.Layout:create()
	setValue(self.selectedBtnPabel, "selectedBtnPabel", 128, cc.size(124, 109.02), cc.p(0, 10), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.selectedBtnPabel)
	self.selectedBtnPabel_2 = self.selectedBtnPabel

	self.selectCheckBox = ccui.CheckBox:create()
	setValue(self.selectCheckBox, "selectCheckBox", 130, cc.size(65, 66), cc.p(62, 47.9688), nil, nil, nil, nil, nil)
	self.selectCheckBox:setScale(0.9)
	self.selectCheckBox:loadTextureBackGround("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.selectCheckBox:loadTextureBackGroundSelected("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.selectCheckBox:loadTextureBackGroundDisabled("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.selectCheckBox:loadTextureFrontCross("ccs/UiImages/common/common_btn_xuanzhong_1.png", 1)
	self.selectCheckBox:loadTextureFrontCrossDisabled("ccs/UiImages/common/common_btn_xuanzhong_1.png", 1)
	self.selectCheckBox:setEnabled(false)
	addChildForPre(self.selectedBtnPabel_2, self.selectCheckBox)

	self.selectedButton = ccui.Button:create()
	self.selectedButton:setScale9Enabled(true)
	self.selectedButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.selectedButton:setContentSize(cc.size(124, 109.02))
	setValue(self.selectedButton, "selectedButton", 129, nil, cc.p(62, 54.51), nil, nil, nil, nil, false)
	self.selectedButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.selectedButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.selectedButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.selectedButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.selectedButton:setTitleText([[]])
	self.selectedButton:setTitleFontSize(14)
	self.selectedButton:setTitleFontName(getFont())
	setClickEvent(self, self.selectedButton, "selectedButton")
	addChildForPre(self.selectedBtnPabel_2, self.selectedButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
}

return _M
