-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 360, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 3, cc.size(124, 150), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 28, cc.size(161, 193), cc.p(62, 75), nil, nil, nil, nil, nil)
	self.bgImage:setScale(0.8)
	self.bgImage:loadTexture("ccs/UiImages/commonBg/common_img_kapai.png", 1)
	addChildForPre(self.rootPanel_1, self.bgImage)

	self.lockPanel = ccui.Layout:create()
	setValue(self.lockPanel, "lockPanel", 29, cc.size(124, 150), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.lockPanel)
	self.lockPanel_2 = self.lockPanel

	self.UserLock = cc.Sprite:create()
	setValue(self.UserLock, "UserLock", 30, cc.size(119, 46), cc.p(62, 52.5), nil, nil, nil, nil, nil)
	self.UserLock:setSpriteFrame("ccs/UiImages/common/camp_img_suo.png")
	addChildForPre(self.lockPanel_2, self.UserLock)

	self.levelLabel = createLabel({text=[[levelLabel]], font=getFont(), size=20})
	setValue(self.levelLabel, "levelLabel", 191, cc.size(90, 23), cc.p(62, 103.5), nil, nil, nil, nil, nil)
	self.levelLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.lockPanel_2, self.levelLabel)

	self.canUpPanel = ccui.Layout:create()
	setValue(self.canUpPanel, "canUpPanel", 31, cc.size(124, 150), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.canUpPanel)
	self.canUpPanel_2 = self.canUpPanel

	self.andSprite = cc.Sprite:create()
	setValue(self.andSprite, "andSprite", 286, cc.size(70, 71), cc.p(62, 75), nil, nil, nil, nil, nil)
	self.andSprite:setSpriteFrame("ccs/UiImages/common/camp_btn_jia_0.png")
	addChildForPre(self.canUpPanel_2, self.andSprite)

	self.goPaperPanel = ccui.Layout:create()
	setValue(self.goPaperPanel, "goPaperPanel", 16, cc.size(124, 150), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.goPaperPanel)
	self.goPaperPanel_2 = self.goPaperPanel

	self.productMoreTankLabel = createLabel({text=[[productMoreTankLabel]], font=getFont(), size=20})
	setValue(self.productMoreTankLabel, "productMoreTankLabel", 21, cc.size(203, 23), cc.p(62, 75), nil, nil, nil, nil, nil)
	self.productMoreTankLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.goPaperPanel_2, self.productMoreTankLabel)

	self.mainButton = ccui.Button:create()
	self.mainButton:setScale9Enabled(true)
	self.mainButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.mainButton:setContentSize(cc.size(124, 150))
	setValue(self.mainButton, "mainButton", 63, nil, cc.p(62, 75), nil, nil, nil, nil, false)
	self.mainButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.mainButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.mainButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.mainButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.mainButton:setTitleText([[]])
	self.mainButton:setTitleColor(cc.c3b(65, 65, 70))
	self.mainButton:setTitleFontSize(14)
	self.mainButton:setTitleFontName(getFont())
	setClickEvent(self, self.mainButton, "mainButton")
	addChildForPre(self.rootPanel_1, self.mainButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/camp.plist",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
}

return _M
