-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 113, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 57, cc.size(124, 150), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.tankPanel = ccui.Layout:create()
	setValue(self.tankPanel, "tankPanel", 332, cc.size(124, 150), cc.p(62, 75), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.tankPanel)
	self.tankPanel_2 = self.tankPanel

	self.qualityBgSprite = cc.Sprite:create()
	setValue(self.qualityBgSprite, "qualityBgSprite", 786, cc.size(158, 187), cc.p(62, 75), nil, nil, nil, nil, nil)
	self.qualityBgSprite:setScale(0.8)
	self.qualityBgSprite:setSpriteFrame("ccs/UiImages/commonBg/qualityBg10.png")
	addChildForPre(self.tankPanel_2, self.qualityBgSprite)

	self.tankSprite = cc.Sprite:create()
	setValue(self.tankSprite, "tankSprite", 59, cc.size(46, 46), cc.p(62, 75), nil, nil, nil, nil, nil)
	self.tankSprite:setTexture("Default/Sprite.png")
	addChildForPre(self.tankPanel_2, self.tankSprite)

	self.tankTypeSprite = cc.Sprite:create()
	setValue(self.tankTypeSprite, "tankTypeSprite", 60, cc.size(46, 46), cc.p(-1.8972, 150.615), cc.p(0, 1), nil, nil, nil, nil)
	self.tankTypeSprite:setScale(0.6)
	self.tankTypeSprite:setTexture("Default/Sprite.png")
	addChildForPre(self.tankPanel_2, self.tankTypeSprite)

	self.spPaintIcon = cc.Sprite:create()
	setValue(self.spPaintIcon, "spPaintIcon", 343, cc.size(178, 192), cc.p(87.9995, 39), nil, nil, nil, nil, nil)
	self.spPaintIcon:setScale(0.3)
	self.spPaintIcon:setTexture("ccs/BigImages/userIcon/userIcon_img_meizi01.webp")
	addChildForPre(self.tankPanel_2, self.spPaintIcon)

	self.levelLabel = createLabel({text=[[LV.1]], font=getFont(), size=20})
	setValue(self.levelLabel, "levelLabel", 61, cc.size(37, 23), cc.p(110.36, 16.635), cc.p(1, 0.5), cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.levelLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.levelLabel:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.tankPanel_2, self.levelLabel)

	self.AppointmentCaptain = cc.Sprite:create()
	setValue(self.AppointmentCaptain, "AppointmentCaptain", 650, cc.size(46, 35), cc.p(117.8, 142.5), cc.p(1, 1), nil, nil, nil, nil)
	self.AppointmentCaptain:setScale(0.7)
	self.AppointmentCaptain:setSpriteFrame("ccs/UiImages/common/common_img_ship07-79.png")
	addChildForPre(self.tankPanel_2, self.AppointmentCaptain)

	self.mainButton = ccui.Button:create()
	self.mainButton:setScale9Enabled(true)
	self.mainButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.mainButton:setContentSize(cc.size(124, 150))
	setValue(self.mainButton, "mainButton", 209, nil, cc.p(62, 75), nil, nil, nil, nil, false)
	self.mainButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.mainButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.mainButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.mainButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.mainButton:setTitleText([[]])
	self.mainButton:setTitleColor(cc.c3b(65, 65, 70))
	self.mainButton:setTitleFontSize(14)
	self.mainButton:setTitleFontName(getFont())
	setClickEvent(self, self.mainButton, "mainButton")
	addChildForPre(self.tankPanel_2, self.mainButton)

	self.selectedImage = ccui.ImageView:create()
	setValue(self.selectedImage, "selectedImage", 299, cc.size(128, 153), cc.p(62, 75), nil, nil, nil, nil, nil)
	self.selectedImage:loadTexture("ccs/UiImages/common/camp_img_xuanzhong.png", 1)
	addChildForPre(self.rootPanel_1, self.selectedImage)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"Default/Sprite.png",
	"ccs/BigImages/userIcon/userIcon_img_meizi01.png",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
}

return _M
