-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_0 = cc.Node:create()
	setValue(self.Node_0, "Node_0", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_0)
 	self.uiRootNode = self.Node_0
	self.Node_0_0 = self.Node_0

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 30, cc.size(110, 124), nil, nil, nil, nil, nil, nil)
	setBgColor(self.rootPanel, 1, 0, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.Node_0_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.skillNameLabel = createLabel({text=[[skillName]], font=getFont(), size=20})
	setValue(self.skillNameLabel, "skillNameLabel", 35, cc.size(86, 23), cc.p(55, 9.3124), nil, nil, nil, 1, nil)
	self.skillNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.skillNameLabel)

	self.qualityBgSprite = cc.Sprite:create()
	setValue(self.qualityBgSprite, "qualityBgSprite", 196, cc.size(100, 100), cc.p(54.9999, 71.92), nil, nil, nil, nil, nil)
	self.qualityBgSprite:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.rootPanel_1, self.qualityBgSprite)

	self.skillIconSprite = cc.Sprite:create()
	setValue(self.skillIconSprite, "skillIconSprite", 197, cc.size(100, 100), cc.p(54.9999, 71.92), nil, nil, nil, nil, nil)
	self.skillIconSprite:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.rootPanel_1, self.skillIconSprite)

	self.levelPanel = ccui.Layout:create()
	setValue(self.levelPanel, "levelPanel", 68, cc.size(38, 20), cc.p(9.097, 24.428), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.levelPanel)
	self.levelPanel_2 = self.levelPanel

	self.IconLevel = cc.Sprite:create()
	setValue(self.IconLevel, "IconLevel", 227, cc.size(38, 20), nil, cc.p(0, 0), nil, nil, nil, nil)
	self.IconLevel:setSpriteFrame("ccs/UiImages/common/common_img_level.png")
	addChildForPre(self.levelPanel_2, self.IconLevel)

	self.skillLevelLabel = createLabel({text=[[60]], font=getFont(), size=20,align = 1,valign = 1})
	setValue(self.skillLevelLabel, "skillLevelLabel", 69, cc.size(22, 23), cc.p(19, 9), nil, nil, nil, nil, nil)
	self.skillLevelLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.levelPanel_2, self.skillLevelLabel)

	self.mainButton = ccui.Button:create()
	self.mainButton:setScale9Enabled(true)
	self.mainButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.mainButton:setContentSize(cc.size(100, 115))
	setValue(self.mainButton, "mainButton", 472, nil, cc.p(55, 60.76), nil, nil, nil, nil, false)
	self.mainButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.mainButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.mainButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.mainButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.mainButton:setTitleText([[]])
	self.mainButton:setTitleColor(cc.c3b(0, 0, 0))
	self.mainButton:setTitleFontSize(14)
	self.mainButton:setTitleFontName(getFont())
	setClickEvent(self, self.mainButton, "mainButton")
	addChildForPre(self.rootPanel_1, self.mainButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
}

return _M
