-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_0 = cc.Node:create()
	setValue(self.Node_0, "Node_0", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_0)
 	self.uiRootNode = self.Node_0
	self.Node_0_0 = self.Node_0

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 194, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 194, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 195, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.leftRightArrowPanel = ccui.Layout:create()
	setValue(self.leftRightArrowPanel, "WXI_leftRightArrowPanel", 949, cc.size(640, 150), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.leftRightArrowPanel)
	self.leftRightArrowPanel_3 = self.leftRightArrowPanel

	self.toLeft = cc.Sprite:create()
	setValue(self.toLeft, "LYN_toLeft", 999, cc.size(19, 111), cc.p(0, 75), cc.p(0, 0.5), nil, nil, nil, nil)
	self.toLeft:setFlippedX(true)
	self.toLeft:setSpriteFrame("ccs/UiImages/common/camp_btn_huadong_1.png")
	addChildForPre(self.leftRightArrowPanel_3, self.toLeft)

	self.toRight = cc.Sprite:create()
	setValue(self.toRight, "RYN_toRight", 1000, cc.size(19, 111), cc.p(640, 75), cc.p(1, 0.5), nil, nil, nil, nil)
	self.toRight:setSpriteFrame("ccs/UiImages/common/camp_btn_huadong_1.png")
	addChildForPre(self.leftRightArrowPanel_3, self.toRight)

	self.buttonPanel = ccui.Layout:create()
	setValue(self.buttonPanel, "AXY_buttonPanel", 2099, cc.size(640, 130), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.buttonPanel)
	self.buttonPanel_3 = self.buttonPanel

	self.Image = ccui.ImageView:create()
	setValue(self.Image, "WXT_Image", 2328, cc.size(640, 30), cc.p(320, 117), nil, nil, nil, nil, false)
	self.Image:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.Image:setScale9Enabled(true)
	self.Image:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.buttonPanel_3, self.Image)

	self.saveButton = ccui.Button:create()
	setValue(self.saveButton, "XYN_saveButton", 4123, cc.size(153, 64), cc.p(96, 58.5), nil, nil, nil, nil, false)
	self.saveButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.saveButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.saveButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.saveButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.saveButton:setTitleText([[save]])
	self.saveButton:setTitleFontSize(25)
	self.saveButton:setTitleFontName(getFont())
	setClickEvent(self, self.saveButton, "saveButton")
	addChildForPre(self.buttonPanel_3, self.saveButton)

	self.trainTenButton = ccui.Button:create()
	setValue(self.trainTenButton, "XYN_trainTenButton", 102, cc.size(153, 64), cc.p(320, 58.5), nil, nil, nil, nil, false)
	self.trainTenButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.trainTenButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.trainTenButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.trainTenButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.trainTenButton:setTitleText([[train10]])
	self.trainTenButton:setTitleFontSize(25)
	self.trainTenButton:setTitleFontName(getFont())
	setClickEvent(self, self.trainTenButton, "trainTenButton")
	addChildForPre(self.buttonPanel_3, self.trainTenButton)

	self.trainButton = ccui.Button:create()
	setValue(self.trainButton, "XYN_trainButton", 3097, cc.size(153, 64), cc.p(544, 58.5), nil, nil, nil, nil, false)
	self.trainButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.trainButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.trainButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.trainButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.trainButton:setTitleText([[train]])
	self.trainButton:setTitleFontSize(25)
	self.trainButton:setTitleFontName(getFont())
	setClickEvent(self, self.trainButton, "trainButton")
	addChildForPre(self.buttonPanel_3, self.trainButton)

	if CommonDialogFrame1CloseUi then 
 		self.commonDialogFrame1CloseUi = CommonDialogFrame1CloseUi.new() 
 	else 
		self.commonDialogFrame1CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame1CloseUi, "commonDialogFrame1CloseUi", 73, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
}

return _M
