-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_0 = cc.Node:create()
	setValue(self.Node_0, "Node_0", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_0)
 	self.uiRootNode = self.Node_0
	self.Node_0_0 = self.Node_0

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 194, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 195, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.attributionPanel = ccui.Layout:create()
	setValue(self.attributionPanel, "AXY_attributionPanel", 1392, cc.size(608, 330), cc.p(320, 407.616), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.attributionPanel)
	self.attributionPanel_3 = self.attributionPanel

	self.ImageBG = ccui.ImageView:create()
	setValue(self.ImageBG, "AXY_ImageBG", 1645, cc.size(608, 330), cc.p(304, 165), nil, nil, nil, nil, false)
	self.ImageBG:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.ImageBG:setScale9Enabled(true)
	self.ImageBG:setCapInsets(cc.rect(5, 5, 20, 20))
	addChildForPre(self.attributionPanel_3, self.ImageBG)

	self.hpTitleLabel = createLabel({text=[[生命:]], font=getFont(), size=26,align = 2})
	setValue(self.hpTitleLabel, "hpTitleLabel", 1820, cc.size(59, 31), cc.p(139.84, 301.158), cc.p(1, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.hpTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.hpTitleLabel:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.attributionPanel_3, self.hpTitleLabel)

	self.hpLabel = createLabel({text=[[1000]], font=getFont(), size=24})
	setValue(self.hpLabel, "hpLabel", 1821, cc.size(53, 28), cc.p(144.5216, 301.158), cc.p(0, 0.5), nil, nil, nil, nil)
	self.hpLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attributionPanel_3, self.hpLabel)

	self.hpTrainLabel = createLabel({text=[[+11100]], font=getFont(), size=24})
	setValue(self.hpTrainLabel, "hpTrainLabel", 1835, cc.size(77, 28), cc.p(290.5024, 303.633), cc.p(0, 0.5), cc.c4b(0, 150, 75, 255), nil, nil, nil)
	self.hpTrainLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.hpTrainLabel:setColor(cc.c4b(0, 150, 75, 255))
	addChildForPre(self.attributionPanel_3, self.hpTrainLabel)

	self.atkTitleLabel = createLabel({text=[[火炮攻击:]], font=getFont(), size=26,align = 2})
	setValue(self.atkTitleLabel, "atkTitleLabel", 1822, cc.size(111, 31), cc.p(139.84, 264.132), cc.p(1, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.atkTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.atkTitleLabel:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.attributionPanel_3, self.atkTitleLabel)

	self.atkLabel = createLabel({text=[[1000]], font=getFont(), size=24})
	setValue(self.atkLabel, "atkLabel", 1823, cc.size(53, 28), cc.p(144.5216, 266.64), cc.p(0, 0.5), nil, nil, nil, nil)
	self.atkLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attributionPanel_3, self.atkLabel)

	self.atkTrainLabel = createLabel({text=[[+111]], font=getFont(), size=24})
	setValue(self.atkTrainLabel, "atkTrainLabel", 1824, cc.size(50, 28), cc.p(290.5024, 266.64), cc.p(0, 0.5), cc.c4b(0, 150, 75, 255), nil, nil, nil)
	self.atkTrainLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.atkTrainLabel:setColor(cc.c4b(0, 150, 75, 255))
	addChildForPre(self.attributionPanel_3, self.atkTrainLabel)

	self.df1TitleLabel = createLabel({text=[[火炮防御:]], font=getFont(), size=26,align = 2})
	setValue(self.df1TitleLabel, "df1TitleLabel", 1825, cc.size(111, 31), cc.p(139.84, 220.539), cc.p(1, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.df1TitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.df1TitleLabel:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.attributionPanel_3, self.df1TitleLabel)

	self.df1Label = createLabel({text=[[1000]], font=getFont(), size=24})
	setValue(self.df1Label, "df1Label", 1826, cc.size(53, 28), cc.p(144.5216, 223.047), cc.p(0, 0.5), nil, nil, nil, nil)
	self.df1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attributionPanel_3, self.df1Label)

	self.df1TrainLabel = createLabel({text=[[+111]], font=getFont(), size=24})
	setValue(self.df1TrainLabel, "df1TrainLabel", 1827, cc.size(50, 28), cc.p(290.5024, 223.047), cc.p(0, 0.5), cc.c4b(0, 150, 75, 255), nil, nil, nil)
	self.df1TrainLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.df1TrainLabel:setColor(cc.c4b(0, 150, 75, 255))
	addChildForPre(self.attributionPanel_3, self.df1TrainLabel)

	self.df2TitleLabel = createLabel({text=[[爆破防御:]], font=getFont(), size=26,align = 2})
	setValue(self.df2TitleLabel, "df2TitleLabel", 1828, cc.size(111, 31), cc.p(139.84, 178.596), cc.p(1, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.df2TitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.df2TitleLabel:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.attributionPanel_3, self.df2TitleLabel)

	self.df2Label = createLabel({text=[[1000]], font=getFont(), size=24})
	setValue(self.df2Label, "df2Label", 1829, cc.size(53, 28), cc.p(144.5216, 181.104), cc.p(0, 0.5), nil, nil, nil, nil)
	self.df2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attributionPanel_3, self.df2Label)

	self.df2TrainLabel = createLabel({text=[[+111]], font=getFont(), size=24})
	setValue(self.df2TrainLabel, "df2TrainLabel", 1830, cc.size(50, 28), cc.p(290.5024, 181.104), cc.p(0, 0.5), cc.c4b(0, 150, 75, 255), nil, nil, nil)
	self.df2TrainLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.df2TrainLabel:setColor(cc.c4b(0, 150, 75, 255))
	addChildForPre(self.attributionPanel_3, self.df2TrainLabel)

	self.hpTrainAddLabel = createLabel({text=[[最大10000]], font=getFont(), size=24})
	setValue(self.hpTrainAddLabel, "hpTrainAddLabel", 3993, cc.size(114, 28), cc.p(466.032, 303.633), cc.p(0, 0.5), cc.c4b(255, 127, 0, 255), nil, nil, nil)
	self.hpTrainAddLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.hpTrainAddLabel:setColor(cc.c4b(255, 127, 0, 255))
	addChildForPre(self.attributionPanel_3, self.hpTrainAddLabel)

	self.atkTrainAddLabel = createLabel({text=[[max111]], font=getFont(), size=24})
	setValue(self.atkTrainAddLabel, "atkTrainAddLabel", 3994, cc.size(81, 28), cc.p(466.032, 266.64), cc.p(0, 0.5), cc.c4b(255, 127, 0, 255), nil, nil, nil)
	self.atkTrainAddLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.atkTrainAddLabel:setColor(cc.c4b(255, 127, 0, 255))
	addChildForPre(self.attributionPanel_3, self.atkTrainAddLabel)

	self.df1TrainAddLabel = createLabel({text=[[max111]], font=getFont(), size=24})
	setValue(self.df1TrainAddLabel, "df1TrainAddLabel", 3995, cc.size(81, 28), cc.p(466.032, 223.047), cc.p(0, 0.5), cc.c4b(255, 127, 0, 255), nil, nil, nil)
	self.df1TrainAddLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.df1TrainAddLabel:setColor(cc.c4b(255, 127, 0, 255))
	addChildForPre(self.attributionPanel_3, self.df1TrainAddLabel)

	self.df2TrainAddLabel = createLabel({text=[[max111]], font=getFont(), size=24})
	setValue(self.df2TrainAddLabel, "df2TrainAddLabel", 3996, cc.size(81, 28), cc.p(466.032, 181.104), cc.p(0, 0.5), cc.c4b(255, 127, 0, 255), nil, nil, nil)
	self.df2TrainAddLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.df2TrainAddLabel:setColor(cc.c4b(255, 127, 0, 255))
	addChildForPre(self.attributionPanel_3, self.df2TrainAddLabel)

	self.arrow1Sprite = cc.Sprite:create()
	setValue(self.arrow1Sprite, "arrow1Sprite", 153, cc.size(22, 29), cc.p(590, 303.6492), nil, nil, nil, nil, nil)
	self.arrow1Sprite:setSpriteFrame("ccs/UiImages/common/common_img_jiantou.png")
	addChildForPre(self.attributionPanel_3, self.arrow1Sprite)

	self.arrow2Sprite = cc.Sprite:create()
	setValue(self.arrow2Sprite, "arrow2Sprite", 155, cc.size(22, 29), cc.p(590, 266.6313), nil, nil, nil, nil, nil)
	self.arrow2Sprite:setSpriteFrame("ccs/UiImages/common/common_img_jiantou.png")
	addChildForPre(self.attributionPanel_3, self.arrow2Sprite)

	self.arrow3Sprite = cc.Sprite:create()
	setValue(self.arrow3Sprite, "arrow3Sprite", 154, cc.size(22, 29), cc.p(590, 223.0427), nil, nil, nil, nil, nil)
	self.arrow3Sprite:setSpriteFrame("ccs/UiImages/common/common_img_jiantou.png")
	addChildForPre(self.attributionPanel_3, self.arrow3Sprite)

	self.arrow4Sprite = cc.Sprite:create()
	setValue(self.arrow4Sprite, "arrow4Sprite", 156, cc.size(22, 29), cc.p(590, 181.0969), nil, nil, nil, nil, nil)
	self.arrow4Sprite:setSpriteFrame("ccs/UiImages/common/common_img_jiantou.png")
	addChildForPre(self.attributionPanel_3, self.arrow4Sprite)

	self.training1Particle = cc.ParticleSystemQuad:create("ccs/Particle/Training_Effect02.plist")
 	self.training1Particle:setPositionType(2) 
	setValue(self.training1Particle, "training1Particle", 99, nil, cc.p(239.4231, 225.3333), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.training1Particle:setScale(1.2)
	addChildForPre(self.attributionPanel_3, self.training1Particle)

	self.training2Particle = cc.ParticleSystemQuad:create("ccs/Particle/Training_Effect02.plist")
 	self.training2Particle:setPositionType(2) 
	setValue(self.training2Particle, "training2Particle", 100, nil, cc.p(233.0003, 236.0427), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.training2Particle:setScale(1.2)
	addChildForPre(self.attributionPanel_3, self.training2Particle)

	self.commonInfo = ccui.Layout:create()
	setValue(self.commonInfo, "TXN_commonInfo", 1199, cc.size(610, 280), cc.p(320, 720), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.commonInfo)
	self.commonInfo_3 = self.commonInfo

	self.typeTitleLabel = createLabel({text=[[类型：]], font=getFont(), size=24,align = 2})
	setValue(self.typeTitleLabel, "XYN_typeTitleLabel", 1201, cc.size(72, 28), cc.p(289.75, 220.388), cc.p(0, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.typeTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.typeTitleLabel:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.commonInfo_3, self.typeTitleLabel)

	self.typeLabel = createLabel({text=[[坦克]], font=getFont(), size=24})
	setValue(self.typeLabel, "XYN_typeLabel", 1202, cc.size(48, 28), cc.p(366, 221.872), cc.p(0, 0.5), nil, nil, nil, nil)
	self.typeLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.commonInfo_3, self.typeLabel)

	self.qualityTitleLabel = createLabel({text=[[品质：]], font=getFont(), size=24,align = 2})
	setValue(self.qualityTitleLabel, "XYN_qualityTitleLabel", 1203, cc.size(72, 28), cc.p(289.75, 173.46), cc.p(0, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.qualityTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.qualityTitleLabel:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.commonInfo_3, self.qualityTitleLabel)

	self.qualityLabel = createLabel({text=[[4]], font=getFont(), size=24})
	setValue(self.qualityLabel, "XYN_qualityLabel", 1204, cc.size(13, 28), cc.p(366, 173.46), cc.p(0, 0.5), nil, nil, nil, nil)
	self.qualityLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.commonInfo_3, self.qualityLabel)

	self.Star = cc.Sprite:create()
	setValue(self.Star, "XYN_Star", 1217, cc.size(40, 38), cc.p(389.485, 176.4), cc.p(0, 0.5), nil, nil, nil, nil)
	self.Star:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.commonInfo_3, self.Star)

	if CampTankBigUi then 
 		self.campTankBigUi = CampTankBigUi.new() 
 	else 
		self.campTankBigUi = BaseUi.new("ccs/ui/camp/CampTankBigUi.lua")
 	end 
	setValue(self.campTankBigUi, "XYN_campTankBigUi", 1081, nil, cc.p(20, 0), nil, nil, nil, nil, nil)
	addChildForPre(self.commonInfo_3, self.campTankBigUi)

	self.lbShipName = createLabel({text=[[舰船的名字]], font=getFont(), size=24,align = 2})
	setValue(self.lbShipName, "XYN_lbShipName", 2395, cc.size(120, 28), cc.p(289.75, 268.8), cc.p(0, 0.5), cc.c4b(255, 255, 127, 255), nil, nil, nil)
	self.lbShipName:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.lbShipName:setColor(cc.c4b(255, 255, 127, 255))
	addChildForPre(self.commonInfo_3, self.lbShipName)

	self.colourLabel = createLabel({text=[[(白色)]], font=getFont(), size=24})
	setValue(self.colourLabel, "XYN_colourLabel", 2015, cc.size(63, 28), cc.p(433.1, 173.544), cc.p(0, 0.5), nil, nil, nil, nil)
	self.colourLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.commonInfo_3, self.colourLabel)

	self.levtitleLabel = createLabel({text=[[等级:]], font=getFont(), size=24})
	setValue(self.levtitleLabel, "XYN_levtitleLabel", 2016, cc.size(54, 28), cc.p(289.75, 126.056), cc.p(0, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.levtitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.levtitleLabel:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.commonInfo_3, self.levtitleLabel)

	self.levLabel1 = createLabel({text=[[1]], font=getFont(), size=24})
	setValue(self.levLabel1, "XYN_levLabel1", 2017, cc.size(13, 28), cc.p(366, 126.056), cc.p(0, 0.5), nil, nil, nil, nil)
	self.levLabel1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.commonInfo_3, self.levLabel1)

	self.levLabel2 = createLabel({text=[[1]], font=getFont(), size=24})
	setValue(self.levLabel2, "XYN_levLabel2", 2136, cc.size(13, 28), cc.p(439.2, 126.056), cc.p(0, 0.5), nil, nil, nil, nil)
	self.levLabel2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.commonInfo_3, self.levLabel2)

	self.changetitleLabel = createLabel({text=[[改造:]], font=getFont(), size=24})
	setValue(self.changetitleLabel, "XYN_changetitleLabel", 2018, cc.size(54, 28), cc.p(289.75, 82.6311), cc.p(0, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.changetitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.changetitleLabel:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.commonInfo_3, self.changetitleLabel)

	self.changeLabel1 = createLabel({text=[[1]], font=getFont(), size=24})
	setValue(self.changeLabel1, "XYN_changeLabel1", 2019, cc.size(13, 28), cc.p(366, 80.836), cc.p(0, 0.5), nil, nil, nil, nil)
	self.changeLabel1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.commonInfo_3, self.changeLabel1)

	self.changeLabel2 = createLabel({text=[[1]], font=getFont(), size=24})
	setValue(self.changeLabel2, "XYN_changeLabel2", 2137, cc.size(13, 28), cc.p(439.2, 80.836), cc.p(0, 0.5), nil, nil, nil, nil)
	self.changeLabel2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.commonInfo_3, self.changeLabel2)

	self.ArrowGreen = cc.Sprite:create()
	setValue(self.ArrowGreen, "XYN_ArrowGreen", 2196, cc.size(22, 29), cc.p(408.7, 126.056), nil, nil, nil, nil, nil)
	self.ArrowGreen:setRotationSkewX(90)
	self.ArrowGreen:setRotationSkewY(90)
	self.ArrowGreen:setSpriteFrame("ccs/UiImages/common/common_img_jiantou.png")
	addChildForPre(self.commonInfo_3, self.ArrowGreen)

	self.ArrowGreen1112 = cc.Sprite:create()
	setValue(self.ArrowGreen1112, "XYN_ArrowGreen1112", 2255, cc.size(22, 29), cc.p(408.7, 83.832), nil, nil, nil, nil, nil)
	self.ArrowGreen1112:setRotationSkewX(90)
	self.ArrowGreen1112:setRotationSkewY(90)
	self.ArrowGreen1112:setSpriteFrame("ccs/UiImages/common/common_img_jiantou.png")
	addChildForPre(self.commonInfo_3, self.ArrowGreen1112)

	self.selectPanel = ccui.Layout:create()
	setValue(self.selectPanel, "AXY_selectPanel", 4125, cc.size(608, 160), cc.p(320, 321.792), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.selectPanel)
	self.selectPanel_3 = self.selectPanel

	self.commonLabel = createLabel({text=[[common]], font=getFont(), size=26})
	setValue(self.commonLabel, "commonLabel", 4129, cc.size(99, 31), cc.p(72.96, 132.352), cc.p(0, 0.5), nil, nil, nil, nil)
	self.commonLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.selectPanel_3, self.commonLabel)

	self.enhanceLabel = createLabel({text=[[enhance]], font=getFont(), size=26})
	setValue(self.enhanceLabel, "enhanceLabel", 4130, cc.size(99, 31), cc.p(72.96, 80), cc.p(0, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.enhanceLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.enhanceLabel:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.selectPanel_3, self.enhanceLabel)

	self.devilLabel = createLabel({text=[[devil]], font=getFont(), size=26})
	setValue(self.devilLabel, "devilLabel", 4131, cc.size(53, 31), cc.p(72.96, 31.104), cc.p(0, 0.5), cc.c4b(255, 127, 0, 255), nil, nil, nil)
	self.devilLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.devilLabel:setColor(cc.c4b(255, 127, 0, 255))
	addChildForPre(self.selectPanel_3, self.devilLabel)

	self.trainItemIcon1Sprite = cc.Sprite:create()
	setValue(self.trainItemIcon1Sprite, "trainItemIcon1Sprite", 4132, cc.size(100, 100), cc.p(212.8, 132.352), nil, nil, nil, nil, nil)
	self.trainItemIcon1Sprite:setScale(0.35)
	self.trainItemIcon1Sprite:setSpriteFrame("ccs/UiImages/icon/xunliandanyao.png")
	addChildForPre(self.selectPanel_3, self.trainItemIcon1Sprite)

	self.trainItemIcon3Sprite = cc.Sprite:create()
	setValue(self.trainItemIcon3Sprite, "trainItemIcon3Sprite", 4138, cc.size(100, 100), cc.p(212.8, 31.104), nil, nil, nil, nil, nil)
	self.trainItemIcon3Sprite:setScale(0.35)
	self.trainItemIcon3Sprite:setSpriteFrame("ccs/UiImages/icon/xunliandanyao.png")
	addChildForPre(self.selectPanel_3, self.trainItemIcon3Sprite)

	self.trainCost1Label = createLabel({text=[[trainCost1]], font=getFont(), size=24})
	setValue(self.trainCost1Label, "trainCost1Label", 4139, cc.size(109, 28), cc.p(236.7552, 132.352), cc.p(0, 0.5), nil, nil, nil, nil)
	self.trainCost1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.selectPanel_3, self.trainCost1Label)

	self.trainCost3Label = createLabel({text=[[trainCost3]], font=getFont(), size=24})
	setValue(self.trainCost3Label, "trainCost3Label", 4137, cc.size(109, 28), cc.p(236.7552, 31.104), cc.p(0, 0.5), nil, nil, nil, nil)
	self.trainCost3Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.selectPanel_3, self.trainCost3Label)

	self.goldIconSprite = cc.Sprite:create()
	setValue(self.goldIconSprite, "goldIconSprite", 4136, cc.size(34, 28), cc.p(366.016, 80), nil, nil, nil, nil, nil)
	self.goldIconSprite:setSpriteFrame("ccs/UiImages/common/icon_gold.png")
	addChildForPre(self.selectPanel_3, self.goldIconSprite)

	self.trainCostGoldLabel = createLabel({text=[[trainCostGoldLabel]], font=getFont(), size=24})
	setValue(self.trainCostGoldLabel, "trainCostGoldLabel", 4133, cc.size(205, 28), cc.p(394.7744, 80), cc.p(0, 0.5), nil, nil, nil, nil)
	self.trainCostGoldLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.selectPanel_3, self.trainCostGoldLabel)

	self.trainItemIcon2Sprite = cc.Sprite:create()
	setValue(self.trainItemIcon2Sprite, "trainItemIcon2Sprite", 4134, cc.size(100, 100), cc.p(212.8, 80), nil, nil, nil, nil, nil)
	self.trainItemIcon2Sprite:setScale(0.35)
	self.trainItemIcon2Sprite:setSpriteFrame("ccs/UiImages/icon/xunliandanyao.png")
	addChildForPre(self.selectPanel_3, self.trainItemIcon2Sprite)

	self.trainCost2Label = createLabel({text=[[trainCost2]], font=getFont(), size=24})
	setValue(self.trainCost2Label, "trainCost2Label", 4135, cc.size(109, 28), cc.p(236.7552, 80), cc.p(0, 0.5), nil, nil, nil, nil)
	self.trainCost2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.selectPanel_3, self.trainCost2Label)

	self.gemIconSprite = cc.Sprite:create()
	setValue(self.gemIconSprite, "gemIconSprite", 4140, cc.size(46, 38), cc.p(366.016, 31.104), nil, nil, nil, nil, nil)
	self.gemIconSprite:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainUi_zuanshi.png")
	addChildForPre(self.selectPanel_3, self.gemIconSprite)

	self.trainCostGemLabel = createLabel({text=[[trainCostGemLabel]], font=getFont(), size=24})
	setValue(self.trainCostGemLabel, "trainCostGemLabel", 4141, cc.size(206, 28), cc.p(394.7744, 32), cc.p(0, 0.5), nil, nil, nil, nil)
	self.trainCostGemLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.selectPanel_3, self.trainCostGemLabel)

	self.trainType1CheckBox = ccui.CheckBox:create()
	setValue(self.trainType1CheckBox, "trainType1CheckBox", 82, cc.size(68, 68), cc.p(38.6999, 132.35), nil, nil, nil, nil, nil)
	self.trainType1CheckBox:setScale(0.55)
	self.trainType1CheckBox:loadTextureBackGround("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.trainType1CheckBox:loadTextureBackGroundSelected("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.trainType1CheckBox:loadTextureBackGroundDisabled("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.trainType1CheckBox:loadTextureFrontCross("ccs/UiImages/common/common_btn_xuanzhong_1.png", 1)
	self.trainType1CheckBox:loadTextureFrontCrossDisabled("ccs/UiImages/common/common_btn_xuanzhong_1.png", 1)
	self.trainType1CheckBox:setSelected(true)
	addChildForPre(self.selectPanel_3, self.trainType1CheckBox)

	self.trainType2CheckBox = ccui.CheckBox:create()
	setValue(self.trainType2CheckBox, "trainType2CheckBox", 83, cc.size(68, 68), cc.p(38.7, 80), nil, nil, nil, nil, nil)
	self.trainType2CheckBox:setScale(0.55)
	self.trainType2CheckBox:loadTextureBackGround("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.trainType2CheckBox:loadTextureBackGroundSelected("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.trainType2CheckBox:loadTextureBackGroundDisabled("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.trainType2CheckBox:loadTextureFrontCross("ccs/UiImages/common/common_btn_xuanzhong_1.png", 1)
	self.trainType2CheckBox:loadTextureFrontCrossDisabled("ccs/UiImages/common/common_btn_xuanzhong_1.png", 1)
	addChildForPre(self.selectPanel_3, self.trainType2CheckBox)

	self.trainType3CheckBox = ccui.CheckBox:create()
	setValue(self.trainType3CheckBox, "trainType3CheckBox", 84, cc.size(68, 68), cc.p(38.6999, 31.0999), nil, nil, nil, nil, nil)
	self.trainType3CheckBox:setScale(0.55)
	self.trainType3CheckBox:loadTextureBackGround("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.trainType3CheckBox:loadTextureBackGroundSelected("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.trainType3CheckBox:loadTextureBackGroundDisabled("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.trainType3CheckBox:loadTextureFrontCross("ccs/UiImages/common/common_btn_xuanzhong_1.png", 1)
	self.trainType3CheckBox:loadTextureFrontCrossDisabled("ccs/UiImages/common/common_btn_xuanzhong_1.png", 1)
	addChildForPre(self.selectPanel_3, self.trainType3CheckBox)

	self.goldPanel = ccui.Layout:create()
	setValue(self.goldPanel, "AXY_goldPanel", 3308, cc.size(608, 100), cc.p(320, 186.72), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.goldPanel)
	self.goldPanel_3 = self.goldPanel

	self.goldImageBG = ccui.ImageView:create()
	setValue(self.goldImageBG, "WXN_goldImageBG", 2166, cc.size(608, 100), cc.p(304, 50), nil, nil, nil, nil, false)
	self.goldImageBG:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.goldImageBG:setScale9Enabled(true)
	self.goldImageBG:setCapInsets(cc.rect(5, 5, 20, 20))
	addChildForPre(self.goldPanel_3, self.goldImageBG)

	self.IconGold = cc.Sprite:create()
	setValue(self.IconGold, "IconGold", 3819, cc.size(100, 100), cc.p(210.976, 71.42), nil, nil, nil, nil, nil)
	self.IconGold:setScale(0.35)
	self.IconGold:setSpriteFrame("ccs/UiImages/icon/xunliandanyao.png")
	addChildForPre(self.goldPanel_3, self.IconGold)

	self.consumeTrainLabel = createLabel({text=[[consumeTrain]], font=getFont(), size=24,align = 2})
	setValue(self.consumeTrainLabel, "consumeTrainLabel", 3733, cc.size(151, 28), cc.p(169.632, 71.42), cc.p(1, 0.5), nil, nil, nil, nil)
	self.consumeTrainLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.goldPanel_3, self.consumeTrainLabel)

	self.goldNumLabel = createLabel({text=[[goldNum]], font=getFont(), size=24})
	setValue(self.goldNumLabel, "goldNumLabel", 3734, cc.size(96, 28), cc.p(247.9424, 71.42), cc.p(0, 0.5), nil, nil, nil, nil)
	self.goldNumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.goldPanel_3, self.goldNumLabel)

	self.getMoreButton = ccui.Button:create()
	setValue(self.getMoreButton, "XYN_getMoreButton", 743, cc.size(152, 26), cc.p(594.32, 71.42), cc.p(1, 0.5), nil, nil, nil, false)
	self.getMoreButton:loadTextureNormal("ccs/UiImages/image9/Underline.png", 1)
	self.getMoreButton:loadTexturePressed("ccs/UiImages/image9/Underline.png", 1)
	self.getMoreButton:loadTextureDisabled("ccs/UiImages/image9/Underline.png", 1)
	self.getMoreButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.getMoreButton:setTitleText([[getTrainItem]])
	self.getMoreButton:setTitleFontSize(24)
	self.getMoreButton:setTitleFontName(getFont())
	setClickEvent(self, self.getMoreButton, "getMoreButton")
	addChildForPre(self.goldPanel_3, self.getMoreButton)

	self.trainTipLabel = createLabel({text=[[trainTipLabel]], font=getFont(), size=24})
	setValue(self.trainTipLabel, "XYN_trainTipLabel", 97, cc.size(137, 28), cc.p(304, 30.1), nil, cc.c4b(255, 208, 0, 255), nil, nil, nil)
	self.trainTipLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.trainTipLabel:setColor(cc.c4b(255, 208, 0, 255))
	addChildForPre(self.goldPanel_3, self.trainTipLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/battle.plist",
	"ccs/plist/common.plist",
	"ccs/plist/icon.plist",
	"ccs/plist/mainUiFeeling.plist",
	"ccs/plist/image9.plist",
}

return _M
