-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_1 = cc.Node:create()
	setValue(self.Node_1, "Node_1", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_1)
 	self.uiRootNode = self.Node_1
	self.Node_1_0 = self.Node_1

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 194, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_1_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 47, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 195, cc.size(640, 960), cc.p(319.488, 481.44), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.leftRightArrowPanel = ccui.Layout:create()
	setValue(self.leftRightArrowPanel, "WXI_leftRightArrowPanel", 748, cc.size(640, 150), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.leftRightArrowPanel)
	self.leftRightArrowPanel_3 = self.leftRightArrowPanel

	self.dirRight = cc.Sprite:create()
	setValue(self.dirRight, "LYN_dirRight", 835, cc.size(18, 104), cc.p(16, 75), cc.p(1, 0.5), nil, nil, nil, nil)
	self.dirRight:setFlippedX(true)
	self.dirRight:setSpriteFrame("ccs/UiImages/common/camp_btn_huadong_1.png")
	addChildForPre(self.leftRightArrowPanel_3, self.dirRight)

	self.dirLeft = cc.Sprite:create()
	setValue(self.dirLeft, "RYN_dirLeft", 834, cc.size(18, 104), cc.p(620.032, 75), cc.p(0, 0.5), nil, nil, nil, nil)
	self.dirLeft:setSpriteFrame("ccs/UiImages/common/camp_btn_huadong_1.png")
	addChildForPre(self.leftRightArrowPanel_3, self.dirLeft)

	self.buttonPanel = ccui.Layout:create()
	setValue(self.buttonPanel, "AXY_buttonPanel", 337, cc.size(640, 130), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.buttonPanel)
	self.buttonPanel_3 = self.buttonPanel

	self.Upline = ccui.ImageView:create()
	setValue(self.Upline, "WXB_Upline", 2204, cc.size(640, 30), cc.p(320, 120), nil, nil, nil, nil, false)
	self.Upline:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.Upline:setScale9Enabled(true)
	self.Upline:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.buttonPanel_3, self.Upline)

	self.Downline = ccui.ImageView:create()
	setValue(self.Downline, "WXB_Downline", 749, cc.size(640, 8), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.Downline:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	self.Downline:setScale9Enabled(true)
	self.Downline:setCapInsets(cc.rect(0, 0, 640, 8))
	addChildForPre(self.buttonPanel_3, self.Downline)

	self.upgradeButton = ccui.Button:create()
	setValue(self.upgradeButton, "XYN_upgradeButton", 198, cc.size(145, 58), cc.p(470, 58), nil, nil, nil, nil, false)
	self.upgradeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.upgradeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.upgradeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.upgradeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.upgradeButton:setTitleText([[升级]])
	self.upgradeButton:setTitleFontSize(25)
	self.upgradeButton:setTitleFontName(getFont())
	setClickEvent(self, self.upgradeButton, "upgradeButton")
	addChildForPre(self.buttonPanel_3, self.upgradeButton)

	self.autoUpgradeButton = ccui.Button:create()
	setValue(self.autoUpgradeButton, "XYN_autoUpgradeButton", 197, cc.size(145, 58), cc.p(170, 58), nil, nil, nil, nil, false)
	self.autoUpgradeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.autoUpgradeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.autoUpgradeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.autoUpgradeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.autoUpgradeButton:setTitleText([[自动升级]])
	self.autoUpgradeButton:setTitleFontSize(25)
	self.autoUpgradeButton:setTitleFontName(getFont())
	setClickEvent(self, self.autoUpgradeButton, "autoUpgradeButton")
	addChildForPre(self.buttonPanel_3, self.autoUpgradeButton)

	if CommonDialogFrame1CloseUi then 
 		self.commonDialogFrame1CloseUi = CommonDialogFrame1CloseUi.new() 
 	else 
		self.commonDialogFrame1CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame1CloseUi, "commonDialogFrame1CloseUi", 42, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
}

return _M
