-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_1 = cc.Node:create()
	setValue(self.Node_1, "Node_1", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_1)
 	self.uiRootNode = self.Node_1
	self.Node_1_0 = self.Node_1

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 81, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_1_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.BGPrePanel = ccui.Layout:create()
	setValue(self.BGPrePanel, "BGPrePanel", 2, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.BGPrePanel)
	self.BGPrePanel_2 = self.BGPrePanel

	self.contentPanel = ccui.Layout:create()
	setValue(self.contentPanel, "contentPanel", 8, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	setBgColor(self.contentPanel, 1, 0, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.BGPrePanel_2, self.contentPanel)

	self.topPanel = ccui.Layout:create()
	setValue(self.topPanel, "AXY_topPanel", 816, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.topPanel)
	self.topPanel_2 = self.topPanel

	self.PanelCommonHeader = ccui.ImageView:create()
	setValue(self.PanelCommonHeader, "WTX_PanelCommonHeader", 789, cc.size(640, 74), cc.p(320, 923.0001), nil, nil, nil, nil, false)
	self.PanelCommonHeader:loadTexture("ccs/UiImages/image9/common_img_jiemian01.png", 1)
	self.PanelCommonHeader:setScale9Enabled(true)
	self.PanelCommonHeader:setCapInsets(cc.rect(0, 0, 640, 74))
	addChildForPre(self.topPanel_2, self.PanelCommonHeader)

	self.dialogTitleLabel = createLabel({text=[[Title]], font=getFont(), size=30})
	setValue(self.dialogTitleLabel, "TXN_dialogTitleLabel", 1208, cc.size(55, 34), cc.p(320, 931.2), nil, nil, nil, nil, nil)
	self.dialogTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.topPanel_2, self.dialogTitleLabel)

	self.juniorButton = ccui.Button:create()
	setValue(self.juniorButton, "TXN_juniorButton", 253, cc.size(134, 64), cc.p(182, 894), cc.p(0, 1), nil, nil, nil, nil)
	self.juniorButton:loadTextureNormal("ccs/UiImages/battle/battle_btn_blue_0.png", 1)
	self.juniorButton:loadTexturePressed("ccs/UiImages/battle/battle_btn_red_1.png", 1)
	self.juniorButton:loadTextureDisabled("ccs/UiImages/battle/battle_btn_red_1.png", 1)
	self.juniorButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.juniorButton:setTitleText([[]])
	self.juniorButton:setTitleColor(cc.c3b(231, 231, 240))
	self.juniorButton:setTitleFontSize(24)
	self.juniorButton:setTitleFontName(getFont())
	setClickEvent(self, self.juniorButton, "juniorButton")
	addChildForPre(self.topPanel_2, self.juniorButton)
	self.juniorButton_3 = self.juniorButton

	self.juniorButtonLabel = createLabel({text=[[junior]], font=getFont(), size=24})
	setValue(self.juniorButtonLabel, "juniorButtonLabel", 18, cc.size(58, 28), cc.p(67, 32), nil, nil, nil, nil, nil)
	self.juniorButtonLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.juniorButton_3, self.juniorButtonLabel)

	self.seniorButton = ccui.Button:create()
	setValue(self.seniorButton, "TXN_seniorButton", 254, cc.size(134, 64), cc.p(388, 894), cc.p(0.5, 1), nil, nil, nil, nil)
	self.seniorButton:setFlippedX(true)
	self.seniorButton:loadTextureNormal("ccs/UiImages/battle/battle_btn_blue_0.png", 1)
	self.seniorButton:loadTexturePressed("ccs/UiImages/battle/battle_btn_red_1.png", 1)
	self.seniorButton:loadTextureDisabled("ccs/UiImages/battle/battle_btn_red_1.png", 1)
	self.seniorButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.seniorButton:setTitleText([[]])
	self.seniorButton:setTitleColor(cc.c3b(241, 241, 247))
	self.seniorButton:setTitleFontSize(24)
	self.seniorButton:setTitleFontName(getFont())
	setClickEvent(self, self.seniorButton, "seniorButton")
	addChildForPre(self.topPanel_2, self.seniorButton)
	self.seniorButton_3 = self.seniorButton

	self.seniorButtonLabel = createLabel({text=[[senior]], font=getFont(), size=24})
	setValue(self.seniorButtonLabel, "seniorButtonLabel", 19, cc.size(65, 28), cc.p(67, 32), nil, nil, nil, nil, nil)
	self.seniorButtonLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.seniorButton_3, self.seniorButtonLabel)

	self.imageFunBtnBg = ccui.ImageView:create()
	setValue(self.imageFunBtnBg, "WXB_imageFunBtnBg", 1418, cc.size(640, 110), cc.p(320, 55), nil, nil, nil, nil, false)
	self.imageFunBtnBg:loadTexture("ccs/UiImages/image9/common_img_jiemian04.png", 1)
	self.imageFunBtnBg:setScale9Enabled(true)
	self.imageFunBtnBg:setCapInsets(cc.rect(20, 5, 216, 9))
	addChildForPre(self.topPanel_2, self.imageFunBtnBg)

	self.imageTopLine = ccui.ImageView:create()
	setValue(self.imageTopLine, "WXB_imageTopLine", 725, cc.size(640, 30), cc.p(319.9999, 110), nil, nil, nil, nil, false)
	self.imageTopLine:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.imageTopLine:setScale9Enabled(true)
	self.imageTopLine:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.topPanel_2, self.imageTopLine)

	self.imageDownLine = ccui.ImageView:create()
	setValue(self.imageDownLine, "WXB_imageDownLine", 726, cc.size(640, 8), cc.p(320, 4), nil, nil, nil, nil, false)
	self.imageDownLine:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	self.imageDownLine:setScale9Enabled(true)
	self.imageDownLine:setCapInsets(cc.rect(0, 0, 640, 8))
	addChildForPre(self.topPanel_2, self.imageDownLine)

	self.rankButton = ccui.Button:create()
	setValue(self.rankButton, "BXN_rankButton", 14, cc.size(153, 64), cc.p(320, 57.6), nil, nil, nil, nil, false)
	self.rankButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.rankButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.rankButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.rankButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.rankButton:setTitleText([[Ranking]])
	self.rankButton:setTitleFontSize(28)
	self.rankButton:setTitleFontName(getFont())
	setClickEvent(self, self.rankButton, "rankButton")
	addChildForPre(self.rootPanel_1, self.rankButton)

	self.closeButton = ccui.Button:create()
	setValue(self.closeButton, "RTN_closeButton", 9, cc.size(80, 60), cc.p(640, 960), cc.p(1, 1), nil, nil, nil, nil)
	self.closeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_close_0.png", 1)
	self.closeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_close_1.png", 1)
	self.closeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_close_0.png", 1)
	self.closeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.closeButton:setTitleText([[]])
	self.closeButton:setTitleFontSize(22)
	self.closeButton:setTitleFontName(getFont())
	setClickEvent(self, self.closeButton, "closeButton")
	addChildForPre(self.rootPanel_1, self.closeButton)

	self.homeButton = ccui.Button:create()
	setValue(self.homeButton, "homeButton", 664, cc.size(80, 60), cc.p(0, 945.6), cc.p(0, 1), nil, nil, nil, nil)
	self.homeButton:loadTextureNormal("ccs/UiImages/common/common_btn_home_0.png", 1)
	self.homeButton:loadTexturePressed("ccs/UiImages/common/common_btn_home_0.png", 1)
	self.homeButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.homeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.homeButton:setTitleText([[]])
	self.homeButton:setTitleFontSize(22)
	self.homeButton:setTitleFontName(getFont())
	setClickEvent(self, self.homeButton, "homeButton")
	addChildForPre(self.rootPanel_1, self.homeButton)

	self.adjuCampButton = ccui.Button:create()
	setValue(self.adjuCampButton, "BXN_adjuCampButton", 1480, cc.size(153, 64), cc.p(537.6, 57.6), nil, nil, nil, nil, false)
	self.adjuCampButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.adjuCampButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.adjuCampButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.adjuCampButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.adjuCampButton:setTitleText([[AdjustTm]])
	self.adjuCampButton:setTitleFontSize(28)
	self.adjuCampButton:setTitleFontName(getFont())
	setClickEvent(self, self.adjuCampButton, "adjuCampButton")
	addChildForPre(self.rootPanel_1, self.adjuCampButton)

	self.starAwardBtn = ccui.Button:create()
	setValue(self.starAwardBtn, "BXN_starAwardBtn", 590, cc.size(153, 64), cc.p(102.4, 57.6), nil, nil, nil, nil, false)
	self.starAwardBtn:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.starAwardBtn:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.starAwardBtn:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.starAwardBtn:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.starAwardBtn:setTitleText([[Ranking]])
	self.starAwardBtn:setTitleFontSize(28)
	self.starAwardBtn:setTitleFontName(getFont())
	setClickEvent(self, self.starAwardBtn, "starAwardBtn")
	addChildForPre(self.rootPanel_1, self.starAwardBtn)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/battle.plist",
	"Default/Button_Disable.png",
	"ccs/plist/common.plist",
}

return _M
