-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 3, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bgPanel = ccui.Layout:create()
	setValue(self.bgPanel, "GXB_bgPanel", 665, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.bgPanel)
	self.bgPanel_2 = self.bgPanel

	self.waveSprite2 = cc.Sprite:create()
	setValue(self.waveSprite2, "waveSprite2", 912, cc.size(188, 110), cc.p(320, 892.8), nil, nil, nil, nil, nil)
	self.waveSprite2:setScale(3.41)
	self.waveSprite2:setTexture("ccs/BigImages/background/mainUi_img_bg1.webp")
	addChildForPre(self.bgPanel_2, self.waveSprite2)

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "GXB_Panel", 306, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Panel)
	self.Panel_2 = self.Panel

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "Panel", 322, cc.size(200, 200), cc.p(320, 451.2), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Panel:setScaleX(1.56)
	self.Panel:setScaleY(1.16)
	addChildForPre(self.Panel_2, self.Panel)
	self.Panel_3 = self.Panel

	self.waveSprite = cc.Sprite:create()
	setValue(self.waveSprite, "waveSprite", 906, cc.size(413, 492), cc.p(100, 104.54), nil, nil, nil, nil, nil)
	self.waveSprite:setSpriteFrame("ccs/UiImages/mainUiShipWave2/mainsea1.png")
	addChildForPre(self.Panel_3, self.waveSprite)

	self.imagegangkou2 = ccui.ImageView:create()
	setValue(self.imagegangkou2, "RTN_imagegangkou2", 630, cc.size(114, 78), cc.p(584, 748.8), nil, nil, nil, nil, nil)
	self.imagegangkou2:loadTexture("ccs/UiImages/mainUiFeeling/mainUi_img_gangkou2.png", 1)
	addChildForPre(self.Panel_2, self.imagegangkou2)

	self.imagegangkou1 = ccui.ImageView:create()
	setValue(self.imagegangkou1, "LTN_imagegangkou1", 629, cc.size(404, 167), cc.p(201.984, 729.6), nil, nil, nil, nil, nil)
	self.imagegangkou1:loadTexture("ccs/UiImages/mainUiFeeling/mainUi_img_gangkou1.png", 1)
	addChildForPre(self.Panel_2, self.imagegangkou1)

	self.shipPanel = ccui.Layout:create()
	setValue(self.shipPanel, "ZXY_shipPanel", 300, cc.size(200, 200), cc.p(89.6, 393.6), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.shipPanel)
	self.shipPanel_2 = self.shipPanel

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "Panel", 334, cc.size(200, 200), nil, nil, nil, nil, nil, nil)
	self.Panel:setScale(0.7)
	addChildForPre(self.shipPanel_2, self.Panel)
	self.Panel_3 = self.Panel

	self.shipWaveSprite = cc.Sprite:create()
	setValue(self.shipWaveSprite, "shipWaveSprite", 918, cc.size(512, 381), cc.p(394, 178), nil, nil, nil, nil, nil)
	self.shipWaveSprite:setSpriteFrame("ccs/UiImages/mainUiShipWave1/mainUiWave1.png")
	addChildForPre(self.Panel_3, self.shipWaveSprite)

	self.spriteShipPic = cc.Sprite:create()
	setValue(self.spriteShipPic, "spriteShipPic", 729, cc.size(690, 728), nil, cc.p(0, 0), nil, nil, nil, nil)
	self.spriteShipPic:setTexture("ccs/BigImages/ship_main/5_mg_zl_yah_zhu.webp")
	addChildForPre(self.Panel_3, self.spriteShipPic)

	self.shipNode = cc.Node:create()
	setValue(self.shipNode, "shipNode", 328, nil, cc.p(448, 280), nil, nil, nil, nil, nil)
	addChildForPre(self.Panel_3, self.shipNode)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 26, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.ImageTopBg = ccui.ImageView:create()
	setValue(self.ImageTopBg, "WTX_ImageTopBg", 705, cc.size(640, 74), cc.p(320, 960), cc.p(0.5, 1), nil, nil, nil, false)
	self.ImageTopBg:loadTexture("ccs/UiImages/image9/common_img_jiemian01.png", 1)
	self.ImageTopBg:setScale9Enabled(true)
	self.ImageTopBg:setCapInsets(cc.rect(0, 0, 640, 74))
	addChildForPre(self.dialogPanel_2, self.ImageTopBg)
	self.ImageTopBg_3 = self.ImageTopBg

	self.Title = createLabel({text=[[Title]], font=getFont(), size=30})
	setValue(self.Title, "XYN_Title", 706, cc.size(55, 34), cc.p(320, 44.9994), nil, nil, nil, nil, nil)
	self.Title:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.ImageTopBg_3, self.Title)

	self.topPanel = ccui.Layout:create()
	setValue(self.topPanel, "AXN_topPanel", 2045, cc.size(640, 518.016), cc.p(0, 362), nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.topPanel)
	self.topPanel_3 = self.topPanel

	self.ShipDescBg = ccui.ImageView:create()
	setValue(self.ShipDescBg, "LTN_ShipDescBg", 730, cc.size(176, 224), cc.p(6.016, 518), cc.p(0, 1), nil, nil, nil, false)
	self.ShipDescBg:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.ShipDescBg:setScale9Enabled(true)
	self.ShipDescBg:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.topPanel_3, self.ShipDescBg)
	self.ShipDescBg_4 = self.ShipDescBg

	self.labelDescTitle = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.labelDescTitle, "labelDescTitle", 734, cc.size(109, 28), cc.p(88, 208.32), nil, nil, nil, nil, nil)
	self.labelDescTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.ShipDescBg_4, self.labelDescTitle)

	self.labelDescCon = createLabel({text=[[Text Label]], font=getFont(), size=20, dimensions = cc.size(160.0000, 186.0000)})
	setValue(self.labelDescCon, "labelDescCon", 735, cc.size(160, 186), cc.p(88, 99.7696), nil, nil, nil, nil, false)
	self.labelDescCon:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.ShipDescBg_4, self.labelDescCon)

	self.ShipDescBg = ccui.ImageView:create()
	setValue(self.ShipDescBg, "BRN_ShipDescBg", 732, cc.size(210, 92), cc.p(624, 9), cc.p(1, 0), nil, nil, nil, false)
	self.ShipDescBg:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.ShipDescBg:setScale9Enabled(true)
	self.ShipDescBg:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.topPanel_3, self.ShipDescBg)
	self.ShipDescBg_4 = self.ShipDescBg

	self.star01 = cc.Sprite:create()
	setValue(self.star01, "star01", 911, cc.size(48, 48), cc.p(43, 63), nil, nil, nil, nil, nil)
	self.star01:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.ShipDescBg_4, self.star01)

	self.star02 = cc.Sprite:create()
	setValue(self.star02, "star02", 912, cc.size(48, 48), cc.p(105, 63), nil, nil, nil, nil, nil)
	self.star02:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.ShipDescBg_4, self.star02)

	self.star03 = cc.Sprite:create()
	setValue(self.star03, "star03", 913, cc.size(48, 48), cc.p(167, 63), nil, nil, nil, nil, nil)
	self.star03:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.ShipDescBg_4, self.star03)

	self.leftTimeTitleLabel = createLabel({text=[[leftTime]], font=getFont(), size=24})
	setValue(self.leftTimeTitleLabel, "leftTimeTitleLabel", 1122, cc.size(84, 28), cc.p(9, 21.5516), cc.p(0, 0.5), nil, nil, nil, nil)
	self.leftTimeTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.ShipDescBg_4, self.leftTimeTitleLabel)

	self.leftTimeLabel = createLabel({text=[[leftTimeLabel]], font=getFont(), size=24})
	setValue(self.leftTimeLabel, "leftTimeLabel", 50, cc.size(143, 28), cc.p(118, 21.5516), cc.p(0, 0.5), nil, nil, nil, nil)
	self.leftTimeLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.ShipDescBg_4, self.leftTimeLabel)

	self.rightPanel = ccui.Layout:create()
	setValue(self.rightPanel, "rightPanel", 27, cc.size(450, 380), cc.p(-385.984, 496.8), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.rightPanel:setVisible(false)
	addChildForPre(self.dialogPanel_2, self.rightPanel)
	self.rightPanel_3 = self.rightPanel

	self.skillNode1 = cc.Node:create()
	setValue(self.skillNode1, "skillNode1", 808, nil, cc.p(623.9996, 236.4286), nil, nil, nil, nil, nil)
	addChildForPre(self.rightPanel_3, self.skillNode1)

	self.sweepPanel = ccui.Layout:create()
	setValue(self.sweepPanel, "sweepPanel", 53, cc.size(420, 150), cc.p(237.015, 110.01), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rightPanel_3, self.sweepPanel)
	self.sweepPanel_4 = self.sweepPanel

	self.sweepTitleLabel = createLabel({text=[[sweepTitleLabel]], font=getFont(), size=24})
	setValue(self.sweepTitleLabel, "sweepTitleLabel", 47, cc.size(172, 28), cc.p(50.4, 105), cc.p(0, 0.5), nil, nil, nil, nil)
	self.sweepTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.sweepPanel_4, self.sweepTitleLabel)

	self.sweepLabel = createLabel({text=[[sweepLabel]], font=getFont(), size=24})
	setValue(self.sweepLabel, "sweepLabel", 46, cc.size(128, 28), cc.p(105, 45), cc.p(0, 0.5), nil, nil, nil, nil)
	self.sweepLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.sweepPanel_4, self.sweepLabel)

	self.sweepFiveButton = ccui.Button:create()
	setValue(self.sweepFiveButton, "sweepFiveButton", 43, cc.size(153, 64), cc.p(336, 105), nil, nil, nil, nil, false)
	self.sweepFiveButton:loadTextureNormal("ccs/UiImages/image9/common_btn_2.png", 1)
	self.sweepFiveButton:loadTexturePressed("ccs/UiImages/image9/common_btn_2.png", 1)
	self.sweepFiveButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.sweepFiveButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.sweepFiveButton:setTitleText([[sweepFive]])
	self.sweepFiveButton:setTitleFontSize(25)
	self.sweepFiveButton:setTitleFontName(getFont())
	setClickEvent(self, self.sweepFiveButton, "sweepFiveButton")
	addChildForPre(self.sweepPanel_4, self.sweepFiveButton)

	self.sweepButton = ccui.Button:create()
	setValue(self.sweepButton, "sweepButton", 44, cc.size(153, 64), cc.p(336, 45), nil, nil, nil, nil, false)
	self.sweepButton:loadTextureNormal("ccs/UiImages/image9/common_btn_2.png", 1)
	self.sweepButton:loadTexturePressed("ccs/UiImages/image9/common_btn_2.png", 1)
	self.sweepButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.sweepButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.sweepButton:setTitleText([[sweep]])
	self.sweepButton:setTitleFontSize(25)
	self.sweepButton:setTitleFontName(getFont())
	setClickEvent(self, self.sweepButton, "sweepButton")
	addChildForPre(self.sweepPanel_4, self.sweepButton)

	self.bottomPanel = ccui.Layout:create()
	setValue(self.bottomPanel, "WXN_bottomPanel", 28, cc.size(640, 347), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.bottomPanel)
	self.bottomPanel_3 = self.bottomPanel

	self.bottomPanelBg = ccui.ImageView:create()
	setValue(self.bottomPanelBg, "WXN_bottomPanelBg", 917, cc.size(640, 347), cc.p(320, 173.5), nil, nil, nil, nil, false)
	self.bottomPanelBg:loadTexture("ccs/UiImages/image9/common_img_jiemian04.png", 1)
	self.bottomPanelBg:setScale9Enabled(true)
	self.bottomPanelBg:setCapInsets(cc.rect(6, 6, 244, 7))
	addChildForPre(self.bottomPanel_3, self.bottomPanelBg)

	self.imageBomTopBg = ccui.ImageView:create()
	setValue(self.imageBomTopBg, "WXN_imageBomTopBg", 1930, cc.size(609, 43), cc.p(319.9995, 315.4997), nil, nil, nil, nil, false)
	self.imageBomTopBg:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.imageBomTopBg:setScale9Enabled(true)
	self.imageBomTopBg:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.bottomPanel_3, self.imageBomTopBg)
	self.imageBomTopBg_4 = self.imageBomTopBg

	self.oilLabel = createLabel({text=[[oilLabel]], font=getFont(), size=24})
	setValue(self.oilLabel, "oilLabel", 40, cc.size(82, 28), cc.p(112.62, 21.5), cc.p(0, 0.5), nil, nil, nil, nil)
	self.oilLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.imageBomTopBg_4, self.oilLabel)

	self.IconOil = cc.Sprite:create()
	setValue(self.IconOil, "IconOil", 51, cc.size(35, 35), cc.p(91.33, 21.5516), nil, nil, nil, nil, nil)
	self.IconOil:setSpriteFrame("ccs/UiImages/common/commonIcon_icon_oil_2.png")
	addChildForPre(self.imageBomTopBg_4, self.IconOil)

	self.IconOil = cc.Sprite:create()
	setValue(self.IconOil, "IconOil", 39, cc.size(35, 35), cc.p(483.8505, 21.5516), nil, nil, nil, nil, nil)
	self.IconOil:setSpriteFrame("ccs/UiImages/common/commonIcon_icon_oil_2.png")
	addChildForPre(self.imageBomTopBg_4, self.IconOil)

	self.haveOilLabel = createLabel({text=[[haveOil]], font=getFont(), size=24})
	setValue(self.haveOilLabel, "haveOilLabel", 211, cc.size(81, 28), cc.p(12, 21.5), cc.p(0, 0.5), nil, nil, nil, nil)
	self.haveOilLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.imageBomTopBg_4, self.haveOilLabel)

	self.costOilLabel = createLabel({text=[[costOil]], font=getFont(), size=24})
	setValue(self.costOilLabel, "costOilLabel", 49, cc.size(73, 28), cc.p(504.1302, 21.5), cc.p(0, 0.5), nil, nil, nil, nil)
	self.costOilLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.imageBomTopBg_4, self.costOilLabel)

	self.costOilTitleLabel = createLabel({text=[[costOil]], font=getFont(), size=24})
	setValue(self.costOilTitleLabel, "costOilTitleLabel", 48, cc.size(73, 28), cc.p(464.9715, 21.5), cc.p(1, 0.5), nil, nil, nil, nil)
	self.costOilTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.imageBomTopBg_4, self.costOilTitleLabel)

	self.rewardPanel = ccui.Layout:create()
	setValue(self.rewardPanel, "WXN_rewardPanel", 950, cc.size(609, 175), cc.p(16, 101), nil, nil, nil, nil, nil)
	addChildForPre(self.bottomPanel_3, self.rewardPanel)
	self.rewardPanel_4 = self.rewardPanel

	self.imageReward = ccui.ImageView:create()
	setValue(self.imageReward, "WXN_imageReward", 2041, cc.size(609, 175), cc.p(304.5, 87.5), nil, nil, nil, nil, false)
	self.imageReward:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.imageReward:setScale9Enabled(true)
	self.imageReward:setCapInsets(cc.rect(6, 6, 18, 18))
	addChildForPre(self.rewardPanel_4, self.imageReward)

	self.rewardPanel = ccui.Layout:create()
	setValue(self.rewardPanel, "WXN_rewardPanel", 30, cc.size(610, 100), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rewardPanel_4, self.rewardPanel)

	self.rewardDescLabel = createLabel({text=[[rewardDescLabel]], font=getFont(), size=24})
	setValue(self.rewardDescLabel, "rewardDescLabel", 33, cc.size(186, 28), cc.p(11.4995, 121.498), cc.p(0, 0.5), cc.c4b(142, 217, 236, 255), nil, nil, nil)
	self.rewardDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rewardDescLabel:setColor(cc.c4b(142, 217, 236, 255))
	addChildForPre(self.rewardPanel_4, self.rewardDescLabel)

	self.dropLabel = createLabel({text=[[dropLabel]], font=getFont(), size=24})
	setValue(self.dropLabel, "dropLabel", 2044, cc.size(106, 28), cc.p(11.4995, 156.996), cc.p(0, 0.5), cc.c4b(142, 217, 236, 255), nil, nil, nil)
	self.dropLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.dropLabel:setColor(cc.c4b(142, 217, 236, 255))
	addChildForPre(self.rewardPanel_4, self.dropLabel)

	self.IconGold = cc.Sprite:create()
	setValue(self.IconGold, "IconGold", 35, cc.size(34, 28), cc.p(156.25, 156.996), nil, nil, nil, nil, nil)
	self.IconGold:setSpriteFrame("ccs/UiImages/common/icon_gold.png")
	addChildForPre(self.rewardPanel_4, self.IconGold)

	self.IconExp = cc.Sprite:create()
	setValue(self.IconExp, "IconExp", 36, cc.size(50, 26), cc.p(331.3973, 154.996), nil, nil, nil, nil, nil)
	self.IconExp:setSpriteFrame("ccs/UiImages/battle/winLose_img_txt_exp_1.png")
	addChildForPre(self.rewardPanel_4, self.IconExp)

	self.goldLabel = createLabel({text=[[goldLabel]], font=getFont(), size=24})
	setValue(self.goldLabel, "goldLabel", 37, cc.size(104, 28), cc.p(190.1791, 156.996), cc.p(0, 0.5), nil, nil, nil, nil)
	self.goldLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rewardPanel_4, self.goldLabel)

	self.expLabel = createLabel({text=[[expLabel]], font=getFont(), size=24})
	setValue(self.expLabel, "expLabel", 38, cc.size(97, 28), cc.p(364.7769, 156.996), cc.p(0, 0.5), nil, nil, nil, nil)
	self.expLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rewardPanel_4, self.expLabel)

	self.battleButton = ccui.Button:create()
	setValue(self.battleButton, "RBN_battleButton", 32, cc.size(153, 64), cc.p(560, 16), cc.p(1, 0), nil, nil, nil, false)
	self.battleButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.battleButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.battleButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.battleButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.battleButton:setTitleText([[battle]])
	self.battleButton:setTitleFontSize(28)
	self.battleButton:setTitleFontName(getFont())
	setClickEvent(self, self.battleButton, "battleButton")
	addChildForPre(self.bottomPanel_3, self.battleButton)

	self.changeCampBtn = ccui.Button:create()
	setValue(self.changeCampBtn, "LBN_changeCampBtn", 2042, cc.size(153, 64), cc.p(80, 16), cc.p(0, 0), nil, nil, nil, false)
	self.changeCampBtn:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.changeCampBtn:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.changeCampBtn:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.changeCampBtn:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.changeCampBtn:setTitleText([[change]])
	self.changeCampBtn:setTitleFontSize(28)
	self.changeCampBtn:setTitleFontName(getFont())
	setClickEvent(self, self.changeCampBtn, "changeCampBtn")
	addChildForPre(self.bottomPanel_3, self.changeCampBtn)

	self.imageDownLine = ccui.ImageView:create()
	setValue(self.imageDownLine, "WXN_imageDownLine", 1819, cc.size(640, 30), cc.p(319.9998, 349.9996), nil, nil, nil, nil, false)
	self.imageDownLine:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.imageDownLine:setScale9Enabled(true)
	self.imageDownLine:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.dialogPanel_2, self.imageDownLine)

	self.imageDownLine_Copy = ccui.ImageView:create()
	setValue(self.imageDownLine_Copy, "WBX_imageDownLine_Copy", 2043, cc.size(640, 8), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.imageDownLine_Copy:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	self.imageDownLine_Copy:setScale9Enabled(true)
	self.imageDownLine_Copy:setCapInsets(cc.rect(0, 0, 640, 8))
	addChildForPre(self.dialogPanel_2, self.imageDownLine_Copy)

	self.closeBtn = ccui.Button:create()
	setValue(self.closeBtn, "RTN_closeBtn", 1740, cc.size(80, 60), cc.p(640, 960), cc.p(1, 1), nil, nil, nil, nil)
	self.closeBtn:loadTextureNormal("ccs/UiImages/image9/common_btn_close_0.png", 1)
	self.closeBtn:loadTexturePressed("ccs/UiImages/image9/common_btn_close_1.png", 1)
	self.closeBtn:loadTextureDisabled("ccs/UiImages/image9/common_btn_close_0.png", 1)
	self.closeBtn:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.closeBtn:setTitleText([[]])
	self.closeBtn:setTitleColor(cc.c3b(65, 65, 70))
	self.closeBtn:setTitleFontSize(14)
	self.closeBtn:setTitleFontName(getFont())
	setClickEvent(self, self.closeBtn, "closeBtn")
	addChildForPre(self.rootPanel_1, self.closeBtn)

	self.homeBtn = ccui.Button:create()
	setValue(self.homeBtn, "LTN_homeBtn", 1741, cc.size(80, 60), cc.p(0, 945.6), cc.p(0, 1), nil, nil, nil, nil)
	self.homeBtn:loadTextureNormal("ccs/UiImages/common/common_btn_home_0.png", 1)
	self.homeBtn:loadTexturePressed("ccs/UiImages/common/common_btn_home_0.png", 1)
	self.homeBtn:loadTextureDisabled("ccs/UiImages/common/common_btn_home_0.png", 1)
	self.homeBtn:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.homeBtn:setTitleText([[]])
	self.homeBtn:setTitleColor(cc.c3b(65, 65, 70))
	self.homeBtn:setTitleFontSize(14)
	self.homeBtn:setTitleFontName(getFont())
	setClickEvent(self, self.homeBtn, "homeBtn")
	addChildForPre(self.rootPanel_1, self.homeBtn)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/BigImages/background/mainUi_img_bg1.jpg",
	"ccs/plist/mainUiShipWave2.plist",
	"ccs/plist/mainUiFeeling.plist",
	"ccs/plist/mainUiShipWave1.plist",
	"ccs/BigImages/ship_main/5_mg_zl_yah_zhu.png",
	"ccs/plist/image9.plist",
	"ccs/plist/battle.plist",
	"ccs/plist/common.plist",
}

return _M
