-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 73, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 243, cc.size(318, 528), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 707, cc.size(318, 528), cc.p(159, 264), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/BigImages/battle/battlePlate.webp")
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(0, 0, 286, 476))
	addChildForPre(self.rootPanel_1, self.bgImage)

	self.passTitleLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.passTitleLabel, "passTitleLabel", 278, cc.size(91, 23), cc.p(159, 485.76), nil, nil, nil, nil, nil)
	self.passTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.passTitleLabel)

	self.winGetLabel = createLabel({text=[[winGetLabel]], font=getFont(), size=20})
	setValue(self.winGetLabel, "winGetLabel", 313, cc.size(111, 23), cc.p(28, 435.67), cc.p(0, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.winGetLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.winGetLabel:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.rootPanel_1, self.winGetLabel)

	self.IconGold = cc.Sprite:create()
	setValue(self.IconGold, "IconGold", 365, cc.size(150, 150), cc.p(40.6663, 403), nil, nil, nil, nil, nil)
	self.IconGold:setScale(0.3)
	self.IconGold:setSpriteFrame("ccs/UiImages/commonIcon/IconGold.png")
	addChildForPre(self.rootPanel_1, self.IconGold)

	self.goldNumLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.goldNumLabel, "goldNumLabel", 366, cc.size(91, 23), cc.p(65.22, 399), cc.p(0, 0.5), nil, nil, nil, nil)
	self.goldNumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.goldNumLabel)

	self.IconExp = cc.Sprite:create()
	setValue(self.IconExp, "IconExp", 367, cc.size(150, 150), cc.p(188.222, 401), nil, nil, nil, nil, nil)
	self.IconExp:setScale(0.3)
	self.IconExp:setSpriteFrame("ccs/UiImages/commonIcon/IconExp.png")
	addChildForPre(self.rootPanel_1, self.IconExp)

	self.expNumLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.expNumLabel, "expNumLabel", 368, cc.size(91, 23), cc.p(213.22, 399), cc.p(0, 0.5), nil, nil, nil, nil)
	self.expNumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.expNumLabel)

	self.dropLabel = createLabel({text=[[expNumLabel
]], font=getFont(), size=20})
	setValue(self.dropLabel, "dropLabel", 505, cc.size(123, 46), cc.p(28, 355.23), cc.p(0, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.dropLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.dropLabel:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.rootPanel_1, self.dropLabel)

	self.Sprite_199 = cc.Sprite:create()
	setValue(self.Sprite_199, "Sprite_199", 524, cc.size(34, 4), cc.p(159, 462.7392), nil, nil, nil, nil, nil)
	self.Sprite_199:setScaleX(7)
	self.Sprite_199:setScaleY(1)
	self.Sprite_199:setSpriteFrame("ccs/UiImages/commonB/CrossLine.png")
	addChildForPre(self.rootPanel_1, self.Sprite_199)

	self.rewardlistPanel = ccui.Layout:create()
	setValue(self.rewardlistPanel, "rewardlistPanel", 559, cc.size(260, 100), cc.p(34.1425, 218.7142), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.rewardlistPanel)

	self.Sprite_199_Copy = cc.Sprite:create()
	setValue(self.Sprite_199_Copy, "Sprite_199_Copy", 594, cc.size(34, 4), cc.p(159, 200.6928), nil, nil, nil, nil, nil)
	self.Sprite_199_Copy:setScaleX(7)
	self.Sprite_199_Copy:setScaleY(1)
	self.Sprite_199_Copy:setSpriteFrame("ccs/UiImages/commonB/CrossLine.png")
	addChildForPre(self.rootPanel_1, self.Sprite_199_Copy)

	self.Sprite_199_Copy_0 = cc.Sprite:create()
	setValue(self.Sprite_199_Copy_0, "Sprite_199_Copy_0", 595, cc.size(34, 4), cc.p(159, 112.728), nil, nil, nil, nil, nil)
	self.Sprite_199_Copy_0:setScaleX(7)
	self.Sprite_199_Copy_0:setScaleY(1)
	self.Sprite_199_Copy_0:setSpriteFrame("ccs/UiImages/commonB/CrossLine.png")
	addChildForPre(self.rootPanel_1, self.Sprite_199_Copy_0)

	self.sweepFiveButton = ccui.Button:create()
	setValue(self.sweepFiveButton, "sweepFiveButton", 596, cc.size(150, 62), cc.p(83.7, 159.6061), nil, nil, nil, nil, false)
	self.sweepFiveButton:loadTextureNormal("ccs/UiImages/image9/CommonBtnBlue.png", 1)
	self.sweepFiveButton:loadTexturePressed("ccs/UiImages/image9/CommonBtnBlueHover.png", 1)
	self.sweepFiveButton:loadTextureDisabled("ccs/UiImages/image9/CommonBtnDisable.png", 1)
	self.sweepFiveButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.sweepFiveButton:setTitleText([[sweep]])
	self.sweepFiveButton:setTitleFontSize(24)
	self.sweepFiveButton:setTitleFontName(getFont())
	setClickEvent(self, self.sweepFiveButton, "sweepFiveButton")
	addChildForPre(self.rootPanel_1, self.sweepFiveButton)

	self.sweepButton = ccui.Button:create()
	setValue(self.sweepButton, "sweepButton", 631, cc.size(150, 62), cc.p(233.2, 159.399), nil, nil, nil, nil, false)
	self.sweepButton:loadTextureNormal("ccs/UiImages/image9/CommonBtnGreen.png", 1)
	self.sweepButton:loadTexturePressed("ccs/UiImages/image9/CommonBtnGreenHover.png", 1)
	self.sweepButton:loadTextureDisabled("ccs/UiImages/image9/CommonBtnDisable.png", 1)
	self.sweepButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.sweepButton:setTitleText([[sweepfive]])
	self.sweepButton:setTitleFontSize(22)
	self.sweepButton:setTitleFontName(getFont())
	setClickEvent(self, self.sweepButton, "sweepButton")
	addChildForPre(self.rootPanel_1, self.sweepButton)

	self.iconOil = cc.Sprite:create()
	setValue(self.iconOil, "iconOil", 700, cc.size(150, 150), cc.p(130.922, 86.8669), nil, nil, nil, nil, nil)
	self.iconOil:setScale(0.3)
	self.iconOil:setSpriteFrame("ccs/UiImages/commonIcon/IconOil.png")
	addChildForPre(self.rootPanel_1, self.iconOil)

	self.costNumLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.costNumLabel, "costNumLabel", 701, cc.size(91, 23), cc.p(160, 86), cc.p(0, 0.5), nil, nil, nil, nil)
	self.costNumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.costNumLabel)

	self.iconDiamond = cc.Sprite:create()
	setValue(self.iconDiamond, "iconDiamond", 735, cc.size(150, 150), cc.p(132.7498, 86.7497), nil, nil, nil, nil, nil)
	self.iconDiamond:setScale(0.3)
	self.iconDiamond:setSpriteFrame("ccs/UiImages/commonIcon/IconDiamond.png")
	addChildForPre(self.rootPanel_1, self.iconDiamond)

	self.battleButton = ccui.Button:create()
	setValue(self.battleButton, "battleButton", 755, cc.size(150, 62), cc.p(166, 30.8333), nil, nil, nil, nil, false)
	self.battleButton:loadTextureNormal("ccs/UiImages/image9/CommonBtnRed.png", 1)
	self.battleButton:loadTexturePressed("ccs/UiImages/image9/CommonBtnRedHover.png", 1)
	self.battleButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.battleButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.battleButton:setTitleText([[attack]])
	self.battleButton:setTitleFontSize(24)
	self.battleButton:setTitleFontName(getFont())
	setClickEvent(self, self.battleButton, "battleButton")
	addChildForPre(self.rootPanel_1, self.battleButton)

	self.costDiamondNumLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.costDiamondNumLabel, "costDiamondNumLabel", 754, cc.size(91, 23), cc.p(160, 86), cc.p(0, 0.5), nil, nil, nil, nil)
	self.costDiamondNumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.costDiamondNumLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/BigImages/battle/battlePlate.png",
	"ccs/plist/common.plist",
	"Default/Button_Disable.png",
}

return _M
