-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 57, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 58, cc.size(700, 110), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bgPanel = ccui.Layout:create()
	setValue(self.bgPanel, "bgPanel", 59, cc.size(690, 100), cc.p(350, 110), cc.p(0.5, 1), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.bgPanel)
	self.bgPanel_2 = self.bgPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 467, cc.size(690, 100), cc.p(345, 50), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/common/CommonTexture.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(5, 0, 214, 168))
	addChildForPre(self.bgPanel_2, self.bgImage)

	self.frameImage = ccui.ImageView:create()
	setValue(self.frameImage, "frameImage", 468, cc.size(690, 100), cc.p(345, 50), nil, nil, nil, nil, false)
	self.frameImage:loadTexture("ccs/UiImages/common/CommonFrame.png", 1)
	self.frameImage:setScale9Enabled(true)
	self.frameImage:setCapInsets(cc.rect(10, 10, 226, 30))
	addChildForPre(self.bgPanel_2, self.frameImage)

	self.titleLabel = createLabel({text=[[titleLabel]], font=getFont(), size=20})
	setValue(self.titleLabel, "titleLabel", 123, cc.size(100, 20), cc.p(350, 84.7), nil, nil, nil, nil, nil)
	self.titleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.titleLabel)

	self.rewardBGImage = ccui.ImageView:create()
	setValue(self.rewardBGImage, "rewardBGImage", 122, cc.size(600, 30), cc.p(350, 50.6), nil, nil, nil, nil, false)
	self.rewardBGImage:loadTexture("ccs/UiImages/commonB/Userplate.png", 1)
	self.rewardBGImage:setScale9Enabled(true)
	self.rewardBGImage:setCapInsets(cc.rect(50, 0, 165, 175))
	addChildForPre(self.rootPanel_1, self.rewardBGImage)

	self.IconGold = cc.Sprite:create()
	setValue(self.IconGold, "IconGold", 125, cc.size(150, 150), cc.p(134.75, 50.6), nil, nil, nil, nil, nil)
	self.IconGold:setScale(0.25)
	self.IconGold:setSpriteFrame("ccs/UiImages/commonIcon/IconGold.png")
	addChildForPre(self.rootPanel_1, self.IconGold)

	self.goldNumLabel = createLabel({text=[[goldNum]], font=getFont(), size=24})
	setValue(self.goldNumLabel, "goldNumLabel", 126, cc.size(84, 24), cc.p(162.75, 50.6), cc.p(0, 0.5), cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.goldNumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.goldNumLabel:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.rootPanel_1, self.goldNumLabel)

	self.IconExp = cc.Sprite:create()
	setValue(self.IconExp, "IconExp", 584, cc.size(150, 150), cc.p(422.17, 50.6), nil, nil, nil, nil, nil)
	self.IconExp:setScale(0.25)
	self.IconExp:setSpriteFrame("ccs/UiImages/commonIcon/IconExp.png")
	addChildForPre(self.rootPanel_1, self.IconExp)

	self.expNumLabel = createLabel({text=[[ExpNum]], font=getFont(), size=24})
	setValue(self.expNumLabel, "expNumLabel", 128, cc.size(72, 24), cc.p(463.75, 50.6), cc.p(0, 0.5), cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.expNumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.expNumLabel:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.rootPanel_1, self.expNumLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/common.plist",
}

return _M
