-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 84, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 85, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "dialogPanel", 86, cc.size(495, 331), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.imageBg = ccui.ImageView:create()
	setValue(self.imageBg, "imageBg", 431, cc.size(495, 331), cc.p(247.5, 165.5), nil, nil, nil, nil, false)
	self.imageBg:loadTexture("ccs/UiImages/image9/commonPanel_s9_bg_1.png", 1)
	self.imageBg:setScale9Enabled(true)
	self.imageBg:setCapInsets(cc.rect(80, 30, 12, 10))
	addChildForPre(self.dialogPanel_2, self.imageBg)

	self.floorPanel = ccui.Layout:create()
	setValue(self.floorPanel, "floorPanel", 436, cc.size(450, 200), cc.p(247.5, 211.6815), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.floorPanel)
	self.floorPanel_3 = self.floorPanel

	self.imageSprite = ccui.ImageView:create()
	setValue(self.imageSprite, "imageSprite", 909, cc.size(450, 200), cc.p(225, 100), nil, nil, nil, nil, false)
	self.imageSprite:loadTexture("ccs/UiImages/image9/CommonPanel_img_chuangkoubeijing_1.png", 1)
	self.imageSprite:setScale9Enabled(true)
	self.imageSprite:setCapInsets(cc.rect(0, 0, 470, 5))
	addChildForPre(self.floorPanel_3, self.imageSprite)

	self.infoLabel = createLabel({text=[[Text Label]], font=getFont(), size=25})
	setValue(self.infoLabel, "infoLabel", 275, cc.size(113, 29), cc.p(247.5, 226.5), nil, nil, nil, nil, nil)
	self.infoLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.infoLabel)

	self.vipInfoLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.vipInfoLabel, "vipInfoLabel", 433, cc.size(91, 23), cc.p(247.5, 168.6), nil, cc.c4b(255, 228, 0, 255), nil, nil, nil)
	self.vipInfoLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.vipInfoLabel:setColor(cc.c4b(255, 228, 0, 255))
	addChildForPre(self.dialogPanel_2, self.vipInfoLabel)

	self.buttonsPanel = ccui.Layout:create()
	setValue(self.buttonsPanel, "buttonsPanel", 434, cc.size(470, 100), cc.p(247.5, 62.89), cc.p(0.5, 0.5), nil, nil, nil, nil)
	setBgColor(self.buttonsPanel, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.buttonsPanel)
	self.buttonsPanel_3 = self.buttonsPanel

	self.imageBtnBg = ccui.ImageView:create()
	setValue(self.imageBtnBg, "imageBtnBg", 435, cc.size(470, 100), cc.p(235, 50), nil, nil, nil, nil, false)
	self.imageBtnBg:loadTexture("ccs/UiImages/image9/common_img_jiemian04.png", 1)
	self.imageBtnBg:setScale9Enabled(true)
	self.imageBtnBg:setCapInsets(cc.rect(10, 6, 236, 7))
	addChildForPre(self.buttonsPanel_3, self.imageBtnBg)

	self.sweepButton = ccui.Button:create()
	setValue(self.sweepButton, "sweepButton", 216, cc.size(153, 64), cc.p(117.5, 50), nil, nil, nil, nil, false)
	self.sweepButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.sweepButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.sweepButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.sweepButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.sweepButton:setTitleText([[Button]])
	self.sweepButton:setTitleFontSize(22)
	self.sweepButton:setTitleFontName(getFont())
	setClickEvent(self, self.sweepButton, "sweepButton")
	addChildForPre(self.buttonsPanel_3, self.sweepButton)

	self.sweepFiveButton = ccui.Button:create()
	setValue(self.sweepFiveButton, "sweepFiveButton", 217, cc.size(153, 64), cc.p(352.5, 50), nil, nil, nil, nil, false)
	self.sweepFiveButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.sweepFiveButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.sweepFiveButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.sweepFiveButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.sweepFiveButton:setTitleText([[Button]])
	self.sweepFiveButton:setTitleFontSize(22)
	self.sweepFiveButton:setTitleFontName(getFont())
	setClickEvent(self, self.sweepFiveButton, "sweepFiveButton")
	addChildForPre(self.buttonsPanel_3, self.sweepFiveButton)

	self.imageTitleBg = cc.Sprite:create()
	setValue(self.imageTitleBg, "imageTitleBg", 432, cc.size(462, 106), cc.p(247.5, 326.9999), nil, nil, nil, nil, nil)
	self.imageTitleBg:setScale(0.6)
	self.imageTitleBg:setSpriteFrame("ccs/UiImages/commonBg/CommonPanel_img_WinHeader_1.png")
	addChildForPre(self.dialogPanel_2, self.imageTitleBg)

	self.sweepTitleLabel = createLabel({text=[[Text Label]], font=getFont(), size=30})
	setValue(self.sweepTitleLabel, "sweepTitleLabel", 219, cc.size(136, 34), cc.p(247.5, 328), nil, nil, nil, nil, nil)
	self.sweepTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.sweepTitleLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/commonPanelBig.plist",
	"ccs/plist/common.plist",
}

return _M
