-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 222, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 223, cc.size(200, 200), nil, cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.sprite1 = cc.Sprite:create()
	setValue(self.sprite1, "sprite1", 224, cc.size(184, 158), cc.p(100, 100), cc.p(0.5, 0.4), nil, 0, nil, nil)
	self.sprite1:setRotationSkewX(-242)
	self.sprite1:setRotationSkewY(-242)
	self.sprite1:setSpriteFrame("ccs/UiImages/battle/2.png")
	addChildForPre(self.rootPanel_1, self.sprite1)

	self.sprite2 = cc.Sprite:create()
	setValue(self.sprite2, "sprite2", 225, cc.size(168, 166), cc.p(100, 100), nil, nil, nil, nil, nil)
	self.sprite2:setRotationSkewX(336)
	self.sprite2:setRotationSkewY(336)
	self.sprite2:setSpriteFrame("ccs/UiImages/battle/3.png")
	addChildForPre(self.rootPanel_1, self.sprite2)

	self.sprite3 = cc.Sprite:create()
	setValue(self.sprite3, "sprite3", 226, cc.size(168, 166), cc.p(100, 100), nil, nil, nil, nil, nil)
	self.sprite3:setRotationSkewX(-336)
	self.sprite3:setRotationSkewY(-336)
	self.sprite3:setSpriteFrame("ccs/UiImages/battle/4.png")
	addChildForPre(self.rootPanel_1, self.sprite3)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(140)
	self.animation:setTimeSpeed(1)
	local timeLine
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 100.0000, 100.0000, nil))
	timeLine:addFrame(CreatePositionFrame(40, true, 100.0000, 100.0000, nil))
	timeLine:addFrame(CreatePositionFrame(50, true, 100.0000, 100.0000, nil))
	timeLine:setNode(self.sprite1)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 3.4000, 3.4000, nil))
	timeLine:addFrame(CreateScaleFrame(40, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(50, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.sprite1)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(40, true, -242.0000, -242.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(50, true, -242.0000, -242.0000, nil))
	timeLine:setNode(self.sprite1)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(0, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(20, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(29, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(40, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(50, true, cc.c3b(255,255,255), 0, nil))
	timeLine:setNode(self.sprite1)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateEventFrame(0, true, "", nil))
	timeLine:addFrame(CreateEventFrame(40, false, "startChange", nil))
	timeLine:addFrame(CreateEventFrame(50, false, "startLoop", nil))
	timeLine:setNode(self.sprite1)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 100.0000, 100.0000, nil))
	timeLine:addFrame(CreatePositionFrame(50, true, 100.0000, 100.0000, nil))
	timeLine:addFrame(CreatePositionFrame(140, true, 100.0000, 100.0000, nil))
	timeLine:setNode(self.sprite2)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(39, true, 0.3000, 0.3000, nil))
	timeLine:addFrame(CreateScaleFrame(47, true, 1.3000, 1.3000, nil))
	timeLine:addFrame(CreateScaleFrame(50, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(140, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.sprite2)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(50, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(140, true, 360.0000, 360.0000, nil))
	timeLine:setNode(self.sprite2)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(0, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(39, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(40, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(50, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(140, true, cc.c3b(255,255,255), 255, nil))
	timeLine:setNode(self.sprite2)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 100.0000, 100.0000, nil))
	timeLine:addFrame(CreatePositionFrame(50, true, 100.0000, 100.0000, nil))
	timeLine:addFrame(CreatePositionFrame(140, true, 100.0000, 100.0000, nil))
	timeLine:setNode(self.sprite3)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(39, true, 0.3000, 0.3000, nil))
	timeLine:addFrame(CreateScaleFrame(47, true, 1.3000, 1.3000, nil))
	timeLine:addFrame(CreateScaleFrame(50, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(140, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.sprite3)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(50, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(140, true, -360.0000, -360.0000, nil))
	timeLine:setNode(self.sprite3)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(0, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(39, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(40, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(50, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(140, true, cc.c3b(255,255,255), 255, nil))
	timeLine:setNode(self.sprite3)
	return self
end

_M.textures = {
	"ccs/plist/battle.plist",
}

return _M
