-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 687, cc.size(640, 211), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.allPanel = ccui.Layout:create()
	setValue(self.allPanel, "WXN_allPanel", 53, cc.size(640, 240), cc.p(320, 105.5), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.allPanel)
	self.allPanel_2 = self.allPanel

	self.buyButton = ccui.Button:create()
	self.buyButton:setScale9Enabled(true)
	self.buyButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.buyButton:setContentSize(cc.size(640, 200))
	setValue(self.buyButton, "buyButton", 5, nil, cc.p(320, 120), nil, nil, nil, nil, false)
	self.buyButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.buyButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.buyButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.buyButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.buyButton:setTitleText([[]])
	self.buyButton:setTitleColor(cc.c3b(65, 65, 70))
	self.buyButton:setTitleFontSize(14)
	self.buyButton:setTitleFontName(getFont())
	setClickEvent(self, self.buyButton, "buyButton")
	addChildForPre(self.allPanel_2, self.buyButton)

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 54, cc.size(612, 205), cc.p(320.768, 118.896), nil, nil, nil, nil, nil)
	self.bgImage:loadTexture("ccs/UiImages/commonBg/vipPay_img_ditiao.png", 1)
	addChildForPre(self.allPanel_2, self.bgImage)

	self.iconImage = ccui.ImageView:create()
	setValue(self.iconImage, "iconImage", 7, cc.size(214, 200), cc.p(121.408, 134.4), nil, nil, nil, nil, nil)
	self.iconImage:loadTexture("ccs/UiImages/mall/Diamond_g7.png", 1)
	addChildForPre(self.allPanel_2, self.iconImage)

	self.priceLabel = createLabel({text=[[priceLabel]], font=getFont(), size=30,align = 1})
	setValue(self.priceLabel, "priceLabel", 10, cc.size(138, 34), cc.p(576, 116.016), cc.p(1, 0.5), nil, nil, nil, nil)
	self.priceLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.allPanel_2, self.priceLabel)

	self.infoLabel = createLabel({text=[[XXXXXX
XXXXX]], font=getFont(), size=24,valign = 1})
	setValue(self.infoLabel, "infoLabel", 12, cc.size(96, 56), cc.p(223.9439, 109.104), cc.p(0, 0.5), nil, nil, nil, nil)
	self.infoLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.allPanel_2, self.infoLabel)

	self.info1Label = createLabel({text=[[XXXXXXXXXX]], font=getFont(), size=24,align = 1,valign = 1})
	setValue(self.info1Label, "info1Label", 24, cc.size(160, 28), cc.p(223.9439, 53.3038), cc.p(0, 0.5), nil, nil, nil, nil)
	self.info1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.allPanel_2, self.info1Label)

	self.hotSellIcon = cc.Sprite:create()
	setValue(self.hotSellIcon, "hotSellIcon", 1168, cc.size(46, 46), cc.p(61.7421, 175.7052), nil, nil, nil, nil, nil)
	self.hotSellIcon:setTexture("Default/Sprite.png")
	addChildForPre(self.allPanel_2, self.hotSellIcon)

	self.titleValueLabel = createLabel({text=[[XXXXXXXXXX]], font=getFont(), size=24})
	setValue(self.titleValueLabel, "titleValueLabel", 1212, cc.size(160, 28), cc.p(304.172, 145.4728), cc.p(0, 0), cc.c4b(230, 255, 0, 255), nil, nil, nil)
	self.titleValueLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.titleValueLabel:setColor(cc.c4b(230, 255, 0, 255))
	addChildForPre(self.allPanel_2, self.titleValueLabel)

	self.titleValueLabelVal = createLabel({text=[[400]], font=getFont(), size=42})
	setValue(self.titleValueLabelVal, "titleValueLabelVal", 1988, cc.size(70, 48), cc.p(223.9439, 145.4728), cc.p(0, 0), cc.c4b(230, 255, 0, 255), nil, nil, nil)
	self.titleValueLabelVal:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.titleValueLabelVal:setColor(cc.c4b(230, 255, 0, 255))
	addChildForPre(self.allPanel_2, self.titleValueLabelVal)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/commonBg.plist",
	"ccs/plist/mall.plist",
	"Default/Sprite.png",
}

return _M
