-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 204, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 332, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 70, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.bgPrePanel = ccui.Layout:create()
	setValue(self.bgPrePanel, "WIX_bgPrePanel", 26, cc.size(640, 835), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.bgPrePanel)

	self.tabPanel = ccui.Layout:create()
	setValue(self.tabPanel, "WTX_tabPanel", 207, cc.size(640, 50), cc.p(0, 886), cc.p(0, 1), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.tabPanel)
	self.tabPanel_3 = self.tabPanel

	self.buttonDownLine = ccui.ImageView:create()
	setValue(self.buttonDownLine, "buttonDownLine", 469, cc.size(640, 62), cc.p(320, -0.9999), cc.p(0.5, 0), nil, nil, nil, nil)
	self.buttonDownLine:loadTexture("ccs/UiImages/commonBg/common_img_diban00.png", 1)
	addChildForPre(self.tabPanel_3, self.buttonDownLine)

	self.TabWorldButton = ccui.Button:create()
	self.TabWorldButton:setScale9Enabled(true)
	self.TabWorldButton:setCapInsets(cc.rect(0, 0, 247, 91))
	self.TabWorldButton:setContentSize(cc.size(124, 48))
	setValue(self.TabWorldButton, "TabWorldButton", 216, nil, cc.p(65.024, 30), nil, nil, nil, nil, false)
	self.TabWorldButton:setScale(0.9)
	self.TabWorldButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.TabWorldButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.TabWorldButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.TabWorldButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.TabWorldButton:setTitleText([[世界]])
	self.TabWorldButton:setTitleFontSize(25)
	self.TabWorldButton:setTitleFontName(getFont())
	setClickEvent(self, self.TabWorldButton, "TabWorldButton")
	addChildForPre(self.tabPanel_3, self.TabWorldButton)

	self.TabSystemButton = ccui.Button:create()
	self.TabSystemButton:setScale9Enabled(true)
	self.TabSystemButton:setCapInsets(cc.rect(0, 0, 247, 91))
	self.TabSystemButton:setContentSize(cc.size(124, 48))
	setValue(self.TabSystemButton, "TabSystemButton", 54, nil, cc.p(-171.264, 84.5), nil, nil, nil, nil, false)
	self.TabSystemButton:setScale(0.9)
	self.TabSystemButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.TabSystemButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.TabSystemButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.TabSystemButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.TabSystemButton:setTitleText([[系统]])
	self.TabSystemButton:setTitleFontSize(25)
	self.TabSystemButton:setTitleFontName(getFont())
	setClickEvent(self, self.TabSystemButton, "TabSystemButton")
	addChildForPre(self.tabPanel_3, self.TabSystemButton)

	self.TabCampButton = ccui.Button:create()
	self.TabCampButton:setScale9Enabled(true)
	self.TabCampButton:setCapInsets(cc.rect(0, 0, 247, 91))
	self.TabCampButton:setContentSize(cc.size(124, 48))
	setValue(self.TabCampButton, "TabCampButton", 217, nil, cc.p(199.68, 30), nil, nil, nil, nil, false)
	self.TabCampButton:setScale(0.9)
	self.TabCampButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.TabCampButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.TabCampButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.TabCampButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.TabCampButton:setTitleText([[阵营]])
	self.TabCampButton:setTitleFontSize(25)
	self.TabCampButton:setTitleFontName(getFont())
	setClickEvent(self, self.TabCampButton, "TabCampButton")
	addChildForPre(self.tabPanel_3, self.TabCampButton)

	self.TabAllianceButton = ccui.Button:create()
	self.TabAllianceButton:setScale9Enabled(true)
	self.TabAllianceButton:setCapInsets(cc.rect(0, 0, 247, 91))
	self.TabAllianceButton:setContentSize(cc.size(124, 48))
	setValue(self.TabAllianceButton, "TabAllianceButton", 53, nil, cc.p(334.336, 30), nil, nil, nil, nil, false)
	self.TabAllianceButton:setScale(0.9)
	self.TabAllianceButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.TabAllianceButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.TabAllianceButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.TabAllianceButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.TabAllianceButton:setTitleText([[军团]])
	self.TabAllianceButton:setTitleFontSize(25)
	self.TabAllianceButton:setTitleFontName(getFont())
	setClickEvent(self, self.TabAllianceButton, "TabAllianceButton")
	addChildForPre(self.tabPanel_3, self.TabAllianceButton)

	self.TabPrivateButton = ccui.Button:create()
	self.TabPrivateButton:setScale9Enabled(true)
	self.TabPrivateButton:setCapInsets(cc.rect(0, 0, 247, 91))
	self.TabPrivateButton:setContentSize(cc.size(124, 48))
	setValue(self.TabPrivateButton, "TabPrivateButton", 219, nil, cc.p(468.992, 30), nil, nil, nil, nil, false)
	self.TabPrivateButton:setScale(0.9)
	self.TabPrivateButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.TabPrivateButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.TabPrivateButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.TabPrivateButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.TabPrivateButton:setTitleText([[私聊]])
	self.TabPrivateButton:setTitleFontSize(25)
	self.TabPrivateButton:setTitleFontName(getFont())
	setClickEvent(self, self.TabPrivateButton, "TabPrivateButton")
	addChildForPre(self.tabPanel_3, self.TabPrivateButton)

	self.contentPrePanel = ccui.Layout:create()
	setValue(self.contentPrePanel, "WIX_contentPrePanel", 68, cc.size(640, 835), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.contentPrePanel)

	if CommonDialogFrame1CloseUi then 
 		self.commonDialogFrame1CloseUi = CommonDialogFrame1CloseUi.new() 
 	else 
		self.commonDialogFrame1CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame1CloseUi, "commonDialogFrame1CloseUi", 344, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/common.plist",
}

return _M
