-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 106, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 127, cc.size(1125, 750), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame3Ui then 
 		self.commonDialogFrame3Ui = CommonDialogFrame3Ui.new() 
 	else 
		self.commonDialogFrame3Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame3Ui.lua")
 	end 
	setValue(self.commonDialogFrame3Ui, "commonDialogFrame3Ui", 163, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame3Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "dialogPanel", 261, cc.size(850, 550), cc.p(562.5, 375), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.contentLabel = createLabel({text=[[给游戏写下建议(好评)，将会收到我们送出的礼物]], font=getFont(), size=24,align = 1,valign = 1, dimensions = cc.size(600.0000, 70.0000)})
	setValue(self.contentLabel, "contentLabel", 339, cc.size(600, 70), cc.p(420.9999, 437.8333), nil, nil, nil, nil, false)
	self.contentLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.contentLabel)

	self.refuseButton = ccui.Button:create()
	setValue(self.refuseButton, "refuseButton", 340, cc.size(150, 62), cc.p(255, 82.5), nil, nil, nil, nil, false)
	self.refuseButton:loadTextureNormal("ccs/UiImages/image9/CommonBtnYellow.png", 1)
	self.refuseButton:loadTexturePressed("ccs/UiImages/image9/CommonBtnYellowHover.png", 1)
	self.refuseButton:loadTextureDisabled("ccs/UiImages/image9/CommonBtnDisable.png", 1)
	self.refuseButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.refuseButton:setTitleText([[拒绝]])
	self.refuseButton:setTitleFontSize(24)
	self.refuseButton:setTitleFontName(getFont())
	setClickEvent(self, self.refuseButton, "refuseButton")
	addChildForPre(self.dialogPanel_2, self.refuseButton)

	self.commentButton = ccui.Button:create()
	setValue(self.commentButton, "commentButton", 341, cc.size(150, 62), cc.p(605.5834, 82.5), nil, nil, nil, nil, false)
	self.commentButton:loadTextureNormal("ccs/UiImages/image9/CommonBtnBlue.png", 1)
	self.commentButton:loadTexturePressed("ccs/UiImages/image9/CommonBtnBlueHover.png", 1)
	self.commentButton:loadTextureDisabled("ccs/UiImages/image9/CommonBtnDisable.png", 1)
	self.commentButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.commentButton:setTitleText([[Button]])
	self.commentButton:setTitleFontSize(24)
	self.commentButton:setTitleFontName(getFont())
	setClickEvent(self, self.commentButton, "commentButton")
	addChildForPre(self.dialogPanel_2, self.commentButton)

	self.ImageBG = ccui.ImageView:create()
	setValue(self.ImageBG, "ImageBG", 542, cc.size(600, 250), cc.p(423, 261), nil, nil, nil, nil, false)
	self.ImageBG:loadTexture("ccs/UiImages/common/SignInInformationBottom.png", 1)
	self.ImageBG:setScale9Enabled(true)
	self.ImageBG:setCapInsets(cc.rect(10, 10, 60, 60))
	addChildForPre(self.dialogPanel_2, self.ImageBG)

	self.displayLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.displayLabel, "displayLabel", 543, cc.size(109, 28), cc.p(156.238, 349.4998), cc.p(0, 0.5), nil, nil, nil, nil)
	self.displayLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.displayLabel)

	self.rewardNode = cc.Node:create()
	setValue(self.rewardNode, "rewardNode", 606, nil, cc.p(409, 246.3925), nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.rewardNode)

	if CommonDialogFrame3CloseUi then 
 		self.commonDialogFrame3CloseUi = CommonDialogFrame3CloseUi.new() 
 	else 
		self.commonDialogFrame3CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame3CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame3CloseUi, "commonDialogFrame3CloseUi", 218, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame3CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/common.plist",
	"ccs/plist/commonPanelPartsC.plist",
}

return _M
