-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 3, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "XYN_dialogPanel", 4, cc.size(500, 336), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.imageBorder = ccui.ImageView:create()
	setValue(self.imageBorder, "imageBorder", 288, cc.size(500, 336), cc.p(250, 168), nil, nil, nil, nil, false)
	self.imageBorder:loadTexture("ccs/UiImages/image9/commonPanel_s9_bg_1.png", 1)
	self.imageBorder:setScale9Enabled(true)
	self.imageBorder:setCapInsets(cc.rect(42, 30, 88, 10))
	addChildForPre(self.dialogPanel_2, self.imageBorder)

	self.floorPanel = ccui.Layout:create()
	setValue(self.floorPanel, "floorPanel", 1474, cc.size(470, 251), cc.p(250, 208.32), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.floorPanel)
	self.floorPanel_3 = self.floorPanel

	self.floorImage = ccui.ImageView:create()
	setValue(self.floorImage, "floorImage", 1475, cc.size(470, 251), cc.p(235, 125.5), nil, nil, nil, nil, false)
	self.floorImage:loadTexture("ccs/UiImages/image9/CommonPanel_img_chuangkoubeijing_1.png", 1)
	self.floorImage:setScale9Enabled(true)
	self.floorImage:setCapInsets(cc.rect(0, 0, 470, 5))
	addChildForPre(self.floorPanel_3, self.floorImage)

	self.imageBtnBg = ccui.ImageView:create()
	setValue(self.imageBtnBg, "imageBtnBg", 1473, cc.size(466, 79), cc.p(250, 53.76), nil, nil, nil, nil, nil)
	self.imageBtnBg:loadTexture("ccs/UiImages/commonBg/CommonPanel_img_bg_1.jpg", 1)
	addChildForPre(self.dialogPanel_2, self.imageBtnBg)

	self.bottomButton1 = ccui.Button:create()
	setValue(self.bottomButton1, "bottomButton1", 27, cc.size(153, 64), cc.p(115, 53.0335), nil, nil, nil, nil, false)
	self.bottomButton1:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.bottomButton1:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.bottomButton1:loadTextureDisabled("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.bottomButton1:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.bottomButton1:setTitleText([[cancel]])
	self.bottomButton1:setTitleFontSize(25)
	self.bottomButton1:setTitleFontName(getFont())
	setClickEvent(self, self.bottomButton1, "bottomButton1")
	addChildForPre(self.dialogPanel_2, self.bottomButton1)

	self.bottomButton2 = ccui.Button:create()
	setValue(self.bottomButton2, "bottomButton2", 28, cc.size(153, 64), cc.p(250, 53.0335), nil, nil, nil, nil, false)
	self.bottomButton2:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.bottomButton2:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.bottomButton2:loadTextureDisabled("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.bottomButton2:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.bottomButton2:setTitleText([[ok]])
	self.bottomButton2:setTitleFontSize(25)
	self.bottomButton2:setTitleFontName(getFont())
	setClickEvent(self, self.bottomButton2, "bottomButton2")
	addChildForPre(self.dialogPanel_2, self.bottomButton2)

	self.bottomButton3 = ccui.Button:create()
	setValue(self.bottomButton3, "bottomButton3", 200, cc.size(153, 64), cc.p(385, 53.0335), nil, nil, nil, nil, false)
	self.bottomButton3:loadTextureNormal("ccs/UiImages/image9/common_btn_green_0.png", 1)
	self.bottomButton3:loadTexturePressed("ccs/UiImages/image9/common_btn_green_1.png", 1)
	self.bottomButton3:loadTextureDisabled("ccs/UiImages/image9/common_btn_green_0.png", 1)
	self.bottomButton3:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.bottomButton3:setTitleText([[ok]])
	self.bottomButton3:setTitleFontSize(25)
	self.bottomButton3:setTitleFontName(getFont())
	setClickEvent(self, self.bottomButton3, "bottomButton3")
	addChildForPre(self.dialogPanel_2, self.bottomButton3)

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 131, cc.size(460, 180), cc.p(250, 199.52), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.dialogPanel_2, self.bgImage)

	self.contentLabel = createLabel({text=[[commonDescLabel]], font=getFont(), size=24,align = 1,valign = 1, dimensions = cc.size(450.0000, 140.0000)})
	setValue(self.contentLabel, "contentLabel", 130, cc.size(450, 140), cc.p(250, 196.52), nil, nil, nil, nil, false)
	self.contentLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.contentLabel)

	self.imageTitleBg = ccui.ImageView:create()
	setValue(self.imageTitleBg, "imageTitleBg", 289, cc.size(462, 106), cc.p(250, 329.28), nil, nil, nil, nil, nil)
	self.imageTitleBg:setScale(0.6)
	self.imageTitleBg:loadTexture("ccs/UiImages/commonBg/CommonPanel_img_WinHeader_1.png", 1)
	addChildForPre(self.dialogPanel_2, self.imageTitleBg)

	self.dialogTitleLabel = createLabel({text=[[Text Label]], font=getFont(), size=25})
	setValue(self.dialogTitleLabel, "dialogTitleLabel", 290, cc.size(113, 29), cc.p(250, 331.28), nil, nil, nil, nil, nil)
	self.dialogTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.dialogTitleLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/commonPanelBig.plist",
	"ccs/plist/common.plist",
	"ccs/plist/battle.plist",
}

return _M
