-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 4026, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 4027, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "XYN_dialogPanel", 19, cc.size(495, 346), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.showPanelBg = ccui.ImageView:create()
	setValue(self.showPanelBg, "showPanelBg", 3024, cc.size(495, 346), cc.p(247.5, 173), nil, nil, nil, nil, false)
	self.showPanelBg:loadTexture("ccs/UiImages/image9/commonPanel_s9_bg_1.png", 1)
	self.showPanelBg:setScale9Enabled(true)
	self.showPanelBg:setCapInsets(cc.rect(80, 30, 12, 10))
	addChildForPre(self.dialogPanel_2, self.showPanelBg)

	self.DekaronBOSS = cc.Sprite:create()
	setValue(self.DekaronBOSS, "DekaronBOSS", 4149, cc.size(456, 116), cc.p(247.5, 233.204), nil, nil, nil, nil, nil)
	self.DekaronBOSS:setSpriteFrame("ccs/UiImages/commonBg/common_img_tiaozhuan1.png")
	addChildForPre(self.dialogPanel_2, self.DekaronBOSS)

	self.CollectionMap = cc.Sprite:create()
	setValue(self.CollectionMap, "CollectionMap", 4151, cc.size(456, 116), cc.p(247.5, 233.204), nil, nil, nil, nil, nil)
	self.CollectionMap:setSpriteFrame("ccs/UiImages/commonBg/common_img_tiaozhuan1.png")
	addChildForPre(self.dialogPanel_2, self.CollectionMap)

	self.PartakeExpedition = cc.Sprite:create()
	setValue(self.PartakeExpedition, "PartakeExpedition", 4158, cc.size(456, 116), cc.p(247.5, 233.204), nil, nil, nil, nil, nil)
	self.PartakeExpedition:setSpriteFrame("ccs/UiImages/commonBg/common_img_tiaozhuan1.png")
	addChildForPre(self.dialogPanel_2, self.PartakeExpedition)

	self.BuyChest = cc.Sprite:create()
	setValue(self.BuyChest, "BuyChest", 4157, cc.size(456, 116), cc.p(247.5, 94.804), nil, nil, nil, nil, nil)
	self.BuyChest:setSpriteFrame("ccs/UiImages/commonBg/common_img_tiaozhuan1.png")
	addChildForPre(self.dialogPanel_2, self.BuyChest)

	self.CollectionMap_R = cc.Sprite:create()
	setValue(self.CollectionMap_R, "CollectionMap_R", 18, cc.size(456, 116), cc.p(247.5, 94.804), nil, nil, nil, nil, nil)
	self.CollectionMap_R:setSpriteFrame("ccs/UiImages/commonBg/common_img_tiaozhuan1.png")
	addChildForPre(self.dialogPanel_2, self.CollectionMap_R)

	self.medalSp = cc.Sprite:create()
	setValue(self.medalSp, "medalSp", 133, cc.size(456, 116), cc.p(247.5, 94.804), nil, nil, nil, nil, nil)
	self.medalSp:setSpriteFrame("ccs/UiImages/commonBg/common_img_tiaozhuan1.png")
	addChildForPre(self.dialogPanel_2, self.medalSp)

	self.ArenaIntegralExchange = cc.Sprite:create()
	setValue(self.ArenaIntegralExchange, "ArenaIntegralExchange", 32, cc.size(456, 116), cc.p(247.5, 233.204), nil, nil, nil, nil, nil)
	self.ArenaIntegralExchange:setSpriteFrame("ccs/UiImages/commonBg/common_img_tiaozhuan1.png")
	addChildForPre(self.dialogPanel_2, self.ArenaIntegralExchange)

	self.battleLabel = createLabel({text=[[battleLabel]], font=getFont(), size=28,align = 1,valign = 1})
	setValue(self.battleLabel, "battleLabel", 4153, cc.size(137, 32), cc.p(29.7, 233.204), cc.p(0, 0.5), nil, nil, nil, nil)
	self.battleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.battleLabel)

	self.buyLabel = createLabel({text=[[buyLabel]], font=getFont(), size=28,align = 1,valign = 1})
	setValue(self.buyLabel, "buyLabel", 4154, cc.size(113, 32), cc.p(29.7, 94.804), cc.p(0, 0.5), nil, nil, nil, nil)
	self.buyLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.buyLabel)

	self.jump3Button = ccui.Button:create()
	setValue(self.jump3Button, "jump3Button", 14, cc.size(81, 26), cc.p(396, 233.204), nil, cc.c4b(0, 183, 238, 255), nil, nil, false)
	self.jump3Button:loadTextureNormal("ccs/UiImages/image9/Underline.png", 1)
	self.jump3Button:loadTexturePressed("ccs/UiImages/image9/Underline.png", 1)
	self.jump3Button:loadTextureDisabled("ccs/UiImages/image9/Underline.png", 1)
	self.jump3Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.jump3Button:setTitleText([[battleBtn]])
	self.jump3Button:setTitleFontSize(24)
	self.jump3Button:setTitleFontName(getFont())
	setClickEvent(self, self.jump3Button, "jump3Button")
	addChildForPre(self.dialogPanel_2, self.jump3Button)

	self.jump4Button = ccui.Button:create()
	setValue(self.jump4Button, "jump4Button", 15, cc.size(81, 26), cc.p(396, 94.804), nil, cc.c4b(0, 183, 238, 255), nil, nil, false)
	self.jump4Button:loadTextureNormal("ccs/UiImages/image9/Underline.png", 1)
	self.jump4Button:loadTexturePressed("ccs/UiImages/image9/Underline.png", 1)
	self.jump4Button:loadTextureDisabled("ccs/UiImages/image9/Underline.png", 1)
	self.jump4Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.jump4Button:setTitleText([[buyBtn]])
	self.jump4Button:setTitleFontSize(24)
	self.jump4Button:setTitleFontName(getFont())
	setClickEvent(self, self.jump4Button, "jump4Button")
	addChildForPre(self.dialogPanel_2, self.jump4Button)

	self.titleNameSpBg = cc.Sprite:create()
	setValue(self.titleNameSpBg, "titleNameSpBg", 3025, cc.size(462, 106), cc.p(247.5, 341.9864), nil, nil, nil, nil, nil)
	self.titleNameSpBg:setScale(0.6)
	self.titleNameSpBg:setSpriteFrame("ccs/UiImages/commonBg/CommonPanel_img_WinHeader_1.png")
	addChildForPre(self.dialogPanel_2, self.titleNameSpBg)

	self.labelTitle = createLabel({text=[[Text Label]], font=getFont(), size=28})
	setValue(self.labelTitle, "labelTitle", 3026, cc.size(127, 32), cc.p(247.5, 343.9932), nil, nil, nil, nil, nil)
	self.labelTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.labelTitle)

	self.closeButton = ccui.Button:create()
	setValue(self.closeButton, "closeButton", 1526, cc.size(86, 55), cc.p(439.9065, 333.2672), nil, nil, nil, nil, nil)
	self.closeButton:loadTextureNormal("ccs/UiImages/common/CommonPanel_btn_X_0.png", 1)
	self.closeButton:loadTexturePressed("ccs/UiImages/common/CommonPanel_btn_X_1.png", 1)
	self.closeButton:loadTextureDisabled("ccs/UiImages/common/CommonPanel_btn_X_1.png", 1)
	self.closeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.closeButton:setTitleText([[]])
	self.closeButton:setTitleFontSize(25)
	self.closeButton:setTitleFontName(getFont())
	setClickEvent(self, self.closeButton, "closeButton")
	addChildForPre(self.dialogPanel_2, self.closeButton)

	self.jump3LargeButton = ccui.Button:create()
	self.jump3LargeButton:setScale9Enabled(true)
	self.jump3LargeButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.jump3LargeButton:setContentSize(cc.size(460.35, 114.18))
	setValue(self.jump3LargeButton, "jump3LargeButton", 313, nil, cc.p(247.5, 233.204), nil, nil, nil, nil, false)
	self.jump3LargeButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.jump3LargeButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.jump3LargeButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.jump3LargeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.jump3LargeButton:setTitleText([[]])
	self.jump3LargeButton:setTitleColor(cc.c3b(65, 65, 70))
	self.jump3LargeButton:setTitleFontSize(14)
	self.jump3LargeButton:setTitleFontName(getFont())
	setClickEvent(self, self.jump3LargeButton, "jump3LargeButton")
	addChildForPre(self.dialogPanel_2, self.jump3LargeButton)

	self.jump4LargeButton = ccui.Button:create()
	self.jump4LargeButton:setScale9Enabled(true)
	self.jump4LargeButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.jump4LargeButton:setContentSize(cc.size(460.35, 114.18))
	setValue(self.jump4LargeButton, "jump4LargeButton", 314, nil, cc.p(247.5, 94.804), nil, nil, nil, nil, false)
	self.jump4LargeButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.jump4LargeButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.jump4LargeButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.jump4LargeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.jump4LargeButton:setTitleText([[]])
	self.jump4LargeButton:setTitleColor(cc.c3b(65, 65, 70))
	self.jump4LargeButton:setTitleFontSize(14)
	self.jump4LargeButton:setTitleFontName(getFont())
	setClickEvent(self, self.jump4LargeButton, "jump4LargeButton")
	addChildForPre(self.dialogPanel_2, self.jump4LargeButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/commonBg.plist",
	"ccs/plist/common.plist",
}

return _M
