-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 486, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 487, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "XYN_dialogPanel", 488, cc.size(640, 550), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 56, cc.size(500, 374), cc.p(320, 275), nil, nil, nil, nil, false)
	self.bgImage:setScaleX(1)
	self.bgImage:setScaleY(1.1)
	self.bgImage:loadTexture("ccs/UiImages/image9/commonPanel_s9_bg_1.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(30, 30, 112, 10))
	addChildForPre(self.dialogPanel_2, self.bgImage)

	self.floorPanel = ccui.Layout:create()
	setValue(self.floorPanel, "floorPanel", 1731, cc.size(470, 269), cc.p(320, 324.5), cc.p(0.5, 0.5), nil, nil, nil, nil)
	setBgColor(self.floorPanel, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.floorPanel)
	self.floorPanel_3 = self.floorPanel

	self.floorImage = ccui.ImageView:create()
	setValue(self.floorImage, "floorImage", 1732, cc.size(470, 269), cc.p(235, 134.5), nil, nil, nil, nil, false)
	self.floorImage:loadTexture("ccs/UiImages/image9/CommonPanel_img_chuangkoubeijing_1.png", 1)
	self.floorImage:setScale9Enabled(true)
	self.floorImage:setCapInsets(cc.rect(0, 0, 470, 5))
	addChildForPre(self.floorPanel_3, self.floorImage)

	self.bottomImage = ccui.ImageView:create()
	setValue(self.bottomImage, "bottomImage", 85, cc.size(480, 100), cc.p(320, 132), nil, nil, nil, nil, false)
	self.bottomImage:loadTexture("ccs/UiImages/commonBg/CommonPanel_img_bg_1.jpg", 1)
	self.bottomImage:setScale9Enabled(true)
	self.bottomImage:setCapInsets(cc.rect(0, 0, 466, 79))
	addChildForPre(self.dialogPanel_2, self.bottomImage)

	self.Title = cc.Sprite:create()
	setValue(self.Title, "Title", 130, cc.size(462, 106), cc.p(320, 478.5), nil, nil, nil, nil, nil)
	self.Title:setScale(0.5)
	self.Title:setSpriteFrame("ccs/UiImages/commonBg/CommonPanel_img_WinHeader_1.png")
	addChildForPre(self.dialogPanel_2, self.Title)

	self.titleLabel = createLabel({text=[[titleLabel]], font=getFont(), size=30})
	setValue(self.titleLabel, "titleLabel", 490, cc.size(120, 34), cc.p(320, 480.48), nil, nil, nil, nil, nil)
	self.titleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.titleLabel)

	self.rewardPanel = ccui.Layout:create()
	setValue(self.rewardPanel, "rewardPanel", 491, cc.size(450, 150), cc.p(320, 324.5), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.rewardPanel)

	self.okButton = ccui.Button:create()
	setValue(self.okButton, "okButton", 492, cc.size(145, 58), cc.p(323.904, 129.525), nil, nil, nil, nil, false)
	self.okButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.okButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.okButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.okButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.okButton:setTitleText([[ok]])
	self.okButton:setTitleFontSize(25)
	self.okButton:setTitleFontName(getFont())
	setClickEvent(self, self.okButton, "okButton")
	addChildForPre(self.dialogPanel_2, self.okButton)

	self.leftButton = ccui.Button:create()
	setValue(self.leftButton, "leftButton", 493, cc.size(153, 64), cc.p(195.904, 129.525), nil, nil, nil, nil, false)
	self.leftButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.leftButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.leftButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.leftButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.leftButton:setTitleText([[left]])
	self.leftButton:setTitleFontSize(25)
	self.leftButton:setTitleFontName(getFont())
	setClickEvent(self, self.leftButton, "leftButton")
	addChildForPre(self.dialogPanel_2, self.leftButton)

	self.rightButton = ccui.Button:create()
	setValue(self.rightButton, "rightButton", 494, cc.size(153, 64), cc.p(451.904, 129.525), nil, nil, nil, nil, false)
	self.rightButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.rightButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.rightButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.rightButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.rightButton:setTitleText([[right]])
	self.rightButton:setTitleFontSize(25)
	self.rightButton:setTitleFontName(getFont())
	setClickEvent(self, self.rightButton, "rightButton")
	addChildForPre(self.dialogPanel_2, self.rightButton)

	self.vipDescLabel = createLabel({text=[[vipDescLabel]], font=getFont(), size=20})
	setValue(self.vipDescLabel, "vipDescLabel", 700, cc.size(120, 23), cc.p(323.904, 184.525), nil, cc.c4b(255, 220, 0, 255), nil, nil, nil)
	self.vipDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.vipDescLabel:setColor(cc.c4b(255, 220, 0, 255))
	addChildForPre(self.dialogPanel_2, self.vipDescLabel)

	self.shareButton = ccui.Button:create()
	setValue(self.shareButton, "shareButton", 129, cc.size(153, 64), cc.p(727.7471, 130.3848), nil, nil, nil, nil, nil)
	self.shareButton:setVisible(false)
	self.shareButton:loadTextureNormal("ccs/UiImages/image9/common_btn_yellow_0.png", 1)
	self.shareButton:loadTexturePressed("ccs/UiImages/image9/common_btn_yellow_1.png", 1)
	self.shareButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.shareButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.shareButton:setTitleText([[]])
	self.shareButton:setTitleColor(cc.c3b(65, 65, 70))
	self.shareButton:setTitleFontSize(14)
	self.shareButton:setTitleFontName(getFont())
	setClickEvent(self, self.shareButton, "shareButton")
	addChildForPre(self.dialogPanel_2, self.shareButton)

	self.robPanel = ccui.Layout:create()
	setValue(self.robPanel, "robPanel", 626, cc.size(650, 550), cc.p(322.432, 275), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.robPanel)
	self.robPanel_3 = self.robPanel

	self.goldLable = createLabel({text=[[123123213213213]], font=getFont(), size=20})
	setValue(self.goldLable, "goldLable", 53, cc.size(166, 23), cc.p(325, 434.5), nil, nil, nil, nil, nil)
	self.goldLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.robPanel_3, self.goldLable)

	self.topEndDescLabel = createLabel({text=[[topEndDescLabel]], font=getFont(), size=20})
	setValue(self.topEndDescLabel, "topEndDescLabel", 527, cc.size(157, 23), cc.p(292.5, 434.5), cc.p(1, 0.5), cc.c4b(255, 220, 0, 255), nil, nil, nil)
	self.topEndDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.topEndDescLabel:setColor(cc.c4b(255, 220, 0, 255))
	addChildForPre(self.robPanel_3, self.topEndDescLabel)

	self.topEndLabel = createLabel({text=[[topEndLabel]], font=getFont(), size=20})
	setValue(self.topEndLabel, "topEndLabel", 547, cc.size(112, 23), cc.p(325, 434.5), cc.p(0, 0.5), nil, nil, nil, nil)
	self.topEndLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.robPanel_3, self.topEndLabel)

	self.item_1128 = cc.Sprite:create()
	setValue(self.item_1128, "item_1128", 567, cc.size(50, 65), cc.p(112, 171), nil, nil, nil, nil, nil)
	self.item_1128:setScale(0.35)
	self.item_1128:setSpriteFrame("ccs/UiImages/common/longMarch_icon_duobaoling_1.png")
	addChildForPre(self.robPanel_3, self.item_1128)

	self.numLabel = createLabel({text=[[num]], font=getFont(), size=20})
	setValue(self.numLabel, "numLabel", 606, cc.size(38, 23), cc.p(151, 171), cc.p(0, 0.5), nil, nil, nil, nil)
	self.numLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.robPanel_3, self.numLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/commonBg.plist",
	"ccs/plist/common.plist",
}

return _M
