-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 85, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 86, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "XYN_dialogPanel", 589, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 257, cc.size(494, 580), cc.p(320, 480), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/image9/commonPanel_s9_bg_1.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(30, 30, 112, 10))
	addChildForPre(self.dialogPanel_2, self.bgImage)

	self.titleSprite = cc.Sprite:create()
	setValue(self.titleSprite, "titleSprite", 256, cc.size(462, 106), cc.p(324.544, 763.776), nil, nil, nil, nil, nil)
	self.titleSprite:setScale(0.5)
	self.titleSprite:setSpriteFrame("ccs/UiImages/commonBg/CommonPanel_img_WinHeader_1.png")
	addChildForPre(self.dialogPanel_2, self.titleSprite)

	self.buttomImage = ccui.ImageView:create()
	setValue(self.buttomImage, "buttomImage", 485, cc.size(472, 83), cc.p(320, 245.568), nil, nil, nil, nil, false)
	self.buttomImage:loadTexture("ccs/UiImages/commonBg/CommonPanel_img_bg_1.jpg", 1)
	self.buttomImage:setScale9Enabled(true)
	self.buttomImage:setCapInsets(cc.rect(0, 0, 466, 79))
	addChildForPre(self.dialogPanel_2, self.buttomImage)

	self.titelLabel = createLabel({text=[[Text Label]], font=getFont(), size=30})
	setValue(self.titelLabel, "titelLabel", 588, cc.size(136, 34), cc.p(324.544, 764.16), nil, nil, nil, nil, nil)
	self.titelLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.titelLabel)

	self.blueButton = ccui.Button:create()
	setValue(self.blueButton, "blueButton", 229, cc.size(153, 64), cc.p(320, 245.568), nil, nil, nil, nil, false)
	self.blueButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.blueButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.blueButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.blueButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.blueButton:setTitleText([[Button]])
	self.blueButton:setTitleFontSize(24)
	self.blueButton:setTitleFontName(getFont())
	setClickEvent(self, self.blueButton, "blueButton")
	addChildForPre(self.dialogPanel_2, self.blueButton)

	self.propertyLabel1 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.propertyLabel1, "propertyLabel1", 102, cc.size(109, 28), cc.p(153.1426, 723.2214), cc.p(0, 0.5), nil, nil, nil, nil)
	self.propertyLabel1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.propertyLabel1)

	self.propertyLabel2 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.propertyLabel2, "propertyLabel2", 103, cc.size(109, 28), cc.p(153.1426, 691.0928), cc.p(0, 0.5), nil, nil, nil, nil)
	self.propertyLabel2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.propertyLabel2)

	self.propertyLabel3 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.propertyLabel3, "propertyLabel3", 104, cc.size(109, 28), cc.p(153.1426, 658.9642), cc.p(0, 0.5), nil, nil, nil, nil)
	self.propertyLabel3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.propertyLabel3)

	self.propertyLabel4 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.propertyLabel4, "propertyLabel4", 105, cc.size(109, 28), cc.p(153.1426, 626.8356), cc.p(0, 0.5), nil, nil, nil, nil)
	self.propertyLabel4:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.propertyLabel4)

	self.propertyLabel5 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.propertyLabel5, "propertyLabel5", 106, cc.size(109, 28), cc.p(153.1426, 594.707), cc.p(0, 0.5), nil, nil, nil, nil)
	self.propertyLabel5:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.propertyLabel5)

	self.propertyLabel6 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.propertyLabel6, "propertyLabel6", 107, cc.size(109, 28), cc.p(153.1426, 562.5784), cc.p(0, 0.5), nil, nil, nil, nil)
	self.propertyLabel6:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.propertyLabel6)

	self.propertyLabel7 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.propertyLabel7, "propertyLabel7", 108, cc.size(109, 28), cc.p(153.1426, 530.4497), cc.p(0, 0.5), nil, nil, nil, nil)
	self.propertyLabel7:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.propertyLabel7)

	self.propertyLabel8 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.propertyLabel8, "propertyLabel8", 109, cc.size(109, 28), cc.p(153.1426, 498.321), cc.p(0, 0.5), nil, nil, nil, nil)
	self.propertyLabel8:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.propertyLabel8)

	self.propertyLabel9 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.propertyLabel9, "propertyLabel9", 110, cc.size(109, 28), cc.p(153.1426, 466.1924), cc.p(0, 0.5), nil, nil, nil, nil)
	self.propertyLabel9:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.propertyLabel9)

	self.propertyLabel10 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.propertyLabel10, "propertyLabel10", 111, cc.size(109, 28), cc.p(153.1426, 434.0638), cc.p(0, 0.5), nil, nil, nil, nil)
	self.propertyLabel10:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.propertyLabel10)

	self.propertyLabel11 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.propertyLabel11, "propertyLabel11", 112, cc.size(109, 28), cc.p(153.1426, 401.9352), cc.p(0, 0.5), nil, nil, nil, nil)
	self.propertyLabel11:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.propertyLabel11)

	self.propertyLabel12 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.propertyLabel12, "propertyLabel12", 454, cc.size(109, 28), cc.p(153.1426, 369.8065), cc.p(0, 0.5), nil, nil, nil, nil)
	self.propertyLabel12:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.propertyLabel12)

	self.propertyLabel13 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.propertyLabel13, "propertyLabel13", 455, cc.size(109, 28), cc.p(153.1426, 337.6779), cc.p(0, 0.5), nil, nil, nil, nil)
	self.propertyLabel13:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.propertyLabel13)

	self.propertyNumLabel1 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.propertyNumLabel1, "propertyNumLabel1", 113, cc.size(109, 28), cc.p(371.0839, 723.2214), cc.p(0, 0.5), cc.c4b(7, 149, 55, 255), nil, nil, nil)
	self.propertyNumLabel1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.propertyNumLabel1:setColor(cc.c4b(7, 149, 55, 255))
	addChildForPre(self.dialogPanel_2, self.propertyNumLabel1)

	self.propertyNumLabel2 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.propertyNumLabel2, "propertyNumLabel2", 114, cc.size(109, 28), cc.p(371.0839, 691.0928), cc.p(0, 0.5), cc.c4b(7, 149, 55, 255), nil, nil, nil)
	self.propertyNumLabel2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.propertyNumLabel2:setColor(cc.c4b(7, 149, 55, 255))
	addChildForPre(self.dialogPanel_2, self.propertyNumLabel2)

	self.propertyNumLabel3 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.propertyNumLabel3, "propertyNumLabel3", 115, cc.size(109, 28), cc.p(371.0839, 658.9642), cc.p(0, 0.5), cc.c4b(7, 149, 55, 255), nil, nil, nil)
	self.propertyNumLabel3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.propertyNumLabel3:setColor(cc.c4b(7, 149, 55, 255))
	addChildForPre(self.dialogPanel_2, self.propertyNumLabel3)

	self.propertyNumLabel4 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.propertyNumLabel4, "propertyNumLabel4", 116, cc.size(109, 28), cc.p(371.0839, 626.8356), cc.p(0, 0.5), cc.c4b(7, 149, 55, 255), nil, nil, nil)
	self.propertyNumLabel4:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.propertyNumLabel4:setColor(cc.c4b(7, 149, 55, 255))
	addChildForPre(self.dialogPanel_2, self.propertyNumLabel4)

	self.propertyNumLabel5 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.propertyNumLabel5, "propertyNumLabel5", 117, cc.size(109, 28), cc.p(371.0839, 594.707), cc.p(0, 0.5), cc.c4b(7, 149, 55, 255), nil, nil, nil)
	self.propertyNumLabel5:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.propertyNumLabel5:setColor(cc.c4b(7, 149, 55, 255))
	addChildForPre(self.dialogPanel_2, self.propertyNumLabel5)

	self.propertyNumLabel6 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.propertyNumLabel6, "propertyNumLabel6", 118, cc.size(109, 28), cc.p(371.0839, 562.5784), cc.p(0, 0.5), cc.c4b(7, 149, 55, 255), nil, nil, nil)
	self.propertyNumLabel6:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.propertyNumLabel6:setColor(cc.c4b(7, 149, 55, 255))
	addChildForPre(self.dialogPanel_2, self.propertyNumLabel6)

	self.propertyNumLabel7 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.propertyNumLabel7, "propertyNumLabel7", 119, cc.size(109, 28), cc.p(371.0839, 530.4497), cc.p(0, 0.5), cc.c4b(7, 149, 55, 255), nil, nil, nil)
	self.propertyNumLabel7:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.propertyNumLabel7:setColor(cc.c4b(7, 149, 55, 255))
	addChildForPre(self.dialogPanel_2, self.propertyNumLabel7)

	self.propertyNumLabel8 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.propertyNumLabel8, "propertyNumLabel8", 120, cc.size(109, 28), cc.p(371.0839, 498.3211), cc.p(0, 0.5), cc.c4b(7, 149, 55, 255), nil, nil, nil)
	self.propertyNumLabel8:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.propertyNumLabel8:setColor(cc.c4b(7, 149, 55, 255))
	addChildForPre(self.dialogPanel_2, self.propertyNumLabel8)

	self.propertyNumLabel9 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.propertyNumLabel9, "propertyNumLabel9", 121, cc.size(109, 28), cc.p(371.0839, 466.1924), cc.p(0, 0.5), cc.c4b(7, 149, 55, 255), nil, nil, nil)
	self.propertyNumLabel9:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.propertyNumLabel9:setColor(cc.c4b(7, 149, 55, 255))
	addChildForPre(self.dialogPanel_2, self.propertyNumLabel9)

	self.propertyNumLabel10 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.propertyNumLabel10, "propertyNumLabel10", 122, cc.size(109, 28), cc.p(371.0839, 434.0638), cc.p(0, 0.5), cc.c4b(7, 149, 55, 255), nil, nil, nil)
	self.propertyNumLabel10:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.propertyNumLabel10:setColor(cc.c4b(7, 149, 55, 255))
	addChildForPre(self.dialogPanel_2, self.propertyNumLabel10)

	self.propertyNumLabel11 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.propertyNumLabel11, "propertyNumLabel11", 123, cc.size(109, 28), cc.p(371.0839, 401.9352), cc.p(0, 0.5), cc.c4b(7, 149, 55, 255), nil, nil, nil)
	self.propertyNumLabel11:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.propertyNumLabel11:setColor(cc.c4b(7, 149, 55, 255))
	addChildForPre(self.dialogPanel_2, self.propertyNumLabel11)

	self.propertyNumLabel12 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.propertyNumLabel12, "propertyNumLabel12", 456, cc.size(109, 28), cc.p(371.0839, 369.8065), cc.p(0, 0.5), cc.c4b(7, 149, 55, 255), nil, nil, nil)
	self.propertyNumLabel12:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.propertyNumLabel12:setColor(cc.c4b(7, 149, 55, 255))
	addChildForPre(self.dialogPanel_2, self.propertyNumLabel12)

	self.propertyNumLabel13 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.propertyNumLabel13, "propertyNumLabel13", 457, cc.size(109, 28), cc.p(371.0839, 337.6779), cc.p(0, 0.5), cc.c4b(7, 149, 55, 255), nil, nil, nil)
	self.propertyNumLabel13:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.propertyNumLabel13:setColor(cc.c4b(7, 149, 55, 255))
	addChildForPre(self.dialogPanel_2, self.propertyNumLabel13)

	self.closeButton = ccui.Button:create()
	setValue(self.closeButton, "closeButton", 185, cc.size(86, 55), cc.p(517.7327, 756.1398), nil, nil, nil, nil, nil)
	self.closeButton:loadTextureNormal("ccs/UiImages/common/CommonPanel_btn_X_1.png", 1)
	self.closeButton:loadTexturePressed("ccs/UiImages/common/CommonPanel_btn_X_1.png", 1)
	self.closeButton:loadTextureDisabled("ccs/UiImages/common/CommonPanel_btn_X_1.png", 1)
	self.closeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.closeButton:setTitleText([[]])
	self.closeButton:setTitleFontSize(14)
	self.closeButton:setTitleFontName(getFont())
	setClickEvent(self, self.closeButton, "closeButton")
	addChildForPre(self.dialogPanel_2, self.closeButton)

	self.propertyLabel14 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.propertyLabel14, "propertyLabel14", 490, cc.size(109, 28), cc.p(153.1426, 305.5493), cc.p(0, 0.5), nil, nil, nil, nil)
	self.propertyLabel14:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.propertyLabel14)

	self.propertyNumLabel14 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.propertyNumLabel14, "propertyNumLabel14", 491, cc.size(109, 28), cc.p(371.0839, 305.5493), cc.p(0, 0.5), cc.c4b(7, 149, 55, 255), nil, nil, nil)
	self.propertyNumLabel14:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.propertyNumLabel14:setColor(cc.c4b(7, 149, 55, 255))
	addChildForPre(self.dialogPanel_2, self.propertyNumLabel14)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/commonBg.plist",
	"ccs/plist/common.plist",
}

return _M
