-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 2267, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 2268, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "XYN_dialogPanel", 269, cc.size(640, 960), cc.p(318.6298, 481.3703), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.contentPanel = ccui.Layout:create()
	setValue(self.contentPanel, "contentPanel", 278, cc.size(494, 400), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.contentPanel)
	self.contentPanel_3 = self.contentPanel

	self.frameImage = ccui.ImageView:create()
	setValue(self.frameImage, "frameImage", 304, cc.size(494, 400), cc.p(247, 200), nil, nil, nil, nil, false)
	self.frameImage:loadTexture("ccs/UiImages/image9/commonPanel_s9_bg_1.png", 1)
	self.frameImage:setScale9Enabled(true)
	self.frameImage:setCapInsets(cc.rect(26, 30, 120, 10))
	addChildForPre(self.contentPanel_3, self.frameImage)

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 301, cc.size(470, 370), cc.p(247, 200), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/image9/CommonPanel_img_chuangkoubeijing_1.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(0, 0, 470, 5))
	addChildForPre(self.contentPanel_3, self.bgImage)

	self.shopListViewPanel = ccui.Layout:create()
	setValue(self.shopListViewPanel, "shopListViewPanel", 59, cc.size(470, 346), cc.p(247, 192), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.contentPanel_3, self.shopListViewPanel)

	self.PanelCommonHeader = cc.Sprite:create()
	setValue(self.PanelCommonHeader, "PanelCommonHeader", 279, cc.size(462, 106), cc.p(247, 396.2), nil, nil, nil, nil, nil)
	self.PanelCommonHeader:setScale(0.5)
	self.PanelCommonHeader:setSpriteFrame("ccs/UiImages/commonBg/CommonPanel_img_WinHeader_1.png")
	addChildForPre(self.contentPanel_3, self.PanelCommonHeader)

	self.dialogTitleLabel = createLabel({text=[[Text Label]], font=getFont(), size=30})
	setValue(self.dialogTitleLabel, "dialogTitleLabel", 302, cc.size(136, 34), cc.p(247, 398.16), nil, nil, nil, nil, nil)
	self.dialogTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.contentPanel_3, self.dialogTitleLabel)

	self.closeButton = ccui.Button:create()
	setValue(self.closeButton, "closeButton", 303, cc.size(80, 60), cc.p(455.0338, 388.6732), nil, nil, nil, nil, nil)
	self.closeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_close_0.png", 1)
	self.closeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_close_1.png", 1)
	self.closeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_close_0.png", 1)
	self.closeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.closeButton:setTitleText([[]])
	self.closeButton:setTitleColor(cc.c3b(65, 65, 70))
	self.closeButton:setTitleFontSize(14)
	self.closeButton:setTitleFontName(getFont())
	setClickEvent(self, self.closeButton, "closeButton")
	addChildForPre(self.contentPanel_3, self.closeButton)

	self.infoTextLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.infoTextLabel, "infoTextLabel", 864, cc.size(109, 28), cc.p(247, 220), nil, nil, nil, nil, nil)
	self.infoTextLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.contentPanel_3, self.infoTextLabel)

	self.buttonPanel = ccui.Layout:create()
	setValue(self.buttonPanel, "buttonPanel", 327, cc.size(466, 105), cc.p(320, 345.6), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.buttonPanel)
	self.buttonPanel_3 = self.buttonPanel

	self.bgImage1 = ccui.ImageView:create()
	setValue(self.bgImage1, "bgImage1", 105, cc.size(466, 105), cc.p(233, 52.5), nil, nil, nil, nil, false)
	self.bgImage1:loadTexture("ccs/UiImages/commonBg/CommonPanel_img_bg_1.jpg", 1)
	self.bgImage1:setScale9Enabled(true)
	self.bgImage1:setCapInsets(cc.rect(0, 0, 466, 79))
	addChildForPre(self.buttonPanel_3, self.bgImage1)

	self.redButton = ccui.Button:create()
	setValue(self.redButton, "redButton", 328, cc.size(153, 64), cc.p(130.4801, 48.5), nil, nil, nil, nil, false)
	self.redButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.redButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.redButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.redButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.redButton:setTitleText([[取消]])
	self.redButton:setTitleFontSize(30)
	self.redButton:setTitleFontName(getFont())
	setClickEvent(self, self.redButton, "redButton")
	addChildForPre(self.buttonPanel_3, self.redButton)

	self.blueButton = ccui.Button:create()
	setValue(self.blueButton, "blueButton", 329, cc.size(153, 64), cc.p(335.52, 48.5), nil, nil, nil, nil, false)
	self.blueButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.blueButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.blueButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.blueButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.blueButton:setTitleText([[充值]])
	self.blueButton:setTitleFontSize(30)
	self.blueButton:setTitleFontName(getFont())
	setClickEvent(self, self.blueButton, "blueButton")
	addChildForPre(self.buttonPanel_3, self.blueButton)

	self.buyTimesPanel = ccui.Layout:create()
	setValue(self.buyTimesPanel, "buyTimesPanel", 330, cc.size(494, 251), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.buyTimesPanel)
	self.buyTimesPanel_3 = self.buyTimesPanel

	self.Image2 = ccui.ImageView:create()
	setValue(self.Image2, "Image2", 107, cc.size(376, 89), cc.p(247, 164.3632), nil, nil, nil, nil, false)
	self.Image2:loadTexture("ccs/UiImages/image9/commonPanel_img_WinGouMaiDaoJu_1.png", 1)
	self.Image2:setScale9Enabled(true)
	self.Image2:setCapInsets(cc.rect(0, 0, 379, 89))
	addChildForPre(self.buyTimesPanel_3, self.Image2)

	self.Image1 = ccui.ImageView:create()
	setValue(self.Image1, "Image1", 106, cc.size(91, 54), cc.p(247, 166.7979), nil, nil, nil, nil, nil)
	self.Image1:loadTexture("ccs/UiImages/image9/commonPanel_TxtBg_WinGouMaiDaoJu_1.png", 1)
	addChildForPre(self.buyTimesPanel_3, self.Image1)

	self.jiaShiButton = ccui.Button:create()
	setValue(self.jiaShiButton, "jiaShiButton", 352, cc.size(56, 41), cc.p(390.26, 166.3712), nil, nil, nil, nil, false)
	self.jiaShiButton:loadTextureNormal("ccs/UiImages/image9/CommonPanel_btn_LittleBlue_0.png", 1)
	self.jiaShiButton:loadTexturePressed("ccs/UiImages/image9/CommonPanel_btn_LittleBlue_0.png", 1)
	self.jiaShiButton:loadTextureDisabled("ccs/UiImages/image9/CommonPanel_btn_LittleBlue_0.png", 1)
	self.jiaShiButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.jiaShiButton:setTitleText([[+10]])
	self.jiaShiButton:setTitleFontSize(24)
	self.jiaShiButton:setTitleFontName(getFont())
	setClickEvent(self, self.jiaShiButton, "jiaShiButton")
	addChildForPre(self.buyTimesPanel_3, self.jiaShiButton)

	self.jiaYiButton = ccui.Button:create()
	setValue(self.jiaYiButton, "jiaYiButton", 353, cc.size(56, 41), cc.p(328.51, 166.3712), nil, nil, nil, nil, false)
	self.jiaYiButton:loadTextureNormal("ccs/UiImages/image9/CommonPanel_btn_LittleBlue_0.png", 1)
	self.jiaYiButton:loadTexturePressed("ccs/UiImages/image9/CommonPanel_btn_LittleBlue_0.png", 1)
	self.jiaYiButton:loadTextureDisabled("ccs/UiImages/image9/CommonPanel_btn_LittleBlue_0.png", 1)
	self.jiaYiButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.jiaYiButton:setTitleText([[+1]])
	self.jiaYiButton:setTitleFontSize(24)
	self.jiaYiButton:setTitleFontName(getFont())
	setClickEvent(self, self.jiaYiButton, "jiaYiButton")
	addChildForPre(self.buyTimesPanel_3, self.jiaYiButton)

	self.jianYiButton = ccui.Button:create()
	setValue(self.jianYiButton, "jianYiButton", 354, cc.size(56, 41), cc.p(105, 166.3787), nil, nil, nil, nil, false)
	self.jianYiButton:loadTextureNormal("ccs/UiImages/image9/CommonPanel_btn_LittleRed_0.png", 1)
	self.jianYiButton:loadTexturePressed("ccs/UiImages/image9/CommonPanel_btn_LittleRed_0.png", 1)
	self.jianYiButton:loadTextureDisabled("ccs/UiImages/image9/CommonPanel_btn_LittleRed_0.png", 1)
	self.jianYiButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.jianYiButton:setTitleText([[-1]])
	self.jianYiButton:setTitleFontSize(24)
	self.jianYiButton:setTitleFontName(getFont())
	setClickEvent(self, self.jianYiButton, "jianYiButton")
	addChildForPre(self.buyTimesPanel_3, self.jianYiButton)

	self.jianShiButton = ccui.Button:create()
	setValue(self.jianShiButton, "jianShiButton", 355, cc.size(56, 41), cc.p(167.96, 166.3712), nil, nil, nil, nil, false)
	self.jianShiButton:loadTextureNormal("ccs/UiImages/image9/CommonPanel_btn_LittleRed_0.png", 1)
	self.jianShiButton:loadTexturePressed("ccs/UiImages/image9/CommonPanel_btn_LittleRed_0.png", 1)
	self.jianShiButton:loadTextureDisabled("ccs/UiImages/image9/CommonPanel_btn_LittleRed_0.png", 1)
	self.jianShiButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.jianShiButton:setTitleText([[-10]])
	self.jianShiButton:setTitleFontSize(24)
	self.jianShiButton:setTitleFontName(getFont())
	setClickEvent(self, self.jianShiButton, "jianShiButton")
	addChildForPre(self.buyTimesPanel_3, self.jianShiButton)

	self.numBGImage = ccui.ImageView:create()
	setValue(self.numBGImage, "numBGImage", 398, cc.size(100, 30), cc.p(244.7853, 139.6429), nil, nil, nil, nil, false)
	self.numBGImage:loadTexture("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.numBGImage:setScale9Enabled(true)
	self.numBGImage:setCapInsets(cc.rect(0, 0, 10, 10))
	addChildForPre(self.buyTimesPanel_3, self.numBGImage)

	self.buyNumText = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.buyNumText, "buyNumText", 420, cc.size(91, 23), cc.p(248.82, 166.3788), nil, nil, nil, nil, nil)
	self.buyNumText:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.buyTimesPanel_3, self.buyNumText)

	self.buyArenaFight2Text = createLabel({text=[[您购买特级宝箱的数量]], font=getFont(), size=24})
	setValue(self.buyArenaFight2Text, "buyArenaFight2Text", 442, cc.size(240, 28), cc.p(128.44, 254.3974), cc.p(0, 0.5), nil, nil, nil, nil)
	self.buyArenaFight2Text:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.buyTimesPanel_3, self.buyArenaFight2Text)

	self.todayCanBuyText = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.todayCanBuyText, "todayCanBuyText", 527, cc.size(91, 23), cc.p(248.82, 58.97), nil, cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.todayCanBuyText:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.todayCanBuyText:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.buyTimesPanel_3, self.todayCanBuyText)

	self.pricePanel = ccui.Layout:create()
	setValue(self.pricePanel, "pricePanel", 570, cc.size(494, 100), cc.p(0, 28), nil, nil, nil, nil, nil)
	addChildForPre(self.buyTimesPanel_3, self.pricePanel)
	self.pricePanel_4 = self.pricePanel

	self.Image_25 = ccui.ImageView:create()
	setValue(self.Image_25, "Image_25", 108, cc.size(200, 42), cc.p(247, 68), nil, nil, nil, nil, false)
	self.Image_25:loadTexture("ccs/UiImages/common/common_Partsimg_ditiao.png", 1)
	self.Image_25:setScale9Enabled(true)
	self.Image_25:setCapInsets(cc.rect(0, 0, 368, 42))
	addChildForPre(self.pricePanel_4, self.Image_25)

	self.IconDiamond = cc.Sprite:create()
	setValue(self.IconDiamond, "IconDiamond", 656, cc.size(46, 38), cc.p(242.8943, 69.5984), nil, nil, nil, nil, nil)
	self.IconDiamond:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainUi_zuanshi.png")
	addChildForPre(self.pricePanel_4, self.IconDiamond)

	self.totalPriceText = createLabel({text=[[总价]], font=getFont(), size=24})
	setValue(self.totalPriceText, "totalPriceText", 678, cc.size(48, 28), cc.p(169, 69.5984), cc.p(0, 0.5), nil, nil, nil, nil)
	self.totalPriceText:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.pricePanel_4, self.totalPriceText)

	self.totalPriceText_Copy = createLabel({text=[[100]], font=getFont(), size=24})
	setValue(self.totalPriceText_Copy, "totalPriceText_Copy", 679, cc.size(40, 28), cc.p(273, 69.5984), cc.p(0, 0.5), nil, nil, nil, nil)
	self.totalPriceText_Copy:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.pricePanel_4, self.totalPriceText_Copy)

	self.priceAllLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.priceAllLabel, "priceAllLabel", 613, cc.size(91, 23), cc.p(-301.977, 94.9403), nil, nil, nil, nil, nil)
	self.priceAllLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.buyTimesPanel_3, self.priceAllLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/commonBg.plist",
	"ccs/plist/common.plist",
	"ccs/plist/mainUiFeeling.plist",
}

return _M
