-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 1722, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	self.rootPanel:setClippingEnabled(true)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bgPanel = ccui.Layout:create()
	setValue(self.bgPanel, "AXY_bgPanel", 225, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	setBgColor(self.bgPanel, 1, nil, cc.c4b(31, 36, 44, 255), nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.bgPanel)
	self.bgPanel_2 = self.bgPanel

	self.PanelCommonBg = ccui.ImageView:create()
	setValue(self.PanelCommonBg, "LHY_PanelCommonBg", 126, cc.size(170.688, 960), cc.p(0, 480), cc.p(0, 0.5), nil, 235, nil, false)
	self.PanelCommonBg:loadTexture("ccs/UiImages/image9/common_img_jiemian04.png", 1)
	self.PanelCommonBg:setScale9Enabled(true)
	self.PanelCommonBg:setCapInsets(cc.rect(0, 18, 256, 82))
	addChildForPre(self.bgPanel_2, self.PanelCommonBg)

	self.PanelCommonBg2 = ccui.ImageView:create()
	setValue(self.PanelCommonBg2, "RHY_PanelCommonBg2", 144, cc.size(170.688, 960), cc.p(640, 480), cc.p(1, 0.5), nil, 235, nil, false)
	self.PanelCommonBg2:setFlippedX(true)
	self.PanelCommonBg2:loadTexture("ccs/UiImages/image9/common_img_jiemian04.png", 1)
	self.PanelCommonBg2:setScale9Enabled(true)
	self.PanelCommonBg2:setCapInsets(cc.rect(0, 18, 256, 82))
	addChildForPre(self.bgPanel_2, self.PanelCommonBg2)

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "AXY_bgImage", 1042, cc.size(640, 1141), cc.p(320, 480), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/BigImages/background/countryBattle_img_bg_1.webp")
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(0, 0, 375, 667))
	addChildForPre(self.bgPanel_2, self.bgImage)

	self.worldBossBg = ccui.ImageView:create()
	setValue(self.worldBossBg, "GXY_worldBossBg", 129, cc.size(46, 46), cc.p(320, 595.2), nil, nil, nil, nil, nil)
	self.worldBossBg:loadTexture("Default/ImageFile.png")
	addChildForPre(self.bgPanel_2, self.worldBossBg)

	self.wavePanel = ccui.Layout:create()
	setValue(self.wavePanel, "GXY_wavePanel", 634, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.bgPanel_2, self.wavePanel)
	self.wavePanel_3 = self.wavePanel

	self.bossPanel = ccui.Layout:create()
	setValue(self.bossPanel, "bossPanel", 867, cc.size(200, 200), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.bossPanel:setScale(2.22)
	addChildForPre(self.wavePanel_3, self.bossPanel)
	self.bossPanel_4 = self.bossPanel

	self.worldBossWaveBg = ccui.ImageView:create()
	setValue(self.worldBossWaveBg, "worldBossWaveBg", 633, cc.size(46, 46), cc.p(100, 252), nil, nil, nil, nil, nil)
	self.worldBossWaveBg:loadTexture("Default/ImageFile.png")
	addChildForPre(self.bossPanel_4, self.worldBossWaveBg)

	self.PanelCommonHeader = ccui.ImageView:create()
	setValue(self.PanelCommonHeader, "WTX_PanelCommonHeader", 485, cc.size(640, 74), cc.p(320.0001, 923.0002), nil, nil, nil, nil, false)
	self.PanelCommonHeader:loadTexture("ccs/UiImages/image9/common_img_jiemian01.png", 1)
	self.PanelCommonHeader:setScale9Enabled(true)
	self.PanelCommonHeader:setCapInsets(cc.rect(0, 0, 640, 74))
	addChildForPre(self.bgPanel_2, self.PanelCommonHeader)

	self.dialogTitleLabel = createLabel({text=[[Title]], font=getFont(), size=30,valign = 1})
	setValue(self.dialogTitleLabel, "TXN_dialogTitleLabel", 87, cc.size(55, 34), cc.p(320, 931.2), nil, nil, nil, nil, nil)
	self.dialogTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bgPanel_2, self.dialogTitleLabel)

	self.mainButton = ccui.Button:create()
	setValue(self.mainButton, "TXN_mainButton", 59, cc.size(92, 71), cc.p(0, 960), cc.p(0, 1), nil, nil, nil, nil)
	self.mainButton:loadTextureNormal("ccs/UiImages/image9/common_btn_home_0.png", 1)
	self.mainButton:loadTexturePressed("ccs/UiImages/image9/common_btn_home_0.png", 1)
	self.mainButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_home_0.png", 1)
	self.mainButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.mainButton:setTitleText([[]])
	self.mainButton:setTitleColor(cc.c3b(65, 65, 70))
	self.mainButton:setTitleFontSize(14)
	self.mainButton:setTitleFontName(getFont())
	setClickEvent(self, self.mainButton, "mainButton")
	addChildForPre(self.bgPanel_2, self.mainButton)

	self.closeButton = ccui.Button:create()
	setValue(self.closeButton, "TRN_closeButton", 60, cc.size(92, 72), cc.p(640, 960), cc.p(1, 1), nil, nil, nil, nil)
	self.closeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_close_0.png", 1)
	self.closeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_close_1.png", 1)
	self.closeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_close_0.png", 1)
	self.closeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.closeButton:setTitleText([[]])
	self.closeButton:setTitleColor(cc.c3b(65, 65, 70))
	self.closeButton:setTitleFontSize(14)
	self.closeButton:setTitleFontName(getFont())
	setClickEvent(self, self.closeButton, "closeButton")
	addChildForPre(self.bgPanel_2, self.closeButton)

	self.Image = ccui.ImageView:create()
	setValue(self.Image, "WBX_Image", 356, cc.size(640, 8), cc.p(320, 4.032), nil, nil, nil, nil, false)
	self.Image:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	self.Image:setScale9Enabled(true)
	self.Image:setCapInsets(cc.rect(0, 0, 640, 8))
	addChildForPre(self.bgPanel_2, self.Image)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/BigImages/background/countryBattle_img_bg_1.jpg",
	"Default/ImageFile.png",
}

return _M
