-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 85, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 86, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "AXY_Panel", 1731, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Panel)
	self.Panel_2 = self.Panel

	self.boxPanel = ccui.Layout:create()
	setValue(self.boxPanel, "WXY_boxPanel", 589, cc.size(640, 500), cc.p(0, 480), cc.p(0, 0.5), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.boxPanel)
	self.boxPanel_3 = self.boxPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 257, cc.size(494, 426), cc.p(320, 250), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/image9/commonPanel_s9_bg_1.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(30, 30, 112, 10))
	addChildForPre(self.boxPanel_3, self.bgImage)

	self.titleSprite = cc.Sprite:create()
	setValue(self.titleSprite, "titleSprite", 256, cc.size(462, 106), cc.p(320, 452.3), nil, nil, nil, nil, nil)
	self.titleSprite:setScale(0.5)
	self.titleSprite:setSpriteFrame("ccs/UiImages/commonBg/CommonPanel_img_WinHeader_1.png")
	addChildForPre(self.boxPanel_3, self.titleSprite)

	self.buttomImage = ccui.ImageView:create()
	setValue(self.buttomImage, "buttomImage", 485, cc.size(466, 79), cc.p(320, 90), nil, nil, nil, nil, nil)
	self.buttomImage:loadTexture("ccs/UiImages/image9/CommonPanel_Btnimg_bg_1.jpg", 1)
	addChildForPre(self.boxPanel_3, self.buttomImage)

	self.titelLabel = createLabel({text=[[Text Label]], font=getFont(), size=30})
	setValue(self.titelLabel, "titelLabel", 588, cc.size(136, 34), cc.p(320, 452.3), nil, nil, nil, nil, nil)
	self.titelLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.boxPanel_3, self.titelLabel)

	self.redButton = ccui.Button:create()
	setValue(self.redButton, "redButton", 230, cc.size(153, 64), cc.p(427.2147, 85), nil, nil, nil, nil, false)
	self.redButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.redButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.redButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.redButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.redButton:setTitleText([[Button]])
	self.redButton:setTitleFontSize(24)
	self.redButton:setTitleFontName(getFont())
	setClickEvent(self, self.redButton, "redButton")
	addChildForPre(self.boxPanel_3, self.redButton)

	self.blueButton = ccui.Button:create()
	setValue(self.blueButton, "blueButton", 229, cc.size(153, 64), cc.p(194.5293, 85), nil, nil, nil, nil, false)
	self.blueButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.blueButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.blueButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.blueButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.blueButton:setTitleText([[Button]])
	self.blueButton:setTitleFontSize(24)
	self.blueButton:setTitleFontName(getFont())
	setClickEvent(self, self.blueButton, "blueButton")
	addChildForPre(self.boxPanel_3, self.blueButton)

	self.topPanel = ccui.Layout:create()
	setValue(self.topPanel, "WXY_topPanel", 563, cc.size(470, 184), cc.p(320, 508.8), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.topPanel)
	self.topPanel_3 = self.topPanel

	self.fourStarTankSp = cc.Sprite:create()
	setValue(self.fourStarTankSp, "fourStarTankSp", 574, cc.size(199, 59), cc.p(128.8921, 133.6816), nil, nil, nil, nil, nil)
	self.fourStarTankSp:setSpriteFrame("ccs/UiImages/commonBg/common_img_04.png")
	addChildForPre(self.topPanel_3, self.fourStarTankSp)

	self.threeStarTankSp = cc.Sprite:create()
	setValue(self.threeStarTankSp, "threeStarTankSp", 576, cc.size(199, 59), cc.p(349.6418, 133.6816), nil, nil, nil, nil, nil)
	self.threeStarTankSp:setSpriteFrame("ccs/UiImages/commonBg/common_img_03.png")
	addChildForPre(self.topPanel_3, self.threeStarTankSp)

	self.twoStarTankSp = cc.Sprite:create()
	setValue(self.twoStarTankSp, "twoStarTankSp", 578, cc.size(199, 59), cc.p(128.8921, 48.0432), nil, nil, nil, nil, nil)
	self.twoStarTankSp:setSpriteFrame("ccs/UiImages/commonBg/common_img_02.png")
	addChildForPre(self.topPanel_3, self.twoStarTankSp)

	self.oneStarTankSp = cc.Sprite:create()
	setValue(self.oneStarTankSp, "oneStarTankSp", 572, cc.size(199, 59), cc.p(349.6418, 48.0432), nil, nil, nil, nil, nil)
	self.oneStarTankSp:setSpriteFrame("ccs/UiImages/commonBg/common_img_01.png")
	addChildForPre(self.topPanel_3, self.oneStarTankSp)

	self.oneStarTankBox = ccui.CheckBox:create()
	setValue(self.oneStarTankBox, "oneStarTankBox", 565, cc.size(68, 68), cc.p(415.7043, 48.0433), nil, nil, nil, nil, nil)
	self.oneStarTankBox:setScale(0.8)
	self.oneStarTankBox:loadTextureBackGround("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.oneStarTankBox:loadTextureBackGroundSelected("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.oneStarTankBox:loadTextureBackGroundDisabled("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.oneStarTankBox:loadTextureFrontCross("ccs/UiImages/common/common_btn_xuanzhong_1.png", 1)
	self.oneStarTankBox:loadTextureFrontCrossDisabled("ccs/UiImages/common/common_btn_xuanzhong_1.png", 1)
	addChildForPre(self.topPanel_3, self.oneStarTankBox)

	self.twoStarTankBox = ccui.CheckBox:create()
	setValue(self.twoStarTankBox, "twoStarTankBox", 566, cc.size(68, 68), cc.p(195.9015, 48.0432), nil, nil, nil, nil, nil)
	self.twoStarTankBox:setScale(0.8)
	self.twoStarTankBox:loadTextureBackGround("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.twoStarTankBox:loadTextureBackGroundSelected("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.twoStarTankBox:loadTextureBackGroundDisabled("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.twoStarTankBox:loadTextureFrontCross("ccs/UiImages/common/common_btn_xuanzhong_1.png", 1)
	self.twoStarTankBox:loadTextureFrontCrossDisabled("ccs/UiImages/common/common_btn_xuanzhong_1.png", 1)
	addChildForPre(self.topPanel_3, self.twoStarTankBox)

	self.threeStarTankBox = ccui.CheckBox:create()
	setValue(self.threeStarTankBox, "threeStarTankBox", 567, cc.size(68, 68), cc.p(415.7043, 133.6816), nil, nil, nil, nil, nil)
	self.threeStarTankBox:setScale(0.8)
	self.threeStarTankBox:loadTextureBackGround("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.threeStarTankBox:loadTextureBackGroundSelected("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.threeStarTankBox:loadTextureBackGroundDisabled("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.threeStarTankBox:loadTextureFrontCross("ccs/UiImages/common/common_btn_xuanzhong_1.png", 1)
	self.threeStarTankBox:loadTextureFrontCrossDisabled("ccs/UiImages/common/common_btn_xuanzhong_1.png", 1)
	addChildForPre(self.topPanel_3, self.threeStarTankBox)

	self.fourStarTankBox = ccui.CheckBox:create()
	setValue(self.fourStarTankBox, "fourStarTankBox", 568, cc.size(68, 68), cc.p(195.9015, 133.6815), nil, nil, nil, nil, nil)
	self.fourStarTankBox:setScale(0.8)
	self.fourStarTankBox:loadTextureBackGround("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.fourStarTankBox:loadTextureBackGroundSelected("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.fourStarTankBox:loadTextureBackGroundDisabled("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.fourStarTankBox:loadTextureFrontCross("ccs/UiImages/common/common_btn_xuanzhong_1.png", 1)
	self.fourStarTankBox:loadTextureFrontCrossDisabled("ccs/UiImages/common/common_btn_xuanzhong_1.png", 1)
	addChildForPre(self.topPanel_3, self.fourStarTankBox)

	self.oneStarTankLabel = createLabel({text=[[1]], font=getFont(), size=30})
	setValue(self.oneStarTankLabel, "oneStarTankLabel", 573, cc.size(16, 34), cc.p(309.1154, 48.0433), nil, nil, nil, nil, nil)
	self.oneStarTankLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.topPanel_3, self.oneStarTankLabel)

	self.twoStarTankLabel = createLabel({text=[[2]], font=getFont(), size=30})
	setValue(self.twoStarTankLabel, "twoStarTankLabel", 575, cc.size(16, 34), cc.p(83.847, 48.0433), nil, nil, nil, nil, nil)
	self.twoStarTankLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.topPanel_3, self.twoStarTankLabel)

	self.threeStarTankLabel = createLabel({text=[[3]], font=getFont(), size=30})
	setValue(self.threeStarTankLabel, "threeStarTankLabel", 577, cc.size(16, 34), cc.p(309.1154, 133.6816), nil, nil, nil, nil, nil)
	self.threeStarTankLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.topPanel_3, self.threeStarTankLabel)

	self.fourStarTankLabel = createLabel({text=[[4]], font=getFont(), size=30})
	setValue(self.fourStarTankLabel, "fourStarTankLabel", 579, cc.size(16, 34), cc.p(83.847, 133.6816), nil, nil, nil, nil, nil)
	self.fourStarTankLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.topPanel_3, self.fourStarTankLabel)

	self.star4Sp = cc.Sprite:create()
	setValue(self.star4Sp, "star4Sp", 584, cc.size(40, 38), cc.p(141.5407, 133.6815), nil, nil, nil, nil, nil)
	self.star4Sp:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.topPanel_3, self.star4Sp)

	self.star4Sp = cc.Sprite:create()
	setValue(self.star4Sp, "star4Sp", 585, cc.size(40, 38), cc.p(362.1455, 133.6815), nil, nil, nil, nil, nil)
	self.star4Sp:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.topPanel_3, self.star4Sp)

	self.star2Sp = cc.Sprite:create()
	setValue(self.star2Sp, "star2Sp", 586, cc.size(40, 38), cc.p(141.5409, 48.0432), nil, nil, nil, nil, nil)
	self.star2Sp:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.topPanel_3, self.star2Sp)

	self.star1Sp = cc.Sprite:create()
	setValue(self.star1Sp, "star1Sp", 587, cc.size(40, 38), cc.p(362.1453, 48.0433), nil, nil, nil, nil, nil)
	self.star1Sp:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.topPanel_3, self.star1Sp)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/common.plist",
	"ccs/plist/commonPanelPartsC.plist",
	"ccs/plist/camp.plist",
}

return _M
