-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 1722, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 225, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.PanelCommonBg = ccui.ImageView:create()
	setValue(self.PanelCommonBg, "LHY_PanelCommonBg", 126, cc.size(170.688, 960), cc.p(0, 480), cc.p(0, 0.5), nil, 235, nil, false)
	self.PanelCommonBg:loadTexture("ccs/UiImages/image9/common_img_jiemian04.png", 1)
	self.PanelCommonBg:setScale9Enabled(true)
	self.PanelCommonBg:setCapInsets(cc.rect(0, 1, 256, 17))
	addChildForPre(self.dialogPanel_2, self.PanelCommonBg)

	self.PanelCommonBg2 = ccui.ImageView:create()
	setValue(self.PanelCommonBg2, "RHY_PanelCommonBg2", 144, cc.size(170.688, 960), cc.p(640, 480), cc.p(1, 0.5), nil, 235, nil, false)
	self.PanelCommonBg2:setFlippedX(true)
	self.PanelCommonBg2:loadTexture("ccs/UiImages/image9/common_img_jiemian04.png", 1)
	self.PanelCommonBg2:setScale9Enabled(true)
	self.PanelCommonBg2:setCapInsets(cc.rect(0, 1, 256, 17))
	addChildForPre(self.dialogPanel_2, self.PanelCommonBg2)

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "AXY_bgImage", 744, cc.size(640, 1141), cc.p(320, 480), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/BigImages/background/countryBattle_img_bg_1.webp")
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(0, 0, 375, 667))
	addChildForPre(self.dialogPanel_2, self.bgImage)

	self.PanelCommonHeader = ccui.ImageView:create()
	setValue(self.PanelCommonHeader, "WTX_PanelCommonHeader", 52, cc.size(640, 59), cc.p(319.9999, 937.0001), nil, nil, nil, nil, false)
	self.PanelCommonHeader:loadTexture("ccs/UiImages/image9/shop_img_bg_1.png", 1)
	self.PanelCommonHeader:setScale9Enabled(true)
	self.PanelCommonHeader:setCapInsets(cc.rect(0, 0, 640, 59))
	addChildForPre(self.dialogPanel_2, self.PanelCommonHeader)

	self.closeButton = ccui.Button:create()
	setValue(self.closeButton, "RTN_closeButton", 22, cc.size(80, 60), cc.p(640, 960), cc.p(1, 1), nil, nil, nil, nil)
	self.closeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_close_0.png", 1)
	self.closeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_close_1.png", 1)
	self.closeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_close_0.png", 1)
	self.closeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.closeButton:setTitleText([[]])
	self.closeButton:setTitleColor(cc.c3b(65, 65, 70))
	self.closeButton:setTitleFontSize(14)
	self.closeButton:setTitleFontName(getFont())
	setClickEvent(self, self.closeButton, "closeButton")
	addChildForPre(self.dialogPanel_2, self.closeButton)

	self.headPanel = ccui.Layout:create()
	setValue(self.headPanel, "TXN_headPanel", 87, cc.size(640, 50), cc.p(320, 936), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.headPanel)
	self.headPanel_3 = self.headPanel

	self.diamondLable = createLabel({text=[[0]], font=getFont(), size=24})
	setValue(self.diamondLable, "diamondLable", 19, cc.size(13, 28), cc.p(402.8027, 27.821), cc.p(0, 0.5), nil, nil, nil, nil)
	self.diamondLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.headPanel_3, self.diamondLable)

	self.moneyLable = createLabel({text=[[0]], font=getFont(), size=24})
	setValue(self.moneyLable, "moneyLable", 20, cc.size(13, 28), cc.p(169.3461, 27.821), cc.p(0, 0.5), nil, nil, nil, nil)
	self.moneyLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.headPanel_3, self.moneyLable)

	self.moneySprite = cc.Sprite:create()
	setValue(self.moneySprite, "moneySprite", 17, cc.size(35, 35), cc.p(140, 27.8209), nil, nil, nil, nil, nil)
	self.moneySprite:setSpriteFrame("ccs/UiImages/common/commonIcon_icon_Gold_1.png")
	addChildForPre(self.headPanel_3, self.moneySprite)

	self.diamondSprite = cc.Sprite:create()
	setValue(self.diamondSprite, "diamondSprite", 18, cc.size(35, 35), cc.p(370, 27.821), nil, nil, nil, nil, nil)
	self.diamondSprite:setSpriteFrame("ccs/UiImages/common/commonIcon_icon_ZuanShi_1.png")
	addChildForPre(self.headPanel_3, self.diamondSprite)

	self.goldButton = ccui.Button:create()
	self.goldButton:setScale9Enabled(true)
	self.goldButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.goldButton:setContentSize(cc.size(130, 30))
	setValue(self.goldButton, "goldButton", 1196, nil, cc.p(196.0296, 27.7853), nil, nil, nil, nil, false)
	self.goldButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.goldButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.goldButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.goldButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.goldButton:setTitleText([[]])
	self.goldButton:setTitleColor(cc.c3b(65, 65, 70))
	self.goldButton:setTitleFontSize(14)
	self.goldButton:setTitleFontName(getFont())
	setClickEvent(self, self.goldButton, "goldButton")
	addChildForPre(self.headPanel_3, self.goldButton)

	self.gemButton = ccui.Button:create()
	self.gemButton:setScale9Enabled(true)
	self.gemButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.gemButton:setContentSize(cc.size(130, 30))
	setValue(self.gemButton, "gemButton", 1197, nil, cc.p(421.6107, 27.0482), nil, nil, nil, nil, false)
	self.gemButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.gemButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.gemButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.gemButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.gemButton:setTitleText([[]])
	self.gemButton:setTitleColor(cc.c3b(65, 65, 70))
	self.gemButton:setTitleFontSize(14)
	self.gemButton:setTitleFontName(getFont())
	setClickEvent(self, self.gemButton, "gemButton")
	addChildForPre(self.headPanel_3, self.gemButton)

	self.Image = ccui.ImageView:create()
	setValue(self.Image, "WBN_Image", 280, cc.size(640, 8), cc.p(319.9999, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.Image:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	self.Image:setScale9Enabled(true)
	self.Image:setCapInsets(cc.rect(0, 0, 640, 8))
	addChildForPre(self.dialogPanel_2, self.Image)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/BigImages/background/countryBattle_img_bg_1.jpg",
	"ccs/plist/common.plist",
}

return _M
