-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 6, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 7, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "XYN_dialogPanel", 15, cc.size(463, 297), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.Image_7 = ccui.ImageView:create()
	setValue(self.Image_7, "Image_7", 60, cc.size(463, 297), cc.p(231.5, 148.5), nil, nil, nil, nil, false)
	self.Image_7:loadTexture("ccs/UiImages/image9/commonPanel_s9_bg_1.png", 1)
	self.Image_7:setScale9Enabled(true)
	self.Image_7:setCapInsets(cc.rect(30, 30, 112, 10))
	addChildForPre(self.dialogPanel_2, self.Image_7)

	self.Image_8 = ccui.ImageView:create()
	setValue(self.Image_8, "Image_8", 61, cc.size(324.1, 273.24), cc.p(231.5, 148.5), nil, nil, nil, nil, false)
	self.Image_8:loadTexture("ccs/UiImages/image9/CommonPanel_img_chuangkoubeijing_1.png", 1)
	self.Image_8:setScale9Enabled(true)
	self.Image_8:setCapInsets(cc.rect(0, 0, 470, 5))
	addChildForPre(self.dialogPanel_2, self.Image_8)

	self.Image_9 = ccui.ImageView:create()
	setValue(self.Image_9, "Image_9", 62, cc.size(435.22, 68.31), cc.p(231.5, 47.52), nil, nil, nil, nil, false)
	self.Image_9:loadTexture("ccs/UiImages/commonBg/CommonPanel_img_bg_1.jpg", 1)
	self.Image_9:setScale9Enabled(true)
	self.Image_9:setCapInsets(cc.rect(0, 0, 466, 79))
	addChildForPre(self.dialogPanel_2, self.Image_9)

	self.weChatButton = ccui.Button:create()
	setValue(self.weChatButton, "weChatButton", 63, cc.size(153, 64), cc.p(231.5, 44.55), nil, nil, nil, nil, false)
	self.weChatButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.weChatButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.weChatButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.weChatButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.weChatButton:setTitleText([[Button]])
	self.weChatButton:setTitleFontSize(22)
	self.weChatButton:setTitleFontName(getFont())
	setClickEvent(self, self.weChatButton, "weChatButton")
	addChildForPre(self.dialogPanel_2, self.weChatButton)

	self.titlePanel = ccui.Layout:create()
	setValue(self.titlePanel, "titlePanel", 78, cc.size(200, 59), cc.p(231.5, 291.06), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.titlePanel)
	self.titlePanel_3 = self.titlePanel

	self.Sprite_8 = cc.Sprite:create()
	setValue(self.Sprite_8, "Sprite_8", 79, cc.size(462, 106), cc.p(100, 29.5), nil, nil, nil, nil, nil)
	self.Sprite_8:setScale(0.5)
	self.Sprite_8:setSpriteFrame("ccs/UiImages/commonBg/CommonPanel_img_WinHeader_1.png")
	addChildForPre(self.titlePanel_3, self.Sprite_8)

	self.titelLabel = createLabel({text=[[Text Label]], font=getFont(), size=30})
	setValue(self.titelLabel, "titelLabel", 80, cc.size(136, 34), cc.p(100, 29.5), nil, nil, nil, nil, nil)
	self.titelLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.titlePanel_3, self.titelLabel)

	self.closeButton = ccui.Button:create()
	setValue(self.closeButton, "closeButton", 82, cc.size(91, 72), cc.p(416.7, 282.15), nil, nil, nil, nil, nil)
	self.closeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_close_0.png", 1)
	self.closeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_close_1.png", 1)
	self.closeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_close_1.png", 1)
	self.closeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.closeButton:setTitleText([[]])
	self.closeButton:setTitleColor(cc.c3b(65, 65, 70))
	self.closeButton:setTitleFontSize(14)
	self.closeButton:setTitleFontName(getFont())
	setClickEvent(self, self.closeButton, "closeButton")
	addChildForPre(self.dialogPanel_2, self.closeButton)

	self.Panel1 = ccui.Layout:create()
	setValue(self.Panel1, "Panel1", 98, cc.size(463, 297), cc.p(231.5, 148.5), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.Panel1)
	self.Panel1_3 = self.Panel1

	self.infoLabel = createLabel({text=[[Text Label]], font=getFont(), size=24, dimensions = cc.size(285.0000, 28.0000)})
	setValue(self.infoLabel, "infoLabel", 81, cc.size(285, 28), cc.p(231.5, 245.5999), nil, nil, nil, nil, false)
	self.infoLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel1_3, self.infoLabel)

	self.listViewPanel = ccui.Layout:create()
	setValue(self.listViewPanel, "listViewPanel", 64, cc.size(421.33, 130), cc.p(231.5, 157.41), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.Panel1_3, self.listViewPanel)

	self.Panel2 = ccui.Layout:create()
	setValue(self.Panel2, "Panel2", 97, cc.size(463, 297), cc.p(231.5, 148.5), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Panel2:setVisible(false)
	addChildForPre(self.dialogPanel_2, self.Panel2)
	self.Panel2_3 = self.Panel2

	self.promptlabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.promptlabel, "promptlabel", 103, cc.size(91, 23), cc.p(231.5, 148.5), nil, nil, nil, nil, nil)
	self.promptlabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel2_3, self.promptlabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/commonBg.plist",
}

return _M
