-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 217, cc.size(1125, 750), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bigPanel = ccui.Layout:create()
	setValue(self.bigPanel, "bigPanel", 90, cc.size(2000, 2000), cc.p(667, 375), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.bigPanel)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "dialogPanel", 219, cc.size(1000, 600), cc.p(562.5, 375), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.PanelCommonBg = ccui.ImageView:create()
	setValue(self.PanelCommonBg, "PanelCommonBg", 121, cc.size(1000, 600), cc.p(500, 300), nil, nil, nil, nil, false)
	self.PanelCommonBg:loadTexture("ccs/BigImages/commonPanel/PanelCommonBg.webp")
	self.PanelCommonBg:setScale9Enabled(true)
	self.PanelCommonBg:setCapInsets(cc.rect(0, 0, 10, 10))
	addChildForPre(self.dialogPanel_2, self.PanelCommonBg)

	self.PanelCommonOnMiddle = cc.Sprite:create()
	setValue(self.PanelCommonOnMiddle, "PanelCommonOnMiddle", 324, cc.size(977, 23), cc.p(500, 594), nil, nil, nil, nil, nil)
	self.PanelCommonOnMiddle:setSpriteFrame("ccs/UiImages/common/PanelCommonOnMiddle.png")
	addChildForPre(self.dialogPanel_2, self.PanelCommonOnMiddle)

	self.PanelCommonOnLeft1 = cc.Sprite:create()
	setValue(self.PanelCommonOnLeft1, "PanelCommonOnLeft1", 327, cc.size(12, 588), cc.p(0, 300), nil, nil, nil, nil, nil)
	self.PanelCommonOnLeft1:setSpriteFrame("ccs/UiImages/common/PanelCommonOnLeft1.png")
	addChildForPre(self.dialogPanel_2, self.PanelCommonOnLeft1)

	self.PanelCommonOnLeft1 = cc.Sprite:create()
	setValue(self.PanelCommonOnLeft1, "PanelCommonOnLeft1", 326, cc.size(12, 588), cc.p(1000, 300), nil, nil, nil, nil, nil)
	self.PanelCommonOnLeft1:setFlippedX(true)
	self.PanelCommonOnLeft1:setSpriteFrame("ccs/UiImages/common/PanelCommonOnLeft1.png")
	addChildForPre(self.dialogPanel_2, self.PanelCommonOnLeft1)

	self.PanelCommonUnderMiddle1 = cc.Sprite:create()
	setValue(self.PanelCommonUnderMiddle1, "PanelCommonUnderMiddle1", 325, cc.size(844, 16), cc.p(500, 0), nil, nil, nil, nil, nil)
	self.PanelCommonUnderMiddle1:setScaleX(1.18)
	self.PanelCommonUnderMiddle1:setScaleY(1)
	self.PanelCommonUnderMiddle1:setSpriteFrame("ccs/UiImages/common/PanelCommonUnderMiddle1.png")
	addChildForPre(self.dialogPanel_2, self.PanelCommonUnderMiddle1)

	self.PanelCommonOnLeft3 = cc.Sprite:create()
	setValue(self.PanelCommonOnLeft3, "PanelCommonOnLeft3", 253, cc.size(42, 80), cc.p(2.0001, 565.1631), nil, nil, nil, nil, nil)
	self.PanelCommonOnLeft3:setSpriteFrame("ccs/UiImages/common/PanelCommonOnLeft3.png")
	addChildForPre(self.dialogPanel_2, self.PanelCommonOnLeft3)

	self.PanelCommonOnLeft3_Copy = cc.Sprite:create()
	setValue(self.PanelCommonOnLeft3_Copy, "PanelCommonOnLeft3_Copy", 321, cc.size(42, 80), cc.p(999, 568.02), nil, nil, nil, nil, nil)
	self.PanelCommonOnLeft3_Copy:setFlippedX(true)
	self.PanelCommonOnLeft3_Copy:setSpriteFrame("ccs/UiImages/common/PanelCommonOnLeft3.png")
	addChildForPre(self.dialogPanel_2, self.PanelCommonOnLeft3_Copy)

	self.PanelCommonUnderRight = cc.Sprite:create()
	setValue(self.PanelCommonUnderRight, "PanelCommonUnderRight", 278, cc.size(106, 76), cc.p(959.1413, 27.8369), nil, nil, nil, nil, nil)
	self.PanelCommonUnderRight:setSpriteFrame("ccs/UiImages/common/PanelCommonUnderRight.png")
	addChildForPre(self.dialogPanel_2, self.PanelCommonUnderRight)

	self.PanelCommonUnderRight_Copy = cc.Sprite:create()
	setValue(self.PanelCommonUnderRight_Copy, "PanelCommonUnderRight_Copy", 322, cc.size(106, 76), cc.p(41, 25.98), nil, nil, nil, nil, nil)
	self.PanelCommonUnderRight_Copy:setFlippedX(true)
	self.PanelCommonUnderRight_Copy:setSpriteFrame("ccs/UiImages/common/PanelCommonUnderRight.png")
	addChildForPre(self.dialogPanel_2, self.PanelCommonUnderRight_Copy)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/BigImages/commonPanel/PanelCommonBg.jpg",
	"ccs/plist/common.plist",
}

return _M
