-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 183, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 184, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonNewUi then 
 		self.commonNewUi = CommonNewUi.new() 
 	else 
		self.commonNewUi = BaseUi.new("ccs/ui/commonDialog/CommonNewUi.lua")
 	end 
	setValue(self.commonNewUi, "commonNewUi", 352, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonNewUi)

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "AXY_Panel", 139, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Panel)
	self.Panel_2 = self.Panel

	self.tablePanel = ccui.Layout:create()
	setValue(self.tablePanel, "tablePanel", 361, cc.size(640, 800), cc.p(320, 9.6), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.tablePanel)

	self.commonArticleBox = ccui.ImageView:create()
	setValue(self.commonArticleBox, "WTX_commonArticleBox", 1087, cc.size(640, 62), cc.p(320, 839.2), nil, nil, nil, nil, nil)
	self.commonArticleBox:loadTexture("ccs/UiImages/commonBg/common_img_diban00.png", 1)
	addChildForPre(self.Panel_2, self.commonArticleBox)

	self.topMenuPanel = ccui.Layout:create()
	setValue(self.topMenuPanel, "LTN_topMenuPanel", 217, cc.size(320, 50), cc.p(0, 816), nil, nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.topMenuPanel)
	self.topMenuPanel_3 = self.topMenuPanel

	self.contestButton = ccui.Button:create()
	setValue(self.contestButton, "contestButton", 128, cc.size(124, 46), cc.p(80, 25), nil, nil, nil, nil, false)
	self.contestButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.contestButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.contestButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.contestButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.contestButton:setTitleText([[contestButton]])
	self.contestButton:setTitleFontSize(24)
	self.contestButton:setTitleFontName(getFont())
	setClickEvent(self, self.contestButton, "contestButton")
	addChildForPre(self.topMenuPanel_3, self.contestButton)

	self.worldButton = ccui.Button:create()
	setValue(self.worldButton, "worldButton", 456, cc.size(124, 46), cc.p(240, 25), nil, nil, nil, nil, false)
	self.worldButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.worldButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.worldButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.worldButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.worldButton:setTitleText([[contestButton]])
	self.worldButton:setTitleFontSize(24)
	self.worldButton:setTitleFontName(getFont())
	setClickEvent(self, self.worldButton, "worldButton")
	addChildForPre(self.topMenuPanel_3, self.worldButton)

	self.infoButton = ccui.Button:create()
	setValue(self.infoButton, "RTN_infoButton", 138, cc.size(68, 42), cc.p(569.6, 844.8), nil, nil, nil, nil, nil)
	self.infoButton:setScale(0.8)
	self.infoButton:loadTextureNormal("ccs/UiImages/image9/common_btn_xiangqing.png", 1)
	self.infoButton:loadTexturePressed("ccs/UiImages/image9/common_btn_xiangqing.png", 1)
	self.infoButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_xiangqing.png", 1)
	self.infoButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.infoButton:setTitleText([[]])
	self.infoButton:setTitleFontSize(14)
	self.infoButton:setTitleFontName(getFont())
	setClickEvent(self, self.infoButton, "infoButton")
	addChildForPre(self.Panel_2, self.infoButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
}

return _M
