-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 74, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 75, cc.size(640, 350), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.imgBg = ccui.ImageView:create()
	setValue(self.imgBg, "imgBg", 929, cc.size(600, 350), cc.p(320, 150.5), nil, nil, nil, nil, false)
	self.imgBg:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.imgBg:setScale9Enabled(true)
	self.imgBg:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.rootPanel_1, self.imgBg)

	self.txtRankReward = createLabel({text=[[*第一名阵营获得额外30%奖励，第二名阵营会获得额外15%奖励]], font=getFont(), size=20})
	setValue(self.txtRankReward, "txtRankReward", 174, cc.size(567, 23), cc.p(320, 17.5), nil, cc.c4b(255, 0, 0, 255), nil, nil, nil)
	self.txtRankReward:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.txtRankReward:setColor(cc.c4b(255, 0, 0, 255))
	addChildForPre(self.rootPanel_1, self.txtRankReward)

	self.pnRank1 = ccui.Layout:create()
	setValue(self.pnRank1, "pnRank1", 117, cc.size(180, 200), cc.p(32, 100), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.pnRank1)
	self.pnRank1_2 = self.pnRank1

	self.spLegion1 = cc.Sprite:create()
	setValue(self.spLegion1, "spLegion1", 76, cc.size(100, 100), cc.p(90, 200), cc.p(0.5, 1), nil, nil, nil, nil)
	self.spLegion1:setScale(1.6)
	self.spLegion1:setSpriteFrame("ccs/UiImages/icon/legion_icon_03.png")
	addChildForPre(self.pnRank1_2, self.spLegion1)

	self.txtRank1 = createLabel({text=[[第一名]], font=getFont(), size=24})
	setValue(self.txtRank1, "txtRank1", 120, cc.size(72, 28), cc.p(90, 36.9999), nil, cc.c4b(243, 241, 71, 255), nil, nil, nil)
	self.txtRank1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.txtRank1:setColor(cc.c4b(243, 241, 71, 255))
	addChildForPre(self.pnRank1_2, self.txtRank1)

	self.txtStronghold1 = createLabel({text=[[据点1]], font=getFont(), size=20})
	setValue(self.txtStronghold1, "txtStronghold1", 121, cc.size(51, 23), cc.p(90, 10.9999), nil, nil, nil, nil, nil)
	self.txtStronghold1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.pnRank1_2, self.txtStronghold1)

	self.spMoney1 = cc.Sprite:create()
	setValue(self.spMoney1, "spMoney1", 160, cc.size(48, 38), cc.p(45.1668, -24.27), nil, nil, nil, nil, nil)
	self.spMoney1:setSpriteFrame("ccs/UiImages/countryBattle/countrybattle_img_daoju.png")
	addChildForPre(self.pnRank1_2, self.spMoney1)

	self.txtMoney1 = createLabel({text=[[10000]], font=getFont(), size=20})
	setValue(self.txtMoney1, "txtMoney1", 161, cc.size(55, 23), cc.p(102.8572, -24.2742), nil, nil, nil, nil, nil)
	self.txtMoney1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.pnRank1_2, self.txtMoney1)

	self.pnRank2 = ccui.Layout:create()
	setValue(self.pnRank2, "pnRank2", 162, cc.size(180, 200), cc.p(230, 100), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.pnRank2)
	self.pnRank2_2 = self.pnRank2

	self.spLegion2 = cc.Sprite:create()
	setValue(self.spLegion2, "spLegion2", 163, cc.size(100, 100), cc.p(90, 200), cc.p(0.5, 1), nil, nil, nil, nil)
	self.spLegion2:setScale(1.6)
	self.spLegion2:setSpriteFrame("ccs/UiImages/icon/legion_icon_03.png")
	addChildForPre(self.pnRank2_2, self.spLegion2)

	self.txtRank2 = createLabel({text=[[第一名]], font=getFont(), size=24})
	setValue(self.txtRank2, "txtRank2", 164, cc.size(72, 28), cc.p(90, 37), nil, cc.c4b(243, 241, 71, 255), nil, nil, nil)
	self.txtRank2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.txtRank2:setColor(cc.c4b(243, 241, 71, 255))
	addChildForPre(self.pnRank2_2, self.txtRank2)

	self.txtStronghold2 = createLabel({text=[[据点1]], font=getFont(), size=20})
	setValue(self.txtStronghold2, "txtStronghold2", 165, cc.size(51, 23), cc.p(90, 11), nil, nil, nil, nil, nil)
	self.txtStronghold2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.pnRank2_2, self.txtStronghold2)

	self.spMoney2 = cc.Sprite:create()
	setValue(self.spMoney2, "spMoney2", 166, cc.size(48, 38), cc.p(45.17, -24.2742), nil, nil, nil, nil, nil)
	self.spMoney2:setSpriteFrame("ccs/UiImages/countryBattle/countrybattle_img_daoju.png")
	addChildForPre(self.pnRank2_2, self.spMoney2)

	self.txtMoney2 = createLabel({text=[[10000]], font=getFont(), size=20})
	setValue(self.txtMoney2, "txtMoney2", 167, cc.size(55, 23), cc.p(102.8572, -24.2742), nil, nil, nil, nil, nil)
	self.txtMoney2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.pnRank2_2, self.txtMoney2)

	self.pnRank3 = ccui.Layout:create()
	setValue(self.pnRank3, "pnRank3", 168, cc.size(180, 200), cc.p(608, 100), cc.p(1, 0), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.pnRank3)
	self.pnRank3_2 = self.pnRank3

	self.spLegion3 = cc.Sprite:create()
	setValue(self.spLegion3, "spLegion3", 169, cc.size(100, 100), cc.p(90, 200), cc.p(0.5, 1), nil, nil, nil, nil)
	self.spLegion3:setScale(1.6)
	self.spLegion3:setSpriteFrame("ccs/UiImages/icon/legion_icon_03.png")
	addChildForPre(self.pnRank3_2, self.spLegion3)

	self.txtRank3 = createLabel({text=[[第一名]], font=getFont(), size=24})
	setValue(self.txtRank3, "txtRank3", 170, cc.size(72, 28), cc.p(90, 37), nil, cc.c4b(243, 241, 71, 255), nil, nil, nil)
	self.txtRank3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.txtRank3:setColor(cc.c4b(243, 241, 71, 255))
	addChildForPre(self.pnRank3_2, self.txtRank3)

	self.txtStronghold3 = createLabel({text=[[据点1]], font=getFont(), size=20})
	setValue(self.txtStronghold3, "txtStronghold3", 171, cc.size(51, 23), cc.p(90, 11), nil, nil, nil, nil, nil)
	self.txtStronghold3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.pnRank3_2, self.txtStronghold3)

	self.spMoney3 = cc.Sprite:create()
	setValue(self.spMoney3, "spMoney3", 172, cc.size(48, 38), cc.p(45.17, -24.2742), nil, nil, nil, nil, nil)
	self.spMoney3:setSpriteFrame("ccs/UiImages/countryBattle/countrybattle_img_daoju.png")
	addChildForPre(self.pnRank3_2, self.spMoney3)

	self.txtMoney3 = createLabel({text=[[10000]], font=getFont(), size=20})
	setValue(self.txtMoney3, "txtMoney3", 173, cc.size(55, 23), cc.p(102.8572, -24.2742), nil, nil, nil, nil, nil)
	self.txtMoney3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.pnRank3_2, self.txtMoney3)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/battle.plist",
	"ccs/plist/icon.plist",
	"ccs/plist/countryBattle.plist",
}

return _M
