-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 707, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 708, cc.size(640, 350), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.leftBack = ccui.ImageView:create()
	setValue(self.leftBack, "leftBack", 355, cc.size(600, 350), cc.p(320, 175), nil, nil, nil, nil, false)
	self.leftBack:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.leftBack:setScale9Enabled(true)
	self.leftBack:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.rootPanel_1, self.leftBack)

	self.txtRankRegion = createLabel({text=[[个人排名(80-150)]], font=getFont(), size=28,align = 1,valign = 1, dimensions = cc.size(280.0000, 32.0000)})
	setValue(self.txtRankRegion, "txtRankRegion", 481, cc.size(280, 32), cc.p(320, 348.985), cc.p(0.5, 1), cc.c4b(253, 244, 59, 255), nil, nil, false)
	self.txtRankRegion:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.txtRankRegion:setColor(cc.c4b(253, 244, 59, 255))
	addChildForPre(self.rootPanel_1, self.txtRankRegion)

	self.btnRankInfo = ccui.Button:create()
	setValue(self.btnRankInfo, "btnRankInfo", 103, cc.size(81, 26), cc.p(544, 343.84), cc.p(0.5, 1), cc.c4b(0, 187, 238, 255), nil, nil, false)
	self.btnRankInfo:loadTextureNormal("ccs/UiImages/image9/Underline.png", 1)
	self.btnRankInfo:loadTexturePressed("ccs/UiImages/image9/Underline.png", 1)
	self.btnRankInfo:loadTextureDisabled("ccs/UiImages/image9/Underline.png", 1)
	self.btnRankInfo:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.btnRankInfo:setTitleText([[详细排名]])
	self.btnRankInfo:setTitleColor(cc.c3b(0, 187, 238))
	self.btnRankInfo:setTitleFontSize(24)
	self.btnRankInfo:setTitleFontName(getFont())
	setClickEvent(self, self.btnRankInfo, "btnRankInfo")
	addChildForPre(self.rootPanel_1, self.btnRankInfo)

	self.rankItem2 = ccui.Layout:create()
	setValue(self.rankItem2, "rankItem2", 203, cc.size(160, 190), cc.p(118.976, 164.5), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.rankItem2)
	self.rankItem2_2 = self.rankItem2

	self.imgUserHead2Clip = ccui.ImageView:create()
	setValue(self.imgUserHead2Clip, "imgUserHead2Clip", 148, cc.size(156, 156), cc.p(80, 106.4), nil, nil, nil, nil, false)
	self.imgUserHead2Clip:loadTexture("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.imgUserHead2Clip:setScale9Enabled(true)
	self.imgUserHead2Clip:setCapInsets(cc.rect(0, 0, 10, 10))
	addChildForPre(self.rankItem2_2, self.imgUserHead2Clip)

	self.spUserHead2 = cc.Sprite:create()
	setValue(self.spUserHead2, "spUserHead2", 26, cc.size(355, 464), cc.p(80, 81.7), nil, nil, nil, nil, nil)
	self.spUserHead2:setScale(0.44)
	self.spUserHead2:setTexture("ccs/BigImages/userHead/userHead_country2_4.webp")
	addChildForPre(self.rankItem2_2, self.spUserHead2)

	self.spRank2 = cc.Sprite:create()
	setValue(self.spRank2, "spRank2", 149, cc.size(83, 38), cc.p(80, 24.89), nil, nil, nil, nil, nil)
	self.spRank2:setSpriteFrame("ccs/UiImages/legendOfEmpire/legendOfEmpire_2.png")
	addChildForPre(self.rankItem2_2, self.spRank2)

	self.txtArea2 = createLabel({text=[[210区]], font=getFont(), size=20,align = 1,valign = 1, dimensions = cc.size(60.0000, 23.0000)})
	setValue(self.txtArea2, "txtArea2", 150, cc.size(60, 23), cc.p(80, 7.6), nil, cc.c4b(245, 250, 54, 255), nil, nil, false)
	self.txtArea2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.txtArea2:setColor(cc.c4b(245, 250, 54, 255))
	addChildForPre(self.rankItem2_2, self.txtArea2)

	self.txtUserName2 = createLabel({text=[[尼古拉斯凯奇饿死]], font=getFont(), size=20})
	setValue(self.txtUserName2, "txtUserName2", 151, cc.size(160, 23), cc.p(80, -28.5), nil, cc.c4b(222, 147, 72, 255), nil, nil, nil)
	self.txtUserName2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.txtUserName2:setColor(cc.c4b(222, 147, 72, 255))
	addChildForPre(self.rankItem2_2, self.txtUserName2)

	self.txtWinNum2 = createLabel({text=[[胜场：21]], font=getFont(), size=20,align = 1,valign = 1})
	setValue(self.txtWinNum2, "txtWinNum2", 152, cc.size(82, 23), cc.p(80, -51.3), nil, nil, nil, nil, nil)
	self.txtWinNum2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rankItem2_2, self.txtWinNum2)

	self.rankItem3 = ccui.Layout:create()
	setValue(self.rankItem3, "rankItem3", 204, cc.size(160, 190), cc.p(512, 164.5), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.rankItem3)
	self.rankItem3_2 = self.rankItem3

	self.imgUserHead3Clip = ccui.ImageView:create()
	setValue(self.imgUserHead3Clip, "imgUserHead3Clip", 154, cc.size(156, 156), cc.p(80, 106.4), nil, nil, nil, nil, false)
	self.imgUserHead3Clip:loadTexture("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.imgUserHead3Clip:setScale9Enabled(true)
	self.imgUserHead3Clip:setCapInsets(cc.rect(0, 0, 10, 10))
	addChildForPre(self.rankItem3_2, self.imgUserHead3Clip)

	self.spUserHead3 = cc.Sprite:create()
	setValue(self.spUserHead3, "spUserHead3", 155, cc.size(355, 464), cc.p(80, 81.7), nil, nil, nil, nil, nil)
	self.spUserHead3:setScale(0.44)
	self.spUserHead3:setTexture("ccs/BigImages/userHead/userHead_country2_4.webp")
	addChildForPre(self.rankItem3_2, self.spUserHead3)

	self.spRank3 = cc.Sprite:create()
	setValue(self.spRank3, "spRank3", 156, cc.size(83, 38), cc.p(80, 24.89), nil, nil, nil, nil, nil)
	self.spRank3:setSpriteFrame("ccs/UiImages/legendOfEmpire/legendOfEmpire_3.png")
	addChildForPre(self.rankItem3_2, self.spRank3)

	self.txtArea3 = createLabel({text=[[210区]], font=getFont(), size=20,align = 1,valign = 1, dimensions = cc.size(60.0000, 23.0000)})
	setValue(self.txtArea3, "txtArea3", 157, cc.size(60, 23), cc.p(80, 7.6), nil, cc.c4b(245, 250, 54, 255), nil, nil, false)
	self.txtArea3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.txtArea3:setColor(cc.c4b(245, 250, 54, 255))
	addChildForPre(self.rankItem3_2, self.txtArea3)

	self.txtUserName3 = createLabel({text=[[荆条月球]], font=getFont(), size=20})
	setValue(self.txtUserName3, "txtUserName3", 158, cc.size(80, 23), cc.p(80, -28.5), nil, cc.c4b(222, 147, 72, 255), nil, nil, nil)
	self.txtUserName3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.txtUserName3:setColor(cc.c4b(222, 147, 72, 255))
	addChildForPre(self.rankItem3_2, self.txtUserName3)

	self.txtWinNum3 = createLabel({text=[[胜场：21]], font=getFont(), size=20,align = 1,valign = 1})
	setValue(self.txtWinNum3, "txtWinNum3", 159, cc.size(82, 23), cc.p(80, -51.3), nil, nil, nil, nil, nil)
	self.txtWinNum3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rankItem3_2, self.txtWinNum3)

	self.rankItem1 = ccui.Layout:create()
	setValue(self.rankItem1, "rankItem1", 202, cc.size(160, 190), cc.p(320, 196), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.rankItem1)
	self.rankItem1_2 = self.rankItem1

	self.imgUserHead1Clip = ccui.ImageView:create()
	setValue(self.imgUserHead1Clip, "imgUserHead1Clip", 161, cc.size(156, 156), cc.p(80, 106.4), nil, nil, nil, nil, false)
	self.imgUserHead1Clip:loadTexture("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.imgUserHead1Clip:setScale9Enabled(true)
	self.imgUserHead1Clip:setCapInsets(cc.rect(0, 0, 10, 10))
	addChildForPre(self.rankItem1_2, self.imgUserHead1Clip)

	self.spUserHead1 = cc.Sprite:create()
	setValue(self.spUserHead1, "spUserHead1", 162, cc.size(355, 464), cc.p(80, 81.7), nil, nil, nil, nil, nil)
	self.spUserHead1:setScale(0.44)
	self.spUserHead1:setTexture("ccs/BigImages/userHead/userHead_country2_4.webp")
	addChildForPre(self.rankItem1_2, self.spUserHead1)

	self.spRank1 = cc.Sprite:create()
	setValue(self.spRank1, "spRank1", 163, cc.size(164, 83), cc.p(80, 15.086), nil, nil, nil, nil, nil)
	self.spRank1:setScale(0.7)
	self.spRank1:setSpriteFrame("ccs/UiImages/legendOfEmpire/legendOfEmpire_1.png")
	addChildForPre(self.rankItem1_2, self.spRank1)

	self.txtArea1 = createLabel({text=[[210区]], font=getFont(), size=20,align = 1,valign = 1, dimensions = cc.size(60.0000, 23.0000)})
	setValue(self.txtArea1, "txtArea1", 163, cc.size(60, 23), cc.p(80, -11.4), nil, cc.c4b(245, 250, 54, 255), nil, nil, false)
	self.txtArea1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.txtArea1:setColor(cc.c4b(245, 250, 54, 255))
	addChildForPre(self.rankItem1_2, self.txtArea1)

	self.txtUserName1 = createLabel({text=[[尼古拉斯凯奇饿死]], font=getFont(), size=20})
	setValue(self.txtUserName1, "txtUserName1", 165, cc.size(160, 23), cc.p(80, -47.5), nil, cc.c4b(222, 147, 72, 255), nil, nil, nil)
	self.txtUserName1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.txtUserName1:setColor(cc.c4b(222, 147, 72, 255))
	addChildForPre(self.rankItem1_2, self.txtUserName1)

	self.txtWinNum1 = createLabel({text=[[胜场：21]], font=getFont(), size=20,align = 1,valign = 1})
	setValue(self.txtWinNum1, "txtWinNum1", 166, cc.size(82, 23), cc.p(80, -70.3), nil, nil, nil, nil, nil)
	self.txtWinNum1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rankItem1_2, self.txtWinNum1)

	self.spChampionEffectFire = cc.Sprite:create()
	setValue(self.spChampionEffectFire, "spChampionEffectFire", 177, cc.size(256, 256), cc.p(76.608, 61.75), nil, nil, nil, nil, nil)
	self.spChampionEffectFire:setScale(0.75)
	self.spChampionEffectFire:setSpriteFrame("ccs/UiImages/legendOfEmpireEffectFire/legendOfEmpire_00.png")
	addChildForPre(self.rankItem1_2, self.spChampionEffectFire)

	self.spChampionEffectStar = cc.Sprite:create()
	setValue(self.spChampionEffectStar, "spChampionEffectStar", 178, cc.size(256, 360), cc.p(80, 74.1), nil, nil, nil, nil, nil)
	self.spChampionEffectStar:setScale(0.7)
	self.spChampionEffectStar:setSpriteFrame("ccs/UiImages/legendOfEmpireEffectXing/legendOfEmpire_xing_1.png")
	addChildForPre(self.rankItem1_2, self.spChampionEffectStar)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(63)
	self.animation:setTimeSpeed(1)
	local timeLine
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateTextureFrame(0, true, "ccs/UiImages/legendOfEmpireEffectFire/legendOfEmpire_00.png", nil))
	timeLine:addFrame(CreateTextureFrame(7, true, "ccs/UiImages/legendOfEmpireEffectFire/legendOfEmpire_01.png", nil))
	timeLine:addFrame(CreateTextureFrame(14, true, "ccs/UiImages/legendOfEmpireEffectFire/legendOfEmpire_02.png", nil))
	timeLine:addFrame(CreateTextureFrame(21, true, "ccs/UiImages/legendOfEmpireEffectFire/legendOfEmpire_03.png", nil))
	timeLine:addFrame(CreateTextureFrame(28, true, "ccs/UiImages/legendOfEmpireEffectFire/legendOfEmpire_04.png", nil))
	timeLine:addFrame(CreateTextureFrame(35, true, "ccs/UiImages/legendOfEmpireEffectFire/legendOfEmpire_05.png", nil))
	timeLine:addFrame(CreateTextureFrame(42, true, "ccs/UiImages/legendOfEmpireEffectFire/legendOfEmpire_06.png", nil))
	timeLine:addFrame(CreateTextureFrame(49, true, "ccs/UiImages/legendOfEmpireEffectFire/legendOfEmpire_07.png", nil))
	timeLine:addFrame(CreateTextureFrame(56, true, "ccs/UiImages/legendOfEmpireEffectFire/legendOfEmpire_08.png", nil))
	timeLine:addFrame(CreateTextureFrame(63, true, "ccs/UiImages/legendOfEmpireEffectFire/legendOfEmpire_09.png", nil))
	timeLine:setNode(self.spChampionEffectFire)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateTextureFrame(0, true, "ccs/UiImages/legendOfEmpireEffectXing/legendOfEmpire_xing_1.png", nil))
	timeLine:addFrame(CreateTextureFrame(7, true, "ccs/UiImages/legendOfEmpireEffectXing/legendOfEmpire_xing_10.png", nil))
	timeLine:addFrame(CreateTextureFrame(14, true, "ccs/UiImages/legendOfEmpireEffectXing/legendOfEmpire_xing_2.png", nil))
	timeLine:addFrame(CreateTextureFrame(21, true, "ccs/UiImages/legendOfEmpireEffectXing/legendOfEmpire_xing_3.png", nil))
	timeLine:addFrame(CreateTextureFrame(28, true, "ccs/UiImages/legendOfEmpireEffectXing/legendOfEmpire_xing_4.png", nil))
	timeLine:addFrame(CreateTextureFrame(35, true, "ccs/UiImages/legendOfEmpireEffectXing/legendOfEmpire_xing_5.png", nil))
	timeLine:addFrame(CreateTextureFrame(42, true, "ccs/UiImages/legendOfEmpireEffectXing/legendOfEmpire_xing_6.png", nil))
	timeLine:addFrame(CreateTextureFrame(49, true, "ccs/UiImages/legendOfEmpireEffectXing/legendOfEmpire_xing_7.png", nil))
	timeLine:addFrame(CreateTextureFrame(56, true, "ccs/UiImages/legendOfEmpireEffectXing/legendOfEmpire_xing_8.png", nil))
	timeLine:addFrame(CreateTextureFrame(63, true, "ccs/UiImages/legendOfEmpireEffectXing/legendOfEmpire_xing_9.png", nil))
	timeLine:setNode(self.spChampionEffectStar)
	return self
end

_M.textures = {
	"ccs/plist/battle.plist",
	"ccs/plist/image9.plist",
	"ccs/BigImages/userHead/userHead_country2_4.png",
	"ccs/plist/legendOfEmpire.plist",
	"ccs/plist/legendOfEmpireEffectFire.plist",
	"ccs/plist/legendOfEmpireEffectXing.plist",
}

return _M
