-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 183, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 184, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.showPanel = ccui.Layout:create()
	setValue(self.showPanel, "AXY_showPanel", 361, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.showPanel)
	self.showPanel_2 = self.showPanel

	self.rankPanel = ccui.Layout:create()
	setValue(self.rankPanel, "XYN_rankPanel", 348, cc.size(640, 340), cc.p(320, 345.6), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.showPanel_2, self.rankPanel)

	self.bottomPanel = ccui.Layout:create()
	setValue(self.bottomPanel, "BXN_bottomPanel", 349, cc.size(640, 163), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.showPanel_2, self.bottomPanel)
	self.bottomPanel_3 = self.bottomPanel

	self.Image = ccui.ImageView:create()
	setValue(self.Image, "WTX_Image", 849, cc.size(640, 30), cc.p(320, 154.85), nil, nil, nil, nil, false)
	self.Image:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.Image:setScale9Enabled(true)
	self.Image:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.bottomPanel_3, self.Image)

	self.txtCountDown = createLabel({text=[[timeOutLable]], font=getFont(), size=22})
	setValue(self.txtCountDown, "txtCountDown", 364, cc.size(130, 26), cc.p(527.616, 113.937), nil, cc.c4b(255, 0, 0, 255), nil, nil, nil)
	self.txtCountDown:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.txtCountDown:setColor(cc.c4b(255, 0, 0, 255))
	addChildForPre(self.bottomPanel_3, self.txtCountDown)

	self.btnCampRank = ccui.Button:create()
	setValue(self.btnCampRank, "btnCampRank", 104, cc.size(153, 64), cc.p(105.536, 50.9538), nil, nil, nil, nil, false)
	self.btnCampRank:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.btnCampRank:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.btnCampRank:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.btnCampRank:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.btnCampRank:setTitleText([[campRank]])
	self.btnCampRank:setTitleFontSize(24)
	self.btnCampRank:setTitleFontName(getFont())
	setClickEvent(self, self.btnCampRank, "btnCampRank")
	addChildForPre(self.bottomPanel_3, self.btnCampRank)

	self.btnPersonRank = ccui.Button:create()
	setValue(self.btnPersonRank, "btnPersonRank", 175, cc.size(153, 64), cc.p(105.536, 50.9538), nil, nil, nil, nil, false)
	self.btnPersonRank:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.btnPersonRank:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.btnPersonRank:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.btnPersonRank:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.btnPersonRank:setTitleText([[campRank]])
	self.btnPersonRank:setTitleFontSize(24)
	self.btnPersonRank:setTitleFontName(getFont())
	setClickEvent(self, self.btnPersonRank, "btnPersonRank")
	addChildForPre(self.bottomPanel_3, self.btnPersonRank)

	self.btnRankReward = ccui.Button:create()
	setValue(self.btnRankReward, "btnRankReward", 362, cc.size(153, 64), cc.p(318.272, 50.9538), nil, nil, nil, nil, false)
	self.btnRankReward:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.btnRankReward:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.btnRankReward:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.btnRankReward:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.btnRankReward:setTitleText([[rankReward]])
	self.btnRankReward:setTitleFontSize(24)
	self.btnRankReward:setTitleFontName(getFont())
	setClickEvent(self, self.btnRankReward, "btnRankReward")
	addChildForPre(self.bottomPanel_3, self.btnRankReward)

	self.btnFight = ccui.Button:create()
	setValue(self.btnFight, "btnFight", 363, cc.size(153, 64), cc.p(531.072, 50.9538), nil, nil, nil, nil, false)
	self.btnFight:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.btnFight:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.btnFight:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.btnFight:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.btnFight:setTitleText([[Fight]])
	self.btnFight:setTitleFontSize(24)
	self.btnFight:setTitleFontName(getFont())
	setClickEvent(self, self.btnFight, "btnFight")
	addChildForPre(self.bottomPanel_3, self.btnFight)

	self.topPanel = ccui.Layout:create()
	setValue(self.topPanel, "TXN_topPanel", 71, cc.size(640, 270), cc.p(320, 662.4), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.showPanel_2, self.topPanel)
	self.topPanel_3 = self.topPanel

	self.iconPanel = ccui.Layout:create()
	setValue(self.iconPanel, "iconPanel", 68, cc.size(236, 270), cc.p(128, 135), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.topPanel_3, self.iconPanel)
	self.iconPanel_4 = self.iconPanel

	self.bgSprite = cc.Sprite:create()
	setValue(self.bgSprite, "bgSprite", 69, cc.size(228, 275), cc.p(118, 135), nil, nil, nil, nil, nil)
	self.bgSprite:setSpriteFrame("ccs/UiImages/commonBg/qualityBg13Bg.png")
	addChildForPre(self.iconPanel_4, self.bgSprite)

	self.iconSprite = cc.Sprite:create()
	setValue(self.iconSprite, "iconSprite", 70, cc.size(211, 172), cc.p(118, 135), nil, nil, nil, nil, nil)
	self.iconSprite:setSpriteFrame("ccs/UiImages/countryBattle/countrybattle_jidi_1.png")
	addChildForPre(self.iconPanel_4, self.iconSprite)

	self.labelPanel = ccui.Layout:create()
	setValue(self.labelPanel, "labelPanel", 488, cc.size(370, 255), cc.p(435.2, 135), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.topPanel_3, self.labelPanel)
	self.labelPanel_4 = self.labelPanel

	self.BGImage = ccui.ImageView:create()
	setValue(self.BGImage, "BGImage", 60, cc.size(370, 255), cc.p(185, 127.5), nil, nil, nil, nil, false)
	self.BGImage:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.BGImage:setScale9Enabled(true)
	self.BGImage:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.labelPanel_4, self.BGImage)

	self.openLable = createLabel({text=[[openLable]], font=getFont(), size=20})
	setValue(self.openLable, "openLable", 351, cc.size(93, 23), cc.p(9.8332, 228.7644), cc.p(0, 0.5), nil, nil, nil, nil)
	self.openLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_4, self.openLable)

	self.taskInfoLable = createLabel({text=[[taskInfoLable]], font=getFont(), size=20, dimensions = cc.size(350.0000, 75.0000)})
	setValue(self.taskInfoLable, "taskInfoLable", 352, cc.size(350, 75), cc.p(9.8333, 157.5645), cc.p(0, 0.5), nil, nil, nil, false)
	self.taskInfoLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_4, self.taskInfoLable)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/commonBg.plist",
	"ccs/plist/countryBattle.plist",
	"ccs/plist/battle.plist",
}

return _M
