-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 191, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 214, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame3Ui then 
 		self.commonDialogFrame3Ui = CommonDialogFrame3Ui.new() 
 	else 
		self.commonDialogFrame3Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame3Ui.lua")
 	end 
	setValue(self.commonDialogFrame3Ui, "commonDialogFrame3Ui", 237, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame3Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "XYN_dialogPanel", 341, cc.size(500, 320), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.descLable1 = createLabel({text=[[Text Label]], font=getFont(), size=28})
	setValue(self.descLable1, "descLable1", 299, cc.size(127, 32), cc.p(250, 230.4), nil, nil, nil, nil, nil)
	self.descLable1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.descLable1)

	self.descLable2 = createLabel({text=[[Text Label]], font=getFont(), size=28})
	setValue(self.descLable2, "descLable2", 417, cc.size(127, 32), cc.p(250, 179.2), nil, nil, nil, nil, nil)
	self.descLable2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.descLable2)

	self.gotoButton = ccui.Button:create()
	setValue(self.gotoButton, "gotoButton", 418, cc.size(153, 64), cc.p(250, 80), nil, nil, nil, nil, nil)
	self.gotoButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.gotoButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.gotoButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.gotoButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.gotoButton:setTitleText([[]])
	self.gotoButton:setTitleFontSize(26)
	self.gotoButton:setTitleFontName(getFont())
	setClickEvent(self, self.gotoButton, "gotoButton")
	addChildForPre(self.dialogPanel_2, self.gotoButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
}

return _M
