-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 75, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 76, cc.size(640, 220), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.rankingSprite = cc.Sprite:create()
	setValue(self.rankingSprite, "rankingSprite", 77, cc.size(612, 209), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	self.rankingSprite:setSpriteFrame("ccs/UiImages/commonBg/common_img_gaoditiao.png")
	addChildForPre(self.rootPanel_1, self.rankingSprite)

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 943, cc.size(542, 140), cc.p(320, 96.8), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.rootPanel_1, self.bgImage)

	self.rankingLable = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.rankingLable, "rankingLable", 78, cc.size(91, 23), cc.p(57.6, 184.008), cc.p(0, 0.5), nil, nil, nil, nil)
	self.rankingLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.rankingLable)

	self.rewardView = ccui.Layout:create()
	setValue(self.rewardView, "rewardView", 79, cc.size(540, 140), cc.p(51, 25), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.rewardView)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/battle.plist",
}

return _M
