-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 132, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 133, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonNewUi then 
 		self.commonNewUi = CommonNewUi.new() 
 	else 
		self.commonNewUi = BaseUi.new("ccs/ui/commonDialog/CommonNewUi.lua")
 	end 
	setValue(self.commonNewUi, "commonNewUi", 926, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonNewUi)

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "AXY_Panel", 137, cc.size(640, 960), cc.p(320.576, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Panel:setRotationSkewX(0.0944)
	self.Panel:setRotationSkewY(0.0927)
	addChildForPre(self.rootPanel_1, self.Panel)
	self.Panel_2 = self.Panel

	self.panelForLegend = ccui.Layout:create()
	setValue(self.panelForLegend, "WTN_panelForLegend", 199, cc.size(640, 50), cc.p(0, 840.768), nil, nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.panelForLegend)
	self.panelForLegend_3 = self.panelForLegend

	self.spLeftArrow = cc.Sprite:create()
	setValue(self.spLeftArrow, "spLeftArrow", 201, cc.size(43, 46), cc.p(6.4, 25), cc.p(0, 0.5), nil, nil, nil, nil)
	self.spLeftArrow:setSpriteFrame("ccs/UiImages/battle/arrow_5.png")
	addChildForPre(self.panelForLegend_3, self.spLeftArrow)

	self.txtLeftRank = createLabel({text=[[40-50level]], font=getFont(), size=20})
	setValue(self.txtLeftRank, "txtLeftRank", 202, cc.size(92, 23), cc.p(57.6, 25.0016), cc.p(0, 0.5), nil, nil, nil, nil)
	self.txtLeftRank:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.panelForLegend_3, self.txtLeftRank)

	self.btnToLeft = ccui.Button:create()
	self.btnToLeft:setScale9Enabled(true)
	self.btnToLeft:setCapInsets(cc.rect(0, 0, 10, 10))
	self.btnToLeft:setContentSize(cc.size(100, 40))
	setValue(self.btnToLeft, "btnToLeft", 142, nil, cc.p(0, 25), cc.p(0, 0.5), nil, nil, nil, false)
	self.btnToLeft:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.btnToLeft:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.btnToLeft:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.btnToLeft:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.btnToLeft:setTitleText([[]])
	self.btnToLeft:setTitleColor(cc.c3b(65, 65, 70))
	self.btnToLeft:setTitleFontSize(14)
	self.btnToLeft:setTitleFontName(getFont())
	setClickEvent(self, self.btnToLeft, "btnToLeft")
	addChildForPre(self.panelForLegend_3, self.btnToLeft)

	self.spRightArrow = cc.Sprite:create()
	setValue(self.spRightArrow, "spRightArrow", 203, cc.size(43, 46), cc.p(633.6, 25), cc.p(0, 0.5), nil, nil, nil, nil)
	self.spRightArrow:setScaleX(-1)
	self.spRightArrow:setScaleY(1)
	self.spRightArrow:setSpriteFrame("ccs/UiImages/battle/arrow_5.png")
	addChildForPre(self.panelForLegend_3, self.spRightArrow)

	self.txtRightRank = createLabel({text=[[40-50level]], font=getFont(), size=20,align = 2})
	setValue(self.txtRightRank, "txtRightRank", 204, cc.size(92, 23), cc.p(582.4, 25), cc.p(1, 0.5), nil, nil, nil, nil)
	self.txtRightRank:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.panelForLegend_3, self.txtRightRank)

	self.btnToRight = ccui.Button:create()
	self.btnToRight:setScale9Enabled(true)
	self.btnToRight:setCapInsets(cc.rect(0, 0, 10, 10))
	self.btnToRight:setContentSize(cc.size(100, 40))
	setValue(self.btnToRight, "btnToRight", 143, nil, cc.p(640, 25), cc.p(1, 0.5), nil, nil, nil, false)
	self.btnToRight:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.btnToRight:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.btnToRight:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.btnToRight:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.btnToRight:setTitleText([[]])
	self.btnToRight:setTitleColor(cc.c3b(65, 65, 70))
	self.btnToRight:setTitleFontSize(14)
	self.btnToRight:setTitleFontName(getFont())
	setClickEvent(self, self.btnToRight, "btnToRight")
	addChildForPre(self.panelForLegend_3, self.btnToRight)

	self.listviewForLegend = ccui.Layout:create()
	setValue(self.listviewForLegend, "WIX_listviewForLegend", 200, cc.size(640, 700), cc.p(0, 136), nil, nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.listviewForLegend)

	self.listView = ccui.Layout:create()
	setValue(self.listView, "WIX_listView", 136, cc.size(640, 745), cc.p(320, 134.4), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.listView)

	self.panelInfo = ccui.Layout:create()
	setValue(self.panelInfo, "WXN_panelInfo", 378, cc.size(640, 130), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.panelInfo)
	self.panelInfo_3 = self.panelInfo

	self.line = ccui.ImageView:create()
	setValue(self.line, "WXT_line", 561, cc.size(640, 30), cc.p(320, 130), nil, nil, nil, nil, nil)
	self.line:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	addChildForPre(self.panelInfo_3, self.line)

	self.infoLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.infoLabel, "infoLabel", 686, cc.size(109, 28), cc.p(320, 65), nil, cc.c4b(255, 0, 0, 255), nil, nil, nil)
	self.infoLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.infoLabel:setColor(cc.c4b(255, 0, 0, 255))
	addChildForPre(self.panelInfo_3, self.infoLabel)

	self.txtInfoForLegend = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.txtInfoForLegend, "txtInfoForLegend", 205, cc.size(91, 23), cc.p(320, 65), nil, cc.c4b(243, 231, 0, 255), nil, nil, nil)
	self.txtInfoForLegend:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.txtInfoForLegend:setColor(cc.c4b(243, 231, 0, 255))
	addChildForPre(self.panelInfo_3, self.txtInfoForLegend)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/battle.plist",
	"ccs/plist/image9.plist",
}

return _M
