-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 85, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 86, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame3Ui then 
 		self.commonDialogFrame3Ui = CommonDialogFrame3Ui.new() 
 	else 
		self.commonDialogFrame3Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame3Ui.lua")
 	end 
	setValue(self.commonDialogFrame3Ui, "commonDialogFrame3Ui", 191, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame3Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "dialogPanel", 212, cc.size(640, 550), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.LiftButton = ccui.Button:create()
	setValue(self.LiftButton, "LiftButton", 282, cc.size(58, 106), cc.p(47.5025, 292.4157), nil, nil, nil, nil, nil)
	self.LiftButton:loadTextureNormal("ccs/UiImages/login/login_btn_zuoyou.png", 1)
	self.LiftButton:loadTexturePressed("ccs/UiImages/login/login_btn_zuoyou.png", 1)
	self.LiftButton:loadTextureDisabled("ccs/UiImages/login/login_btn_zuoyou.png", 1)
	self.LiftButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.LiftButton:setTitleText([[]])
	self.LiftButton:setTitleColor(cc.c3b(65, 65, 70))
	self.LiftButton:setTitleFontSize(14)
	self.LiftButton:setTitleFontName(getFont())
	setClickEvent(self, self.LiftButton, "LiftButton")
	addChildForPre(self.dialogPanel_2, self.LiftButton)

	self.RightButton = ccui.Button:create()
	setValue(self.RightButton, "RightButton", 283, cc.size(58, 106), cc.p(576.8274, 294.1573), nil, nil, nil, nil, nil)
	self.RightButton:setFlippedX(true)
	self.RightButton:loadTextureNormal("ccs/UiImages/login/login_btn_zuoyou.png", 1)
	self.RightButton:loadTexturePressed("ccs/UiImages/login/login_btn_zuoyou.png", 1)
	self.RightButton:loadTextureDisabled("ccs/UiImages/login/login_btn_zuoyou.png", 1)
	self.RightButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.RightButton:setTitleText([[]])
	self.RightButton:setTitleColor(cc.c3b(65, 65, 70))
	self.RightButton:setTitleFontSize(14)
	self.RightButton:setTitleFontName(getFont())
	setClickEvent(self, self.RightButton, "RightButton")
	addChildForPre(self.dialogPanel_2, self.RightButton)

	self.infoLable = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.infoLable, "infoLable", 284, cc.size(109, 28), cc.p(25.6, 55), cc.p(0, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.infoLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.infoLable:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.dialogPanel_2, self.infoLable)

	self.LiftinfoLable = createLabel({text=[[LiftinfoLable]], font=getFont(), size=24,align = 1})
	setValue(self.LiftinfoLable, "LiftinfoLable", 305, cc.size(129, 28), cc.p(47.5025, 347.416), cc.p(0.5, 0), cc.c4b(253, 132, 53, 255), nil, nil, nil)
	self.LiftinfoLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.LiftinfoLable:setColor(cc.c4b(253, 132, 53, 255))
	addChildForPre(self.dialogPanel_2, self.LiftinfoLable)

	self.RightinfoLable = createLabel({text=[[LiftinfoLable]], font=getFont(), size=24,align = 1})
	setValue(self.RightinfoLable, "RightinfoLable", 306, cc.size(129, 28), cc.p(576.8274, 349.1576), cc.p(0.5, 0), cc.c4b(253, 132, 53, 255), nil, nil, nil)
	self.RightinfoLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.RightinfoLable:setColor(cc.c4b(253, 132, 53, 255))
	addChildForPre(self.dialogPanel_2, self.RightinfoLable)

	self.ListViewPanel = ccui.Layout:create()
	setValue(self.ListViewPanel, "ListViewPanel", 307, cc.size(640, 420), cc.p(320, 82.5), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.ListViewPanel)

	if CommonDialogFrame3CloseUi then 
 		self.commonDialogFrame3CloseUi = CommonDialogFrame3CloseUi.new() 
 	else 
		self.commonDialogFrame3CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame3CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame3CloseUi, "commonDialogFrame3CloseUi", 207, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame3CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/login.plist",
}

return _M
