-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 183, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 184, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.showPanel = ccui.Layout:create()
	setValue(self.showPanel, "AXY_showPanel", 361, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.showPanel)
	self.showPanel_2 = self.showPanel

	self.leftPanel = ccui.Layout:create()
	setValue(self.leftPanel, "XYN_leftPanel", 348, cc.size(640, 310), cc.p(320, 345.6), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.showPanel_2, self.leftPanel)
	self.leftPanel_3 = self.leftPanel

	self.leftBack = ccui.ImageView:create()
	setValue(self.leftBack, "leftBack", 355, cc.size(600, 315), cc.p(320, 155), nil, nil, nil, nil, false)
	self.leftBack:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.leftBack:setScale9Enabled(true)
	self.leftBack:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.leftPanel_3, self.leftBack)

	self.rankIcon3 = cc.Sprite:create()
	setValue(self.rankIcon3, "rankIcon3", 359, cc.size(100, 100), cc.p(96, 201.5), nil, nil, nil, nil, nil)
	self.rankIcon3:setScale(1.6)
	self.rankIcon3:setSpriteFrame("ccs/UiImages/icon/legion_icon_01.png")
	addChildForPre(self.leftPanel_3, self.rankIcon3)

	self.rankIcon2 = cc.Sprite:create()
	setValue(self.rankIcon2, "rankIcon2", 360, cc.size(100, 100), cc.p(320, 201.5), nil, nil, nil, nil, nil)
	self.rankIcon2:setScale(1.6)
	self.rankIcon2:setSpriteFrame("ccs/UiImages/icon/legion_icon_02.png")
	addChildForPre(self.leftPanel_3, self.rankIcon2)

	self.rankIcon1 = cc.Sprite:create()
	setValue(self.rankIcon1, "rankIcon1", 361, cc.size(100, 100), cc.p(544, 201.5), nil, nil, nil, nil, nil)
	self.rankIcon1:setScale(1.6)
	self.rankIcon1:setSpriteFrame("ccs/UiImages/icon/legion_icon_03.png")
	addChildForPre(self.leftPanel_3, self.rankIcon1)

	self.rankNumber3 = createLabel({text=[[rankNumber3]], font=getFont(), size=20})
	setValue(self.rankNumber3, "rankNumber3", 365, cc.size(121, 23), cc.p(96, 127.1), nil, cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.rankNumber3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rankNumber3:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.leftPanel_3, self.rankNumber3)

	self.countryNumber3 = createLabel({text=[[countryNumber3]], font=getFont(), size=20})
	setValue(self.countryNumber3, "countryNumber3", 366, cc.size(147, 23), cc.p(96, 102.3), nil, nil, nil, nil, nil)
	self.countryNumber3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftPanel_3, self.countryNumber3)

	self.rankNumber2 = createLabel({text=[[rankNumber2]], font=getFont(), size=20})
	setValue(self.rankNumber2, "rankNumber2", 367, cc.size(121, 23), cc.p(320, 127.1), nil, cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.rankNumber2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rankNumber2:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.leftPanel_3, self.rankNumber2)

	self.countryNumber2 = createLabel({text=[[countryNumber2]], font=getFont(), size=20})
	setValue(self.countryNumber2, "countryNumber2", 368, cc.size(147, 23), cc.p(320, 102.3), nil, nil, nil, nil, nil)
	self.countryNumber2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftPanel_3, self.countryNumber2)

	self.rankNumber1 = createLabel({text=[[rankNumber1]], font=getFont(), size=20})
	setValue(self.rankNumber1, "rankNumber1", 369, cc.size(121, 23), cc.p(544, 127.1), nil, cc.c4b(255, 253, 32, 255), nil, nil, nil)
	self.rankNumber1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rankNumber1:setColor(cc.c4b(255, 253, 32, 255))
	addChildForPre(self.leftPanel_3, self.rankNumber1)

	self.countryNumber1 = createLabel({text=[[countryNumber1]], font=getFont(), size=20})
	setValue(self.countryNumber1, "countryNumber1", 370, cc.size(147, 23), cc.p(544, 102.3), nil, nil, nil, nil, nil)
	self.countryNumber1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftPanel_3, self.countryNumber1)

	self.rankInfoLable = createLabel({text=[[rankInfoLable]], font=getFont(), size=24})
	setValue(self.rankInfoLable, "rankInfoLable", 459, cc.size(145, 28), cc.p(320, 27.9), nil, cc.c4b(255, 0, 0, 255), nil, nil, nil)
	self.rankInfoLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rankInfoLable:setColor(cc.c4b(255, 0, 0, 255))
	addChildForPre(self.leftPanel_3, self.rankInfoLable)

	self.lastLable = createLabel({text=[[lastLable]], font=getFont(), size=24})
	setValue(self.lastLable, "lastLable", 481, cc.size(96, 28), cc.p(25.6, 282.1), cc.p(0, 0.5), nil, nil, nil, nil)
	self.lastLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftPanel_3, self.lastLable)

	self.resNumber3 = createLabel({text=[[CresNumber3]], font=getFont(), size=20})
	setValue(self.resNumber3, "resNumber3", 110, cc.size(124, 23), cc.p(128, 74.4), nil, nil, nil, nil, nil)
	self.resNumber3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftPanel_3, self.resNumber3)

	self.resNumber2 = createLabel({text=[[CresNumber3]], font=getFont(), size=20})
	setValue(self.resNumber2, "resNumber2", 111, cc.size(124, 23), cc.p(345.6, 74.4), nil, nil, nil, nil, nil)
	self.resNumber2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftPanel_3, self.resNumber2)

	self.resNumber1 = createLabel({text=[[CresNumber3]], font=getFont(), size=20})
	setValue(self.resNumber1, "resNumber1", 112, cc.size(124, 23), cc.p(569.6, 74.4), nil, nil, nil, nil, nil)
	self.resNumber1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftPanel_3, self.resNumber1)

	self.item1Sprite = cc.Sprite:create()
	setValue(self.item1Sprite, "item1Sprite", 850, cc.size(48, 38), cc.p(45.3673, 70.6882), nil, nil, nil, nil, nil)
	self.item1Sprite:setSpriteFrame("ccs/UiImages/countryBattle/countrybattle_img_daoju.png")
	addChildForPre(self.leftPanel_3, self.item1Sprite)

	self.item2Sprite = cc.Sprite:create()
	setValue(self.item2Sprite, "item2Sprite", 852, cc.size(48, 38), cc.p(262.6623, 70.6882), nil, nil, nil, nil, nil)
	self.item2Sprite:setSpriteFrame("ccs/UiImages/countryBattle/countrybattle_img_daoju.png")
	addChildForPre(self.leftPanel_3, self.item2Sprite)

	self.item3Sprite = cc.Sprite:create()
	setValue(self.item3Sprite, "item3Sprite", 851, cc.size(48, 38), cc.p(485.8275, 70.6882), nil, nil, nil, nil, nil)
	self.item3Sprite:setSpriteFrame("ccs/UiImages/countryBattle/countrybattle_img_daoju.png")
	addChildForPre(self.leftPanel_3, self.item3Sprite)

	self.bottomPanel = ccui.Layout:create()
	setValue(self.bottomPanel, "BXN_bottomPanel", 349, cc.size(640, 163), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.showPanel_2, self.bottomPanel)
	self.bottomPanel_3 = self.bottomPanel

	self.Image = ccui.ImageView:create()
	setValue(self.Image, "WTX_Image", 849, cc.size(640, 30), cc.p(320, 154.85), nil, nil, nil, nil, false)
	self.Image:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.Image:setScale9Enabled(true)
	self.Image:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.bottomPanel_3, self.Image)

	self.rankButton = ccui.Button:create()
	setValue(self.rankButton, "rankButton", 362, cc.size(153, 64), cc.p(318.272, 50.9572), nil, nil, nil, nil, false)
	self.rankButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.rankButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.rankButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.rankButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.rankButton:setTitleText([[Button]])
	self.rankButton:setTitleFontSize(24)
	self.rankButton:setTitleFontName(getFont())
	setClickEvent(self, self.rankButton, "rankButton")
	addChildForPre(self.bottomPanel_3, self.rankButton)

	self.timeOutLable = createLabel({text=[[timeOutLable]], font=getFont(), size=22})
	setValue(self.timeOutLable, "timeOutLable", 364, cc.size(130, 26), cc.p(527.616, 113.937), nil, cc.c4b(255, 0, 0, 255), nil, nil, nil)
	self.timeOutLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.timeOutLable:setColor(cc.c4b(255, 0, 0, 255))
	addChildForPre(self.bottomPanel_3, self.timeOutLable)

	self.gotoButton = ccui.Button:create()
	setValue(self.gotoButton, "gotoButton", 363, cc.size(153, 64), cc.p(531.072, 50.9572), nil, nil, nil, nil, false)
	self.gotoButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.gotoButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.gotoButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.gotoButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.gotoButton:setTitleText([[Button]])
	self.gotoButton:setTitleFontSize(24)
	self.gotoButton:setTitleFontName(getFont())
	setClickEvent(self, self.gotoButton, "gotoButton")
	addChildForPre(self.bottomPanel_3, self.gotoButton)

	self.millitaryShopButton = ccui.Button:create()
	setValue(self.millitaryShopButton, "millitaryShopButton", 104, cc.size(153, 64), cc.p(105.5359, 50.9572), nil, nil, nil, nil, false)
	self.millitaryShopButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.millitaryShopButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.millitaryShopButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.millitaryShopButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.millitaryShopButton:setTitleText([[Button]])
	self.millitaryShopButton:setTitleFontSize(24)
	self.millitaryShopButton:setTitleFontName(getFont())
	setClickEvent(self, self.millitaryShopButton, "millitaryShopButton")
	addChildForPre(self.bottomPanel_3, self.millitaryShopButton)

	self.topPanel = ccui.Layout:create()
	setValue(self.topPanel, "TXN_topPanel", 71, cc.size(640, 270), cc.p(320, 662.4), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.showPanel_2, self.topPanel)
	self.topPanel_3 = self.topPanel

	self.iconPanel = ccui.Layout:create()
	setValue(self.iconPanel, "iconPanel", 68, cc.size(236, 270), cc.p(128, 135), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.topPanel_3, self.iconPanel)
	self.iconPanel_4 = self.iconPanel

	self.bgSprite = cc.Sprite:create()
	setValue(self.bgSprite, "bgSprite", 69, cc.size(228, 275), cc.p(118, 135), nil, nil, nil, nil, nil)
	self.bgSprite:setSpriteFrame("ccs/UiImages/commonBg/qualityBg13Bg.png")
	addChildForPre(self.iconPanel_4, self.bgSprite)

	self.iconSprite = cc.Sprite:create()
	setValue(self.iconSprite, "iconSprite", 70, cc.size(211, 172), cc.p(118, 135), nil, nil, nil, nil, nil)
	self.iconSprite:setSpriteFrame("ccs/UiImages/countryBattle/countrybattle_jidi_1.png")
	addChildForPre(self.iconPanel_4, self.iconSprite)

	self.labelPanel = ccui.Layout:create()
	setValue(self.labelPanel, "labelPanel", 488, cc.size(370, 255), cc.p(435.2, 135), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.topPanel_3, self.labelPanel)
	self.labelPanel_4 = self.labelPanel

	self.BGImage = ccui.ImageView:create()
	setValue(self.BGImage, "BGImage", 60, cc.size(370, 255), cc.p(185, 127.5), nil, nil, nil, nil, false)
	self.BGImage:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.BGImage:setScale9Enabled(true)
	self.BGImage:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.labelPanel_4, self.BGImage)

	self.openLable = createLabel({text=[[openLable]], font=getFont(), size=20})
	setValue(self.openLable, "openLable", 351, cc.size(93, 23), cc.p(10.7425, 228.7644), cc.p(0, 0.5), nil, nil, nil, nil)
	self.openLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_4, self.openLable)

	self.taskInfoLable = createLabel({text=[[taskInfoLable]], font=getFont(), size=20})
	setValue(self.taskInfoLable, "taskInfoLable", 352, cc.size(118, 23), cc.p(10.7424, 182.8644), cc.p(0, 0.5), nil, nil, nil, nil)
	self.taskInfoLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_4, self.taskInfoLable)

	self.buffInfoLable = createLabel({text=[[buffInfoLable]], font=getFont(), size=20, dimensions = cc.size(340.0000, 75.0000)})
	setValue(self.buffInfoLable, "buffInfoLable", 353, cc.size(340, 75), cc.p(10.7425, 153), cc.p(0, 1), nil, nil, nil, false)
	self.buffInfoLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel_4, self.buffInfoLable)

	self.setAutoButton = ccui.Button:create()
	setValue(self.setAutoButton, "setAutoButton", 848, cc.size(153, 64), cc.p(175.7854, 47.6428), nil, nil, nil, nil, false)
	self.setAutoButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.setAutoButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.setAutoButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.setAutoButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.setAutoButton:setTitleText([[Button]])
	self.setAutoButton:setTitleFontSize(24)
	self.setAutoButton:setTitleFontName(getFont())
	setClickEvent(self, self.setAutoButton, "setAutoButton")
	addChildForPre(self.labelPanel_4, self.setAutoButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/battle.plist",
	"ccs/plist/icon.plist",
	"ccs/plist/countryBattle.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/commonBg.plist",
}

return _M
