-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 206, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 207, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	setBgColor(self.rootPanel, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.mapScrollView = ccui.ScrollView:create()
	setValue(self.mapScrollView, "AXY_mapScrollView", 209, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	self.mapScrollView:setClippingEnabled(false)
	setBgColor(self.mapScrollView, 1, 102, cc.c4b(255, 150, 100, 255), nil, nil, nil)
	self.mapScrollView:setInnerContainerSize(cc.size(2000, 2000))
	self.mapScrollView:setDirection(3)
	addChildForPre(self.rootPanel_1, self.mapScrollView)
	self.mapScrollView_2 = self.mapScrollView

	self.mapContainPanel = ccui.Layout:create()
	setValue(self.mapContainPanel, "mapContainPanel", 210, cc.size(2000, 2000), nil, nil, nil, nil, nil, nil)
	setBgColor(self.mapContainPanel, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.mapScrollView_2, self.mapContainPanel)
	self.mapContainPanel_3 = self.mapContainPanel

	self.spBattleMap = cc.Sprite:create()
	setValue(self.spBattleMap, "spBattleMap", 211, cc.size(2000, 2000), cc.p(0, 1000), cc.p(0, 0.5), nil, nil, nil, nil)
	self.spBattleMap:setTexture("ccs/BigImages/legendOfEmpire/legendOfEmpire_map.webp")
	addChildForPre(self.mapContainPanel_3, self.spBattleMap)

	self.mapNodePanel = ccui.Layout:create()
	setValue(self.mapNodePanel, "mapNodePanel", 212, cc.size(2000, 2000), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.mapContainPanel_3, self.mapNodePanel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/BigImages/legendOfEmpire/legendOfEmpire_map.jpg",
}

return _M
