-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 935, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 936, cc.size(230, 100), nil, nil, nil, nil, nil, nil)
	setBgColor(self.rootPanel, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.imgBg = ccui.ImageView:create()
	setValue(self.imgBg, "imgBg", 1140, cc.size(230, 100), cc.p(115, 50), nil, nil, nil, nil, false)
	self.imgBg:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.imgBg:setScale9Enabled(true)
	self.imgBg:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.rootPanel_1, self.imgBg)

	self.txtCountdown = createLabel({text=[[距离战斗结束 28:06]], font=getFont(), size=20})
	setValue(self.txtCountdown, "txtCountdown", 1141, cc.size(175, 23), cc.p(11.5, 80), cc.p(0, 0.5), nil, nil, nil, nil)
	self.txtCountdown:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.txtCountdown)

	self.txtTip = createLabel({text=[[结束前5分钟资源产出*2]], font=getFont(), size=20})
	setValue(self.txtTip, "txtTip", 1142, cc.size(210, 23), cc.p(11.5, 50), cc.p(0, 0.5), cc.c4b(255, 0, 0, 255), nil, nil, nil)
	self.txtTip:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.txtTip:setColor(cc.c4b(255, 0, 0, 255))
	addChildForPre(self.rootPanel_1, self.txtTip)

	self.txtCurrentCamp = createLabel({text=[[当前阵营:]], font=getFont(), size=20, dimensions = cc.size(100.0000, 23.0000)})
	setValue(self.txtCurrentCamp, "txtCurrentCamp", 1143, cc.size(100, 23), cc.p(11.5, 18.9106), cc.p(0, 0.5), nil, nil, nil, false)
	self.txtCurrentCamp:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.txtCurrentCamp)

	self.spCamp = cc.Sprite:create()
	setValue(self.spCamp, "spCamp", 1144, cc.size(100, 100), cc.p(118.3624, 18.9106), nil, nil, nil, nil, nil)
	self.spCamp:setScale(0.3)
	self.spCamp:setSpriteFrame("ccs/UiImages/icon/legion_icon_01.png")
	addChildForPre(self.rootPanel_1, self.spCamp)

	self.txtCamp = createLabel({text=[[联盟]], font=getFont(), size=20, dimensions = cc.size(60.0000, 23.0000)})
	setValue(self.txtCamp, "txtCamp", 1145, cc.size(60, 23), cc.p(169.3748, 18.9106), nil, nil, nil, nil, false)
	self.txtCamp:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.txtCamp)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/battle.plist",
	"ccs/plist/icon.plist",
}

return _M
