-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 71, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 72, cc.size(600, 300), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bigPanel = ccui.Layout:create()
	setValue(self.bigPanel, "bigPanel", 45, cc.size(600, 300), cc.p(300, 150), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.bigPanel)
	self.bigPanel_2 = self.bigPanel

	self.countryAactiveButton = ccui.Button:create()
	setValue(self.countryAactiveButton, "countryAactiveButton", 5, cc.size(80, 80), cc.p(90, 252), nil, nil, nil, nil, false)
	self.countryAactiveButton:loadTextureNormal("ccs/UiImages/countryBattle/CampInformationIcon.png", 1)
	self.countryAactiveButton:loadTexturePressed("ccs/UiImages/countryBattle/CampInformationDown.png", 1)
	self.countryAactiveButton:loadTextureDisabled("ccs/UiImages/countryBattle/CampInformationDown.png", 1)
	self.countryAactiveButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.countryAactiveButton:setTitleText([[Button]])
	self.countryAactiveButton:setTitleColor(cc.c3b(65, 65, 70))
	self.countryAactiveButton:setTitleFontSize(14)
	self.countryAactiveButton:setTitleFontName(getFont())
	setClickEvent(self, self.countryAactiveButton, "countryAactiveButton")
	addChildForPre(self.bigPanel_2, self.countryAactiveButton)

	self.fontBack = ccui.ImageView:create()
	setValue(self.fontBack, "fontBack", 76, cc.size(120, 30), cc.p(78, 207), nil, nil, nil, nil, false)
	self.fontBack:loadTexture("ccs/UiImages/common/CommonUnderframeTitle.png", 1)
	self.fontBack:setScale9Enabled(true)
	self.fontBack:setCapInsets(cc.rect(0, 0, 448, 52))
	addChildForPre(self.bigPanel_2, self.fontBack)

	self.cuntryActiveLable = createLabel({text=[[阵营信息]], font=getFont(), size=25})
	setValue(self.cuntryActiveLable, "cuntryActiveLable", 6, cc.size(100, 29), cc.p(78, 207), nil, nil, nil, nil, nil)
	self.cuntryActiveLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.cuntryActiveLable)

	self.backGround = ccui.ImageView:create()
	setValue(self.backGround, "backGround", 73, cc.size(453, 262), cc.p(360, 156), nil, nil, nil, nil, false)
	self.backGround:loadTexture("ccs/UiImages/common/CommonTextureBig.png", 1)
	self.backGround:setScale9Enabled(true)
	self.backGround:setCapInsets(cc.rect(0, 0, 525, 490))
	addChildForPre(self.bigPanel_2, self.backGround)
	self.backGround_3 = self.backGround

	self.infoPanel = ccui.Layout:create()
	setValue(self.infoPanel, "infoPanel", 119, cc.size(450, 250), cc.p(226.5, 131), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.backGround_3, self.infoPanel)
	self.infoPanel_4 = self.infoPanel

	self.activeTitle = createLabel({text=[[activeTitle]], font=getFont(), size=22})
	setValue(self.activeTitle, "activeTitle", 118, cc.size(98, 26), cc.p(225, 232.5), nil, cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.activeTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.activeTitle:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.infoPanel_4, self.activeTitle)

	self.lindImage = ccui.ImageView:create()
	setValue(self.lindImage, "lindImage", 120, cc.size(450, 14), cc.p(225, 212.5), nil, nil, nil, nil, nil)
	self.lindImage:loadTexture("ccs/UiImages/common/LightColourLine.png", 1)
	addChildForPre(self.infoPanel_4, self.lindImage)

	self.timeBackGround = ccui.ImageView:create()
	setValue(self.timeBackGround, "timeBackGround", 136, cc.size(400, 40), cc.p(225, 25), nil, nil, nil, nil, false)
	self.timeBackGround:loadTexture("ccs/UiImages/commonB/NumberShadow.png", 1)
	self.timeBackGround:setScale9Enabled(true)
	self.timeBackGround:setCapInsets(cc.rect(5, 5, 28, 12))
	addChildForPre(self.infoPanel_4, self.timeBackGround)

	self.TimeLable = createLabel({text=[[活动剩余时间]], font=getFont(), size=24})
	setValue(self.TimeLable, "TimeLable", 137, cc.size(144, 28), cc.p(162, 25), nil, nil, nil, nil, nil)
	self.TimeLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.infoPanel_4, self.TimeLable)

	self.timeNumber = createLabel({text=[[timeNumber]], font=getFont(), size=24,align = 1,valign = 1})
	setValue(self.timeNumber, "timeNumber", 138, cc.size(130, 28), cc.p(315, 25), nil, cc.c4b(227, 35, 20, 255), nil, nil, nil)
	self.timeNumber:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.timeNumber:setColor(cc.c4b(227, 35, 20, 255))
	addChildForPre(self.infoPanel_4, self.timeNumber)

	self.activePanel = ccui.Layout:create()
	setValue(self.activePanel, "activePanel", 67, cc.size(436, 170), cc.p(225, 125), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.infoPanel_4, self.activePanel)
	self.activePanel_5 = self.activePanel

	self.Justice = cc.Sprite:create()
	setValue(self.Justice, "Justice", 121, cc.size(242, 212), cc.p(109, 132.6), nil, nil, nil, nil, nil)
	self.Justice:setScale(0.4)
	self.Justice:setTexture("ccs/BigImages/camp/Justice.webp")
	addChildForPre(self.activePanel_5, self.Justice)

	self.Jagged = cc.Sprite:create()
	setValue(self.Jagged, "Jagged", 122, cc.size(238, 212), cc.p(218, 125.8), nil, nil, nil, nil, nil)
	self.Jagged:setScale(0.4)
	self.Jagged:setTexture("ccs/BigImages/camp/Jagged.webp")
	addChildForPre(self.activePanel_5, self.Jagged)

	self.Honour = cc.Sprite:create()
	setValue(self.Honour, "Honour", 123, cc.size(238, 212), cc.p(327, 124.1), nil, nil, nil, nil, nil)
	self.Honour:setScale(0.4)
	self.Honour:setTexture("ccs/BigImages/camp/Honour.webp")
	addChildForPre(self.activePanel_5, self.Honour)

	self.resFontLable = createLabel({text=[[资源:]], font=getFont(), size=22})
	setValue(self.resFontLable, "resFontLable", 125, cc.size(50, 26), cc.p(34.88, 71.4), nil, nil, nil, nil, nil)
	self.resFontLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.activePanel_5, self.resFontLable)

	self.resIcon3 = cc.Sprite:create()
	setValue(self.resIcon3, "resIcon3", 124, cc.size(40, 40), cc.p(91.56, 73.1), nil, nil, nil, nil, nil)
	self.resIcon3:setSpriteFrame("ccs/UiImages/countryBattle/SuppliesIcon.png")
	addChildForPre(self.activePanel_5, self.resIcon3)
	self.resIcon3_6 = self.resIcon3

	self.resFontLable3 = createLabel({text=[[123456]], font=getFont(), size=18})
	setValue(self.resFontLable3, "resFontLable3", 126, cc.size(60, 21), cc.p(40, 18), cc.p(0, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.resFontLable3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.resFontLable3:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.resIcon3_6, self.resFontLable3)

	self.resIcon2 = cc.Sprite:create()
	setValue(self.resIcon2, "resIcon2", 127, cc.size(40, 40), cc.p(204.92, 73.1), nil, nil, nil, nil, nil)
	self.resIcon2:setSpriteFrame("ccs/UiImages/countryBattle/SuppliesIcon.png")
	addChildForPre(self.activePanel_5, self.resIcon2)
	self.resIcon2_6 = self.resIcon2

	self.resFontLable2 = createLabel({text=[[123456]], font=getFont(), size=18})
	setValue(self.resFontLable2, "resFontLable2", 128, cc.size(60, 21), cc.p(40, 18), cc.p(0, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.resFontLable2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.resFontLable2:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.resIcon2_6, self.resFontLable2)

	self.resIcon1 = cc.Sprite:create()
	setValue(self.resIcon1, "resIcon1", 129, cc.size(40, 40), cc.p(313.92, 73.1), nil, nil, nil, nil, nil)
	self.resIcon1:setSpriteFrame("ccs/UiImages/countryBattle/SuppliesIcon.png")
	addChildForPre(self.activePanel_5, self.resIcon1)
	self.resIcon1_6 = self.resIcon1

	self.resFontLable1 = createLabel({text=[[123456]], font=getFont(), size=18})
	setValue(self.resFontLable1, "resFontLable1", 130, cc.size(60, 21), cc.p(40, 18), cc.p(0, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.resFontLable1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.resFontLable1:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.resIcon1_6, self.resFontLable1)

	self.NodeFontLable = createLabel({text=[[据点:]], font=getFont(), size=22})
	setValue(self.NodeFontLable, "NodeFontLable", 132, cc.size(50, 26), cc.p(34.88, 42.5), nil, nil, nil, nil, nil)
	self.NodeFontLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.activePanel_5, self.NodeFontLable)

	self.NodeNumberLable3 = createLabel({text=[[99]], font=getFont(), size=20})
	setValue(self.NodeNumberLable3, "NodeNumberLable3", 133, cc.size(22, 23), cc.p(109, 42.5), nil, cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.NodeNumberLable3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.NodeNumberLable3:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.activePanel_5, self.NodeNumberLable3)

	self.NodeNumberLable2 = createLabel({text=[[99]], font=getFont(), size=20})
	setValue(self.NodeNumberLable2, "NodeNumberLable2", 134, cc.size(22, 23), cc.p(218, 42.5), nil, cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.NodeNumberLable2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.NodeNumberLable2:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.activePanel_5, self.NodeNumberLable2)

	self.NodeNumberLable1 = createLabel({text=[[99]], font=getFont(), size=20})
	setValue(self.NodeNumberLable1, "NodeNumberLable1", 135, cc.size(22, 23), cc.p(327, 42.5), nil, cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.NodeNumberLable1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.NodeNumberLable1:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.activePanel_5, self.NodeNumberLable1)

	self.showInfoPanel = ccui.Layout:create()
	setValue(self.showInfoPanel, "showInfoPanel", 68, cc.size(400, 170), cc.p(225, 125), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.infoPanel_4, self.showInfoPanel)
	self.showInfoPanel_5 = self.showInfoPanel

	self.showInfoLable = createLabel({text=[[showInfoLable]], font=getFont(), size=22, dimensions = cc.size(395.0000, 150.0000)})
	setValue(self.showInfoLable, "showInfoLable", 69, cc.size(395, 150), cc.p(200, 85), nil, nil, nil, nil, false)
	self.showInfoLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.showInfoPanel_5, self.showInfoLable)

	self.backGroundLine = ccui.ImageView:create()
	setValue(self.backGroundLine, "backGroundLine", 74, cc.size(460, 270), cc.p(360, 156), nil, nil, nil, nil, false)
	self.backGroundLine:loadTexture("ccs/UiImages/common/CommonFrame.png", 1)
	self.backGroundLine:setScale9Enabled(true)
	self.backGroundLine:setCapInsets(cc.rect(10, 10, 226, 30))
	addChildForPre(self.bigPanel_2, self.backGroundLine)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/countryBattle.plist",
	"ccs/plist/common.plist",
	"ccs/plist/commonPanelPartsC.plist",
	"ccs/BigImages/camp/Justice.png",
	"ccs/BigImages/camp/Jagged.png",
	"ccs/BigImages/camp/Honour.png",
}

return _M
