-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 417, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 418, cc.size(309, 173), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.BattleFloor = cc.Sprite:create()
	setValue(self.BattleFloor, "BattleFloor", 41, cc.size(309, 173), cc.p(154.5, 86.5), nil, nil, nil, nil, nil)
	self.BattleFloor:setSpriteFrame("ccs/UiImages/commonBg/countrybattle_img_blue.png")
	addChildForPre(self.rootPanel_1, self.BattleFloor)

	self.frameImage = ccui.ImageView:create()
	setValue(self.frameImage, "frameImage", 2118, cc.size(168, 100), cc.p(99.2084, 79), nil, nil, nil, nil, nil)
	self.frameImage:loadTexture("ccs/UiImages/commonBg/qualityBg12.png", 1)
	addChildForPre(self.rootPanel_1, self.frameImage)

	self.fightButton = ccui.Button:create()
	setValue(self.fightButton, "fightButton", 419, cc.size(98, 51), cc.p(244.4203, 48.3951), nil, nil, nil, nil, false)
	self.fightButton:loadTextureNormal("ccs/UiImages/image9/CommonPanel_btn_smallred_0.png", 1)
	self.fightButton:loadTexturePressed("ccs/UiImages/image9/CommonPanel_btn_smallred_1.png", 1)
	self.fightButton:loadTextureDisabled("ccs/UiImages/image9/CommonPanel_btn_small_2.png", 1)
	self.fightButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.fightButton:setTitleText([[fight]])
	self.fightButton:setTitleFontSize(22)
	self.fightButton:setTitleFontName(getFont())
	setClickEvent(self, self.fightButton, "fightButton")
	addChildForPre(self.rootPanel_1, self.fightButton)

	self.playerNameLabel = createLabel({text=[[xxxxx]], font=getFont(), size=22})
	setValue(self.playerNameLabel, "playerNameLabel", 420, cc.size(55, 26), cc.p(24.6329, 151.8895), cc.p(0, 0.5), nil, nil, nil, nil)
	self.playerNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.playerNameLabel)

	self.tankSprite = cc.Sprite:create()
	setValue(self.tankSprite, "tankSprite", 423, cc.size(46, 46), cc.p(90, 73), cc.p(0.33, 0.21), nil, nil, nil, nil)
	self.tankSprite:setScale(0.77)
	self.tankSprite:setTexture("Default/Sprite.png")
	addChildForPre(self.rootPanel_1, self.tankSprite)

	self.powerTitleLabel = createLabel({text=[[士气]], font=getFont(), size=20})
	setValue(self.powerTitleLabel, "powerTitleLabel", 165, cc.size(40, 23), cc.p(241.5762, 116.948), cc.p(1, 0.5), cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.powerTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.powerTitleLabel:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.rootPanel_1, self.powerTitleLabel)

	self.powerLabel = createLabel({text=[[100]], font=getFont(), size=20})
	setValue(self.powerLabel, "powerLabel", 424, cc.size(33, 23), cc.p(251.6496, 116.948), cc.p(0, 0.5), nil, nil, nil, nil)
	self.powerLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.powerLabel)

	self.countryLabel = createLabel({text=[[country]], font=getFont(), size=20})
	setValue(self.countryLabel, "countryLabel", 60, cc.size(65, 23), cc.p(204, 89.8611), cc.p(0, 0.5), nil, nil, nil, nil)
	self.countryLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.countryLabel)

	self.cdPanel = ccui.Layout:create()
	setValue(self.cdPanel, "cdPanel", 21, cc.size(130, 30), cc.p(293.55, 150.2851), cc.p(1, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.cdPanel)
	self.cdPanel_2 = self.cdPanel

	self.cdTimeTitleLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.cdTimeTitleLabel, "cdTimeTitleLabel", 19, cc.size(91, 23), cc.p(86.7506, 14.489), cc.p(1, 0.5), nil, nil, nil, nil)
	self.cdTimeTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.cdPanel_2, self.cdTimeTitleLabel)

	self.cdTimeLabel = createLabel({text=[[5s]], font=getFont(), size=20})
	setValue(self.cdTimeLabel, "cdTimeLabel", 42, cc.size(21, 23), cc.p(120.874, 15), cc.p(1, 0.5), nil, nil, nil, nil)
	self.cdTimeLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.cdPanel_2, self.cdTimeLabel)

	self.dropPanel = ccui.Layout:create()
	setValue(self.dropPanel, "dropPanel", 35, cc.size(130, 40), cc.p(302, 51), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dropPanel)
	self.dropPanel_2 = self.dropPanel

	self.dropTitleLabel = createLabel({text=[[(掉落)]], font=getFont(), size=20})
	setValue(self.dropTitleLabel, "dropTitleLabel", 36, cc.size(53, 23), cc.p(96, 19.2851), nil, nil, nil, nil, nil)
	self.dropTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dropPanel_2, self.dropTitleLabel)

	self.dropIconPanel = ccui.Layout:create()
	setValue(self.dropIconPanel, "dropIconPanel", 37, cc.size(40, 40), cc.p(14, 4.4), nil, nil, nil, nil, nil)
	addChildForPre(self.dropPanel_2, self.dropIconPanel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/image9.plist",
	"Default/Sprite.png",
}

return _M
