-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 47, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 48, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonNewUi then 
 		self.commonNewUi = CommonNewUi.new() 
 	else 
		self.commonNewUi = BaseUi.new("ccs/ui/commonDialog/CommonNewUi.lua")
 	end 
	setValue(self.commonNewUi, "commonNewUi", 1230, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonNewUi)

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "AXY_Panel", 72, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Panel)
	self.Panel_2 = self.Panel

	self.bgColor = ccui.ImageView:create()
	setValue(self.bgColor, "WIX_bgColor", 44, cc.size(640, 742), cc.p(320, 480), nil, nil, nil, nil, false)
	self.bgColor:loadTexture("ccs/UiImages/countryBattle/countrybattle_img_raeblue.png", 1)
	self.bgColor:setScale9Enabled(true)
	self.bgColor:setCapInsets(cc.rect(0, 0, 62, 73))
	addChildForPre(self.Panel_2, self.bgColor)

	self.midPanel = ccui.Layout:create()
	setValue(self.midPanel, "WIX_midPanel", 2012, cc.size(50, 640), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.midPanel)
	self.midPanel_3 = self.midPanel

	self.BattleRaphe = ccui.ImageView:create()
	setValue(self.BattleRaphe, "HXY_BattleRaphe", 827, cc.size(8, 640), cc.p(25, 332.8), nil, nil, nil, nil, false)
	self.BattleRaphe:loadTexture("ccs/UiImages/countryBattle/countrybattle_img_shutiao.png", 1)
	self.BattleRaphe:setScale9Enabled(true)
	self.BattleRaphe:setCapInsets(cc.rect(0, 0, 8, 110))
	addChildForPre(self.midPanel_3, self.BattleRaphe)

	self.topAreaPanel = ccui.Layout:create()
	setValue(self.topAreaPanel, "TXN_topAreaPanel", 67, cc.size(640, 105), cc.p(320, 883.2), cc.p(0.5, 1), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.topAreaPanel)
	self.topAreaPanel_3 = self.topAreaPanel

	self.Beam = cc.Sprite:create()
	setValue(self.Beam, "Beam", 34, cc.size(644, 78), cc.p(320, 105), cc.p(0.5, 1), nil, nil, nil, nil)
	self.Beam:setSpriteFrame("ccs/UiImages/battle/combat_img_jiemian01.png")
	addChildForPre(self.topAreaPanel_3, self.Beam)

	self.wePeopleLabel = createLabel({text=[[1/99]], font=getFont(), size=24})
	setValue(self.wePeopleLabel, "wePeopleLabel", 39, cc.size(46, 28), cc.p(243.2, 78.75), cc.p(1, 0.5), nil, nil, nil, nil)
	self.wePeopleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.topAreaPanel_3, self.wePeopleLabel)

	self.otherPeopleLabel = createLabel({text=[[1/99]], font=getFont(), size=24})
	setValue(self.otherPeopleLabel, "otherPeopleLabel", 40, cc.size(46, 28), cc.p(396.8, 78.75), cc.p(0, 0.5), nil, nil, nil, nil)
	self.otherPeopleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.topAreaPanel_3, self.otherPeopleLabel)

	self.vsSprite = cc.Sprite:create()
	setValue(self.vsSprite, "vsSprite", 723, cc.size(83, 64), cc.p(320, 70.35), nil, nil, nil, nil, nil)
	self.vsSprite:setSpriteFrame("ccs/UiImages/battle/combat_img_vs.png")
	addChildForPre(self.topAreaPanel_3, self.vsSprite)

	self.bg1Sprite = cc.Sprite:create()
	setValue(self.bg1Sprite, "bg1Sprite", 724, cc.size(173, 57), cc.p(166.4, 30.45), nil, nil, nil, nil, nil)
	self.bg1Sprite:setSpriteFrame("ccs/UiImages/countryBattle/countrybattle_img_plate.png")
	addChildForPre(self.topAreaPanel_3, self.bg1Sprite)

	self.bg2Sprite = cc.Sprite:create()
	setValue(self.bg2Sprite, "bg2Sprite", 725, cc.size(173, 57), cc.p(473.6, 30.45), nil, nil, nil, nil, nil)
	self.bg2Sprite:setFlippedX(true)
	self.bg2Sprite:setSpriteFrame("ccs/UiImages/countryBattle/countrybattle_img_plate.png")
	addChildForPre(self.topAreaPanel_3, self.bg2Sprite)

	self.weLabel = createLabel({text=[[weLabel]], font=getFont(), size=26})
	setValue(self.weLabel, "weLabel", 37, cc.size(96, 31), cc.p(160, 34.65), nil, nil, nil, nil, nil)
	self.weLabel:setVisible(false)
	self.weLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.topAreaPanel_3, self.weLabel)

	self.weLabelNode = cc.Node:create()
	setValue(self.weLabelNode, "weLabelNode", 44, nil, cc.p(160, 34.65), nil, nil, nil, nil, nil)
	addChildForPre(self.topAreaPanel_3, self.weLabelNode)

	self.otherLabel = createLabel({text=[[otherLabel]], font=getFont(), size=26})
	setValue(self.otherLabel, "otherLabel", 38, cc.size(122, 31), cc.p(480, 34.65), nil, nil, nil, nil, nil)
	self.otherLabel:setVisible(false)
	self.otherLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.topAreaPanel_3, self.otherLabel)

	self.otherLabelNode = cc.Node:create()
	setValue(self.otherLabelNode, "otherLabelNode", 45, nil, cc.p(480, 34.65), nil, nil, nil, nil, nil)
	addChildForPre(self.topAreaPanel_3, self.otherLabelNode)

	self.weInfoListViewPanel = ccui.Layout:create()
	setValue(self.weInfoListViewPanel, "WIX_weInfoListViewPanel", 111, cc.size(309, 608), cc.p(0, 174.432), nil, nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.weInfoListViewPanel)

	self.otherInfoListViewPanel = ccui.Layout:create()
	setValue(self.otherInfoListViewPanel, "WIX_otherInfoListViewPanel", 113, cc.size(309, 608), cc.p(640, 174.432), cc.p(1, 0), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.otherInfoListViewPanel)

	self.logPanel = ccui.Layout:create()
	setValue(self.logPanel, "BXN_logPanel", 41, cc.size(640, 80), cc.p(320, 105.6), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.logPanel)
	self.logPanel_3 = self.logPanel

	self.BattleWordFloor = ccui.ImageView:create()
	setValue(self.BattleWordFloor, "BattleWordFloor", 2135, cc.size(200, 640), cc.p(320, 80), cc.p(1, 0.5), nil, nil, nil, false)
	self.BattleWordFloor:setRotationSkewX(270)
	self.BattleWordFloor:setRotationSkewY(270)
	self.BattleWordFloor:loadTexture("ccs/UiImages/commonBg/worldboss_img_diban.png", 1)
	self.BattleWordFloor:setScale9Enabled(true)
	self.BattleWordFloor:setCapInsets(cc.rect(0, 12, 255, 330))
	addChildForPre(self.logPanel_3, self.BattleWordFloor)

	self.logUpDownButton = ccui.Button:create()
	setValue(self.logUpDownButton, "logUpDownButton", 45, cc.size(36, 123), cc.p(320, 74.4), cc.p(0, 0.5), nil, nil, nil, nil)
	self.logUpDownButton:setRotationSkewX(270)
	self.logUpDownButton:setRotationSkewY(270)
	self.logUpDownButton:loadTextureNormal("ccs/UiImages/common/worldboss_btn_right.png", 1)
	self.logUpDownButton:loadTexturePressed("ccs/UiImages/common/worldboss_btn_right.png", 1)
	self.logUpDownButton:loadTextureDisabled("ccs/UiImages/common/worldboss_btn_right.png", 1)
	self.logUpDownButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.logUpDownButton:setTitleText([[]])
	self.logUpDownButton:setTitleColor(cc.c3b(65, 65, 70))
	self.logUpDownButton:setTitleFontSize(14)
	self.logUpDownButton:setTitleFontName(getFont())
	setClickEvent(self, self.logUpDownButton, "logUpDownButton")
	addChildForPre(self.logPanel_3, self.logUpDownButton)

	self.logListViewPanel = ccui.Layout:create()
	setValue(self.logListViewPanel, "logListViewPanel", 112, cc.size(608, 70.4), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.logPanel_3, self.logListViewPanel)

	self.bottomAreaPanel = ccui.Layout:create()
	setValue(self.bottomAreaPanel, "BXN_bottomAreaPanel", 69, cc.size(640, 113), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	setBgColor(self.bottomAreaPanel, 1, nil, cc.c4b(28, 32, 40, 255), nil, nil, nil)
	addChildForPre(self.Panel_2, self.bottomAreaPanel)
	self.bottomAreaPanel_3 = self.bottomAreaPanel

	self.Image = ccui.ImageView:create()
	setValue(self.Image, "WTX_Image", 726, cc.size(640, 30), cc.p(320, 102.83), nil, nil, nil, nil, nil)
	self.Image:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	addChildForPre(self.bottomAreaPanel_3, self.Image)

	self.eventButton = ccui.Button:create()
	setValue(self.eventButton, "eventButton", 223, cc.size(153, 64), cc.p(89.344, 32.8491), nil, nil, nil, nil, false)
	self.eventButton:setVisible(false)
	self.eventButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.eventButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.eventButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.eventButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.eventButton:setTitleText([[event]])
	self.eventButton:setTitleFontSize(24)
	self.eventButton:setTitleFontName(getFont())
	setClickEvent(self, self.eventButton, "eventButton")
	addChildForPre(self.bottomAreaPanel_3, self.eventButton)

	self.refreshButton = ccui.Button:create()
	setValue(self.refreshButton, "refreshButton", 422, cc.size(153, 64), cc.p(320, 36.2278), nil, nil, nil, nil, false)
	self.refreshButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.refreshButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.refreshButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.refreshButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.refreshButton:setTitleText([[refresh]])
	self.refreshButton:setTitleFontSize(24)
	self.refreshButton:setTitleFontName(getFont())
	setClickEvent(self, self.refreshButton, "refreshButton")
	addChildForPre(self.bottomAreaPanel_3, self.refreshButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/countryBattle.plist",
	"ccs/plist/battle.plist",
	"ccs/plist/commonBg.plist",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
}

return _M
