-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 3, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 3938, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "dialogPanel", 13, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.buttonPanelPVP = ccui.Layout:create()
	setValue(self.buttonPanelPVP, "buttonPanelPVP", 52, cc.size(640, 280), cc.p(320, 633.6), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.buttonPanelPVP)
	self.buttonPanelPVP_3 = self.buttonPanelPVP

	self.btnPvp = ccui.Button:create()
	self.btnPvp:setScale9Enabled(true)
	self.btnPvp:setCapInsets(cc.rect(0, 0, 10, 10))
	self.btnPvp:setContentSize(cc.size(640, 280))
	setValue(self.btnPvp, "btnPvp", 864, nil, cc.p(320, 140), nil, nil, nil, nil, false)
	self.btnPvp:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.btnPvp:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.btnPvp:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.btnPvp:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.btnPvp:setTitleText([[Button]])
	self.btnPvp:setTitleColor(cc.c3b(65, 65, 70))
	self.btnPvp:setTitleFontSize(14)
	self.btnPvp:setTitleFontName(getFont())
	setClickEvent(self, self.btnPvp, "btnPvp")
	addChildForPre(self.buttonPanelPVP_3, self.btnPvp)

	self.imagePvpBg = ccui.ImageView:create()
	setValue(self.imagePvpBg, "imagePvpBg", 53, cc.size(620, 274), cc.p(320, 140), nil, nil, nil, nil, false)
	self.imagePvpBg:loadTexture("ccs/UiImages/commonBg/common_img_ditiao.png", 1)
	self.imagePvpBg:setScale9Enabled(true)
	self.imagePvpBg:setCapInsets(cc.rect(0, 0, 1234, 298))
	addChildForPre(self.buttonPanelPVP_3, self.imagePvpBg)

	self.pvpIcon = cc.Sprite:create()
	setValue(self.pvpIcon, "pvpIcon", 195, cc.size(607, 258), cc.p(319.9999, 143.1111), nil, nil, nil, nil, nil)
	self.pvpIcon:setTexture("ccs/BigImages/background/countryBattlezhu.webp")
	addChildForPre(self.buttonPanelPVP_3, self.pvpIcon)

	self.imagelineMid = ccui.ImageView:create()
	setValue(self.imagelineMid, "imagelineMid", 57, cc.size(620, 44), cc.p(320, 190), nil, nil, nil, nil, false)
	self.imagelineMid:loadTexture("ccs/UiImages/image9/common_s9_diban.png", 1)
	self.imagelineMid:setScale9Enabled(true)
	self.imagelineMid:setCapInsets(cc.rect(0, 0, 24, 24))
	addChildForPre(self.buttonPanelPVP_3, self.imagelineMid)

	self.lbTitleText = createLabel({text=[[Text Label]], font=getFont(), size=30})
	setValue(self.lbTitleText, "lbTitleText", 58, cc.size(136, 34), cc.p(320, 190), nil, nil, nil, nil, nil)
	self.lbTitleText:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.buttonPanelPVP_3, self.lbTitleText)

	self.imagelineType = ccui.ImageView:create()
	setValue(self.imagelineType, "imagelineType", 59, cc.size(100, 44), cc.p(320.0002, 130.3999), nil, nil, nil, nil, false)
	self.imagelineType:loadTexture("ccs/UiImages/image9/common_s9_diban.png", 1)
	self.imagelineType:setScale9Enabled(true)
	self.imagelineType:setCapInsets(cc.rect(0, 0, 24, 24))
	addChildForPre(self.buttonPanelPVP_3, self.imagelineType)

	self.lbTitleTypeText = createLabel({text=[[PVP]], font=getFont(), size=30})
	setValue(self.lbTitleTypeText, "lbTitleTypeText", 60, cc.size(60, 34), cc.p(319.9999, 130.3999), nil, cc.c4b(255, 0, 0, 255), nil, nil, nil)
	self.lbTitleTypeText:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.lbTitleTypeText:setColor(cc.c4b(255, 0, 0, 255))
	addChildForPre(self.buttonPanelPVP_3, self.lbTitleTypeText)

	self.imagelineBot = ccui.ImageView:create()
	setValue(self.imagelineBot, "imagelineBot", 61, cc.size(620, 44), cc.p(320, 61.9009), nil, nil, nil, nil, false)
	self.imagelineBot:loadTexture("ccs/UiImages/image9/common_s9_diban.png", 1)
	self.imagelineBot:setScale9Enabled(true)
	self.imagelineBot:setCapInsets(cc.rect(0, 0, 24, 24))
	addChildForPre(self.buttonPanelPVP_3, self.imagelineBot)

	self.lbDescText = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.lbDescText, "lbDescText", 62, cc.size(109, 28), cc.p(320, 61.9012), nil, nil, nil, nil, nil)
	self.lbDescText:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.buttonPanelPVP_3, self.lbDescText)

	self.imagelineTop = ccui.ImageView:create()
	setValue(self.imagelineTop, "imagelineTop", 63, cc.size(500, 44), cc.p(625, 244.7151), cc.p(1, 0.5), nil, nil, nil, false)
	self.imagelineTop:loadTexture("ccs/UiImages/image9/common_s9_diban.png", 1)
	self.imagelineTop:setScale9Enabled(true)
	self.imagelineTop:setCapInsets(cc.rect(0, 0, 24, 24))
	addChildForPre(self.buttonPanelPVP_3, self.imagelineTop)

	self.lbTopText = createLabel({text=[[Text Label]], font=getFont(), size=30})
	setValue(self.lbTopText, "lbTopText", 64, cc.size(136, 34), cc.p(614.4, 244.7161), cc.p(1, 0.5), nil, nil, nil, nil)
	self.lbTopText:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.buttonPanelPVP_3, self.lbTopText)

	self.buttonPanelPVE = ccui.Layout:create()
	setValue(self.buttonPanelPVE, "buttonPanelPVE", 54, cc.size(640, 280), cc.p(320, 307.2), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.buttonPanelPVE)
	self.buttonPanelPVE_3 = self.buttonPanelPVE

	self.btnPve = ccui.Button:create()
	self.btnPve:setScale9Enabled(true)
	self.btnPve:setCapInsets(cc.rect(0, 0, 10, 10))
	self.btnPve:setContentSize(cc.size(640, 280))
	setValue(self.btnPve, "btnPve", 1018, nil, cc.p(320, 140), nil, nil, nil, nil, false)
	self.btnPve:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.btnPve:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.btnPve:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.btnPve:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.btnPve:setTitleText([[Button]])
	self.btnPve:setTitleColor(cc.c3b(65, 65, 70))
	self.btnPve:setTitleFontSize(14)
	self.btnPve:setTitleFontName(getFont())
	setClickEvent(self, self.btnPve, "btnPve")
	addChildForPre(self.buttonPanelPVE_3, self.btnPve)

	self.imagePvpBg_Copy = ccui.ImageView:create()
	setValue(self.imagePvpBg_Copy, "imagePvpBg_Copy", 55, cc.size(620, 274), cc.p(320, 140), nil, nil, nil, nil, false)
	self.imagePvpBg_Copy:loadTexture("ccs/UiImages/commonBg/common_img_ditiao.png", 1)
	self.imagePvpBg_Copy:setScale9Enabled(true)
	self.imagePvpBg_Copy:setCapInsets(cc.rect(0, 0, 1234, 298))
	addChildForPre(self.buttonPanelPVE_3, self.imagePvpBg_Copy)

	self.pvpIcon_Copy = cc.Sprite:create()
	setValue(self.pvpIcon_Copy, "pvpIcon_Copy", 56, cc.size(607, 258), cc.p(320, 140), nil, nil, nil, nil, nil)
	self.pvpIcon_Copy:setTexture("ccs/BigImages/background/countryBattlezhu.webp")
	addChildForPre(self.buttonPanelPVE_3, self.pvpIcon_Copy)

	self.imagelineMid_Copy = ccui.ImageView:create()
	setValue(self.imagelineMid_Copy, "imagelineMid_Copy", 65, cc.size(620, 44), cc.p(330, 179.9999), nil, nil, nil, nil, false)
	self.imagelineMid_Copy:loadTexture("ccs/UiImages/image9/common_s9_diban.png", 1)
	self.imagelineMid_Copy:setScale9Enabled(true)
	self.imagelineMid_Copy:setCapInsets(cc.rect(0, 0, 24, 24))
	addChildForPre(self.buttonPanelPVE_3, self.imagelineMid_Copy)

	self.lbTitleTextZB = createLabel({text=[[Text Label]], font=getFont(), size=30})
	setValue(self.lbTitleTextZB, "lbTitleTextZB", 66, cc.size(136, 34), cc.p(330.0001, 180), nil, nil, nil, nil, nil)
	self.lbTitleTextZB:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.buttonPanelPVE_3, self.lbTitleTextZB)

	self.imagelineTypeZB = ccui.ImageView:create()
	setValue(self.imagelineTypeZB, "imagelineTypeZB", 67, cc.size(100, 44), cc.p(320, 89.1767), nil, nil, nil, nil, false)
	self.imagelineTypeZB:loadTexture("ccs/UiImages/image9/common_s9_diban.png", 1)
	self.imagelineTypeZB:setScale9Enabled(true)
	self.imagelineTypeZB:setCapInsets(cc.rect(0, 0, 24, 24))
	addChildForPre(self.buttonPanelPVE_3, self.imagelineTypeZB)

	self.lbTitleTypeTextZB = createLabel({text=[[PVE]], font=getFont(), size=30})
	setValue(self.lbTitleTypeTextZB, "lbTitleTypeTextZB", 68, cc.size(60, 34), cc.p(320, 89.1767), nil, nil, nil, nil, nil)
	self.lbTitleTypeTextZB:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.buttonPanelPVE_3, self.lbTitleTypeTextZB)

	if CommonDialogFrame1CloseUi then 
 		self.commonDialogFrame1CloseUi = CommonDialogFrame1CloseUi.new() 
 	else 
		self.commonDialogFrame1CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame1CloseUi, "commonDialogFrame1CloseUi", 3950, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/commonBg.plist",
	"ccs/BigImages/background/countryBattlezhu.png",
}

return _M
