-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 71, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 72, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "XYN_dialogPanel", 45, cc.size(500, 400), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.backGround = ccui.ImageView:create()
	setValue(self.backGround, "backGround", 73, cc.size(500, 400), cc.p(250, 200), nil, nil, nil, nil, false)
	self.backGround:loadTexture("ccs/UiImages/image9/commonPanel_s9_bg_1.png", 1)
	self.backGround:setScale9Enabled(true)
	self.backGround:setCapInsets(cc.rect(80, 30, 12, 10))
	addChildForPre(self.dialogPanel_2, self.backGround)

	self.lindImage = ccui.ImageView:create()
	setValue(self.lindImage, "lindImage", 120, cc.size(462, 106), cc.p(250, 400), nil, nil, nil, nil, nil)
	self.lindImage:setScale(0.5)
	self.lindImage:loadTexture("ccs/UiImages/commonBg/CommonPanel_img_WinHeader_1.png", 1)
	addChildForPre(self.dialogPanel_2, self.lindImage)

	self.titleLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.titleLabel, "titleLabel", 584, cc.size(109, 28), cc.p(250, 400), nil, nil, nil, nil, nil)
	self.titleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.titleLabel)

	self.infoPanel = ccui.Layout:create()
	setValue(self.infoPanel, "infoPanel", 119, cc.size(450, 300), cc.p(250, 200), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.infoPanel)
	self.infoPanel_3 = self.infoPanel

	self.activeTitle = createLabel({text=[[activeTitle]], font=getFont(), size=24})
	setValue(self.activeTitle, "activeTitle", 118, cc.size(107, 28), cc.p(221.4301, 277.215), nil, cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.activeTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.activeTitle:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.infoPanel_3, self.activeTitle)

	self.timeBackGround = ccui.ImageView:create()
	setValue(self.timeBackGround, "timeBackGround", 136, cc.size(466, 79), cc.p(225, 6), nil, nil, nil, nil, nil)
	self.timeBackGround:loadTexture("ccs/UiImages/commonBg/CommonPanel_img_bg_1.jpg", 1)
	addChildForPre(self.infoPanel_3, self.timeBackGround)

	self.TimeLable = createLabel({text=[[活动剩余时间]], font=getFont(), size=24})
	setValue(self.TimeLable, "TimeLable", 137, cc.size(144, 28), cc.p(154.8616, 4.3773), nil, nil, nil, nil, nil)
	self.TimeLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.infoPanel_3, self.TimeLable)

	self.timeNumber = createLabel({text=[[timeNumber]], font=getFont(), size=24,align = 1,valign = 1})
	setValue(self.timeNumber, "timeNumber", 138, cc.size(130, 28), cc.p(307.8604, 4.3773), nil, cc.c4b(227, 35, 20, 255), nil, nil, nil)
	self.timeNumber:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.timeNumber:setColor(cc.c4b(227, 35, 20, 255))
	addChildForPre(self.infoPanel_3, self.timeNumber)

	self.activePanel = ccui.Layout:create()
	setValue(self.activePanel, "activePanel", 67, cc.size(436, 150), cc.p(225.0008, 157.0003), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.infoPanel_3, self.activePanel)
	self.activePanel_4 = self.activePanel

	self.Justice = cc.Sprite:create()
	setValue(self.Justice, "Justice", 121, cc.size(100, 100), cc.p(69.106, 111.6), nil, nil, nil, nil, nil)
	self.Justice:setSpriteFrame("ccs/UiImages/icon/legion_icon_01.png")
	addChildForPre(self.activePanel_4, self.Justice)

	self.Jagged = cc.Sprite:create()
	setValue(self.Jagged, "Jagged", 122, cc.size(100, 100), cc.p(218, 111.6), nil, nil, nil, nil, nil)
	self.Jagged:setSpriteFrame("ccs/UiImages/icon/legion_icon_02.png")
	addChildForPre(self.activePanel_4, self.Jagged)

	self.Honour = cc.Sprite:create()
	setValue(self.Honour, "Honour", 123, cc.size(100, 100), cc.p(366.894, 111.6), nil, nil, nil, nil, nil)
	self.Honour:setSpriteFrame("ccs/UiImages/icon/legion_icon_03.png")
	addChildForPre(self.activePanel_4, self.Honour)

	self.resIcon1 = cc.Sprite:create()
	setValue(self.resIcon1, "resIcon1", 124, cc.size(48, 38), cc.p(39.0656, 1.425), nil, nil, nil, nil, nil)
	self.resIcon1:setSpriteFrame("ccs/UiImages/countryBattle/countrybattle_img_daoju.png")
	addChildForPre(self.activePanel_4, self.resIcon1)
	self.resIcon1_5 = self.resIcon1

	self.resFontLable1 = createLabel({text=[[123456]], font=getFont(), size=18})
	setValue(self.resFontLable1, "resFontLable1", 126, cc.size(60, 21), cc.p(48, 17.1), cc.p(0, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.resFontLable1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.resFontLable1:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.resIcon1_5, self.resFontLable1)

	self.resIcon2 = cc.Sprite:create()
	setValue(self.resIcon2, "resIcon2", 127, cc.size(48, 38), cc.p(186.6952, 1.425), nil, nil, nil, nil, nil)
	self.resIcon2:setSpriteFrame("ccs/UiImages/countryBattle/countrybattle_img_daoju.png")
	addChildForPre(self.activePanel_4, self.resIcon2)
	self.resIcon2_5 = self.resIcon2

	self.resFontLable2 = createLabel({text=[[123456]], font=getFont(), size=18})
	setValue(self.resFontLable2, "resFontLable2", 128, cc.size(60, 21), cc.p(48, 17.1), cc.p(0, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.resFontLable2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.resFontLable2:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.resIcon2_5, self.resFontLable2)

	self.resIcon3 = cc.Sprite:create()
	setValue(self.resIcon3, "resIcon3", 129, cc.size(48, 38), cc.p(337.8564, 1.425), nil, nil, nil, nil, nil)
	self.resIcon3:setSpriteFrame("ccs/UiImages/countryBattle/countrybattle_img_daoju.png")
	addChildForPre(self.activePanel_4, self.resIcon3)
	self.resIcon3_5 = self.resIcon3

	self.resFontLable3 = createLabel({text=[[123456]], font=getFont(), size=18})
	setValue(self.resFontLable3, "resFontLable3", 130, cc.size(60, 21), cc.p(48, 17.1), cc.p(0, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.resFontLable3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.resFontLable3:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.resIcon3_5, self.resFontLable3)

	self.NodeNumberLable1 = createLabel({text=[[99]], font=getFont(), size=20})
	setValue(self.NodeNumberLable1, "NodeNumberLable1", 133, cc.size(22, 23), cc.p(69.106, 41.0125), nil, nil, nil, nil, nil)
	self.NodeNumberLable1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.activePanel_4, self.NodeNumberLable1)

	self.NodeNumberLable2 = createLabel({text=[[99]], font=getFont(), size=20})
	setValue(self.NodeNumberLable2, "NodeNumberLable2", 134, cc.size(22, 23), cc.p(220.7032, 41.0125), nil, nil, nil, nil, nil)
	self.NodeNumberLable2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.activePanel_4, self.NodeNumberLable2)

	self.NodeNumberLable3 = createLabel({text=[[99]], font=getFont(), size=20})
	setValue(self.NodeNumberLable3, "NodeNumberLable3", 135, cc.size(22, 23), cc.p(366.894, 41.0125), nil, nil, nil, nil, nil)
	self.NodeNumberLable3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.activePanel_4, self.NodeNumberLable3)

	self.showInfoPanel = ccui.Layout:create()
	setValue(self.showInfoPanel, "showInfoPanel", 68, cc.size(400, 170), cc.p(225, 156), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.infoPanel_3, self.showInfoPanel)
	self.showInfoPanel_4 = self.showInfoPanel

	self.showInfoLable = createLabel({text=[[showInfoLable]], font=getFont(), size=22, dimensions = cc.size(395.0000, 150.0000)})
	setValue(self.showInfoLable, "showInfoLable", 69, cc.size(395, 150), cc.p(200, 85), nil, nil, nil, nil, false)
	self.showInfoLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.showInfoPanel_4, self.showInfoLable)

	self.closeButton = ccui.Button:create()
	setValue(self.closeButton, "closeButton", 2175, cc.size(80, 60), cc.p(460, 373.88), nil, nil, nil, nil, nil)
	self.closeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_close_0.png", 1)
	self.closeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_close_1.png", 1)
	self.closeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_close_0.png", 1)
	self.closeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.closeButton:setTitleText([[]])
	self.closeButton:setTitleColor(cc.c3b(65, 65, 70))
	self.closeButton:setTitleFontSize(14)
	self.closeButton:setTitleFontName(getFont())
	setClickEvent(self, self.closeButton, "closeButton")
	addChildForPre(self.dialogPanel_2, self.closeButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/commonBg.plist",
	"ccs/plist/icon.plist",
	"ccs/plist/countryBattle.plist",
}

return _M
