-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 3, cc.size(230, 170), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bombSprite = cc.Sprite:create()
	setValue(self.bombSprite, "bombSprite", 6, cc.size(376, 295), cc.p(118, 109.8335), nil, nil, nil, nil, nil)
	self.bombSprite:setScale(0.5)
	self.bombSprite:setSpriteFrame("ccs/UiImages/countryBattleEffect1/14.png")
	addChildForPre(self.rootPanel_1, self.bombSprite)

	self.ashSprite = cc.Sprite:create()
	setValue(self.ashSprite, "ashSprite", 7, cc.size(350, 143), cc.p(93.28, 59.0948), nil, nil, nil, nil, nil)
	self.ashSprite:setScale(0.5)
	self.ashSprite:setSpriteFrame("ccs/UiImages/countryBattleEffect2/06.png")
	addChildForPre(self.rootPanel_1, self.ashSprite)

	self.Particle_2 = cc.ParticleSystemQuad:create("ccs/Particle/QUAN.plist")
 	self.Particle_2:setPositionType(2) 
	setValue(self.Particle_2, "Particle_2", 11, nil, cc.p(93, 60), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle_2:setScale(0.8)
	addChildForPre(self.rootPanel_1, self.Particle_2)

	self.flagSprite = cc.Sprite:create()
	setValue(self.flagSprite, "flagSprite", 9, cc.size(67, 88), cc.p(100, 130), nil, nil, nil, nil, nil)
	self.flagSprite:setSpriteFrame("ccs/UiImages/countryBattle/countrybattle_img_hongqi.png")
	addChildForPre(self.rootPanel_1, self.flagSprite)

	self.Particle_1 = cc.ParticleSystemQuad:create("ccs/Particle/flydd.plist")
 	self.Particle_1:setPositionType(2) 
	setValue(self.Particle_1, "Particle_1", 10, nil, cc.p(93, 60), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle_1:setScale(0.7)
	addChildForPre(self.rootPanel_1, self.Particle_1)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(140)
	self.animation:setTimeSpeed(1)
	local timeLine
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateTextureFrame(0, true, "ccs/UiImages/countryBattleEffect1/01.png", nil))
	timeLine:addFrame(CreateTextureFrame(5, true, "ccs/UiImages/countryBattleEffect1/02.png", nil))
	timeLine:addFrame(CreateTextureFrame(10, true, "ccs/UiImages/countryBattleEffect1/03.png", nil))
	timeLine:addFrame(CreateTextureFrame(15, true, "ccs/UiImages/countryBattleEffect1/04.png", nil))
	timeLine:addFrame(CreateTextureFrame(20, true, "ccs/UiImages/countryBattleEffect1/05.png", nil))
	timeLine:addFrame(CreateTextureFrame(25, true, "ccs/UiImages/countryBattleEffect1/06.png", nil))
	timeLine:addFrame(CreateTextureFrame(30, true, "ccs/UiImages/countryBattleEffect1/07.png", nil))
	timeLine:addFrame(CreateTextureFrame(35, true, "ccs/UiImages/countryBattleEffect1/08.png", nil))
	timeLine:addFrame(CreateTextureFrame(40, true, "ccs/UiImages/countryBattleEffect1/09.png", nil))
	timeLine:addFrame(CreateTextureFrame(45, true, "ccs/UiImages/countryBattleEffect1/10.png", nil))
	timeLine:addFrame(CreateTextureFrame(50, true, "ccs/UiImages/countryBattleEffect1/11.png", nil))
	timeLine:addFrame(CreateTextureFrame(55, true, "ccs/UiImages/countryBattleEffect1/12.png", nil))
	timeLine:addFrame(CreateTextureFrame(60, true, "ccs/UiImages/countryBattleEffect1/13.png", nil))
	timeLine:addFrame(CreateTextureFrame(65, true, "ccs/UiImages/countryBattleEffect1/14.png", nil))
	timeLine:setNode(self.bombSprite)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateEventFrame(50, true, "maxBomb", nil))
	timeLine:setNode(self.bombSprite)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateTextureFrame(70, true, "ccs/UiImages/countryBattleEffect2/01.png", nil))
	timeLine:addFrame(CreateTextureFrame(75, true, "ccs/UiImages/countryBattleEffect2/02.png", nil))
	timeLine:addFrame(CreateTextureFrame(80, true, "ccs/UiImages/countryBattleEffect2/03.png", nil))
	timeLine:addFrame(CreateTextureFrame(85, true, "ccs/UiImages/countryBattleEffect2/04.png", nil))
	timeLine:addFrame(CreateTextureFrame(90, true, "ccs/UiImages/countryBattleEffect2/05.png", nil))
	timeLine:addFrame(CreateTextureFrame(95, true, "ccs/UiImages/countryBattleEffect2/06.png", nil))
	timeLine:addFrame(CreateTextureFrame(100, true, "ccs/UiImages/countryBattleEffect2/07.png", nil))
	timeLine:addFrame(CreateTextureFrame(105, true, "ccs/UiImages/countryBattleEffect2/08.png", nil))
	timeLine:addFrame(CreateTextureFrame(110, true, "ccs/UiImages/countryBattleEffect2/09.png", nil))
	timeLine:addFrame(CreateTextureFrame(115, true, "ccs/UiImages/countryBattleEffect2/10.png", nil))
	timeLine:addFrame(CreateTextureFrame(120, true, "ccs/UiImages/countryBattleEffect2/11.png", nil))
	timeLine:addFrame(CreateTextureFrame(125, true, "ccs/UiImages/countryBattleEffect2/12.png", nil))
	timeLine:addFrame(CreateTextureFrame(130, true, "ccs/UiImages/countryBattleEffect2/13.png", nil))
	timeLine:addFrame(CreateTextureFrame(135, true, "ccs/UiImages/countryBattleEffect2/14.png", nil))
	timeLine:addFrame(CreateTextureFrame(140, true, "ccs/UiImages/countryBattleEffect2/15.png", nil))
	timeLine:setNode(self.ashSprite)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateEventFrame(0, true, "", nil))
	timeLine:addFrame(CreateEventFrame(140, true, "playEnd", nil))
	timeLine:setNode(self.ashSprite)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(60, true, 43.3334, 245.5544, nil))
	timeLine:addFrame(CreatePositionFrame(67, true, 86.9231, 156.6664, nil))
	timeLine:addFrame(CreatePositionFrame(73, true, 100.0000, 130.0000, nil))
	timeLine:setNode(self.flagSprite)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(60, true, 1.7000, 1.7000, nil))
	timeLine:addFrame(CreateScaleFrame(67, true, 1.1615, 1.1615, nil))
	timeLine:addFrame(CreateScaleFrame(73, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.flagSprite)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateVisibleFrame(0, true, false, nil))
	timeLine:addFrame(CreateVisibleFrame(60, true, true, nil))
	timeLine:setNode(self.flagSprite)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateEventFrame(0, true, "", nil))
	timeLine:addFrame(CreateEventFrame(73, true, "particleStart", nil))
	timeLine:setNode(self.flagSprite)
	return self
end

_M.textures = {
	"ccs/plist/countryBattleEffect1.plist",
	"ccs/plist/countryBattleEffect2.plist",
	"ccs/plist/countryBattle.plist",
}

return _M
