-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_1 = cc.Node:create()
	setValue(self.Node_1, "Node_1", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_1)
 	self.uiRootNode = self.Node_1
	self.Node_1_0 = self.Node_1

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 68, cc.size(640, 214), nil, nil, nil, nil, nil, nil)
	setBgColor(self.rootPanel, 1, 0, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.Node_1_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bigPanel = ccui.Layout:create()
	setValue(self.bigPanel, "bigPanel", 69, cc.size(640, 214), cc.p(320, 107), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.bigPanel)
	self.bigPanel_2 = self.bigPanel

	self.btnCell = ccui.Button:create()
	self.btnCell:setScale9Enabled(true)
	self.btnCell:setCapInsets(cc.rect(0, 0, 10, 10))
	self.btnCell:setContentSize(cc.size(640, 214))
	setValue(self.btnCell, "btnCell", 1067, nil, cc.p(320, 107), nil, nil, nil, nil, false)
	self.btnCell:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.btnCell:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.btnCell:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.btnCell:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.btnCell:setTitleText([[Button]])
	self.btnCell:setTitleColor(cc.c3b(65, 65, 70))
	self.btnCell:setTitleFontSize(14)
	self.btnCell:setTitleFontName(getFont())
	setClickEvent(self, self.btnCell, "btnCell")
	addChildForPre(self.bigPanel_2, self.btnCell)

	self.imageBg = ccui.ImageView:create()
	setValue(self.imageBg, "imageBg", 1623, cc.size(616, 204), cc.p(320, 107), nil, nil, nil, nil, false)
	self.imageBg:loadTexture("ccs/UiImages/commonBg/common_img_ditiao.png", 1)
	self.imageBg:setScale9Enabled(true)
	self.imageBg:setCapInsets(cc.rect(0, 0, 1234, 298))
	addChildForPre(self.bigPanel_2, self.imageBg)

	self.imageTitle = cc.Sprite:create()
	setValue(self.imageTitle, "imageTitle", 86, cc.size(46, 46), cc.p(320, 107), nil, nil, nil, nil, nil)
	self.imageTitle:setTexture("Default/Sprite.png")
	addChildForPre(self.bigPanel_2, self.imageTitle)

	self.Image_11 = ccui.ImageView:create()
	setValue(self.Image_11, "Image_11", 137, cc.size(608, 44), cc.p(319.9999, 181.7502), nil, nil, nil, nil, false)
	self.Image_11:loadTexture("ccs/UiImages/image9/common_s9_diban.png", 1)
	self.Image_11:setScale9Enabled(true)
	self.Image_11:setCapInsets(cc.rect(0, 0, 24, 24))
	addChildForPre(self.bigPanel_2, self.Image_11)

	self.Image_11_Copy = ccui.ImageView:create()
	setValue(self.Image_11_Copy, "Image_11_Copy", 138, cc.size(608, 50), cc.p(319.9996, 36.7997), nil, nil, nil, nil, false)
	self.Image_11_Copy:loadTexture("ccs/UiImages/image9/common_s9_diban.png", 1)
	self.Image_11_Copy:setScale9Enabled(true)
	self.Image_11_Copy:setCapInsets(cc.rect(0, 0, 24, 24))
	addChildForPre(self.bigPanel_2, self.Image_11_Copy)

	self.lbTitle = createLabel({text=[[Text Label]], font=getFont(), size=30})
	setValue(self.lbTitle, "lbTitle", 87, cc.size(136, 34), cc.p(21.7762, 181.2199), cc.p(0, 0.5), nil, nil, nil, nil)
	self.lbTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.lbTitle)

	self.lbCost = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.lbCost, "lbCost", 88, cc.size(91, 23), cc.p(616.9973, 23.3994), cc.p(1, 0.5), nil, nil, nil, nil)
	self.lbCost:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.lbCost)

	self.lbCount = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.lbCount, "lbCount", 89, cc.size(91, 23), cc.p(616.9973, 47.1982), cc.p(1, 0.5), nil, nil, nil, nil)
	self.lbCount:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.lbCount)

	self.lbDesc = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.lbDesc, "lbDesc", 139, cc.size(91, 23), cc.p(21.7761, 48.6982), cc.p(0, 0.5), nil, nil, nil, nil)
	self.lbDesc:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.lbDesc)

	self.flagSprite = cc.Sprite:create()
	setValue(self.flagSprite, "flagSprite", 143, cc.size(203, 123), cc.p(627.2, 209.72), cc.p(1, 1), nil, nil, nil, nil)
	self.flagSprite:setSpriteFrame("ccs/UiImages/common/country_baopo.png")
	addChildForPre(self.bigPanel_2, self.flagSprite)

	self.ndNotOpen = cc.Node:create()
	setValue(self.ndNotOpen, "ndNotOpen", 140, nil, cc.p(320, 107), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.ndNotOpen)
	self.ndNotOpen_2 = self.ndNotOpen

	self.Image_11_Copy_0 = ccui.ImageView:create()
	setValue(self.Image_11_Copy_0, "Image_11_Copy_0", 141, cc.size(100, 40), nil, nil, nil, nil, nil, false)
	self.Image_11_Copy_0:loadTexture("ccs/UiImages/image9/common_s9_diban.png", 1)
	self.Image_11_Copy_0:setScale9Enabled(true)
	self.Image_11_Copy_0:setCapInsets(cc.rect(0, 0, 24, 24))
	addChildForPre(self.ndNotOpen_2, self.Image_11_Copy_0)

	self.lblevelNotEnough = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.lblevelNotEnough, "lblevelNotEnough", 142, cc.size(109, 28), nil, nil, cc.c4b(255, 0, 0, 255), nil, nil, nil)
	self.lblevelNotEnough:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.lblevelNotEnough:setColor(cc.c4b(255, 0, 0, 255))
	addChildForPre(self.ndNotOpen_2, self.lblevelNotEnough)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/commonBg.plist",
	"Default/Sprite.png",
	"ccs/plist/common.plist",
}

return _M
