-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 2, cc.size(1125, 750), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.headerPanel = ccui.Layout:create()
	setValue(self.headerPanel, "headerPanel", 86, cc.size(200, 200), cc.p(0, 750), cc.p(0, 1), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.headerPanel)
	self.headerPanel_2 = self.headerPanel

	self.userHeadSprite = cc.Sprite:create()
	setValue(self.userHeadSprite, "userHeadSprite", 23, cc.size(80, 80), cc.p(64, 140), nil, nil, nil, nil, nil)
	self.userHeadSprite:setScale(1.5)
	self.userHeadSprite:setSpriteFrame("ccs/UiImages/userHeadSmall/HonourGirlSmall.png")
	addChildForPre(self.headerPanel_2, self.userHeadSprite)

	self.mainUiPartTop_user = cc.Sprite:create()
	setValue(self.mainUiPartTop_user, "mainUiPartTop_user", 21, cc.size(317, 187), cc.p(-6, 208), cc.p(0, 1), nil, nil, nil, nil)
	self.mainUiPartTop_user:setSpriteFrame("ccs/UiImages/mainUi/MainUiPartTopUser.png")
	addChildForPre(self.headerPanel_2, self.mainUiPartTop_user)
	self.mainUiPartTop_user_3 = self.mainUiPartTop_user

	self.militaryRankLabel = createLabel({text=[[]], font=getFont(), size=20,align = 1})
	setValue(self.militaryRankLabel, "militaryRankLabel", 186, nil, cc.p(258.355, 114.07), nil, nil, nil, nil, nil)
	self.militaryRankLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.mainUiPartTop_user_3, self.militaryRankLabel)

	self.militaryRankSprite = cc.Sprite:create()
	setValue(self.militaryRankSprite, "militaryRankSprite", 185, cc.size(55, 55), cc.p(258.355, 114.07), nil, nil, nil, nil, nil)
	self.militaryRankSprite:setScale(0.8)
	self.militaryRankSprite:setSpriteFrame("ccs/UiImages/militaryRank/Rank1.png")
	addChildForPre(self.mainUiPartTop_user_3, self.militaryRankSprite)

	self.mainUiPartTop_gonghui = cc.Sprite:create()
	setValue(self.mainUiPartTop_gonghui, "mainUiPartTop_gonghui", 104, cc.size(61, 79), cc.p(177, 73), nil, nil, nil, nil, nil)
	self.mainUiPartTop_gonghui:setSpriteFrame("ccs/UiImages/mainUi/MainUiPartTopGonghui.png")
	addChildForPre(self.headerPanel_2, self.mainUiPartTop_gonghui)
	self.mainUiPartTop_gonghui_3 = self.mainUiPartTop_gonghui

	self.countrySprite = cc.Sprite:create()
	setValue(self.countrySprite, "countrySprite", 1723, cc.size(46, 46), cc.p(30.5, 43.45), nil, nil, nil, nil, nil)
	self.countrySprite:setScale(0.2)
	self.countrySprite:setTexture("Default/Sprite.png")
	addChildForPre(self.mainUiPartTop_gonghui_3, self.countrySprite)

	self.mainUiPartTop_vip = cc.Sprite:create()
	setValue(self.mainUiPartTop_vip, "mainUiPartTop_vip", 103, cc.size(110, 66), cc.p(179, 135), nil, nil, nil, nil, nil)
	self.mainUiPartTop_vip:setSpriteFrame("ccs/UiImages/mainUi/MainUiPartTopVip.png")
	addChildForPre(self.headerPanel_2, self.mainUiPartTop_vip)

	self.vipButton = ccui.Button:create()
	self.vipButton:setScale9Enabled(true)
	self.vipButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.vipButton:setContentSize(cc.size(90, 100))
	setValue(self.vipButton, "vipButton", 237, nil, cc.p(180, 130), nil, nil, nil, nil, false)
	self.vipButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.vipButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.vipButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.vipButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.vipButton:setTitleText([[]])
	self.vipButton:setTitleColor(cc.c3b(65, 65, 70))
	self.vipButton:setTitleFontSize(14)
	self.vipButton:setTitleFontName(getFont())
	setClickEvent(self, self.vipButton, "vipButton")
	addChildForPre(self.headerPanel_2, self.vipButton)
	self.vipButton_3 = self.vipButton

	self.vipImage = ccui.ImageView:create()
	setValue(self.vipImage, "vipImage", 59, cc.size(142, 44), cc.p(45, 50), nil, nil, nil, nil, nil)
	self.vipImage:setScale(0.57)
	self.vipImage:loadTexture("ccs/UiImages/charge/vip0.png", 1)
	addChildForPre(self.vipButton_3, self.vipImage)

	self.REDPOINT_VIP = cc.Sprite:create()
	setValue(self.REDPOINT_VIP, "REDPOINT_VIP", 133, cc.size(21, 21), cc.p(85.5, 69), nil, nil, nil, nil, nil)
	self.REDPOINT_VIP:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.vipButton_3, self.REDPOINT_VIP)

	self.IconLevel = cc.Sprite:create()
	setValue(self.IconLevel, "IconLevel", 22, cc.size(90, 90), cc.p(24, 92), nil, nil, nil, nil, nil)
	self.IconLevel:setScale(0.5)
	self.IconLevel:setSpriteFrame("ccs/UiImages/commonIcon/IconLevel.png")
	addChildForPre(self.headerPanel_2, self.IconLevel)

	self.userDetailButton = ccui.Button:create()
	self.userDetailButton:setScale9Enabled(true)
	self.userDetailButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.userDetailButton:setContentSize(cc.size(100, 100))
	setValue(self.userDetailButton, "userDetailButton", 39, nil, cc.p(66, 140), nil, nil, nil, nil, false)
	self.userDetailButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.userDetailButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.userDetailButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.userDetailButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.userDetailButton:setTitleText([[]])
	self.userDetailButton:setTitleFontSize(14)
	self.userDetailButton:setTitleFontName(getFont())
	setClickEvent(self, self.userDetailButton, "userDetailButton")
	addChildForPre(self.headerPanel_2, self.userDetailButton)

	self.levelLabel = createLabel({text=[[1]], font=getFont(), size=20,align = 1,valign = 1})
	setValue(self.levelLabel, "levelLabel", 88, cc.size(11, 23), cc.p(24, 92), nil, nil, nil, nil, nil)
	self.levelLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.headerPanel_2, self.levelLabel)

	self.nicknameLabel = createLabel({text=[[User]], font=getFont(), size=22,align = 1,valign = 1})
	setValue(self.nicknameLabel, "nicknameLabel", 90, cc.size(46, 26), cc.p(217, 178), nil, nil, nil, nil, nil)
	self.nicknameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.headerPanel_2, self.nicknameLabel)

	self.zhandoushuzhi = createLabel({text=[[123]], font=getFont(), size=20,align = 1,valign = 1})
	setValue(self.zhandoushuzhi, "zhandoushuzhi", 102, cc.size(33, 23), cc.p(66, 53), cc.p(0, 0.5), cc.c4b(255, 125, 0, 255), nil, nil, nil)
	self.zhandoushuzhi:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.zhandoushuzhi:setColor(cc.c4b(255, 125, 0, 255))
	addChildForPre(self.headerPanel_2, self.zhandoushuzhi)

	self.fightingSprite = cc.Sprite:create()
	setValue(self.fightingSprite, "fightingSprite", 58, cc.size(63, 36), cc.p(40, 53.12), nil, nil, nil, nil, nil)
	self.fightingSprite:setSpriteFrame("ccs/UiImages/mainUi/MainUiPartTopFightingCapacity.png")
	addChildForPre(self.headerPanel_2, self.fightingSprite)

	self.fightingTipButton = ccui.Button:create()
	self.fightingTipButton:setScale9Enabled(true)
	self.fightingTipButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.fightingTipButton:setContentSize(cc.size(120, 34))
	setValue(self.fightingTipButton, "fightingTipButton", 107, nil, cc.p(70, 53), nil, nil, nil, nil, false)
	self.fightingTipButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.fightingTipButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.fightingTipButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.fightingTipButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.fightingTipButton:setTitleText([[]])
	self.fightingTipButton:setTitleColor(cc.c3b(65, 65, 70))
	self.fightingTipButton:setTitleFontSize(14)
	self.fightingTipButton:setTitleFontName(getFont())
	setClickEvent(self, self.fightingTipButton, "fightingTipButton")
	addChildForPre(self.headerPanel_2, self.fightingTipButton)

	self.upPanel = ccui.Layout:create()
	setValue(self.upPanel, "upPanel", 95, cc.size(545, 65), cc.p(308.5, 200.8), cc.p(0, 1), nil, nil, nil, nil)
	setBgColor(self.upPanel, 1, 0, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.headerPanel_2, self.upPanel)
	self.upPanel_3 = self.upPanel

	self.mainUiPart_tubiaolan = cc.Sprite:create()
	setValue(self.mainUiPart_tubiaolan, "mainUiPart_tubiaolan", 53, cc.size(542, 62), cc.p(269.3935, 42.25), nil, nil, nil, nil, nil)
	self.mainUiPart_tubiaolan:setSpriteFrame("ccs/UiImages/mainUi/MainUiPartTubiaolan.png")
	addChildForPre(self.upPanel_3, self.mainUiPart_tubiaolan)

	self.leftTipButton = ccui.Button:create()
	self.leftTipButton:setScale9Enabled(true)
	self.leftTipButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.leftTipButton:setContentSize(cc.size(100, 45))
	setValue(self.leftTipButton, "leftTipButton", 454, nil, cc.p(57.35, 44), nil, nil, nil, nil, false)
	self.leftTipButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.leftTipButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.leftTipButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.leftTipButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.leftTipButton:setTitleText([[]])
	self.leftTipButton:setTitleColor(cc.c3b(65, 65, 70))
	self.leftTipButton:setTitleFontSize(14)
	self.leftTipButton:setTitleFontName(getFont())
	setClickEvent(self, self.leftTipButton, "leftTipButton")
	addChildForPre(self.upPanel_3, self.leftTipButton)

	self.leftIcon = cc.Sprite:create()
	setValue(self.leftIcon, "leftIcon", 56, cc.size(40, 40), cc.p(20.165, 43.55), nil, nil, nil, nil, nil)
	self.leftIcon:setScale(0.8)
	self.leftIcon:setSpriteFrame("ccs/UiImages/militaryRank/RankBadge0.png")
	addChildForPre(self.upPanel_3, self.leftIcon)

	self.leftLabel = createLabel({text=[[123/123]], font=getFont(), size=22})
	setValue(self.leftLabel, "leftLabel", 97, cc.size(79, 26), cc.p(51.775, 40.95), cc.p(0, 0.5), nil, nil, nil, nil)
	self.leftLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.upPanel_3, self.leftLabel)

	self.leftButton = ccui.Button:create()
	setValue(self.leftButton, "leftButton", 50, cc.size(45, 47), cc.p(160, 42.3108), nil, nil, nil, nil, nil)
	self.leftButton:loadTextureNormal("ccs/UiImages/image9/MainUiPartTopGoumai.png", 1)
	self.leftButton:loadTexturePressed("ccs/UiImages/image9/MainUiPartTopGoumai.png", 1)
	self.leftButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.leftButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.leftButton:setTitleText([[]])
	self.leftButton:setTitleColor(cc.c3b(65, 65, 70))
	self.leftButton:setTitleFontSize(14)
	self.leftButton:setTitleFontName(getFont())
	setClickEvent(self, self.leftButton, "leftButton")
	addChildForPre(self.upPanel_3, self.leftButton)

	self.middleTipButton = ccui.Button:create()
	self.middleTipButton:setScale9Enabled(true)
	self.middleTipButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.middleTipButton:setContentSize(cc.size(118, 47))
	setValue(self.middleTipButton, "middleTipButton", 210, nil, cc.p(243, 42.31), nil, nil, nil, nil, false)
	self.middleTipButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.middleTipButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.middleTipButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.middleTipButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.middleTipButton:setTitleText([[]])
	self.middleTipButton:setTitleColor(cc.c3b(65, 65, 70))
	self.middleTipButton:setTitleFontSize(14)
	self.middleTipButton:setTitleFontName(getFont())
	setClickEvent(self, self.middleTipButton, "middleTipButton")
	addChildForPre(self.upPanel_3, self.middleTipButton)

	self.middleIcon = cc.Sprite:create()
	setValue(self.middleIcon, "middleIcon", 55, cc.size(150, 150), cc.p(207.1, 43.55), nil, nil, nil, nil, nil)
	self.middleIcon:setScale(0.3)
	self.middleIcon:setSpriteFrame("ccs/UiImages/commonIcon/IconGold.png")
	addChildForPre(self.upPanel_3, self.middleIcon)

	self.middleLabel = createLabel({text=[[123/123]], font=getFont(), size=22})
	setValue(self.middleLabel, "middleLabel", 92, cc.size(79, 26), cc.p(231.625, 40.95), cc.p(0, 0.5), nil, nil, nil, nil)
	self.middleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.upPanel_3, self.middleLabel)

	self.middleButton = ccui.Button:create()
	setValue(self.middleButton, "middleButton", 51, cc.size(45, 47), cc.p(338, 42.31), nil, nil, nil, nil, nil)
	self.middleButton:loadTextureNormal("ccs/UiImages/image9/MainUiPartTopGoumai.png", 1)
	self.middleButton:loadTexturePressed("ccs/UiImages/image9/MainUiPartTopGoumai.png", 1)
	self.middleButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.middleButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.middleButton:setTitleText([[]])
	self.middleButton:setTitleColor(cc.c3b(65, 65, 70))
	self.middleButton:setTitleFontSize(14)
	self.middleButton:setTitleFontName(getFont())
	setClickEvent(self, self.middleButton, "middleButton")
	addChildForPre(self.upPanel_3, self.middleButton)

	self.gemIcon = cc.Sprite:create()
	setValue(self.gemIcon, "gemIcon", 57, cc.size(150, 150), cc.p(381.5, 43.55), nil, nil, nil, nil, nil)
	self.gemIcon:setScale(0.3)
	self.gemIcon:setSpriteFrame("ccs/UiImages/commonIcon/IconDiamond.png")
	addChildForPre(self.upPanel_3, self.gemIcon)

	self.gemLabel = createLabel({text=[[123/123]], font=getFont(), size=22})
	setValue(self.gemLabel, "gemLabel", 94, cc.size(79, 26), cc.p(408.75, 40.95), cc.p(0, 0.5), nil, nil, nil, nil)
	self.gemLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.upPanel_3, self.gemLabel)

	self.gemBigButton = ccui.Button:create()
	self.gemBigButton:setScale9Enabled(true)
	self.gemBigButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.gemBigButton:setContentSize(cc.size(153, 47))
	setValue(self.gemBigButton, "gemBigButton", 211, nil, cc.p(460.93, 42.31), nil, nil, nil, nil, false)
	self.gemBigButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.gemBigButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.gemBigButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.gemBigButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.gemBigButton:setTitleText([[]])
	self.gemBigButton:setTitleColor(cc.c3b(65, 65, 70))
	self.gemBigButton:setTitleFontSize(14)
	self.gemBigButton:setTitleFontName(getFont())
	setClickEvent(self, self.gemBigButton, "gemBigButton")
	addChildForPre(self.upPanel_3, self.gemBigButton)

	self.gemButton = ccui.Button:create()
	setValue(self.gemButton, "gemButton", 52, cc.size(45, 47), cc.p(517, 42.31), nil, nil, nil, nil, nil)
	self.gemButton:loadTextureNormal("ccs/UiImages/image9/MainUiPartTopGoumai.png", 1)
	self.gemButton:loadTexturePressed("ccs/UiImages/image9/MainUiPartTopGoumai.png", 1)
	self.gemButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.gemButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.gemButton:setTitleText([[]])
	self.gemButton:setTitleColor(cc.c3b(65, 65, 70))
	self.gemButton:setTitleFontSize(14)
	self.gemButton:setTitleFontName(getFont())
	setClickEvent(self, self.gemButton, "gemButton")
	addChildForPre(self.upPanel_3, self.gemButton)

	self.rightupPanel = ccui.Layout:create()
	setValue(self.rightupPanel, "rightupPanel", 53, cc.size(100, 100), cc.p(1125, 750), cc.p(1, 1), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.rightupPanel)
	self.rightupPanel_2 = self.rightupPanel

	self.closeShowButton = ccui.Button:create()
	setValue(self.closeShowButton, "closeShowButton", 8, cc.size(100, 100), cc.p(50, 50), nil, nil, nil, nil, nil)
	self.closeShowButton:loadTextureNormal("ccs/UiImages/image9/BtnCommonClose.png", 1)
	self.closeShowButton:loadTexturePressed("ccs/UiImages/image9/BtnCommonCloseHover.png", 1)
	self.closeShowButton:loadTextureDisabled("ccs/UiImages/image9/BtnCommonCloseHover.png", 1)
	self.closeShowButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.closeShowButton:setTitleText([[]])
	self.closeShowButton:setTitleFontSize(14)
	self.closeShowButton:setTitleFontName(getFont())
	setClickEvent(self, self.closeShowButton, "closeShowButton")
	addChildForPre(self.rightupPanel_2, self.closeShowButton)

	self.detailsPanel = ccui.Layout:create()
	setValue(self.detailsPanel, "detailsPanel", 553, cc.size(300, 100), cc.p(562.5, 750), cc.p(0.5, 1), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.detailsPanel)
	self.detailsPanel_2 = self.detailsPanel

	if CountryBattleCountdownUi then 
 		self.countryBattleCountdownUi = CountryBattleCountdownUi.new() 
 	else 
		self.countryBattleCountdownUi = BaseUi.new("ccs/ui/countryBattle/CountryBattleCountdownUi.lua")
 	end 
	setValue(self.countryBattleCountdownUi, "countryBattleCountdownUi", 698, nil, cc.p(0, -55), nil, nil, nil, nil, nil)
	addChildForPre(self.detailsPanel_2, self.countryBattleCountdownUi)

	self.autoChangePanel = ccui.Layout:create()
	setValue(self.autoChangePanel, "autoChangePanel", 89, cc.size(100, 125), cc.p(1125, 648.75), cc.p(1.1, 1), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.autoChangePanel)

	self.chatPanel = ccui.Layout:create()
	setValue(self.chatPanel, "chatPanel", 195, cc.size(362, 70), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.chatPanel)

	self.rightBottomPanel = ccui.Layout:create()
	setValue(self.rightBottomPanel, "rightBottomPanel", 215, cc.size(100, 110), cc.p(1125, 0), cc.p(1, 0), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.rightBottomPanel)
	self.rightBottomPanel_2 = self.rightBottomPanel

	self.battleLogButton = ccui.Button:create()
	setValue(self.battleLogButton, "battleLogButton", 217, cc.size(88, 88), cc.p(50, 55), nil, nil, nil, nil, nil)
	self.battleLogButton:loadTextureNormal("ccs/UiImages/countryBattle/StandingsButton.png", 1)
	self.battleLogButton:loadTexturePressed("ccs/UiImages/countryBattle/StandingsButtonHove.png", 1)
	self.battleLogButton:loadTextureDisabled("ccs/UiImages/countryBattle/StandingsButtonHove.png", 1)
	self.battleLogButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.battleLogButton:setTitleText([[]])
	self.battleLogButton:setTitleColor(cc.c3b(65, 65, 70))
	self.battleLogButton:setTitleFontSize(14)
	self.battleLogButton:setTitleFontName(getFont())
	setClickEvent(self, self.battleLogButton, "battleLogButton")
	addChildForPre(self.rightBottomPanel_2, self.battleLogButton)
	self.battleLogButton_3 = self.battleLogButton

	self.battleLogLabelBg = cc.Sprite:create()
	setValue(self.battleLogLabelBg, "battleLogLabelBg", 413, cc.size(176, 30), cc.p(44, 5.28), nil, nil, nil, nil, nil)
	self.battleLogLabelBg:setSpriteFrame("ccs/UiImages/mainUi/labelBg.png")
	addChildForPre(self.battleLogButton_3, self.battleLogLabelBg)

	self.battleLogLabel = createLabel({text=[[battleLogLabel]], font=getFont(), size=25})
	setValue(self.battleLogLabel, "battleLogLabel", 62, cc.size(164, 29), cc.p(44, 5.28), nil, nil, nil, nil, nil)
	self.battleLogLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.battleLogButton_3, self.battleLogLabel)

	self.REDPOINT_COUNTRYBATTLE_BATTLELOG = cc.Sprite:create()
	setValue(self.REDPOINT_COUNTRYBATTLE_BATTLELOG, "REDPOINT_COUNTRYBATTLE_BATTLELOG", 251, cc.size(25, 25), cc.p(70.4, 70.4), nil, nil, nil, nil, nil)
	self.REDPOINT_COUNTRYBATTLE_BATTLELOG:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.battleLogButton_3, self.REDPOINT_COUNTRYBATTLE_BATTLELOG)

	self.explainButton = ccui.Button:create()
	setValue(self.explainButton, "explainButton", 218, cc.size(88, 88), cc.p(-50, 55), nil, nil, nil, nil, nil)
	self.explainButton:loadTextureNormal("ccs/UiImages/countryBattle/ExplanationButton.png", 1)
	self.explainButton:loadTexturePressed("ccs/UiImages/countryBattle/ExplanationButtonHove.png", 1)
	self.explainButton:loadTextureDisabled("ccs/UiImages/countryBattle/ExplanationButtonHove.png", 1)
	self.explainButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.explainButton:setTitleText([[]])
	self.explainButton:setTitleColor(cc.c3b(65, 65, 70))
	self.explainButton:setTitleFontSize(14)
	self.explainButton:setTitleFontName(getFont())
	setClickEvent(self, self.explainButton, "explainButton")
	addChildForPre(self.rightBottomPanel_2, self.explainButton)
	self.explainButton_3 = self.explainButton

	self.explainLabelBg = cc.Sprite:create()
	setValue(self.explainLabelBg, "explainLabelBg", 412, cc.size(176, 30), cc.p(44, 5.28), nil, nil, nil, nil, nil)
	self.explainLabelBg:setSpriteFrame("ccs/UiImages/mainUi/labelBg.png")
	addChildForPre(self.explainButton_3, self.explainLabelBg)

	self.explainLabel = createLabel({text=[[explainLabel]], font=getFont(), size=25})
	setValue(self.explainLabel, "explainLabel", 63, cc.size(140, 29), cc.p(44, 5.28), nil, nil, nil, nil, nil)
	self.explainLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.explainButton_3, self.explainLabel)

	self.jumpEventButton = ccui.Button:create()
	setValue(self.jumpEventButton, "jumpEventButton", 219, cc.size(88, 88), cc.p(-150, 55), nil, nil, nil, nil, nil)
	self.jumpEventButton:loadTextureNormal("ccs/UiImages/countryBattle/EventButton.png", 1)
	self.jumpEventButton:loadTexturePressed("ccs/UiImages/countryBattle/EventButtonHove.png", 1)
	self.jumpEventButton:loadTextureDisabled("ccs/UiImages/countryBattle/EventButtonHove.png", 1)
	self.jumpEventButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.jumpEventButton:setTitleText([[]])
	self.jumpEventButton:setTitleColor(cc.c3b(65, 65, 70))
	self.jumpEventButton:setTitleFontSize(14)
	self.jumpEventButton:setTitleFontName(getFont())
	setClickEvent(self, self.jumpEventButton, "jumpEventButton")
	addChildForPre(self.rightBottomPanel_2, self.jumpEventButton)
	self.jumpEventButton_3 = self.jumpEventButton

	self.jumpEventLabelBg = cc.Sprite:create()
	setValue(self.jumpEventLabelBg, "jumpEventLabelBg", 411, cc.size(176, 30), cc.p(44, 5.28), nil, nil, nil, nil, nil)
	self.jumpEventLabelBg:setSpriteFrame("ccs/UiImages/mainUi/labelBg.png")
	addChildForPre(self.jumpEventButton_3, self.jumpEventLabelBg)

	self.jumpEventLabel = createLabel({text=[[jumpEventLabel]], font=getFont(), size=25})
	setValue(self.jumpEventLabel, "jumpEventLabel", 64, cc.size(179, 29), cc.p(44, 5.28), nil, nil, nil, nil, nil)
	self.jumpEventLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.jumpEventButton_3, self.jumpEventLabel)

	self.REDPOINT_COUNTRYBATTLE_EVENT = cc.Sprite:create()
	setValue(self.REDPOINT_COUNTRYBATTLE_EVENT, "REDPOINT_COUNTRYBATTLE_EVENT", 252, cc.size(25, 25), cc.p(70.4, 70.4), nil, nil, nil, nil, nil)
	self.REDPOINT_COUNTRYBATTLE_EVENT:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.jumpEventButton_3, self.REDPOINT_COUNTRYBATTLE_EVENT)

	self.militaryExploitButton = ccui.Button:create()
	setValue(self.militaryExploitButton, "militaryExploitButton", 220, cc.size(88, 88), cc.p(-250, 55), nil, nil, nil, nil, nil)
	self.militaryExploitButton:loadTextureNormal("ccs/UiImages/countryBattle/MilitaryMedalsButton.png", 1)
	self.militaryExploitButton:loadTexturePressed("ccs/UiImages/countryBattle/MilitaryMedalsButtonHove.png", 1)
	self.militaryExploitButton:loadTextureDisabled("ccs/UiImages/countryBattle/MilitaryMedalsButtonHove.png", 1)
	self.militaryExploitButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.militaryExploitButton:setTitleText([[]])
	self.militaryExploitButton:setTitleColor(cc.c3b(65, 65, 70))
	self.militaryExploitButton:setTitleFontSize(14)
	self.militaryExploitButton:setTitleFontName(getFont())
	setClickEvent(self, self.militaryExploitButton, "militaryExploitButton")
	addChildForPre(self.rightBottomPanel_2, self.militaryExploitButton)
	self.militaryExploitButton_3 = self.militaryExploitButton

	self.militaryExploitLabelBg = cc.Sprite:create()
	setValue(self.militaryExploitLabelBg, "militaryExploitLabelBg", 410, cc.size(176, 30), cc.p(44, 5.28), nil, nil, nil, nil, nil)
	self.militaryExploitLabelBg:setSpriteFrame("ccs/UiImages/mainUi/labelBg.png")
	addChildForPre(self.militaryExploitButton_3, self.militaryExploitLabelBg)

	self.militaryExploitLabel = createLabel({text=[[militaryExploitLabel]], font=getFont(), size=25})
	setValue(self.militaryExploitLabel, "militaryExploitLabel", 65, cc.size(215, 29), cc.p(44, 5.28), nil, nil, nil, nil, nil)
	self.militaryExploitLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.militaryExploitButton_3, self.militaryExploitLabel)

	self.militaryExploitRed = cc.Sprite:create()
	setValue(self.militaryExploitRed, "militaryExploitRed", 196, cc.size(25, 25), cc.p(68.64, 72.16), nil, nil, nil, nil, nil)
	self.militaryExploitRed:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.militaryExploitButton_3, self.militaryExploitRed)

	self.battleButton = ccui.Button:create()
	setValue(self.battleButton, "battleButton", 221, cc.size(88, 88), cc.p(-350, 55), nil, nil, nil, nil, nil)
	self.battleButton:loadTextureNormal("ccs/UiImages/countryBattle/FightButton.png", 1)
	self.battleButton:loadTexturePressed("ccs/UiImages/countryBattle/FightButtonHove.png", 1)
	self.battleButton:loadTextureDisabled("ccs/UiImages/countryBattle/FightButtonHove.png", 1)
	self.battleButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.battleButton:setTitleText([[]])
	self.battleButton:setTitleColor(cc.c3b(65, 65, 70))
	self.battleButton:setTitleFontSize(14)
	self.battleButton:setTitleFontName(getFont())
	setClickEvent(self, self.battleButton, "battleButton")
	addChildForPre(self.rightBottomPanel_2, self.battleButton)
	self.battleButton_3 = self.battleButton

	self.battleLabelBg = cc.Sprite:create()
	setValue(self.battleLabelBg, "battleLabelBg", 409, cc.size(176, 30), cc.p(44, 5.28), nil, nil, nil, nil, nil)
	self.battleLabelBg:setSpriteFrame("ccs/UiImages/mainUi/labelBg.png")
	addChildForPre(self.battleButton_3, self.battleLabelBg)

	self.battleLabel = createLabel({text=[[battleLabel]], font=getFont(), size=25})
	setValue(self.battleLabel, "battleLabel", 66, cc.size(122, 29), cc.p(44, 5.28), nil, nil, nil, nil, nil)
	self.battleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.battleButton_3, self.battleLabel)

	self.rankingButton = ccui.Button:create()
	setValue(self.rankingButton, "rankingButton", 222, cc.size(88, 88), cc.p(-450, 55), nil, nil, nil, nil, nil)
	self.rankingButton:loadTextureNormal("ccs/UiImages/countryBattle/RankingButton.png", 1)
	self.rankingButton:loadTexturePressed("ccs/UiImages/countryBattle/RankingButtonHove.png", 1)
	self.rankingButton:loadTextureDisabled("ccs/UiImages/countryBattle/RankingButtonHove.png", 1)
	self.rankingButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.rankingButton:setTitleText([[]])
	self.rankingButton:setTitleColor(cc.c3b(65, 65, 70))
	self.rankingButton:setTitleFontSize(14)
	self.rankingButton:setTitleFontName(getFont())
	setClickEvent(self, self.rankingButton, "rankingButton")
	addChildForPre(self.rightBottomPanel_2, self.rankingButton)
	self.rankingButton_3 = self.rankingButton

	self.rankingLabelBg = cc.Sprite:create()
	setValue(self.rankingLabelBg, "rankingLabelBg", 408, cc.size(176, 30), cc.p(44, 5.28), nil, nil, nil, nil, nil)
	self.rankingLabelBg:setSpriteFrame("ccs/UiImages/mainUi/labelBg.png")
	addChildForPre(self.rankingButton_3, self.rankingLabelBg)

	self.rankingLabel = createLabel({text=[[rankingLabel]], font=getFont(), size=25})
	setValue(self.rankingLabel, "rankingLabel", 67, cc.size(143, 29), cc.p(44, 5.28), nil, nil, nil, nil, nil)
	self.rankingLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rankingButton_3, self.rankingLabel)

	self.showPanel = ccui.Layout:create()
	setValue(self.showPanel, "showPanel", 216, cc.size(100, 100), cc.p(1125, 112.5), cc.p(1, 0), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.showPanel)

	if CountryBattleActiveUi then 
 		self.countryBattleActiveUi = CountryBattleActiveUi.new() 
 	else 
		self.countryBattleActiveUi = BaseUi.new("ccs/ui/countryBattle/CountryBattleActiveUi.lua")
 	end 
	setValue(self.countryBattleActiveUi, "countryBattleActiveUi", 73, nil, cc.p(281.25, 397.5), nil, nil, nil, nil, nil)
	self.countryBattleActiveUi:setVisible(false)
	addChildForPre(self.rootPanel_1, self.countryBattleActiveUi)

	self.activeBattlePanel = ccui.Layout:create()
	setValue(self.activeBattlePanel, "activeBattlePanel", 873, cc.size(600, 300), cc.p(1125, 750), cc.p(1, 1), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.activeBattlePanel)
	self.activeBattlePanel_2 = self.activeBattlePanel

	if CountryBattleFeelingActiveUi then 
 		self.countryBattleFeelingActiveUi = CountryBattleFeelingActiveUi.new() 
 	else 
		self.countryBattleFeelingActiveUi = BaseUi.new("ccs/ui/countryBattle/CountryBattleFeelingActiveUi.lua")
 	end 
	setValue(self.countryBattleFeelingActiveUi, "countryBattleFeelingActiveUi", 956, nil, cc.p(24, -159), nil, nil, nil, nil, nil)
	addChildForPre(self.activeBattlePanel_2, self.countryBattleFeelingActiveUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/userHeadSmall.plist",
	"ccs/plist/mainUi.plist",
	"ccs/plist/militaryRank.plist",
	"Default/Sprite.png",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/charge.plist",
	"Default/Button_Disable.png",
	"ccs/plist/countryBattle.plist",
}

return _M
