-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 3, cc.size(207, 137), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bufPanel = ccui.Layout:create()
	setValue(self.bufPanel, "bufPanel", 21, cc.size(207, 73), cc.p(0, 38.36), cc.p(0, 1), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.bufPanel)
	self.bufPanel_2 = self.bufPanel

	self.CampFloorB = ccui.ImageView:create()
	setValue(self.CampFloorB, "CampFloorB", 1138, cc.size(207, 73), cc.p(103.5, 36.5), nil, nil, nil, nil, false)
	self.CampFloorB:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.CampFloorB:setScale9Enabled(true)
	self.CampFloorB:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.bufPanel_2, self.CampFloorB)

	self.bufLabel = createLabel({text=[[被击杀3次后获得随机buff]], font=getFont(), size=18,align = 1,valign = 1, dimensions = cc.size(205.0000, 70.0000)})
	setValue(self.bufLabel, "bufLabel", 23, cc.size(205, 70), cc.p(103.5, 36.5), nil, nil, nil, nil, false)
	self.bufLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bufPanel_2, self.bufLabel)

	self.mainPanel = ccui.Layout:create()
	setValue(self.mainPanel, "mainPanel", 5, cc.size(207, 96), cc.p(0, 41.1), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.mainPanel)
	self.mainPanel_2 = self.mainPanel

	self.warCampBoxSprite = cc.Sprite:create()
	setValue(self.warCampBoxSprite, "warCampBoxSprite", 4, cc.size(207, 96), nil, cc.p(0, 0), nil, nil, nil, nil)
	self.warCampBoxSprite:setSpriteFrame("ccs/UiImages/countryBattle/countrybattle_2.png")
	addChildForPre(self.mainPanel_2, self.warCampBoxSprite)

	self.mainButton = ccui.Button:create()
	self.mainButton:setScale9Enabled(true)
	self.mainButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.mainButton:setContentSize(cc.size(86.94, 96))
	setValue(self.mainButton, "mainButton", 61, nil, cc.p(45.54, 48), nil, nil, nil, nil, false)
	self.mainButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.mainButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.mainButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.mainButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.mainButton:setTitleText([[]])
	self.mainButton:setTitleColor(cc.c3b(65, 65, 70))
	self.mainButton:setTitleFontSize(14)
	self.mainButton:setTitleFontName(getFont())
	setClickEvent(self, self.mainButton, "mainButton")
	addChildForPre(self.mainPanel_2, self.mainButton)

	self.tankSprite = cc.Sprite:create()
	setValue(self.tankSprite, "tankSprite", 6, cc.size(80, 90), cc.p(38.5386, 47.4923), nil, nil, nil, nil, nil)
	self.tankSprite:setSpriteFrame("ccs/UiImages/countryBattle/countrybattle_img_ship.png")
	addChildForPre(self.mainPanel_2, self.tankSprite)

	self.powerTitleLabel = createLabel({text=[[XXX]], font=getFont(), size=20})
	setValue(self.powerTitleLabel, "powerTitleLabel", 185, cc.size(40, 23), cc.p(142, 63.9719), cc.p(1, 0.5), cc.c4b(255, 181, 0, 255), nil, nil, nil)
	self.powerTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.powerTitleLabel:setColor(cc.c4b(255, 181, 0, 255))
	addChildForPre(self.mainPanel_2, self.powerTitleLabel)

	self.powerLabel = createLabel({text=[[100]], font=getFont(), size=20})
	setValue(self.powerLabel, "powerLabel", 7, cc.size(33, 23), cc.p(148, 63.9719), cc.p(0, 0.5), nil, nil, nil, nil)
	self.powerLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.mainPanel_2, self.powerLabel)

	self.tiredLabel = createLabel({text=[[100%]], font=getFont(), size=20})
	setValue(self.tiredLabel, "tiredLabel", 8, cc.size(51, 23), cc.p(148, 29.1494), cc.p(0, 0.5), nil, nil, nil, nil)
	self.tiredLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.mainPanel_2, self.tiredLabel)

	self.tiredTitleLabel = createLabel({text=[[XXXX]], font=getFont(), size=20})
	setValue(self.tiredTitleLabel, "tiredTitleLabel", 30, cc.size(53, 23), cc.p(142, 29.1493), cc.p(1, 0.5), cc.c4b(255, 181, 0, 255), nil, nil, nil)
	self.tiredTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.tiredTitleLabel:setColor(cc.c4b(255, 181, 0, 255))
	addChildForPre(self.mainPanel_2, self.tiredTitleLabel)

	self.moveCdPanel = ccui.Layout:create()
	setValue(self.moveCdPanel, "moveCdPanel", 11, cc.size(207, 43), cc.p(103.5, -38.36), cc.p(0.5, 1), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.moveCdPanel)
	self.moveCdPanel_2 = self.moveCdPanel

	self.CommonTipPlate = ccui.ImageView:create()
	setValue(self.CommonTipPlate, "CommonTipPlate", 1137, cc.size(200, 39), cc.p(103.5, 21.5), nil, nil, nil, nil, false)
	self.CommonTipPlate:loadTexture("ccs/UiImages/image9/commonPanel_TxtBg_WinGouMaiDaoJu_2.png", 1)
	self.CommonTipPlate:setScale9Enabled(true)
	self.CommonTipPlate:setCapInsets(cc.rect(0, 0, 374, 39))
	addChildForPre(self.moveCdPanel_2, self.CommonTipPlate)

	self.cdTimeLabel = createLabel({text=[[5s]], font=getFont(), size=30})
	setValue(self.cdTimeLabel, "cdTimeLabel", 10, cc.size(31, 34), cc.p(117.99, 21.5), nil, nil, nil, nil, nil)
	self.cdTimeLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.moveCdPanel_2, self.cdTimeLabel)

	self.stopButton = ccui.Button:create()
	setValue(self.stopButton, "stopButton", 9, cc.size(32, 32), cc.p(74.1267, 21.5), nil, nil, nil, nil, nil)
	self.stopButton:loadTextureNormal("ccs/UiImages/countryBattle/countrybattle_btn_zanting_1.png", 1)
	self.stopButton:loadTexturePressed("ccs/UiImages/countryBattle/countrybattle_btn_zanting_1.png", 1)
	self.stopButton:loadTextureDisabled("ccs/UiImages/countryBattle/countrybattle_btn_zanting_1.png", 1)
	self.stopButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.stopButton:setTitleText([[]])
	self.stopButton:setTitleColor(cc.c3b(65, 65, 70))
	self.stopButton:setTitleFontSize(14)
	self.stopButton:setTitleFontName(getFont())
	setClickEvent(self, self.stopButton, "stopButton")
	addChildForPre(self.moveCdPanel_2, self.stopButton)

	self.tiredTouchPanel = ccui.Layout:create()
	setValue(self.tiredTouchPanel, "tiredTouchPanel", 37, cc.size(110, 88), cc.p(92, 47.41), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.tiredTouchPanel)

	self.tiredDescPanel = ccui.Layout:create()
	setValue(self.tiredDescPanel, "tiredDescPanel", 38, cc.size(278, 80), cc.p(208.5469, 89.0972), cc.p(0, 0.5), nil, nil, nil, nil)
	self.tiredDescPanel:setVisible(false)
	addChildForPre(self.rootPanel_1, self.tiredDescPanel)
	self.tiredDescPanel_2 = self.tiredDescPanel

	self.tiredDescImage = ccui.ImageView:create()
	setValue(self.tiredDescImage, "tiredDescImage", 39, cc.size(276, 80), cc.p(1.0995, 40), cc.p(0, 0.5), nil, nil, nil, false)
	self.tiredDescImage:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.tiredDescImage:setScale9Enabled(true)
	self.tiredDescImage:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.tiredDescPanel_2, self.tiredDescImage)

	self.tiredDescLabel = createLabel({text=[[疲劳值：降低攻防属性10000%]], font=getFont(), size=20})
	setValue(self.tiredDescLabel, "tiredDescLabel", 40, cc.size(273, 23), cc.p(5.56, 40), cc.p(0, 0.5), nil, nil, nil, nil)
	self.tiredDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.tiredDescPanel_2, self.tiredDescLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/battle.plist",
	"ccs/plist/countryBattle.plist",
	"ccs/plist/image9.plist",
}

return _M
