-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 3, cc.size(1125, 750), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame3Ui then 
 		self.commonDialogFrame3Ui = CommonDialogFrame3Ui.new() 
 	else 
		self.commonDialogFrame3Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame3Ui.lua")
 	end 
	setValue(self.commonDialogFrame3Ui, "commonDialogFrame3Ui", 223, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame3Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "dialogPanel", 159, cc.size(850, 550), cc.p(562.5, 375), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.topPanel = ccui.Layout:create()
	setValue(self.topPanel, "topPanel", 244, cc.size(800, 170), cc.p(425, 517), cc.p(0.5, 1), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.topPanel)
	self.topPanel_3 = self.topPanel

	self.topRightSp = cc.Sprite:create()
	setValue(self.topRightSp, "topRightSp", 247, cc.size(192, 135), cc.p(672, 91.8), nil, nil, nil, nil, nil)
	self.topRightSp:setSpriteFrame("ccs/UiImages/crew/crewJJSp.png")
	addChildForPre(self.topPanel_3, self.topRightSp)

	self.topLiftSp = cc.Sprite:create()
	setValue(self.topLiftSp, "topLiftSp", 248, cc.size(192, 135), cc.p(128, 91.8), nil, nil, nil, nil, nil)
	self.topLiftSp:setFlippedX(true)
	self.topLiftSp:setSpriteFrame("ccs/UiImages/crew/crewJJSp.png")
	addChildForPre(self.topPanel_3, self.topLiftSp)

	self.topLiftBG2 = cc.Sprite:create()
	setValue(self.topLiftBG2, "topLiftBG2", 33, cc.size(140, 140), cc.p(288, 85), nil, nil, nil, nil, nil)
	self.topLiftBG2:setSpriteFrame("ccs/UiImages/crew/EMUContentFrameJJ2.png")
	addChildForPre(self.topPanel_3, self.topLiftBG2)

	self.topLiftBG = cc.Sprite:create()
	setValue(self.topLiftBG, "topLiftBG", 249, cc.size(140, 140), cc.p(288, 85), nil, nil, nil, nil, nil)
	self.topLiftBG:setSpriteFrame("ccs/UiImages/crew/EMUContentFrameJJ.png")
	addChildForPre(self.topPanel_3, self.topLiftBG)

	self.topRightBG2 = cc.Sprite:create()
	setValue(self.topRightBG2, "topRightBG2", 32, cc.size(140, 140), cc.p(512, 85), nil, nil, nil, nil, nil)
	self.topRightBG2:setSpriteFrame("ccs/UiImages/crew/EMUContentFrameJJ2.png")
	addChildForPre(self.topPanel_3, self.topRightBG2)

	self.topRightBG = cc.Sprite:create()
	setValue(self.topRightBG, "topRightBG", 250, cc.size(140, 140), cc.p(512, 85), nil, nil, nil, nil, nil)
	self.topRightBG:setSpriteFrame("ccs/UiImages/crew/EMUContentFrameJJ.png")
	addChildForPre(self.topPanel_3, self.topRightBG)

	self.topUpSp = cc.Sprite:create()
	setValue(self.topUpSp, "topUpSp", 34, cc.size(56, 64), cc.p(400, 85), nil, nil, nil, nil, nil)
	self.topUpSp:setRotationSkewX(90)
	self.topUpSp:setRotationSkewY(90)
	self.topUpSp:setSpriteFrame("ccs/UiImages/battle/LevelupUp.png")
	addChildForPre(self.topPanel_3, self.topUpSp)

	self.Head1Panel = ccui.Layout:create()
	setValue(self.Head1Panel, "Head1Panel", 36, cc.size(80, 80), cc.p(288, 85), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.topPanel_3, self.Head1Panel)

	self.Head2Panel = ccui.Layout:create()
	setValue(self.Head2Panel, "Head2Panel", 186, cc.size(80, 80), cc.p(512, 85), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.topPanel_3, self.Head2Panel)

	self.centerPanel = ccui.Layout:create()
	setValue(self.centerPanel, "centerPanel", 245, cc.size(800, 135), cc.p(425, 287.65), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.centerPanel)
	self.centerPanel_3 = self.centerPanel

	self.centerBG1 = ccui.ImageView:create()
	setValue(self.centerBG1, "centerBG1", 187, cc.size(800, 130), cc.p(400, 67.5), nil, nil, nil, nil, false)
	self.centerBG1:loadTexture("ccs/UiImages/crew/EMUContentFrameJJ2.png", 1)
	self.centerBG1:setScale9Enabled(true)
	self.centerBG1:setCapInsets(cc.rect(20, 20, 100, 100))
	addChildForPre(self.centerPanel_3, self.centerBG1)

	self.centerBG2 = ccui.ImageView:create()
	setValue(self.centerBG2, "centerBG2", 188, cc.size(800, 130), cc.p(400, 67.5), nil, nil, nil, nil, false)
	self.centerBG2:loadTexture("ccs/UiImages/crew/EMUContentFrameJJ.png", 1)
	self.centerBG2:setScale9Enabled(true)
	self.centerBG2:setCapInsets(cc.rect(20, 20, 100, 100))
	addChildForPre(self.centerPanel_3, self.centerBG2)

	self.addType1 = createLabel({text=[[addType1]], font=getFont(), size=22,align = 2,valign = 1})
	setValue(self.addType1, "addType1", 189, cc.size(96, 26), cc.p(160, 91.8), cc.p(1, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.addType1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.addType1:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.centerPanel_3, self.addType1)

	self.addType2 = createLabel({text=[[addType2]], font=getFont(), size=22,align = 2,valign = 1})
	setValue(self.addType2, "addType2", 190, cc.size(96, 26), cc.p(160, 51.3), cc.p(1, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.addType2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.addType2:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.centerPanel_3, self.addType2)

	self.addTypeNumber1 = createLabel({text=[[addTypeNumber1]], font=getFont(), size=22,align = 1,valign = 1})
	setValue(self.addTypeNumber1, "addTypeNumber1", 191, cc.size(174, 26), cc.p(288, 91.8), nil, nil, nil, nil, nil)
	self.addTypeNumber1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.centerPanel_3, self.addTypeNumber1)

	self.addTypeNumber2 = createLabel({text=[[addTypeNumber2]], font=getFont(), size=22,align = 1,valign = 1})
	setValue(self.addTypeNumber2, "addTypeNumber2", 192, cc.size(174, 26), cc.p(288, 51.3), nil, nil, nil, nil, nil)
	self.addTypeNumber2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.centerPanel_3, self.addTypeNumber2)

	self.centerUpSp1 = cc.Sprite:create()
	setValue(self.centerUpSp1, "centerUpSp1", 193, cc.size(56, 64), cc.p(400, 94.5), nil, nil, nil, nil, nil)
	self.centerUpSp1:setRotationSkewX(90)
	self.centerUpSp1:setRotationSkewY(90)
	self.centerUpSp1:setScale(0.8)
	self.centerUpSp1:setSpriteFrame("ccs/UiImages/battle/LevelupUp.png")
	addChildForPre(self.centerPanel_3, self.centerUpSp1)

	self.centerUpSp2 = cc.Sprite:create()
	setValue(self.centerUpSp2, "centerUpSp2", 194, cc.size(56, 64), cc.p(400, 47.25), nil, nil, nil, nil, nil)
	self.centerUpSp2:setRotationSkewX(90)
	self.centerUpSp2:setRotationSkewY(90)
	self.centerUpSp2:setScale(0.8)
	self.centerUpSp2:setSpriteFrame("ccs/UiImages/battle/LevelupUp.png")
	addChildForPre(self.centerPanel_3, self.centerUpSp2)

	self.addTypeNumber1_1 = createLabel({text=[[addTypeNumber1_1]], font=getFont(), size=22,align = 1,valign = 1})
	setValue(self.addTypeNumber1_1, "addTypeNumber1_1", 195, cc.size(199, 26), cc.p(512, 91.8), nil, cc.c4b(40, 219, 114, 255), nil, nil, nil)
	self.addTypeNumber1_1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.addTypeNumber1_1:setColor(cc.c4b(40, 219, 114, 255))
	addChildForPre(self.centerPanel_3, self.addTypeNumber1_1)

	self.addTypeNumber2_2 = createLabel({text=[[addTypeNumber2_2]], font=getFont(), size=22,align = 1,valign = 1})
	setValue(self.addTypeNumber2_2, "addTypeNumber2_2", 196, cc.size(199, 26), cc.p(512, 51.3), nil, cc.c4b(40, 219, 114, 255), nil, nil, nil)
	self.addTypeNumber2_2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.addTypeNumber2_2:setColor(cc.c4b(40, 219, 114, 255))
	addChildForPre(self.centerPanel_3, self.addTypeNumber2_2)

	self.downPanel = ccui.Layout:create()
	setValue(self.downPanel, "downPanel", 246, cc.size(800, 190), cc.p(425, 33), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.downPanel)
	self.downPanel_3 = self.downPanel

	self.downBG1 = ccui.ImageView:create()
	setValue(self.downBG1, "downBG1", 197, cc.size(800, 190), cc.p(400, 95), nil, nil, nil, nil, false)
	self.downBG1:loadTexture("ccs/UiImages/crew/EMUContentFrameJJ2.png", 1)
	self.downBG1:setScale9Enabled(true)
	self.downBG1:setCapInsets(cc.rect(20, 20, 100, 100))
	addChildForPre(self.downPanel_3, self.downBG1)

	self.downBG2 = ccui.ImageView:create()
	setValue(self.downBG2, "downBG2", 198, cc.size(800, 190), cc.p(400, 95), nil, nil, nil, nil, false)
	self.downBG2:loadTexture("ccs/UiImages/crew/EMUContentFrameJJ.png", 1)
	self.downBG2:setScale9Enabled(true)
	self.downBG2:setCapInsets(cc.rect(20, 20, 100, 100))
	addChildForPre(self.downPanel_3, self.downBG2)

	self.noSkillLock = createLabel({text=[[noSkillLock]], font=getFont(), size=25,align = 2,valign = 1})
	setValue(self.noSkillLock, "noSkillLock", 199, cc.size(126, 29), cc.p(400, 95), nil, cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.noSkillLock:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.noSkillLock:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.downPanel_3, self.noSkillLock)

	self.skillPanel = ccui.Layout:create()
	setValue(self.skillPanel, "skillPanel", 204, cc.size(800, 190), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.downPanel_3, self.skillPanel)
	self.skillPanel_4 = self.skillPanel

	self.lockSkill = createLabel({text=[[noSkillLock]], font=getFont(), size=22,align = 2,valign = 1})
	setValue(self.lockSkill, "lockSkill", 200, cc.size(111, 26), cc.p(160, 152), cc.p(1, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.lockSkill:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.lockSkill:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.skillPanel_4, self.lockSkill)

	self.downLiftBG = cc.Sprite:create()
	setValue(self.downLiftBG, "downLiftBG", 201, cc.size(140, 140), cc.p(280, 95), nil, nil, nil, nil, nil)
	self.downLiftBG:setSpriteFrame("ccs/UiImages/crew/EMUContentFrameJJ2.png")
	addChildForPre(self.skillPanel_4, self.downLiftBG)

	self.dowmLiftBG2 = cc.Sprite:create()
	setValue(self.dowmLiftBG2, "dowmLiftBG2", 202, cc.size(140, 140), cc.p(280, 95), nil, nil, nil, nil, nil)
	self.dowmLiftBG2:setSpriteFrame("ccs/UiImages/crew/EMUContentFrameJJ.png")
	addChildForPre(self.skillPanel_4, self.dowmLiftBG2)

	self.skillIconPanel = ccui.Layout:create()
	setValue(self.skillIconPanel, "skillIconPanel", 203, cc.size(100, 100), cc.p(280, 95), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.skillPanel_4, self.skillIconPanel)

	self.skillName = createLabel({text=[[skillName]], font=getFont(), size=22})
	setValue(self.skillName, "skillName", 256, cc.size(95, 26), cc.p(368, 152), cc.p(0, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.skillName:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.skillName:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.skillPanel_4, self.skillName)

	self.skillDesc = createLabel({text=[[skillName]], font=getFont(), size=22, dimensions = cc.size(400.0000, 80.0000)})
	setValue(self.skillDesc, "skillDesc", 257, cc.size(400, 80), cc.p(368, 89.3), cc.p(0, 0.5), nil, nil, nil, false)
	self.skillDesc:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.skillPanel_4, self.skillDesc)

	self.skillLv = createLabel({text=[[skillLv]], font=getFont(), size=22})
	setValue(self.skillLv, "skillLv", 258, cc.size(59, 26), cc.p(480, 152), cc.p(0, 0.5), nil, nil, nil, nil)
	self.skillLv:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.skillPanel_4, self.skillLv)

	if CommonDialogFrame3CloseUi then 
 		self.commonDialogFrame3CloseUi = CommonDialogFrame3CloseUi.new() 
 	else 
		self.commonDialogFrame3CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame3CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame3CloseUi, "commonDialogFrame3CloseUi", 239, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame3CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/crew.plist",
	"ccs/plist/winLose.plist",
}

return _M
