-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 24, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 25, cc.size(745, 435), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.AttributeBackground = ccui.ImageView:create()
	setValue(self.AttributeBackground, "AttributeBackground", 26, cc.size(745, 500), cc.p(372.5, 221.85), nil, nil, nil, nil, false)
	self.AttributeBackground:loadTexture("ccs/UiImages/crew/EMUContentFrame.png", 1)
	self.AttributeBackground:setScale9Enabled(true)
	self.AttributeBackground:setCapInsets(cc.rect(20, 20, 40, 40))
	addChildForPre(self.rootPanel_1, self.AttributeBackground)

	self.colourLine1 = ccui.ImageView:create()
	setValue(self.colourLine1, "colourLine1", 146, cc.size(755, 14), cc.p(372.5, 213.15), nil, nil, nil, nil, false)
	self.colourLine1:loadTexture("ccs/UiImages/common/LightColourLine.png", 1)
	self.colourLine1:setScale9Enabled(true)
	self.colourLine1:setCapInsets(cc.rect(5, 5, 440, 4))
	addChildForPre(self.rootPanel_1, self.colourLine1)

	self.colourLine2 = ccui.ImageView:create()
	setValue(self.colourLine2, "colourLine2", 147, cc.size(755, 14), cc.p(372.5, 139.2), nil, nil, nil, nil, false)
	self.colourLine2:loadTexture("ccs/UiImages/common/LightColourLine.png", 1)
	self.colourLine2:setScale9Enabled(true)
	self.colourLine2:setCapInsets(cc.rect(5, 5, 440, 4))
	addChildForPre(self.rootPanel_1, self.colourLine2)

	self.nameLable = createLabel({text=[[nameLable]], font=getFont(), size=22})
	setValue(self.nameLable, "nameLable", 134, cc.size(108, 26), cc.p(37.25, 395.85), cc.p(0, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.nameLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.nameLable:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.rootPanel_1, self.nameLable)

	self.nameFont = createLabel({text=[[nameFont]], font=getFont(), size=22})
	setValue(self.nameFont, "nameFont", 135, cc.size(99, 26), cc.p(96.85, 395.85), cc.p(0, 0.5), cc.c4b(253, 132, 53, 255), nil, nil, nil)
	self.nameFont:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.nameFont:setColor(cc.c4b(253, 132, 53, 255))
	addChildForPre(self.rootPanel_1, self.nameFont)

	self.UpLevleCheckBox = ccui.CheckBox:create()
	setValue(self.UpLevleCheckBox, "UpLevleCheckBox", 314, cc.size(53, 53), cc.p(402.3, 395.85), nil, nil, nil, nil, nil)
	self.UpLevleCheckBox:setScale(0.6)
	self.UpLevleCheckBox:loadTextureBackGround("ccs/BigImages/checkBox/ReinforcementLabel.png", 1)
	self.UpLevleCheckBox:loadTextureBackGroundSelected("ccs/BigImages/checkBox/ReinforcementLabel.png", 1)
	self.UpLevleCheckBox:loadTextureBackGroundDisabled("ccs/BigImages/checkBox/ReinforcementLabel.png", 1)
	self.UpLevleCheckBox:loadTextureFrontCross("ccs/BigImages/checkBox/ReinforcementLabelHove.png", 1)
	self.UpLevleCheckBox:loadTextureFrontCrossDisabled("ccs/BigImages/checkBox/ReinforcementLabelHove.png", 1)
	addChildForPre(self.rootPanel_1, self.UpLevleCheckBox)

	self.LevelUpFont = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.LevelUpFont, "LevelUpFont", 423, cc.size(100, 26), cc.p(424.65, 395.85), cc.p(0, 0.5), cc.c4b(40, 219, 114, 255), nil, nil, nil)
	self.LevelUpFont:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.LevelUpFont:setColor(cc.c4b(40, 219, 114, 255))
	addChildForPre(self.rootPanel_1, self.LevelUpFont)

	self.levelLable = createLabel({text=[[levelLable]], font=getFont(), size=22})
	setValue(self.levelLable, "levelLable", 136, cc.size(99, 26), cc.p(37.25, 365.4), cc.p(0, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.levelLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.levelLable:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.rootPanel_1, self.levelLable)

	self.levelFont = createLabel({text=[[levelFont]], font=getFont(), size=22})
	setValue(self.levelFont, "levelFont", 137, cc.size(89, 26), cc.p(96.85, 365.4), cc.p(0, 0.5), nil, nil, nil, nil)
	self.levelFont:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.levelFont)

	self.countryLable = createLabel({text=[[countryLable]], font=getFont(), size=22})
	setValue(self.countryLable, "countryLable", 138, cc.size(125, 26), cc.p(37.25, 334.95), cc.p(0, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.countryLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.countryLable:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.rootPanel_1, self.countryLable)

	self.countryFont = createLabel({text=[[countryFont]], font=getFont(), size=20})
	setValue(self.countryFont, "countryFont", 139, cc.size(105, 23), cc.p(96.85, 334.95), cc.p(0, 0.5), nil, nil, nil, nil)
	self.countryFont:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.countryFont)

	self.qualityLable = createLabel({text=[[qualityLable]], font=getFont(), size=22})
	setValue(self.qualityLable, "qualityLable", 140, cc.size(117, 26), cc.p(37.25, 304.5), cc.p(0, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.qualityLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.qualityLable:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.rootPanel_1, self.qualityLable)

	self.StarIcon = cc.Sprite:create()
	setValue(self.StarIcon, "StarIcon", 182, cc.size(48, 48), cc.p(220.371, 304.5), cc.p(0, 0.5), nil, nil, nil, nil)
	self.StarIcon:setScale(0.6)
	self.StarIcon:setSpriteFrame("ccs/UiImages/commonIcon/Star.png")
	addChildForPre(self.rootPanel_1, self.StarIcon)

	self.pointLable = createLabel({text=[[pointLable]], font=getFont(), size=22})
	setValue(self.pointLable, "pointLable", 141, cc.size(101, 26), cc.p(37.25, 274.05), cc.p(0, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.pointLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.pointLable:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.rootPanel_1, self.pointLable)

	self.rankMilitaryLable = createLabel({text=[[rankMilitaryLable]], font=getFont(), size=22})
	setValue(self.rankMilitaryLable, "rankMilitaryLable", 142, cc.size(166, 26), cc.p(37.25, 243.6), cc.p(0, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.rankMilitaryLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rankMilitaryLable:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.rootPanel_1, self.rankMilitaryLable)

	self.qualityFont = createLabel({text=[[qualityFont]], font=getFont(), size=20})
	setValue(self.qualityFont, "qualityFont", 143, cc.size(97, 23), cc.p(96.85, 304.5), cc.p(0, 0.5), nil, nil, nil, nil)
	self.qualityFont:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.qualityFont)

	self.pointFont = createLabel({text=[[pointFont]], font=getFont(), size=20})
	setValue(self.pointFont, "pointFont", 144, cc.size(83, 23), cc.p(96.85, 274.05), cc.p(0, 0.5), nil, nil, nil, nil)
	self.pointFont:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.pointFont)

	self.rankMilitaryFont = createLabel({text=[[rankMilitaryFont]], font=getFont(), size=20})
	setValue(self.rankMilitaryFont, "rankMilitaryFont", 145, cc.size(142, 23), cc.p(96.85, 243.6), cc.p(0, 0.5), nil, nil, nil, nil)
	self.rankMilitaryFont:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.rankMilitaryFont)

	self.goldSp = cc.Sprite:create()
	setValue(self.goldSp, "goldSp", 65, cc.size(150, 150), cc.p(312.9, 365.4), nil, nil, nil, nil, nil)
	self.goldSp:setScale(0.3)
	self.goldSp:setSpriteFrame("ccs/UiImages/commonIcon/IconGold.png")
	addChildForPre(self.rootPanel_1, self.goldSp)

	self.goldNumber1 = createLabel({text=[[goldNumber1]], font=getFont(), size=22})
	setValue(self.goldNumber1, "goldNumber1", 59, cc.size(132, 26), cc.p(335.25, 365.4), cc.p(0, 0.5), nil, nil, nil, nil)
	self.goldNumber1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.goldNumber1)

	self.goldNumber2 = createLabel({text=[[goldNumber2]], font=getFont(), size=22})
	setValue(self.goldNumber2, "goldNumber2", 60, cc.size(132, 26), cc.p(432.1, 365.4), cc.p(0, 0.5), nil, nil, nil, nil)
	self.goldNumber2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.goldNumber2)

	self.goldButton = ccui.Button:create()
	setValue(self.goldButton, "goldButton", 68, cc.size(150, 62), cc.p(648.15, 365.4), nil, nil, nil, nil, nil)
	self.goldButton:loadTextureNormal("ccs/UiImages/image9/CommonBtnGreen.png", 1)
	self.goldButton:loadTexturePressed("ccs/UiImages/image9/CommonBtnGreenHover.png", 1)
	self.goldButton:loadTextureDisabled("ccs/UiImages/image9/CommonBtnGreenHover.png", 1)
	self.goldButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.goldButton:setTitleText([[]])
	self.goldButton:setTitleFontSize(25)
	self.goldButton:setTitleFontName(getFont())
	setClickEvent(self, self.goldButton, "goldButton")
	addChildForPre(self.rootPanel_1, self.goldButton)

	self.CrewSp = cc.Sprite:create()
	setValue(self.CrewSp, "CrewSp", 66, cc.size(54, 51), cc.p(312.9, 304.5), nil, nil, nil, nil, nil)
	self.CrewSp:setSpriteFrame("ccs/UiImages/crew/MembersFragment.png")
	addChildForPre(self.rootPanel_1, self.CrewSp)

	self.patchCrewNumber1 = createLabel({text=[[patchCrewNumber1]], font=getFont(), size=22})
	setValue(self.patchCrewNumber1, "patchCrewNumber1", 61, cc.size(195, 26), cc.p(335.25, 304.5), cc.p(0, 0.5), nil, nil, nil, nil)
	self.patchCrewNumber1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.patchCrewNumber1)

	self.patchCrewNumber2 = createLabel({text=[[patchCrewNumber2]], font=getFont(), size=22})
	setValue(self.patchCrewNumber2, "patchCrewNumber2", 62, cc.size(195, 26), cc.p(409.75, 304.5), cc.p(0, 0.5), nil, nil, nil, nil)
	self.patchCrewNumber2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.patchCrewNumber2)

	self.crewButton = ccui.Button:create()
	setValue(self.crewButton, "crewButton", 69, cc.size(150, 62), cc.p(648.15, 304.5), nil, nil, nil, nil, nil)
	self.crewButton:loadTextureNormal("ccs/UiImages/image9/CommonBtnGreen.png", 1)
	self.crewButton:loadTexturePressed("ccs/UiImages/image9/CommonBtnGreenHover.png", 1)
	self.crewButton:loadTextureDisabled("ccs/UiImages/image9/CommonBtnGreenHover.png", 1)
	self.crewButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.crewButton:setTitleText([[]])
	self.crewButton:setTitleFontSize(25)
	self.crewButton:setTitleFontName(getFont())
	setClickEvent(self, self.crewButton, "crewButton")
	addChildForPre(self.rootPanel_1, self.crewButton)
	self.crewButton_2 = self.crewButton

	self.CrewButtonRedPoint = cc.Sprite:create()
	setValue(self.CrewButtonRedPoint, "CrewButtonRedPoint", 148, cc.size(25, 25), cc.p(133.5, 49.6), nil, nil, nil, nil, nil)
	self.CrewButtonRedPoint:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.crewButton_2, self.CrewButtonRedPoint)

	self.MilitarySp = cc.Sprite:create()
	setValue(self.MilitarySp, "MilitarySp", 67, cc.size(40, 40), cc.p(312.9, 243.6), nil, nil, nil, nil, nil)
	self.MilitarySp:setSpriteFrame("ccs/UiImages/militaryRank/RankBadge3.png")
	addChildForPre(self.rootPanel_1, self.MilitarySp)

	self.militaryRnakNumber1 = createLabel({text=[[militaryRnakNumber1]], font=getFont(), size=22})
	setValue(self.militaryRnakNumber1, "militaryRnakNumber1", 63, cc.size(211, 26), cc.p(335.25, 243.6), cc.p(0, 0.5), nil, nil, nil, nil)
	self.militaryRnakNumber1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.militaryRnakNumber1)

	self.militaryRnakNumber2 = createLabel({text=[[militaryRnakNumber2]], font=getFont(), size=22})
	setValue(self.militaryRnakNumber2, "militaryRnakNumber2", 64, cc.size(211, 26), cc.p(409.75, 243.6), cc.p(0, 0.5), nil, nil, nil, nil)
	self.militaryRnakNumber2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.militaryRnakNumber2)

	self.MilitaryButton = ccui.Button:create()
	setValue(self.MilitaryButton, "MilitaryButton", 70, cc.size(150, 62), cc.p(648.15, 243.6), nil, nil, nil, nil, nil)
	self.MilitaryButton:loadTextureNormal("ccs/UiImages/image9/CommonBtnGreen.png", 1)
	self.MilitaryButton:loadTexturePressed("ccs/UiImages/image9/CommonBtnGreenHover.png", 1)
	self.MilitaryButton:loadTextureDisabled("ccs/UiImages/image9/CommonBtnGreenHover.png", 1)
	self.MilitaryButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.MilitaryButton:setTitleText([[]])
	self.MilitaryButton:setTitleFontSize(25)
	self.MilitaryButton:setTitleFontName(getFont())
	setClickEvent(self, self.MilitaryButton, "MilitaryButton")
	addChildForPre(self.rootPanel_1, self.MilitaryButton)

	self.attributeLable1 = createLabel({text=[[attributeLable1]], font=getFont(), size=22})
	setValue(self.attributeLable1, "attributeLable1", 141, cc.size(145, 26), cc.p(37.25, 195.75), cc.p(0, 0.5), cc.c4b(253, 132, 53, 255), nil, nil, nil)
	self.attributeLable1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.attributeLable1:setColor(cc.c4b(253, 132, 53, 255))
	addChildForPre(self.rootPanel_1, self.attributeLable1)

	self.attriLable1 = createLabel({text=[[attriLable1]], font=getFont(), size=22})
	setValue(self.attriLable1, "attriLable1", 142, cc.size(102, 26), cc.p(37.25, 165.3), cc.p(0, 0.5), nil, nil, nil, nil)
	self.attriLable1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.attriLable1)

	self.attriFont1 = createLabel({text=[[attriFont1]], font=getFont(), size=22})
	setValue(self.attriFont1, "attriFont1", 143, cc.size(92, 26), cc.p(134.1, 165.3), cc.p(0, 0.5), nil, nil, nil, nil)
	self.attriFont1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.attriFont1)

	self.attriLable2 = createLabel({text=[[attriLable2]], font=getFont(), size=22})
	setValue(self.attriLable2, "attriLable2", 144, cc.size(102, 26), cc.p(335.25, 165.3), cc.p(0, 0.5), nil, nil, nil, nil)
	self.attriLable2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.attriLable2)

	self.attriFont2 = createLabel({text=[[attriFont2]], font=getFont(), size=22})
	setValue(self.attriFont2, "attriFont2", 145, cc.size(92, 26), cc.p(424.65, 165.3), cc.p(0, 0.5), nil, nil, nil, nil)
	self.attriFont2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.attriFont2)

	self.CrewPeculiarityLable = createLabel({text=[[CrewPeculiarityLable]], font=getFont(), size=22})
	setValue(self.CrewPeculiarityLable, "CrewPeculiarityLable", 146, cc.size(206, 26), cc.p(37.25, 117.45), cc.p(0, 0.5), cc.c4b(253, 132, 53, 255), nil, nil, nil)
	self.CrewPeculiarityLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.CrewPeculiarityLable:setColor(cc.c4b(253, 132, 53, 255))
	addChildForPre(self.rootPanel_1, self.CrewPeculiarityLable)

	self.crewHechangNumber = createLabel({text=[[crewHechangNumber]], font=getFont(), size=22,align = 2,valign = 1})
	setValue(self.crewHechangNumber, "crewHechangNumber", 74, cc.size(212, 26), cc.p(648.15, 113.1), cc.p(1, 0.5), nil, nil, nil, nil)
	self.crewHechangNumber:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.crewHechangNumber)

	self.crewHechangNumber2 = createLabel({text=[[crewHechangNumber2]], font=getFont(), size=22,valign = 1})
	setValue(self.crewHechangNumber2, "crewHechangNumber2", 75, cc.size(224, 26), cc.p(648.15, 113.1), cc.p(0, 0.5), nil, nil, nil, nil)
	self.crewHechangNumber2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.crewHechangNumber2)

	self.unladeButton = ccui.Button:create()
	setValue(self.unladeButton, "unladeButton", 147, cc.size(150, 62), cc.p(648.15, 52.2), nil, nil, nil, nil, nil)
	self.unladeButton:loadTextureNormal("ccs/UiImages/image9/CommonBtnRed.png", 1)
	self.unladeButton:loadTexturePressed("ccs/UiImages/image9/CommonBtnRedHover.png", 1)
	self.unladeButton:loadTextureDisabled("ccs/UiImages/image9/CommonBtnDisable.png", 1)
	self.unladeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.unladeButton:setTitleText([[]])
	self.unladeButton:setTitleFontSize(25)
	self.unladeButton:setTitleFontName(getFont())
	setClickEvent(self, self.unladeButton, "unladeButton")
	addChildForPre(self.rootPanel_1, self.unladeButton)

	self.compoundButton = ccui.Button:create()
	setValue(self.compoundButton, "compoundButton", 337, cc.size(150, 62), cc.p(648.15, 52.2), nil, nil, nil, nil, nil)
	self.compoundButton:loadTextureNormal("ccs/UiImages/image9/CommonBtnGreen.png", 1)
	self.compoundButton:loadTexturePressed("ccs/UiImages/image9/CommonBtnGreenHover.png", 1)
	self.compoundButton:loadTextureDisabled("ccs/UiImages/image9/CommonBtnDisable.png", 1)
	self.compoundButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.compoundButton:setTitleText([[]])
	self.compoundButton:setTitleFontSize(25)
	self.compoundButton:setTitleFontName(getFont())
	setClickEvent(self, self.compoundButton, "compoundButton")
	addChildForPre(self.rootPanel_1, self.compoundButton)

	self.crewSkillPanel1 = ccui.Layout:create()
	setValue(self.crewSkillPanel1, "crewSkillPanel1", 86, cc.size(100, 100), cc.p(89.4, 56.55), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.crewSkillPanel1)

	self.crewSkillPanel2 = ccui.Layout:create()
	setValue(self.crewSkillPanel2, "crewSkillPanel2", 87, cc.size(100, 100), cc.p(186.25, 56.55), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.crewSkillPanel2)

	self.crewSkillPanel3 = ccui.Layout:create()
	setValue(self.crewSkillPanel3, "crewSkillPanel3", 88, cc.size(100, 100), cc.p(283.1, 56.55), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.crewSkillPanel3)

	self.crewSkillPanel4 = ccui.Layout:create()
	setValue(self.crewSkillPanel4, "crewSkillPanel4", 89, cc.size(100, 100), cc.p(379.95, 56.55), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.crewSkillPanel4)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/crew.plist",
	"ccs/plist/commonPanelPartsC.plist",
	"ccs/BigImages/checkBox/ReinforcementLabel.png",
	"ccs/BigImages/checkBox/ReinforcementLabelHove.png",
	"ccs/plist/common.plist",
	"ccs/plist/militaryRank.plist",
}

return _M
