-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 3, cc.size(1125, 750), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogBackground = ccui.ImageView:create()
	setValue(self.dialogBackground, "dialogBackground", 779, cc.size(1400, 616), cc.p(562.5, 135), cc.p(0.5, 0), nil, nil, nil, false)
	self.dialogBackground:loadTexture("ccs/BigImages/commonPanel/PanelCommonBg.webp")
	self.dialogBackground:setScale9Enabled(true)
	self.dialogBackground:setCapInsets(cc.rect(0, 0, 10, 10))
	addChildForPre(self.rootPanel_1, self.dialogBackground)
	self.dialogBackground_2 = self.dialogBackground

	self.dialogPanelDownSp = ccui.ImageView:create()
	setValue(self.dialogPanelDownSp, "dialogPanelDownSp", 490, cc.size(1335, 20), cc.p(700, -6.16), cc.p(0.5, 0), nil, nil, nil, nil)
	self.dialogPanelDownSp:loadTexture("ccs/UiImages/crew/TankMembersB.png", 1)
	addChildForPre(self.dialogBackground_2, self.dialogPanelDownSp)

	self.topPanel = ccui.Layout:create()
	setValue(self.topPanel, "topPanel", 169, cc.size(1334, 75), cc.p(562.5, 750), cc.p(0.5, 1), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.topPanel)
	self.topPanel_2 = self.topPanel

	self.topSpRight = cc.Sprite:create()
	setValue(self.topSpRight, "topSpRight", 197, cc.size(618, 94), cc.p(1334, 75), cc.p(0.89, 1), nil, nil, nil, nil)
	self.topSpRight:setSpriteFrame("ccs/UiImages/crew/TankMembersA.png")
	addChildForPre(self.topPanel_2, self.topSpRight)
	self.topSpRight_3 = self.topSpRight

	self.itemAllNumberBG = ccui.ImageView:create()
	setValue(self.itemAllNumberBG, "itemAllNumberBG", 28, cc.size(170, 35), cc.p(123.6, 56.4), nil, nil, nil, nil, false)
	self.itemAllNumberBG:loadTexture("ccs/UiImages/crew/TankMembersBackground.png", 1)
	self.itemAllNumberBG:setScale9Enabled(true)
	self.itemAllNumberBG:setCapInsets(cc.rect(13, 13, 7, 7))
	addChildForPre(self.topSpRight_3, self.itemAllNumberBG)
	self.itemAllNumberBG_4 = self.itemAllNumberBG

	self.ItemIconSp = cc.Sprite:create()
	setValue(self.ItemIconSp, "ItemIconSp", 29, cc.size(150, 149), cc.p(8.5, 18.9), cc.p(0, 0.5), nil, nil, nil, nil)
	self.ItemIconSp:setScale(0.3)
	self.ItemIconSp:setSpriteFrame("ccs/UiImages/icon/item_1233.png")
	addChildForPre(self.itemAllNumberBG_4, self.ItemIconSp)

	self.itemNumberLable = createLabel({text=[[123456789]], font=getFont(), size=22})
	setValue(self.itemNumberLable, "itemNumberLable", 30, cc.size(110, 26), cc.p(56.1, 17.5), cc.p(0, 0.5), nil, nil, nil, nil)
	self.itemNumberLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.itemAllNumberBG_4, self.itemNumberLable)

	self.topSpLeft = cc.Sprite:create()
	setValue(self.topSpLeft, "topSpLeft", 198, cc.size(618, 94), cc.p(0, 75), cc.p(0.575, 1), nil, nil, nil, nil)
	self.topSpLeft:setFlippedX(true)
	self.topSpLeft:setSpriteFrame("ccs/UiImages/crew/TankMembersA.png")
	addChildForPre(self.topPanel_2, self.topSpLeft)

	self.topMenuPanel = ccui.Layout:create()
	setValue(self.topMenuPanel, "topMenuPanel", 23, cc.size(516, 75), cc.p(264.9979, 0), nil, nil, nil, nil, nil)
	addChildForPre(self.topPanel_2, self.topMenuPanel)
	self.topMenuPanel_3 = self.topMenuPanel

	self.attributeButton = ccui.Button:create()
	setValue(self.attributeButton, "attributeButton", 199, cc.size(170, 94), cc.p(1.548, 75), cc.p(0, 1), nil, nil, nil, nil)
	self.attributeButton:loadTextureNormal("ccs/UiImages/crew/TankMembersButtonUp.png", 1)
	self.attributeButton:loadTexturePressed("ccs/UiImages/crew/TankMembersButtonDown.png", 1)
	self.attributeButton:loadTextureDisabled("ccs/UiImages/crew/TankMembersButtonDown.png", 1)
	self.attributeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.attributeButton:setTitleText([[]])
	self.attributeButton:setTitleFontSize(24)
	self.attributeButton:setTitleFontName(getFont())
	setClickEvent(self, self.attributeButton, "attributeButton")
	addChildForPre(self.topMenuPanel_3, self.attributeButton)
	self.attributeButton_4 = self.attributeButton

	self.lableBackGround1 = ccui.ImageView:create()
	setValue(self.lableBackGround1, "lableBackGround1", 201, cc.size(100, 30), cc.p(85, 47), nil, nil, nil, nil, false)
	self.lableBackGround1:loadTexture("ccs/UiImages/crew/TankMembersBackground.png", 1)
	self.lableBackGround1:setScale9Enabled(true)
	self.lableBackGround1:setCapInsets(cc.rect(10, 10, 13, 13))
	addChildForPre(self.attributeButton_4, self.lableBackGround1)
	self.lableBackGround1_5 = self.lableBackGround1

	self.attributeLable = createLabel({text=[[属 性]], font=getFont(), size=25})
	setValue(self.attributeLable, "attributeLable", 202, cc.size(56, 29), cc.p(50, 15), nil, nil, nil, nil, nil)
	self.attributeLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.lableBackGround1_5, self.attributeLable)

	self.peculiarityButton = ccui.Button:create()
	setValue(self.peculiarityButton, "peculiarityButton", 203, cc.size(170, 94), cc.p(173.376, 75), cc.p(0, 1), nil, nil, nil, nil)
	self.peculiarityButton:loadTextureNormal("ccs/UiImages/crew/TankMembersButtonUp.png", 1)
	self.peculiarityButton:loadTexturePressed("ccs/UiImages/crew/TankMembersButtonDown.png", 1)
	self.peculiarityButton:loadTextureDisabled("ccs/UiImages/crew/TankMembersButtonDown.png", 1)
	self.peculiarityButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.peculiarityButton:setTitleText([[]])
	self.peculiarityButton:setTitleFontSize(24)
	self.peculiarityButton:setTitleFontName(getFont())
	setClickEvent(self, self.peculiarityButton, "peculiarityButton")
	addChildForPre(self.topMenuPanel_3, self.peculiarityButton)
	self.peculiarityButton_4 = self.peculiarityButton

	self.lableBackGround2 = ccui.ImageView:create()
	setValue(self.lableBackGround2, "lableBackGround2", 204, cc.size(100, 30), cc.p(85, 47), nil, nil, nil, nil, false)
	self.lableBackGround2:loadTexture("ccs/UiImages/crew/TankMembersBackground.png", 1)
	self.lableBackGround2:setScale9Enabled(true)
	self.lableBackGround2:setCapInsets(cc.rect(10, 10, 13, 13))
	addChildForPre(self.peculiarityButton_4, self.lableBackGround2)
	self.lableBackGround2_5 = self.lableBackGround2

	self.peculiarityLable = createLabel({text=[[特 长]], font=getFont(), size=25})
	setValue(self.peculiarityLable, "peculiarityLable", 205, cc.size(56, 29), cc.p(50, 15), nil, nil, nil, nil, nil)
	self.peculiarityLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.lableBackGround2_5, self.peculiarityLable)

	self.replaceButton = ccui.Button:create()
	setValue(self.replaceButton, "replaceButton", 206, cc.size(170, 94), cc.p(345.72, 75), cc.p(0, 1), nil, nil, nil, nil)
	self.replaceButton:loadTextureNormal("ccs/UiImages/crew/TankMembersButtonUp.png", 1)
	self.replaceButton:loadTexturePressed("ccs/UiImages/crew/TankMembersButtonDown.png", 1)
	self.replaceButton:loadTextureDisabled("ccs/UiImages/crew/TankMembersButtonDown.png", 1)
	self.replaceButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.replaceButton:setTitleText([[]])
	self.replaceButton:setTitleFontSize(24)
	self.replaceButton:setTitleFontName(getFont())
	setClickEvent(self, self.replaceButton, "replaceButton")
	addChildForPre(self.topMenuPanel_3, self.replaceButton)
	self.replaceButton_4 = self.replaceButton

	self.lableBackGround3 = ccui.ImageView:create()
	setValue(self.lableBackGround3, "lableBackGround3", 207, cc.size(100, 30), cc.p(85, 47), nil, nil, nil, nil, false)
	self.lableBackGround3:loadTexture("ccs/UiImages/crew/TankMembersBackground.png", 1)
	self.lableBackGround3:setScale9Enabled(true)
	self.lableBackGround3:setCapInsets(cc.rect(10, 10, 13, 13))
	addChildForPre(self.replaceButton_4, self.lableBackGround3)
	self.lableBackGround3_5 = self.lableBackGround3

	self.replaceLable = createLabel({text=[[更 换]], font=getFont(), size=25})
	setValue(self.replaceLable, "replaceLable", 208, cc.size(56, 29), cc.p(50, 15), nil, nil, nil, nil, nil)
	self.replaceLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.lableBackGround3_5, self.replaceLable)

	self.closeBackground = cc.Sprite:create()
	setValue(self.closeBackground, "closeBackground", 210, cc.size(196, 70), cc.p(1125, 750), cc.p(1, 1), nil, nil, nil, nil)
	self.closeBackground:setSpriteFrame("ccs/UiImages/chat/ChatPlatB.png")
	addChildForPre(self.rootPanel_1, self.closeBackground)
	self.closeBackground_2 = self.closeBackground

	self.closeButton = ccui.Button:create()
	setValue(self.closeButton, "closeButton", 209, cc.size(110, 72), cc.p(98, 35), nil, nil, nil, nil, nil)
	self.closeButton:loadTextureNormal("ccs/UiImages/image9/returnBtn.png", 1)
	self.closeButton:loadTexturePressed("ccs/UiImages/image9/returnBtn.png", 1)
	self.closeButton:loadTextureDisabled("ccs/UiImages/image9/returnBtn.png", 1)
	self.closeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.closeButton:setTitleText([[]])
	self.closeButton:setTitleColor(cc.c3b(65, 65, 70))
	self.closeButton:setTitleFontSize(14)
	self.closeButton:setTitleFontName(getFont())
	setClickEvent(self, self.closeButton, "closeButton")
	addChildForPre(self.closeBackground_2, self.closeButton)

	self.leftPanel = ccui.Layout:create()
	setValue(self.leftPanel, "leftPanel", 827, cc.size(745, 435), cc.p(436.5, 182.925), cc.p(0.49, 0), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.leftPanel)

	self.righePanel = ccui.Layout:create()
	setValue(self.righePanel, "righePanel", 826, cc.size(280, 435), cc.p(452.25, 186.225), cc.p(-1.2, -0.0011), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.righePanel)
	self.righePanel_2 = self.righePanel

	self.reightBackground = ccui.ImageView:create()
	setValue(self.reightBackground, "reightBackground", 33, cc.size(180, 500), cc.p(140, 217.5), nil, nil, nil, nil, false)
	self.reightBackground:loadTexture("ccs/UiImages/crew/EMUContentFrame.png", 1)
	self.reightBackground:setScale9Enabled(true)
	self.reightBackground:setCapInsets(cc.rect(20, 20, 40, 40))
	addChildForPre(self.righePanel_2, self.reightBackground)

	self.crew1Panel = ccui.Layout:create()
	setValue(self.crew1Panel, "crew1Panel", 205, cc.size(80, 100), cc.p(140, 374.1), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.righePanel_2, self.crew1Panel)

	self.crew2Panel = ccui.Layout:create()
	setValue(self.crew2Panel, "crew2Panel", 206, cc.size(80, 100), cc.p(140, 269.7), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.righePanel_2, self.crew2Panel)

	self.crew3Panel = ccui.Layout:create()
	setValue(self.crew3Panel, "crew3Panel", 207, cc.size(80, 100), cc.p(140, 165.3), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.righePanel_2, self.crew3Panel)

	self.crew4Panel = ccui.Layout:create()
	setValue(self.crew4Panel, "crew4Panel", 208, cc.size(80, 100), cc.p(140, 60.9), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.righePanel_2, self.crew4Panel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/BigImages/commonPanel/PanelCommonBg.jpg",
	"ccs/plist/crew.plist",
	"ccs/plist/icon.plist",
	"ccs/plist/chat.plist",
	"ccs/plist/common.plist",
}

return _M
