-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 23, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 57, cc.size(1125, 750), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 130, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "dialogPanel", 80, cc.size(1000, 650), cc.p(562.5, 375), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.leftPanel = ccui.Layout:create()
	setValue(self.leftPanel, "leftPanel", 641, cc.size(750, 650), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.leftPanel)
	self.leftPanel_3 = self.leftPanel

	self.tabPanel = ccui.Layout:create()
	setValue(self.tabPanel, "tabPanel", 281, cc.size(750, 49.985), cc.p(375, 552.5), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.leftPanel_3, self.tabPanel)
	self.tabPanel_4 = self.tabPanel

	self.tab1Button = ccui.Button:create()
	setValue(self.tab1Button, "tab1Button", 370, cc.size(124, 48), cc.p(82.5, 24.9925), nil, nil, nil, nil, false)
	self.tab1Button:loadTextureNormal("ccs/UiImages/image9/CommonBtn1Hove.png", 1)
	self.tab1Button:loadTexturePressed("ccs/UiImages/image9/CommonBtn1.png", 1)
	self.tab1Button:loadTextureDisabled("ccs/UiImages/image9/CommonBtn1.png", 1)
	self.tab1Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tab1Button:setTitleText([[tab1Button]])
	self.tab1Button:setTitleFontSize(25)
	self.tab1Button:setTitleFontName(getFont())
	setClickEvent(self, self.tab1Button, "tab1Button")
	addChildForPre(self.tabPanel_4, self.tab1Button)

	self.tab2Button = ccui.Button:create()
	setValue(self.tab2Button, "tab2Button", 371, cc.size(124, 48), cc.p(375, 24.9925), nil, nil, nil, nil, false)
	self.tab2Button:loadTextureNormal("ccs/UiImages/image9/CommonBtn1Hove.png", 1)
	self.tab2Button:loadTexturePressed("ccs/UiImages/image9/CommonBtn1.png", 1)
	self.tab2Button:loadTextureDisabled("ccs/UiImages/image9/CommonBtn1.png", 1)
	self.tab2Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tab2Button:setTitleText([[tab2Button]])
	self.tab2Button:setTitleFontSize(25)
	self.tab2Button:setTitleFontName(getFont())
	setClickEvent(self, self.tab2Button, "tab2Button")
	addChildForPre(self.tabPanel_4, self.tab2Button)

	self.infoButton = ccui.Button:create()
	setValue(self.infoButton, "infoButton", 131, cc.size(70, 70), cc.p(712.5, 565.5), nil, nil, nil, nil, nil)
	self.infoButton:loadTextureNormal("ccs/UiImages/image9/BtnCommonLabel.png", 1)
	self.infoButton:loadTexturePressed("ccs/UiImages/image9/BtnCommonLabel.png", 1)
	self.infoButton:loadTextureDisabled("ccs/UiImages/image9/BtnCommonLabel.png", 1)
	self.infoButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.infoButton:setTitleText([[]])
	self.infoButton:setTitleColor(cc.c3b(65, 65, 70))
	self.infoButton:setTitleFontSize(14)
	self.infoButton:setTitleFontName(getFont())
	setClickEvent(self, self.infoButton, "infoButton")
	addChildForPre(self.leftPanel_3, self.infoButton)

	self.tabContentPanel = ccui.Layout:create()
	setValue(self.tabContentPanel, "tabContentPanel", 460, cc.size(745, 505), cc.p(3.75, 269.75), cc.p(0, 0.5), nil, nil, nil, nil)
	addChildForPre(self.leftPanel_3, self.tabContentPanel)

	self.lineRight = cc.Sprite:create()
	setValue(self.lineRight, "lineRight", 683, cc.size(12, 588), cc.p(750, 305.5), cc.p(0, 0.5), nil, nil, nil, nil)
	self.lineRight:setScaleX(1)
	self.lineRight:setScaleY(1.04)
	self.lineRight:setSpriteFrame("ccs/UiImages/common/PanelCommonOnLeft1.png")
	addChildForPre(self.leftPanel_3, self.lineRight)

	self.lineTop = cc.Sprite:create()
	setValue(self.lineTop, "lineTop", 550, cc.size(996, 9), cc.p(376.5, 523.9), nil, nil, nil, nil, nil)
	self.lineTop:setScaleX(0.755)
	self.lineTop:setScaleY(1)
	self.lineTop:setSpriteFrame("ccs/UiImages/common/Beam.png")
	addChildForPre(self.leftPanel_3, self.lineTop)

	self.rightPanel = ccui.Layout:create()
	setValue(self.rightPanel, "rightPanel", 642, cc.size(240, 650), cc.p(1000, 0), cc.p(1, 0), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.rightPanel)
	self.rightPanel_3 = self.rightPanel

	self.contentPanel = ccui.Layout:create()
	setValue(self.contentPanel, "contentPanel", 505, cc.size(210, 450), cc.p(120, 318.5), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rightPanel_3, self.contentPanel)

	self.showLabel = createLabel({text=[[showLabel]], font=getFont(), size=25,align = 1})
	setValue(self.showLabel, "showLabel", 639, cc.size(119, 29), cc.p(120, 572), nil, nil, nil, nil, nil)
	self.showLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightPanel_3, self.showLabel)

	self.switchButton = ccui.Button:create()
	setValue(self.switchButton, "switchButton", 640, cc.size(150, 62), cc.p(120, 52), nil, nil, nil, nil, false)
	self.switchButton:loadTextureNormal("ccs/UiImages/image9/CommonBtnGreen.png", 1)
	self.switchButton:loadTexturePressed("ccs/UiImages/image9/CommonBtnGreenHover.png", 1)
	self.switchButton:loadTextureDisabled("ccs/UiImages/image9/CommonBtnDisable.png", 1)
	self.switchButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.switchButton:setTitleText([[switchButton]])
	self.switchButton:setTitleFontSize(25)
	self.switchButton:setTitleFontName(getFont())
	setClickEvent(self, self.switchButton, "switchButton")
	addChildForPre(self.rightPanel_3, self.switchButton)

	if CommonDialogFrame1CloseUi then 
 		self.commonDialogFrame1CloseUi = CommonDialogFrame1CloseUi.new() 
 	else 
		self.commonDialogFrame1CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame1CloseUi, "commonDialogFrame1CloseUi", 125, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/common.plist",
}

return _M
