-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 423, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 424, cc.size(745, 443), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.backGroundSp = ccui.ImageView:create()
	setValue(self.backGroundSp, "backGroundSp", 425, cc.size(745, 500), cc.p(372.5, 221.5), nil, nil, nil, nil, false)
	self.backGroundSp:loadTexture("ccs/UiImages/crew/EMUContentFrame.png", 1)
	self.backGroundSp:setScale9Enabled(true)
	self.backGroundSp:setCapInsets(cc.rect(20, 20, 40, 40))
	addChildForPre(self.rootPanel_1, self.backGroundSp)

	self.lineSp = ccui.ImageView:create()
	setValue(self.lineSp, "lineSp", 432, cc.size(755, 14), cc.p(372.5, 208.21), nil, nil, nil, nil, false)
	self.lineSp:loadTexture("ccs/UiImages/common/LightColourLine.png", 1)
	self.lineSp:setScale9Enabled(true)
	self.lineSp:setCapInsets(cc.rect(5, 5, 440, 4))
	addChildForPre(self.rootPanel_1, self.lineSp)

	self.nameLable = createLabel({text=[[nameLable]], font=getFont(), size=22})
	setValue(self.nameLable, "nameLable", 426, cc.size(108, 26), cc.p(59.6, 403.13), cc.p(0, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.nameLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.nameLable:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.rootPanel_1, self.nameLable)

	self.levelLable = createLabel({text=[[levelLable]], font=getFont(), size=22})
	setValue(self.levelLable, "levelLable", 427, cc.size(99, 26), cc.p(59.6, 372.12), cc.p(0, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.levelLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.levelLable:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.rootPanel_1, self.levelLable)

	self.countryLable = createLabel({text=[[countryLable]], font=getFont(), size=22})
	setValue(self.countryLable, "countryLable", 428, cc.size(125, 26), cc.p(59.6, 341.11), cc.p(0, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.countryLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.countryLable:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.rootPanel_1, self.countryLable)

	self.qualityLable = createLabel({text=[[qualityLable]], font=getFont(), size=22})
	setValue(self.qualityLable, "qualityLable", 429, cc.size(117, 26), cc.p(59.6, 310.1), cc.p(0, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.qualityLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.qualityLable:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.rootPanel_1, self.qualityLable)

	self.pointLable = createLabel({text=[[pointLable]], font=getFont(), size=22})
	setValue(self.pointLable, "pointLable", 430, cc.size(101, 26), cc.p(59.6, 279.09), cc.p(0, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.pointLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.pointLable:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.rootPanel_1, self.pointLable)

	self.rankMilitaryLable = createLabel({text=[[rankMilitaryLable]], font=getFont(), size=22})
	setValue(self.rankMilitaryLable, "rankMilitaryLable", 431, cc.size(166, 26), cc.p(59.6, 248.08), cc.p(0, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.rankMilitaryLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rankMilitaryLable:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.rootPanel_1, self.rankMilitaryLable)

	self.nameFont = createLabel({text=[[nameFont]], font=getFont(), size=22})
	setValue(self.nameFont, "nameFont", 536, cc.size(99, 26), cc.p(149, 403.13), cc.p(0, 0.5), cc.c4b(253, 132, 53, 255), nil, nil, nil)
	self.nameFont:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.nameFont:setColor(cc.c4b(253, 132, 53, 255))
	addChildForPre(self.rootPanel_1, self.nameFont)

	self.countryFont = createLabel({text=[[countryFont]], font=getFont(), size=22})
	setValue(self.countryFont, "countryFont", 538, cc.size(116, 26), cc.p(149, 341.11), cc.p(0, 0.5), nil, nil, nil, nil)
	self.countryFont:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.countryFont)

	self.qualityFont = createLabel({text=[[qualityFont]], font=getFont(), size=22})
	setValue(self.qualityFont, "qualityFont", 539, cc.size(107, 26), cc.p(149, 310.1), cc.p(0, 0.5), nil, nil, nil, nil)
	self.qualityFont:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.qualityFont)

	self.StarIcon = cc.Sprite:create()
	setValue(self.StarIcon, "StarIcon", 67, cc.size(48, 48), cc.p(223.5, 310.1), cc.p(0, 0.5), nil, nil, nil, nil)
	self.StarIcon:setScale(0.6)
	self.StarIcon:setSpriteFrame("ccs/UiImages/commonIcon/Star.png")
	addChildForPre(self.rootPanel_1, self.StarIcon)

	self.pointFont = createLabel({text=[[levelFont]], font=getFont(), size=22})
	setValue(self.pointFont, "pointFont", 540, cc.size(89, 26), cc.p(149, 279.09), cc.p(0, 0.5), nil, nil, nil, nil)
	self.pointFont:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.pointFont)

	self.rankMilitaryFont = createLabel({text=[[rankMilitaryFont]], font=getFont(), size=22})
	setValue(self.rankMilitaryFont, "rankMilitaryFont", 541, cc.size(156, 26), cc.p(149, 248.08), cc.p(0, 0.5), nil, nil, nil, nil)
	self.rankMilitaryFont:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.rankMilitaryFont)

	self.levelFont = createLabel({text=[[levelFont]], font=getFont(), size=22})
	setValue(self.levelFont, "levelFont", 537, cc.size(89, 26), cc.p(149, 372.12), cc.p(0, 0.5), nil, nil, nil, nil)
	self.levelFont:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.levelFont)

	self.addType1Lable = createLabel({text=[[addType1Lable]], font=getFont(), size=22})
	setValue(self.addType1Lable, "addType1Lable", 543, cc.size(150, 26), cc.p(394.85, 279.09), cc.p(0, 0.5), nil, nil, nil, nil)
	self.addType1Lable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.addType1Lable)

	self.addType1Font = createLabel({text=[[addType1Font]], font=getFont(), size=22})
	setValue(self.addType1Font, "addType1Font", 544, cc.size(140, 26), cc.p(521.5, 279.09), cc.p(0, 0.5), nil, nil, nil, nil)
	self.addType1Font:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.addType1Font)

	self.addType2Lable = createLabel({text=[[addType1Lable]], font=getFont(), size=22})
	setValue(self.addType2Lable, "addType2Lable", 545, cc.size(150, 26), cc.p(394.85, 239.22), cc.p(0, 0.5), nil, nil, nil, nil)
	self.addType2Lable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.addType2Lable)

	self.addType2Font = createLabel({text=[[addType1Font]], font=getFont(), size=22})
	setValue(self.addType2Font, "addType2Font", 546, cc.size(140, 26), cc.p(521.5, 239.22), cc.p(0, 0.5), nil, nil, nil, nil)
	self.addType2Font:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.addType2Font)

	self.cellPanel = ccui.Layout:create()
	setValue(self.cellPanel, "cellPanel", 434, cc.size(700, 180), cc.p(372.5, 137.33), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.cellPanel)

	self.UpButton = ccui.Button:create()
	setValue(self.UpButton, "UpButton", 433, cc.size(150, 62), cc.p(648.15, 48.73), nil, nil, nil, nil, nil)
	self.UpButton:loadTextureNormal("ccs/UiImages/image9/CommonBtnGreen.png", 1)
	self.UpButton:loadTexturePressed("ccs/UiImages/image9/CommonBtnGreenHover.png", 1)
	self.UpButton:loadTextureDisabled("ccs/UiImages/image9/CommonBtnDisable.png", 1)
	self.UpButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.UpButton:setTitleText([[]])
	self.UpButton:setTitleFontSize(25)
	self.UpButton:setTitleFontName(getFont())
	setClickEvent(self, self.UpButton, "UpButton")
	addChildForPre(self.rootPanel_1, self.UpButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/crew.plist",
	"ccs/plist/commonPanelPartsC.plist",
	"ccs/plist/common.plist",
}

return _M
