-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 105, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 108, cc.size(720, 126), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.iconPanel = ccui.Layout:create()
	setValue(self.iconPanel, "iconPanel", 109, cc.size(110, 110), cc.p(72, 63), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.iconPanel)

	self.nameLabel = createLabel({text=[[nameLabel]], font=getFont(), size=25})
	setValue(self.nameLabel, "nameLabel", 110, cc.size(123, 29), cc.p(144, 94.5), cc.p(0, 0.5), nil, nil, nil, nil)
	self.nameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.nameLabel)

	self.lvLabel = createLabel({text=[[lvLabel]], font=getFont(), size=25})
	setValue(self.lvLabel, "lvLabel", 111, cc.size(79, 29), cc.p(374.4, 94.5), cc.p(0, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.lvLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.lvLabel:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.rootPanel_1, self.lvLabel)

	self.infoLabel = createLabel({text=[[infoLabel]], font=getFont(), size=25,valign = 1, dimensions = cc.size(450.0000, 60.0000)})
	setValue(self.infoLabel, "infoLabel", 112, cc.size(450, 60), cc.p(144, 40.32), cc.p(0, 0.5), nil, nil, nil, false)
	self.infoLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.infoLabel)

	self.sprNeedIcon = cc.Sprite:create()
	setValue(self.sprNeedIcon, "sprNeedIcon", 113, cc.size(150, 149), cc.p(626.4, 94.5), nil, nil, nil, nil, nil)
	self.sprNeedIcon:setScale(0.35)
	self.sprNeedIcon:setSpriteFrame("ccs/UiImages/icon/item_1233.png")
	addChildForPre(self.rootPanel_1, self.sprNeedIcon)

	self.needLabel = createLabel({text=[[needLabel]], font=getFont(), size=22})
	setValue(self.needLabel, "needLabel", 114, cc.size(102, 26), cc.p(658.8, 94.5), cc.p(0, 0.5), nil, nil, nil, nil)
	self.needLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.needLabel)

	self.addButton = ccui.Button:create()
	setValue(self.addButton, "addButton", 115, cc.size(58, 52), cc.p(648, 37.8), nil, nil, nil, nil, nil)
	self.addButton:loadTextureNormal("ccs/UiImages/crew/SkillIncreaseButton.png", 1)
	self.addButton:loadTexturePressed("ccs/UiImages/crew/SkillIncreaseButtonDown.png", 1)
	self.addButton:loadTextureDisabled("ccs/UiImages/crew/SkillIncreaseButtonDown.png", 1)
	self.addButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.addButton:setTitleText([[]])
	self.addButton:setTitleColor(cc.c3b(65, 65, 70))
	self.addButton:setTitleFontSize(25)
	self.addButton:setTitleFontName(getFont())
	setClickEvent(self, self.addButton, "addButton")
	addChildForPre(self.rootPanel_1, self.addButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/icon.plist",
	"ccs/plist/crew.plist",
}

return _M
