-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 20, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 1508, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 159, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.topPanel = ccui.Layout:create()
	setValue(self.topPanel, "AYN_topPanel", 149, cc.size(606, 380), cc.p(16, 492), nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.topPanel)
	self.topPanel_3 = self.topPanel

	self.topPanelBg = ccui.ImageView:create()
	setValue(self.topPanelBg, "AXY_topPanelBg", 150, cc.size(606, 380), cc.p(303, 190), nil, nil, nil, nil, false)
	self.topPanelBg:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.topPanelBg:setScale9Enabled(true)
	self.topPanelBg:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.topPanel_3, self.topPanelBg)

	self.curBattleNum = ccui.ImageView:create()
	setValue(self.curBattleNum, "TXN_curBattleNum", 254, cc.size(368, 42), cc.p(303, 344.014), nil, nil, nil, nil, nil)
	self.curBattleNum:loadTexture("ccs/UiImages/common/common_Partsimg_ditiao.png", 1)
	addChildForPre(self.topPanel_3, self.curBattleNum)
	self.curBattleNum_4 = self.curBattleNum

	self.curRoundLabel = createLabel({text=[[curRoundLabel]], font=getFont(), size=30,valign = 1})
	setValue(self.curRoundLabel, "XNN_curRoundLabel", 255, cc.size(203, 34), cc.p(184, 21), nil, cc.c4b(8, 203, 30, 255), nil, nil, nil)
	self.curRoundLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.curRoundLabel:setColor(cc.c4b(8, 203, 30, 255))
	addChildForPre(self.curBattleNum_4, self.curRoundLabel)

	self.infoButton = ccui.Button:create()
	setValue(self.infoButton, "RNN_infoButton", 333, cc.size(81, 26), cc.p(412.16, 23.9988), nil, cc.c4b(0, 230, 255, 255), nil, nil, false)
	self.infoButton:loadTextureNormal("ccs/UiImages/image9/Underline.png", 1)
	self.infoButton:loadTexturePressed("ccs/UiImages/image9/Underline.png", 1)
	self.infoButton:loadTextureDisabled("ccs/UiImages/image9/Underline.png", 1)
	self.infoButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.infoButton:setTitleText([[desc]])
	self.infoButton:setTitleColor(cc.c3b(0, 230, 255))
	self.infoButton:setTitleFontSize(24)
	self.infoButton:setTitleFontName(getFont())
	setClickEvent(self, self.infoButton, "infoButton")
	addChildForPre(self.curBattleNum_4, self.infoButton)

	if CampTankBigUi then 
 		self.campTankBigUi = CampTankBigUi.new() 
 	else 
		self.campTankBigUi = BaseUi.new("ccs/ui/camp/CampTankBigUi.lua")
 	end 
	setValue(self.campTankBigUi, "WTN_campTankBigUi", 501, nil, cc.p(33.9966, 31.008), nil, nil, nil, nil, nil)
	addChildForPre(self.topPanel_3, self.campTankBigUi)

	self.rightPanel = ccui.Layout:create()
	setValue(self.rightPanel, "WTN_rightPanel", 1531, cc.size(285.9714, 300.01), cc.p(303, 13.984), nil, nil, nil, nil, nil)
	addChildForPre(self.topPanel_3, self.rightPanel)
	self.rightPanel_4 = self.rightPanel

	self.conditionTitleLabel = createLabel({text=[[conditionTitleLabel]], font=getFont(), size=24,valign = 1})
	setValue(self.conditionTitleLabel, "TNN_conditionTitleLabel", 672, cc.size(199, 28), cc.p(14.2986, 285.0095), cc.p(0, 1), cc.c4b(255, 202, 151, 255), nil, nil, nil)
	self.conditionTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.conditionTitleLabel:setColor(cc.c4b(255, 202, 151, 255))
	addChildForPre(self.rightPanel_4, self.conditionTitleLabel)

	self.conditionDescLabel = createLabel({text=[[conditionDescLabel]], font=getFont(), size=24, dimensions = cc.size(271.0000, 181.0000)})
	setValue(self.conditionDescLabel, "TNN_conditionDescLabel", 309, cc.size(271, 181), cc.p(14.2986, 249.9983), cc.p(0, 1), cc.c4b(255, 202, 151, 255), nil, nil, false)
	self.conditionDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.conditionDescLabel:setColor(cc.c4b(255, 202, 151, 255))
	addChildForPre(self.rightPanel_4, self.conditionDescLabel)

	self.rankButton = ccui.Button:create()
	setValue(self.rankButton, "RBN_rankButton", 102, cc.size(81, 26), cc.p(530.25, 40.812), nil, cc.c4b(0, 230, 255, 255), nil, nil, false)
	self.rankButton:loadTextureNormal("ccs/UiImages/image9/Underline.png", 1)
	self.rankButton:loadTexturePressed("ccs/UiImages/image9/Underline.png", 1)
	self.rankButton:loadTextureDisabled("ccs/UiImages/image9/Underline.png", 1)
	self.rankButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.rankButton:setTitleText([[randing]])
	self.rankButton:setTitleColor(cc.c3b(0, 230, 255))
	self.rankButton:setTitleFontSize(24)
	self.rankButton:setTitleFontName(getFont())
	setClickEvent(self, self.rankButton, "rankButton")
	addChildForPre(self.topPanel_3, self.rankButton)

	self.rewardPanel = ccui.Layout:create()
	setValue(self.rewardPanel, "AYN_rewardPanel", 151, cc.size(604, 230), cc.p(16, 134.976), nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.rewardPanel)
	self.rewardPanel_3 = self.rewardPanel

	self.rewardPanelBg = ccui.ImageView:create()
	setValue(self.rewardPanelBg, "AXY_rewardPanelBg", 152, cc.size(605.9932, 230), cc.p(302, 115), nil, nil, nil, nil, false)
	self.rewardPanelBg:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.rewardPanelBg:setScale9Enabled(true)
	self.rewardPanelBg:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.rewardPanel_3, self.rewardPanelBg)

	self.rewardIcon = cc.Sprite:create()
	setValue(self.rewardIcon, "TNN_rewardIcon", 155, cc.size(34, 28), cc.p(57.0176, 160.011), nil, nil, nil, nil, nil)
	self.rewardIcon:setSpriteFrame("ccs/UiImages/common/icon_gold.png")
	addChildForPre(self.rewardPanel_3, self.rewardIcon)

	self.goldLabel = createLabel({text=[[goldLabel]], font=getFont(), size=24})
	setValue(self.goldLabel, "TNN_goldLabel", 252, cc.size(104, 28), cc.p(93.9824, 156.009), cc.p(0, 0.5), cc.c4b(246, 220, 126, 255), nil, nil, nil)
	self.goldLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.goldLabel:setColor(cc.c4b(246, 220, 126, 255))
	addChildForPre(self.rewardPanel_3, self.goldLabel)

	self.lineImage = ccui.ImageView:create()
	setValue(self.lineImage, "TXN_lineImage", 671, cc.size(2, 613), cc.p(302, 133.4), nil, nil, nil, nil, nil)
	self.lineImage:setRotationSkewX(90)
	self.lineImage:setRotationSkewY(90)
	self.lineImage:loadTexture("ccs/UiImages/common/common_img_16.png", 1)
	addChildForPre(self.rewardPanel_3, self.lineImage)

	self.rewaedTetleBg = ccui.ImageView:create()
	setValue(self.rewaedTetleBg, "TXN_rewaedTetleBg", 153, cc.size(600, 42), cc.p(307.9796, 200.008), nil, nil, nil, nil, false)
	self.rewaedTetleBg:loadTexture("ccs/UiImages/common/common_Partsimg_ditiao.png", 1)
	self.rewaedTetleBg:setScale9Enabled(true)
	self.rewaedTetleBg:setCapInsets(cc.rect(0, 0, 368, 42))
	addChildForPre(self.rewardPanel_3, self.rewaedTetleBg)
	self.rewaedTetleBg_4 = self.rewaedTetleBg

	self.rewardTitleLabel = createLabel({text=[[rewardTitleLabel]], font=getFont(), size=24,valign = 1})
	setValue(self.rewardTitleLabel, "rewardTitleLabel", 1533, cc.size(176, 28), cc.p(20.22, 21), cc.p(0, 0.5), cc.c4b(246, 220, 126, 255), nil, nil, nil)
	self.rewardTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rewardTitleLabel:setColor(cc.c4b(246, 220, 126, 255))
	addChildForPre(self.rewaedTetleBg_4, self.rewardTitleLabel)

	self.rewardButton = ccui.Button:create()
	setValue(self.rewardButton, "RNN_rewardButton", 101, cc.size(81, 26), cc.p(540, 21), cc.p(1, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, false)
	self.rewardButton:loadTextureNormal("ccs/UiImages/image9/Underline.png", 1)
	self.rewardButton:loadTexturePressed("ccs/UiImages/image9/Underline.png", 1)
	self.rewardButton:loadTextureDisabled("ccs/UiImages/image9/Underline.png", 1)
	self.rewardButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.rewardButton:setTitleText([[reward]])
	self.rewardButton:setTitleColor(cc.c3b(0, 230, 255))
	self.rewardButton:setTitleFontSize(25)
	self.rewardButton:setTitleFontName(getFont())
	setClickEvent(self, self.rewardButton, "rewardButton")
	addChildForPre(self.rewaedTetleBg_4, self.rewardButton)

	self.rewardDescLabel = createLabel({text=[[rewardDescLabel]], font=getFont(), size=30})
	setValue(self.rewardDescLabel, "XYN_rewardDescLabel", 253, cc.size(233, 34), cc.p(303.9932, 60.007), nil, cc.c4b(8, 203, 30, 255), nil, nil, nil)
	self.rewardDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rewardDescLabel:setColor(cc.c4b(8, 203, 30, 255))
	addChildForPre(self.rewardPanel_3, self.rewardDescLabel)

	self.rewardListViewPanel = ccui.Layout:create()
	setValue(self.rewardListViewPanel, "WYN_rewardListViewPanel", 264, cc.size(560, 120), cc.p(302, 65.803), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rewardPanel_3, self.rewardListViewPanel)

	self.middlePanel = ccui.Layout:create()
	setValue(self.middlePanel, "WXY_middlePanel", 218, cc.size(640, 150), cc.p(320, 432), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.middlePanel)
	self.middlePanel_3 = self.middlePanel

	self.actionButton = ccui.Button:create()
	setValue(self.actionButton, "XNN_actionButton", 90, cc.size(153, 64), cc.p(320, 60), nil, nil, nil, nil, false)
	self.actionButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.actionButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.actionButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.actionButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.actionButton:setTitleText([[action]])
	self.actionButton:setTitleFontSize(25)
	self.actionButton:setTitleFontName(getFont())
	setClickEvent(self, self.actionButton, "actionButton")
	addChildForPre(self.middlePanel_3, self.actionButton)

	self.leftTimesLabel = createLabel({text=[[leftTimes]], font=getFont(), size=24})
	setValue(self.leftTimesLabel, "XNN_leftTimesLabel", 86, cc.size(96, 28), cc.p(320, 105), nil, cc.c4b(8, 203, 30, 255), nil, nil, nil)
	self.leftTimesLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.leftTimesLabel:setColor(cc.c4b(8, 203, 30, 255))
	addChildForPre(self.middlePanel_3, self.leftTimesLabel)

	self.leftTimeLabel = createLabel({text=[[leftTime]], font=getFont(), size=36})
	setValue(self.leftTimeLabel, "XNN_leftTimeLabel", 82, cc.size(126, 42), cc.p(320, 75), nil, cc.c4b(255, 0, 0, 255), nil, nil, nil)
	self.leftTimeLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.leftTimeLabel:setColor(cc.c4b(255, 0, 0, 255))
	addChildForPre(self.middlePanel_3, self.leftTimeLabel)

	self.actionlistPanel = ccui.Layout:create()
	setValue(self.actionlistPanel, "WBX_actionlistPanel", 335, cc.size(640, 120), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.actionlistPanel)
	self.actionlistPanel_3 = self.actionlistPanel

	self.endButton = ccui.Button:create()
	setValue(self.endButton, "XNN_endButton", 91, cc.size(153, 64), cc.p(320, 48), nil, nil, nil, nil, false)
	self.endButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.endButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.endButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.endButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.endButton:setTitleText([[end]])
	self.endButton:setTitleFontSize(25)
	self.endButton:setTitleFontName(getFont())
	setClickEvent(self, self.endButton, "endButton")
	addChildForPre(self.actionlistPanel_3, self.endButton)
	self.endButton_4 = self.endButton

	self.IconDiamond = cc.Sprite:create()
	setValue(self.IconDiamond, "IconDiamond", 88, cc.size(35, 35), cc.p(50.49, 79.2), nil, nil, nil, nil, nil)
	self.IconDiamond:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainUi_zuanshi.png")
	addChildForPre(self.endButton_4, self.IconDiamond)

	self.diamondNumLabel = createLabel({text=[[diamond]], font=getFont(), size=24})
	setValue(self.diamondNumLabel, "diamondNumLabel", 87, cc.size(92, 28), cc.p(70.38, 79.2), cc.p(0, 0.5), nil, nil, nil, nil)
	self.diamondNumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.endButton_4, self.diamondNumLabel)

	self.cancelButton = ccui.Button:create()
	setValue(self.cancelButton, "XNN_cancelButton", 89, cc.size(153, 64), cc.p(320, 48), nil, nil, nil, nil, false)
	self.cancelButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.cancelButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.cancelButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.cancelButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.cancelButton:setTitleText([[cancel]])
	self.cancelButton:setTitleFontSize(25)
	self.cancelButton:setTitleFontName(getFont())
	setClickEvent(self, self.cancelButton, "cancelButton")
	addChildForPre(self.actionlistPanel_3, self.cancelButton)

	self.resetButton = ccui.Button:create()
	setValue(self.resetButton, "RNN_resetButton", 92, cc.size(153, 64), cc.p(512, 48), nil, nil, nil, nil, false)
	self.resetButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.resetButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.resetButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.resetButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.resetButton:setTitleText([[reset]])
	self.resetButton:setTitleFontSize(25)
	self.resetButton:setTitleFontName(getFont())
	setClickEvent(self, self.resetButton, "resetButton")
	addChildForPre(self.actionlistPanel_3, self.resetButton)

	self.leftResetTimesLabel = createLabel({text=[[leftTime]], font=getFont(), size=24})
	setValue(self.leftResetTimesLabel, "RNN_leftResetTimesLabel", 84, cc.size(84, 28), cc.p(512, 96), nil, cc.c4b(88, 255, 0, 255), nil, nil, nil)
	self.leftResetTimesLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.leftResetTimesLabel:setColor(cc.c4b(88, 255, 0, 255))
	addChildForPre(self.actionlistPanel_3, self.leftResetTimesLabel)

	self.campButton = ccui.Button:create()
	setValue(self.campButton, "LNN_campButton", 219, cc.size(153, 64), cc.p(128, 48), nil, nil, nil, nil, false)
	self.campButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.campButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.campButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.campButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.campButton:setTitleText([[tocamp]])
	self.campButton:setTitleFontSize(25)
	self.campButton:setTitleFontName(getFont())
	setClickEvent(self, self.campButton, "campButton")
	addChildForPre(self.actionlistPanel_3, self.campButton)

	if CommonDialogFrame1CloseUi then 
 		self.CommonDialogFrame1CloseUi = CommonDialogFrame1CloseUi.new() 
 	else 
		self.CommonDialogFrame1CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1CloseUi.lua")
 	end 
	setValue(self.CommonDialogFrame1CloseUi, "CommonDialogFrame1CloseUi", 143, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.CommonDialogFrame1CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/battle.plist",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/mainUiFeeling.plist",
}

return _M
