-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 270, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 271, cc.size(640, 960), cc.p(0, -2.0509), nil, nil, nil, nil, nil)
	setBgColor(self.rootPanel, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 359, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.Panel_31 = ccui.Layout:create()
	setValue(self.Panel_31, "Panel_31", 371, cc.size(640, 960), cc.p(159.9725, 239.962), nil, nil, nil, nil, nil)
	self.Panel_31:setScale(0.5)
	setBgColor(self.Panel_31, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Panel_31)

	self.TitlePanel = ccui.Layout:create()
	setValue(self.TitlePanel, "WXN_TitlePanel", 372, cc.size(640, 72), cc.p(2.0513, 887.1331), nil, nil, nil, nil, nil)
	setBgColor(self.TitlePanel, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.TitlePanel)
	self.TitlePanel_2 = self.TitlePanel

	self.homeButton = ccui.Button:create()
	setValue(self.homeButton, "LTN_homeButton", 375, cc.size(80, 60), cc.p(0, 72), cc.p(0, 1), nil, nil, nil, nil)
	self.homeButton:loadTextureNormal("ccs/UiImages/common/common_btn_home_0.png", 1)
	self.homeButton:loadTexturePressed("ccs/UiImages/common/common_btn_home_0.png", 1)
	self.homeButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.homeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.homeButton:setTitleText([[]])
	self.homeButton:setTitleColor(cc.c3b(65, 65, 70))
	self.homeButton:setTitleFontSize(14)
	self.homeButton:setTitleFontName(getFont())
	setClickEvent(self, self.homeButton, "homeButton")
	addChildForPre(self.TitlePanel_2, self.homeButton)

	self.closeButton = ccui.Button:create()
	setValue(self.closeButton, "RTN_closeButton", 376, cc.size(80, 60), cc.p(640, 72), cc.p(1, 1), nil, nil, nil, nil)
	self.closeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_close_0.png", 1)
	self.closeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_close_1.png", 1)
	self.closeButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.closeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.closeButton:setTitleText([[]])
	self.closeButton:setTitleColor(cc.c3b(65, 65, 70))
	self.closeButton:setTitleFontSize(14)
	self.closeButton:setTitleFontName(getFont())
	setClickEvent(self, self.closeButton, "closeButton")
	addChildForPre(self.TitlePanel_2, self.closeButton)

	self.ContentPanel = ccui.Layout:create()
	setValue(self.ContentPanel, "WXN_ContentPanel", 373, cc.size(640, 758), cc.p(0.0003, 129.9996), nil, nil, nil, nil, nil)
	setBgColor(self.ContentPanel, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.ContentPanel)
	self.ContentPanel_2 = self.ContentPanel

	self.RankListPanel = ccui.Layout:create()
	setValue(self.RankListPanel, "AXY_RankListPanel", 517, cc.size(605, 742), cc.p(16.4072, 4.1018), nil, nil, nil, nil, nil)
	setBgColor(self.RankListPanel, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.ContentPanel_2, self.RankListPanel)

	self.ButtomPanel = ccui.Layout:create()
	setValue(self.ButtomPanel, "WXN_ButtomPanel", 374, cc.size(640, 130), nil, nil, nil, nil, nil, nil)
	setBgColor(self.ButtomPanel, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.ButtomPanel)
	self.ButtomPanel_2 = self.ButtomPanel

	self.buttomBg = ccui.ImageView:create()
	setValue(self.buttomBg, "buttomBg", 645, cc.size(640, 30), cc.p(0, 101), cc.p(0, 0), nil, nil, nil, false)
	self.buttomBg:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.buttomBg:setScale9Enabled(true)
	self.buttomBg:setCapInsets(cc.rect(1, 0, 638, 30))
	addChildForPre(self.ButtomPanel_2, self.buttomBg)

	self.buttomTitlePanel = ccui.Layout:create()
	setValue(self.buttomTitlePanel, "buttomTitlePanel", 646, cc.size(609, 44), cc.p(14.4582, 66.7316), nil, nil, nil, nil, nil)
	addChildForPre(self.ButtomPanel_2, self.buttomTitlePanel)
	self.buttomTitlePanel_3 = self.buttomTitlePanel

	self.buttomTitleImg = ccui.ImageView:create()
	setValue(self.buttomTitleImg, "buttomTitleImg", 647, cc.size(609, 44), nil, cc.p(0, 0), nil, nil, nil, false)
	self.buttomTitleImg:loadTexture("ccs/UiImages/image9/common_s9_xiankuang.png", 1)
	self.buttomTitleImg:setScale9Enabled(true)
	self.buttomTitleImg:setCapInsets(cc.rect(5, 5, 26, 28))
	addChildForPre(self.buttomTitlePanel_3, self.buttomTitleImg)

	self.buttomTitleLabel = createLabel({text=[[挑战次数每日0点重置]], font=getFont(), size=24})
	setValue(self.buttomTitleLabel, "buttomTitleLabel", 648, cc.size(229, 28), cc.p(306.2637, 21.5809), nil, nil, nil, nil, nil)
	self.buttomTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.buttomTitlePanel_3, self.buttomTitleLabel)

	self.CurrentRankLabel = createLabel({text=[[当前排名  ：]], font=getFont(), size=24})
	setValue(self.CurrentRankLabel, "CurrentRankLabel", 649, cc.size(133, 28), cc.p(78.3561, 32.7428), nil, nil, nil, nil, nil)
	self.CurrentRankLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.ButtomPanel_2, self.CurrentRankLabel)

	self.CurrentRankNum = createLabel({text=[[1739]], font=getFont(), size=48})
	setValue(self.CurrentRankNum, "CurrentRankNum", 650, cc.size(106, 54), cc.p(193.9713, 35.5494), nil, nil, nil, nil, nil)
	self.CurrentRankNum:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.ButtomPanel_2, self.CurrentRankNum)

	self.MostCaptureLabel = createLabel({text=[[12345 :]], font=getFont(), size=24})
	setValue(self.MostCaptureLabel, "MostCaptureLabel", 651, cc.size(80, 28), cc.p(442.4904, 30.872), nil, nil, nil, nil, nil)
	self.MostCaptureLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.ButtomPanel_2, self.MostCaptureLabel)

	self.MostCaptureTimes = createLabel({text=[[1234]], font=getFont(), size=24})
	setValue(self.MostCaptureTimes, "MostCaptureTimes", 652, cc.size(53, 28), cc.p(528.817, 33.6784), nil, nil, nil, nil, nil)
	self.MostCaptureTimes:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.ButtomPanel_2, self.MostCaptureTimes)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"Default/Button_Disable.png",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
}

return _M
