-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 3, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 4, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "dialogPanel", 5, cc.size(500, 600), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.imageBg = ccui.ImageView:create()
	setValue(self.imageBg, "imageBg", 512, cc.size(500, 600), cc.p(250, 300), nil, nil, nil, nil, false)
	self.imageBg:loadTexture("ccs/UiImages/image9/commonPanel_s9_bg_1.png", 1)
	self.imageBg:setScale9Enabled(true)
	self.imageBg:setCapInsets(cc.rect(42, 30, 88, 10))
	addChildForPre(self.dialogPanel_2, self.imageBg)

	self.bgPanel = ccui.Layout:create()
	setValue(self.bgPanel, "bgPanel", 157, cc.size(470, 490), cc.p(250, 336), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.bgPanel)
	self.bgPanel_3 = self.bgPanel

	self.Image_111 = ccui.ImageView:create()
	setValue(self.Image_111, "Image_111", 216, cc.size(470, 490), cc.p(235, 245), nil, nil, nil, nil, false)
	self.Image_111:loadTexture("ccs/UiImages/image9/CommonPanel_img_chuangkoubeijing_1.png", 1)
	self.Image_111:setScale9Enabled(true)
	self.Image_111:setCapInsets(cc.rect(0, 1, 470, 3))
	addChildForPre(self.bgPanel_3, self.Image_111)

	self.imageTitleBg = ccui.ImageView:create()
	setValue(self.imageTitleBg, "imageTitleBg", 513, cc.size(277, 64), cc.p(250, 588), nil, nil, nil, nil, false)
	self.imageTitleBg:loadTexture("ccs/UiImages/commonBg/CommonPanel_img_WinHeader_1.png", 1)
	self.imageTitleBg:setScale9Enabled(true)
	self.imageTitleBg:setCapInsets(cc.rect(0, 0, 462, 106))
	addChildForPre(self.dialogPanel_2, self.imageTitleBg)
	self.imageTitleBg_3 = self.imageTitleBg

	self.titleLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.titleLabel, "titleLabel", 514, cc.size(109, 28), cc.p(138.5, 32), nil, nil, nil, nil, nil)
	self.titleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.imageTitleBg_3, self.titleLabel)

	self.listViewPanel = ccui.Layout:create()
	setValue(self.listViewPanel, "listViewPanel", 49, cc.size(465, 460), cc.p(250, 322), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.listViewPanel)

	self.imageBtnBg = ccui.ImageView:create()
	setValue(self.imageBtnBg, "imageBtnBg", 515, cc.size(466, 79), cc.p(250, 10.98), cc.p(0.5, 0), nil, nil, nil, nil)
	self.imageBtnBg:loadTexture("ccs/UiImages/commonBg/CommonPanel_img_bg_1.jpg", 1)
	addChildForPre(self.dialogPanel_2, self.imageBtnBg)

	self.closeButton = ccui.Button:create()
	setValue(self.closeButton, "closeButton", 516, cc.size(153, 64), cc.p(250, 50), nil, nil, nil, nil, false)
	self.closeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.closeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.closeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.closeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.closeButton:setTitleText([[Button]])
	self.closeButton:setTitleFontSize(24)
	self.closeButton:setTitleFontName(getFont())
	setClickEvent(self, self.closeButton, "closeButton")
	addChildForPre(self.dialogPanel_2, self.closeButton)

	self.closeBtn2 = ccui.Button:create()
	setValue(self.closeBtn2, "closeBtn2", 217, cc.size(86, 55), cc.p(453, 587), nil, nil, nil, nil, nil)
	self.closeBtn2:loadTextureNormal("ccs/UiImages/common/CommonPanel_btn_X_0.png", 1)
	self.closeBtn2:loadTexturePressed("ccs/UiImages/common/CommonPanel_btn_X_1.png", 1)
	self.closeBtn2:loadTextureDisabled("ccs/UiImages/common/CommonPanel_btn_X_1.png", 1)
	self.closeBtn2:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.closeBtn2:setTitleText([[]])
	self.closeBtn2:setTitleColor(cc.c3b(65, 65, 70))
	self.closeBtn2:setTitleFontSize(14)
	self.closeBtn2:setTitleFontName(getFont())
	setClickEvent(self, self.closeBtn2, "closeBtn2")
	addChildForPre(self.dialogPanel_2, self.closeBtn2)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/commonBg.plist",
	"ccs/plist/common.plist",
}

return _M
