-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 13, cc.size(188, 164), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bigPanel = ccui.Layout:create()
	setValue(self.bigPanel, "bigPanel", 553, cc.size(100, 100), cc.p(94, 82), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.bigPanel)
	self.bigPanel_2 = self.bigPanel

	self.selectBGImage2 = ccui.ImageView:create()
	setValue(self.selectBGImage2, "selectBGImage2", 220, cc.size(46, 46), cc.p(50, 50), nil, nil, nil, nil, nil)
	self.selectBGImage2:loadTexture("Default/ImageFile.png")
	addChildForPre(self.bigPanel_2, self.selectBGImage2)

	self.equipmentFrame = cc.Sprite:create()
	setValue(self.equipmentFrame, "equipmentFrame", 103, cc.size(105, 105), cc.p(50, 50), nil, nil, nil, nil, nil)
	self.equipmentFrame:setSpriteFrame("ccs/UiImages/commonB/EquipmentFrame.png")
	addChildForPre(self.bigPanel_2, self.equipmentFrame)

	self.rewardPic = cc.Sprite:create()
	setValue(self.rewardPic, "rewardPic", 13, cc.size(46, 46), cc.p(50, 50), nil, nil, nil, nil, nil)
	self.rewardPic:setTexture("Default/Sprite.png")
	addChildForPre(self.bigPanel_2, self.rewardPic)

	self.MonthSignCell_FireUp = cc.ParticleSystemQuad:create("Default/defaultParticle.plist")
 	self.MonthSignCell_FireUp:setPositionType(2) 
	setValue(self.MonthSignCell_FireUp, "MonthSignCell_FireUp", 515, nil, cc.p(50, 99), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.MonthSignCell_FireUp:setRotationSkewX(180)
	self.MonthSignCell_FireUp:setRotationSkewY(180)
	self.MonthSignCell_FireUp:setScaleX(0.7)
	self.MonthSignCell_FireUp:setScaleY(0.75)
	self.MonthSignCell_FireUp:setVisible(false)
	addChildForPre(self.bigPanel_2, self.MonthSignCell_FireUp)

	self.MonthSignCell_FireUp_Star = cc.ParticleSystemQuad:create("Default/defaultParticle.plist")
 	self.MonthSignCell_FireUp_Star:setPositionType(2) 
	setValue(self.MonthSignCell_FireUp_Star, "MonthSignCell_FireUp_Star", 518, nil, cc.p(50, 99), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.MonthSignCell_FireUp_Star:setRotationSkewX(180)
	self.MonthSignCell_FireUp_Star:setRotationSkewY(180)
	self.MonthSignCell_FireUp_Star:setScale(0.8)
	self.MonthSignCell_FireUp_Star:setVisible(false)
	addChildForPre(self.bigPanel_2, self.MonthSignCell_FireUp_Star)

	self.MonthSignCell_FireDown = cc.ParticleSystemQuad:create("Default/defaultParticle.plist")
 	self.MonthSignCell_FireDown:setPositionType(2) 
	setValue(self.MonthSignCell_FireDown, "MonthSignCell_FireDown", 514, nil, cc.p(50, 2), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.MonthSignCell_FireDown:setScaleX(0.7)
	self.MonthSignCell_FireDown:setScaleY(0.75)
	self.MonthSignCell_FireDown:setVisible(false)
	addChildForPre(self.bigPanel_2, self.MonthSignCell_FireDown)

	self.MonthSignCell_FireDown_Star = cc.ParticleSystemQuad:create("Default/defaultParticle.plist")
 	self.MonthSignCell_FireDown_Star:setPositionType(2) 
	setValue(self.MonthSignCell_FireDown_Star, "MonthSignCell_FireDown_Star", 519, nil, cc.p(50, 2), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.MonthSignCell_FireDown_Star:setScale(0.8)
	self.MonthSignCell_FireDown_Star:setVisible(false)
	addChildForPre(self.bigPanel_2, self.MonthSignCell_FireDown_Star)

	self.MonthSignCell_FireLeft = cc.ParticleSystemQuad:create("Default/defaultParticle.plist")
 	self.MonthSignCell_FireLeft:setPositionType(2) 
	setValue(self.MonthSignCell_FireLeft, "MonthSignCell_FireLeft", 516, nil, cc.p(1.8, 50), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.MonthSignCell_FireLeft:setRotationSkewX(90)
	self.MonthSignCell_FireLeft:setRotationSkewY(89.9985)
	self.MonthSignCell_FireLeft:setScaleX(0.8)
	self.MonthSignCell_FireLeft:setScaleY(0.75)
	self.MonthSignCell_FireLeft:setVisible(false)
	addChildForPre(self.bigPanel_2, self.MonthSignCell_FireLeft)

	self.MonthSignCell_FireLeft_Star = cc.ParticleSystemQuad:create("Default/defaultParticle.plist")
 	self.MonthSignCell_FireLeft_Star:setPositionType(2) 
	setValue(self.MonthSignCell_FireLeft_Star, "MonthSignCell_FireLeft_Star", 518, nil, cc.p(1.8, 50), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.MonthSignCell_FireLeft_Star:setRotationSkewX(90)
	self.MonthSignCell_FireLeft_Star:setRotationSkewY(89.9985)
	self.MonthSignCell_FireLeft_Star:setScale(0.8)
	self.MonthSignCell_FireLeft_Star:setVisible(false)
	addChildForPre(self.bigPanel_2, self.MonthSignCell_FireLeft_Star)

	self.MonthSignCell_FireRight = cc.ParticleSystemQuad:create("Default/defaultParticle.plist")
 	self.MonthSignCell_FireRight:setPositionType(2) 
	setValue(self.MonthSignCell_FireRight, "MonthSignCell_FireRight", 517, nil, cc.p(96.8, 50), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.MonthSignCell_FireRight:setRotationSkewX(270)
	self.MonthSignCell_FireRight:setRotationSkewY(269.9997)
	self.MonthSignCell_FireRight:setScaleX(0.8)
	self.MonthSignCell_FireRight:setScaleY(0.75)
	self.MonthSignCell_FireRight:setVisible(false)
	addChildForPre(self.bigPanel_2, self.MonthSignCell_FireRight)

	self.MonthSignCell_FireRight_Star = cc.ParticleSystemQuad:create("Default/defaultParticle.plist")
 	self.MonthSignCell_FireRight_Star:setPositionType(2) 
	setValue(self.MonthSignCell_FireRight_Star, "MonthSignCell_FireRight_Star", 521, nil, cc.p(96.8, 50), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.MonthSignCell_FireRight_Star:setRotationSkewX(270)
	self.MonthSignCell_FireRight_Star:setRotationSkewY(269.9997)
	self.MonthSignCell_FireRight_Star:setScale(0.8)
	self.MonthSignCell_FireRight_Star:setVisible(false)
	addChildForPre(self.bigPanel_2, self.MonthSignCell_FireRight_Star)

	self.rewardCountLabel = createLabel({text=[[x3]], font=getFont(), size=24})
	setValue(self.rewardCountLabel, "rewardCountLabel", 17, cc.size(25, 28), cc.p(90, 15), cc.p(1, 0.5), nil, nil, nil, nil)
	self.rewardCountLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.rewardCountLabel)

	self.iconButton = ccui.Button:create()
	self.iconButton:setScale9Enabled(true)
	self.iconButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.iconButton:setContentSize(cc.size(135, 135))
	setValue(self.iconButton, "iconButton", 20, nil, cc.p(49.55, 50.05), nil, nil, 0, nil, false)
	self.iconButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.iconButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.iconButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.iconButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.iconButton:setTitleText([[]])
	self.iconButton:setTitleColor(cc.c3b(65, 65, 70))
	self.iconButton:setTitleFontSize(14)
	self.iconButton:setTitleFontName(getFont())
	setClickEvent(self, self.iconButton, "iconButton")
	addChildForPre(self.bigPanel_2, self.iconButton)

	self.vipBGImage = ccui.ImageView:create()
	setValue(self.vipBGImage, "vipBGImage", 556, cc.size(46, 46), cc.p(-1, 100), cc.p(0, 1), nil, nil, nil, nil)
	self.vipBGImage:setVisible(false)
	self.vipBGImage:loadTexture("Default/ImageFile.png")
	addChildForPre(self.bigPanel_2, self.vipBGImage)

	self.vipLevelImg = cc.Sprite:create()
	setValue(self.vipLevelImg, "vipLevelImg", 13, cc.size(46, 46), cc.p(16, 85), nil, nil, nil, nil, nil)
	self.vipLevelImg:setRotationSkewX(317.9963)
	self.vipLevelImg:setRotationSkewY(318)
	self.vipLevelImg:setScaleX(0.4)
	self.vipLevelImg:setScaleY(0.3)
	self.vipLevelImg:setVisible(false)
	self.vipLevelImg:setTexture("Default/Sprite.png")
	addChildForPre(self.bigPanel_2, self.vipLevelImg)

	self.textlabel = createLabel({text=[[X2]], font=getFont(), size=16})
	setValue(self.textlabel, "textlabel", 159, cc.size(19, 18), cc.p(28.54, 75.07), nil, nil, nil, nil, nil)
	self.textlabel:setRotationSkewX(318.0004)
	self.textlabel:setRotationSkewY(318.0001)
	self.textlabel:setVisible(false)
	self.textlabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.textlabel)

	self.getPlatePic = cc.Sprite:create()
	setValue(self.getPlatePic, "getPlatePic", 104, cc.size(90, 90), cc.p(50.56, 48.88), nil, nil, nil, nil, nil)
	self.getPlatePic:setScaleX(1.2887)
	self.getPlatePic:setScaleY(1.2611)
	self.getPlatePic:setSpriteFrame("ccs/UiImages/commonB/EquipmentPlate.png")
	addChildForPre(self.bigPanel_2, self.getPlatePic)

	self.alreadyGetImage1 = cc.Sprite:create()
	setValue(self.alreadyGetImage1, "alreadyGetImage1", 216, cc.size(46, 46), cc.p(50, 50), nil, nil, nil, nil, nil)
	self.alreadyGetImage1:setVisible(false)
	self.alreadyGetImage1:setTexture("Default/Sprite.png")
	addChildForPre(self.bigPanel_2, self.alreadyGetImage1)

	self.alreadyGetImage2 = ccui.ImageView:create()
	setValue(self.alreadyGetImage2, "alreadyGetImage2", 215, cc.size(60, 60), cc.p(50, 50), nil, nil, nil, nil, false)
	self.alreadyGetImage2:setVisible(false)
	self.alreadyGetImage2:loadTexture("Default/ImageFile.png")
	self.alreadyGetImage2:setScale9Enabled(true)
	self.alreadyGetImage2:setCapInsets(cc.rect(0, 0, 46, 46))
	addChildForPre(self.bigPanel_2, self.alreadyGetImage2)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"Default/ImageFile.png",
	"ccs/plist/common.plist",
	"Default/Sprite.png",
	"Default/Button_Disable.png",
}

return _M
