-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 254, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 255, cc.size(186, 186), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.Sprite1 = cc.Sprite:create()
	setValue(self.Sprite1, "Sprite1", 256, cc.size(165, 165), nil, cc.p(0, 0), nil, nil, nil, nil)
	self.Sprite1:setSpriteFrame("ccs/UiImages/newactivity/newactivity_zhengc.png")
	addChildForPre(self.rootPanel_1, self.Sprite1)

	self.Sprite2 = cc.Sprite:create()
	setValue(self.Sprite2, "Sprite2", 259, cc.size(87, 88), cc.p(44, 120), nil, nil, nil, nil, nil)
	self.Sprite2:setSpriteFrame("ccs/UiImages/newactivity/newactivity_jiaobiao.png")
	addChildForPre(self.rootPanel_1, self.Sprite2)

	self.vipLabel = createLabel({text=[[V5 双倍]], font=getFont(), size=21})
	setValue(self.vipLabel, "vipLabel", 260, cc.size(73, 24), cc.p(35, 134), nil, cc.c4b(255, 222, 42, 255), nil, nil, nil)
	self.vipLabel:setRotationSkewX(-45)
	self.vipLabel:setRotationSkewY(-45)
	self.vipLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.vipLabel:setColor(cc.c4b(255, 222, 42, 255))
	addChildForPre(self.rootPanel_1, self.vipLabel)

	self.monthButton = ccui.Button:create()
	self.monthButton:setScale9Enabled(true)
	self.monthButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.monthButton:setContentSize(cc.size(186, 186))
	setValue(self.monthButton, "monthButton", 310, nil, cc.p(93, 93), nil, nil, nil, nil, false)
	self.monthButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.monthButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.monthButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.monthButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.monthButton:setTitleText([[]])
	self.monthButton:setTitleColor(cc.c3b(65, 65, 70))
	self.monthButton:setTitleFontSize(14)
	self.monthButton:setTitleFontName(getFont())
	setClickEvent(self, self.monthButton, "monthButton")
	addChildForPre(self.rootPanel_1, self.monthButton)

	self.haveSprite1 = cc.Sprite:create()
	setValue(self.haveSprite1, "haveSprite1", 200, cc.size(89, 87), cc.p(82.493, 78.2887), nil, nil, nil, nil, nil)
	self.haveSprite1:setSpriteFrame("ccs/UiImages/newactivity/newactivity_duigou.png")
	addChildForPre(self.rootPanel_1, self.haveSprite1)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/newactivity.plist",
	"ccs/plist/common.plist",
}

return _M
