-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 140, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 267, cc.size(640, 214), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.Sprite_7 = cc.Sprite:create()
	setValue(self.Sprite_7, "Sprite_7", 571, cc.size(612, 209), cc.p(320, 107), nil, nil, nil, nil, nil)
	self.Sprite_7:setSpriteFrame("ccs/UiImages/commonBg/common_img_gaoditiao.png")
	addChildForPre(self.rootPanel_1, self.Sprite_7)

	self.Image_15 = ccui.ImageView:create()
	setValue(self.Image_15, "Image_15", 570, cc.size(462, 143), cc.p(241.0004, 107), nil, nil, nil, nil, nil)
	self.Image_15:setScaleX(0.93)
	self.Image_15:setScaleY(1.02)
	self.Image_15:loadTexture("ccs/UiImages/commonBg/battle_img_paihang04.png", 1)
	addChildForPre(self.rootPanel_1, self.Image_15)

	self.fightLogTextPanel = ccui.Layout:create()
	setValue(self.fightLogTextPanel, "fightLogTextPanel", 270, cc.size(414, 60), cc.p(38.784, 169.06), cc.p(0, 1), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.fightLogTextPanel)

	self.UserSay = createLabel({text=[[Text Label
hehe]], font=getFont(), size=20, dimensions = cc.size(414.0000, 50.0000)})
	setValue(self.UserSay, "UserSay", 271, cc.size(414, 50), cc.p(38.4, 94.16), cc.p(0, 1), cc.c4b(255, 141, 0, 255), nil, nil, false)
	self.UserSay:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.UserSay:setColor(cc.c4b(255, 141, 0, 255))
	addChildForPre(self.rootPanel_1, self.UserSay)

	self.logButton = ccui.Button:create()
	setValue(self.logButton, "logButton", 319, cc.size(153, 64), cc.p(611.136, 124.3126), cc.p(1, 0.5), nil, nil, nil, false)
	self.logButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.logButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.logButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.logButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.logButton:setTitleText([[Button]])
	self.logButton:setTitleFontSize(26)
	self.logButton:setTitleFontName(getFont())
	setClickEvent(self, self.logButton, "logButton")
	addChildForPre(self.rootPanel_1, self.logButton)

	self.AttackButton = ccui.Button:create()
	setValue(self.AttackButton, "AttackButton", 320, cc.size(153, 64), cc.p(610.1119, 53.6074), cc.p(1, 0.5), nil, nil, nil, false)
	self.AttackButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.AttackButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.AttackButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.AttackButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.AttackButton:setTitleText([[Button]])
	self.AttackButton:setTitleFontSize(26)
	self.AttackButton:setTitleFontName(getFont())
	setClickEvent(self, self.AttackButton, "AttackButton")
	addChildForPre(self.rootPanel_1, self.AttackButton)

	self.timeText = createLabel({text=[[121212]], font=getFont(), size=18})
	setValue(self.timeText, "timeText", 321, cc.size(60, 21), cc.p(590.9996, 177.0001), cc.p(1, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.timeText:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.timeText:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.rootPanel_1, self.timeText)

	self.logNoLab = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.logNoLab, "logNoLab", 572, cc.size(91, 23), cc.p(598.336, 124.3126), cc.p(1, 0.5), nil, nil, nil, nil)
	self.logNoLab:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.logNoLab)

	self.attackNoLab = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.attackNoLab, "attackNoLab", 573, cc.size(91, 23), cc.p(597.312, 53.6074), cc.p(1, 0.5), nil, nil, nil, nil)
	self.attackNoLab:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.attackNoLab)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/image9.plist",
}

return _M
