-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 200, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 260, cc.size(236, 280), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.qualityBgImage = cc.Sprite:create()
	setValue(self.qualityBgImage, "qualityBgImage", 3270, cc.size(202, 244), cc.p(118, 140), nil, nil, nil, nil, nil)
	self.qualityBgImage:setSpriteFrame("ccs/UiImages/commonBg/qualityBg13.png")
	addChildForPre(self.rootPanel_1, self.qualityBgImage)

	self.MineIconSprite = cc.Sprite:create()
	setValue(self.MineIconSprite, "MineIconSprite", 263, cc.size(200, 173), cc.p(118, 140), nil, nil, nil, nil, nil)
	self.MineIconSprite:setSpriteFrame("ccs/UiImages/icon/MineBuildingLv1.png")
	addChildForPre(self.rootPanel_1, self.MineIconSprite)

	self.titlePanel = ccui.Layout:create()
	setValue(self.titlePanel, "titlePanel", 547, cc.size(200, 50), cc.p(118, 44.8), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.titlePanel)
	self.titlePanel_2 = self.titlePanel

	self.mineName2Label = createLabel({text=[[tankName2Label]], font=getFont(), size=24})
	setValue(self.mineName2Label, "mineName2Label", 549, cc.size(181, 28), cc.p(100, 25), nil, cc.c4b(255, 0, 0, 255), nil, nil, nil)
	self.mineName2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.mineName2Label:setColor(cc.c4b(255, 0, 0, 255))
	addChildForPre(self.titlePanel_2, self.mineName2Label)

	self.lizi = ccui.Layout:create()
	setValue(self.lizi, "lizi", 300, cc.size(236, 280), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.lizi)
	self.lizi_2 = self.lizi

	self.Particle_1 = cc.ParticleSystemQuad:create("ccs/Particle/jianchuan2.plist")
 	self.Particle_1:setPositionType(2) 
	setValue(self.Particle_1, "Particle_1", 301, nil, cc.p(116, 40), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.lizi_2, self.Particle_1)

	self.Particle_2 = cc.ParticleSystemQuad:create("ccs/Particle/jianchuan3.plist")
 	self.Particle_2:setPositionType(2) 
	setValue(self.Particle_2, "Particle_2", 302, nil, cc.p(118, 140), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.lizi_2, self.Particle_2)

	self.Particle_3 = cc.ParticleSystemQuad:create("ccs/Particle/jianchuan4.plist")
 	self.Particle_3:setPositionType(2) 
	setValue(self.Particle_3, "Particle_3", 303, nil, cc.p(118, 112), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.lizi_2, self.Particle_3)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/icon.plist",
}

return _M
