-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_0 = cc.Node:create()
	setValue(self.Node_0, "Node_0", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_0)
 	self.uiRootNode = self.Node_0
	self.Node_0_0 = self.Node_0

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 194, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	setBgColor(self.rootPanel, 1, 0, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.Node_0_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 194, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 195, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.kuangImage = ccui.ImageView:create()
	setValue(self.kuangImage, "AXY_kuangImage", 185, cc.size(633.6, 547.2), cc.p(320, 595.2), nil, nil, nil, nil, false)
	self.kuangImage:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.kuangImage:setScale9Enabled(true)
	self.kuangImage:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.dialogPanel_2, self.kuangImage)

	self.Sprite = cc.Sprite:create()
	setValue(self.Sprite, "XYN_Sprite", 222, cc.size(368, 42), cc.p(320, 833.376), nil, nil, nil, nil, nil)
	self.Sprite:setSpriteFrame("ccs/UiImages/common/common_Partsimg_ditiao.png")
	addChildForPre(self.dialogPanel_2, self.Sprite)

	self.mainForceTitle = createLabel({text=[[主力战舰]], font=getFont(), size=24})
	setValue(self.mainForceTitle, "XYN_mainForceTitle", 223, cc.size(96, 28), cc.p(320, 833.376), nil, nil, nil, nil, nil)
	self.mainForceTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.mainForceTitle)

	if CampShipArrayUi then 
 		self.b1campShipArrayUi = CampShipArrayUi.new() 
 	else 
		self.b1campShipArrayUi = BaseUi.new("ccs/ui/camp/CampShipArrayUi.lua")
 	end 
	setValue(self.b1campShipArrayUi, "XYN_b1campShipArrayUi", 465, nil, cc.p(7.9993, 611.0005), nil, nil, nil, nil, nil)
	self.b1campShipArrayUi:setScale(0.8)
	addChildForPre(self.dialogPanel_2, self.b1campShipArrayUi)

	if CampShipArrayUi then 
 		self.b3campShipArrayUi = CampShipArrayUi.new() 
 	else 
		self.b3campShipArrayUi = BaseUi.new("ccs/ui/camp/CampShipArrayUi.lua")
 	end 
	setValue(self.b3campShipArrayUi, "XYN_b3campShipArrayUi", 500, nil, cc.p(321.9985, 611.0005), nil, nil, nil, nil, nil)
	self.b3campShipArrayUi:setScale(0.8)
	addChildForPre(self.dialogPanel_2, self.b3campShipArrayUi)

	if CampShipArrayUi then 
 		self.b2campShipArrayUi = CampShipArrayUi.new() 
 	else 
		self.b2campShipArrayUi = BaseUi.new("ccs/ui/camp/CampShipArrayUi.lua")
 	end 
	setValue(self.b2campShipArrayUi, "XYN_b2campShipArrayUi", 510, nil, cc.p(165.9993, 611.0005), nil, nil, nil, nil, nil)
	self.b2campShipArrayUi:setScale(0.8)
	addChildForPre(self.dialogPanel_2, self.b2campShipArrayUi)

	if CampShipArrayUi then 
 		self.b4campShipArrayUi = CampShipArrayUi.new() 
 	else 
		self.b4campShipArrayUi = BaseUi.new("ccs/ui/camp/CampShipArrayUi.lua")
 	end 
	setValue(self.b4campShipArrayUi, "XYN_b4campShipArrayUi", 520, nil, cc.p(471.9998, 611.0005), nil, nil, nil, nil, nil)
	self.b4campShipArrayUi:setScale(0.8)
	addChildForPre(self.dialogPanel_2, self.b4campShipArrayUi)

	if CampShipArrayUi then 
 		self.b5campShipArrayUi = CampShipArrayUi.new() 
 	else 
		self.b5campShipArrayUi = BaseUi.new("ccs/ui/camp/CampShipArrayUi.lua")
 	end 
	setValue(self.b5campShipArrayUi, "XYN_b5campShipArrayUi", 727, nil, cc.p(7.9865, 380.9891), nil, nil, nil, nil, nil)
	self.b5campShipArrayUi:setScale(0.8)
	addChildForPre(self.dialogPanel_2, self.b5campShipArrayUi)

	if CampShipArrayUi then 
 		self.b7campShipArrayUi = CampShipArrayUi.new() 
 	else 
		self.b7campShipArrayUi = BaseUi.new("ccs/ui/camp/CampShipArrayUi.lua")
 	end 
	setValue(self.b7campShipArrayUi, "XYN_b7campShipArrayUi", 737, nil, cc.p(321.9811, 380.9891), nil, nil, nil, nil, nil)
	self.b7campShipArrayUi:setScale(0.8)
	addChildForPre(self.dialogPanel_2, self.b7campShipArrayUi)

	if CampShipArrayUi then 
 		self.b6campShipArrayUi = CampShipArrayUi.new() 
 	else 
		self.b6campShipArrayUi = BaseUi.new("ccs/ui/camp/CampShipArrayUi.lua")
 	end 
	setValue(self.b6campShipArrayUi, "XYN_b6campShipArrayUi", 747, nil, cc.p(165.9822, 380.9891), nil, nil, nil, nil, nil)
	self.b6campShipArrayUi:setScale(0.8)
	addChildForPre(self.dialogPanel_2, self.b6campShipArrayUi)

	if CampShipArrayUi then 
 		self.b8campShipArrayUi = CampShipArrayUi.new() 
 	else 
		self.b8campShipArrayUi = BaseUi.new("ccs/ui/camp/CampShipArrayUi.lua")
 	end 
	setValue(self.b8campShipArrayUi, "XYN_b8campShipArrayUi", 757, nil, cc.p(471.9741, 380.9891), nil, nil, nil, nil, nil)
	self.b8campShipArrayUi:setScale(0.8)
	addChildForPre(self.dialogPanel_2, self.b8campShipArrayUi)

	self.moveNode = cc.Node:create()
	setValue(self.moveNode, "moveNode", 946, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.moveNode)
	self.moveNode_3 = self.moveNode

	self.imgDragItem = cc.Sprite:create()
	setValue(self.imgDragItem, "imgDragItem", 848, cc.size(127, 58), nil, nil, nil, nil, nil, nil)
	self.imgDragItem:setSpriteFrame("ccs/UiImages/common/camp_img_dizuo.png")
	addChildForPre(self.moveNode_3, self.imgDragItem)

	self.previewButton = ccui.Button:create()
	setValue(self.previewButton, "XYN_previewButton", 216, cc.size(81, 26), cc.p(549.9996, 837.9999), nil, cc.c4b(0, 230, 255, 255), nil, nil, false)
	self.previewButton:loadTextureNormal("ccs/UiImages/image9/Underline.png", 1)
	self.previewButton:loadTexturePressed("ccs/UiImages/image9/Underline.png", 1)
	self.previewButton:loadTextureDisabled("ccs/UiImages/image9/Underline.png", 1)
	self.previewButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.previewButton:setTitleText([[预览]])
	self.previewButton:setTitleFontSize(24)
	self.previewButton:setTitleFontName(getFont())
	setClickEvent(self, self.previewButton, "previewButton")
	addChildForPre(self.rootPanel_1, self.previewButton)

	if CommonDialogFrame1CloseUi then 
 		self.commonDialogFrame1CloseUi = CommonDialogFrame1CloseUi.new() 
 	else 
		self.commonDialogFrame1CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame1CloseUi, "commonDialogFrame1CloseUi", 73, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1CloseUi)

	self.matrixPanel = ccui.Layout:create()
	setValue(self.matrixPanel, "AXY_matrixPanel", 494, cc.size(640, 278.4), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.matrixPanel)
	self.matrixPanel_2 = self.matrixPanel

	self.matrixButton = ccui.Button:create()
	setValue(self.matrixButton, "XYN_matrixButton", 495, cc.size(153, 64), cc.p(320, 52.896), nil, nil, nil, nil, false)
	self.matrixButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.matrixButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.matrixButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.matrixButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.matrixButton:setTitleText([[阵型加成]])
	self.matrixButton:setTitleFontSize(24)
	self.matrixButton:setTitleFontName(getFont())
	setClickEvent(self, self.matrixButton, "matrixButton")
	addChildForPre(self.matrixPanel_2, self.matrixButton)

	self.bottomLine = ccui.ImageView:create()
	setValue(self.bottomLine, "AXY_bottomLine", 693, cc.size(640, 19.488), cc.p(320, 278.4), nil, nil, nil, nil, false)
	self.bottomLine:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.bottomLine:setScale9Enabled(true)
	self.bottomLine:setCapInsets(cc.rect(1, 0, 638, 30))
	addChildForPre(self.matrixPanel_2, self.bottomLine)

	self.labeImage = ccui.ImageView:create()
	setValue(self.labeImage, "AXY_labeImage", 891, cc.size(614.4, 169.824), cc.p(320, 183.744), nil, nil, nil, nil, false)
	self.labeImage:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.labeImage:setScale9Enabled(true)
	self.labeImage:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.matrixPanel_2, self.labeImage)

	self.bottomlowerImage = ccui.ImageView:create()
	setValue(self.bottomlowerImage, "WXN_bottomlowerImage", 892, cc.size(640, 8), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.bottomlowerImage:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	self.bottomlowerImage:setScale9Enabled(true)
	self.bottomlowerImage:setCapInsets(cc.rect(1, 0, 638, 8))
	addChildForPre(self.matrixPanel_2, self.bottomlowerImage)

	self.formationTitle = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.formationTitle, "XYN_formationTitle", 172, cc.size(91, 23), cc.p(313.6, 243.6), cc.p(1, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.formationTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.formationTitle:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.matrixPanel_2, self.formationTitle)

	self.formationLeveTitle = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.formationLeveTitle, "XYN_formationLeveTitle", 173, cc.size(91, 23), cc.p(313.6, 204.624), cc.p(1, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.formationLeveTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.formationLeveTitle:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.matrixPanel_2, self.formationLeveTitle)

	self.formationProperty1Title = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.formationProperty1Title, "XYN_formationProperty1Title", 174, cc.size(91, 23), cc.p(313.6, 165.648), cc.p(1, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.formationProperty1Title:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.formationProperty1Title:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.matrixPanel_2, self.formationProperty1Title)

	self.formationProperty2Title = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.formationProperty2Title, "XYN_formationProperty2Title", 175, cc.size(91, 23), cc.p(313.6, 126.672), cc.p(1, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.formationProperty2Title:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.formationProperty2Title:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.matrixPanel_2, self.formationProperty2Title)

	self.formationTextLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.formationTextLabel, "XYN_formationTextLabel", 176, cc.size(91, 23), cc.p(326.4, 243.6), cc.p(0, 0.5), nil, nil, nil, nil)
	self.formationTextLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.matrixPanel_2, self.formationTextLabel)

	self.formationLeveTextLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.formationLeveTextLabel, "XYN_formationLeveTextLabel", 177, cc.size(91, 23), cc.p(326.4, 204.624), cc.p(0, 0.5), nil, nil, nil, nil)
	self.formationLeveTextLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.matrixPanel_2, self.formationLeveTextLabel)

	self.formationProperty1Label = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.formationProperty1Label, "XYN_formationProperty1Label", 178, cc.size(91, 23), cc.p(326.4, 165.648), cc.p(0, 0.5), nil, nil, nil, nil)
	self.formationProperty1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.matrixPanel_2, self.formationProperty1Label)

	self.formationProperty2Label = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.formationProperty2Label, "XYN_formationProperty2Label", 179, cc.size(91, 23), cc.p(326.4, 126.672), cc.p(0, 0.5), nil, nil, nil, nil)
	self.formationProperty2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.matrixPanel_2, self.formationProperty2Label)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/battle.plist",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
}

return _M
