-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_0 = cc.Node:create()
	setValue(self.Node_0, "Node_0", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_0)
 	self.uiRootNode = self.Node_0
	self.Node_0_0 = self.Node_0

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 427, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	setBgColor(self.rootPanel, 1, 0, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.Node_0_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 539, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 428, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.attributionPanel = ccui.Layout:create()
	setValue(self.attributionPanel, "AXY_attributionPanel", 447, cc.size(639, 347), cc.p(320, 868.56), cc.p(0.5, 1), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.attributionPanel)
	self.attributionPanel_3 = self.attributionPanel

	self.Image_8 = ccui.ImageView:create()
	setValue(self.Image_8, "AXY_Image_8", 316, cc.size(639, 347), cc.p(319.5, 173.5), nil, nil, nil, nil, false)
	self.Image_8:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.Image_8:setScale9Enabled(true)
	self.Image_8:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.attributionPanel_3, self.Image_8)

	self.explainButton = ccui.Button:create()
	setValue(self.explainButton, "XYN_explainButton", 254, cc.size(81, 26), cc.p(568.71, 305.36), nil, cc.c4b(0, 230, 255, 255), nil, nil, false)
	self.explainButton:loadTextureNormal("ccs/UiImages/image9/Underline.png", 1)
	self.explainButton:loadTexturePressed("ccs/UiImages/image9/Underline.png", 1)
	self.explainButton:loadTextureDisabled("ccs/UiImages/image9/Underline.png", 1)
	self.explainButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.explainButton:setTitleText([[说   明]])
	self.explainButton:setTitleFontSize(25)
	self.explainButton:setTitleFontName(getFont())
	setClickEvent(self, self.explainButton, "explainButton")
	addChildForPre(self.attributionPanel_3, self.explainButton)

	self.bgKuangSprite = cc.Sprite:create()
	setValue(self.bgKuangSprite, "XYN_bgKuangSprite", 726, cc.size(100, 100), cc.p(168.057, 209.1369), nil, nil, nil, nil, nil)
	self.bgKuangSprite:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.attributionPanel_3, self.bgKuangSprite)

	self.lineupExchangeSprite = cc.Sprite:create()
	setValue(self.lineupExchangeSprite, "XYN_lineupExchangeSprite", 97, cc.size(90, 90), cc.p(168.057, 209.1369), nil, nil, nil, nil, nil)
	self.lineupExchangeSprite:setSpriteFrame("ccs/UiImages/icon/camp_icon_formation_cm1.jpg")
	addChildForPre(self.attributionPanel_3, self.lineupExchangeSprite)

	self.LightColourLine = cc.Sprite:create()
	setValue(self.LightColourLine, "XYN_LightColourLine", 111, cc.size(368, 42), cc.p(319.5, 302.1329), nil, nil, nil, nil, nil)
	self.LightColourLine:setScaleX(1.32)
	self.LightColourLine:setScaleY(1)
	self.LightColourLine:setSpriteFrame("ccs/UiImages/common/common_Partsimg_ditiao.png")
	addChildForPre(self.attributionPanel_3, self.LightColourLine)

	self.skillNameLabel = createLabel({text=[[鱼雷攻击]], font=getFont(), size=26})
	setValue(self.skillNameLabel, "XYN_skillNameLabel", 1711, cc.size(104, 31), cc.p(319.5, 302.1329), nil, cc.c4b(253, 132, 53, 255), nil, nil, nil)
	self.skillNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.skillNameLabel:setColor(cc.c4b(253, 132, 53, 255))
	addChildForPre(self.attributionPanel_3, self.skillNameLabel)

	self.skillContentLabel = createLabel({text=[[而根深蒂固的身份后
大多数公司的风格和]], font=getFont(), size=20,valign = 2})
	setValue(self.skillContentLabel, "XYN_skillContentLabel", 1713, cc.size(180, 46), cc.p(35.6562, 126.0998), cc.p(0, 1), nil, nil, nil, nil)
	self.skillContentLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attributionPanel_3, self.skillContentLabel)

	self.levelTitleLabel = createLabel({text=[[等    级：]], font=getFont(), size=22,align = 2})
	setValue(self.levelTitleLabel, "XYN_levelTitleLabel", 1714, cc.size(90, 26), cc.p(394.5186, 248.9378), cc.p(1, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.levelTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.levelTitleLabel:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.attributionPanel_3, self.levelTitleLabel)

	self.level1Label = createLabel({text=[[1223]], font=getFont(), size=22})
	setValue(self.level1Label, "XYN_level1Label", 1715, cc.size(48, 26), cc.p(394.3908, 248.9378), cc.p(0, 0.5), nil, nil, nil, nil)
	self.level1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attributionPanel_3, self.level1Label)

	self.attrAddTitle1Label = createLabel({text=[[属性提升：]], font=getFont(), size=22,align = 2})
	setValue(self.attrAddTitle1Label, "XYN_attrAddTitle1Label", 1716, cc.size(110, 26), cc.p(394.5186, 203.689), cc.p(1, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.attrAddTitle1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.attrAddTitle1Label:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.attributionPanel_3, self.attrAddTitle1Label)

	self.attrAdd1Label = createLabel({text=[[100%]], font=getFont(), size=22})
	setValue(self.attrAdd1Label, "XYN_attrAdd1Label", 1717, cc.size(56, 26), cc.p(394.3908, 203.689), cc.p(0, 0.5), nil, nil, nil, nil)
	self.attrAdd1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attributionPanel_3, self.attrAdd1Label)

	self.attrAddNext1Label = createLabel({text=[[110%]], font=getFont(), size=22})
	setValue(self.attrAddNext1Label, "XYN_attrAddNext1Label", 114, cc.size(54, 26), cc.p(462.8277, 203.689), cc.p(0, 0.5), cc.c4b(0, 255, 0, 255), nil, nil, nil)
	self.attrAddNext1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.attrAddNext1Label:setColor(cc.c4b(0, 255, 0, 255))
	addChildForPre(self.attributionPanel_3, self.attrAddNext1Label)

	self.attrAddTitle2Label = createLabel({text=[[属性提升：]], font=getFont(), size=22,align = 2})
	setValue(self.attrAddTitle2Label, "XYN_attrAddTitle2Label", 79, cc.size(110, 26), cc.p(395.4771, 162.6042), cc.p(1, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.attrAddTitle2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.attrAddTitle2Label:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.attributionPanel_3, self.attrAddTitle2Label)

	self.attrAdd2Label = createLabel({text=[[100%]], font=getFont(), size=22})
	setValue(self.attrAdd2Label, "XYN_attrAdd2Label", 80, cc.size(56, 26), cc.p(395.4771, 162.6042), cc.p(0, 0.5), nil, nil, nil, nil)
	self.attrAdd2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attributionPanel_3, self.attrAdd2Label)

	self.attrAddNext2Label = createLabel({text=[[110%]], font=getFont(), size=22})
	setValue(self.attrAddNext2Label, "XYN_attrAddNext2Label", 81, cc.size(54, 26), cc.p(461.997, 164.6515), cc.p(0, 0.5), cc.c4b(0, 255, 0, 255), nil, nil, nil)
	self.attrAddNext2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.attrAddNext2Label:setColor(cc.c4b(0, 255, 0, 255))
	addChildForPre(self.attributionPanel_3, self.attrAddNext2Label)

	self.attributionPanelUnder = ccui.Layout:create()
	setValue(self.attributionPanelUnder, "AXY_attributionPanelUnder", 1527, cc.size(639, 219), cc.p(320, 402.912), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.attributionPanelUnder)
	self.attributionPanelUnder_3 = self.attributionPanelUnder

	self.bg1Image = ccui.ImageView:create()
	setValue(self.bg1Image, "AXY_bg1Image", 314, cc.size(315.027, 214.62), cc.p(159.75, 109.5), nil, nil, nil, nil, false)
	self.bg1Image:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.bg1Image:setScale9Enabled(true)
	self.bg1Image:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.attributionPanelUnder_3, self.bg1Image)

	self.bg2Image = ccui.ImageView:create()
	setValue(self.bg2Image, "AXY_bg2Image", 315, cc.size(315.027, 214.62), cc.p(479.25, 109.5), nil, nil, nil, nil, false)
	self.bg2Image:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.bg2Image:setScale9Enabled(true)
	self.bg2Image:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.attributionPanelUnder_3, self.bg2Image)

	self.AchievementLabel = createLabel({text=[[Text Label]], font=getFont(), size=30})
	setValue(self.AchievementLabel, "AchievementLabel", 98, cc.size(136, 34), cc.p(158.6637, 148.92), nil, nil, nil, nil, nil)
	self.AchievementLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attributionPanelUnder_3, self.AchievementLabel)

	self.AchievementNameLabel = createLabel({text=[[Text Label]], font=getFont(), size=30})
	setValue(self.AchievementNameLabel, "AchievementNameLabel", 99, cc.size(136, 34), cc.p(158.6637, 85.41), nil, nil, nil, nil, nil)
	self.AchievementNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attributionPanelUnder_3, self.AchievementNameLabel)

	self.need1Node = cc.Node:create()
	setValue(self.need1Node, "AXY_need1Node", 100, nil, cc.p(402.57, 109.5), nil, nil, nil, nil, nil)
	addChildForPre(self.attributionPanelUnder_3, self.need1Node)
	self.need1Node_4 = self.need1Node

	self.kuangBg1Image = cc.Sprite:create()
	setValue(self.kuangBg1Image, "kuangBg1Image", 3417, cc.size(100, 100), nil, nil, nil, nil, nil, nil)
	self.kuangBg1Image:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.need1Node_4, self.kuangBg1Image)

	self.shouCeSprite = cc.Sprite:create()
	setValue(self.shouCeSprite, "shouCeSprite", 588, cc.size(100, 100), nil, nil, nil, nil, nil, nil)
	self.shouCeSprite:setSpriteFrame("ccs/UiImages/icon/zhenxingshouce.png")
	addChildForPre(self.need1Node_4, self.shouCeSprite)

	self.shouCeNumberlab = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.shouCeNumberlab, "shouCeNumberlab", 592, cc.size(100, 26), cc.p(0, -30), nil, nil, nil, nil, nil)
	self.shouCeNumberlab:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.need1Node_4, self.shouCeNumberlab)

	self.shouCeNamelab = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.shouCeNamelab, "shouCeNamelab", 593, cc.size(100, 26), cc.p(0, -61), nil, nil, nil, nil, nil)
	self.shouCeNamelab:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.need1Node_4, self.shouCeNamelab)

	self.need2Node = cc.Node:create()
	setValue(self.need2Node, "AXY_need2Node", 101, nil, cc.p(536.76, 109.5), nil, nil, nil, nil, nil)
	addChildForPre(self.attributionPanelUnder_3, self.need2Node)
	self.need2Node_4 = self.need2Node

	self.kuangBg2Image = cc.Sprite:create()
	setValue(self.kuangBg2Image, "kuangBg2Image", 3418, cc.size(100, 100), nil, nil, nil, nil, nil, nil)
	self.kuangBg2Image:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.need2Node_4, self.kuangBg2Image)

	self.jinBiSprite = cc.Sprite:create()
	setValue(self.jinBiSprite, "jinBiSprite", 590, cc.size(100, 100), nil, nil, nil, nil, nil, nil)
	self.jinBiSprite:setSpriteFrame("ccs/UiImages/icon/jinbi.png")
	addChildForPre(self.need2Node_4, self.jinBiSprite)

	self.jinBiNumberlab = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.jinBiNumberlab, "jinBiNumberlab", 591, cc.size(100, 26), cc.p(0, -61), nil, nil, nil, nil, nil)
	self.jinBiNumberlab:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.need2Node_4, self.jinBiNumberlab)

	self.buttonPanel = ccui.Layout:create()
	setValue(self.buttonPanel, "WXN_buttonPanel", 767, cc.size(639, 70), cc.p(320, 232.128), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.buttonPanel)
	self.buttonPanel_3 = self.buttonPanel

	self.enableButton = ccui.Button:create()
	setValue(self.enableButton, "XYN_enableButton", 448, cc.size(153, 64), cc.p(319.5, 35), cc.p(0.5016, 0.5), nil, nil, nil, false)
	self.enableButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.enableButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.enableButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.enableButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.enableButton:setTitleText([[启用阵型]])
	self.enableButton:setTitleFontSize(25)
	self.enableButton:setTitleFontName(getFont())
	setClickEvent(self, self.enableButton, "enableButton")
	addChildForPre(self.buttonPanel_3, self.enableButton)

	self.upgradeButton = ccui.Button:create()
	setValue(self.upgradeButton, "XYN_upgradeButton", 449, cc.size(153, 64), cc.p(435.798, 34.503), cc.p(0, 0.5), nil, nil, nil, false)
	self.upgradeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.upgradeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.upgradeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.upgradeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.upgradeButton:setTitleText([[升级]])
	self.upgradeButton:setTitleFontSize(25)
	self.upgradeButton:setTitleFontName(getFont())
	setClickEvent(self, self.upgradeButton, "upgradeButton")
	addChildForPre(self.buttonPanel_3, self.upgradeButton)

	self.achievementButton = ccui.Button:create()
	setValue(self.achievementButton, "XYN_achievementButton", 102, cc.size(153, 64), cc.p(120.132, 34.503), nil, nil, nil, nil, false)
	self.achievementButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.achievementButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.achievementButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.achievementButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.achievementButton:setTitleText([[阵型成就]])
	self.achievementButton:setTitleFontSize(25)
	self.achievementButton:setTitleFontName(getFont())
	setClickEvent(self, self.achievementButton, "achievementButton")
	addChildForPre(self.buttonPanel_3, self.achievementButton)

	self.leftPanel = ccui.Layout:create()
	setValue(self.leftPanel, "WXN_leftPanel", 152, cc.size(640, 176), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.leftPanel)
	self.leftPanel_3 = self.leftPanel

	self.Image = ccui.ImageView:create()
	setValue(self.Image, "WXN_Image", 1189, cc.size(640, 15.84), cc.p(320, 176), nil, nil, nil, nil, false)
	self.Image:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.Image:setScale9Enabled(true)
	self.Image:setCapInsets(cc.rect(1, 0, 638, 30))
	addChildForPre(self.leftPanel_3, self.Image)

	self.skillListPanel = ccui.Layout:create()
	setValue(self.skillListPanel, "WXN_skillListPanel", 153, cc.size(556.8, 154.88), cc.p(320, 89.76), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.leftPanel_3, self.skillListPanel)

	self.Sprite_557 = cc.Sprite:create()
	setValue(self.Sprite_557, "XYN_Sprite_557", 218, cc.size(15, 109), cc.p(32, 88), nil, nil, nil, nil, nil)
	self.Sprite_557:setFlippedX(true)
	self.Sprite_557:setSpriteFrame("ccs/UiImages/common/camp_btn_huadong_0.png")
	addChildForPre(self.leftPanel_3, self.Sprite_557)

	self.Sprite_558 = cc.Sprite:create()
	setValue(self.Sprite_558, "XYN_Sprite_558", 219, cc.size(15, 109), cc.p(608, 88), nil, nil, nil, nil, nil)
	self.Sprite_558:setFlippedY(true)
	self.Sprite_558:setSpriteFrame("ccs/UiImages/common/camp_btn_huadong_0.png")
	addChildForPre(self.leftPanel_3, self.Sprite_558)

	self.Image1 = ccui.ImageView:create()
	setValue(self.Image1, "WXN_Image1", 3676, cc.size(640, 8.008), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.Image1:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	self.Image1:setScale9Enabled(true)
	self.Image1:setCapInsets(cc.rect(1, 0, 638, 8))
	addChildForPre(self.leftPanel_3, self.Image1)

	if CommonDialogFrame1CloseUi then 
 		self.commonDialogFrame1CloseUi = CommonDialogFrame1CloseUi.new() 
 	else 
		self.commonDialogFrame1CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame1CloseUi, "commonDialogFrame1CloseUi", 534, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/battle.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/commonBg.plist",
	"ccs/plist/icon.plist",
	"ccs/plist/common.plist",
}

return _M
