-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 17, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 97, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 19, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	setBgColor(self.dialogPanel, 1, nil, cc.c4b(14, 15, 20, 255), nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.backGround = ccui.ImageView:create()
	setValue(self.backGround, "WXN_backGround", 209, cc.size(640, 287), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.backGround:loadTexture("ccs/UiImages/login/login_img_06.png", 1)
	self.backGround:setScale9Enabled(true)
	self.backGround:setCapInsets(cc.rect(0, 0, 640, 87))
	addChildForPre(self.dialogPanel_2, self.backGround)

	self.backGroundup = ccui.ImageView:create()
	setValue(self.backGroundup, "WXT_backGroundup", 560, cc.size(640, 287), cc.p(320, 960), cc.p(0.5, 0), nil, nil, nil, false)
	self.backGroundup:setRotationSkewX(180)
	self.backGroundup:setRotationSkewY(180)
	self.backGroundup:setVisible(false)
	self.backGroundup:loadTexture("ccs/UiImages/login/login_img_06.png", 1)
	self.backGroundup:setScale9Enabled(true)
	self.backGroundup:setCapInsets(cc.rect(0, 0, 640, 87))
	addChildForPre(self.dialogPanel_2, self.backGroundup)

	self.CT1 = ccui.Layout:create()
	setValue(self.CT1, "XYN_CT1", 211, cc.size(340, 400), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.CT1)
	self.CT1_3 = self.CT1

	self.CT1Button = ccui.Button:create()
	self.CT1Button:setScale9Enabled(true)
	self.CT1Button:setCapInsets(cc.rect(0, 0, 10, 10))
	self.CT1Button:setContentSize(cc.size(340, 400))
	setValue(self.CT1Button, "CT1Button", 3213, nil, cc.p(170, 200), nil, nil, nil, nil, false)
	self.CT1Button:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.CT1Button:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.CT1Button:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.CT1Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.CT1Button:setTitleText([[]])
	self.CT1Button:setTitleColor(cc.c3b(65, 65, 70))
	self.CT1Button:setTitleFontSize(14)
	self.CT1Button:setTitleFontName(getFont())
	setClickEvent(self, self.CT1Button, "CT1Button")
	addChildForPre(self.CT1_3, self.CT1Button)

	self.CT1flag = cc.Sprite:create()
	setValue(self.CT1flag, "CT1flag", 212, cc.size(46, 46), cc.p(170, 380), nil, nil, nil, nil, nil)
	self.CT1flag:setTexture("Default/Sprite.png")
	addChildForPre(self.CT1_3, self.CT1flag)

	self.CT1plateSprite = cc.Sprite:create()
	setValue(self.CT1plateSprite, "CT1plateSprite", 150, cc.size(256, 256), cc.p(170, 200), nil, nil, nil, nil, nil)
	self.CT1plateSprite:setScale(1.6)
	self.CT1plateSprite:setSpriteFrame("ccs/UiImages/effectCountry1/effectCountry1_11.png")
	addChildForPre(self.CT1_3, self.CT1plateSprite)

	self.CT1Name = createLabel({text=[[Text Label]], font=getFont(), size=48})
	setValue(self.CT1Name, "CT1Name", 173, cc.size(218, 54), cc.p(170, 0), nil, nil, nil, nil, nil)
	self.CT1Name:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.CT1_3, self.CT1Name)

	self.CT2 = ccui.Layout:create()
	setValue(self.CT2, "XYN_CT2", 213, cc.size(340, 400), cc.p(128, 672), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.CT2:setScale(0.5)
	addChildForPre(self.dialogPanel_2, self.CT2)
	self.CT2_3 = self.CT2

	self.CT2Button = ccui.Button:create()
	self.CT2Button:setScale9Enabled(true)
	self.CT2Button:setCapInsets(cc.rect(0, 0, 10, 10))
	self.CT2Button:setContentSize(cc.size(340, 400))
	setValue(self.CT2Button, "CT2Button", 200, nil, cc.p(170, 200), nil, nil, nil, nil, false)
	self.CT2Button:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.CT2Button:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.CT2Button:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.CT2Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.CT2Button:setTitleText([[]])
	self.CT2Button:setTitleColor(cc.c3b(65, 65, 70))
	self.CT2Button:setTitleFontSize(14)
	self.CT2Button:setTitleFontName(getFont())
	setClickEvent(self, self.CT2Button, "CT2Button")
	addChildForPre(self.CT2_3, self.CT2Button)

	self.CT2flag = cc.Sprite:create()
	setValue(self.CT2flag, "CT2flag", 214, cc.size(46, 46), cc.p(170, 380), nil, nil, nil, nil, nil)
	self.CT2flag:setTexture("Default/Sprite.png")
	addChildForPre(self.CT2_3, self.CT2flag)

	self.CT2plateSprite = cc.Sprite:create()
	setValue(self.CT2plateSprite, "CT2plateSprite", 215, cc.size(256, 256), cc.p(170, 200), nil, nil, nil, nil, nil)
	self.CT2plateSprite:setScale(1.6)
	self.CT2plateSprite:setSpriteFrame("ccs/UiImages/effectCountry2/effectCountry2_11.png")
	addChildForPre(self.CT2_3, self.CT2plateSprite)

	self.CT2Name = createLabel({text=[[Text Label]], font=getFont(), size=48})
	setValue(self.CT2Name, "CT2Name", 174, cc.size(218, 54), cc.p(170, 0), nil, nil, nil, nil, nil)
	self.CT2Name:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.CT2_3, self.CT2Name)

	self.CT3 = ccui.Layout:create()
	setValue(self.CT3, "XYN_CT3", 216, cc.size(340, 400), cc.p(512, 672), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.CT3:setScale(0.5)
	addChildForPre(self.dialogPanel_2, self.CT3)
	self.CT3_3 = self.CT3

	self.CT3Button = ccui.Button:create()
	self.CT3Button:setScale9Enabled(true)
	self.CT3Button:setCapInsets(cc.rect(0, 0, 10, 10))
	self.CT3Button:setContentSize(cc.size(340, 400))
	setValue(self.CT3Button, "CT3Button", 199, nil, cc.p(170, 200), nil, nil, nil, nil, false)
	self.CT3Button:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.CT3Button:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.CT3Button:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.CT3Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.CT3Button:setTitleText([[]])
	self.CT3Button:setTitleColor(cc.c3b(65, 65, 70))
	self.CT3Button:setTitleFontSize(14)
	self.CT3Button:setTitleFontName(getFont())
	setClickEvent(self, self.CT3Button, "CT3Button")
	addChildForPre(self.CT3_3, self.CT3Button)

	self.CT3flag = cc.Sprite:create()
	setValue(self.CT3flag, "CT3flag", 217, cc.size(46, 46), cc.p(170, 380), nil, nil, nil, nil, nil)
	self.CT3flag:setTexture("Default/Sprite.png")
	addChildForPre(self.CT3_3, self.CT3flag)

	self.CT3plateSprite = cc.Sprite:create()
	setValue(self.CT3plateSprite, "CT3plateSprite", 218, cc.size(256, 256), cc.p(170, 200), nil, nil, nil, nil, nil)
	self.CT3plateSprite:setScale(1.6)
	self.CT3plateSprite:setSpriteFrame("ccs/UiImages/effectCountry3/effectCountry3_11.png")
	addChildForPre(self.CT3_3, self.CT3plateSprite)

	self.CT3Name = createLabel({text=[[Text Label]], font=getFont(), size=48})
	setValue(self.CT3Name, "CT3Name", 175, cc.size(218, 54), cc.p(170, 0), nil, nil, nil, nil, nil)
	self.CT3Name:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.CT3_3, self.CT3Name)

	self.panelCountry = ccui.Layout:create()
	setValue(self.panelCountry, "XYN_panelCountry", 150, cc.size(200, 100), cc.p(320, 243.1649), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.panelCountry)
	self.panelCountry_3 = self.panelCountry

	self.lbCountry = createLabel({text=[[Text Label]], font=getFont(), size=32})
	setValue(self.lbCountry, "lbCountry", 168, cc.size(145, 37), cc.p(100.0057, 33.8414), nil, nil, nil, nil, nil)
	self.lbCountry:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.panelCountry_3, self.lbCountry)

	self.lbDescCountry = createLabel({text=[[Text Label]], font=getFont(), size=28})
	setValue(self.lbDescCountry, "lbDescCountry", 225, cc.size(127, 32), cc.p(100.0051, -5.9987), nil, nil, nil, nil, nil)
	self.lbDescCountry:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.panelCountry_3, self.lbDescCountry)

	self.lbDesc = createLabel({text=[[Text Label]], font=getFont(), size=24, dimensions = cc.size(500.0000, 100.0000)})
	setValue(self.lbDesc, "BXN_lbDesc", 226, cc.size(500, 100), cc.p(320.0076, 78.8966), nil, cc.c4b(255, 210, 0, 255), nil, nil, false)
	self.lbDesc:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.lbDesc:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.dialogPanel_2, self.lbDesc)

	self.downLine = cc.Sprite:create()
	setValue(self.downLine, "BXN_downLine", 228, cc.size(470, 20), cc.p(320, 157.152), nil, nil, nil, nil, nil)
	self.downLine:setFlippedY(true)
	self.downLine:setSpriteFrame("ccs/UiImages/login/login_img_07.png")
	addChildForPre(self.dialogPanel_2, self.downLine)

	self.leftButton = cc.Sprite:create()
	setValue(self.leftButton, "LYN_leftButton", 1082, cc.size(58, 106), cc.p(0, 479.9999), cc.p(0, 0.5), nil, nil, nil, nil)
	self.leftButton:setFlippedX(true)
	self.leftButton:setSpriteFrame("ccs/UiImages/common/login_btn_zuoyou.png")
	addChildForPre(self.rootPanel_1, self.leftButton)

	self.rightButton = cc.Sprite:create()
	setValue(self.rightButton, "RYN_rightButton", 1083, cc.size(58, 106), cc.p(639.9998, 479.9999), cc.p(1, 0.5), nil, nil, nil, nil)
	self.rightButton:setSpriteFrame("ccs/UiImages/common/login_btn_zuoyou.png")
	addChildForPre(self.rootPanel_1, self.rightButton)

	self.titlePanel = ccui.Layout:create()
	setValue(self.titlePanel, "WXT_titlePanel", 223, cc.size(640, 110), cc.p(320, 960), cc.p(0.5, 1), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.titlePanel)
	self.titlePanel_2 = self.titlePanel

	self.upLine = cc.Sprite:create()
	setValue(self.upLine, "upLine", 229, cc.size(470, 20), cc.p(320, -38), cc.p(0.5, 1), nil, nil, nil, nil)
	self.upLine:setSpriteFrame("ccs/UiImages/login/login_img_07.png")
	addChildForPre(self.titlePanel_2, self.upLine)

	self.PanelSmallHeader = ccui.ImageView:create()
	setValue(self.PanelSmallHeader, "WTX_PanelSmallHeader", 354, cc.size(642, 105), cc.p(319, 57.5), nil, nil, nil, nil, false)
	self.PanelSmallHeader:loadTexture("ccs/UiImages/login/login_img_05.png", 1)
	self.PanelSmallHeader:setScale9Enabled(true)
	self.PanelSmallHeader:setCapInsets(cc.rect(0, 0, 642, 105))
	addChildForPre(self.titlePanel_2, self.PanelSmallHeader)

	self.titleLabel = createLabel({text=[[阵营选择]], font=getFont(), size=36})
	setValue(self.titleLabel, "XNN_titleLabel", 810, cc.size(144, 42), cc.p(320, 61), nil, cc.c4b(176, 176, 176, 255), nil, nil, nil)
	self.titleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.titleLabel:setColor(cc.c4b(176, 176, 176, 255))
	addChildForPre(self.titlePanel_2, self.titleLabel)

	self.TItle = cc.Sprite:create()
	setValue(self.TItle, "XNN_TItle", 221, cc.size(146, 36), cc.p(320, 60.5), nil, nil, nil, nil, nil)
	self.TItle:setVisible(false)
	self.TItle:setSpriteFrame("ccs/UiImages/login/login_img_zy.png")
	addChildForPre(self.titlePanel_2, self.TItle)

	self.joinButton = ccui.Button:create()
	self.joinButton:setScale9Enabled(true)
	self.joinButton:setCapInsets(cc.rect(0, 0, 153, 64))
	self.joinButton:setContentSize(cc.size(180, 70))
	setValue(self.joinButton, "XYN_joinButton", 88, nil, cc.p(323.0762, 280.3208), nil, nil, nil, nil, false)
	self.joinButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.joinButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.joinButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.joinButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.joinButton:setTitleText([[join]])
	self.joinButton:setTitleFontSize(30)
	self.joinButton:setTitleFontName(getFont())
	setClickEvent(self, self.joinButton, "joinButton")
	addChildForPre(self.rootPanel_1, self.joinButton)

	self.animButton = cc.Sprite:create()
	setValue(self.animButton, "XYN_animButton", 264, cc.size(10, 10), cc.p(323.07, 280.3208), nil, nil, nil, nil, nil)
	self.animButton:setSpriteFrame("ccs/UiImages/image9/CommonClearBtn.png")
	addChildForPre(self.rootPanel_1, self.animButton)

	self.animationPanel = ccui.Layout:create()
	setValue(self.animationPanel, "ANN_animationPanel", 262, cc.size(640, 960), nil, nil, nil, 0, nil, nil)
	setBgColor(self.animationPanel, 1, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.animationPanel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(45)
	self.animation:setTimeSpeed(1)
	local timeLine
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(0, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(35, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(45, true, cc.c3b(255,255,255), 255, nil))
	timeLine:setNode(self.animationPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateEventFrame(45, true, "actionDone", nil))
	timeLine:setNode(self.animationPanel)
	return self
end

_M.textures = {
	"ccs/plist/login.plist",
	"ccs/plist/image9.plist",
	"Default/Sprite.png",
	"ccs/plist/effectCountry1.plist",
	"ccs/plist/effectCountry2.plist",
	"ccs/plist/effectCountry3.plist",
	"ccs/plist/common.plist",
}

return _M
