-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 17, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 97, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 19, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	setBgColor(self.dialogPanel, 1, nil, cc.c4b(14, 15, 20, 255), nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.backGround = ccui.ImageView:create()
	setValue(self.backGround, "WXB_backGround", 210, cc.size(640, 287), cc.p(320, 115.2), nil, nil, nil, nil, false)
	self.backGround:loadTexture("ccs/UiImages/login/login_img_06.png", 1)
	self.backGround:setScale9Enabled(true)
	self.backGround:setCapInsets(cc.rect(0, 0, 640, 87))
	addChildForPre(self.dialogPanel_2, self.backGround)

	self.titlePanel = ccui.Layout:create()
	setValue(self.titlePanel, "WXT_titlePanel", 180, cc.size(640, 110.016), cc.p(320, 960), cc.p(0.5, 1), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.titlePanel)
	self.titlePanel_3 = self.titlePanel

	self.titleSprite = ccui.ImageView:create()
	setValue(self.titleSprite, "WXN_titleSprite", 320, cc.size(642, 105), cc.p(318.9999, 57.516), nil, nil, nil, nil, false)
	self.titleSprite:loadTexture("ccs/UiImages/login/login_img_05.png", 1)
	self.titleSprite:setScale9Enabled(true)
	self.titleSprite:setCapInsets(cc.rect(0, 0, 642, 105))
	addChildForPre(self.titlePanel_3, self.titleSprite)

	self.titleLabel = createLabel({text=[[Text Label]], font=getFont(), size=36})
	setValue(self.titleLabel, "XNN_titleLabel", 827, cc.size(164, 42), cc.p(320, 61), nil, cc.c4b(176, 176, 176, 255), nil, nil, nil)
	self.titleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.titleLabel:setColor(cc.c4b(176, 176, 176, 255))
	addChildForPre(self.titlePanel_3, self.titleLabel)

	self.titleName = cc.Sprite:create()
	setValue(self.titleName, "XNN_titleName", 97, cc.size(147, 35), cc.p(320, 61), nil, nil, nil, nil, nil)
	self.titleName:setVisible(false)
	self.titleName:setSpriteFrame("ccs/UiImages/login/login_img_juese.png")
	addChildForPre(self.titlePanel_3, self.titleName)

	self.backButton = ccui.ImageView:create()
	setValue(self.backButton, "RNN_backButton", 2231, cc.size(46, 46), cc.p(582.0001, 62.0159), nil, nil, nil, nil, nil)
	self.backButton:loadTexture("Default/ImageFile.png")
	addChildForPre(self.titlePanel_3, self.backButton)

	self.Hero_3 = ccui.Layout:create()
	setValue(self.Hero_3, "XYN_Hero_3", 234, cc.size(368, 500), cc.p(320, 768), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Hero_3:setScale(0.25)
	addChildForPre(self.dialogPanel_2, self.Hero_3)
	self.Hero_3_3 = self.Hero_3

	if UserPicUi then 
 		self.Hero_3UserPicUi = UserPicUi.new() 
 	else 
		self.Hero_3UserPicUi = BaseUi.new("ccs/ui/login/UserPicUi.lua")
 	end 
	setValue(self.Hero_3UserPicUi, "Hero_3UserPicUi", 38, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Hero_3_3, self.Hero_3UserPicUi)

	self.Hero_2 = ccui.Layout:create()
	setValue(self.Hero_2, "XYN_Hero_2", 231, cc.size(368, 500), cc.p(544, 672), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Hero_2:setScale(0.4)
	addChildForPre(self.dialogPanel_2, self.Hero_2)
	self.Hero_2_3 = self.Hero_2

	if UserPicUi then 
 		self.Hero_2UserPicUi = UserPicUi.new() 
 	else 
		self.Hero_2UserPicUi = BaseUi.new("ccs/ui/login/UserPicUi.lua")
 	end 
	setValue(self.Hero_2UserPicUi, "Hero_2UserPicUi", 43, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Hero_2_3, self.Hero_2UserPicUi)

	self.Hero_4 = ccui.Layout:create()
	setValue(self.Hero_4, "XYN_Hero_4", 237, cc.size(368, 500), cc.p(96, 672), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Hero_4:setScale(0.4)
	addChildForPre(self.dialogPanel_2, self.Hero_4)
	self.Hero_4_3 = self.Hero_4

	if UserPicUi then 
 		self.Hero_4UserPicUi = UserPicUi.new() 
 	else 
		self.Hero_4UserPicUi = BaseUi.new("ccs/ui/login/UserPicUi.lua")
 	end 
	setValue(self.Hero_4UserPicUi, "Hero_4UserPicUi", 48, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Hero_4_3, self.Hero_4UserPicUi)

	self.Hero_1 = ccui.Layout:create()
	setValue(self.Hero_1, "XYN_Hero_1", 100, cc.size(368, 500), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.Hero_1)
	self.Hero_1_3 = self.Hero_1

	if UserPicUi then 
 		self.Hero_1UserPicUi = UserPicUi.new() 
 	else 
		self.Hero_1UserPicUi = BaseUi.new("ccs/ui/login/UserPicUi.lua")
 	end 
	setValue(self.Hero_1UserPicUi, "Hero_1UserPicUi", 53, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Hero_1_3, self.Hero_1UserPicUi)

	self.leftButton = cc.Sprite:create()
	setValue(self.leftButton, "LYN_leftButton", 1080, cc.size(58, 106), cc.p(0, 480), cc.p(0, 0.5), nil, nil, nil, nil)
	self.leftButton:setFlippedX(true)
	self.leftButton:setSpriteFrame("ccs/UiImages/common/login_btn_zuoyou.png")
	addChildForPre(self.dialogPanel_2, self.leftButton)

	self.rightButton = cc.Sprite:create()
	setValue(self.rightButton, "RYN_rightButton", 1081, cc.size(58, 106), cc.p(640, 480), cc.p(1, 0.5), nil, nil, nil, nil)
	self.rightButton:setSpriteFrame("ccs/UiImages/common/login_btn_zuoyou.png")
	addChildForPre(self.dialogPanel_2, self.rightButton)

	self.downPanel = ccui.Layout:create()
	setValue(self.downPanel, "WXB_downPanel", 178, cc.size(640, 129.984), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.downPanel)
	self.downPanel_3 = self.downPanel

	self.joinButton = ccui.Button:create()
	self.joinButton:setScale9Enabled(true)
	self.joinButton:setCapInsets(cc.rect(0, 0, 153, 64))
	self.joinButton:setContentSize(cc.size(200, 80))
	setValue(self.joinButton, "XNN_joinButton", 88, nil, cc.p(320, 55.5032), nil, nil, nil, nil, false)
	self.joinButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.joinButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.joinButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.joinButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.joinButton:setTitleText([[join]])
	self.joinButton:setTitleFontSize(30)
	self.joinButton:setTitleFontName(getFont())
	setClickEvent(self, self.joinButton, "joinButton")
	addChildForPre(self.downPanel_3, self.joinButton)

	self.animButton = cc.Sprite:create()
	setValue(self.animButton, "XNN_animButton", 417, cc.size(10, 10), cc.p(319.9999, 55.5032), nil, nil, nil, nil, nil)
	self.animButton:setSpriteFrame("ccs/UiImages/image9/CommonClearBtn.png")
	addChildForPre(self.downPanel_3, self.animButton)

	self.midPanel = ccui.Layout:create()
	setValue(self.midPanel, "XYN_midPanel", 179, cc.size(640, 96), cc.p(320, 163.2), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.midPanel)
	self.midPanel_3 = self.midPanel

	self.lbName = createLabel({text=[[Text Label]], font=getFont(), size=30})
	setValue(self.lbName, "lbName", 112, cc.size(136, 34), cc.p(135.168, 48), cc.p(1, 0.5), nil, nil, nil, nil)
	self.lbName:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.midPanel_3, self.lbName)

	self.lbDesc = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.lbDesc, "lbDesc", 113, cc.size(91, 23), cc.p(320, -5.7984), nil, cc.c4b(137, 137, 137, 255), nil, nil, nil)
	self.lbDesc:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.lbDesc:setColor(cc.c4b(137, 137, 137, 255))
	addChildForPre(self.midPanel_3, self.lbDesc)

	self.inputBGImage = ccui.ImageView:create()
	setValue(self.inputBGImage, "inputBGImage", 89, cc.size(347, 51), cc.p(320, 48), nil, nil, nil, nil, false)
	self.inputBGImage:loadTexture("ccs/UiImages/login/login_img_20.png", 1)
	self.inputBGImage:setScale9Enabled(true)
	self.inputBGImage:setCapInsets(cc.rect(40, 16, 270, 18))
	addChildForPre(self.midPanel_3, self.inputBGImage)

	self.inputTextField = ccui.EditBox:create(cc.size(320, 40), ccui.Scale9Sprite:create())
	setValue(self.inputTextField, "inputTextField", 325, cc.size(320, 40), cc.p(320.704, 48), nil, nil, nil, nil, nil)
	self.inputTextField:setText([[]])
	self.inputTextField:setReturnType(1)
	self.inputTextField:setInputMode(6)
	self.inputTextField:setPlaceHolder([[Text Field]])
	self.inputTextField:setFontSize(30)
	self.inputTextField:setPlaceholderFontSize(30)
	self.inputTextField:setFontColor(cc.c4b(255, 255, 255, 255))
	self.inputTextField:setFontName(getFont())
	self.inputTextField:setPlaceholderFontName(getFont())
	addChildForPre(self.midPanel_3, self.inputTextField)

	self.diceImage = cc.Sprite:create()
	setValue(self.diceImage, "diceImage", 36, cc.size(100, 100), cc.p(542.048, 44.4998), nil, nil, nil, nil, nil)
	self.diceImage:setSpriteFrame("ccs/UiImages/login/login_sz_1.png")
	addChildForPre(self.midPanel_3, self.diceImage)

	self.diceButton = ccui.Button:create()
	self.diceButton:setScale9Enabled(true)
	self.diceButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.diceButton:setContentSize(cc.size(100, 100))
	setValue(self.diceButton, "diceButton", 92, nil, cc.p(542.016, 44.496), nil, nil, nil, nil, false)
	self.diceButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.diceButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.diceButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.diceButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.diceButton:setTitleText([[]])
	self.diceButton:setTitleColor(cc.c3b(65, 65, 70))
	self.diceButton:setTitleFontSize(14)
	self.diceButton:setTitleFontName(getFont())
	setClickEvent(self, self.diceButton, "diceButton")
	addChildForPre(self.midPanel_3, self.diceButton)

	self.animationPanel = ccui.Layout:create()
	setValue(self.animationPanel, "ANN_animationPanel", 629, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	setBgColor(self.animationPanel, 1, nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.animationPanel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(35)
	self.animation:setTimeSpeed(1)
	local timeLine
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(0, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(5, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(35, true, cc.c3b(255,255,255), 0, nil))
	timeLine:setNode(self.animationPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateEventFrame(35, true, "actionDone", nil))
	timeLine:setNode(self.animationPanel)
	return self
end

_M.textures = {
	"ccs/plist/login.plist",
	"Default/ImageFile.png",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
}

return _M
