-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 528, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 529, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.infoPanel = ccui.Layout:create()
	setValue(self.infoPanel, "TXN_infoPanel", 23, cc.size(640, 96), cc.p(320, 960), cc.p(0.5, 1), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.infoPanel)
	self.infoPanel_2 = self.infoPanel

	self.Image_3 = ccui.ImageView:create()
	setValue(self.Image_3, "Image_3", 24, cc.size(300, 42), cc.p(487.983, 72.405), nil, nil, nil, nil, false)
	self.Image_3:loadTexture("ccs/UiImages/common/common_Partsimg_ditiao.png", 1)
	self.Image_3:setScale9Enabled(true)
	self.Image_3:setCapInsets(cc.rect(0, 0, 368, 42))
	addChildForPre(self.infoPanel_2, self.Image_3)

	self.lbVersion = createLabel({text=[[version]], font=getFont(), size=20})
	setValue(self.lbVersion, "lbVersion", 25, cc.size(64, 23), cc.p(492.8569, 71.6415), nil, cc.c4b(212, 246, 250, 255), nil, nil, nil)
	self.lbVersion:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.lbVersion:setColor(cc.c4b(212, 246, 250, 255))
	addChildForPre(self.infoPanel_2, self.lbVersion)

	self.userPanel = cc.Node:create()
	setValue(self.userPanel, "XYN_userPanel", 300, nil, cc.p(320, 390), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.userPanel)
	self.userPanel_2 = self.userPanel

	self.backButton = ccui.ImageView:create()
	setValue(self.backButton, "backButton", 378, cc.size(116, 96), cc.p(184, 60), nil, nil, nil, nil, nil)
	self.backButton:setScale(0.5)
	self.backButton:loadTexture("ccs/UiImages/login/login_ben_fanhui.png", 1)
	addChildForPre(self.userPanel_2, self.backButton)

	self.userNamePanel = ccui.Layout:create()
	setValue(self.userNamePanel, "userNamePanel", 538, cc.size(640, 80.002), cc.p(0, -0.0001), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.userPanel_2, self.userNamePanel)
	self.userNamePanel_3 = self.userNamePanel

	self.inputBg = ccui.ImageView:create()
	setValue(self.inputBg, "inputBg", 537, cc.size(368, 53), cc.p(352, 40.001), nil, nil, nil, nil, false)
	self.inputBg:loadTexture("ccs/UiImages/image9/login_img_02.png", 1)
	self.inputBg:setScale9Enabled(true)
	self.inputBg:setCapInsets(cc.rect(10, 10, 31, 28))
	addChildForPre(self.userNamePanel_3, self.inputBg)

	self.inputUserName = ccui.EditBox:create(cc.size(350, 34), ccui.Scale9Sprite:create())
	setValue(self.inputUserName, "inputUserName", 536, cc.size(350, 34), cc.p(353.984, 40.001), nil, nil, nil, nil, nil)
	self.inputUserName:setText([[]])
	self.inputUserName:setReturnType(1)
	self.inputUserName:setInputMode(6)
	self.inputUserName:setPlaceHolder([[InputUserName]])
	self.inputUserName:setFontSize(24)
	self.inputUserName:setPlaceholderFontSize(24)
	self.inputUserName:setFontColor(cc.c4b(255, 255, 255, 255))
	self.inputUserName:setFontName(getFont())
	self.inputUserName:setPlaceholderFontName(getFont())
	addChildForPre(self.userNamePanel_3, self.inputUserName)

	self.imageBg2 = cc.Sprite:create()
	setValue(self.imageBg2, "imageBg2", 533, cc.size(48, 48), cc.p(126.464, 40.001), nil, nil, nil, nil, nil)
	self.imageBg2:setSpriteFrame("ccs/UiImages/login/login_img_01.png")
	addChildForPre(self.userNamePanel_3, self.imageBg2)

	self.userNameLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.userNameLabel, "userNameLabel", 535, cc.size(91, 23), cc.p(126.464, 40.001), nil, nil, nil, nil, nil)
	self.userNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.userNamePanel_3, self.userNameLabel)

	self.passwordPanel = ccui.Layout:create()
	setValue(self.passwordPanel, "passwordPanel", 539, cc.size(640, 80), cc.p(0, -75.0005), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.userPanel_2, self.passwordPanel)
	self.passwordPanel_3 = self.passwordPanel

	self.inputBg_Copy = ccui.ImageView:create()
	setValue(self.inputBg_Copy, "inputBg_Copy", 540, cc.size(368, 53), cc.p(352.0001, 40), nil, nil, nil, nil, false)
	self.inputBg_Copy:loadTexture("ccs/UiImages/image9/login_img_02.png", 1)
	self.inputBg_Copy:setScale9Enabled(true)
	self.inputBg_Copy:setCapInsets(cc.rect(10, 10, 31, 28))
	addChildForPre(self.passwordPanel_3, self.inputBg_Copy)

	self.inputPassword = ccui.EditBox:create(cc.size(350, 34), ccui.Scale9Sprite:create())
	setValue(self.inputPassword, "inputPassword", 541, cc.size(350, 34), cc.p(353.9842, 40), nil, nil, nil, nil, nil)
	self.inputPassword:setText([[]])
	self.inputPassword:setInputFlag(0)
	self.inputPassword:setReturnType(1)
	self.inputPassword:setInputMode(6)
	self.inputPassword:setPlaceHolder([[InputPassword]])
	self.inputPassword:setFontSize(24)
	self.inputPassword:setPlaceholderFontSize(24)
	self.inputPassword:setFontColor(cc.c4b(255, 255, 255, 255))
	self.inputPassword:setFontName(getFont())
	self.inputPassword:setPlaceholderFontName(getFont())
	addChildForPre(self.passwordPanel_3, self.inputPassword)

	self.imageBg2_Copy = cc.Sprite:create()
	setValue(self.imageBg2_Copy, "imageBg2_Copy", 542, cc.size(48, 48), cc.p(126.464, 40), nil, nil, nil, nil, nil)
	self.imageBg2_Copy:setSpriteFrame("ccs/UiImages/login/login_img_01.png")
	addChildForPre(self.passwordPanel_3, self.imageBg2_Copy)

	self.passwordLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.passwordLabel, "passwordLabel", 543, cc.size(91, 23), cc.p(129.344, 40), nil, nil, nil, nil, nil)
	self.passwordLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.passwordPanel_3, self.passwordLabel)

	self.buttonRegist = ccui.Button:create()
	setValue(self.buttonRegist, "buttonRegist", 299, cc.size(215, 76), cc.p(0, -272.0003), nil, nil, nil, nil, false)
	self.buttonRegist:loadTextureNormal("ccs/UiImages/login/login_img_top-02.png", 1)
	self.buttonRegist:loadTexturePressed("ccs/UiImages/login/login_img_top-02.png", 1)
	self.buttonRegist:loadTextureDisabled("ccs/UiImages/login/login_img_top-02.png", 1)
	self.buttonRegist:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.buttonRegist:setTitleText([[Button]])
	self.buttonRegist:setTitleFontSize(24)
	self.buttonRegist:setTitleFontName(getFont())
	setClickEvent(self, self.buttonRegist, "buttonRegist")
	addChildForPre(self.userPanel_2, self.buttonRegist)

	self.buttonLogin = ccui.Button:create()
	setValue(self.buttonLogin, "buttonLogin", 544, cc.size(215, 76), cc.p(0, -188.0159), nil, nil, nil, nil, false)
	self.buttonLogin:loadTextureNormal("ccs/UiImages/login/login_img_top-02.png", 1)
	self.buttonLogin:loadTexturePressed("ccs/UiImages/login/login_img_top-02.png", 1)
	self.buttonLogin:loadTextureDisabled("ccs/UiImages/login/login_img_top-02.png", 1)
	self.buttonLogin:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.buttonLogin:setTitleText([[Button]])
	self.buttonLogin:setTitleFontSize(24)
	self.buttonLogin:setTitleFontName(getFont())
	setClickEvent(self, self.buttonLogin, "buttonLogin")
	addChildForPre(self.userPanel_2, self.buttonLogin)

	self.buttonChangePass = ccui.Button:create()
	setValue(self.buttonChangePass, "buttonChangePass", 314, cc.size(81, 26), cc.p(205.6303, -124.8779), cc.p(1, 0.5), nil, nil, nil, false)
	self.buttonChangePass:loadTextureNormal("ccs/UiImages/image9/Underline.png", 1)
	self.buttonChangePass:loadTexturePressed("ccs/UiImages/image9/Underline.png", 1)
	self.buttonChangePass:loadTextureDisabled("ccs/UiImages/image9/Underline.png", 1)
	self.buttonChangePass:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.buttonChangePass:setTitleText([[Button]])
	self.buttonChangePass:setTitleFontSize(24)
	self.buttonChangePass:setTitleFontName(getFont())
	setClickEvent(self, self.buttonChangePass, "buttonChangePass")
	addChildForPre(self.userPanel_2, self.buttonChangePass)

	self.changePasswordPanel = cc.Node:create()
	setValue(self.changePasswordPanel, "XYN_changePasswordPanel", 302, nil, cc.p(320, 390), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.changePasswordPanel)
	self.changePasswordPanel_2 = self.changePasswordPanel

	self.oldPassPanel = ccui.Layout:create()
	setValue(self.oldPassPanel, "oldPassPanel", 303, cc.size(640, 80.002), cc.p(0, -0.0001), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.changePasswordPanel_2, self.oldPassPanel)
	self.oldPassPanel_3 = self.oldPassPanel

	self.oldPassinputBg = ccui.ImageView:create()
	setValue(self.oldPassinputBg, "oldPassinputBg", 304, cc.size(368, 53), cc.p(352, 40), nil, nil, nil, nil, false)
	self.oldPassinputBg:loadTexture("ccs/UiImages/image9/login_img_02.png", 1)
	self.oldPassinputBg:setScale9Enabled(true)
	self.oldPassinputBg:setCapInsets(cc.rect(10, 10, 31, 28))
	addChildForPre(self.oldPassPanel_3, self.oldPassinputBg)

	self.oldPassinput = ccui.EditBox:create(cc.size(350, 34), ccui.Scale9Sprite:create())
	setValue(self.oldPassinput, "oldPassinput", 305, cc.size(350, 34), cc.p(352, 40), nil, nil, nil, nil, nil)
	self.oldPassinput:setText([[]])
	self.oldPassinput:setReturnType(1)
	self.oldPassinput:setInputMode(6)
	self.oldPassinput:setPlaceHolder([[InputUserName]])
	self.oldPassinput:setFontSize(24)
	self.oldPassinput:setPlaceholderFontSize(24)
	self.oldPassinput:setFontColor(cc.c4b(255, 255, 255, 255))
	self.oldPassinput:setFontName(getFont())
	self.oldPassinput:setPlaceholderFontName(getFont())
	addChildForPre(self.oldPassPanel_3, self.oldPassinput)

	self.oldPassimageBg2 = cc.Sprite:create()
	setValue(self.oldPassimageBg2, "oldPassimageBg2", 306, cc.size(48, 48), cc.p(126.464, 40.0001), nil, nil, nil, nil, nil)
	self.oldPassimageBg2:setSpriteFrame("ccs/UiImages/login/login_img_01.png")
	addChildForPre(self.oldPassPanel_3, self.oldPassimageBg2)

	self.oldPassLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.oldPassLabel, "oldPassLabel", 307, cc.size(91, 23), cc.p(126.464, 40.0001), nil, nil, nil, nil, nil)
	self.oldPassLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.oldPassPanel_3, self.oldPassLabel)

	self.newPassPanel = ccui.Layout:create()
	setValue(self.newPassPanel, "newPassPanel", 308, cc.size(640, 80), cc.p(0, -78.0087), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.changePasswordPanel_2, self.newPassPanel)
	self.newPassPanel_3 = self.newPassPanel

	self.newPassinputBg = ccui.ImageView:create()
	setValue(self.newPassinputBg, "newPassinputBg", 309, cc.size(368, 53), cc.p(352, 40), nil, nil, nil, nil, false)
	self.newPassinputBg:loadTexture("ccs/UiImages/image9/login_img_02.png", 1)
	self.newPassinputBg:setScale9Enabled(true)
	self.newPassinputBg:setCapInsets(cc.rect(10, 10, 31, 28))
	addChildForPre(self.newPassPanel_3, self.newPassinputBg)

	self.newPassinput = ccui.EditBox:create(cc.size(350, 34), ccui.Scale9Sprite:create())
	setValue(self.newPassinput, "newPassinput", 310, cc.size(350, 34), cc.p(352, 40), nil, nil, nil, nil, nil)
	self.newPassinput:setText([[]])
	self.newPassinput:setInputFlag(0)
	self.newPassinput:setReturnType(1)
	self.newPassinput:setInputMode(6)
	self.newPassinput:setPlaceHolder([[InputPassword]])
	self.newPassinput:setFontSize(24)
	self.newPassinput:setPlaceholderFontSize(24)
	self.newPassinput:setFontColor(cc.c4b(255, 255, 255, 255))
	self.newPassinput:setFontName(getFont())
	self.newPassinput:setPlaceholderFontName(getFont())
	addChildForPre(self.newPassPanel_3, self.newPassinput)

	self.newPassimageBg2 = cc.Sprite:create()
	setValue(self.newPassimageBg2, "newPassimageBg2", 311, cc.size(48, 48), cc.p(126.464, 40), nil, nil, nil, nil, nil)
	self.newPassimageBg2:setSpriteFrame("ccs/UiImages/login/login_img_01.png")
	addChildForPre(self.newPassPanel_3, self.newPassimageBg2)

	self.newPassLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.newPassLabel, "newPassLabel", 312, cc.size(91, 23), cc.p(126.464, 40), nil, nil, nil, nil, nil)
	self.newPassLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.newPassPanel_3, self.newPassLabel)

	self.againPassPanel = ccui.Layout:create()
	setValue(self.againPassPanel, "againPassPanel", 292, cc.size(640, 80), cc.p(0, -156.0161), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.changePasswordPanel_2, self.againPassPanel)
	self.againPassPanel_3 = self.againPassPanel

	self.againPassinputBg = ccui.ImageView:create()
	setValue(self.againPassinputBg, "againPassinputBg", 293, cc.size(368, 53), cc.p(352, 40), nil, nil, nil, nil, false)
	self.againPassinputBg:loadTexture("ccs/UiImages/image9/login_img_02.png", 1)
	self.againPassinputBg:setScale9Enabled(true)
	self.againPassinputBg:setCapInsets(cc.rect(10, 10, 31, 28))
	addChildForPre(self.againPassPanel_3, self.againPassinputBg)

	self.againPassinput = ccui.EditBox:create(cc.size(350, 34), ccui.Scale9Sprite:create())
	setValue(self.againPassinput, "againPassinput", 294, cc.size(350, 34), cc.p(352, 40), nil, nil, nil, nil, nil)
	self.againPassinput:setText([[]])
	self.againPassinput:setInputFlag(0)
	self.againPassinput:setReturnType(1)
	self.againPassinput:setInputMode(6)
	self.againPassinput:setPlaceHolder([[InputNewPassWord]])
	self.againPassinput:setFontSize(24)
	self.againPassinput:setPlaceholderFontSize(24)
	self.againPassinput:setFontColor(cc.c4b(255, 255, 255, 255))
	self.againPassinput:setFontName(getFont())
	self.againPassinput:setPlaceholderFontName(getFont())
	addChildForPre(self.againPassPanel_3, self.againPassinput)

	self.againPassimageBg2 = cc.Sprite:create()
	setValue(self.againPassimageBg2, "againPassimageBg2", 295, cc.size(48, 48), cc.p(126.464, 40.0001), nil, nil, nil, nil, nil)
	self.againPassimageBg2:setSpriteFrame("ccs/UiImages/login/login_img_01.png")
	addChildForPre(self.againPassPanel_3, self.againPassimageBg2)

	self.againPassLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.againPassLabel, "againPassLabel", 296, cc.size(91, 23), cc.p(126.464, 40.0001), nil, nil, nil, nil, nil)
	self.againPassLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.againPassPanel_3, self.againPassLabel)

	self.buttonBack = ccui.Button:create()
	setValue(self.buttonBack, "buttonBack", 297, cc.size(153, 64), cc.p(-100, -252.9973), nil, nil, nil, nil, false)
	self.buttonBack:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.buttonBack:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.buttonBack:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.buttonBack:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.buttonBack:setTitleText([[Button]])
	self.buttonBack:setTitleFontSize(24)
	self.buttonBack:setTitleFontName(getFont())
	setClickEvent(self, self.buttonBack, "buttonBack")
	addChildForPre(self.changePasswordPanel_2, self.buttonBack)

	self.buttonModify = ccui.Button:create()
	setValue(self.buttonModify, "buttonModify", 298, cc.size(153, 64), cc.p(100, -252.9973), nil, nil, nil, nil, false)
	self.buttonModify:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.buttonModify:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.buttonModify:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.buttonModify:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.buttonModify:setTitleText([[Button]])
	self.buttonModify:setTitleFontSize(24)
	self.buttonModify:setTitleFontName(getFont())
	setClickEvent(self, self.buttonModify, "buttonModify")
	addChildForPre(self.changePasswordPanel_2, self.buttonModify)

	self.loginPanel = ccui.Layout:create()
	setValue(self.loginPanel, "XYN_loginPanel", 531, cc.size(640, 60), cc.p(320, 297.6), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.loginPanel)
	self.loginPanel_2 = self.loginPanel

	self.buttonSelectServer = ccui.Button:create()
	self.buttonSelectServer:setScale9Enabled(true)
	self.buttonSelectServer:setCapInsets(cc.rect(0, 0, 10, 10))
	self.buttonSelectServer:setContentSize(cc.size(550.4, 52.002))
	setValue(self.buttonSelectServer, "buttonSelectServer", 27, nil, cc.p(320, 30), nil, nil, nil, nil, false)
	self.buttonSelectServer:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.buttonSelectServer:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.buttonSelectServer:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.buttonSelectServer:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.buttonSelectServer:setTitleText([[]])
	self.buttonSelectServer:setTitleColor(cc.c3b(65, 65, 70))
	self.buttonSelectServer:setTitleFontSize(14)
	self.buttonSelectServer:setTitleFontName(getFont())
	setClickEvent(self, self.buttonSelectServer, "buttonSelectServer")
	addChildForPre(self.loginPanel_2, self.buttonSelectServer)

	self.inputBg_Copy_Copy = ccui.ImageView:create()
	setValue(self.inputBg_Copy_Copy, "inputBg_Copy_Copy", 26, cc.size(550.4, 52.002), cc.p(320, 30), nil, nil, nil, nil, false)
	self.inputBg_Copy_Copy:loadTexture("ccs/UiImages/image9/login_img_02.png", 1)
	self.inputBg_Copy_Copy:setScale9Enabled(true)
	self.inputBg_Copy_Copy:setCapInsets(cc.rect(10, 10, 31, 28))
	addChildForPre(self.loginPanel_2, self.inputBg_Copy_Copy)

	self.serverName = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.serverName, "serverName", 28, cc.size(109, 28), cc.p(57.9994, 32.6065), cc.p(0, 0.5), nil, nil, nil, nil)
	self.serverName:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.loginPanel_2, self.serverName)

	self.lbClick = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.lbClick, "lbClick", 29, cc.size(109, 28), cc.p(576.5703, 32.6065), cc.p(1, 0.5), cc.c4b(255, 128, 0, 255), nil, nil, nil)
	self.lbClick:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.lbClick:setColor(cc.c4b(255, 128, 0, 255))
	addChildForPre(self.loginPanel_2, self.lbClick)

	self.titleLabel = createLabel({text=[[NEW]], font=getFont(), size=24})
	setValue(self.titleLabel, "titleLabel", 30, cc.size(55, 28), cc.p(320, 32.4634), nil, cc.c4b(0, 255, 3, 255), nil, nil, nil)
	self.titleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.titleLabel:setColor(cc.c4b(0, 255, 3, 255))
	addChildForPre(self.loginPanel_2, self.titleLabel)

	self.buttonServerList = ccui.Button:create()
	setValue(self.buttonServerList, "buttonServerList", 313, cc.size(215, 76), cc.p(320.0002, -65.6159), nil, nil, nil, nil, false)
	self.buttonServerList:loadTextureNormal("ccs/UiImages/login/login_img_top-02.png", 1)
	self.buttonServerList:loadTexturePressed("ccs/UiImages/login/login_img_top-02.png", 1)
	self.buttonServerList:loadTextureDisabled("ccs/UiImages/login/login_img_top-02.png", 1)
	self.buttonServerList:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.buttonServerList:setTitleText([[Button]])
	self.buttonServerList:setTitleFontSize(24)
	self.buttonServerList:setTitleFontName(getFont())
	setClickEvent(self, self.buttonServerList, "buttonServerList")
	addChildForPre(self.loginPanel_2, self.buttonServerList)

	self.loginStatusButton = ccui.Button:create()
	setValue(self.loginStatusButton, "loginStatusButton", 124, cc.size(215, 76), cc.p(320, -149.6003), nil, nil, nil, nil, false)
	self.loginStatusButton:loadTextureNormal("ccs/UiImages/login/login_img_top-05.png", 1)
	self.loginStatusButton:loadTexturePressed("ccs/UiImages/login/login_img_top-05.png", 1)
	self.loginStatusButton:loadTextureDisabled("ccs/UiImages/login/login_img_top-05.png", 1)
	self.loginStatusButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.loginStatusButton:setTitleText([[Button]])
	self.loginStatusButton:setTitleFontSize(22)
	self.loginStatusButton:setTitleFontName(getFont())
	setClickEvent(self, self.loginStatusButton, "loginStatusButton")
	addChildForPre(self.loginPanel_2, self.loginStatusButton)

	self.lbDesc = createLabel({text=[[]], font=getFont(), size=20})
	setValue(self.lbDesc, "BXN_lbDesc", 21, nil, cc.p(320.0001, 7), cc.p(0.5, 0), cc.c4b(212, 246, 250, 255), nil, nil, nil)
	self.lbDesc:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.lbDesc:setColor(cc.c4b(212, 246, 250, 255))
	addChildForPre(self.rootPanel_1, self.lbDesc)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/common.plist",
	"ccs/plist/login.plist",
	"ccs/plist/image9.plist",
}

return _M
