-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 301, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 29, cc.size(368, 500), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.effect1 = cc.Sprite:create()
	setValue(self.effect1, "effect1", 39, cc.size(360, 140), cc.p(182, 86), nil, nil, 0, nil, nil)
	self.effect1:setSpriteFrame("ccs/UiImages/loginSelectEffect/loginSelectEffect2_tubiao_1.png")
	addChildForPre(self.rootPanel_1, self.effect1)

	self.effect3 = cc.ParticleSystemQuad:create("ccs/Particle/lanse.plist")
 	self.effect3:setPositionType(2) 
	setValue(self.effect3, "effect3", 127, nil, cc.p(186, 70), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.effect3)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(50)
	self.animation:setTimeSpeed(1)
	local timeLine
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(5, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.effect1)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(5, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.effect1)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateTextureFrame(0, true, "ccs/UiImages/loginSelectEffect/loginSelectEffect2_tubiao_1.png", nil))
	timeLine:addFrame(CreateTextureFrame(5, true, "ccs/UiImages/loginSelectEffect/loginSelectEffect2_tubiao_2.png", nil))
	timeLine:addFrame(CreateTextureFrame(10, true, "ccs/UiImages/loginSelectEffect/loginSelectEffect2_tubiao_3.png", nil))
	timeLine:addFrame(CreateTextureFrame(15, true, "ccs/UiImages/loginSelectEffect/loginSelectEffect2_tubiao_4.png", nil))
	timeLine:addFrame(CreateTextureFrame(20, true, "ccs/UiImages/loginSelectEffect/loginSelectEffect2_tubiao_5.png", nil))
	timeLine:addFrame(CreateTextureFrame(25, true, "ccs/UiImages/loginSelectEffect/loginSelectEffect2_tubiao_6.png", nil))
	timeLine:addFrame(CreateTextureFrame(30, true, "ccs/UiImages/loginSelectEffect/loginSelectEffect2_tubiao_7.png", nil))
	timeLine:addFrame(CreateTextureFrame(35, true, "ccs/UiImages/loginSelectEffect/loginSelectEffect2_tubiao_8.png", nil))
	timeLine:addFrame(CreateTextureFrame(40, true, "ccs/UiImages/loginSelectEffect/loginSelectEffect2_tubiao_9.png", nil))
	timeLine:addFrame(CreateTextureFrame(45, true, "ccs/UiImages/loginSelectEffect/loginSelectEffect2_tubiao_10.png", nil))
	timeLine:addFrame(CreateTextureFrame(50, true, "ccs/UiImages/loginSelectEffect/loginSelectEffect2_tubiao_11.png", nil))
	timeLine:setNode(self.effect1)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(0, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(5, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(45, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(50, true, cc.c3b(255,255,255), 0, nil))
	timeLine:setNode(self.effect1)
	return self
end

_M.textures = {
	"ccs/plist/loginSelectEffect.plist",
}

return _M
