-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 301, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 302, cc.size(368, 500), cc.p(0, -4.5), nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.HeroButton = ccui.Button:create()
	self.HeroButton:setScale9Enabled(true)
	self.HeroButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.HeroButton:setContentSize(cc.size(368, 500))
	setValue(self.HeroButton, "HeroButton", 340, nil, cc.p(184, 250), nil, nil, nil, nil, false)
	self.HeroButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.HeroButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.HeroButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.HeroButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.HeroButton:setTitleText([[]])
	self.HeroButton:setTitleColor(cc.c3b(65, 65, 70))
	self.HeroButton:setTitleFontSize(14)
	self.HeroButton:setTitleFontName(getFont())
	setClickEvent(self, self.HeroButton, "HeroButton")
	addChildForPre(self.rootPanel_1, self.HeroButton)

	self.HeroIcon = cc.Sprite:create()
	setValue(self.HeroIcon, "HeroIcon", 303, cc.size(355, 477), cc.p(184, 250), nil, nil, nil, nil, nil)
	self.HeroIcon:setTexture("ccs/BigImages/userHead/userHead_country1_1.webp")
	addChildForPre(self.rootPanel_1, self.HeroIcon)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(185)
	self.animation:setTimeSpeed(1)
	local timeLine
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreatePositionFrame(65, true, 0.0000, 5.0000, nil))
	timeLine:addFrame(CreatePositionFrame(105, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreatePositionFrame(145, true, 0.0000, -5.0000, nil))
	timeLine:addFrame(CreatePositionFrame(185, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.rootPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(105, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(145, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(185, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.rootPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(105, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(145, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(185, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.rootPanel)
	return self
end

_M.textures = {
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
	"ccs/BigImages/userHead/userHead_country1_1.png",
}

return _M
