-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_1 = cc.Node:create()
	setValue(self.Node_1, "Node_1", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_1)
 	self.uiRootNode = self.Node_1
	self.Node_1_0 = self.Node_1

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 68, cc.size(640, 250), nil, nil, nil, nil, nil, nil)
	setBgColor(self.rootPanel, 1, 0, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.Node_1_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bigPanel = ccui.Layout:create()
	setValue(self.bigPanel, "bigPanel", 69, cc.size(640, 214), cc.p(320, 125), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.bigPanel)
	self.bigPanel_2 = self.bigPanel

	self.btnCell = ccui.Button:create()
	self.btnCell:setScale9Enabled(true)
	self.btnCell:setCapInsets(cc.rect(0, 0, 10, 10))
	self.btnCell:setContentSize(cc.size(640, 214))
	setValue(self.btnCell, "btnCell", 1067, nil, cc.p(320, 107), nil, nil, nil, nil, false)
	self.btnCell:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.btnCell:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.btnCell:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.btnCell:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.btnCell:setTitleText([[Button]])
	self.btnCell:setTitleColor(cc.c3b(65, 65, 70))
	self.btnCell:setTitleFontSize(14)
	self.btnCell:setTitleFontName(getFont())
	setClickEvent(self, self.btnCell, "btnCell")
	addChildForPre(self.bigPanel_2, self.btnCell)

	self.imageTitle = cc.Sprite:create()
	setValue(self.imageTitle, "imageTitle", 86, cc.size(608, 210), cc.p(320, 107), nil, nil, nil, nil, nil)
	self.imageTitle:setTexture("ccs/BigImages/background/countryBattle_img_Anti_1.webp")
	addChildForPre(self.bigPanel_2, self.imageTitle)

	self.Image_11_Copy = ccui.ImageView:create()
	setValue(self.Image_11_Copy, "Image_11_Copy", 138, cc.size(610, 72), cc.p(321.024, 34.7964), nil, nil, nil, nil, false)
	self.Image_11_Copy:loadTexture("ccs/UiImages/image9/common_s9_diban1.png", 1)
	self.Image_11_Copy:setScale9Enabled(true)
	self.Image_11_Copy:setCapInsets(cc.rect(5, 5, 9, 9))
	addChildForPre(self.bigPanel_2, self.Image_11_Copy)

	self.imgTitleBg = cc.Sprite:create()
	setValue(self.imgTitleBg, "imgTitleBg", 87, cc.size(226, 47), cc.p(129, 189), nil, nil, nil, nil, nil)
	self.imgTitleBg:setSpriteFrame("ccs/UiImages/common/longMarch_img_txtbg_1.png")
	addChildForPre(self.bigPanel_2, self.imgTitleBg)

	self.lbTitle = createLabel({text=[[Text Label]], font=getFont(), size=30})
	setValue(self.lbTitle, "lbTitle", 87, cc.size(136, 34), cc.p(30.784, 190.2246), cc.p(0, 0.5), nil, nil, nil, nil)
	self.lbTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.lbTitle)

	self.lbCost = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.lbCost, "lbCost", 88, cc.size(109, 28), cc.p(595.024, 35.3956), cc.p(1, 0.5), nil, nil, nil, nil)
	self.lbCost:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.lbCost)

	self.oilIcon = cc.Sprite:create()
	setValue(self.oilIcon, "oilIcon", 93, cc.size(100, 100), cc.p(610, 35), nil, nil, nil, nil, nil)
	self.oilIcon:setScale(0.3)
	self.oilIcon:setSpriteFrame("ccs/UiImages/icon/yuanyoutong.png")
	addChildForPre(self.bigPanel_2, self.oilIcon)

	self.lbCount = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.lbCount, "lbCount", 89, cc.size(91, 23), cc.p(619.008, 196.1952), cc.p(1, 0.5), nil, nil, nil, nil)
	self.lbCount:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.lbCount)

	self.lbDesc = createLabel({text=[[Text Label]], font=getFont(), size=20, dimensions = cc.size(350.0000, 80.0000)})
	setValue(self.lbDesc, "lbDesc", 139, cc.size(350, 80), cc.p(18.752, 67.7096), cc.p(0, 1), nil, nil, nil, false)
	self.lbDesc:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.lbDesc)

	self.flagSprite = cc.Sprite:create()
	setValue(self.flagSprite, "flagSprite", 143, cc.size(46, 46), cc.p(627.2, 209.72), cc.p(1, 1), nil, nil, nil, nil)
	self.flagSprite:setTexture("Default/Sprite.png")
	addChildForPre(self.bigPanel_2, self.flagSprite)

	self.ndNotOpen = cc.Node:create()
	setValue(self.ndNotOpen, "ndNotOpen", 140, nil, cc.p(320, 125), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.ndNotOpen)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
	"ccs/BigImages/background/countryBattle_img_Anti_1.jpg",
	"ccs/plist/icon.plist",
	"Default/Sprite.png",
}

return _M
