-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 3, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 3938, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 13, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.panelScrollview = ccui.Layout:create()
	setValue(self.panelScrollview, "XIN_panelScrollview", 423, cc.size(640, 740), cc.p(320, 131.328), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.panelScrollview)

	self.ImageLine = ccui.ImageView:create()
	setValue(self.ImageLine, "WXN_ImageLine", 283, cc.size(640, 30), cc.p(320, 120), nil, nil, nil, nil, false)
	self.ImageLine:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.ImageLine:setScale9Enabled(true)
	self.ImageLine:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.dialogPanel_2, self.ImageLine)

	self.ImageLine2 = ccui.ImageView:create()
	setValue(self.ImageLine2, "WXN_ImageLine2", 820, cc.size(640, 8), cc.p(323.797, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.ImageLine2:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	self.ImageLine2:setScale9Enabled(true)
	self.ImageLine2:setCapInsets(cc.rect(0, 0, 640, 8))
	addChildForPre(self.dialogPanel_2, self.ImageLine2)

	self.Sprite_1 = cc.Sprite:create()
	setValue(self.Sprite_1, "Sprite_1", 550, cc.size(35, 35), cc.p(272.448, 57.6), nil, nil, nil, nil, nil)
	self.Sprite_1:setSpriteFrame("ccs/UiImages/common/commonIcon_icon_oil_2.png")
	addChildForPre(self.dialogPanel_2, self.Sprite_1)

	self.lbOil = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.lbOil, "lbOil", 284, cc.size(109, 28), cc.p(294.4, 55.296), cc.p(0, 0.5), nil, nil, nil, nil)
	self.lbOil:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.lbOil)

	if CommonDialogFrame1CloseUi then 
 		self.commonDialogFrame1CloseUi = CommonDialogFrame1CloseUi.new() 
 	else 
		self.commonDialogFrame1CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame1CloseUi, "commonDialogFrame1CloseUi", 3950, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/common.plist",
}

return _M
