-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_0 = cc.Node:create()
	setValue(self.Node_0, "Node_0", 167, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_0)
 	self.uiRootNode = self.Node_0
	self.Node_0_0 = self.Node_0

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 168, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	setBgColor(self.rootPanel, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.Node_0_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 2598, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 1069, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.topPanel = ccui.Layout:create()
	setValue(self.topPanel, "WTX_topPanel", 433, cc.size(640, 70), cc.p(0, 805), nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.topPanel)
	self.topPanel_3 = self.topPanel

	self.ImageIcon = ccui.ImageView:create()
	setValue(self.ImageIcon, "ImageIcon", 2153, cc.size(50, 65), cc.p(46, 37), nil, nil, nil, nil, nil)
	self.ImageIcon:setScale(0.8)
	self.ImageIcon:loadTexture("ccs/UiImages/common/longMarch_icon_duobaoling_1.png", 1)
	addChildForPre(self.topPanel_3, self.ImageIcon)

	self.ItemLabel = createLabel({text=[[20/20]], font=getFont(), size=28})
	setValue(self.ItemLabel, "ItemLabel", 2154, cc.size(70, 32), cc.p(78, 37), cc.p(0, 0.5), nil, nil, nil, nil)
	self.ItemLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.topPanel_3, self.ItemLabel)

	self.illustrationButton = ccui.Button:create()
	setValue(self.illustrationButton, "RNN_illustrationButton", 2245, cc.size(81, 26), cc.p(570, 37), nil, cc.c4b(0, 230, 255, 255), nil, nil, false)
	self.illustrationButton:loadTextureNormal("ccs/UiImages/image9/Underline.png", 1)
	self.illustrationButton:loadTexturePressed("ccs/UiImages/image9/Underline.png", 1)
	self.illustrationButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.illustrationButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.illustrationButton:setTitleText([[说明]])
	self.illustrationButton:setTitleColor(cc.c3b(0, 230, 255))
	self.illustrationButton:setTitleFontSize(24)
	self.illustrationButton:setTitleFontName(getFont())
	setClickEvent(self, self.illustrationButton, "illustrationButton")
	addChildForPre(self.topPanel_3, self.illustrationButton)

	self.imageLine_Copy = ccui.ImageView:create()
	setValue(self.imageLine_Copy, "WXN_imageLine_Copy", 86, cc.size(640, 8), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.imageLine_Copy:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	self.imageLine_Copy:setScale9Enabled(true)
	self.imageLine_Copy:setCapInsets(cc.rect(0, 0, 640, 8))
	addChildForPre(self.topPanel_3, self.imageLine_Copy)

	if RaidersOfArkCheckBox then 
 		self.RaidersOfArkCheckBox = RaidersOfArkCheckBox.new() 
 	else 
		self.RaidersOfArkCheckBox = BaseUi.new("ccs/ui/longMarch/RaidersOfArkCheckBox.lua")
 	end 
	setValue(self.RaidersOfArkCheckBox, "RaidersOfArkCheckBox", 179, nil, cc.p(0, 185), nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.RaidersOfArkCheckBox)

	self.ContentPanel = ccui.Layout:create()
	setValue(self.ContentPanel, "WIN_ContentPanel", 1607, cc.size(626, 455), cc.p(7, 342), nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.ContentPanel)
	self.ContentPanel_3 = self.ContentPanel

	self.imageContentBg = ccui.ImageView:create()
	setValue(self.imageContentBg, "AXY_imageContentBg", 142, cc.size(626, 455), cc.p(313, 227.5), nil, nil, nil, nil, false)
	self.imageContentBg:loadTexture("ccs/UiImages/image9/common_s9_diban1.png", 1)
	self.imageContentBg:setScale9Enabled(true)
	self.imageContentBg:setCapInsets(cc.rect(8, 8, 8, 8))
	addChildForPre(self.ContentPanel_3, self.imageContentBg)

	if RobNoPieceUi then 
 		self.RobNoPieceUi = RobNoPieceUi.new() 
 	else 
		self.RobNoPieceUi = BaseUi.new("ccs/ui/robPiece/RobNoPieceUi.lua")
 	end 
	setValue(self.RobNoPieceUi, "RobNoPieceUi", 1917, nil, cc.p(7, 0), nil, nil, nil, nil, nil)
	addChildForPre(self.ContentPanel_3, self.RobNoPieceUi)

	self.CenterPanel = ccui.Layout:create()
	setValue(self.CenterPanel, "WXN_CenterPanel", 1608, cc.size(609, 455), cc.p(313, 227.5), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.ContentPanel_3, self.CenterPanel)
	self.CenterPanel_4 = self.CenterPanel

	self.pieceListViewPanel = ccui.Layout:create()
	setValue(self.pieceListViewPanel, "ANN_pieceListViewPanel", 1511, cc.size(604, 365), cc.p(0, 79), nil, nil, nil, nil, nil)
	addChildForPre(self.CenterPanel_4, self.pieceListViewPanel)

	self.ComposeButton = ccui.Button:create()
	setValue(self.ComposeButton, "RNN_ComposeButton", 2150, cc.size(153, 64), cc.p(460, 40), nil, nil, nil, nil, false)
	self.ComposeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.ComposeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.ComposeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.ComposeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.ComposeButton:setTitleText([[Button]])
	self.ComposeButton:setTitleFontSize(24)
	self.ComposeButton:setTitleFontName(getFont())
	setClickEvent(self, self.ComposeButton, "ComposeButton")
	addChildForPre(self.CenterPanel_4, self.ComposeButton)

	self.ComposeAllButton = ccui.Button:create()
	setValue(self.ComposeAllButton, "LNN_ComposeAllButton", 2151, cc.size(153, 64), cc.p(140, 40), nil, nil, nil, nil, false)
	self.ComposeAllButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.ComposeAllButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.ComposeAllButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.ComposeAllButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.ComposeAllButton:setTitleText([[Button]])
	self.ComposeAllButton:setTitleFontSize(24)
	self.ComposeAllButton:setTitleFontName(getFont())
	setClickEvent(self, self.ComposeAllButton, "ComposeAllButton")
	addChildForPre(self.CenterPanel_4, self.ComposeAllButton)

	self.ButtomPanel = ccui.Layout:create()
	setValue(self.ButtomPanel, "WXN_ButtomPanel", 441, cc.size(640, 175), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.ButtomPanel)
	self.ButtomPanel_3 = self.ButtomPanel

	self.noHaveParts = createLabel({text=[[noHaveParts]], font=getFont(), size=30,align = 1,valign = 1, dimensions = cc.size(520.0000, 142.0000)})
	setValue(self.noHaveParts, "XNN_noHaveParts", 2224, cc.size(520, 142), cc.p(320, 87.5), nil, nil, nil, nil, false)
	self.noHaveParts:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.ButtomPanel_3, self.noHaveParts)

	self.ItemList = ccui.Layout:create()
	setValue(self.ItemList, "WXN_ItemList", 3152, cc.size(588, 150), cc.p(320, 87.5), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.ButtomPanel_3, self.ItemList)

	self.LeftButton = ccui.Button:create()
	setValue(self.LeftButton, "LNN_LeftButton", 775, cc.size(18, 104), cc.p(9.984, 87.5), nil, nil, nil, nil, nil)
	self.LeftButton:setFlippedX(true)
	self.LeftButton:loadTextureNormal("ccs/UiImages/common/camp_btn_huadong_0.png", 1)
	self.LeftButton:loadTexturePressed("ccs/UiImages/common/camp_btn_huadong_1.png", 1)
	self.LeftButton:loadTextureDisabled("ccs/UiImages/common/camp_btn_huadong_1.png", 1)
	self.LeftButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.LeftButton:setTitleText([[]])
	self.LeftButton:setTitleColor(cc.c3b(65, 65, 70))
	self.LeftButton:setTitleFontSize(14)
	self.LeftButton:setTitleFontName(getFont())
	setClickEvent(self, self.LeftButton, "LeftButton")
	addChildForPre(self.ButtomPanel_3, self.LeftButton)

	self.RightButton = ccui.Button:create()
	setValue(self.RightButton, "RNN_RightButton", 1357, cc.size(18, 104), cc.p(630.016, 87.5), nil, nil, nil, nil, nil)
	self.RightButton:loadTextureNormal("ccs/UiImages/common/camp_btn_huadong_0.png", 1)
	self.RightButton:loadTexturePressed("ccs/UiImages/common/camp_btn_huadong_1.png", 1)
	self.RightButton:loadTextureDisabled("ccs/UiImages/common/camp_btn_huadong_1.png", 1)
	self.RightButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.RightButton:setTitleText([[]])
	self.RightButton:setTitleColor(cc.c3b(65, 65, 70))
	self.RightButton:setTitleFontSize(14)
	self.RightButton:setTitleFontName(getFont())
	setClickEvent(self, self.RightButton, "RightButton")
	addChildForPre(self.ButtomPanel_3, self.RightButton)

	self.buttomslice = ccui.ImageView:create()
	setValue(self.buttomslice, "WXN_buttomslice", 525, cc.size(640, 30), cc.p(320, 175), nil, nil, nil, nil, false)
	self.buttomslice:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.buttomslice:setScale9Enabled(true)
	self.buttomslice:setCapInsets(cc.rect(1, 0, 638, 30))
	addChildForPre(self.ButtomPanel_3, self.buttomslice)

	self.imageLine = ccui.ImageView:create()
	setValue(self.imageLine, "WXN_imageLine", 2225, cc.size(640, 8), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.imageLine:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	self.imageLine:setScale9Enabled(true)
	self.imageLine:setCapInsets(cc.rect(0, 0, 640, 8))
	addChildForPre(self.ButtomPanel_3, self.imageLine)

	if CommonDialogFrame1CloseUi then 
 		self.CommonDialogFrame1CloseUi = CommonDialogFrame1CloseUi.new() 
 	else 
		self.CommonDialogFrame1CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1CloseUi.lua")
 	end 
	setValue(self.CommonDialogFrame1CloseUi, "CommonDialogFrame1CloseUi", 261, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0_0, self.CommonDialogFrame1CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/common.plist",
	"Default/Button_Disable.png",
	"ccs/plist/image9.plist",
	"ccs/plist/camp.plist",
}

return _M
