-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 914, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 915, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	setBgColor(self.rootPanel, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 941, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.Panel_31 = ccui.Layout:create()
	setValue(self.Panel_31, "Panel_31", 1034, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	self.Panel_31:setBackGroundImage("ccs/test/21.png", 0)
	setBgColor(self.Panel_31, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Panel_31)

	if RaidersOfArkCheckBox then 
 		self.RaidersOfArkCheckBox = RaidersOfArkCheckBox.new() 
 	else 
		self.RaidersOfArkCheckBox = BaseUi.new("ccs/ui/longMarch/RaidersOfArkCheckBox.lua")
 	end 
	setValue(self.RaidersOfArkCheckBox, "RaidersOfArkCheckBox", 1009, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.RaidersOfArkCheckBox)

	self.ContentPanel = ccui.Layout:create()
	setValue(self.ContentPanel, "WXN_ContentPanel", 1033, cc.size(640, 810), cc.p(0, 150), nil, nil, nil, nil, nil)
	setBgColor(self.ContentPanel, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.ContentPanel)
	self.ContentPanel_2 = self.ContentPanel

	self.homeButton = ccui.Button:create()
	setValue(self.homeButton, "LTN_homeButton", 1125, cc.size(80, 60), cc.p(40.8656, 765.9573), nil, nil, nil, nil, nil)
	self.homeButton:loadTextureNormal("ccs/UiImages/common/common_btn_home_0.png", 1)
	self.homeButton:loadTexturePressed("ccs/UiImages/common/common_btn_home_0.png", 1)
	self.homeButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.homeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.homeButton:setTitleText([[]])
	self.homeButton:setTitleColor(cc.c3b(65, 65, 70))
	self.homeButton:setTitleFontSize(14)
	self.homeButton:setTitleFontName(getFont())
	setClickEvent(self, self.homeButton, "homeButton")
	addChildForPre(self.ContentPanel_2, self.homeButton)

	self.closeButton = ccui.Button:create()
	setValue(self.closeButton, "RTN_closeButton", 1126, cc.size(80, 60), cc.p(602.1343, 773.0163), nil, nil, nil, nil, nil)
	self.closeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_close_0.png", 1)
	self.closeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_close_1.png", 1)
	self.closeButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.closeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.closeButton:setTitleText([[]])
	self.closeButton:setTitleColor(cc.c3b(65, 65, 70))
	self.closeButton:setTitleFontSize(14)
	self.closeButton:setTitleFontName(getFont())
	setClickEvent(self, self.closeButton, "closeButton")
	addChildForPre(self.ContentPanel_2, self.closeButton)

	self.contentPanel = ccui.Layout:create()
	setValue(self.contentPanel, "XYN_contentPanel", 1525, cc.size(610, 650), cc.p(11.1933, 21.3873), nil, nil, nil, nil, nil)
	setBgColor(self.contentPanel, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.ContentPanel_2, self.contentPanel)
	self.contentPanel_3 = self.contentPanel

	self.contentBg = ccui.ImageView:create()
	setValue(self.contentBg, "AXY_contentBg", 2074, cc.size(610, 650), nil, cc.p(0, 0), nil, nil, nil, false)
	self.contentBg:loadTexture("ccs/UiImages/image9/common_s9_xiankuang.png", 1)
	self.contentBg:setScale9Enabled(true)
	self.contentBg:setCapInsets(cc.rect(5, 5, 26, 28))
	addChildForPre(self.contentPanel_3, self.contentBg)

	self.ContentTitle = createLabel({text=[[获取碎片]], font=getFont(), size=30})
	setValue(self.ContentTitle, "ContentTitle", 2148, cc.size(120, 34), cc.p(308.0915, 597.256), nil, nil, nil, nil, nil)
	self.ContentTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.contentPanel_3, self.ContentTitle)

	self.ContentListPanel = ccui.Layout:create()
	setValue(self.ContentListPanel, "ContentListPanel", 2149, cc.size(550, 520), cc.p(33.5804, 29.8501), nil, nil, nil, nil, nil)
	setBgColor(self.ContentListPanel, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.contentPanel_3, self.ContentListPanel)
	self.ContentListPanel_4 = self.ContentListPanel

	self.ContentListItemPanel1 = ccui.Layout:create()
	setValue(self.ContentListItemPanel1, "ContentListItemPanel1", 2150, cc.size(550, 241), cc.p(0.0001, 278.1644), nil, nil, nil, nil, nil)
	setBgColor(self.ContentListItemPanel1, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.ContentListPanel_4, self.ContentListItemPanel1)
	self.ContentListItemPanel1_5 = self.ContentListItemPanel1

	self.ContentLIstItemBg = ccui.ImageView:create()
	setValue(self.ContentLIstItemBg, "ContentLIstItemBg", 2207, cc.size(46, 46), nil, nil, nil, nil, nil, nil)
	self.ContentLIstItemBg:loadTexture("Default/ImageFile.png")
	addChildForPre(self.ContentListItemPanel1_5, self.ContentLIstItemBg)

	self.ContentListItemTitle = createLabel({text=[[战役获取]], font=getFont(), size=30})
	setValue(self.ContentListItemTitle, "ContentListItemTitle", 2152, cc.size(120, 34), cc.p(275.6443, 126.7257), nil, nil, nil, nil, nil)
	self.ContentListItemTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.ContentListItemPanel1_5, self.ContentListItemTitle)

	self.ContentListItemButton = ccui.Button:create()
	setValue(self.ContentListItemButton, "ContentListItemButton", 2153, cc.size(153, 64), cc.p(270.5268, 38.736), nil, nil, nil, nil, false)
	self.ContentListItemButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.ContentListItemButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.ContentListItemButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.ContentListItemButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.ContentListItemButton:setTitleText([[前往]])
	self.ContentListItemButton:setTitleColor(cc.c3b(65, 65, 70))
	self.ContentListItemButton:setTitleFontSize(24)
	self.ContentListItemButton:setTitleFontName(getFont())
	setClickEvent(self, self.ContentListItemButton, "ContentListItemButton")
	addChildForPre(self.ContentListItemPanel1_5, self.ContentListItemButton)

	self.ContentListItemPanel2 = ccui.Layout:create()
	setValue(self.ContentListItemPanel2, "ContentListItemPanel2", 2151, cc.size(550, 241), nil, nil, nil, nil, nil, nil)
	setBgColor(self.ContentListItemPanel2, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.ContentListPanel_4, self.ContentListItemPanel2)
	self.ContentListItemPanel2_5 = self.ContentListItemPanel2

	self.ContentLIstItemBg = ccui.ImageView:create()
	setValue(self.ContentLIstItemBg, "ContentLIstItemBg", 2208, cc.size(46, 46), cc.p(10, -10), nil, nil, nil, nil, nil)
	self.ContentLIstItemBg:loadTexture("Default/ImageFile.png")
	addChildForPre(self.ContentListItemPanel2_5, self.ContentLIstItemBg)

	self.ContentListItemTitle = createLabel({text=[[战役获取]], font=getFont(), size=30})
	setValue(self.ContentListItemTitle, "ContentListItemTitle", 2205, cc.size(120, 34), cc.p(274.6439, 131.7257), nil, nil, nil, nil, nil)
	self.ContentListItemTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.ContentListItemPanel2_5, self.ContentListItemTitle)

	self.ContentListItemButton = ccui.Button:create()
	setValue(self.ContentListItemButton, "ContentListItemButton", 2206, cc.size(153, 64), cc.p(278.5267, 38.74), nil, nil, nil, nil, false)
	self.ContentListItemButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.ContentListItemButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.ContentListItemButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.ContentListItemButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.ContentListItemButton:setTitleText([[前往]])
	self.ContentListItemButton:setTitleColor(cc.c3b(65, 65, 70))
	self.ContentListItemButton:setTitleFontSize(24)
	self.ContentListItemButton:setTitleFontName(getFont())
	setClickEvent(self, self.ContentListItemButton, "ContentListItemButton")
	addChildForPre(self.ContentListItemPanel2_5, self.ContentListItemButton)

	self.ItemNumCom = ccui.Layout:create()
	setValue(self.ItemNumCom, "LXN_ItemNumCom", 1576, cc.size(620, 60), cc.p(6.3279, 670.7449), nil, nil, nil, nil, nil)
	setBgColor(self.ItemNumCom, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.ContentPanel_2, self.ItemNumCom)
	self.ItemNumCom_3 = self.ItemNumCom

	self.ImageIcon = ccui.ImageView:create()
	setValue(self.ImageIcon, "ImageIcon", 1734, cc.size(35, 35), cc.p(25.1102, 29.181), nil, nil, nil, nil, nil)
	self.ImageIcon:loadTexture("ccs/UiImages/common/commonIcon_icon_Gold_1.png", 1)
	addChildForPre(self.ItemNumCom_3, self.ImageIcon)

	self.itemLabel = createLabel({text=[[20/20]], font=getFont(), size=28})
	setValue(self.itemLabel, "itemLabel", 1735, cc.size(70, 32), cc.p(77.9012, 29.1779), nil, nil, nil, nil, nil)
	self.itemLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.ItemNumCom_3, self.itemLabel)

	self.illustrationButton = ccui.Button:create()
	setValue(self.illustrationButton, "RXN_illustrationButton", 1966, cc.size(81, 26), cc.p(599.1333, 698.7122), nil, cc.c4b(0, 230, 255, 255), nil, nil, false)
	self.illustrationButton:loadTextureNormal("ccs/UiImages/image9/Underline.png", 1)
	self.illustrationButton:loadTexturePressed("ccs/UiImages/image9/Underline.png", 1)
	self.illustrationButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.illustrationButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.illustrationButton:setTitleText([[说明]])
	self.illustrationButton:setTitleColor(cc.c3b(0, 230, 255))
	self.illustrationButton:setTitleFontSize(24)
	self.illustrationButton:setTitleFontName(getFont())
	setClickEvent(self, self.illustrationButton, "illustrationButton")
	addChildForPre(self.ContentPanel_2, self.illustrationButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/test/21.png",
	"Default/Button_Disable.png",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
	"Default/ImageFile.png",
}

return _M
