-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 64, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "XYN_dialogPanel", 72, cc.size(490, 390), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.imageBg = ccui.ImageView:create()
	setValue(self.imageBg, "imageBg", 306, cc.size(490, 390), cc.p(245, 195), nil, nil, nil, nil, false)
	self.imageBg:loadTexture("ccs/UiImages/image9/commonPanel_s9_bg_1.png", 1)
	self.imageBg:setScale9Enabled(true)
	self.imageBg:setCapInsets(cc.rect(30, 30, 112, 10))
	addChildForPre(self.dialogPanel_2, self.imageBg)

	self.floorImage = ccui.ImageView:create()
	setValue(self.floorImage, "floorImage", 381, cc.size(465, 360), cc.p(245, 195), nil, nil, nil, nil, false)
	self.floorImage:loadTexture("ccs/UiImages/image9/CommonPanel_img_chuangkoubeijing_1.png", 1)
	self.floorImage:setScale9Enabled(true)
	self.floorImage:setCapInsets(cc.rect(0, 0, 470, 5))
	addChildForPre(self.dialogPanel_2, self.floorImage)

	self.titleBg = cc.Sprite:create()
	setValue(self.titleBg, "titleBg", 325, cc.size(462, 106), cc.p(245, 385), nil, nil, nil, nil, nil)
	self.titleBg:setScale(0.5)
	self.titleBg:setSpriteFrame("ccs/UiImages/commonBg/CommonPanel_img_WinHeader_1.png")
	addChildForPre(self.dialogPanel_2, self.titleBg)

	self.titleLabel = createLabel({text=[[Text Label]], font=getFont(), size=30})
	setValue(self.titleLabel, "titleLabel", 344, cc.size(136, 34), cc.p(245, 386), nil, nil, nil, nil, nil)
	self.titleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.titleLabel)

	self.Image_6 = ccui.ImageView:create()
	setValue(self.Image_6, "Image_6", 1470, cc.size(466, 100), cc.p(244.6278, 60), nil, nil, nil, nil, nil)
	self.Image_6:loadTexture("ccs/UiImages/commonBg/CommonPanel_img_bg_2.png", 1)
	addChildForPre(self.dialogPanel_2, self.Image_6)

	self.BuyButton = ccui.Button:create()
	setValue(self.BuyButton, "BuyButton", 1304, cc.size(153, 64), cc.p(137.2, 46.8), nil, nil, nil, nil, false)
	self.BuyButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.BuyButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.BuyButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.BuyButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.BuyButton:setTitleText([[cancel]])
	self.BuyButton:setTitleColor(cc.c3b(228, 228, 247))
	self.BuyButton:setTitleFontSize(25)
	self.BuyButton:setTitleFontName(getFont())
	setClickEvent(self, self.BuyButton, "BuyButton")
	addChildForPre(self.dialogPanel_2, self.BuyButton)

	self.UseButton = ccui.Button:create()
	setValue(self.UseButton, "UseButton", 1305, cc.size(153, 64), cc.p(352.8, 46.8), nil, nil, nil, nil, false)
	self.UseButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.UseButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.UseButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.UseButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.UseButton:setTitleText([[buy]])
	self.UseButton:setTitleColor(cc.c3b(237, 237, 247))
	self.UseButton:setTitleFontSize(25)
	self.UseButton:setTitleFontName(getFont())
	setClickEvent(self, self.UseButton, "UseButton")
	addChildForPre(self.dialogPanel_2, self.UseButton)

	self.label1Panel = ccui.Layout:create()
	setValue(self.label1Panel, "label1Panel", 1365, cc.size(150, 50), cc.p(86.1599, 290), cc.p(0, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.label1Panel)
	self.label1Panel_3 = self.label1Panel

	self.title1label = createLabel({text=[[消耗]], font=getFont(), size=24})
	setValue(self.title1label, "title1label", 1367, cc.size(48, 28), cc.p(52.1196, 24.1015), cc.p(1, 0.5), nil, nil, nil, nil)
	self.title1label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.label1Panel_3, self.title1label)

	self.item1Image = ccui.ImageView:create()
	setValue(self.item1Image, "item1Image", 1368, cc.size(35, 35), cc.p(78.2431, 24.1015), nil, nil, nil, nil, nil)
	self.item1Image:loadTexture("ccs/UiImages/common/commonIcon_icon_ZuanShi_2.png", 1)
	addChildForPre(self.label1Panel_3, self.item1Image)

	self.num1Label = createLabel({text=[[1]], font=getFont(), size=24})
	setValue(self.num1Label, "num1Label", 1369, cc.size(13, 28), cc.p(106.5, 24.1), cc.p(0, 0.5), nil, nil, nil, nil)
	self.num1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.label1Panel_3, self.num1Label)

	self.label2Panel = ccui.Layout:create()
	setValue(self.label2Panel, "label2Panel", 1366, cc.size(150, 50), cc.p(260.2321, 290), cc.p(0, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.label2Panel)
	self.label2Panel_3 = self.label2Panel

	self.title2label = createLabel({text=[[可获得]], font=getFont(), size=24})
	setValue(self.title2label, "title2label", 1370, cc.size(72, 28), cc.p(74.037, 24.1015), cc.p(1, 0.5), nil, nil, nil, nil)
	self.title2label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.label2Panel_3, self.title2label)

	self.item2Image = ccui.ImageView:create()
	setValue(self.item2Image, "item2Image", 1371, cc.size(35, 35), cc.p(89.3857, 24.1015), nil, nil, nil, nil, nil)
	self.item2Image:loadTexture("ccs/UiImages/common/commonIcon_icon_oil_2.png", 1)
	addChildForPre(self.label2Panel_3, self.item2Image)

	self.num2Label = createLabel({text=[[1]], font=getFont(), size=24})
	setValue(self.num2Label, "num2Label", 1373, cc.size(13, 28), cc.p(107.41, 24.1015), cc.p(0, 0.5), nil, nil, nil, nil)
	self.num2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.label2Panel_3, self.num2Label)

	self.desLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.desLabel, "desLabel", 1374, cc.size(109, 28), cc.p(245, 195), nil, nil, nil, nil, nil)
	self.desLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.desLabel)

	self.oilIcon = cc.Sprite:create()
	setValue(self.oilIcon, "oilIcon", 69, cc.size(100, 100), cc.p(355.6134, 91.1827), nil, nil, nil, nil, nil)
	self.oilIcon:setScale(0.4)
	self.oilIcon:setSpriteFrame("ccs/UiImages/icon/icon_xiaoyuanyou.png")
	addChildForPre(self.dialogPanel_2, self.oilIcon)

	self.oilGetNumTitle = createLabel({text=[[0]], font=getFont(), size=24})
	setValue(self.oilGetNumTitle, "oilGetNumTitle", 303, cc.size(13, 28), cc.p(329.368, 91.184), cc.p(1, 0.5), nil, nil, nil, nil)
	self.oilGetNumTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.oilGetNumTitle)

	self.oilGetNumLabel = createLabel({text=[[0]], font=getFont(), size=24})
	setValue(self.oilGetNumLabel, "oilGetNumLabel", 70, cc.size(13, 28), cc.p(380.504, 91.184), cc.p(0, 0.5), nil, nil, nil, nil)
	self.oilGetNumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.oilGetNumLabel)

	self.closeButton = ccui.Button:create()
	setValue(self.closeButton, "closeButton", 391, cc.size(86, 55), cc.p(448, 382), nil, nil, nil, nil, nil)
	self.closeButton:loadTextureNormal("ccs/UiImages/common/CommonPanel_btn_X_0.png", 1)
	self.closeButton:loadTexturePressed("ccs/UiImages/common/CommonPanel_btn_X_1.png", 1)
	self.closeButton:loadTextureDisabled("ccs/UiImages/common/CommonPanel_btn_X_1.png", 1)
	self.closeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.closeButton:setTitleText([[]])
	self.closeButton:setTitleColor(cc.c3b(65, 65, 70))
	self.closeButton:setTitleFontSize(14)
	self.closeButton:setTitleFontName(getFont())
	setClickEvent(self, self.closeButton, "closeButton")
	addChildForPre(self.dialogPanel_2, self.closeButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/commonBg.plist",
	"ccs/plist/common.plist",
	"ccs/plist/icon.plist",
}

return _M
