-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 1099, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 1100, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame5Ui then 
 		self.commonDialogFrame5Ui = CommonDialogFrame5Ui.new() 
 	else 
		self.commonDialogFrame5Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame5Ui.lua")
 	end 
	setValue(self.commonDialogFrame5Ui, "commonDialogFrame5Ui", 1106, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame5Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "XYN_dialogPanel", 1328, cc.size(640, 480), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.internalPanel = ccui.Layout:create()
	setValue(self.internalPanel, "XYN_internalPanel", 1159, cc.size(640, 480), cc.p(320, 240), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.internalPanel)
	self.internalPanel_3 = self.internalPanel

	self.inputBGImage = ccui.ImageView:create()
	setValue(self.inputBGImage, "inputBGImage", 1330, cc.size(280, 50), cc.p(314.048, 281.856), nil, nil, nil, nil, false)
	self.inputBGImage:loadTexture("ccs/UiImages/login/login_img_09.png", 1)
	self.inputBGImage:setScale9Enabled(true)
	self.inputBGImage:setCapInsets(cc.rect(6, 6, 4, 4))
	addChildForPre(self.internalPanel_3, self.inputBGImage)

	self.desc1Label = createLabel({text=[[desc1Label]], font=getFont(), size=20})
	setValue(self.desc1Label, "desc1Label", 1332, cc.size(102, 23), cc.p(320, 230.4), nil, nil, nil, nil, nil)
	self.desc1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.internalPanel_3, self.desc1Label)

	self.desc2Label = createLabel({text=[[desc2Label]], font=getFont(), size=20})
	setValue(self.desc2Label, "desc2Label", 1333, cc.size(102, 23), cc.p(320, 192), nil, cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.desc2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.desc2Label:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.internalPanel_3, self.desc2Label)

	self.cancelButton = ccui.Button:create()
	setValue(self.cancelButton, "cancelButton", 1334, cc.size(153, 64), cc.p(219.392, 142.56), nil, nil, nil, nil, false)
	self.cancelButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.cancelButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.cancelButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.cancelButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.cancelButton:setTitleText([[cancel]])
	self.cancelButton:setTitleFontSize(25)
	self.cancelButton:setTitleFontName(getFont())
	setClickEvent(self, self.cancelButton, "cancelButton")
	addChildForPre(self.internalPanel_3, self.cancelButton)

	self.okButton = ccui.Button:create()
	setValue(self.okButton, "okButton", 1335, cc.size(153, 64), cc.p(432.896, 142.56), nil, nil, nil, nil, false)
	self.okButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.okButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.okButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.okButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.okButton:setTitleText([[ok]])
	self.okButton:setTitleFontSize(25)
	self.okButton:setTitleFontName(getFont())
	setClickEvent(self, self.okButton, "okButton")
	addChildForPre(self.internalPanel_3, self.okButton)

	self.diceButton = ccui.Button:create()
	self.diceButton:setScale9Enabled(true)
	self.diceButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.diceButton:setContentSize(cc.size(100, 100))
	setValue(self.diceButton, "diceButton", 1419, nil, cc.p(500.032, 279.984), nil, nil, nil, nil, false)
	self.diceButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.diceButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.diceButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.diceButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.diceButton:setTitleText([[]])
	self.diceButton:setTitleColor(cc.c3b(65, 65, 70))
	self.diceButton:setTitleFontSize(14)
	self.diceButton:setTitleFontName(getFont())
	setClickEvent(self, self.diceButton, "diceButton")
	addChildForPre(self.internalPanel_3, self.diceButton)

	self.nameLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.nameLabel, "nameLabel", 364, cc.size(109, 28), cc.p(319.9499, 338.4091), nil, nil, nil, nil, nil)
	self.nameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.internalPanel_3, self.nameLabel)

	self.diceImage = cc.Sprite:create()
	setValue(self.diceImage, "diceImage", 55, cc.size(100, 100), cc.p(500, 280), nil, nil, nil, nil, nil)
	self.diceImage:setSpriteFrame("ccs/UiImages/login/login_sz_1.png")
	addChildForPre(self.internalPanel_3, self.diceImage)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/login.plist",
	"ccs/plist/image9.plist",
}

return _M
