-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 2, cc.size(500, 66), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.Image1 = ccui.ImageView:create()
	setValue(self.Image1, "Image1", 799, cc.size(400, 53), cc.p(50, 33), cc.p(0, 0.5), nil, nil, nil, false)
	self.Image1:setFlippedY(true)
	self.Image1:loadTexture("ccs/UiImages/mainUiFeeling/mainUi_plate1.png", 1)
	self.Image1:setScale9Enabled(true)
	self.Image1:setCapInsets(cc.rect(0, 0, 430, 53))
	addChildForPre(self.rootPanel_1, self.Image1)

	self.chatButtonOld = ccui.Button:create()
	setValue(self.chatButtonOld, "LYN_chatButtonOld", 197, cc.size(69, 50), cc.p(0, 33), cc.p(0, 0.5), nil, nil, nil, nil)
	self.chatButtonOld:loadTextureNormal("ccs/UiImages/mainUiFeeling/mainUi_btn_talk.png", 1)
	self.chatButtonOld:loadTexturePressed("ccs/UiImages/mainUiFeeling/mainUi_btn_talk.png", 1)
	self.chatButtonOld:loadTextureDisabled("ccs/UiImages/mainUiFeeling/mainUi_btn_talk.png", 1)
	self.chatButtonOld:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.chatButtonOld:setTitleText([[]])
	self.chatButtonOld:setTitleColor(cc.c3b(65, 65, 70))
	self.chatButtonOld:setTitleFontSize(14)
	self.chatButtonOld:setTitleFontName(getFont())
	setClickEvent(self, self.chatButtonOld, "chatButtonOld")
	addChildForPre(self.rootPanel_1, self.chatButtonOld)

	self.chatButton = ccui.Button:create()
	self.chatButton:setScale9Enabled(true)
	self.chatButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.chatButton:setContentSize(cc.size(468, 65))
	setValue(self.chatButton, "LYN_chatButton", 320, nil, cc.p(0, 33), cc.p(0, 0.5), nil, nil, nil, false)
	self.chatButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.chatButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.chatButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.chatButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.chatButton:setTitleText([[]])
	self.chatButton:setTitleColor(cc.c3b(65, 65, 70))
	self.chatButton:setTitleFontSize(14)
	self.chatButton:setTitleFontName(getFont())
	setClickEvent(self, self.chatButton, "chatButton")
	addChildForPre(self.rootPanel_1, self.chatButton)

	self.labelPanel = ccui.Layout:create()
	setValue(self.labelPanel, "labelPanel", 1167, cc.size(380, 53), cc.p(67.6353, 6.5), nil, nil, nil, nil, nil)
	self.labelPanel:setClippingEnabled(true)
	addChildForPre(self.rootPanel_1, self.labelPanel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/mainUiFeeling.plist",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
}

return _M
