-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 184, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 185, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "AXY_Panel", 316, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Panel)
	self.Panel_2 = self.Panel

	self.birdPanel = ccui.Layout:create()
	setValue(self.birdPanel, "GXY_birdPanel", 317, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.birdPanel)
	self.birdPanel_3 = self.birdPanel

	self.bird1 = cc.Sprite:create()
	setValue(self.bird1, "bird1", 57, cc.size(64, 64), cc.p(679.3307, 637.5126), nil, nil, 0, nil, nil)
	self.bird1:setScale(2)
	self.bird1:setSpriteFrame("ccs/UiImages/mainUibird/bird_1.png")
	addChildForPre(self.birdPanel_3, self.bird1)

	self.bird2 = cc.Sprite:create()
	setValue(self.bird2, "bird2", 571, cc.size(64, 64), cc.p(706.33, 637.51), nil, nil, nil, nil, nil)
	self.bird2:setScale(2)
	self.bird2:setSpriteFrame("ccs/UiImages/mainUibird/bird_5.png")
	addChildForPre(self.birdPanel_3, self.bird2)

	self.birdsprite1 = cc.Sprite:create()
	setValue(self.birdsprite1, "birdsprite1", 318, cc.size(20, 20), cc.p(-20, 653), nil, nil, nil, nil, nil)
	self.birdsprite1:setSpriteFrame("ccs/UiImages/mainUibird/birdsmall_1.png")
	addChildForPre(self.birdPanel_3, self.birdsprite1)

	self.birdsprite2 = cc.Sprite:create()
	setValue(self.birdsprite2, "birdsprite2", 319, cc.size(20, 20), cc.p(-44, 636), nil, nil, nil, nil, nil)
	self.birdsprite2:setSpriteFrame("ccs/UiImages/mainUibird/birdsmall_1.png")
	addChildForPre(self.birdPanel_3, self.birdsprite2)

	self.birdsprite3 = cc.Sprite:create()
	setValue(self.birdsprite3, "birdsprite3", 320, cc.size(20, 20), cc.p(-101.35, 647.93), nil, nil, nil, nil, nil)
	self.birdsprite3:setSpriteFrame("ccs/UiImages/mainUibird/birdsmall_1.png")
	addChildForPre(self.birdPanel_3, self.birdsprite3)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(432)
	self.animation:setTimeSpeed(1)
	local timeLine
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, -29.0019, 810.6975, nil))
	timeLine:addFrame(CreatePositionFrame(9, true, 106.0769, 731.4218, nil))
	timeLine:addFrame(CreatePositionFrame(18, true, 236.1105, 681.8118, nil))
	timeLine:addFrame(CreatePositionFrame(20, true, 268.0191, 675.4238, nil))
	timeLine:addFrame(CreatePositionFrame(27, true, 379.6995, 653.0659, nil))
	timeLine:addFrame(CreatePositionFrame(36, true, 509.5628, 633.1815, nil))
	timeLine:addFrame(CreatePositionFrame(46, true, 679.3307, 637.5126, nil))
	timeLine:setNode(self.bird1)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 0.7600, 0.7600, nil))
	timeLine:addFrame(CreateScaleFrame(20, true, 1.2991, 1.2991, nil))
	timeLine:addFrame(CreateScaleFrame(46, true, 2.0000, 2.0000, nil))
	timeLine:setNode(self.bird1)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(20, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.bird1)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(20, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(21, true, cc.c3b(255,255,255), 0, nil))
	timeLine:setNode(self.bird1)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 283.9700, 672.2300, nil))
	timeLine:addFrame(CreatePositionFrame(20, true, 283.9700, 672.2300, nil))
	timeLine:addFrame(CreatePositionFrame(21, true, 283.9700, 672.2300, nil))
	timeLine:addFrame(CreatePositionFrame(46, true, 706.3300, 637.5100, nil))
	timeLine:setNode(self.bird2)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 1.3261, 1.3261, nil))
	timeLine:addFrame(CreateScaleFrame(20, true, 1.3261, 1.3261, nil))
	timeLine:addFrame(CreateScaleFrame(21, true, 1.3261, 1.3261, nil))
	timeLine:addFrame(CreateScaleFrame(46, true, 2.0000, 2.0000, nil))
	timeLine:setNode(self.bird2)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(20, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.bird2)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(0, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(20, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(21, true, cc.c3b(255,255,255), 255, nil))
	timeLine:setNode(self.bird2)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(240, true, -20.0000, 653.0000, nil))
	timeLine:addFrame(CreatePositionFrame(360, true, 723.0000, 715.0000, nil))
	timeLine:addFrame(CreatePositionFrame(432, true, 723.0000, 715.0000, nil))
	timeLine:setNode(self.birdsprite1)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(240, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(432, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.birdsprite1)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(240, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(432, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.birdsprite1)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(240, true, -44.0000, 636.0000, nil))
	timeLine:addFrame(CreatePositionFrame(360, true, 699.0000, 698.0000, nil))
	timeLine:setNode(self.birdsprite2)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(240, true, -101.3500, 647.9300, nil))
	timeLine:addFrame(CreatePositionFrame(360, true, 655.0000, 709.9300, nil))
	timeLine:setNode(self.birdsprite3)
	return self
end

_M.textures = {
	"ccs/plist/mainUibird.plist",
}

return _M
