-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 3103, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "AXY_Panel", 2, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Panel)
	self.Panel_2 = self.Panel

	self.mainshipPanel = ccui.Layout:create()
	setValue(self.mainshipPanel, "ZXY_mainshipPanel", 3591, cc.size(200, 200), cc.p(51.2, 201.6), nil, nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.mainshipPanel)
	self.mainshipPanel_3 = self.mainshipPanel

	self.panel = ccui.Layout:create()
	setValue(self.panel, "panel", 168, cc.size(200, 200), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.mainshipPanel_3, self.panel)
	self.panel_4 = self.panel

	self.newShipPanel = ccui.Layout:create()
	setValue(self.newShipPanel, "newShipPanel", 169, cc.size(200, 200), nil, nil, nil, nil, nil, nil)
	self.newShipPanel:setScale(0.85)
	addChildForPre(self.panel_4, self.newShipPanel)
	self.newShipPanel_5 = self.newShipPanel

	self.wave = cc.Sprite:create()
	setValue(self.wave, "wave", 216, cc.size(46, 46), cc.p(386, 258), nil, nil, nil, nil, nil)
	self.wave:setRotationSkewX(-6)
	self.wave:setRotationSkewY(-6)
	self.wave:setScale(1.05)
	self.wave:setTexture("Default/Sprite.png")
	addChildForPre(self.newShipPanel_5, self.wave)

	self.shipSp = cc.Sprite:create()
	setValue(self.shipSp, "shipSp", 111, cc.size(46, 46), cc.p(13.2699, 50.82), cc.p(0, 0), nil, nil, nil, nil)
	self.shipSp:setTexture("Default/Sprite.png")
	addChildForPre(self.newShipPanel_5, self.shipSp)

	self.shipNode = cc.Node:create()
	setValue(self.shipNode, "shipNode", 504, nil, cc.p(428, 380), nil, nil, nil, nil, nil)
	addChildForPre(self.newShipPanel_5, self.shipNode)

	self.newShipPanel2 = ccui.Layout:create()
	setValue(self.newShipPanel2, "newShipPanel2", 442, cc.size(200, 200), cc.p(1000, 0), nil, nil, nil, nil, nil)
	self.newShipPanel2:setScale(0.85)
	addChildForPre(self.panel_4, self.newShipPanel2)
	self.newShipPanel2_5 = self.newShipPanel2

	self.wave2 = cc.Sprite:create()
	setValue(self.wave2, "wave2", 443, cc.size(46, 46), cc.p(386, 258), nil, nil, nil, nil, nil)
	self.wave2:setRotationSkewX(-6)
	self.wave2:setRotationSkewY(-6)
	self.wave2:setScale(1.05)
	self.wave2:setTexture("Default/Sprite.png")
	addChildForPre(self.newShipPanel2_5, self.wave2)

	self.shipSp2 = cc.Sprite:create()
	setValue(self.shipSp2, "shipSp2", 444, cc.size(646, 878), cc.p(13.26, 50.82), cc.p(0, 0), nil, nil, nil, nil)
	self.shipSp2:setTexture("ccs/BigImages/ship_main/4_dg_zl_bfly_zhu.webp")
	addChildForPre(self.newShipPanel2_5, self.shipSp2)

	self.shipNode2 = cc.Node:create()
	setValue(self.shipNode2, "shipNode2", 445, nil, cc.p(428, 380), nil, nil, nil, nil, nil)
	addChildForPre(self.newShipPanel2_5, self.shipNode2)

	self.sunshine = ccui.Layout:create()
	setValue(self.sunshine, "KLT_sunshine", 267, cc.size(640, 1334), cc.p(0, 960), cc.p(0, 1), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.sunshine)
	self.sunshine_3 = self.sunshine

	self.sunshine1 = cc.Sprite:create()
	setValue(self.sunshine1, "sunshine1", 268, cc.size(207, 167), cc.p(0, 1334), cc.p(0, 1), nil, nil, nil, nil)
	self.sunshine1:setFlippedX(true)
	self.sunshine1:setScale(2)
	self.sunshine1:setSpriteFrame("ccs/UiImages/mainUiSunshine/sunshine_1.jpg")
	addChildForPre(self.sunshine_3, self.sunshine1)

	self.sunshine2 = cc.Sprite:create()
	setValue(self.sunshine2, "sunshine2", 269, cc.size(82, 93), cc.p(163.2, 907.12), nil, nil, nil, nil, nil)
	self.sunshine2:setFlippedX(true)
	self.sunshine2:setScale(2)
	self.sunshine2:setSpriteFrame("ccs/UiImages/mainUiSunshine/sunshine_2.jpg")
	addChildForPre(self.sunshine_3, self.sunshine2)

	self.sunshine3 = cc.Sprite:create()
	setValue(self.sunshine3, "sunshine3", 270, cc.size(54, 67), cc.p(256, 727.03), nil, nil, nil, nil, nil)
	self.sunshine3:setFlippedX(true)
	self.sunshine3:setScale(2)
	self.sunshine3:setSpriteFrame("ccs/UiImages/mainUiSunshine/sunshine_3.jpg")
	addChildForPre(self.sunshine_3, self.sunshine3)

	self.sunshine4 = cc.Sprite:create()
	setValue(self.sunshine4, "sunshine4", 271, cc.size(120, 116), cc.p(426.24, 429.9482), nil, nil, nil, nil, nil)
	self.sunshine4:setFlippedX(true)
	self.sunshine4:setScale(2)
	self.sunshine4:setSpriteFrame("ccs/UiImages/mainUiSunshine/sunshine_4.jpg")
	addChildForPre(self.sunshine_3, self.sunshine4)

	self.sunshine5 = cc.Sprite:create()
	setValue(self.sunshine5, "sunshine5", 272, cc.size(131, 158), cc.p(640, 0), cc.p(1, 0), nil, nil, nil, nil)
	self.sunshine5:setFlippedX(true)
	self.sunshine5:setScale(2)
	self.sunshine5:setSpriteFrame("ccs/UiImages/mainUiSunshine/sunshine_5.jpg")
	addChildForPre(self.sunshine_3, self.sunshine5)

	self.Panel8 = ccui.Layout:create()
	setValue(self.Panel8, "WTX_Panel8", 3592, cc.size(640, 100), cc.p(0, 860), nil, nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.Panel8)
	self.Panel8_3 = self.Panel8

	self.headerPreScalePanel = ccui.Layout:create()
	setValue(self.headerPreScalePanel, "WXB_headerPreScalePanel", 86, cc.size(640, 100), cc.p(0, 100), cc.p(0, 1), nil, nil, nil, nil)
	addChildForPre(self.Panel8_3, self.headerPreScalePanel)
	self.headerPreScalePanel_4 = self.headerPreScalePanel

	self.mainUiPartTop = ccui.ImageView:create()
	setValue(self.mainUiPartTop, "WTX_mainUiPartTop", 530, cc.size(640, 110), cc.p(320, 100), cc.p(0.5, 1), nil, nil, nil, false)
	self.mainUiPartTop:loadTexture("ccs/UiImages/mainUiFeelingBtnB/mainUi_up.png", 1)
	self.mainUiPartTop:setScale9Enabled(true)
	self.mainUiPartTop:setCapInsets(cc.rect(200, 0, 240, 121))
	addChildForPre(self.headerPreScalePanel_4, self.mainUiPartTop)

	self.spPlayerBg = cc.Sprite:create()
	setValue(self.spPlayerBg, "spPlayerBg", 308, cc.size(121, 113), nil, cc.p(0, 0), nil, nil, nil, nil)
	self.spPlayerBg:setSpriteFrame("ccs/UiImages/mainUiFeelingBtnB/mainUi_img_red.png")
	addChildForPre(self.headerPreScalePanel_4, self.spPlayerBg)

	self.vipButton = ccui.Button:create()
	self.vipButton:setScale9Enabled(true)
	self.vipButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.vipButton:setContentSize(cc.size(121, 45))
	setValue(self.vipButton, "XNN_vipButton", 237, nil, cc.p(486.272, 76.25), nil, nil, nil, nil, false)
	self.vipButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.vipButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.vipButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.vipButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.vipButton:setTitleText([[]])
	self.vipButton:setTitleColor(cc.c3b(65, 65, 70))
	self.vipButton:setTitleFontSize(14)
	self.vipButton:setTitleFontName(getFont())
	setClickEvent(self, self.vipButton, "vipButton")
	addChildForPre(self.headerPreScalePanel_4, self.vipButton)
	self.vipButton_5 = self.vipButton

	self.vipLabel = createLabel({text=[[Text Label]], font=getFont(), size=26})
	setValue(self.vipLabel, "vipLabel", 287, cc.size(118, 31), cc.p(60.5, 22.5), nil, cc.c4b(255, 228, 0, 255), nil, nil, nil)
	self.vipLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.vipLabel:setColor(cc.c4b(255, 228, 0, 255))
	addChildForPre(self.vipButton_5, self.vipLabel)

	self.REDPOINT_VIP = cc.Sprite:create()
	setValue(self.REDPOINT_VIP, "REDPOINT_VIP", 133, cc.size(24, 24), cc.p(108.8153, 35.9595), nil, nil, nil, nil, nil)
	self.REDPOINT_VIP:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.vipButton_5, self.REDPOINT_VIP)

	self.userHeadSprite = cc.Sprite:create()
	setValue(self.userHeadSprite, "userHeadSprite", 23, cc.size(46, 46), cc.p(44.8, 53), nil, nil, nil, nil, nil)
	self.userHeadSprite:setScale(0.85)
	self.userHeadSprite:setTexture("Default/Sprite.png")
	addChildForPre(self.headerPreScalePanel_4, self.userHeadSprite)

	self.nicknameLabel = createLabel({text=[[玩家名字七个字个]], font=getFont(), size=20})
	setValue(self.nicknameLabel, "nicknameLabel", 90, cc.size(160, 23), cc.p(122.304, 76.54), cc.p(0, 0.5), nil, nil, nil, nil)
	self.nicknameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.headerPreScalePanel_4, self.nicknameLabel)

	self.fightingTipButton = ccui.Button:create()
	self.fightingTipButton:setScale9Enabled(true)
	self.fightingTipButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.fightingTipButton:setContentSize(cc.size(140, 34))
	setValue(self.fightingTipButton, "fightingTipButton", 4444, nil, cc.p(439.0001, 28.8626), nil, nil, nil, nil, false)
	self.fightingTipButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.fightingTipButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.fightingTipButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.fightingTipButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.fightingTipButton:setTitleText([[]])
	self.fightingTipButton:setTitleColor(cc.c3b(65, 65, 70))
	self.fightingTipButton:setTitleFontSize(14)
	self.fightingTipButton:setTitleFontName(getFont())
	setClickEvent(self, self.fightingTipButton, "fightingTipButton")
	addChildForPre(self.headerPreScalePanel_4, self.fightingTipButton)

	self.zhandoushuzhi = createLabel({text=[[123456789]], font=getFont(), size=28,align = 1,valign = 1})
	setValue(self.zhandoushuzhi, "XYN_zhandoushuzhi", 102, cc.size(140, 32), cc.p(339.2, 76.9301), nil, cc.c4b(255, 0, 0, 255), nil, nil, nil)
	self.zhandoushuzhi:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.zhandoushuzhi:setColor(cc.c4b(255, 0, 0, 255))
	addChildForPre(self.headerPreScalePanel_4, self.zhandoushuzhi)

	self.rankButton = ccui.Button:create()
	self.rankButton:setScale9Enabled(true)
	self.rankButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.rankButton:setContentSize(cc.size(121, 54))
	setValue(self.rankButton, "XNN_rankButton", 80, nil, cc.p(172.608, 29), nil, nil, nil, nil, false)
	self.rankButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.rankButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.rankButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.rankButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.rankButton:setTitleText([[]])
	self.rankButton:setTitleColor(cc.c3b(65, 65, 70))
	self.rankButton:setTitleFontSize(14)
	self.rankButton:setTitleFontName(getFont())
	setClickEvent(self, self.rankButton, "rankButton")
	addChildForPre(self.headerPreScalePanel_4, self.rankButton)
	self.rankButton_5 = self.rankButton

	self.levLable = createLabel({text=[[列兵]], font=getFont(), size=24})
	setValue(self.levLable, "levLable", 1468, cc.size(48, 28), cc.p(60.5, 30.942), nil, cc.c4b(255, 228, 0, 255), nil, nil, nil)
	self.levLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.levLable:setColor(cc.c4b(255, 228, 0, 255))
	addChildForPre(self.rankButton_5, self.levLable)

	self.REDPOINT_COMMANDCENTER_MILITARYRANK = cc.Sprite:create()
	setValue(self.REDPOINT_COMMANDCENTER_MILITARYRANK, "REDPOINT_COMMANDCENTER_MILITARYRANK", 823, cc.size(24, 24), cc.p(103.2949, 45.1534), nil, nil, nil, nil, nil)
	self.REDPOINT_COMMANDCENTER_MILITARYRANK:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.rankButton_5, self.REDPOINT_COMMANDCENTER_MILITARYRANK)

	self.oilBg = ccui.Layout:create()
	setValue(self.oilBg, "XNN_oilBg", 146, cc.size(100, 30), cc.p(229.25, 32.0001), cc.p(0, 0.5), nil, nil, nil, nil)
	addChildForPre(self.headerPreScalePanel_4, self.oilBg)
	self.oilBg_5 = self.oilBg

	self.spBg1 = cc.Sprite:create()
	setValue(self.spBg1, "spBg1", 586, cc.size(121, 29), cc.p(20, 15), cc.p(0, 0.5), nil, nil, nil, nil)
	self.spBg1:setSpriteFrame("ccs/UiImages/mainUiFeelingBtnB/mainUi_img_plate1.png")
	addChildForPre(self.oilBg_5, self.spBg1)

	self.spBg2 = cc.Sprite:create()
	setValue(self.spBg2, "spBg2", 585, cc.size(121, 29), cc.p(20, 13), cc.p(0, 0.5), nil, nil, nil, nil)
	self.spBg2:setSpriteFrame("ccs/UiImages/mainUiFeelingBtnB/mainUi_img_plate2.png")
	addChildForPre(self.oilBg_5, self.spBg2)

	self.oilLabel = createLabel({text=[[123/123]], font=getFont(), size=22})
	setValue(self.oilLabel, "oilLabel", 97, cc.size(79, 26), cc.p(40, 15), cc.p(0, 0.5), nil, nil, nil, nil)
	self.oilLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.oilBg_5, self.oilLabel)

	self.oilSpr = cc.Sprite:create()
	setValue(self.oilSpr, "oilSpr", 84, cc.size(43, 47), cc.p(20, 15), nil, nil, nil, nil, nil)
	self.oilSpr:setScale(0.9)
	self.oilSpr:setSpriteFrame("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_oil.png")
	addChildForPre(self.oilBg_5, self.oilSpr)

	self.oilButton = ccui.Button:create()
	self.oilButton:setScale9Enabled(true)
	self.oilButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.oilButton:setContentSize(cc.size(135, 31))
	setValue(self.oilButton, "oilButton", 50, nil, cc.p(77.47, 16.701), nil, nil, nil, nil, false)
	self.oilButton:setScale(0.9)
	self.oilButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.oilButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.oilButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.oilButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.oilButton:setTitleText([[]])
	self.oilButton:setTitleColor(cc.c3b(65, 65, 70))
	self.oilButton:setTitleFontSize(14)
	self.oilButton:setTitleFontName(getFont())
	setClickEvent(self, self.oilButton, "oilButton")
	addChildForPre(self.oilBg_5, self.oilButton)

	self.goldBg = ccui.Layout:create()
	setValue(self.goldBg, "XNN_goldBg", 145, cc.size(100, 30), cc.p(383.856, 32.0001), cc.p(0, 0.5), nil, nil, nil, nil)
	addChildForPre(self.headerPreScalePanel_4, self.goldBg)
	self.goldBg_5 = self.goldBg

	self.spBg = cc.Sprite:create()
	setValue(self.spBg, "spBg", 584, cc.size(121, 29), cc.p(24, 15), cc.p(0, 0.5), nil, nil, nil, nil)
	self.spBg:setSpriteFrame("ccs/UiImages/mainUiFeelingBtnB/mainUi_img_plate1.png")
	addChildForPre(self.goldBg_5, self.spBg)

	self.goldLabel = createLabel({text=[[123/123]], font=getFont(), size=22})
	setValue(self.goldLabel, "goldLabel", 92, cc.size(79, 26), cc.p(45, 15), cc.p(0, 0.5), nil, nil, nil, nil)
	self.goldLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.goldBg_5, self.goldLabel)

	self.goldSpr = cc.Sprite:create()
	setValue(self.goldSpr, "goldSpr", 478, cc.size(43, 47), cc.p(20, 15), nil, nil, nil, nil, nil)
	self.goldSpr:setSpriteFrame("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_gold.png")
	addChildForPre(self.goldBg_5, self.goldSpr)

	self.goldBigButton = ccui.Button:create()
	self.goldBigButton:setScale9Enabled(true)
	self.goldBigButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.goldBigButton:setContentSize(cc.size(150, 30))
	setValue(self.goldBigButton, "goldBigButton", 210, nil, cc.p(0, 17.001), cc.p(0, 0.5), nil, nil, nil, false)
	self.goldBigButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.goldBigButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.goldBigButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.goldBigButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.goldBigButton:setTitleText([[]])
	self.goldBigButton:setTitleColor(cc.c3b(65, 65, 70))
	self.goldBigButton:setTitleFontSize(14)
	self.goldBigButton:setTitleFontName(getFont())
	setClickEvent(self, self.goldBigButton, "goldBigButton")
	addChildForPre(self.goldBg_5, self.goldBigButton)

	self.gemBg = ccui.Layout:create()
	setValue(self.gemBg, "RTN_gemBg", 144, cc.size(122, 80), cc.p(524.7521, 9.03), nil, nil, nil, nil, nil)
	addChildForPre(self.headerPreScalePanel_4, self.gemBg)
	self.gemBg_5 = self.gemBg

	self.gemBigButton = ccui.Button:create()
	self.gemBigButton:setScale9Enabled(true)
	self.gemBigButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.gemBigButton:setContentSize(cc.size(85, 85))
	setValue(self.gemBigButton, "gemBigButton", 211, nil, cc.p(122, -4.28), cc.p(1, 0), nil, nil, nil, false)
	self.gemBigButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.gemBigButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.gemBigButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.gemBigButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.gemBigButton:setTitleText([[]])
	self.gemBigButton:setTitleColor(cc.c3b(65, 65, 70))
	self.gemBigButton:setTitleFontSize(14)
	self.gemBigButton:setTitleFontName(getFont())
	setClickEvent(self, self.gemBigButton, "gemBigButton")
	addChildForPre(self.gemBg_5, self.gemBigButton)

	self.spBg = cc.Sprite:create()
	setValue(self.spBg, "spBg", 583, cc.size(98, 41), cc.p(65.76, 8), cc.p(0.5, 0), nil, nil, nil, nil)
	self.spBg:setSpriteFrame("ccs/UiImages/mainUiFeelingBtnB/mainUi_img_yellow.png")
	addChildForPre(self.gemBg_5, self.spBg)

	self.gemLabel = createLabel({text=[[123/123]], font=getFont(), size=24})
	setValue(self.gemLabel, "gemLabel", 94, cc.size(86, 28), cc.p(65.76, 8), cc.p(0.5, 0), nil, nil, nil, nil)
	self.gemLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.gemBg_5, self.gemLabel)

	self.Sprite1 = cc.Sprite:create()
	setValue(self.Sprite1, "Sprite1", 183, cc.size(59, 46), cc.p(70.5825, 54.8761), nil, nil, nil, nil, nil)
	self.Sprite1:setSpriteFrame("ccs/UiImages/mainUiFeelingBtnB/mainUi_big_zuanshi.png")
	addChildForPre(self.gemBg_5, self.Sprite1)

	self.userDetailButton = ccui.Button:create()
	self.userDetailButton:setScale9Enabled(true)
	self.userDetailButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.userDetailButton:setContentSize(cc.size(77, 76))
	setValue(self.userDetailButton, "userDetailButton", 221, nil, cc.p(40.21, 53.83), nil, nil, nil, nil, false)
	self.userDetailButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.userDetailButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.userDetailButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.userDetailButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.userDetailButton:setTitleText([[]])
	self.userDetailButton:setTitleColor(cc.c3b(65, 65, 70))
	self.userDetailButton:setTitleFontSize(14)
	self.userDetailButton:setTitleFontName(getFont())
	setClickEvent(self, self.userDetailButton, "userDetailButton")
	addChildForPre(self.headerPreScalePanel_4, self.userDetailButton)

	self.levelbgImage = ccui.ImageView:create()
	setValue(self.levelbgImage, "levelbgImage", 210, cc.size(38, 20), cc.p(24, 23), nil, nil, nil, nil, nil)
	self.levelbgImage:loadTexture("ccs/UiImages/common/common_img_level.png", 1)
	addChildForPre(self.headerPreScalePanel_4, self.levelbgImage)

	self.levelLabel = createLabel({text=[[99]], font=getFont(), size=20})
	setValue(self.levelLabel, "levelLabel", 1183, cc.size(22, 23), cc.p(11.8548, 22), cc.p(0, 0.5), nil, nil, nil, nil)
	self.levelLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.headerPreScalePanel_4, self.levelLabel)

	self.Panel7 = ccui.Layout:create()
	setValue(self.Panel7, "LTN_Panel7", 3593, cc.size(100, 400), cc.p(12.8, 820.416), cc.p(0, 1), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.Panel7)
	self.Panel7_3 = self.Panel7

	self.leftPanel = ccui.Layout:create()
	setValue(self.leftPanel, "leftPanel", 407, cc.size(100, 400), cc.p(0, 400), cc.p(0, 1), nil, nil, nil, nil)
	addChildForPre(self.Panel7_3, self.leftPanel)
	self.leftPanel_4 = self.leftPanel

	self.LimActivityParPanel = ccui.Layout:create()
	setValue(self.LimActivityParPanel, "LimActivityParPanel", 279, cc.size(100, 100), cc.p(50, 367.04), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.leftPanel_4, self.LimActivityParPanel)
	self.LimActivityParPanel_5 = self.LimActivityParPanel

	self.LimActivitybg = cc.Sprite:create()
	setValue(self.LimActivitybg, "LimActivitybg", 283, cc.size(64, 64), cc.p(50, 50), nil, nil, nil, nil, nil)
	self.LimActivitybg:setScale(2)
	self.LimActivitybg:setSpriteFrame("ccs/UiImages/common/limActivity_huodongBg.png")
	addChildForPre(self.LimActivityParPanel_5, self.LimActivitybg)

	self.LimActivityParticle2 = cc.ParticleSystemQuad:create("ccs/Particle/limActivity_huodong2.plist")
 	self.LimActivityParticle2:setPositionType(2) 
	setValue(self.LimActivityParticle2, "LimActivityParticle2", 281, nil, cc.p(50, 50), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.LimActivityParPanel_5, self.LimActivityParticle2)

	self.LimActivityButton = ccui.Button:create()
	setValue(self.LimActivityButton, "LimActivityButton", 73, cc.size(90, 99), cc.p(50, 374.04), nil, nil, nil, nil, nil)
	self.LimActivityButton:loadTextureNormal("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_xianshihuodong.png", 1)
	self.LimActivityButton:loadTexturePressed("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_xianshihuodong.png", 1)
	self.LimActivityButton:loadTextureDisabled("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_xianshihuodong.png", 1)
	self.LimActivityButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.LimActivityButton:setTitleText([[]])
	self.LimActivityButton:setTitleFontSize(36)
	self.LimActivityButton:setTitleFontName(getFont())
	setClickEvent(self, self.LimActivityButton, "LimActivityButton")
	addChildForPre(self.leftPanel_4, self.LimActivityButton)
	self.LimActivityButton_5 = self.LimActivityButton

	self.newlimActivitySprite = cc.Sprite:create()
	setValue(self.newlimActivitySprite, "newlimActivitySprite", 363, cc.size(74, 27), cc.p(76.5, 83.16), nil, nil, nil, nil, nil)
	self.newlimActivitySprite:setSpriteFrame("ccs/UiImages/newlimtActivity/newactivity_limactivitynew.png.png")
	addChildForPre(self.LimActivityButton_5, self.newlimActivitySprite)

	self.LimActivitySp = cc.Sprite:create()
	setValue(self.LimActivitySp, "LimActivitySp", 90, cc.size(74, 28), cc.p(43.272, 12.5235), nil, nil, nil, nil, nil)
	self.LimActivitySp:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainui_bg.png")
	addChildForPre(self.LimActivityButton_5, self.LimActivitySp)

	self.splimActivityTimeBg = cc.Sprite:create()
	setValue(self.splimActivityTimeBg, "splimActivityTimeBg", 309, cc.size(116, 34), cc.p(45.414, 12.7413), nil, nil, nil, nil, nil)
	self.splimActivityTimeBg:setSpriteFrame("ccs/UiImages/mainUiFeelingBtnB/mainUi_img_wenzidi.png")
	addChildForPre(self.LimActivityButton_5, self.splimActivityTimeBg)

	self.limActivityTime = createLabel({text=[[限时活动]], font=getFont(), size=24})
	setValue(self.limActivityTime, "limActivityTime", 1612, cc.size(96, 28), cc.p(45.414, 12.7413), nil, cc.c4b(255, 228, 0, 255), nil, nil, nil)
	self.limActivityTime:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.limActivityTime:setColor(cc.c4b(255, 228, 0, 255))
	addChildForPre(self.LimActivityButton_5, self.limActivityTime)

	self.limActivityTimeLabel = createLabel({text=[[Text Label]], font=getFont(), size=21})
	setValue(self.limActivityTimeLabel, "limActivityTimeLabel", 285, cc.size(95, 24), cc.p(48.114, -19.6713), nil, cc.c4b(227, 35, 20, 255), nil, nil, nil)
	self.limActivityTimeLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.limActivityTimeLabel:setColor(cc.c4b(227, 35, 20, 255))
	addChildForPre(self.LimActivityButton_5, self.limActivityTimeLabel)

	self.LimActivityParticle1 = cc.ParticleSystemQuad:create("ccs/Particle/limActivity_huodong1.plist")
 	self.LimActivityParticle1:setPositionType(2) 
	setValue(self.LimActivityParticle1, "LimActivityParticle1", 282, nil, cc.p(45, 49.5), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.LimActivityButton_5, self.LimActivityParticle1)

	self.taskButton = ccui.Button:create()
	setValue(self.taskButton, "taskButton", 73, cc.size(90, 99), cc.p(50, 243), nil, nil, nil, nil, nil)
	self.taskButton:loadTextureNormal("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_richang.png", 1)
	self.taskButton:loadTexturePressed("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_richang.png", 1)
	self.taskButton:loadTextureDisabled("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_richang.png", 1)
	self.taskButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.taskButton:setTitleText([[]])
	self.taskButton:setTitleFontSize(36)
	self.taskButton:setTitleFontName(getFont())
	setClickEvent(self, self.taskButton, "taskButton")
	addChildForPre(self.leftPanel_4, self.taskButton)
	self.taskButton_5 = self.taskButton

	self.supplySp = cc.Sprite:create()
	setValue(self.supplySp, "supplySp", 2627, cc.size(74, 28), cc.p(44.001, 6.6033), nil, nil, nil, nil, nil)
	self.supplySp:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainui_bg.png")
	addChildForPre(self.taskButton_5, self.supplySp)

	self.spTaskLabelBg = cc.Sprite:create()
	setValue(self.spTaskLabelBg, "spTaskLabelBg", 310, cc.size(116, 34), cc.p(54.89, 3.43), nil, nil, nil, nil, nil)
	self.spTaskLabelBg:setSpriteFrame("ccs/UiImages/mainUiFeelingBtnB/mainUi_img_wenzidi.png")
	addChildForPre(self.taskButton_5, self.spTaskLabelBg)

	self.taskLabel = createLabel({text=[[日常任务]], font=getFont(), size=24})
	setValue(self.taskLabel, "taskLabel", 74, cc.size(96, 28), cc.p(49.401, 3.3957), nil, cc.c4b(255, 228, 0, 255), nil, nil, nil)
	self.taskLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.taskLabel:setColor(cc.c4b(255, 228, 0, 255))
	addChildForPre(self.taskButton_5, self.taskLabel)

	self.REDPOINT_TASKALL = cc.Sprite:create()
	setValue(self.REDPOINT_TASKALL, "REDPOINT_TASKALL", 75, cc.size(24, 24), cc.p(85, 70.8999), nil, nil, nil, nil, nil)
	self.REDPOINT_TASKALL:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.taskButton_5, self.REDPOINT_TASKALL)

	self.bossParticle1 = cc.ParticleSystemQuad:create("ccs/Particle/mainui_boss01.plist")
 	self.bossParticle1:setPositionType(2) 
	setValue(self.bossParticle1, "bossParticle1", 359, nil, cc.p(67, 120), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.leftPanel_4, self.bossParticle1)

	self.worldBossButton = ccui.Button:create()
	setValue(self.worldBossButton, "worldBossButton", 306, cc.size(100, 80), cc.p(50, 134), nil, nil, nil, nil, nil)
	self.worldBossButton:loadTextureNormal("ccs/UiImages/mainUiFeeling/mainUi_btn_worldboss.png", 1)
	self.worldBossButton:loadTexturePressed("ccs/UiImages/mainUiFeeling/mainUi_btn_worldboss.png", 1)
	self.worldBossButton:loadTextureDisabled("ccs/UiImages/mainUiFeeling/mainUi_btn_worldboss.png", 1)
	self.worldBossButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.worldBossButton:setTitleText([[]])
	self.worldBossButton:setTitleColor(cc.c3b(65, 65, 70))
	self.worldBossButton:setTitleFontSize(14)
	self.worldBossButton:setTitleFontName(getFont())
	setClickEvent(self, self.worldBossButton, "worldBossButton")
	addChildForPre(self.leftPanel_4, self.worldBossButton)
	self.worldBossButton_5 = self.worldBossButton

	self.worldBossTimeLabelBg = ccui.ImageView:create()
	setValue(self.worldBossTimeLabelBg, "worldBossTimeLabelBg", 275, cc.size(74, 50), cc.p(50, -9.6), nil, nil, nil, nil, false)
	self.worldBossTimeLabelBg:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.worldBossTimeLabelBg:setScale9Enabled(true)
	self.worldBossTimeLabelBg:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.worldBossButton_5, self.worldBossTimeLabelBg)

	self.worldBossLabel = createLabel({text=[[XXXX]], font=getFont(), size=24})
	setValue(self.worldBossLabel, "worldBossLabel", 273, cc.size(64, 28), cc.p(50, -0.4), nil, cc.c4b(255, 228, 0, 255), nil, nil, nil)
	self.worldBossLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.worldBossLabel:setColor(cc.c4b(255, 228, 0, 255))
	addChildForPre(self.worldBossButton_5, self.worldBossLabel)

	self.worldBossTimeLabel = createLabel({text=[[XXXX]], font=getFont(), size=24})
	setValue(self.worldBossTimeLabel, "worldBossTimeLabel", 274, cc.size(64, 28), cc.p(50, -21.6), nil, cc.c4b(255, 0, 0, 255), nil, nil, nil)
	self.worldBossTimeLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.worldBossTimeLabel:setColor(cc.c4b(255, 0, 0, 255))
	addChildForPre(self.worldBossButton_5, self.worldBossTimeLabel)

	self.bossParticle2 = cc.ParticleSystemQuad:create("ccs/Particle/mainui_boss.plist")
 	self.bossParticle2:setPositionType(2) 
	setValue(self.bossParticle2, "bossParticle2", 358, nil, cc.p(51, 20.8), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.worldBossButton_5, self.bossParticle2)

	self.contestButton = ccui.Button:create()
	setValue(self.contestButton, "contestButton", 1113, cc.size(100, 80), cc.p(50, 134), nil, nil, nil, nil, nil)
	self.contestButton:loadTextureNormal("ccs/UiImages/countryBattle/mainUi_btn_countryboss.png", 1)
	self.contestButton:loadTexturePressed("ccs/UiImages/countryBattle/mainUi_btn_countryboss.png", 1)
	self.contestButton:loadTextureDisabled("ccs/UiImages/countryBattle/mainUi_btn_countryboss.png", 1)
	self.contestButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.contestButton:setTitleText([[]])
	self.contestButton:setTitleColor(cc.c3b(65, 65, 70))
	self.contestButton:setTitleFontSize(14)
	self.contestButton:setTitleFontName(getFont())
	setClickEvent(self, self.contestButton, "contestButton")
	addChildForPre(self.leftPanel_4, self.contestButton)
	self.contestButton_5 = self.contestButton

	self.contestTimeLabelBg = ccui.ImageView:create()
	setValue(self.contestTimeLabelBg, "contestTimeLabelBg", 1114, cc.size(74, 50), cc.p(50, 9.6), nil, nil, nil, nil, false)
	self.contestTimeLabelBg:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.contestTimeLabelBg:setScale9Enabled(true)
	self.contestTimeLabelBg:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.contestButton_5, self.contestTimeLabelBg)

	self.contestButtonLabel = createLabel({text=[[XXXX]], font=getFont(), size=24})
	setValue(self.contestButtonLabel, "contestButtonLabel", 1115, cc.size(64, 28), cc.p(50, -0.4), nil, cc.c4b(255, 228, 0, 255), nil, nil, nil)
	self.contestButtonLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.contestButtonLabel:setColor(cc.c4b(255, 228, 0, 255))
	addChildForPre(self.contestButton_5, self.contestButtonLabel)

	self.contestTimeLabel = createLabel({text=[[XXXX]], font=getFont(), size=24})
	setValue(self.contestTimeLabel, "contestTimeLabel", 1116, cc.size(64, 28), cc.p(50, -21.6), nil, cc.c4b(255, 0, 0, 255), nil, nil, nil)
	self.contestTimeLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.contestTimeLabel:setColor(cc.c4b(255, 0, 0, 255))
	addChildForPre(self.contestButton_5, self.contestTimeLabel)

	self.contestParticle2Copy = cc.ParticleSystemQuad:create("ccs/Particle/mainui_boss.plist")
 	self.contestParticle2Copy:setPositionType(2) 
	setValue(self.contestParticle2Copy, "contestParticle2Copy", 1117, nil, cc.p(50, 20.8), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.contestButton_5, self.contestParticle2Copy)

	self.serverBattleButton = ccui.Button:create()
	setValue(self.serverBattleButton, "serverBattleButton", 622, cc.size(100, 80), cc.p(50, 134), nil, nil, nil, nil, nil)
	self.serverBattleButton:loadTextureNormal("ccs/UiImages/countryBattle/mainUi_btn_countryboss.png", 1)
	self.serverBattleButton:loadTexturePressed("ccs/UiImages/countryBattle/mainUi_btn_countryboss.png", 1)
	self.serverBattleButton:loadTextureDisabled("ccs/UiImages/countryBattle/mainUi_btn_countryboss.png", 1)
	self.serverBattleButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.serverBattleButton:setTitleText([[]])
	self.serverBattleButton:setTitleColor(cc.c3b(65, 65, 70))
	self.serverBattleButton:setTitleFontSize(14)
	self.serverBattleButton:setTitleFontName(getFont())
	setClickEvent(self, self.serverBattleButton, "serverBattleButton")
	addChildForPre(self.leftPanel_4, self.serverBattleButton)
	self.serverBattleButton_5 = self.serverBattleButton

	self.serverBattleTimeLabelBg = ccui.ImageView:create()
	setValue(self.serverBattleTimeLabelBg, "serverBattleTimeLabelBg", 623, cc.size(74, 50), cc.p(50, 9.6), nil, nil, nil, nil, false)
	self.serverBattleTimeLabelBg:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.serverBattleTimeLabelBg:setScale9Enabled(true)
	self.serverBattleTimeLabelBg:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.serverBattleButton_5, self.serverBattleTimeLabelBg)

	self.serverBattleButtonLabel = createLabel({text=[[XXXX]], font=getFont(), size=24})
	setValue(self.serverBattleButtonLabel, "serverBattleButtonLabel", 624, cc.size(64, 28), cc.p(50, -0.4), nil, cc.c4b(255, 228, 0, 255), nil, nil, nil)
	self.serverBattleButtonLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.serverBattleButtonLabel:setColor(cc.c4b(255, 228, 0, 255))
	addChildForPre(self.serverBattleButton_5, self.serverBattleButtonLabel)

	self.serverBattleTimeLabel = createLabel({text=[[XXXX]], font=getFont(), size=24})
	setValue(self.serverBattleTimeLabel, "serverBattleTimeLabel", 625, cc.size(64, 28), cc.p(50, -21.6), nil, cc.c4b(255, 0, 0, 255), nil, nil, nil)
	self.serverBattleTimeLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.serverBattleTimeLabel:setColor(cc.c4b(255, 0, 0, 255))
	addChildForPre(self.serverBattleButton_5, self.serverBattleTimeLabel)

	self.serverBattleParticle2Copy = cc.ParticleSystemQuad:create("ccs/Particle/mainui_boss.plist")
 	self.serverBattleParticle2Copy:setPositionType(2) 
	setValue(self.serverBattleParticle2Copy, "serverBattleParticle2Copy", 626, nil, cc.p(50, 20.8), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.serverBattleButton_5, self.serverBattleParticle2Copy)

	self.tomorrowbg = cc.Sprite:create()
	setValue(self.tomorrowbg, "tomorrowbg", 210, cc.size(64, 64), cc.p(50, 0), nil, nil, nil, nil, nil)
	self.tomorrowbg:setScale(2)
	self.tomorrowbg:setSpriteFrame("ccs/UiImages/common/limActivity_huodongBg.png")
	addChildForPre(self.leftPanel_4, self.tomorrowbg)

	self.tomorrowParPanel = ccui.Layout:create()
	setValue(self.tomorrowParPanel, "tomorrowParPanel", 278, cc.size(100, 100), cc.p(50, 0), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.leftPanel_4, self.tomorrowParPanel)
	self.tomorrowParPanel_5 = self.tomorrowParPanel

	self.tomorrowParticle3 = cc.ParticleSystemQuad:create("ccs/Particle/limActivity_huodong3.plist")
 	self.tomorrowParticle3:setPositionType(2) 
	setValue(self.tomorrowParticle3, "tomorrowParticle3", 275, nil, cc.p(50, 50), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.tomorrowParPanel_5, self.tomorrowParticle3)

	self.tomorrowParticle2 = cc.ParticleSystemQuad:create("ccs/Particle/limActivity_huodong2.plist")
 	self.tomorrowParticle2:setPositionType(2) 
	setValue(self.tomorrowParticle2, "tomorrowParticle2", 276, nil, cc.p(50, 50), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.tomorrowParPanel_5, self.tomorrowParticle2)

	self.tomorrowButton = ccui.Button:create()
	setValue(self.tomorrowButton, "tomorrowButton", 1579, cc.size(100, 80), cc.p(50, 0), nil, nil, nil, nil, nil)
	self.tomorrowButton:loadTextureNormal("ccs/UiImages/image9/common_btn_tomorrow.png", 1)
	self.tomorrowButton:loadTexturePressed("ccs/UiImages/image9/common_btn_tomorrow.png", 1)
	self.tomorrowButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_tomorrow.png", 1)
	self.tomorrowButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tomorrowButton:setTitleText([[]])
	self.tomorrowButton:setTitleColor(cc.c3b(65, 65, 70))
	self.tomorrowButton:setTitleFontSize(14)
	self.tomorrowButton:setTitleFontName(getFont())
	setClickEvent(self, self.tomorrowButton, "tomorrowButton")
	addChildForPre(self.leftPanel_4, self.tomorrowButton)
	self.tomorrowButton_5 = self.tomorrowButton

	self.tomorrowTimeLabelBg = ccui.ImageView:create()
	setValue(self.tomorrowTimeLabelBg, "tomorrowTimeLabelBg", 1582, cc.size(74, 50), cc.p(50, -9.6), nil, nil, nil, nil, false)
	self.tomorrowTimeLabelBg:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.tomorrowTimeLabelBg:setScale9Enabled(true)
	self.tomorrowTimeLabelBg:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.tomorrowButton_5, self.tomorrowTimeLabelBg)

	self.tomorrowLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.tomorrowLabel, "tomorrowLabel", 1580, cc.size(109, 28), cc.p(50, -0.4), nil, cc.c4b(255, 228, 0, 255), nil, nil, nil)
	self.tomorrowLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.tomorrowLabel:setColor(cc.c4b(255, 228, 0, 255))
	addChildForPre(self.tomorrowButton_5, self.tomorrowLabel)

	self.tomorrowTimeLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.tomorrowTimeLabel, "tomorrowTimeLabel", 1581, cc.size(109, 28), cc.p(50, -21.6), nil, cc.c4b(227, 35, 20, 255), nil, nil, nil)
	self.tomorrowTimeLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.tomorrowTimeLabel:setColor(cc.c4b(227, 35, 20, 255))
	addChildForPre(self.tomorrowButton_5, self.tomorrowTimeLabel)

	self.tomorrowParticle1 = cc.ParticleSystemQuad:create("ccs/Particle/limActivity_huodong1.plist")
 	self.tomorrowParticle1:setPositionType(2) 
	setValue(self.tomorrowParticle1, "tomorrowParticle1", 277, nil, cc.p(50, 40), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.tomorrowButton_5, self.tomorrowParticle1)

	self.limactivitybuttonPanel = ccui.Layout:create()
	setValue(self.limactivitybuttonPanel, "limactivitybuttonPanel", 228, cc.size(460, 342), cc.p(132.99, 414.99), cc.p(0, 1), nil, nil, nil, nil)
	addChildForPre(self.leftPanel_4, self.limactivitybuttonPanel)
	self.limactivitybuttonPanel_5 = self.limactivitybuttonPanel

	self.touchLimPanel = ccui.Layout:create()
	setValue(self.touchLimPanel, "touchLimPanel", 309, cc.size(460, 342), cc.p(0, 342), cc.p(0, 1), nil, nil, nil, nil)
	self.touchLimPanel:setVisible(false)
	addChildForPre(self.limactivitybuttonPanel_5, self.touchLimPanel)
	self.touchLimPanel_6 = self.touchLimPanel

	self.limJianImage = ccui.ImageView:create()
	setValue(self.limJianImage, "limJianImage", 310, cc.size(21, 36), cc.p(-10.4, 274.12), nil, cc.c4b(47, 64, 115, 255), 127, nil, nil)
	self.limJianImage:loadTexture("ccs/UiImages/newlimtActivity/newactivity_jian1.png", 1)
	addChildForPre(self.touchLimPanel_6, self.limJianImage)

	self.limBgImage = ccui.ImageView:create()
	setValue(self.limBgImage, "limBgImage", 311, cc.size(460, 342), cc.p(0, 342), cc.p(0, 1), cc.c4b(47, 64, 115, 255), 127, nil, false)
	self.limBgImage:loadTexture("ccs/UiImages/newlimtActivity/newactivity_9gongge2.png", 1)
	self.limBgImage:setScale9Enabled(true)
	self.limBgImage:setCapInsets(cc.rect(10, 10, 124, 107))
	addChildForPre(self.touchLimPanel_6, self.limBgImage)

	self.limActivity1ButtonNode = ccui.Layout:create()
	setValue(self.limActivity1ButtonNode, "limActivity1ButtonNode", 293, cc.size(153, 115), cc.p(77.5009, 293.74), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.limactivitybuttonPanel_5, self.limActivity1ButtonNode)
	self.limActivity1ButtonNode_6 = self.limActivity1ButtonNode

	self.limActivity1Button = ccui.Button:create()
	setValue(self.limActivity1Button, "limActivity1Button", 229, cc.size(100, 80), cc.p(76.5, 57.5), nil, nil, nil, nil, nil)
	self.limActivity1Button:loadTextureNormal("ccs/UiImages/newlimtActivity/newactivity_acccharge.png", 1)
	self.limActivity1Button:loadTexturePressed("ccs/UiImages/newlimtActivity/newactivity_acccharge.png", 1)
	self.limActivity1Button:loadTextureDisabled("ccs/UiImages/newlimtActivity/newactivity_acccharge.png", 1)
	self.limActivity1Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.limActivity1Button:setTitleText([[]])
	self.limActivity1Button:setTitleColor(cc.c3b(65, 65, 70))
	self.limActivity1Button:setTitleFontSize(14)
	self.limActivity1Button:setTitleFontName(getFont())
	setClickEvent(self, self.limActivity1Button, "limActivity1Button")
	addChildForPre(self.limActivity1ButtonNode_6, self.limActivity1Button)
	self.limActivity1Button_7 = self.limActivity1Button

	self.limActivity1NewSprite = cc.Sprite:create()
	setValue(self.limActivity1NewSprite, "limActivity1NewSprite", 1114, cc.size(74, 27), cc.p(70, 66), nil, nil, nil, nil, nil)
	self.limActivity1NewSprite:setSpriteFrame("ccs/UiImages/newlimtActivity/newactivity_limactivitynew.png.png")
	addChildForPre(self.limActivity1Button_7, self.limActivity1NewSprite)

	self.Time1LabelBg = ccui.ImageView:create()
	setValue(self.Time1LabelBg, "Time1LabelBg", 232, cc.size(95, 27), cc.p(50, 12), nil, nil, nil, nil, false)
	self.Time1LabelBg:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.Time1LabelBg:setScale9Enabled(true)
	self.Time1LabelBg:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.limActivity1Button_7, self.Time1LabelBg)

	self.limActivity1Label = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.limActivity1Label, "limActivity1Label", 230, cc.size(109, 28), cc.p(50, 11.4), nil, cc.c4b(255, 228, 0, 255), nil, nil, nil)
	self.limActivity1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.limActivity1Label:setColor(cc.c4b(255, 228, 0, 255))
	addChildForPre(self.limActivity1Button_7, self.limActivity1Label)

	self.limActivityTime1Label = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.limActivityTime1Label, "limActivityTime1Label", 231, cc.size(91, 23), cc.p(50, -11), nil, cc.c4b(227, 35, 20, 255), nil, nil, nil)
	self.limActivityTime1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.limActivityTime1Label:setColor(cc.c4b(227, 35, 20, 255))
	addChildForPre(self.limActivity1Button_7, self.limActivityTime1Label)

	self.limActivity2ButtonNode = ccui.Layout:create()
	setValue(self.limActivity2ButtonNode, "limActivity2ButtonNode", 292, cc.size(153, 115), cc.p(230.499, 293.74), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.limactivitybuttonPanel_5, self.limActivity2ButtonNode)
	self.limActivity2ButtonNode_6 = self.limActivity2ButtonNode

	self.limActivity2Button = ccui.Button:create()
	setValue(self.limActivity2Button, "limActivity2Button", 573, cc.size(100, 80), cc.p(76.5, 57.5), nil, nil, nil, nil, nil)
	self.limActivity2Button:loadTextureNormal("ccs/UiImages/newlimtActivity/newactivity_acccharge.png", 1)
	self.limActivity2Button:loadTexturePressed("ccs/UiImages/newlimtActivity/newactivity_acccharge.png", 1)
	self.limActivity2Button:loadTextureDisabled("ccs/UiImages/newlimtActivity/newactivity_acccharge.png", 1)
	self.limActivity2Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.limActivity2Button:setTitleText([[]])
	self.limActivity2Button:setTitleColor(cc.c3b(65, 65, 70))
	self.limActivity2Button:setTitleFontSize(14)
	self.limActivity2Button:setTitleFontName(getFont())
	setClickEvent(self, self.limActivity2Button, "limActivity2Button")
	addChildForPre(self.limActivity2ButtonNode_6, self.limActivity2Button)
	self.limActivity2Button_7 = self.limActivity2Button

	self.limActivity2NewSprite = cc.Sprite:create()
	setValue(self.limActivity2NewSprite, "limActivity2NewSprite", 1115, cc.size(74, 27), cc.p(70, 66), nil, nil, nil, nil, nil)
	self.limActivity2NewSprite:setSpriteFrame("ccs/UiImages/newlimtActivity/newactivity_limactivitynew.png.png")
	addChildForPre(self.limActivity2Button_7, self.limActivity2NewSprite)

	self.Time2LabelBg = ccui.ImageView:create()
	setValue(self.Time2LabelBg, "Time2LabelBg", 574, cc.size(95, 27), cc.p(50, 12), nil, nil, nil, nil, false)
	self.Time2LabelBg:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.Time2LabelBg:setScale9Enabled(true)
	self.Time2LabelBg:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.limActivity2Button_7, self.Time2LabelBg)

	self.limActivity2Label = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.limActivity2Label, "limActivity2Label", 575, cc.size(109, 28), cc.p(50, 11.4), nil, cc.c4b(255, 228, 0, 255), nil, nil, nil)
	self.limActivity2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.limActivity2Label:setColor(cc.c4b(255, 228, 0, 255))
	addChildForPre(self.limActivity2Button_7, self.limActivity2Label)

	self.limActivityTime2Label = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.limActivityTime2Label, "limActivityTime2Label", 576, cc.size(91, 23), cc.p(50, -11), nil, cc.c4b(227, 35, 20, 255), nil, nil, nil)
	self.limActivityTime2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.limActivityTime2Label:setColor(cc.c4b(227, 35, 20, 255))
	addChildForPre(self.limActivity2Button_7, self.limActivityTime2Label)

	self.limActivity3ButtonNode = ccui.Layout:create()
	setValue(self.limActivity3ButtonNode, "limActivity3ButtonNode", 291, cc.size(153, 115), cc.p(383.498, 293.74), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.limactivitybuttonPanel_5, self.limActivity3ButtonNode)
	self.limActivity3ButtonNode_6 = self.limActivity3ButtonNode

	self.limActivity3Button = ccui.Button:create()
	setValue(self.limActivity3Button, "limActivity3Button", 577, cc.size(100, 80), cc.p(76.5, 57.5), nil, nil, nil, nil, nil)
	self.limActivity3Button:loadTextureNormal("ccs/UiImages/newlimtActivity/newactivity_acccharge.png", 1)
	self.limActivity3Button:loadTexturePressed("ccs/UiImages/newlimtActivity/newactivity_acccharge.png", 1)
	self.limActivity3Button:loadTextureDisabled("ccs/UiImages/newlimtActivity/newactivity_acccharge.png", 1)
	self.limActivity3Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.limActivity3Button:setTitleText([[]])
	self.limActivity3Button:setTitleColor(cc.c3b(65, 65, 70))
	self.limActivity3Button:setTitleFontSize(14)
	self.limActivity3Button:setTitleFontName(getFont())
	setClickEvent(self, self.limActivity3Button, "limActivity3Button")
	addChildForPre(self.limActivity3ButtonNode_6, self.limActivity3Button)
	self.limActivity3Button_7 = self.limActivity3Button

	self.limActivity3NewSprite = cc.Sprite:create()
	setValue(self.limActivity3NewSprite, "limActivity3NewSprite", 1116, cc.size(74, 27), cc.p(70, 66), nil, nil, nil, nil, nil)
	self.limActivity3NewSprite:setSpriteFrame("ccs/UiImages/newlimtActivity/newactivity_limactivitynew.png.png")
	addChildForPre(self.limActivity3Button_7, self.limActivity3NewSprite)

	self.Time3LabelBg = ccui.ImageView:create()
	setValue(self.Time3LabelBg, "Time3LabelBg", 578, cc.size(95, 27), cc.p(50, 12), nil, nil, nil, nil, false)
	self.Time3LabelBg:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.Time3LabelBg:setScale9Enabled(true)
	self.Time3LabelBg:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.limActivity3Button_7, self.Time3LabelBg)

	self.limActivity3Label = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.limActivity3Label, "limActivity3Label", 579, cc.size(109, 28), cc.p(50, 11.4), nil, cc.c4b(255, 228, 0, 255), nil, nil, nil)
	self.limActivity3Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.limActivity3Label:setColor(cc.c4b(255, 228, 0, 255))
	addChildForPre(self.limActivity3Button_7, self.limActivity3Label)

	self.limActivityTime3Label = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.limActivityTime3Label, "limActivityTime3Label", 580, cc.size(91, 23), cc.p(50, -11), nil, cc.c4b(227, 35, 20, 255), nil, nil, nil)
	self.limActivityTime3Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.limActivityTime3Label:setColor(cc.c4b(227, 35, 20, 255))
	addChildForPre(self.limActivity3Button_7, self.limActivityTime3Label)

	self.limActivity4ButtonNode = ccui.Layout:create()
	setValue(self.limActivity4ButtonNode, "limActivity4ButtonNode", 290, cc.size(153, 115), cc.p(77.5008, 176.74), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.limactivitybuttonPanel_5, self.limActivity4ButtonNode)
	self.limActivity4ButtonNode_6 = self.limActivity4ButtonNode

	self.limActivity4Button = ccui.Button:create()
	setValue(self.limActivity4Button, "limActivity4Button", 581, cc.size(100, 80), cc.p(76.5, 57.5), nil, nil, nil, nil, nil)
	self.limActivity4Button:loadTextureNormal("ccs/UiImages/newlimtActivity/newactivity_acccharge.png", 1)
	self.limActivity4Button:loadTexturePressed("ccs/UiImages/newlimtActivity/newactivity_acccharge.png", 1)
	self.limActivity4Button:loadTextureDisabled("ccs/UiImages/newlimtActivity/newactivity_acccharge.png", 1)
	self.limActivity4Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.limActivity4Button:setTitleText([[]])
	self.limActivity4Button:setTitleColor(cc.c3b(65, 65, 70))
	self.limActivity4Button:setTitleFontSize(14)
	self.limActivity4Button:setTitleFontName(getFont())
	setClickEvent(self, self.limActivity4Button, "limActivity4Button")
	addChildForPre(self.limActivity4ButtonNode_6, self.limActivity4Button)
	self.limActivity4Button_7 = self.limActivity4Button

	self.limActivity4NewSprite = cc.Sprite:create()
	setValue(self.limActivity4NewSprite, "limActivity4NewSprite", 1117, cc.size(74, 27), cc.p(70, 66), nil, nil, nil, nil, nil)
	self.limActivity4NewSprite:setSpriteFrame("ccs/UiImages/newlimtActivity/newactivity_limactivitynew.png.png")
	addChildForPre(self.limActivity4Button_7, self.limActivity4NewSprite)

	self.Time4LabelBg = ccui.ImageView:create()
	setValue(self.Time4LabelBg, "Time4LabelBg", 582, cc.size(95, 27), cc.p(50, 12), nil, nil, nil, nil, false)
	self.Time4LabelBg:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.Time4LabelBg:setScale9Enabled(true)
	self.Time4LabelBg:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.limActivity4Button_7, self.Time4LabelBg)

	self.limActivity4Label = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.limActivity4Label, "limActivity4Label", 583, cc.size(109, 28), cc.p(50, 11.4), nil, cc.c4b(255, 228, 0, 255), nil, nil, nil)
	self.limActivity4Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.limActivity4Label:setColor(cc.c4b(255, 228, 0, 255))
	addChildForPre(self.limActivity4Button_7, self.limActivity4Label)

	self.limActivityTime4Label = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.limActivityTime4Label, "limActivityTime4Label", 584, cc.size(91, 23), cc.p(50, -11), nil, cc.c4b(227, 35, 20, 255), nil, nil, nil)
	self.limActivityTime4Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.limActivityTime4Label:setColor(cc.c4b(227, 35, 20, 255))
	addChildForPre(self.limActivity4Button_7, self.limActivityTime4Label)

	self.limActivity5ButtonNode = ccui.Layout:create()
	setValue(self.limActivity5ButtonNode, "limActivity5ButtonNode", 289, cc.size(153, 115), cc.p(230.499, 176.74), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.limactivitybuttonPanel_5, self.limActivity5ButtonNode)
	self.limActivity5ButtonNode_6 = self.limActivity5ButtonNode

	self.limActivity5Button = ccui.Button:create()
	setValue(self.limActivity5Button, "limActivity5Button", 585, cc.size(100, 80), cc.p(76.5, 57.5), nil, nil, nil, nil, nil)
	self.limActivity5Button:loadTextureNormal("ccs/UiImages/newlimtActivity/newactivity_acccharge.png", 1)
	self.limActivity5Button:loadTexturePressed("ccs/UiImages/newlimtActivity/newactivity_acccharge.png", 1)
	self.limActivity5Button:loadTextureDisabled("ccs/UiImages/newlimtActivity/newactivity_acccharge.png", 1)
	self.limActivity5Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.limActivity5Button:setTitleText([[]])
	self.limActivity5Button:setTitleColor(cc.c3b(65, 65, 70))
	self.limActivity5Button:setTitleFontSize(14)
	self.limActivity5Button:setTitleFontName(getFont())
	setClickEvent(self, self.limActivity5Button, "limActivity5Button")
	addChildForPre(self.limActivity5ButtonNode_6, self.limActivity5Button)
	self.limActivity5Button_7 = self.limActivity5Button

	self.limActivity5NewSprite = cc.Sprite:create()
	setValue(self.limActivity5NewSprite, "limActivity5NewSprite", 1118, cc.size(74, 27), cc.p(70, 66), nil, nil, nil, nil, nil)
	self.limActivity5NewSprite:setSpriteFrame("ccs/UiImages/newlimtActivity/newactivity_limactivitynew.png.png")
	addChildForPre(self.limActivity5Button_7, self.limActivity5NewSprite)

	self.Time5LabelBg = ccui.ImageView:create()
	setValue(self.Time5LabelBg, "Time5LabelBg", 586, cc.size(95, 27), cc.p(50, 12), nil, nil, nil, nil, false)
	self.Time5LabelBg:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.Time5LabelBg:setScale9Enabled(true)
	self.Time5LabelBg:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.limActivity5Button_7, self.Time5LabelBg)

	self.limActivity5Label = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.limActivity5Label, "limActivity5Label", 587, cc.size(109, 28), cc.p(50, 11.4), nil, cc.c4b(255, 228, 0, 255), nil, nil, nil)
	self.limActivity5Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.limActivity5Label:setColor(cc.c4b(255, 228, 0, 255))
	addChildForPre(self.limActivity5Button_7, self.limActivity5Label)

	self.limActivityTime5Label = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.limActivityTime5Label, "limActivityTime5Label", 588, cc.size(91, 23), cc.p(50, -11), nil, cc.c4b(227, 35, 20, 255), nil, nil, nil)
	self.limActivityTime5Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.limActivityTime5Label:setColor(cc.c4b(227, 35, 20, 255))
	addChildForPre(self.limActivity5Button_7, self.limActivityTime5Label)

	self.limActivity6ButtonNode = ccui.Layout:create()
	setValue(self.limActivity6ButtonNode, "limActivity6ButtonNode", 288, cc.size(153, 115), cc.p(383.498, 176.74), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.limactivitybuttonPanel_5, self.limActivity6ButtonNode)
	self.limActivity6ButtonNode_6 = self.limActivity6ButtonNode

	self.limActivity6Button = ccui.Button:create()
	setValue(self.limActivity6Button, "limActivity6Button", 589, cc.size(100, 80), cc.p(76.5, 57.5), nil, nil, nil, nil, nil)
	self.limActivity6Button:loadTextureNormal("ccs/UiImages/newlimtActivity/newactivity_acccharge.png", 1)
	self.limActivity6Button:loadTexturePressed("ccs/UiImages/newlimtActivity/newactivity_acccharge.png", 1)
	self.limActivity6Button:loadTextureDisabled("ccs/UiImages/newlimtActivity/newactivity_acccharge.png", 1)
	self.limActivity6Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.limActivity6Button:setTitleText([[]])
	self.limActivity6Button:setTitleColor(cc.c3b(65, 65, 70))
	self.limActivity6Button:setTitleFontSize(14)
	self.limActivity6Button:setTitleFontName(getFont())
	setClickEvent(self, self.limActivity6Button, "limActivity6Button")
	addChildForPre(self.limActivity6ButtonNode_6, self.limActivity6Button)
	self.limActivity6Button_7 = self.limActivity6Button

	self.limActivity6NewSprite = cc.Sprite:create()
	setValue(self.limActivity6NewSprite, "limActivity6NewSprite", 1119, cc.size(74, 27), cc.p(70, 66), nil, nil, nil, nil, nil)
	self.limActivity6NewSprite:setSpriteFrame("ccs/UiImages/newlimtActivity/newactivity_limactivitynew.png.png")
	addChildForPre(self.limActivity6Button_7, self.limActivity6NewSprite)

	self.Time6LabelBg = ccui.ImageView:create()
	setValue(self.Time6LabelBg, "Time6LabelBg", 590, cc.size(95, 27), cc.p(50, 12), nil, nil, nil, nil, false)
	self.Time6LabelBg:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.Time6LabelBg:setScale9Enabled(true)
	self.Time6LabelBg:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.limActivity6Button_7, self.Time6LabelBg)

	self.limActivity6Label = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.limActivity6Label, "limActivity6Label", 591, cc.size(109, 28), cc.p(50, 11.4), nil, cc.c4b(255, 228, 0, 255), nil, nil, nil)
	self.limActivity6Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.limActivity6Label:setColor(cc.c4b(255, 228, 0, 255))
	addChildForPre(self.limActivity6Button_7, self.limActivity6Label)

	self.limActivityTime6Label = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.limActivityTime6Label, "limActivityTime6Label", 592, cc.size(91, 23), cc.p(50, -11), nil, cc.c4b(227, 35, 20, 255), nil, nil, nil)
	self.limActivityTime6Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.limActivityTime6Label:setColor(cc.c4b(227, 35, 20, 255))
	addChildForPre(self.limActivity6Button_7, self.limActivityTime6Label)

	self.limActivity7ButtonNode = ccui.Layout:create()
	setValue(self.limActivity7ButtonNode, "limActivity7ButtonNode", 287, cc.size(153, 115), cc.p(77.5004, 63.0002), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.limactivitybuttonPanel_5, self.limActivity7ButtonNode)
	self.limActivity7ButtonNode_6 = self.limActivity7ButtonNode

	self.limActivity7Button = ccui.Button:create()
	setValue(self.limActivity7Button, "limActivity7Button", 593, cc.size(100, 80), cc.p(76.5, 57.5), nil, nil, nil, nil, nil)
	self.limActivity7Button:loadTextureNormal("ccs/UiImages/newlimtActivity/newactivity_acccharge.png", 1)
	self.limActivity7Button:loadTexturePressed("ccs/UiImages/newlimtActivity/newactivity_acccharge.png", 1)
	self.limActivity7Button:loadTextureDisabled("ccs/UiImages/newlimtActivity/newactivity_acccharge.png", 1)
	self.limActivity7Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.limActivity7Button:setTitleText([[]])
	self.limActivity7Button:setTitleColor(cc.c3b(65, 65, 70))
	self.limActivity7Button:setTitleFontSize(14)
	self.limActivity7Button:setTitleFontName(getFont())
	setClickEvent(self, self.limActivity7Button, "limActivity7Button")
	addChildForPre(self.limActivity7ButtonNode_6, self.limActivity7Button)
	self.limActivity7Button_7 = self.limActivity7Button

	self.limActivity7NewSprite = cc.Sprite:create()
	setValue(self.limActivity7NewSprite, "limActivity7NewSprite", 1120, cc.size(74, 27), cc.p(70, 66), nil, nil, nil, nil, nil)
	self.limActivity7NewSprite:setSpriteFrame("ccs/UiImages/newlimtActivity/newactivity_limactivitynew.png.png")
	addChildForPre(self.limActivity7Button_7, self.limActivity7NewSprite)

	self.Time7LabelBg = ccui.ImageView:create()
	setValue(self.Time7LabelBg, "Time7LabelBg", 594, cc.size(95, 27), cc.p(50, 12), nil, nil, nil, nil, false)
	self.Time7LabelBg:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.Time7LabelBg:setScale9Enabled(true)
	self.Time7LabelBg:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.limActivity7Button_7, self.Time7LabelBg)

	self.limActivity7Label = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.limActivity7Label, "limActivity7Label", 595, cc.size(109, 28), cc.p(50, 11.4), nil, cc.c4b(255, 228, 0, 255), nil, nil, nil)
	self.limActivity7Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.limActivity7Label:setColor(cc.c4b(255, 228, 0, 255))
	addChildForPre(self.limActivity7Button_7, self.limActivity7Label)

	self.limActivityTime7Label = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.limActivityTime7Label, "limActivityTime7Label", 596, cc.size(91, 23), cc.p(50, -11), nil, cc.c4b(227, 35, 20, 255), nil, nil, nil)
	self.limActivityTime7Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.limActivityTime7Label:setColor(cc.c4b(227, 35, 20, 255))
	addChildForPre(self.limActivity7Button_7, self.limActivityTime7Label)

	self.limActivity8ButtonNode = ccui.Layout:create()
	setValue(self.limActivity8ButtonNode, "limActivity8ButtonNode", 275, cc.size(153, 115), cc.p(230.4981, 63.0002), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.limactivitybuttonPanel_5, self.limActivity8ButtonNode)
	self.limActivity8ButtonNode_6 = self.limActivity8ButtonNode

	self.limActivity8Button = ccui.Button:create()
	setValue(self.limActivity8Button, "limActivity8Button", 280, cc.size(100, 80), cc.p(76.5, 57.5), nil, nil, nil, nil, nil)
	self.limActivity8Button:loadTextureNormal("ccs/UiImages/newlimtActivity/newactivity_acccharge.png", 1)
	self.limActivity8Button:loadTexturePressed("ccs/UiImages/newlimtActivity/newactivity_acccharge.png", 1)
	self.limActivity8Button:loadTextureDisabled("ccs/UiImages/newlimtActivity/newactivity_acccharge.png", 1)
	self.limActivity8Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.limActivity8Button:setTitleText([[]])
	self.limActivity8Button:setTitleColor(cc.c3b(65, 65, 70))
	self.limActivity8Button:setTitleFontSize(14)
	self.limActivity8Button:setTitleFontName(getFont())
	setClickEvent(self, self.limActivity8Button, "limActivity8Button")
	addChildForPre(self.limActivity8ButtonNode_6, self.limActivity8Button)
	self.limActivity8Button_7 = self.limActivity8Button

	self.limActivity8NewSprite = cc.Sprite:create()
	setValue(self.limActivity8NewSprite, "limActivity8NewSprite", 281, cc.size(74, 27), cc.p(70, 66), nil, nil, nil, nil, nil)
	self.limActivity8NewSprite:setSpriteFrame("ccs/UiImages/newlimtActivity/newactivity_limactivitynew.png.png")
	addChildForPre(self.limActivity8Button_7, self.limActivity8NewSprite)

	self.Time8LabelBg = ccui.ImageView:create()
	setValue(self.Time8LabelBg, "Time8LabelBg", 282, cc.size(95, 27), cc.p(50, 12), nil, nil, nil, nil, false)
	self.Time8LabelBg:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.Time8LabelBg:setScale9Enabled(true)
	self.Time8LabelBg:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.limActivity8Button_7, self.Time8LabelBg)

	self.limActivity8Label = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.limActivity8Label, "limActivity8Label", 283, cc.size(109, 28), cc.p(50, 11.4), nil, cc.c4b(255, 228, 0, 255), nil, nil, nil)
	self.limActivity8Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.limActivity8Label:setColor(cc.c4b(255, 228, 0, 255))
	addChildForPre(self.limActivity8Button_7, self.limActivity8Label)

	self.limActivityTime8Label = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.limActivityTime8Label, "limActivityTime8Label", 284, cc.size(91, 23), cc.p(50, -11), nil, cc.c4b(227, 35, 20, 255), nil, nil, nil)
	self.limActivityTime8Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.limActivityTime8Label:setColor(cc.c4b(227, 35, 20, 255))
	addChildForPre(self.limActivity8Button_7, self.limActivityTime8Label)

	self.limActivity9ButtonNode = ccui.Layout:create()
	setValue(self.limActivity9ButtonNode, "limActivity9ButtonNode", 312, cc.size(153, 115), cc.p(383.498, 63.0002), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.limactivitybuttonPanel_5, self.limActivity9ButtonNode)
	self.limActivity9ButtonNode_6 = self.limActivity9ButtonNode

	self.limActivity9Button = ccui.Button:create()
	setValue(self.limActivity9Button, "limActivity9Button", 316, cc.size(100, 80), cc.p(76.5, 57.5), nil, nil, nil, nil, nil)
	self.limActivity9Button:loadTextureNormal("ccs/UiImages/newlimtActivity/newactivity_acccharge.png", 1)
	self.limActivity9Button:loadTexturePressed("ccs/UiImages/newlimtActivity/newactivity_acccharge.png", 1)
	self.limActivity9Button:loadTextureDisabled("ccs/UiImages/newlimtActivity/newactivity_acccharge.png", 1)
	self.limActivity9Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.limActivity9Button:setTitleText([[]])
	self.limActivity9Button:setTitleColor(cc.c3b(65, 65, 70))
	self.limActivity9Button:setTitleFontSize(14)
	self.limActivity9Button:setTitleFontName(getFont())
	setClickEvent(self, self.limActivity9Button, "limActivity9Button")
	addChildForPre(self.limActivity9ButtonNode_6, self.limActivity9Button)
	self.limActivity9Button_7 = self.limActivity9Button

	self.limActivity9NewSprite = cc.Sprite:create()
	setValue(self.limActivity9NewSprite, "limActivity9NewSprite", 317, cc.size(74, 27), cc.p(70, 66), nil, nil, nil, nil, nil)
	self.limActivity9NewSprite:setSpriteFrame("ccs/UiImages/newlimtActivity/newactivity_limactivitynew.png.png")
	addChildForPre(self.limActivity9Button_7, self.limActivity9NewSprite)

	self.Time9LabelBg = ccui.ImageView:create()
	setValue(self.Time9LabelBg, "Time9LabelBg", 318, cc.size(95, 27), cc.p(50, 12), nil, nil, nil, nil, false)
	self.Time9LabelBg:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.Time9LabelBg:setScale9Enabled(true)
	self.Time9LabelBg:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.limActivity9Button_7, self.Time9LabelBg)

	self.limActivity9Label = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.limActivity9Label, "limActivity9Label", 319, cc.size(109, 28), cc.p(50, 11.4), nil, cc.c4b(255, 228, 0, 255), nil, nil, nil)
	self.limActivity9Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.limActivity9Label:setColor(cc.c4b(255, 228, 0, 255))
	addChildForPre(self.limActivity9Button_7, self.limActivity9Label)

	self.limActivityTime9Label = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.limActivityTime9Label, "limActivityTime9Label", 320, cc.size(91, 23), cc.p(50, -11), nil, cc.c4b(227, 35, 20, 255), nil, nil, nil)
	self.limActivityTime9Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.limActivityTime9Label:setColor(cc.c4b(227, 35, 20, 255))
	addChildForPre(self.limActivity9Button_7, self.limActivityTime9Label)

	self.competivePanel = ccui.Layout:create()
	setValue(self.competivePanel, "competivePanel", 308, cc.size(139, 90), cc.p(130, 416), cc.p(0, 1), nil, nil, nil, nil)
	addChildForPre(self.leftPanel_4, self.competivePanel)
	self.competivePanel_5 = self.competivePanel

	self.btnCompetitiveRank = ccui.Button:create()
	self.btnCompetitiveRank:setScale9Enabled(true)
	self.btnCompetitiveRank:setCapInsets(cc.rect(0, 0, 10, 10))
	self.btnCompetitiveRank:setContentSize(cc.size(174, 113))
	setValue(self.btnCompetitiveRank, "btnCompetitiveRank", 754, nil, cc.p(0, 90), cc.p(0, 1), nil, nil, nil, false)
	self.btnCompetitiveRank:setScale(0.8)
	self.btnCompetitiveRank:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.btnCompetitiveRank:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.btnCompetitiveRank:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.btnCompetitiveRank:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.btnCompetitiveRank:setTitleText([[]])
	self.btnCompetitiveRank:setTitleColor(cc.c3b(65, 65, 70))
	self.btnCompetitiveRank:setTitleFontSize(14)
	self.btnCompetitiveRank:setTitleFontName(getFont())
	setClickEvent(self, self.btnCompetitiveRank, "btnCompetitiveRank")
	addChildForPre(self.competivePanel_5, self.btnCompetitiveRank)

	self.spCompetitiveRank = cc.Sprite:create()
	setValue(self.spCompetitiveRank, "spCompetitiveRank", 309, cc.size(46, 46), cc.p(0, 90), cc.p(0, 1), nil, nil, nil, nil)
	self.spCompetitiveRank:setScale(0.8)
	self.spCompetitiveRank:setTexture("Default/Sprite.png")
	addChildForPre(self.competivePanel_5, self.spCompetitiveRank)

	self.txtChampionName = createLabel({text=[[]], font=getFont(), size=18,align = 1})
	setValue(self.txtChampionName, "txtChampionName", 310, nil, cc.p(69.4999, 52.2), cc.p(0.5, 1), cc.c4b(248, 139, 0, 255), nil, nil, nil)
	self.txtChampionName:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.txtChampionName:setColor(cc.c4b(248, 139, 0, 255))
	addChildForPre(self.competivePanel_5, self.txtChampionName)

	self.Panel9 = ccui.Layout:create()
	setValue(self.Panel9, "RTN_Panel9", 3594, cc.size(100, 240), cc.p(627.2, 820.416), cc.p(1, 1), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.Panel9)
	self.Panel9_3 = self.Panel9

	self.rightPanel = ccui.Layout:create()
	setValue(self.rightPanel, "rightPanel", 492, cc.size(100, 240), cc.p(100, 240), cc.p(1, 1), nil, nil, nil, nil)
	addChildForPre(self.Panel9_3, self.rightPanel)
	self.rightPanel_4 = self.rightPanel

	self.activeButton = ccui.Button:create()
	setValue(self.activeButton, "activeButton", 69, cc.size(90, 99), cc.p(50.0001, 214.04), nil, nil, nil, nil, nil)
	self.activeButton:loadTextureNormal("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_huodong.png", 1)
	self.activeButton:loadTexturePressed("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_huodong.png", 1)
	self.activeButton:loadTextureDisabled("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_huodong.png", 1)
	self.activeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.activeButton:setTitleText([[]])
	self.activeButton:setTitleFontSize(36)
	self.activeButton:setTitleFontName(getFont())
	setClickEvent(self, self.activeButton, "activeButton")
	addChildForPre(self.rightPanel_4, self.activeButton)
	self.activeButton_5 = self.activeButton

	self.activitySp = cc.Sprite:create()
	setValue(self.activitySp, "activitySp", 1179, cc.size(74, 28), cc.p(45.9, 12.7611), nil, nil, nil, nil, nil)
	self.activitySp:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainui_bg.png")
	addChildForPre(self.activeButton_5, self.activitySp)

	self.spActiveLabelBg = cc.Sprite:create()
	setValue(self.spActiveLabelBg, "spActiveLabelBg", 311, cc.size(116, 34), cc.p(45.126, 12.7611), nil, nil, nil, nil, nil)
	self.spActiveLabelBg:setSpriteFrame("ccs/UiImages/mainUiFeelingBtnB/mainUi_img_wenzidi.png")
	addChildForPre(self.activeButton_5, self.spActiveLabelBg)

	self.activeLabel = createLabel({text=[[活动]], font=getFont(), size=24})
	setValue(self.activeLabel, "activeLabel", 70, cc.size(48, 28), cc.p(45.126, 12.7611), nil, cc.c4b(255, 228, 0, 255), nil, nil, nil)
	self.activeLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.activeLabel:setColor(cc.c4b(255, 228, 0, 255))
	addChildForPre(self.activeButton_5, self.activeLabel)

	self.REDPOINT_ACTIVE = cc.Sprite:create()
	setValue(self.REDPOINT_ACTIVE, "REDPOINT_ACTIVE", 71, cc.size(24, 24), cc.p(75.6, 76.725), nil, nil, nil, nil, nil)
	self.REDPOINT_ACTIVE:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.activeButton_5, self.REDPOINT_ACTIVE)

	self.sysRewardButton = ccui.Button:create()
	setValue(self.sysRewardButton, "sysRewardButton", 77, cc.size(90, 99), cc.p(50, 82.9915), nil, nil, nil, nil, nil)
	self.sysRewardButton:loadTextureNormal("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_lingjiang.png", 1)
	self.sysRewardButton:loadTexturePressed("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_lingjiang.png", 1)
	self.sysRewardButton:loadTextureDisabled("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_lingjiang.png", 1)
	self.sysRewardButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.sysRewardButton:setTitleText([[]])
	self.sysRewardButton:setTitleFontSize(36)
	self.sysRewardButton:setTitleFontName(getFont())
	setClickEvent(self, self.sysRewardButton, "sysRewardButton")
	addChildForPre(self.rightPanel_4, self.sysRewardButton)
	self.sysRewardButton_5 = self.sysRewardButton

	self.sysRewardSp = cc.Sprite:create()
	setValue(self.sysRewardSp, "sysRewardSp", 1180, cc.size(74, 28), cc.p(45, 3.3957), nil, nil, nil, nil, nil)
	self.sysRewardSp:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainui_bg.png")
	addChildForPre(self.sysRewardButton_5, self.sysRewardSp)

	self.spSysRewardLabelBg = cc.Sprite:create()
	setValue(self.spSysRewardLabelBg, "spSysRewardLabelBg", 312, cc.size(116, 34), cc.p(45, 3.3957), nil, nil, nil, nil, nil)
	self.spSysRewardLabelBg:setSpriteFrame("ccs/UiImages/mainUiFeelingBtnB/mainUi_img_wenzidi.png")
	addChildForPre(self.sysRewardButton_5, self.spSysRewardLabelBg)

	self.sysRewardLabel = createLabel({text=[[领奖中心]], font=getFont(), size=24})
	setValue(self.sysRewardLabel, "sysRewardLabel", 78, cc.size(96, 28), cc.p(45, 3.3957), nil, cc.c4b(255, 228, 0, 255), nil, nil, nil)
	self.sysRewardLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.sysRewardLabel:setColor(cc.c4b(255, 228, 0, 255))
	addChildForPre(self.sysRewardButton_5, self.sysRewardLabel)

	self.REDPOINT_REWARD_STSTEM = cc.Sprite:create()
	setValue(self.REDPOINT_REWARD_STSTEM, "REDPOINT_REWARD_STSTEM", 79, cc.size(24, 24), cc.p(75.6, 87.7437), nil, nil, nil, nil, nil)
	self.REDPOINT_REWARD_STSTEM:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.sysRewardButton_5, self.REDPOINT_REWARD_STSTEM)

	self.Panel1 = ccui.Layout:create()
	setValue(self.Panel1, "LBN_Panel1", 3595, cc.size(640, 100), cc.p(0, 250), nil, nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.Panel1)
	self.Panel1_3 = self.Panel1

	self.funcPanel = ccui.Layout:create()
	setValue(self.funcPanel, "funcPanel", 1452, cc.size(550, 100), cc.p(0, 50), cc.p(0, 0.5), nil, nil, nil, nil)
	addChildForPre(self.Panel1_3, self.funcPanel)
	self.funcPanel_4 = self.funcPanel

	self.supplyButton = ccui.Button:create()
	setValue(self.supplyButton, "RBN_supplyButton", 276, cc.size(90, 90), cc.p(15, -4), cc.p(0, 0), nil, nil, nil, nil)
	self.supplyButton:loadTextureNormal("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_buji.png", 1)
	self.supplyButton:loadTexturePressed("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_buji.png", 1)
	self.supplyButton:loadTextureDisabled("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_buji.png", 1)
	self.supplyButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.supplyButton:setTitleText([[]])
	self.supplyButton:setTitleColor(cc.c3b(65, 65, 70))
	self.supplyButton:setTitleFontSize(14)
	self.supplyButton:setTitleFontName(getFont())
	setClickEvent(self, self.supplyButton, "supplyButton")
	addChildForPre(self.funcPanel_4, self.supplyButton)
	self.supplyButton_5 = self.supplyButton

	self.spTxtBg = cc.Sprite:create()
	setValue(self.spTxtBg, "spTxtBg", 578, cc.size(74, 28), cc.p(45, 9), nil, nil, nil, nil, nil)
	self.spTxtBg:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainui_bg.png")
	addChildForPre(self.supplyButton_5, self.spTxtBg)

	self.supplyLabel = createLabel({text=[[XXXX]], font=getFont(), size=24})
	setValue(self.supplyLabel, "supplyLabel", 278, cc.size(64, 28), cc.p(45, 9), nil, nil, nil, nil, nil)
	self.supplyLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.supplyButton_5, self.supplyLabel)

	self.REDPOINT_COMMANDCENTER = cc.Sprite:create()
	setValue(self.REDPOINT_COMMANDCENTER, "REDPOINT_COMMANDCENTER", 107, cc.size(24, 24), cc.p(76.5, 75.6), nil, nil, nil, nil, nil)
	self.REDPOINT_COMMANDCENTER:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.supplyButton_5, self.REDPOINT_COMMANDCENTER)

	self.techPanel = ccui.Layout:create()
	setValue(self.techPanel, "RBN_techPanel", 180, cc.size(100, 100), cc.p(121, -9), nil, nil, nil, nil, nil)
	addChildForPre(self.funcPanel_4, self.techPanel)
	self.techPanel_5 = self.techPanel

	self.spTechnology = cc.Sprite:create()
	setValue(self.spTechnology, "spTechnology", 292, cc.size(90, 90), cc.p(50.8, 50), nil, nil, nil, nil, nil)
	self.spTechnology:setSpriteFrame("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_keji.png")
	addChildForPre(self.techPanel_5, self.spTechnology)

	self.technologyButton = ccui.Button:create()
	self.technologyButton:setScale9Enabled(true)
	self.technologyButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.technologyButton:setContentSize(cc.size(80, 80))
	setValue(self.technologyButton, "technologyButton", 3, nil, cc.p(48.8999, 50), nil, nil, nil, nil, false)
	self.technologyButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.technologyButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.technologyButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.technologyButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.technologyButton:setTitleText([[]])
	self.technologyButton:setTitleColor(cc.c3b(65, 65, 70))
	self.technologyButton:setTitleFontSize(14)
	self.technologyButton:setTitleFontName(getFont())
	setClickEvent(self, self.technologyButton, "technologyButton")
	addChildForPre(self.techPanel_5, self.technologyButton)
	self.technologyButton_6 = self.technologyButton

	self.technologySpBg = cc.Sprite:create()
	setValue(self.technologySpBg, "technologySpBg", 1705, cc.size(74, 28), cc.p(40, 6), nil, nil, nil, nil, nil)
	self.technologySpBg:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainui_bg.png")
	addChildForPre(self.technologyButton_6, self.technologySpBg)

	self.technologyLabel = createLabel({text=[[科技]], font=getFont(), size=24})
	setValue(self.technologyLabel, "technologyLabel", 1706, cc.size(48, 28), cc.p(40, 4), nil, cc.c4b(255, 228, 0, 255), nil, nil, nil)
	self.technologyLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.technologyLabel:setColor(cc.c4b(255, 228, 0, 255))
	addChildForPre(self.technologyButton_6, self.technologyLabel)

	self.atlasButton = ccui.Button:create()
	setValue(self.atlasButton, "RBN_atlasButton", 682, cc.size(90, 90), cc.p(225.6, -4.0001), cc.p(0, 0), nil, nil, nil, nil)
	self.atlasButton:loadTextureNormal("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_tujian.png", 1)
	self.atlasButton:loadTexturePressed("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_tujian.png", 1)
	self.atlasButton:loadTextureDisabled("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_tujian.png", 1)
	self.atlasButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.atlasButton:setTitleText([[]])
	self.atlasButton:setTitleColor(cc.c3b(65, 65, 70))
	self.atlasButton:setTitleFontSize(14)
	self.atlasButton:setTitleFontName(getFont())
	setClickEvent(self, self.atlasButton, "atlasButton")
	addChildForPre(self.funcPanel_4, self.atlasButton)
	self.atlasButton_5 = self.atlasButton

	self.spTxtBg = cc.Sprite:create()
	setValue(self.spTxtBg, "spTxtBg", 579, cc.size(74, 28), cc.p(45.9, 8.1), nil, nil, nil, nil, nil)
	self.spTxtBg:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainui_bg.png")
	addChildForPre(self.atlasButton_5, self.spTxtBg)

	self.atlasLabel = createLabel({text=[[图鉴]], font=getFont(), size=24})
	setValue(self.atlasLabel, "atlasLabel", 683, cc.size(48, 28), cc.p(45.0004, 9), nil, nil, nil, nil, nil)
	self.atlasLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.atlasButton_5, self.atlasLabel)

	self.mailButton = ccui.Button:create()
	setValue(self.mailButton, "RBN_mailButton", 1465, cc.size(90, 90), cc.p(325.0345, -4.358), cc.p(0, 0), nil, nil, nil, nil)
	self.mailButton:loadTextureNormal("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_youjian.png", 1)
	self.mailButton:loadTexturePressed("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_youjian.png", 1)
	self.mailButton:loadTextureDisabled("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_youjian.png", 1)
	self.mailButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.mailButton:setTitleText([[]])
	self.mailButton:setTitleColor(cc.c3b(65, 65, 70))
	self.mailButton:setTitleFontSize(14)
	self.mailButton:setTitleFontName(getFont())
	setClickEvent(self, self.mailButton, "mailButton")
	addChildForPre(self.funcPanel_4, self.mailButton)
	self.mailButton_5 = self.mailButton

	self.spTxtBg = cc.Sprite:create()
	setValue(self.spTxtBg, "spTxtBg", 580, cc.size(74, 28), cc.p(45, 8.1), nil, nil, nil, nil, nil)
	self.spTxtBg:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainui_bg.png")
	addChildForPre(self.mailButton_5, self.spTxtBg)

	self.mailLabel = createLabel({text=[[邮件]], font=getFont(), size=24})
	setValue(self.mailLabel, "mailLabel", 1466, cc.size(48, 28), cc.p(45, 9), nil, nil, nil, nil, nil)
	self.mailLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.mailButton_5, self.mailLabel)

	self.REDPOINT_REWARD_MAILBOX = cc.Sprite:create()
	setValue(self.REDPOINT_REWARD_MAILBOX, "REDPOINT_REWARD_MAILBOX", 1467, cc.size(24, 24), cc.p(77.4, 75.627), nil, nil, 232, nil, nil)
	self.REDPOINT_REWARD_MAILBOX:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.mailButton_5, self.REDPOINT_REWARD_MAILBOX)

	self.friendButton = ccui.Button:create()
	setValue(self.friendButton, "RBN_friendButton", 1459, cc.size(90, 90), cc.p(424.3972, -4.358), cc.p(0, 0), nil, nil, nil, nil)
	self.friendButton:loadTextureNormal("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_haoyou.png", 1)
	self.friendButton:loadTexturePressed("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_haoyou.png", 1)
	self.friendButton:loadTextureDisabled("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_haoyou.png", 1)
	self.friendButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.friendButton:setTitleText([[]])
	self.friendButton:setTitleColor(cc.c3b(65, 65, 70))
	self.friendButton:setTitleFontSize(14)
	self.friendButton:setTitleFontName(getFont())
	setClickEvent(self, self.friendButton, "friendButton")
	addChildForPre(self.funcPanel_4, self.friendButton)
	self.friendButton_5 = self.friendButton

	self.spTxtBg = cc.Sprite:create()
	setValue(self.spTxtBg, "spTxtBg", 581, cc.size(74, 28), cc.p(43.2, 8.1), nil, nil, nil, nil, nil)
	self.spTxtBg:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainui_bg.png")
	addChildForPre(self.friendButton_5, self.spTxtBg)

	self.friendLabel = createLabel({text=[[好友]], font=getFont(), size=24})
	setValue(self.friendLabel, "friendLabel", 1460, cc.size(48, 28), cc.p(45, 9), nil, nil, nil, nil, nil)
	self.friendLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.friendButton_5, self.friendLabel)

	self.exchangeButton = ccui.Button:create()
	setValue(self.exchangeButton, "RBN_exchangeButton", 547, cc.size(90, 90), cc.p(529.9997, 40.6418), cc.p(0, 0.5), nil, nil, nil, nil)
	self.exchangeButton:loadTextureNormal("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_duihuan.png", 1)
	self.exchangeButton:loadTexturePressed("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_duihuan.png", 1)
	self.exchangeButton:loadTextureDisabled("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_duihuan.png", 1)
	self.exchangeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.exchangeButton:setTitleText([[]])
	self.exchangeButton:setTitleColor(cc.c3b(65, 65, 70))
	self.exchangeButton:setTitleFontSize(14)
	self.exchangeButton:setTitleFontName(getFont())
	setClickEvent(self, self.exchangeButton, "exchangeButton")
	addChildForPre(self.funcPanel_4, self.exchangeButton)
	self.exchangeButton_5 = self.exchangeButton

	self.spTxtBg = cc.Sprite:create()
	setValue(self.spTxtBg, "spTxtBg", 574, cc.size(74, 28), cc.p(45, 5.535), nil, nil, nil, nil, nil)
	self.spTxtBg:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainui_bg.png")
	addChildForPre(self.exchangeButton_5, self.spTxtBg)

	self.exchangeLabel = createLabel({text=[[兑换]], font=getFont(), size=24})
	setValue(self.exchangeLabel, "exchangeLabel", 548, cc.size(48, 28), cc.p(45, 6.15), nil, nil, nil, nil, nil)
	self.exchangeLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.exchangeButton_5, self.exchangeLabel)

	self.REDPOINT_REWARD_EXCHANGE = cc.Sprite:create()
	setValue(self.REDPOINT_REWARD_EXCHANGE, "REDPOINT_REWARD_EXCHANGE", 741, cc.size(24, 24), cc.p(77.4, 75.6), nil, nil, 232, nil, nil)
	self.REDPOINT_REWARD_EXCHANGE:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.exchangeButton_5, self.REDPOINT_REWARD_EXCHANGE)

	self.Panel2 = ccui.Layout:create()
	setValue(self.Panel2, "RBN_Panel2", 3596, cc.size(200, 200), cc.p(548.4818, 444.9416), cc.p(0.5, 0.4997), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.Panel2)
	self.Panel2_3 = self.Panel2

	self.battlebtnPanel = ccui.Layout:create()
	setValue(self.battlebtnPanel, "battlebtnPanel", 7, cc.size(200, 200), cc.p(100, 100), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.Panel2_3, self.battlebtnPanel)

	self.Panel3 = ccui.Layout:create()
	setValue(self.Panel3, "LBN_Panel3", 3597, cc.size(528, 66), cc.p(32, 245), nil, nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.Panel3)
	self.Panel3_3 = self.Panel3

	if MainUiTaskGuideUi then 
 		self.mainUiTaskGuideUi = MainUiTaskGuideUi.new() 
 	else 
		self.mainUiTaskGuideUi = BaseUi.new("ccs/ui/mainUiFeeling/MainUiTaskGuideUi.lua")
 	end 
	setValue(self.mainUiTaskGuideUi, "mainUiTaskGuideUi", 622, nil, cc.p(-18.2368, 37.1184), nil, nil, nil, nil, nil)
	addChildForPre(self.Panel3_3, self.mainUiTaskGuideUi)

	self.chatPreScalePanel = ccui.Layout:create()
	setValue(self.chatPreScalePanel, "chatPreScalePanel", 4450, cc.size(658, 66), cc.p(-25.56, 4.85), cc.p(0, 0.5), nil, nil, nil, nil)
	addChildForPre(self.Panel3_3, self.chatPreScalePanel)

	self.Panel5 = ccui.Layout:create()
	setValue(self.Panel5, "TXN_Panel5", 3590, cc.size(440, 53), cc.p(320, 818.688), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.Panel5)
	self.Panel5_3 = self.Panel5

	self.tishiSp = cc.Sprite:create()
	setValue(self.tishiSp, "WXT_tishiSp", 89, cc.size(487, 49), cc.p(220, 26.5), nil, nil, nil, nil, nil)
	self.tishiSp:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainUi_plate2.png")
	addChildForPre(self.Panel5_3, self.tishiSp)

	self.scroLabelPanel = ccui.Layout:create()
	setValue(self.scroLabelPanel, "WTX_scroLabelPanel", 656, cc.size(360, 53), cc.p(220, 26.5), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.scroLabelPanel:setClippingEnabled(true)
	addChildForPre(self.Panel5_3, self.scroLabelPanel)
	self.scroLabelPanel_4 = self.scroLabelPanel

	self.scroLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.scroLabel, "XYN_scroLabel", 657, cc.size(109, 28), cc.p(306, 26.5), cc.p(0, 0.5), nil, nil, nil, nil)
	self.scroLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.scroLabelPanel_4, self.scroLabel)

	self.Panel6 = ccui.Layout:create()
	setValue(self.Panel6, "WXB_Panel6", 3599, cc.size(640, 264), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.Panel6)
	self.Panel6_3 = self.Panel6

	self.bottomPanel = ccui.Layout:create()
	setValue(self.bottomPanel, "WXB_bottomPanel", 406, cc.size(640, 264), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Panel6_3, self.bottomPanel)
	self.bottomPanel_4 = self.bottomPanel

	self.buttomBg = ccui.ImageView:create()
	setValue(self.buttomBg, "WXN_buttomBg", 531, cc.size(640, 222), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	self.buttomBg:loadTexture("ccs/UiImages/mainUiFeelingBtnB/mainUi_down.png", 1)
	addChildForPre(self.bottomPanel_4, self.buttomBg)

	self.shopButton = ccui.Button:create()
	self.shopButton:setScale9Enabled(true)
	self.shopButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.shopButton:setContentSize(cc.size(120, 120))
	setValue(self.shopButton, "XNN_shopButton", 8, nil, nil, cc.p(0, 0), nil, nil, nil, false)
	self.shopButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.shopButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.shopButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.shopButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.shopButton:setTitleText([[]])
	self.shopButton:setTitleFontSize(14)
	self.shopButton:setTitleFontName(getFont())
	setClickEvent(self, self.shopButton, "shopButton")
	addChildForPre(self.bottomPanel_4, self.shopButton)
	self.shopButton_5 = self.shopButton

	self.spShopPlate = cc.Sprite:create()
	setValue(self.spShopPlate, "spShopPlate", 286, cc.size(120, 120), nil, cc.p(0, 0), nil, nil, nil, nil)
	self.spShopPlate:setSpriteFrame("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_plate.png")
	addChildForPre(self.shopButton_5, self.spShopPlate)

	self.particle1 = cc.ParticleSystemQuad:create("ccs/Particle/mainui_btn_shop1.plist")
 	self.particle1:setPositionType(2) 
	setValue(self.particle1, "particle1", 312, nil, cc.p(60, 60), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.shopButton_5, self.particle1)

	self.spShop = cc.Sprite:create()
	setValue(self.spShop, "spShop", 294, cc.size(120, 120), nil, cc.p(0, 0), nil, nil, nil, nil)
	self.spShop:setSpriteFrame("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_shangcheng.png")
	addChildForPre(self.shopButton_5, self.spShop)

	self.particle2 = cc.ParticleSystemQuad:create("ccs/Particle/mainui_btn_shop2.plist")
 	self.particle2:setPositionType(2) 
	setValue(self.particle2, "particle2", 313, nil, cc.p(60, 60), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.shopButton_5, self.particle2)

	self.shopSpBg = cc.Sprite:create()
	setValue(self.shopSpBg, "shopSpBg", 571, cc.size(74, 28), cc.p(63.96, 16.524), nil, nil, nil, nil, nil)
	self.shopSpBg:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainui_bg.png")
	addChildForPre(self.shopButton_5, self.shopSpBg)

	self.shop = createLabel({text=[[XXX]], font=getFont(), size=24,align = 1,valign = 1})
	setValue(self.shop, "shop", 194, cc.size(48, 28), cc.p(63.96, 16.524), nil, nil, nil, nil, nil)
	self.shop:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.shopButton_5, self.shop)

	self.REDPOINT_SHOP = cc.Sprite:create()
	setValue(self.REDPOINT_SHOP, "REDPOINT_SHOP", 90, cc.size(24, 24), cc.p(96, 101.004), nil, nil, nil, nil, nil)
	self.REDPOINT_SHOP:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.shopButton_5, self.REDPOINT_SHOP)

	self.shipPanel = ccui.Layout:create()
	setValue(self.shipPanel, "XNN_shipPanel", 157, cc.size(94, 94), cc.p(124.8, 12.9888), nil, nil, nil, nil, nil)
	addChildForPre(self.bottomPanel_4, self.shipPanel)
	self.shipPanel_5 = self.shipPanel

	self.spBtnBg = cc.Sprite:create()
	setValue(self.spBtnBg, "spBtnBg", 287, cc.size(94, 94), cc.p(47, 47), nil, nil, nil, nil, nil)
	self.spBtnBg:setSpriteFrame("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_jianzao.png")
	addChildForPre(self.shipPanel_5, self.spBtnBg)

	self.paperButton = ccui.Button:create()
	self.paperButton:setScale9Enabled(true)
	self.paperButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.paperButton:setContentSize(cc.size(94, 94))
	setValue(self.paperButton, "paperButton", 2, nil, cc.p(47, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.paperButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.paperButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.paperButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.paperButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.paperButton:setTitleText([[]])
	self.paperButton:setTitleColor(cc.c3b(65, 65, 70))
	self.paperButton:setTitleFontSize(14)
	self.paperButton:setTitleFontName(getFont())
	setClickEvent(self, self.paperButton, "paperButton")
	addChildForPre(self.shipPanel_5, self.paperButton)
	self.paperButton_6 = self.paperButton

	self.paperSpBg = cc.Sprite:create()
	setValue(self.paperSpBg, "paperSpBg", 1702, cc.size(74, 28), cc.p(47, 4.7), nil, nil, nil, nil, nil)
	self.paperSpBg:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainui_bg.png")
	addChildForPre(self.paperButton_6, self.paperSpBg)

	self.paperLable = createLabel({text=[[造船厂]], font=getFont(), size=24})
	setValue(self.paperLable, "paperLable", 1703, cc.size(72, 28), cc.p(47, 3.525), nil, cc.c4b(255, 228, 0, 255), nil, nil, nil)
	self.paperLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.paperLable:setColor(cc.c4b(255, 228, 0, 255))
	addChildForPre(self.paperButton_6, self.paperLable)

	self.paperButtonRedSprite = cc.Sprite:create()
	setValue(self.paperButtonRedSprite, "paperButtonRedSprite", 540, cc.size(24, 24), cc.p(73.602, 82.5978), nil, nil, nil, nil, nil)
	self.paperButtonRedSprite:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.paperButton_6, self.paperButtonRedSprite)

	self.campPanel = ccui.Layout:create()
	setValue(self.campPanel, "XNN_campPanel", 168, cc.size(94, 94), cc.p(223.616, 12.9888), nil, nil, nil, nil, nil)
	addChildForPre(self.bottomPanel_4, self.campPanel)
	self.campPanel_5 = self.campPanel

	self.spBtnBg = cc.Sprite:create()
	setValue(self.spBtnBg, "spBtnBg", 288, cc.size(94, 94), cc.p(47, 47), nil, nil, nil, nil, nil)
	self.spBtnBg:setSpriteFrame("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_zhenrong.png")
	addChildForPre(self.campPanel_5, self.spBtnBg)

	self.campButton = ccui.Button:create()
	self.campButton:setScale9Enabled(true)
	self.campButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.campButton:setContentSize(cc.size(94, 94))
	setValue(self.campButton, "campButton", 4, nil, cc.p(46.9812, 47), nil, nil, nil, nil, false)
	self.campButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.campButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.campButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.campButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.campButton:setTitleText([[]])
	self.campButton:setTitleColor(cc.c3b(65, 65, 70))
	self.campButton:setTitleFontSize(14)
	self.campButton:setTitleFontName(getFont())
	setClickEvent(self, self.campButton, "campButton")
	addChildForPre(self.campPanel_5, self.campButton)
	self.campButton_6 = self.campButton

	self.campSpBg = cc.Sprite:create()
	setValue(self.campSpBg, "campSpBg", 1445, cc.size(74, 28), cc.p(47, 3.525), nil, nil, nil, nil, nil)
	self.campSpBg:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainui_bg.png")
	addChildForPre(self.campButton_6, self.campSpBg)

	self.campLable = createLabel({text=[[阵容]], font=getFont(), size=24})
	setValue(self.campLable, "campLable", 1448, cc.size(48, 28), cc.p(47, 3.525), nil, cc.c4b(255, 228, 0, 255), nil, nil, nil)
	self.campLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.campLable:setColor(cc.c4b(255, 228, 0, 255))
	addChildForPre(self.campButton_6, self.campLable)

	self.competitiveButton = ccui.Button:create()
	setValue(self.competitiveButton, "XNN_competitiveButton", 284, cc.size(94, 94), cc.p(323.008, 12.9888), cc.p(0, 0), nil, nil, nil, nil)
	self.competitiveButton:loadTextureNormal("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_jingji.png", 1)
	self.competitiveButton:loadTexturePressed("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_jingji.png", 1)
	self.competitiveButton:loadTextureDisabled("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_jingji.png", 1)
	self.competitiveButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.competitiveButton:setTitleText([[]])
	self.competitiveButton:setTitleFontSize(14)
	self.competitiveButton:setTitleFontName(getFont())
	setClickEvent(self, self.competitiveButton, "competitiveButton")
	addChildForPre(self.bottomPanel_4, self.competitiveButton)
	self.competitiveButton_5 = self.competitiveButton

	self.spTxtBg = cc.Sprite:create()
	setValue(self.spTxtBg, "spTxtBg", 572, cc.size(74, 28), cc.p(47, -10.4716), cc.p(0.5, 0), nil, nil, nil, nil)
	self.spTxtBg:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainui_bg.png")
	addChildForPre(self.competitiveButton_5, self.spTxtBg)

	self.competitiveLabel = createLabel({text=[[竞技]], font=getFont(), size=24,align = 1,valign = 1})
	setValue(self.competitiveLabel, "competitiveLabel", 285, cc.size(48, 28), cc.p(47, -10.4716), cc.p(0.5, 0), nil, nil, nil, nil)
	self.competitiveLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.competitiveButton_5, self.competitiveLabel)

	self.countryBattleButton = ccui.Button:create()
	setValue(self.countryBattleButton, "XNN_countryBattleButton", 697, cc.size(94, 94), cc.p(422.4, 12.9888), cc.p(0, 0), nil, nil, nil, nil)
	self.countryBattleButton:loadTextureNormal("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_zhengba.png", 1)
	self.countryBattleButton:loadTexturePressed("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_zhengba.png", 1)
	self.countryBattleButton:loadTextureDisabled("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_zhengba.png", 1)
	self.countryBattleButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.countryBattleButton:setTitleText([[]])
	self.countryBattleButton:setTitleFontSize(14)
	self.countryBattleButton:setTitleFontName(getFont())
	setClickEvent(self, self.countryBattleButton, "countryBattleButton")
	addChildForPre(self.bottomPanel_4, self.countryBattleButton)
	self.countryBattleButton_5 = self.countryBattleButton

	self.spTxtBg = cc.Sprite:create()
	setValue(self.spTxtBg, "spTxtBg", 573, cc.size(74, 28), cc.p(52.123, -10.4716), cc.p(0.5, 0), nil, nil, nil, nil)
	self.spTxtBg:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainui_bg.png")
	addChildForPre(self.countryBattleButton_5, self.spTxtBg)

	self.countryBattleLabel = createLabel({text=[[争霸]], font=getFont(), size=24,align = 1,valign = 1})
	setValue(self.countryBattleLabel, "countryBattleLabel", 699, cc.size(48, 28), cc.p(28.623, -10.4716), cc.p(0, 0), nil, nil, nil, nil)
	self.countryBattleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.countryBattleButton_5, self.countryBattleLabel)

	self.battlePanel = ccui.Layout:create()
	setValue(self.battlePanel, "XNN_battlePanel", 144, cc.size(120, 120), cc.p(640, 0), cc.p(1, 0), nil, nil, nil, nil)
	addChildForPre(self.bottomPanel_4, self.battlePanel)
	self.battlePanel_5 = self.battlePanel

	self.spPlate = cc.Sprite:create()
	setValue(self.spPlate, "spPlate", 295, cc.size(120, 120), cc.p(60, 60), nil, nil, nil, nil, nil)
	self.spPlate:setSpriteFrame("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_plate.png")
	addChildForPre(self.battlePanel_5, self.spPlate)

	self.particle1 = cc.ParticleSystemQuad:create("ccs/Particle/mainui_btn_challenge.plist")
 	self.particle1:setPositionType(2) 
	setValue(self.particle1, "particle1", 314, nil, cc.p(60, 60), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.particle1:setScale(0.8)
	addChildForPre(self.battlePanel_5, self.particle1)

	self.spBtnBg = cc.Sprite:create()
	setValue(self.spBtnBg, "spBtnBg", 289, cc.size(120, 120), cc.p(60, 60), nil, nil, nil, nil, nil)
	self.spBtnBg:setSpriteFrame("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_zhanyi.png")
	addChildForPre(self.battlePanel_5, self.spBtnBg)

	self.challengeButton = ccui.Button:create()
	self.challengeButton:setScale9Enabled(true)
	self.challengeButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.challengeButton:setContentSize(cc.size(120, 120))
	setValue(self.challengeButton, "challengeButton", 6, nil, cc.p(60, 60), nil, nil, nil, nil, false)
	self.challengeButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.challengeButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.challengeButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.challengeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.challengeButton:setTitleText([[]])
	self.challengeButton:setTitleColor(cc.c3b(65, 65, 70))
	self.challengeButton:setTitleFontSize(14)
	self.challengeButton:setTitleFontName(getFont())
	setClickEvent(self, self.challengeButton, "challengeButton")
	addChildForPre(self.battlePanel_5, self.challengeButton)
	self.challengeButton_6 = self.challengeButton

	self.challengeSpBg = cc.Sprite:create()
	setValue(self.challengeSpBg, "challengeSpBg", 2010, cc.size(74, 28), cc.p(60, 16.8), nil, nil, nil, nil, nil)
	self.challengeSpBg:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainui_bg.png")
	addChildForPre(self.challengeButton_6, self.challengeSpBg)

	self.challengeLable = createLabel({text=[[战役]], font=getFont(), size=24})
	setValue(self.challengeLable, "challengeLable", 2011, cc.size(48, 28), cc.p(60, 16.524), nil, cc.c4b(255, 228, 0, 255), nil, nil, nil)
	self.challengeLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.challengeLable:setColor(cc.c4b(255, 228, 0, 255))
	addChildForPre(self.challengeButton_6, self.challengeLable)

	self.particle2 = cc.ParticleSystemQuad:create("ccs/Particle/mainui_btn_challenge.plist")
 	self.particle2:setPositionType(2) 
	setValue(self.particle2, "particle2", 315, nil, cc.p(57.996, 29.004), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.particle2:setScale(0.3)
	addChildForPre(self.battlePanel_5, self.particle2)

	self.storagePanel = ccui.Layout:create()
	setValue(self.storagePanel, "XNN_storagePanel", 200, cc.size(100, 100), cc.p(9.984, 174.7944), cc.p(0, 0.5), nil, nil, nil, nil)
	addChildForPre(self.bottomPanel_4, self.storagePanel)
	self.storagePanel_5 = self.storagePanel

	self.spBtnBg = cc.Sprite:create()
	setValue(self.spBtnBg, "spBtnBg", 290, cc.size(90, 90), cc.p(50, 50), nil, nil, nil, nil, nil)
	self.spBtnBg:setSpriteFrame("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_cangku.png")
	addChildForPre(self.storagePanel_5, self.spBtnBg)

	self.storageButton = ccui.Button:create()
	self.storageButton:setScale9Enabled(true)
	self.storageButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.storageButton:setContentSize(cc.size(80, 80))
	setValue(self.storageButton, "storageButton", 5, nil, cc.p(50.02, 50), nil, nil, nil, nil, false)
	self.storageButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.storageButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.storageButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.storageButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.storageButton:setTitleText([[]])
	self.storageButton:setTitleColor(cc.c3b(65, 65, 70))
	self.storageButton:setTitleFontSize(14)
	self.storageButton:setTitleFontName(getFont())
	setClickEvent(self, self.storageButton, "storageButton")
	addChildForPre(self.storagePanel_5, self.storageButton)
	self.storageButton_6 = self.storageButton

	self.storageSpBg = cc.Sprite:create()
	setValue(self.storageSpBg, "storageSpBg", 110, cc.size(74, 28), cc.p(40, 2), nil, nil, nil, nil, nil)
	self.storageSpBg:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainui_bg.png")
	addChildForPre(self.storageButton_6, self.storageSpBg)

	self.storageLable = createLabel({text=[[仓库]], font=getFont(), size=24})
	setValue(self.storageLable, "storageLable", 111, cc.size(48, 28), cc.p(40, 1.152), nil, cc.c4b(255, 228, 0, 255), nil, nil, nil)
	self.storageLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.storageLable:setColor(cc.c4b(255, 228, 0, 255))
	addChildForPre(self.storageButton_6, self.storageLable)

	self.REDPOINT_STORATE = cc.Sprite:create()
	setValue(self.REDPOINT_STORATE, "REDPOINT_STORATE", 824, cc.size(24, 24), cc.p(72, 72), nil, nil, nil, nil, nil)
	self.REDPOINT_STORATE:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.storageButton_6, self.REDPOINT_STORATE)

	self.allianceButton = ccui.Button:create()
	setValue(self.allianceButton, "XNN_allianceButton", 685, cc.size(90, 90), cc.p(126.784, 174.7944), cc.p(0, 0.5), nil, nil, nil, nil)
	self.allianceButton:loadTextureNormal("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_gonghui.png", 1)
	self.allianceButton:loadTexturePressed("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_gonghui.png", 1)
	self.allianceButton:loadTextureDisabled("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_gonghui.png", 1)
	self.allianceButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.allianceButton:setTitleText([[]])
	self.allianceButton:setTitleColor(cc.c3b(65, 65, 70))
	self.allianceButton:setTitleFontSize(14)
	self.allianceButton:setTitleFontName(getFont())
	setClickEvent(self, self.allianceButton, "allianceButton")
	addChildForPre(self.bottomPanel_4, self.allianceButton)
	self.allianceButton_5 = self.allianceButton

	self.spTxtBg = cc.Sprite:create()
	setValue(self.spTxtBg, "spTxtBg", 582, cc.size(74, 28), cc.p(48.6, 8.1), nil, nil, nil, nil, nil)
	self.spTxtBg:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainui_bg.png")
	addChildForPre(self.allianceButton_5, self.spTxtBg)

	self.allianceLabel = createLabel({text=[[XXX]], font=getFont(), size=24})
	setValue(self.allianceLabel, "allianceLabel", 686, cc.size(48, 28), cc.p(48.16, 9), nil, nil, nil, nil, nil)
	self.allianceLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.allianceButton_5, self.allianceLabel)

	self.paintingButton = ccui.Button:create()
	setValue(self.paintingButton, "XNN_paintingButton", 679, cc.size(90, 90), cc.p(225.6, 174.7944), cc.p(0, 0.5), nil, nil, nil, nil)
	self.paintingButton:loadTextureNormal("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_tuzhuang.png", 1)
	self.paintingButton:loadTexturePressed("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_tuzhuang.png", 1)
	self.paintingButton:loadTextureDisabled("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_tuzhuang.png", 1)
	self.paintingButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.paintingButton:setTitleText([[]])
	self.paintingButton:setTitleColor(cc.c3b(65, 65, 70))
	self.paintingButton:setTitleFontSize(14)
	self.paintingButton:setTitleFontName(getFont())
	setClickEvent(self, self.paintingButton, "paintingButton")
	addChildForPre(self.bottomPanel_4, self.paintingButton)
	self.paintingButton_5 = self.paintingButton

	self.spTxtBg = cc.Sprite:create()
	setValue(self.spTxtBg, "spTxtBg", 576, cc.size(74, 28), cc.p(40.5, 5.535), nil, nil, nil, nil, nil)
	self.spTxtBg:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainui_bg.png")
	addChildForPre(self.paintingButton_5, self.spTxtBg)

	self.paintingLabel = createLabel({text=[[XXXX]], font=getFont(), size=24})
	setValue(self.paintingLabel, "paintingLabel", 680, cc.size(64, 28), cc.p(45, 6.15), nil, nil, nil, nil, nil)
	self.paintingLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.paintingButton_5, self.paintingLabel)

	self.REDPOINT_PAINTING = cc.Sprite:create()
	setValue(self.REDPOINT_PAINTING, "REDPOINT_PAINTING", 3020, cc.size(24, 24), cc.p(81, 81), nil, nil, nil, nil, nil)
	self.REDPOINT_PAINTING:setVisible(false)
	self.REDPOINT_PAINTING:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.paintingButton_5, self.REDPOINT_PAINTING)

	self.partPanel = ccui.Layout:create()
	setValue(self.partPanel, "XNN_partPanel", 191, cc.size(100, 100), cc.p(323.008, 174.7944), cc.p(0, 0.5), nil, nil, nil, nil)
	addChildForPre(self.bottomPanel_4, self.partPanel)
	self.partPanel_5 = self.partPanel

	self.spPart = cc.Sprite:create()
	setValue(self.spPart, "spPart", 291, cc.size(90, 90), cc.p(50, 50), nil, nil, nil, nil, nil)
	self.spPart:setSpriteFrame("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_peijian.png")
	addChildForPre(self.partPanel_5, self.spPart)

	self.partsButton = ccui.Button:create()
	self.partsButton:setScale9Enabled(true)
	self.partsButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.partsButton:setContentSize(cc.size(84, 84))
	setValue(self.partsButton, "partsButton", 1, nil, cc.p(47.03, 50), nil, nil, nil, nil, false)
	self.partsButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.partsButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.partsButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.partsButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.partsButton:setTitleText([[]])
	self.partsButton:setTitleColor(cc.c3b(65, 65, 70))
	self.partsButton:setTitleFontSize(14)
	self.partsButton:setTitleFontName(getFont())
	setClickEvent(self, self.partsButton, "partsButton")
	addChildForPre(self.partPanel_5, self.partsButton)
	self.partsButton_6 = self.partsButton

	self.partsSpBg = cc.Sprite:create()
	setValue(self.partsSpBg, "partsSpBg", 1699, cc.size(74, 28), cc.p(42, 3.15), nil, nil, nil, nil, nil)
	self.partsSpBg:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainui_bg.png")
	addChildForPre(self.partsButton_6, self.partsSpBg)

	self.partsLable = createLabel({text=[[配件]], font=getFont(), size=24})
	setValue(self.partsLable, "partsLable", 1700, cc.size(48, 28), cc.p(42, 3.15), nil, cc.c4b(255, 228, 0, 255), nil, nil, nil)
	self.partsLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.partsLable:setColor(cc.c4b(255, 228, 0, 255))
	addChildForPre(self.partsButton_6, self.partsLable)

	self.medalButton = ccui.Button:create()
	setValue(self.medalButton, "XNN_medalButton", 380, cc.size(90, 90), cc.p(424.384, 174.7944), cc.p(0, 0.5), nil, nil, nil, nil)
	self.medalButton:loadTextureNormal("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_xunzhang.png", 1)
	self.medalButton:loadTexturePressed("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_xunzhang.png", 1)
	self.medalButton:loadTextureDisabled("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_xunzhang.png", 1)
	self.medalButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.medalButton:setTitleText([[]])
	self.medalButton:setTitleColor(cc.c3b(65, 65, 70))
	self.medalButton:setTitleFontSize(14)
	self.medalButton:setTitleFontName(getFont())
	setClickEvent(self, self.medalButton, "medalButton")
	addChildForPre(self.bottomPanel_4, self.medalButton)
	self.medalButton_5 = self.medalButton

	self.spTxtBg = cc.Sprite:create()
	setValue(self.spTxtBg, "spTxtBg", 577, cc.size(74, 28), cc.p(45, 5.535), nil, nil, nil, nil, nil)
	self.spTxtBg:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainui_bg.png")
	addChildForPre(self.medalButton_5, self.spTxtBg)

	self.medalLabel = createLabel({text=[[xxx]], font=getFont(), size=24})
	setValue(self.medalLabel, "medalLabel", 381, cc.size(36, 28), cc.p(45.0003, 6.1499), nil, nil, nil, nil, nil)
	self.medalLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.medalButton_5, self.medalLabel)

	self.Panel4 = ccui.Layout:create()
	setValue(self.Panel4, "RBN_Panel4", 3598, cc.size(90, 90), cc.p(534.976, 182.7144), cc.p(0, 0.5), nil, nil, nil, nil)
	addChildForPre(self.bottomPanel_4, self.Panel4)
	self.Panel4_5 = self.Panel4

	self.funBtnPanel = ccui.Layout:create()
	setValue(self.funBtnPanel, "funBtnPanel", 3589, cc.size(90, 90), cc.p(42.5, 33), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.Panel4_5, self.funBtnPanel)
	self.funBtnPanel_6 = self.funBtnPanel

	self.funcButton = ccui.Button:create()
	setValue(self.funcButton, "RBN_funcButton", 3, cc.size(90, 90), cc.p(41.265, 45), nil, nil, nil, nil, nil)
	self.funcButton:loadTextureNormal("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_gongneng.png", 1)
	self.funcButton:loadTexturePressed("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_gongneng.png", 1)
	self.funcButton:loadTextureDisabled("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_gongneng.png", 1)
	self.funcButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.funcButton:setTitleText([[]])
	self.funcButton:setTitleColor(cc.c3b(65, 65, 70))
	self.funcButton:setTitleFontSize(14)
	self.funcButton:setTitleFontName(getFont())
	setClickEvent(self, self.funcButton, "funcButton")
	addChildForPre(self.funBtnPanel_6, self.funcButton)

	self.funcshouButton = ccui.Button:create()
	setValue(self.funcshouButton, "RBN_funcshouButton", 4, cc.size(90, 90), cc.p(41.265, 45), nil, nil, nil, nil, nil)
	self.funcshouButton:setRotationSkewX(180)
	self.funcshouButton:setRotationSkewY(180)
	self.funcshouButton:loadTextureNormal("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_gongneng.png", 1)
	self.funcshouButton:loadTexturePressed("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_gongneng.png", 1)
	self.funcshouButton:loadTextureDisabled("ccs/UiImages/mainUiFeelingBtnB/mainUi_btn_gongneng.png", 1)
	self.funcshouButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.funcshouButton:setTitleText([[]])
	self.funcshouButton:setTitleColor(cc.c3b(65, 65, 70))
	self.funcshouButton:setTitleFontSize(14)
	self.funcshouButton:setTitleFontName(getFont())
	setClickEvent(self, self.funcshouButton, "funcshouButton")
	addChildForPre(self.funBtnPanel_6, self.funcshouButton)

	self.redPanel = ccui.Layout:create()
	setValue(self.redPanel, "redPanel", 1049, cc.size(30, 30), cc.p(54, 72), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.funBtnPanel_6, self.redPanel)
	self.redPanel_7 = self.redPanel

	self.REDPOINT_REWARD = cc.Sprite:create()
	setValue(self.REDPOINT_REWARD, "REDPOINT_REWARD", 434, cc.size(24, 24), cc.p(21.999, 20.001), nil, nil, nil, nil, nil)
	self.REDPOINT_REWARD:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.redPanel_7, self.REDPOINT_REWARD)

	self.Panel12 = ccui.Layout:create()
	setValue(self.Panel12, "RBN_Panel12", 179, cc.size(70, 70), cc.p(608, 273.792), cc.p(1, 0), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.Panel12)
	self.Panel12_3 = self.Panel12

	self.changeShipButton = ccui.Button:create()
	setValue(self.changeShipButton, "changeShipButton", 209, cc.size(52, 52), cc.p(35, 35), nil, nil, nil, nil, nil)
	self.changeShipButton:loadTextureNormal("ccs/UiImages/mainUiFeelingBtnB/mainUI_btn_changeShip.png", 1)
	self.changeShipButton:loadTexturePressed("ccs/UiImages/mainUiFeelingBtnB/mainUI_btn_changeShip.png", 1)
	self.changeShipButton:loadTextureDisabled("ccs/UiImages/mainUiFeelingBtnB/mainUI_btn_changeShip.png", 1)
	self.changeShipButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.changeShipButton:setTitleText([[]])
	self.changeShipButton:setTitleColor(cc.c3b(65, 65, 70))
	self.changeShipButton:setTitleFontSize(14)
	self.changeShipButton:setTitleFontName(getFont())
	setClickEvent(self, self.changeShipButton, "changeShipButton")
	addChildForPre(self.Panel12_3, self.changeShipButton)
	self.changeShipButton_4 = self.changeShipButton

	self.changeShipSp = cc.Sprite:create()
	setValue(self.changeShipSp, "changeShipSp", 150, cc.size(74, 28), cc.p(26, 6.6872), nil, nil, nil, nil, nil)
	self.changeShipSp:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainui_bg.png")
	addChildForPre(self.changeShipButton_4, self.changeShipSp)

	self.changeShipLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.changeShipLabel, "changeShipLabel", 149, cc.size(109, 28), cc.p(26, 5.1272), nil, cc.c4b(255, 228, 0, 255), nil, nil, nil)
	self.changeShipLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.changeShipLabel:setColor(cc.c4b(255, 228, 0, 255))
	addChildForPre(self.changeShipButton_4, self.changeShipLabel)

	self.touchPanel = ccui.Layout:create()
	setValue(self.touchPanel, "AXY_touchPanel", 427, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.touchPanel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(30)
	self.animation:setTimeSpeed(1)
	local timeLine
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 0.0000, 100.0000, nil))
	timeLine:addFrame(CreatePositionFrame(15, true, 0.0000, 220.0000, nil))
	timeLine:addFrame(CreatePositionFrame(30, true, 0.0000, 100.0000, nil))
	timeLine:setNode(self.headerPreScalePanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(15, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.headerPreScalePanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(15, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.headerPreScalePanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(0, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(15, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(30, true, cc.c3b(255,255,255), 255, nil))
	timeLine:setNode(self.headerPreScalePanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 0.0000, 400.0000, nil))
	timeLine:addFrame(CreatePositionFrame(15, true, -177.0000, 400.0000, nil))
	timeLine:addFrame(CreatePositionFrame(30, true, 0.0000, 400.0000, nil))
	timeLine:setNode(self.leftPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(15, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.leftPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(15, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.leftPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(0, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(15, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(30, true, cc.c3b(255,255,255), 255, nil))
	timeLine:setNode(self.leftPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 100.0000, 240.0000, nil))
	timeLine:addFrame(CreatePositionFrame(15, true, 200.0000, 240.0000, nil))
	timeLine:addFrame(CreatePositionFrame(30, true, 100.0000, 240.0000, nil))
	timeLine:setNode(self.rightPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(15, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.rightPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(15, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.rightPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(0, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(15, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(30, true, cc.c3b(255,255,255), 255, nil))
	timeLine:setNode(self.rightPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 0.0000, 50.0000, nil))
	timeLine:addFrame(CreatePositionFrame(15, true, 423.5000, 50.0000, nil))
	timeLine:addFrame(CreatePositionFrame(30, true, 0.0000, 50.0000, nil))
	timeLine:setNode(self.funcPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(15, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.funcPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(15, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.funcPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(0, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(15, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(30, true, cc.c3b(255,255,255), 255, nil))
	timeLine:setNode(self.funcPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 100.0000, 100.0000, nil))
	timeLine:addFrame(CreatePositionFrame(15, true, 100.0000, 100.0000, nil))
	timeLine:setNode(self.battlebtnPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(15, true, 0.8000, 0.8000, nil))
	timeLine:addFrame(CreateScaleFrame(30, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.battlebtnPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(15, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.battlebtnPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(0, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(15, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(30, true, cc.c3b(255,255,255), 255, nil))
	timeLine:setNode(self.battlebtnPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, -18.2368, 37.1184, nil))
	timeLine:addFrame(CreatePositionFrame(15, true, 687.2448, 36.4584, nil))
	timeLine:addFrame(CreatePositionFrame(30, true, -18.2368, 36.4584, nil))
	timeLine:setNode(self.mainUiTaskGuideUi)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(15, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(30, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.mainUiTaskGuideUi)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(15, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(30, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.mainUiTaskGuideUi)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(0, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(15, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(30, true, cc.c3b(255,255,255), 255, nil))
	timeLine:setNode(self.mainUiTaskGuideUi)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, -25.5600, 4.8500, nil))
	timeLine:addFrame(CreatePositionFrame(15, true, 688.1951, 4.8500, nil))
	timeLine:addFrame(CreatePositionFrame(30, true, -25.5600, 4.8500, nil))
	timeLine:setNode(self.chatPreScalePanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(15, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.chatPreScalePanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(15, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.chatPreScalePanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(0, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(15, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(30, true, cc.c3b(255,255,255), 255, nil))
	timeLine:setNode(self.chatPreScalePanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 42.5000, 33.0000, nil))
	timeLine:addFrame(CreatePositionFrame(15, true, 459.0000, 33.0000, nil))
	timeLine:addFrame(CreatePositionFrame(30, true, 42.5000, 33.0000, nil))
	timeLine:setNode(self.funBtnPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(15, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.funBtnPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(15, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.funBtnPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(0, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(15, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(30, true, cc.c3b(255,255,255), 255, nil))
	timeLine:setNode(self.funBtnPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreatePositionFrame(30, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.bottomPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.bottomPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.bottomPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(0, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(30, true, cc.c3b(255,255,255), 255, nil))
	timeLine:setNode(self.bottomPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 35.0000, 35.0000, nil))
	timeLine:addFrame(CreatePositionFrame(15, true, 35.0000, 35.0000, nil))
	timeLine:setNode(self.changeShipButton)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(15, true, 0.8000, 0.8000, nil))
	timeLine:addFrame(CreateScaleFrame(30, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.changeShipButton)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(15, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.changeShipButton)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(0, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(15, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(30, true, cc.c3b(255,255,255), 255, nil))
	timeLine:setNode(self.changeShipButton)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateEventFrame(15, true, "endtopUi", nil))
	timeLine:setNode(self.rootPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(15, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.rootPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(15, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.rootPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(15, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.rootPanel)
	return self
end

_M.textures = {
	"Default/Sprite.png",
	"ccs/BigImages/ship_main/4_dg_zl_bfly_zhu.png",
	"ccs/plist/mainUiSunshine.plist",
	"ccs/plist/mainUiFeelingBtnB.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/common.plist",
	"ccs/plist/newlimtActivity.plist",
	"ccs/plist/mainUiFeeling.plist",
	"ccs/plist/countryBattle.plist",
}

return _M
