-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 2, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bgPanel = ccui.Layout:create()
	setValue(self.bgPanel, "GXB_bgPanel", 542, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.bgPanel)
	self.bgPanel_2 = self.bgPanel

	self.rootBgSp = cc.Sprite:create()
	setValue(self.rootBgSp, "rootBgSp", 106, cc.size(188, 110), cc.p(320, 873.6), nil, nil, nil, nil, nil)
	self.rootBgSp:setScale(3.45)
	self.rootBgSp:setTexture("ccs/BigImages/background/mainUi_img_bg1.webp")
	addChildForPre(self.bgPanel_2, self.rootBgSp)

	if MainUiFeelingTopCloudUi then 
 		self.mainUiFeelingTopCloudUi = MainUiFeelingTopCloudUi.new() 
 	else 
		self.mainUiFeelingTopCloudUi = BaseUi.new("ccs/ui/mainUiFeeling/MainUiFeelingTopCloudUi.lua")
 	end 
	setValue(self.mainUiFeelingTopCloudUi, "mainUiFeelingTopCloudUi", 647, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.mainUiFeelingTopCloudUi)

	self.seaPanel = ccui.Layout:create()
	setValue(self.seaPanel, "GXB_seaPanel", 211, cc.size(640, 960), cc.p(320, 412.8), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.seaPanel)
	self.seaPanel_2 = self.seaPanel

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "Panel", 212, cc.size(200, 200), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Panel:setScaleX(1.56)
	self.Panel:setScaleY(1.16)
	addChildForPre(self.seaPanel_2, self.Panel)
	self.Panel_3 = self.Panel

	self.mainsea3 = cc.Sprite:create()
	setValue(self.mainsea3, "mainsea3", 683, cc.size(413, 492), cc.p(100, -384), nil, nil, nil, nil, nil)
	self.mainsea3:setFlippedX(true)
	self.mainsea3:setFlippedY(true)
	self.mainsea3:setSpriteFrame("ccs/UiImages/mainUiShipWave2/mainsea3.png")
	addChildForPre(self.Panel_3, self.mainsea3)

	self.mainsea1 = cc.Sprite:create()
	setValue(self.mainsea1, "mainsea1", 210, cc.size(413, 492), cc.p(100, 102), nil, nil, nil, nil, nil)
	self.mainsea1:setSpriteFrame("ccs/UiImages/mainUiShipWave2/mainsea3.png")
	addChildForPre(self.Panel_3, self.mainsea1)

	self.gangkou1Sprite = cc.Sprite:create()
	setValue(self.gangkou1Sprite, "gangkou1Sprite", 304, cc.size(114, 78), cc.p(582.976, 777.6), nil, nil, nil, nil, nil)
	self.gangkou1Sprite:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainUi_img_gangkou2.png")
	addChildForPre(self.seaPanel_2, self.gangkou1Sprite)

	self.gangkou2Sprite = cc.Sprite:create()
	setValue(self.gangkou2Sprite, "gangkou2Sprite", 306, cc.size(404, 167), cc.p(200.384, 755.8), nil, nil, nil, nil, nil)
	self.gangkou2Sprite:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainUi_img_gangkou1.png")
	addChildForPre(self.seaPanel_2, self.gangkou2Sprite)

	if MainUiFeelingTopBird2Ui then 
 		self.mainUiFeelingTopBird2Ui = MainUiFeelingTopBird2Ui.new() 
 	else 
		self.mainUiFeelingTopBird2Ui = BaseUi.new("ccs/ui/mainUiFeeling/MainUiFeelingTopBird2Ui.lua")
 	end 
	setValue(self.mainUiFeelingTopBird2Ui, "mainUiFeelingTopBird2Ui", 1415, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.mainUiFeelingTopBird2Ui)

	if MainUiFeelingTopBtnUi then 
 		self.mainUiFeelingTopBtnUi = MainUiFeelingTopBtnUi.new() 
 	else 
		self.mainUiFeelingTopBtnUi = BaseUi.new("ccs/ui/mainUiFeeling/MainUiFeelingTopBtnUi.lua")
 	end 
	setValue(self.mainUiFeelingTopBtnUi, "mainUiFeelingTopBtnUi", 305, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.mainUiFeelingTopBtnUi)

	if MainUiFeelingTopBird1Ui then 
 		self.mainUiFeelingTopBird1Ui = MainUiFeelingTopBird1Ui.new() 
 	else 
		self.mainUiFeelingTopBird1Ui = BaseUi.new("ccs/ui/mainUiFeeling/MainUiFeelingTopBird1Ui.lua")
 	end 
	setValue(self.mainUiFeelingTopBird1Ui, "mainUiFeelingTopBird1Ui", 312, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.mainUiFeelingTopBird1Ui)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/BigImages/background/mainUi_img_bg1.jpg",
	"ccs/plist/mainUiShipWave2.plist",
	"ccs/plist/mainUiFeeling.plist",
}

return _M
