-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 176, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 177, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.mainUiEffect_torpedo01 = cc.Sprite:create()
	setValue(self.mainUiEffect_torpedo01, "mainUiEffect_torpedo01", 176, cc.size(382, 512), cc.p(357.0668, 346.8283), nil, nil, nil, nil, nil)
	self.mainUiEffect_torpedo01:setSpriteFrame("ccs/UiImages/mainUiEffectTorpedo/mainUiEffect_torpedo01.png")
	addChildForPre(self.rootPanel_1, self.mainUiEffect_torpedo01)

	self.mainUiEffect_torpedo03 = cc.Sprite:create()
	setValue(self.mainUiEffect_torpedo03, "mainUiEffect_torpedo03", 195, cc.size(382, 512), cc.p(-206.1976, 32.6328), nil, nil, nil, nil, nil)
	self.mainUiEffect_torpedo03:setRotationSkewX(8.12)
	self.mainUiEffect_torpedo03:setRotationSkewY(8.1257)
	self.mainUiEffect_torpedo03:setSpriteFrame("ccs/UiImages/mainUiEffectTorpedo/mainUiEffect_torpedo03.png")
	addChildForPre(self.Node_0, self.mainUiEffect_torpedo03)

	self.mainUiTorpedo = cc.Sprite:create()
	setValue(self.mainUiTorpedo, "mainUiTorpedo", 196, cc.size(165, 183), cc.p(-193.5898, 11.0366), nil, nil, nil, nil, nil)
	self.mainUiTorpedo:setRotationSkewX(9.42)
	self.mainUiTorpedo:setRotationSkewY(9.4086)
	self.mainUiTorpedo:setScale(0.63)
	self.mainUiTorpedo:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainUi_torpedo.png")
	addChildForPre(self.Node_0, self.mainUiTorpedo)

	self.mainUiEffect_torpedo03 = cc.Sprite:create()
	setValue(self.mainUiEffect_torpedo03, "mainUiEffect_torpedo03", 178, cc.size(382, 512), cc.p(-178.0607, -91.6375), nil, nil, nil, nil, nil)
	self.mainUiEffect_torpedo03:setRotationSkewX(9.12)
	self.mainUiEffect_torpedo03:setRotationSkewY(9.1257)
	self.mainUiEffect_torpedo03:setSpriteFrame("ccs/UiImages/mainUiEffectTorpedo/mainUiEffect_torpedo03.png")
	addChildForPre(self.Node_0, self.mainUiEffect_torpedo03)

	self.mainUiTorpedo = cc.Sprite:create()
	setValue(self.mainUiTorpedo, "mainUiTorpedo", 157, cc.size(165, 183), cc.p(-169.2227, -121.3633), nil, nil, nil, nil, nil)
	self.mainUiTorpedo:setRotationSkewX(6.02)
	self.mainUiTorpedo:setRotationSkewY(6.0145)
	self.mainUiTorpedo:setScale(0.63)
	self.mainUiTorpedo:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainUi_torpedo.png")
	addChildForPre(self.Node_0, self.mainUiTorpedo)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(87)
	self.animation:setTimeSpeed(1)
	local timeLine
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(28, true, 275.2692, 441.0300, nil))
	timeLine:addFrame(CreatePositionFrame(87, true, -214.4988, 25.5915, nil))
	timeLine:setNode(self.mainUiEffect_torpedo03)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(28, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(29, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(86, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(87, true, cc.c3b(255,255,255), 0, nil))
	timeLine:setNode(self.mainUiEffect_torpedo03)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(28, true, 278.2726, 409.8741, nil))
	timeLine:addFrame(CreatePositionFrame(87, true, -201.7253, 4.1601, nil))
	timeLine:setNode(self.mainUiTorpedo)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(28, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(29, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(86, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(87, true, cc.c3b(255,255,255), 0, nil))
	timeLine:setNode(self.mainUiTorpedo)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 389.8549, 415.8671, nil))
	timeLine:addFrame(CreatePositionFrame(60, true, -178.0607, -91.6375, nil))
	timeLine:addFrame(CreatePositionFrame(87, true, -178.0607, -91.6375, nil))
	timeLine:setNode(self.mainUiEffect_torpedo03)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(0, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(10, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(60, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(86, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(87, true, cc.c3b(255,255,255), 0, nil))
	timeLine:setNode(self.mainUiEffect_torpedo03)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(87, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.mainUiEffect_torpedo03)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(87, true, 9.1200, 9.1257, nil))
	timeLine:setNode(self.mainUiEffect_torpedo03)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 392.4460, 378.2455, nil))
	timeLine:addFrame(CreatePositionFrame(60, true, -169.2227, -121.3633, nil))
	timeLine:addFrame(CreatePositionFrame(87, true, -169.2227, -121.3633, nil))
	timeLine:setNode(self.mainUiTorpedo)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(0, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(1, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(60, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(86, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(87, true, cc.c3b(255,255,255), 0, nil))
	timeLine:setNode(self.mainUiTorpedo)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(87, true, 0.6300, 0.6300, nil))
	timeLine:setNode(self.mainUiTorpedo)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(87, true, 6.0200, 6.0145, nil))
	timeLine:setNode(self.mainUiTorpedo)
	return self
end

_M.textures = {
	"ccs/plist/mainUiEffectTorpedo.plist",
	"ccs/plist/mainUiFeeling.plist",
}

return _M
