-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 485, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 486, cc.size(118, 139), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.openPanel = ccui.Layout:create()
	setValue(self.openPanel, "openPanel", 497, cc.size(118, 107.38), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.openPanel)
	self.openPanel_2 = self.openPanel

	self.Image = ccui.ImageView:create()
	setValue(self.Image, "Image", 499, cc.size(118, 107.38), cc.p(59, 53.69), nil, nil, 127, nil, false)
	self.Image:loadTexture("ccs/UiImages/newlimtActivity/newactivity_9gongge2.png", 1)
	self.Image:setScale9Enabled(true)
	self.Image:setCapInsets(cc.rect(20, 20, 104, 87))
	addChildForPre(self.openPanel_2, self.Image)

	self.jiaoSprite = cc.Sprite:create()
	setValue(self.jiaoSprite, "jiaoSprite", 500, cc.size(21, 36), cc.p(59, 107.38), cc.p(1, 0.5), nil, 127, nil, nil)
	self.jiaoSprite:setRotationSkewX(90)
	self.jiaoSprite:setRotationSkewY(90)
	self.jiaoSprite:setSpriteFrame("ccs/UiImages/newlimtActivity/newactivity_jian1.png")
	addChildForPre(self.openPanel_2, self.jiaoSprite)

	self.meinvSprite = cc.Sprite:create()
	setValue(self.meinvSprite, "meinvSprite", 523, cc.size(46, 46), cc.p(59, 53.69), nil, nil, nil, nil, nil)
	self.meinvSprite:setTexture("Default/Sprite.png")
	addChildForPre(self.openPanel_2, self.meinvSprite)

	self.labeBgImage = ccui.ImageView:create()
	setValue(self.labeBgImage, "labeBgImage", 303, cc.size(130, 30), cc.p(59, 16.107), nil, nil, nil, nil, false)
	self.labeBgImage:loadTexture("ccs/UiImages/mainUiFeeling/mainui_bg.png", 1)
	self.labeBgImage:setScale9Enabled(true)
	self.labeBgImage:setCapInsets(cc.rect(0, 0, 74, 28))
	addChildForPre(self.openPanel_2, self.labeBgImage)

	self.zhushouLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.zhushouLabel, "zhushouLabel", 302, cc.size(109, 28), cc.p(59, 16.107), nil, cc.c4b(255, 228, 0, 255), nil, nil, nil)
	self.zhushouLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.zhushouLabel:setColor(cc.c4b(255, 228, 0, 255))
	addChildForPre(self.openPanel_2, self.zhushouLabel)

	self.bianQiangButton = ccui.Button:create()
	self.bianQiangButton:setScale9Enabled(true)
	self.bianQiangButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.bianQiangButton:setContentSize(cc.size(118, 107.38))
	setValue(self.bianQiangButton, "bianQiangButton", 301, nil, cc.p(59, 53.69), nil, nil, nil, nil, false)
	self.bianQiangButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.bianQiangButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.bianQiangButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.bianQiangButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.bianQiangButton:setTitleText([[]])
	self.bianQiangButton:setTitleColor(cc.c3b(65, 65, 70))
	self.bianQiangButton:setTitleFontSize(14)
	self.bianQiangButton:setTitleFontName(getFont())
	setClickEvent(self, self.bianQiangButton, "bianQiangButton")
	addChildForPre(self.openPanel_2, self.bianQiangButton)

	self.shutPanel = ccui.Layout:create()
	setValue(self.shutPanel, "shutPanel", 498, cc.size(118, 139), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.shutPanel)
	self.shutPanel_2 = self.shutPanel

	self.xiaSprite = cc.Sprite:create()
	setValue(self.xiaSprite, "xiaSprite", 300, cc.size(57, 28), cc.p(59, 139), cc.p(0.5, 1), nil, nil, nil, nil)
	self.xiaSprite:setSpriteFrame("ccs/UiImages/newlimtActivity/newactivity_jiantou3.png")
	addChildForPre(self.shutPanel_2, self.xiaSprite)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/newlimtActivity.plist",
	"Default/Sprite.png",
	"ccs/plist/mainUiFeeling.plist",
	"ccs/plist/image9.plist",
}

return _M
