-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_1 = cc.Node:create()
	setValue(self.Node_1, "Node_1", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_1)
 	self.uiRootNode = self.Node_1
	self.Node_1_0 = self.Node_1

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 13, cc.size(950, 500), nil, nil, nil, nil, nil, nil)
	setBgColor(self.rootPanel, 1, 0, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.Node_1_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.detailPanel = ccui.Layout:create()
	setValue(self.detailPanel, "detailPanel", 30, cc.size(420, 500), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.detailPanel)
	self.detailPanel_2 = self.detailPanel

	self.detailBGPanel = ccui.Layout:create()
	setValue(self.detailBGPanel, "detailBGPanel", 382, cc.size(405, 480), cc.p(210, 250), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.detailBGPanel:setClippingEnabled(true)
	setBgColor(self.detailBGPanel, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.detailPanel_2, self.detailBGPanel)
	self.detailBGPanel_3 = self.detailBGPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 1094, cc.size(525, 490), cc.p(202.5, 240), nil, nil, nil, nil, nil)
	self.bgImage:loadTexture("ccs/UiImages/commonPanelParts/CommonTextureBig.png", 1)
	addChildForPre(self.detailBGPanel_3, self.bgImage)

	self.frameImage = ccui.ImageView:create()
	setValue(self.frameImage, "frameImage", 1095, cc.size(415, 490), cc.p(210, 250), nil, nil, nil, nil, false)
	self.frameImage:loadTexture("ccs/UiImages/commonPanelParts/CommonFrame.png", 1)
	self.frameImage:setScale9Enabled(true)
	self.frameImage:setCapInsets(cc.rect(10, 10, 226, 30))
	addChildForPre(self.detailPanel_2, self.frameImage)

	if MedalDetailUi then 
 		self.medalDetailUi = MedalDetailUi.new() 
 	else 
		self.medalDetailUi = BaseUi.new("ccs/ui/medal/MedalDetailUi.lua")
 	end 
	setValue(self.medalDetailUi, "medalDetailUi", 74, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.detailPanel_2, self.medalDetailUi)

	self.rightPanel = ccui.Layout:create()
	setValue(self.rightPanel, "rightPanel", 19, cc.size(530, 500), cc.p(420, 0), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.rightPanel)
	self.rightPanel_2 = self.rightPanel

	self.Panel_69 = ccui.Layout:create()
	setValue(self.Panel_69, "Panel_69", 539, cc.size(515, 480), cc.p(265, 250), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Panel_69:setClippingEnabled(true)
	setBgColor(self.Panel_69, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.rightPanel_2, self.Panel_69)
	self.Panel_69_3 = self.Panel_69

	self.bgImage_Copy = ccui.ImageView:create()
	setValue(self.bgImage_Copy, "bgImage_Copy", 1096, cc.size(525, 490), cc.p(257.5, 240), nil, nil, nil, nil, false)
	self.bgImage_Copy:loadTexture("ccs/UiImages/commonPanelParts/CommonTextureBig.png", 1)
	self.bgImage_Copy:setScale9Enabled(true)
	self.bgImage_Copy:setCapInsets(cc.rect(5, 5, 515, 480))
	addChildForPre(self.Panel_69_3, self.bgImage_Copy)

	self.frameImage_Copy = ccui.ImageView:create()
	setValue(self.frameImage_Copy, "frameImage_Copy", 1097, cc.size(525, 490), cc.p(265, 250), nil, nil, nil, nil, false)
	self.frameImage_Copy:loadTexture("ccs/UiImages/commonPanelParts/CommonFrame.png", 1)
	self.frameImage_Copy:setScale9Enabled(true)
	self.frameImage_Copy:setCapInsets(cc.rect(10, 10, 226, 30))
	addChildForPre(self.rightPanel_2, self.frameImage_Copy)

	self.numTitlelabel = createLabel({text=[[numTitlelabel]], font=getFont(), size=24})
	setValue(self.numTitlelabel, "numTitlelabel", 806, cc.size(141, 28), cc.p(106, 45), cc.p(1, 0.5), nil, nil, nil, nil)
	self.numTitlelabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightPanel_2, self.numTitlelabel)

	self.numLabel = createLabel({text=[[numLabell]], font=getFont(), size=24})
	setValue(self.numLabel, "numLabel", 853, cc.size(110, 28), cc.p(116.6, 45), cc.p(0, 0.5), nil, nil, nil, nil)
	self.numLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightPanel_2, self.numLabel)

	self.breakupButton = ccui.Button:create()
	setValue(self.breakupButton, "breakupButton", 44, cc.size(150, 62), cc.p(397.5, 40), nil, nil, nil, nil, false)
	self.breakupButton:loadTextureNormal("ccs/UiImages/image9/CommonBtnRed.png", 1)
	self.breakupButton:loadTexturePressed("ccs/UiImages/image9/CommonBtnRedHover.png", 1)
	self.breakupButton:loadTextureDisabled("ccs/UiImages/image9/CommonBtnDisable.png", 1)
	self.breakupButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.breakupButton:setTitleText([[分解]])
	self.breakupButton:setTitleFontSize(25)
	self.breakupButton:setTitleFontName(getFont())
	setClickEvent(self, self.breakupButton, "breakupButton")
	addChildForPre(self.rightPanel_2, self.breakupButton)

	self.listViewPanel = ccui.Layout:create()
	setValue(self.listViewPanel, "listViewPanel", 1039, cc.size(510, 400), cc.p(265, 285), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rightPanel_2, self.listViewPanel)

	self.StripOrange = cc.Sprite:create()
	setValue(self.StripOrange, "StripOrange", 1098, cc.size(496, 4), cc.p(265, 75), nil, nil, nil, nil, nil)
	self.StripOrange:setSpriteFrame("ccs/UiImages/commonPanelPartsC/StripOrange.png")
	addChildForPre(self.rightPanel_2, self.StripOrange)

	self.diamondSpr = cc.Sprite:create()
	setValue(self.diamondSpr, "diamondSpr", 163, cc.size(150, 150), cc.p(222.6, 45), nil, nil, nil, nil, nil)
	self.diamondSpr:setScale(0.35)
	self.diamondSpr:setSpriteFrame("ccs/UiImages/commonIcon/IconDiamond.png")
	addChildForPre(self.rightPanel_2, self.diamondSpr)

	self.diamondLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.diamondLabel, "diamondLabel", 164, cc.size(109, 28), cc.p(249.1, 45), cc.p(0, 0.5), nil, nil, nil, nil)
	self.diamondLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightPanel_2, self.diamondLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/common.plist",
	"ccs/plist/commonPanelPartsC.plist",
}

return _M
