-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_0 = cc.Node:create()
	setValue(self.Node_0, "Node_0", 614, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_0)
 	self.uiRootNode = self.Node_0
	self.Node_0_0 = self.Node_0

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 615, cc.size(150, 150), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.medalBgSprite = cc.Sprite:create()
	setValue(self.medalBgSprite, "medalBgSprite", 640, cc.size(100, 100), cc.p(75, 75), nil, nil, nil, nil, nil)
	self.medalBgSprite:setScale(1.5)
	self.medalBgSprite:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.rootPanel_1, self.medalBgSprite)

	self.medalIconSprite = cc.Sprite:create()
	setValue(self.medalIconSprite, "medalIconSprite", 641, cc.size(150, 150), cc.p(75, 75), nil, nil, nil, nil, nil)
	self.medalIconSprite:setSpriteFrame("ccs/UiImages/icon/medal_erjiweiguozhan.png")
	addChildForPre(self.rootPanel_1, self.medalIconSprite)

	self.selectCheckBox = ccui.CheckBox:create()
	setValue(self.selectCheckBox, "selectCheckBox", 643, cc.size(65, 66), cc.p(130, 25), nil, nil, nil, nil, nil)
	self.selectCheckBox:loadTextureBackGround("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.selectCheckBox:loadTextureBackGroundSelected("ccs/UiImages/common/common_btn_xuanzhong_1.png", 1)
	self.selectCheckBox:loadTextureBackGroundDisabled("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.selectCheckBox:loadTextureFrontCross("ccs/UiImages/common/common_btn_xuanzhong_1.png", 1)
	self.selectCheckBox:loadTextureFrontCrossDisabled("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.selectCheckBox:setSelected(true)
	addChildForPre(self.rootPanel_1, self.selectCheckBox)

	self.medalButton = ccui.Button:create()
	self.medalButton:setScale9Enabled(true)
	self.medalButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.medalButton:setContentSize(cc.size(150, 150))
	setValue(self.medalButton, "medalButton", 642, nil, cc.p(75, 75), nil, nil, nil, nil, false)
	self.medalButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.medalButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.medalButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.medalButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.medalButton:setTitleText([[]])
	self.medalButton:setTitleColor(cc.c3b(65, 65, 70))
	self.medalButton:setTitleFontSize(14)
	self.medalButton:setTitleFontName(getFont())
	setClickEvent(self, self.medalButton, "medalButton")
	addChildForPre(self.rootPanel_1, self.medalButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/icon.plist",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
}

return _M
