-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_0 = cc.Node:create()
	setValue(self.Node_0, "Node_0", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_0)
 	self.uiRootNode = self.Node_0
	self.Node_0_0 = self.Node_0

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 151, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	setBgColor(self.rootPanel, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.Node_0_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 216, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 152, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.leftPanel = ccui.Layout:create()
	setValue(self.leftPanel, "WTX_leftPanel", 1283, cc.size(640, 275), cc.p(0, 595), nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.leftPanel)
	self.leftPanel_3 = self.leftPanel

	if MedalDetailUi then 
 		self.medalDetailUi = MedalDetailUi.new() 
 	else 
		self.medalDetailUi = BaseUi.new("ccs/ui/medal/MedalDetailUi.lua")
 	end 
	setValue(self.medalDetailUi, "LNN_medalDetailUi", 506, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.leftPanel_3, self.medalDetailUi)

	self.rightPanel = ccui.Layout:create()
	setValue(self.rightPanel, "WIX_rightPanel", 1284, cc.size(640, 452), cc.p(0, 135), nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.rightPanel)
	self.rightPanel_3 = self.rightPanel

	self.checkBoxPanel = ccui.Layout:create()
	setValue(self.checkBoxPanel, "WXN_checkBoxPanel", 409, cc.size(640, 66), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rightPanel_3, self.checkBoxPanel)
	self.checkBoxPanel_4 = self.checkBoxPanel

	self.selectLabel = createLabel({text=[[筛选:]], font=getFont(), size=28})
	setValue(self.selectLabel, "selectLabel", 492, cc.size(63, 32), cc.p(32, 33), cc.p(0, 0.5), nil, nil, nil, nil)
	self.selectLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.checkBoxPanel_4, self.selectLabel)

	self.star3Label = createLabel({text=[[3]], font=getFont(), size=28})
	setValue(self.star3Label, "star3Label", 494, cc.size(15, 32), cc.p(123.968, 33), nil, nil, nil, nil, nil)
	self.star3Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.checkBoxPanel_4, self.star3Label)

	self.star3Sprite = cc.Sprite:create()
	setValue(self.star3Sprite, "star3Sprite", 495, cc.size(48, 48), cc.p(161.984, 33), nil, nil, nil, nil, nil)
	self.star3Sprite:setSpriteFrame("ccs/UiImages/battle/star_gold.png")
	addChildForPre(self.checkBoxPanel_4, self.star3Sprite)

	self.select3CheckBox = ccui.CheckBox:create()
	setValue(self.select3CheckBox, "select3CheckBox", 496, cc.size(65, 66), cc.p(225.024, 33), nil, nil, nil, nil, nil)
	self.select3CheckBox:loadTextureBackGround("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.select3CheckBox:loadTextureBackGroundSelected("ccs/UiImages/common/common_btn_xuanzhong_1.png", 1)
	self.select3CheckBox:loadTextureBackGroundDisabled("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.select3CheckBox:loadTextureFrontCross("ccs/UiImages/common/common_btn_xuanzhong_1.png", 1)
	self.select3CheckBox:loadTextureFrontCrossDisabled("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.select3CheckBox:setSelected(true)
	addChildForPre(self.checkBoxPanel_4, self.select3CheckBox)

	self.star2Label = createLabel({text=[[2]], font=getFont(), size=28})
	setValue(self.star2Label, "star2Label", 497, cc.size(15, 32), cc.p(305.984, 33), nil, nil, nil, nil, nil)
	self.star2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.checkBoxPanel_4, self.star2Label)

	self.star2Sprite = cc.Sprite:create()
	setValue(self.star2Sprite, "star2Sprite", 499, cc.size(48, 48), cc.p(345.024, 33), nil, nil, nil, nil, nil)
	self.star2Sprite:setSpriteFrame("ccs/UiImages/battle/star_gold.png")
	addChildForPre(self.checkBoxPanel_4, self.star2Sprite)

	self.select2CheckBox = ccui.CheckBox:create()
	setValue(self.select2CheckBox, "select2CheckBox", 500, cc.size(65, 66), cc.p(404.992, 34.0032), nil, nil, nil, nil, nil)
	self.select2CheckBox:loadTextureBackGround("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.select2CheckBox:loadTextureBackGroundSelected("ccs/UiImages/common/common_btn_xuanzhong_1.png", 1)
	self.select2CheckBox:loadTextureBackGroundDisabled("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.select2CheckBox:loadTextureFrontCross("ccs/UiImages/common/common_btn_xuanzhong_1.png", 1)
	self.select2CheckBox:loadTextureFrontCrossDisabled("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.select2CheckBox:setSelected(true)
	addChildForPre(self.checkBoxPanel_4, self.select2CheckBox)

	self.star1Label = createLabel({text=[[1]], font=getFont(), size=28})
	setValue(self.star1Label, "star1Label", 501, cc.size(15, 32), cc.p(484.032, 33), nil, nil, nil, nil, nil)
	self.star1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.checkBoxPanel_4, self.star1Label)

	self.star1Sprite = cc.Sprite:create()
	setValue(self.star1Sprite, "star1Sprite", 502, cc.size(48, 48), cc.p(518.016, 33), nil, nil, nil, nil, nil)
	self.star1Sprite:setSpriteFrame("ccs/UiImages/battle/star_gold.png")
	addChildForPre(self.checkBoxPanel_4, self.star1Sprite)

	self.select1CheckBox = ccui.CheckBox:create()
	setValue(self.select1CheckBox, "select1CheckBox", 503, cc.size(65, 66), cc.p(574.016, 33), nil, nil, nil, nil, nil)
	self.select1CheckBox:loadTextureBackGround("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.select1CheckBox:loadTextureBackGroundSelected("ccs/UiImages/common/common_btn_xuanzhong_1.png", 1)
	self.select1CheckBox:loadTextureBackGroundDisabled("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.select1CheckBox:loadTextureFrontCross("ccs/UiImages/common/common_btn_xuanzhong_1.png", 1)
	self.select1CheckBox:loadTextureFrontCrossDisabled("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.select1CheckBox:setSelected(true)
	addChildForPre(self.checkBoxPanel_4, self.select1CheckBox)

	self.rightBGImage = ccui.ImageView:create()
	setValue(self.rightBGImage, "WIX_rightBGImage", 2025, cc.size(621, 385), cc.p(320, 201.6), cc.p(0.5, 0), nil, nil, nil, false)
	self.rightBGImage:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.rightBGImage:setScale9Enabled(true)
	self.rightBGImage:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.dialogPanel_2, self.rightBGImage)

	self.listViewPanel = ccui.Layout:create()
	setValue(self.listViewPanel, "WIX_listViewPanel", 464, cc.size(620, 376), cc.p(320, 206.6), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.listViewPanel)

	self.buttonPanel = ccui.Layout:create()
	setValue(self.buttonPanel, "WBX_buttonPanel", 315, cc.size(640, 120), cc.p(320, 60), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.buttonPanel)
	self.buttonPanel_3 = self.buttonPanel

	self.upgradeButton = ccui.Button:create()
	setValue(self.upgradeButton, "RBN_upgradeButton", 159, cc.size(153, 64), cc.p(320, 60), nil, nil, nil, nil, false)
	self.upgradeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.upgradeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.upgradeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.upgradeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.upgradeButton:setTitleText([[upgrade]])
	self.upgradeButton:setTitleFontSize(25)
	self.upgradeButton:setTitleFontName(getFont())
	setClickEvent(self, self.upgradeButton, "upgradeButton")
	addChildForPre(self.buttonPanel_3, self.upgradeButton)

	self.imageLine2 = ccui.ImageView:create()
	setValue(self.imageLine2, "WBX_imageLine2", 742, cc.size(640, 30), cc.p(320, 119.9999), nil, nil, nil, nil, false)
	self.imageLine2:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.imageLine2:setScale9Enabled(true)
	self.imageLine2:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.buttonPanel_3, self.imageLine2)

	self.imageLine1 = ccui.ImageView:create()
	setValue(self.imageLine1, "WBX_imageLine1", 743, cc.size(640, 8), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.imageLine1:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	self.imageLine1:setScale9Enabled(true)
	self.imageLine1:setCapInsets(cc.rect(0, 0, 640, 8))
	addChildForPre(self.buttonPanel_3, self.imageLine1)

	self.leftRightButtonPanel = ccui.Layout:create()
	setValue(self.leftRightButtonPanel, "WXY_leftRightButtonPanel", 322, cc.size(640, 178.08), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.leftRightButtonPanel:setVisible(false)
	addChildForPre(self.dialogPanel_2, self.leftRightButtonPanel)
	self.leftRightButtonPanel_3 = self.leftRightButtonPanel

	self.leftButton = ccui.Button:create()
	setValue(self.leftButton, "LNN_leftButton", 123, cc.size(46, 36), cc.p(19.2, 89.04), nil, nil, nil, nil, nil)
	self.leftButton:setFlippedX(true)
	self.leftButton:loadTextureNormal("Default/Button_Normal.png", 0)
	self.leftButton:loadTexturePressed("Default/Button_Press.png", 0)
	self.leftButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.leftButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.leftButton:setTitleText([[]])
	self.leftButton:setTitleColor(cc.c3b(65, 65, 70))
	self.leftButton:setTitleFontSize(14)
	self.leftButton:setTitleFontName(getFont())
	setClickEvent(self, self.leftButton, "leftButton")
	addChildForPre(self.leftRightButtonPanel_3, self.leftButton)

	self.rightButton = ccui.Button:create()
	setValue(self.rightButton, "RNN_rightButton", 323, cc.size(46, 36), cc.p(620.8, 89.04), nil, nil, nil, nil, nil)
	self.rightButton:loadTextureNormal("Default/Button_Normal.png", 0)
	self.rightButton:loadTexturePressed("Default/Button_Press.png", 0)
	self.rightButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.rightButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.rightButton:setTitleText([[]])
	self.rightButton:setTitleColor(cc.c3b(65, 65, 70))
	self.rightButton:setTitleFontSize(14)
	self.rightButton:setTitleFontName(getFont())
	setClickEvent(self, self.rightButton, "rightButton")
	addChildForPre(self.leftRightButtonPanel_3, self.rightButton)

	if CommonDialogFrame1CloseUi then 
 		self.commonDialogFrame1CloseUi = CommonDialogFrame1CloseUi.new() 
 	else 
		self.commonDialogFrame1CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame1CloseUi, "commonDialogFrame1CloseUi", 321, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/battle.plist",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
	"Default/Button_Disable.png",
	"Default/Button_Press.png",
	"Default/Button_Normal.png",
}

return _M
