-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 701, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 702, cc.size(1125, 750), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "dialogPanel", 703, cc.size(430, 200), cc.p(562.5, 375), cc.p(0.5, 0.5), nil, nil, nil, nil)
	setBgColor(self.dialogPanel, 1, 0, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 704, cc.size(430, 200), cc.p(215, 100), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/common/SignInInformationBottom.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(10, 10, 60, 60))
	addChildForPre(self.dialogPanel_2, self.bgImage)

	self.iconSprite = cc.Sprite:create()
	setValue(self.iconSprite, "iconSprite", 184, cc.size(122, 122), cc.p(64.5, 146), nil, nil, nil, nil, nil)
	self.iconSprite:setScale(0.7)
	self.iconSprite:setSpriteFrame("ccs/UiImages/militaryRank/RankPrivilege1.png")
	addChildForPre(self.dialogPanel_2, self.iconSprite)

	self.itemTitleLabel = createLabel({text=[[itemTitleLabel]], font=getFont(), size=20})
	setValue(self.itemTitleLabel, "itemTitleLabel", 739, cc.size(123, 23), cc.p(133.3, 176), cc.p(0, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.itemTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.itemTitleLabel:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.dialogPanel_2, self.itemTitleLabel)

	self.itemTitleLvLabel = createLabel({text=[[itemTitleLvLabel]], font=getFont(), size=20})
	setValue(self.itemTitleLvLabel, "itemTitleLvLabel", 139, cc.size(144, 23), cc.p(283.8, 176), cc.p(0, 0.5), nil, nil, nil, nil)
	self.itemTitleLvLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.itemTitleLvLabel)

	self.itemTitle1Label = createLabel({text=[[itemTitle1Label]], font=getFont(), size=20})
	setValue(self.itemTitle1Label, "itemTitle1Label", 779, cc.size(134, 23), cc.p(133.3, 150), cc.p(0, 0.5), nil, nil, nil, nil)
	self.itemTitle1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.itemTitle1Label)

	self.itemValue1Label = createLabel({text=[[itemValue1Label]], font=getFont(), size=20})
	setValue(self.itemValue1Label, "itemValue1Label", 140, cc.size(147, 23), cc.p(283.8, 150), cc.p(0, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.itemValue1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.itemValue1Label:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.dialogPanel_2, self.itemValue1Label)

	self.itemTitle2Label = createLabel({text=[[itemTitle2Label]], font=getFont(), size=20})
	setValue(self.itemTitle2Label, "itemTitle2Label", 141, cc.size(134, 23), cc.p(133.3, 124), cc.p(0, 0.5), nil, nil, nil, nil)
	self.itemTitle2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.itemTitle2Label)

	self.itemValue2Label = createLabel({text=[[itemValue2Label]], font=getFont(), size=20})
	setValue(self.itemValue2Label, "itemValue2Label", 142, cc.size(147, 23), cc.p(283.8, 124), cc.p(0, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.itemValue2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.itemValue2Label:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.dialogPanel_2, self.itemValue2Label)

	self.itemDescTitleLabel = createLabel({text=[[itemDescTitleLabel]], font=getFont(), size=20,valign = 1})
	setValue(self.itemDescTitleLabel, "itemDescTitleLabel", 143, cc.size(169, 23), cc.p(21.5, 92), cc.p(0, 1), nil, nil, nil, nil)
	self.itemDescTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.itemDescTitleLabel)

	self.itemDescInfoLabel = createLabel({text=[[itemDescInfoLabel]], font=getFont(), size=20, dimensions = cc.size(330.0000, 75.0000)})
	setValue(self.itemDescInfoLabel, "itemDescInfoLabel", 759, cc.size(330, 75), cc.p(77.4, 92), cc.p(0, 1), cc.c4b(253, 132, 53, 255), nil, nil, false)
	self.itemDescInfoLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.itemDescInfoLabel:setColor(cc.c4b(253, 132, 53, 255))
	addChildForPre(self.dialogPanel_2, self.itemDescInfoLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonPanelPartsC.plist",
	"ccs/plist/militaryRank.plist",
}

return _M
