-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 111, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 112, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 190, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 429, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.homeButton = ccui.Button:create()
	setValue(self.homeButton, "LTN_homeButton", 205, cc.size(80, 60), cc.p(0, 960), cc.p(0, 1), nil, nil, nil, nil)
	self.homeButton:loadTextureNormal("ccs/UiImages/common/common_btn_home_0.png", 1)
	self.homeButton:loadTexturePressed("ccs/UiImages/common/common_btn_home_0.png", 1)
	self.homeButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.homeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.homeButton:setTitleText([[]])
	self.homeButton:setTitleColor(cc.c3b(65, 65, 70))
	self.homeButton:setTitleFontSize(14)
	self.homeButton:setTitleFontName(getFont())
	setClickEvent(self, self.homeButton, "homeButton")
	addChildForPre(self.dialogPanel_2, self.homeButton)

	self.closeButton = ccui.Button:create()
	setValue(self.closeButton, "RTN_closeButton", 206, cc.size(80, 60), cc.p(640, 960), cc.p(1, 1), nil, nil, nil, nil)
	self.closeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_close_0.png", 1)
	self.closeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_close_1.png", 1)
	self.closeButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.closeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.closeButton:setTitleText([[]])
	self.closeButton:setTitleColor(cc.c3b(65, 65, 70))
	self.closeButton:setTitleFontSize(14)
	self.closeButton:setTitleFontName(getFont())
	setClickEvent(self, self.closeButton, "closeButton")
	addChildForPre(self.dialogPanel_2, self.closeButton)

	self.topPanel = ccui.Layout:create()
	setValue(self.topPanel, "TXN_topPanel", 202, cc.size(640, 154), cc.p(320, 804.096), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.topPanel)
	self.topPanel_3 = self.topPanel

	self.RankIconSprite = cc.Sprite:create()
	setValue(self.RankIconSprite, "RankIconSprite", 317, cc.size(100, 100), cc.p(101.8362, 52.4318), nil, nil, nil, nil, nil)
	self.RankIconSprite:setScale(0.5)
	self.RankIconSprite:setSpriteFrame("ccs/UiImages/icon/military_1.jpg")
	addChildForPre(self.topPanel_3, self.RankIconSprite)

	self.RankLabel = createLabel({text=[[中士]], font=getFont(), size=24})
	setValue(self.RankLabel, "RankLabel", 318, cc.size(48, 28), cc.p(153.4905, 51.9333), nil, nil, nil, nil, nil)
	self.RankLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.topPanel_3, self.RankLabel)

	self.honorLabel = createLabel({text=[[荣誉 ：]], font=getFont(), size=24})
	setValue(self.honorLabel, "honorLabel", 319, cc.size(78, 28), cc.p(275.7197, 50.2111), nil, nil, nil, nil, nil)
	self.honorLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.topPanel_3, self.honorLabel)

	self.honorIcon = ccui.ImageView:create()
	setValue(self.honorIcon, "honorIcon", 320, cc.size(100, 100), cc.p(324.4725, 52.4317), nil, nil, nil, nil, nil)
	self.honorIcon:setScale(0.5)
	self.honorIcon:loadTexture("ccs/UiImages/icon/rongyu.png", 1)
	addChildForPre(self.topPanel_3, self.honorIcon)

	self.honorNum = createLabel({text=[[123456]], font=getFont(), size=24})
	setValue(self.honorNum, "honorNum", 332, cc.size(80, 28), cc.p(355.4155, 50.0155), cc.p(0, 0.5), cc.c4b(228, 123, 8, 255), nil, nil, nil)
	self.honorNum:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.honorNum:setColor(cc.c4b(228, 123, 8, 255))
	addChildForPre(self.topPanel_3, self.honorNum)

	self.infoButton = ccui.Button:create()
	setValue(self.infoButton, "infoButton", 333, cc.size(81, 26), cc.p(579.6573, 54.2681), nil, cc.c4b(0, 230, 255, 255), nil, nil, false)
	self.infoButton:loadTextureNormal("ccs/UiImages/image9/Underline.png", 1)
	self.infoButton:loadTexturePressed("ccs/UiImages/image9/Underline.png", 1)
	self.infoButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.infoButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.infoButton:setTitleText([[说明]])
	self.infoButton:setTitleColor(cc.c3b(0, 230, 255))
	self.infoButton:setTitleFontSize(24)
	self.infoButton:setTitleFontName(getFont())
	setClickEvent(self, self.infoButton, "infoButton")
	addChildForPre(self.topPanel_3, self.infoButton)

	self.contentPanel = ccui.Layout:create()
	setValue(self.contentPanel, "XIN_contentPanel", 204, cc.size(640, 639), cc.p(320, 164.928), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.contentPanel)
	self.contentPanel_3 = self.contentPanel

	self.contentListPanel = ccui.Layout:create()
	setValue(self.contentListPanel, "HYX_contentListPanel", 415, cc.size(610, 630), cc.p(12.7554, 5.5034), nil, nil, nil, nil, nil)
	addChildForPre(self.contentPanel_3, self.contentListPanel)

	self.bottomPanel = ccui.Layout:create()
	setValue(self.bottomPanel, "WXB_bottomPanel", 116, cc.size(640, 166), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.bottomPanel)
	self.bottomPanel_3 = self.bottomPanel

	self.buttomImg = ccui.ImageView:create()
	setValue(self.buttomImg, "WXN_buttomImg", 486, cc.size(640, 30), cc.p(0, 138), cc.p(0, 0), nil, nil, nil, false)
	self.buttomImg:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.buttomImg:setScale9Enabled(true)
	self.buttomImg:setCapInsets(cc.rect(1, 0, 638, 30))
	addChildForPre(self.bottomPanel_3, self.buttomImg)

	self.downLabelPanel = ccui.Layout:create()
	setValue(self.downLabelPanel, "XNN_downLabelPanel", 531, cc.size(640, 161), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.bottomPanel_3, self.downLabelPanel)
	self.downLabelPanel_4 = self.downLabelPanel

	self.buttomTitleLabel = createLabel({text=[[每日可领取XX钻石]], font=getFont(), size=24, dimensions = cc.size(350.0000, 28.0000)})
	setValue(self.buttomTitleLabel, "buttomTitleLabel", 510, cc.size(350, 28), cc.p(320, 114.0846), nil, nil, nil, nil, false)
	self.buttomTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.downLabelPanel_4, self.buttomTitleLabel)

	self.todayInfoLabel = createLabel({text=[[今日可领取 ]], font=getFont(), size=24})
	setValue(self.todayInfoLabel, "todayInfoLabel", 511, cc.size(126, 28), cc.p(323.0135, 51.8559), cc.p(1, 0.5), nil, nil, nil, nil)
	self.todayInfoLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.downLabelPanel_4, self.todayInfoLabel)

	self.todayInfoLabelValue = createLabel({text=[[100]], font=getFont(), size=24})
	setValue(self.todayInfoLabelValue, "todayInfoLabelValue", 1654, cc.size(40, 28), cc.p(383.6757, 51.8559), cc.p(0, 0.5), cc.c4b(240, 178, 22, 255), nil, nil, nil)
	self.todayInfoLabelValue:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.todayInfoLabelValue:setColor(cc.c4b(240, 178, 22, 255))
	addChildForPre(self.downLabelPanel_4, self.todayInfoLabelValue)

	self.buttomIcon = ccui.ImageView:create()
	setValue(self.buttomIcon, "buttomIcon", 512, cc.size(35, 35), cc.p(348.8227, 51.8559), nil, nil, nil, nil, nil)
	self.buttomIcon:loadTexture("ccs/UiImages/mainUiFeeling/mainUi_zuanshi.png", 1)
	addChildForPre(self.downLabelPanel_4, self.buttomIcon)

	self.descriptionButton = ccui.Button:create()
	setValue(self.descriptionButton, "XNN_descriptionButton", 509, cc.size(153, 64), cc.p(97.7908, 51.0212), nil, nil, nil, nil, false)
	self.descriptionButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.descriptionButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.descriptionButton:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.descriptionButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.descriptionButton:setTitleText([[特权详情]])
	self.descriptionButton:setTitleFontSize(24)
	self.descriptionButton:setTitleFontName(getFont())
	setClickEvent(self, self.descriptionButton, "descriptionButton")
	addChildForPre(self.bottomPanel_3, self.descriptionButton)

	self.captureButton = ccui.Button:create()
	setValue(self.captureButton, "XNN_captureButton", 513, cc.size(153, 64), cc.p(541.3066, 52.8561), nil, nil, nil, nil, false)
	self.captureButton:loadTextureNormal("ccs/UiImages/image9/common_btn_green_0.png", 1)
	self.captureButton:loadTexturePressed("ccs/UiImages/image9/common_btn_green_1.png", 1)
	self.captureButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.captureButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.captureButton:setTitleText([[领取]])
	self.captureButton:setTitleFontSize(24)
	self.captureButton:setTitleFontName(getFont())
	setClickEvent(self, self.captureButton, "captureButton")
	addChildForPre(self.bottomPanel_3, self.captureButton)

	self.uplineImage = ccui.ImageView:create()
	setValue(self.uplineImage, "WXT_uplineImage", 103, cc.size(640, 30), cc.p(320, 810), nil, nil, nil, nil, false)
	self.uplineImage:setFlippedY(true)
	self.uplineImage:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.uplineImage:setScale9Enabled(true)
	self.uplineImage:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.dialogPanel_2, self.uplineImage)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"Default/Button_Disable.png",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/icon.plist",
	"ccs/plist/mainUiFeeling.plist",
}

return _M
