-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 125, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 127, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonUpgradeDialog then 
 		self.CommonUpgradeDialog = CommonUpgradeDialog.new() 
 	else 
		self.CommonUpgradeDialog = BaseUi.new("ccs/ui/commonDialog/CommonUpgradeDialog.lua")
 	end 
	setValue(self.CommonUpgradeDialog, "CommonUpgradeDialog", 34, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.CommonUpgradeDialog)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "dialogPanel", 142, cc.size(220, 200), cc.p(323.904, 409.2), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.Sprite_1 = cc.Sprite:create()
	setValue(self.Sprite_1, "Sprite_1", 27, cc.size(55, 55), cc.p(49, 73), nil, nil, nil, nil, nil)
	self.Sprite_1:setSpriteFrame("ccs/UiImages/militaryRank/Rank10.png")
	addChildForPre(self.dialogPanel_2, self.Sprite_1)

	self.Sprite_3 = cc.Sprite:create()
	setValue(self.Sprite_3, "Sprite_3", 29, cc.size(47, 33), cc.p(108, 73), nil, nil, nil, nil, nil)
	self.Sprite_3:setSpriteFrame("ccs/UiImages/common/commonPanelBg_img_level3.png")
	addChildForPre(self.dialogPanel_2, self.Sprite_3)

	self.Sprite_1_Copy = cc.Sprite:create()
	setValue(self.Sprite_1_Copy, "Sprite_1_Copy", 28, cc.size(55, 55), cc.p(166, 73), nil, nil, nil, nil, nil)
	self.Sprite_1_Copy:setSpriteFrame("ccs/UiImages/militaryRank/Rank11.png")
	addChildForPre(self.dialogPanel_2, self.Sprite_1_Copy)

	self.Text_1 = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.Text_1, "Text_1", 30, cc.size(91, 23), cc.p(49, 29), nil, nil, nil, nil, nil)
	self.Text_1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.Text_1)

	self.Text_1_Copy = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.Text_1_Copy, "Text_1_Copy", 31, cc.size(91, 23), cc.p(166, 29), nil, nil, nil, nil, nil)
	self.Text_1_Copy:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.Text_1_Copy)

	self.Text_3 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.Text_3, "Text_3", 32, cc.size(109, 28), cc.p(132, 149), cc.p(1, 0.5), cc.c4b(255, 219, 0, 255), nil, nil, nil)
	self.Text_3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.Text_3:setColor(cc.c4b(255, 219, 0, 255))
	addChildForPre(self.dialogPanel_2, self.Text_3)

	self.Text_3_Copy = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.Text_3_Copy, "Text_3_Copy", 33, cc.size(109, 28), cc.p(134, 149), cc.p(0, 0.5), cc.c4b(255, 219, 0, 255), nil, nil, nil)
	self.Text_3_Copy:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.Text_3_Copy:setColor(cc.c4b(255, 219, 0, 255))
	addChildForPre(self.dialogPanel_2, self.Text_3_Copy)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/militaryRank.plist",
	"ccs/plist/common.plist",
}

return _M
