-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 190, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 191, cc.size(120, 120), nil, cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.OfficerPanel = ccui.Layout:create()
	setValue(self.OfficerPanel, "OfficerPanel", 40, cc.size(120, 120), cc.p(60, 60), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.OfficerPanel)
	self.OfficerPanel_2 = self.OfficerPanel

	self.QualitySprite = cc.Sprite:create()
	setValue(self.QualitySprite, "QualitySprite", 39, cc.size(200, 200), cc.p(60, 60), nil, nil, nil, nil, nil)
	self.QualitySprite:setScale(0.5)
	self.QualitySprite:setSpriteFrame("ccs/UiImages/common/camp_img_jiangling01.png")
	addChildForPre(self.OfficerPanel_2, self.QualitySprite)

	self.MainSprite = cc.Sprite:create()
	setValue(self.MainSprite, "MainSprite", 41, cc.size(163, 153), cc.p(60, 60), nil, nil, nil, nil, nil)
	self.MainSprite:setScale(0.5)
	self.MainSprite:setSpriteFrame("ccs/UiImages/common/camp_img_jiangling03.png")
	addChildForPre(self.OfficerPanel_2, self.MainSprite)

	self.earofriceImage = ccui.ImageView:create()
	setValue(self.earofriceImage, "earofriceImage", 755, cc.size(118, 65), cc.p(60, 35.2), nil, nil, nil, nil, nil)
	self.earofriceImage:loadTexture("ccs/UiImages/common/camp_img_jiangling02.png", 1)
	addChildForPre(self.OfficerPanel_2, self.earofriceImage)

	self.shengji01 = cc.ParticleSystemQuad:create("ccs/Particle/CampPart_LevelUp01.plist")
 	self.shengji01:setPositionType(2) 
	setValue(self.shengji01, "shengji01", 2581, nil, cc.p(60, 60), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.shengji01:setScale(1.2)
	addChildForPre(self.OfficerPanel_2, self.shengji01)

	self.shengji02 = cc.ParticleSystemQuad:create("ccs/Particle/CampPart_LevelUp03.plist")
 	self.shengji02:setPositionType(2) 
	setValue(self.shengji02, "shengji02", 2584, nil, cc.p(61.2, 60), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.OfficerPanel_2, self.shengji02)

	self.shengji03 = cc.ParticleSystemQuad:create("ccs/Particle/CampPart_LevelUp04.plist")
 	self.shengji03:setPositionType(2) 
	setValue(self.shengji03, "shengji03", 2582, nil, cc.p(60, 60), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.shengji03:setScale(1.3)
	addChildForPre(self.OfficerPanel_2, self.shengji03)

	self.shengji04 = cc.ParticleSystemQuad:create("ccs/Particle/CampPart_LevelUp05.plist")
 	self.shengji04:setPositionType(2) 
	setValue(self.shengji04, "shengji04", 2583, nil, cc.p(61.2, 36), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.OfficerPanel_2, self.shengji04)

	self.jinjie01 = cc.ParticleSystemQuad:create("Default/defaultParticle.plist")
 	self.jinjie01:setPositionType(2) 
	setValue(self.jinjie01, "jinjie01", 264, nil, cc.p(62.4, 61.2), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.OfficerPanel_2, self.jinjie01)

	self.jinjie02 = cc.ParticleSystemQuad:create("Default/defaultParticle.plist")
 	self.jinjie02:setPositionType(2) 
	setValue(self.jinjie02, "jinjie02", 263, nil, cc.p(63.6, 66), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.jinjie02:setScaleX(1.5)
	self.jinjie02:setScaleY(1.8)
	addChildForPre(self.OfficerPanel_2, self.jinjie02)

	self.jinjie03 = cc.ParticleSystemQuad:create("Default/defaultParticle.plist")
 	self.jinjie03:setPositionType(2) 
	setValue(self.jinjie03, "jinjie03", 265, nil, cc.p(63.6, 68.4), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.jinjie03:setScaleX(1.7)
	self.jinjie03:setScaleY(2.04)
	addChildForPre(self.OfficerPanel_2, self.jinjie03)

	self.jinjie04 = cc.ParticleSystemQuad:create("Default/defaultParticle.plist")
 	self.jinjie04:setPositionType(2) 
	setValue(self.jinjie04, "jinjie04", 266, nil, cc.p(61.2, 63.6), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.jinjie04:setScaleX(1.5)
	self.jinjie04:setScaleY(2)
	addChildForPre(self.OfficerPanel_2, self.jinjie04)

	self.levelImage = ccui.ImageView:create()
	setValue(self.levelImage, "levelImage", 1582, cc.size(38, 20), cc.p(30, 14), nil, nil, nil, nil, nil)
	self.levelImage:setVisible(false)
	self.levelImage:loadTexture("ccs/UiImages/common/common_img_level.png", 1)
	addChildForPre(self.OfficerPanel_2, self.levelImage)

	self.nameLable = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.nameLable, "nameLable", 65, cc.size(91, 23), cc.p(60, -12), nil, nil, nil, nil, nil)
	self.nameLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.OfficerPanel_2, self.nameLable)

	self.militaryLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.militaryLabel, "militaryLabel", 1564, cc.size(91, 23), cc.p(60, -33), nil, nil, nil, nil, nil)
	self.militaryLabel:setVisible(false)
	self.militaryLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.OfficerPanel_2, self.militaryLabel)

	self.levelLabel = createLabel({text=[[--/--]], font=getFont(), size=20})
	setValue(self.levelLabel, "levelLabel", 1583, cc.size(32, 23), cc.p(30, 14), nil, nil, nil, nil, nil)
	self.levelLabel:setVisible(false)
	self.levelLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.OfficerPanel_2, self.levelLabel)

	self.mainButton = ccui.Button:create()
	self.mainButton:setScale9Enabled(true)
	self.mainButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.mainButton:setContentSize(cc.size(120, 120))
	setValue(self.mainButton, "mainButton", 26, nil, cc.p(60, 60), nil, nil, nil, nil, false)
	self.mainButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.mainButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.mainButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.mainButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.mainButton:setTitleText([[]])
	self.mainButton:setTitleColor(cc.c3b(65, 65, 70))
	self.mainButton:setTitleFontSize(14)
	self.mainButton:setTitleFontName(getFont())
	setClickEvent(self, self.mainButton, "mainButton")
	addChildForPre(self.rootPanel_1, self.mainButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(45)
	self.animation:setTimeSpeed(1)
	local timeLine
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 161.2000, 198.9000, nil))
	timeLine:addFrame(CreatePositionFrame(15, true, 161.2000, 198.9000, nil))
	timeLine:addFrame(CreatePositionFrame(30, true, 161.2000, 198.9000, nil))
	timeLine:addFrame(CreatePositionFrame(45, true, 161.2000, 198.9000, nil))
	timeLine:setNode(self.jinjie01)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(15, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(30, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(45, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.jinjie01)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(15, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(30, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(45, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.jinjie01)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateEventFrame(0, true, "player1", nil))
	timeLine:addFrame(CreateEventFrame(15, true, "player2", nil))
	timeLine:addFrame(CreateEventFrame(30, true, "player3", nil))
	timeLine:addFrame(CreateEventFrame(45, true, "player4", nil))
	timeLine:setNode(self.jinjie01)
	return self
end

_M.textures = {
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
}

return _M
