-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 127, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 183, cc.size(1125, 750), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.contentPrePanel = ccui.Layout:create()
	setValue(self.contentPrePanel, "contentPrePanel", 184, cc.size(1125, 621), cc.p(562.5, 750), cc.p(0.5, 1), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.contentPrePanel)
	self.contentPrePanel_2 = self.contentPrePanel

	self.detailPanel = ccui.Layout:create()
	setValue(self.detailPanel, "detailPanel", 185, cc.size(500, 536), cc.p(45, 273.24), cc.p(0, 0.5), nil, nil, nil, nil)
	addChildForPre(self.contentPrePanel_2, self.detailPanel)
	self.detailPanel_3 = self.detailPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 245, cc.size(500, 536), cc.p(250, 268), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/commonPanelPartsB/EquipmentPlate.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(10, 10, 70, 70))
	addChildForPre(self.detailPanel_3, self.bgImage)

	self.GeneralCardNoBody = cc.Sprite:create()
	setValue(self.GeneralCardNoBody, "GeneralCardNoBody", 84, cc.size(310, 392), cc.p(134, 363), nil, nil, nil, nil, nil)
	self.GeneralCardNoBody:setScale(0.8)
	self.GeneralCardNoBody:setTexture("ccs/BigImages/officer/GeneralCardNoBody.webp")
	addChildForPre(self.detailPanel_3, self.GeneralCardNoBody)

	if OfficerBigHeadUi then 
 		self.officerBigHeadUi = OfficerBigHeadUi.new() 
 	else 
		self.officerBigHeadUi = BaseUi.new("ccs/ui/officer/OfficerBigHeadUi.lua")
 	end 
	setValue(self.officerBigHeadUi, "officerBigHeadUi", 27, nil, cc.p(8, 205), nil, nil, nil, nil, nil)
	self.officerBigHeadUi:setScale(0.8)
	addChildForPre(self.detailPanel_3, self.officerBigHeadUi)

	self.buttonPanel = ccui.Layout:create()
	setValue(self.buttonPanel, "buttonPanel", 189, cc.size(500, 85.76), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.detailPanel_3, self.buttonPanel)
	self.buttonPanel_4 = self.buttonPanel

	self.changeButton = ccui.Button:create()
	setValue(self.changeButton, "changeButton", 186, cc.size(150, 62), cc.p(250, 42.88), nil, nil, nil, nil, false)
	self.changeButton:loadTextureNormal("ccs/UiImages/commonBtn/CommonBtnBlue.png", 1)
	self.changeButton:loadTexturePressed("ccs/UiImages/commonBtn/CommonBtnBlueHover.png", 1)
	self.changeButton:loadTextureDisabled("ccs/UiImages/commonBtn/CommonBtnDisable.png", 1)
	self.changeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.changeButton:setTitleText([[Button]])
	self.changeButton:setTitleFontSize(24)
	self.changeButton:setTitleFontName(getFont())
	setClickEvent(self, self.changeButton, "changeButton")
	addChildForPre(self.buttonPanel_4, self.changeButton)
	self.changeButton_5 = self.changeButton

	self.officerChangeRedPoint = cc.Sprite:create()
	setValue(self.officerChangeRedPoint, "officerChangeRedPoint", 91, cc.size(25, 25), cc.p(137.4127, 52.0964), nil, nil, nil, nil, nil)
	self.officerChangeRedPoint:setSpriteFrame("ccs/UiImages/commonIcon/redPoint.png")
	addChildForPre(self.changeButton_5, self.officerChangeRedPoint)

	self.upgradeButton = ccui.Button:create()
	setValue(self.upgradeButton, "upgradeButton", 187, cc.size(150, 62), cc.p(90, 42.88), nil, nil, nil, nil, false)
	self.upgradeButton:loadTextureNormal("ccs/UiImages/commonBtn/CommonBtnBlue.png", 1)
	self.upgradeButton:loadTexturePressed("ccs/UiImages/commonBtn/CommonBtnBlueHover.png", 1)
	self.upgradeButton:loadTextureDisabled("ccs/UiImages/commonBtn/CommonBtnDisable.png", 1)
	self.upgradeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.upgradeButton:setTitleText([[Button]])
	self.upgradeButton:setTitleFontSize(24)
	self.upgradeButton:setTitleFontName(getFont())
	setClickEvent(self, self.upgradeButton, "upgradeButton")
	addChildForPre(self.buttonPanel_4, self.upgradeButton)

	self.exchangeButton = ccui.Button:create()
	setValue(self.exchangeButton, "exchangeButton", 188, cc.size(150, 62), cc.p(410, 42.88), nil, nil, nil, nil, false)
	self.exchangeButton:loadTextureNormal("ccs/UiImages/commonBtn/CommonBtnBlue.png", 1)
	self.exchangeButton:loadTexturePressed("ccs/UiImages/commonBtn/CommonBtnBlueHover.png", 1)
	self.exchangeButton:loadTextureDisabled("ccs/UiImages/commonBtn/CommonBtnDisable.png", 1)
	self.exchangeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.exchangeButton:setTitleText([[Button]])
	self.exchangeButton:setTitleFontSize(24)
	self.exchangeButton:setTitleFontName(getFont())
	setClickEvent(self, self.exchangeButton, "exchangeButton")
	addChildForPre(self.buttonPanel_4, self.exchangeButton)

	self.lineupButton = ccui.Button:create()
	setValue(self.lineupButton, "lineupButton", 51, cc.size(150, 62), cc.p(250, 42.88), nil, nil, nil, nil, false)
	self.lineupButton:loadTextureNormal("ccs/UiImages/commonBtn/CommonBtnBlue.png", 1)
	self.lineupButton:loadTexturePressed("ccs/UiImages/commonBtn/CommonBtnBlueHover.png", 1)
	self.lineupButton:loadTextureDisabled("ccs/UiImages/commonBtn/CommonBtnDisable.png", 1)
	self.lineupButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.lineupButton:setTitleText([[Button]])
	self.lineupButton:setTitleFontSize(24)
	self.lineupButton:setTitleFontName(getFont())
	setClickEvent(self, self.lineupButton, "lineupButton")
	addChildForPre(self.buttonPanel_4, self.lineupButton)

	self.baseAttrPanel = ccui.Layout:create()
	setValue(self.baseAttrPanel, "baseAttrPanel", 13, cc.size(200, 300), cc.p(239.5678, 208.4267), nil, nil, nil, nil, nil)
	addChildForPre(self.detailPanel_3, self.baseAttrPanel)
	self.baseAttrPanel_4 = self.baseAttrPanel

	self.baseAttrTitleLabel = createLabel({text=[[Text Label]], font=getFont(), size=25})
	setValue(self.baseAttrTitleLabel, "baseAttrTitleLabel", 14, cc.size(113, 29), cc.p(11.0071, 284.556), cc.p(0, 0.5), nil, nil, nil, nil)
	self.baseAttrTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.baseAttrPanel_4, self.baseAttrTitleLabel)

	self.baseAttrInnerPanel = ccui.Layout:create()
	setValue(self.baseAttrInnerPanel, "baseAttrInnerPanel", 76, cc.size(135, 146), cc.p(19.4838, 71.4882), nil, nil, nil, nil, nil)
	addChildForPre(self.baseAttrPanel_4, self.baseAttrInnerPanel)
	self.baseAttrInnerPanel_5 = self.baseAttrInnerPanel

	self.hpTitleLabel = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.hpTitleLabel, "hpTitleLabel", 16, cc.size(100, 26), cc.p(0, 146), cc.p(0, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.hpTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.hpTitleLabel:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.baseAttrInnerPanel_5, self.hpTitleLabel)

	self.dm1TitleLabel = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.dm1TitleLabel, "dm1TitleLabel", 17, cc.size(100, 26), cc.p(0, 109.5), cc.p(0, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.dm1TitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.dm1TitleLabel:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.baseAttrInnerPanel_5, self.dm1TitleLabel)

	self.dm2TitleLabel = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.dm2TitleLabel, "dm2TitleLabel", 18, cc.size(100, 26), cc.p(0, 73), cc.p(0, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.dm2TitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.dm2TitleLabel:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.baseAttrInnerPanel_5, self.dm2TitleLabel)

	self.df1TitleLabel = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.df1TitleLabel, "df1TitleLabel", 19, cc.size(100, 26), cc.p(0, 36.5), cc.p(0, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.df1TitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.df1TitleLabel:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.baseAttrInnerPanel_5, self.df1TitleLabel)

	self.df2TitleLabel = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.df2TitleLabel, "df2TitleLabel", 20, cc.size(100, 26), nil, cc.p(0, 0.5), cc.c4b(0, 230, 255, 255), nil, nil, nil)
	self.df2TitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.df2TitleLabel:setColor(cc.c4b(0, 230, 255, 255))
	addChildForPre(self.baseAttrInnerPanel_5, self.df2TitleLabel)

	self.hpLabel = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.hpLabel, "hpLabel", 77, cc.size(100, 26), cc.p(135, 146), cc.p(0, 0.5), nil, nil, nil, nil)
	self.hpLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.baseAttrInnerPanel_5, self.hpLabel)

	self.dm1Label = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.dm1Label, "dm1Label", 78, cc.size(100, 26), cc.p(135, 109.5), cc.p(0, 0.5), nil, nil, nil, nil)
	self.dm1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.baseAttrInnerPanel_5, self.dm1Label)

	self.dm2Label = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.dm2Label, "dm2Label", 79, cc.size(100, 26), cc.p(135, 73), cc.p(0, 0.5), nil, nil, nil, nil)
	self.dm2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.baseAttrInnerPanel_5, self.dm2Label)

	self.df1Label = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.df1Label, "df1Label", 80, cc.size(100, 26), cc.p(135, 36.5), cc.p(0, 0.5), nil, nil, nil, nil)
	self.df1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.baseAttrInnerPanel_5, self.df1Label)

	self.df2Label = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.df2Label, "df2Label", 81, cc.size(100, 26), cc.p(135, 0), cc.p(0, 0.5), nil, nil, nil, nil)
	self.df2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.baseAttrInnerPanel_5, self.df2Label)

	self.goodAtPanel = ccui.Layout:create()
	setValue(self.goodAtPanel, "goodAtPanel", 90, cc.size(500, 107.2), cc.p(0, 86.3155), nil, nil, nil, nil, nil)
	addChildForPre(self.detailPanel_3, self.goodAtPanel)
	self.goodAtPanel_4 = self.goodAtPanel

	self.StripOrange = cc.Sprite:create()
	setValue(self.StripOrange, "StripOrange", 246, cc.size(496, 4), cc.p(250, 107.2), nil, nil, nil, nil, nil)
	self.StripOrange:setSpriteFrame("ccs/UiImages/commonPanelPartsC/StripOrange.png")
	addChildForPre(self.goodAtPanel_4, self.StripOrange)

	self.goodAtTitle1Label = createLabel({text=[[Text Label]], font=getFont(), size=25})
	setValue(self.goodAtTitle1Label, "goodAtTitle1Label", 89, cc.size(113, 29), cc.p(40, 75), cc.p(0, 0.5), nil, nil, nil, nil)
	self.goodAtTitle1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.goodAtPanel_4, self.goodAtTitle1Label)

	self.goodAtTitle2Label = createLabel({text=[[Text Label]], font=getFont(), size=25})
	setValue(self.goodAtTitle2Label, "goodAtTitle2Label", 82, cc.size(113, 29), cc.p(155.7682, 75), cc.p(0, 0.5), cc.c4b(40, 219, 114, 255), nil, nil, nil)
	self.goodAtTitle2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.goodAtTitle2Label:setColor(cc.c4b(40, 219, 114, 255))
	addChildForPre(self.goodAtPanel_4, self.goodAtTitle2Label)

	self.goodAtTitle3Label = createLabel({text=[[Text Label]], font=getFont(), size=25})
	setValue(self.goodAtTitle3Label, "goodAtTitle3Label", 83, cc.size(113, 29), cc.p(189.2285, 75), cc.p(0, 0.5), nil, nil, nil, nil)
	self.goodAtTitle3Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.goodAtPanel_4, self.goodAtTitle3Label)

	self.goodAt1Label = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.goodAt1Label, "goodAt1Label", 88, cc.size(100, 26), cc.p(30, 40.1329), cc.p(0, 0.5), nil, nil, nil, nil)
	self.goodAt1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.goodAtPanel_4, self.goodAt1Label)

	self.goodAt2Label = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.goodAt2Label, "goodAt2Label", 91, cc.size(100, 26), cc.p(30, 15.3328), cc.p(0, 0.5), nil, nil, nil, nil)
	self.goodAt2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.goodAtPanel_4, self.goodAt2Label)

	self.StripOrange_Copy = cc.Sprite:create()
	setValue(self.StripOrange_Copy, "StripOrange_Copy", 247, cc.size(496, 4), cc.p(250, 0), nil, nil, nil, nil, nil)
	self.StripOrange_Copy:setSpriteFrame("ccs/UiImages/commonPanelPartsC/StripOrange.png")
	addChildForPre(self.goodAtPanel_4, self.StripOrange_Copy)

	self.partButton = ccui.Button:create()
	setValue(self.partButton, "partButton", 191, cc.size(150, 62), cc.p(875, 48), nil, nil, nil, nil, false)
	self.partButton:loadTextureNormal("ccs/UiImages/commonBtn/CommonBtnYellow.png", 1)
	self.partButton:loadTexturePressed("ccs/UiImages/commonBtn/CommonBtnYellowHover.png", 1)
	self.partButton:loadTextureDisabled("ccs/UiImages/commonBtn/CommonBtnDisable.png", 1)
	self.partButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.partButton:setTitleText([[Button]])
	self.partButton:setTitleFontSize(24)
	self.partButton:setTitleFontName(getFont())
	setClickEvent(self, self.partButton, "partButton")
	addChildForPre(self.contentPrePanel_2, self.partButton)

	self.medalButton = ccui.Button:create()
	setValue(self.medalButton, "medalButton", 192, cc.size(150, 62), cc.p(1022.9944, 48), nil, nil, nil, nil, false)
	self.medalButton:loadTextureNormal("ccs/UiImages/commonBtn/CommonBtnYellow.png", 1)
	self.medalButton:loadTexturePressed("ccs/UiImages/commonBtn/CommonBtnYellowHover.png", 1)
	self.medalButton:loadTextureDisabled("ccs/UiImages/commonBtn/CommonBtnDisable.png", 1)
	self.medalButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.medalButton:setTitleText([[Button]])
	self.medalButton:setTitleFontSize(24)
	self.medalButton:setTitleFontName(getFont())
	setClickEvent(self, self.medalButton, "medalButton")
	addChildForPre(self.contentPrePanel_2, self.medalButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonPanelPartsB.plist",
	"ccs/BigImages/officer/GeneralCardNoBody.png",
	"ccs/plist/commonBtn.plist",
	"ccs/plist/commonIcon.plist",
	"ccs/plist/commonPanelPartsC.plist",
}

return _M
