-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 5282, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 5341, cc.size(640, 210), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.spriteBG = cc.Sprite:create()
	setValue(self.spriteBG, "spriteBG", 5343, cc.size(612, 209), cc.p(320, 105), nil, nil, nil, nil, nil)
	self.spriteBG:setSpriteFrame("ccs/UiImages/commonBg/common_img_gaoditiao.png")
	addChildForPre(self.rootPanel_1, self.spriteBG)

	self.contentPanel = ccui.Layout:create()
	setValue(self.contentPanel, "contentPanel", 5342, cc.size(640, 210), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.contentPanel)
	self.contentPanel_2 = self.contentPanel

	self.nodePartIcon = cc.Node:create()
	setValue(self.nodePartIcon, "nodePartIcon", 5345, nil, cc.p(80, 100), nil, nil, nil, nil, nil)
	addChildForPre(self.contentPanel_2, self.nodePartIcon)

	self.imageExpertBg = ccui.ImageView:create()
	setValue(self.imageExpertBg, "imageExpertBg", 5475, cc.size(270, 75), cc.p(286.25, 70.0003), nil, nil, nil, nil, false)
	self.imageExpertBg:loadTexture("ccs/UiImages/image9/common_s9_diban.png", 1)
	self.imageExpertBg:setScale9Enabled(true)
	self.imageExpertBg:setCapInsets(cc.rect(6, 6, 22, 22))
	addChildForPre(self.contentPanel_2, self.imageExpertBg)
	self.imageExpertBg_3 = self.imageExpertBg

	self.expertNameLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.expertNameLabel, "expertNameLabel", 5599, cc.size(91, 23), cc.p(14, 63), cc.p(0, 1), nil, nil, nil, nil)
	self.expertNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.imageExpertBg_3, self.expertNameLabel)

	self.expertLabel = createLabel({text=[[Text Label]], font=getFont(), size=20, dimensions = cc.size(185.0000, 55.0000)})
	setValue(self.expertLabel, "expertLabel", 5600, cc.size(185, 55), cc.p(70, 65), cc.p(0, 1), cc.c4b(255, 255, 0, 255), nil, nil, false)
	self.expertLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.expertLabel:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.imageExpertBg_3, self.expertLabel)

	self.spriteFlagIcon = cc.Sprite:create()
	setValue(self.spriteFlagIcon, "spriteFlagIcon", 5573, cc.size(70, 42), cc.p(171.7499, 170), nil, nil, nil, nil, nil)
	self.spriteFlagIcon:setScale(0.5)
	self.spriteFlagIcon:setSpriteFrame("ccs/UiImages/common/common_img_guoqi1.png")
	addChildForPre(self.contentPanel_2, self.spriteFlagIcon)

	self.nameLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.nameLabel, "nameLabel", 5574, cc.size(91, 23), cc.p(210.2503, 172.0008), cc.p(0, 0.5), nil, nil, nil, nil)
	self.nameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.contentPanel_2, self.nameLabel)

	self.qualityNameLabel = createLabel({text=[[quality]], font=getFont(), size=20})
	setValue(self.qualityNameLabel, "qualityNameLabel", 5575, cc.size(57, 23), cc.p(202.291, 128.3337), cc.p(1, 0.5), nil, nil, nil, nil)
	self.qualityNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.contentPanel_2, self.qualityNameLabel)

	self.qualityNumLabel = createLabel({text=[[00]], font=getFont(), size=20})
	setValue(self.qualityNumLabel, "qualityNumLabel", 5576, cc.size(22, 23), cc.p(225.417, 127.3338), nil, nil, nil, nil, nil)
	self.qualityNumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.contentPanel_2, self.qualityNumLabel)

	self.spriteStarIcon = cc.Sprite:create()
	setValue(self.spriteStarIcon, "spriteStarIcon", 5577, cc.size(40, 38), cc.p(254.7348, 128.4849), nil, nil, nil, nil, nil)
	self.spriteStarIcon:setScale(0.6)
	self.spriteStarIcon:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.contentPanel_2, self.spriteStarIcon)

	self.colorNameLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.colorNameLabel, "colorNameLabel", 5578, cc.size(91, 23), cc.p(275.25, 127.0004), cc.p(0, 0.5), nil, nil, nil, nil)
	self.colorNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.contentPanel_2, self.colorNameLabel)

	self.pieceNumLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.pieceNumLabel, "pieceNumLabel", 5714, cc.size(91, 23), cc.p(520, 150), nil, nil, nil, nil, nil)
	self.pieceNumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.contentPanel_2, self.pieceNumLabel)

	self.composeButton = ccui.Button:create()
	setValue(self.composeButton, "composeButton", 5715, cc.size(153, 64), cc.p(520.0007, 74.4447), nil, nil, nil, nil, false)
	self.composeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.composeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.composeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.composeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.composeButton:setTitleText([[Button]])
	self.composeButton:setTitleFontSize(24)
	self.composeButton:setTitleFontName(getFont())
	setClickEvent(self, self.composeButton, "composeButton")
	addChildForPre(self.contentPanel_2, self.composeButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/common.plist",
}

return _M
