-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 5281, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 5308, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.contentPanel = ccui.Layout:create()
	setValue(self.contentPanel, "WIX_contentPanel", 5309, cc.size(640, 818), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.contentPanel)
	self.contentPanel_2 = self.contentPanel

	self.topPanel = ccui.Layout:create()
	setValue(self.topPanel, "WTX_topPanel", 30, cc.size(640, 70), cc.p(0, 748), nil, nil, nil, nil, nil)
	addChildForPre(self.contentPanel_2, self.topPanel)
	self.topPanel_3 = self.topPanel

	self.pieceSprite1 = cc.Sprite:create()
	setValue(self.pieceSprite1, "pieceSprite1", 31, cc.size(100, 100), cc.p(128, 35), nil, nil, nil, nil, nil)
	self.pieceSprite1:setScale(0.5)
	self.pieceSprite1:setSpriteFrame("ccs/UiImages/icon/icon_general_big_1.png")
	addChildForPre(self.topPanel_3, self.pieceSprite1)

	self.pieceSprite2 = cc.Sprite:create()
	setValue(self.pieceSprite2, "pieceSprite2", 32, cc.size(100, 100), cc.p(416, 35), nil, nil, nil, nil, nil)
	self.pieceSprite2:setScale(0.5)
	self.pieceSprite2:setSpriteFrame("ccs/UiImages/icon/icon_general_big_2.png")
	addChildForPre(self.topPanel_3, self.pieceSprite2)

	self.pieceLabel1 = createLabel({text=[[--/--]], font=getFont(), size=20})
	setValue(self.pieceLabel1, "pieceLabel1", 33, cc.size(32, 23), cc.p(170, 35), cc.p(0, 0.5), nil, nil, nil, nil)
	self.pieceLabel1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.topPanel_3, self.pieceLabel1)

	self.pieceLabel2 = createLabel({text=[[--/--]], font=getFont(), size=20})
	setValue(self.pieceLabel2, "pieceLabel2", 34, cc.size(32, 23), cc.p(460, 35), cc.p(0, 0.5), nil, nil, nil, nil)
	self.pieceLabel2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.topPanel_3, self.pieceLabel2)

	self.listViewPanel = ccui.Layout:create()
	setValue(self.listViewPanel, "WIX_listViewPanel", 5310, cc.size(640, 608), cc.p(0, 137), nil, nil, nil, nil, nil)
	addChildForPre(self.contentPanel_2, self.listViewPanel)

	self.bottomPanel = ccui.Layout:create()
	setValue(self.bottomPanel, "WXN_bottomPanel", 5958, cc.size(640, 120), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.contentPanel_2, self.bottomPanel)
	self.bottomPanel_3 = self.bottomPanel

	self.spriteZuanshi = cc.Sprite:create()
	setValue(self.spriteZuanshi, "spriteZuanshi", 6109, cc.size(35, 35), cc.p(132, 100), nil, nil, nil, nil, nil)
	self.spriteZuanshi:setSpriteFrame("ccs/UiImages/common/commonIcon_icon_ZuanShi_2.png")
	addChildForPre(self.bottomPanel_3, self.spriteZuanshi)

	self.zuanshiLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.zuanshiLabel, "zuanshiLabel", 6171, cc.size(91, 23), cc.p(160, 100), cc.p(0, 0.5), nil, nil, nil, nil)
	self.zuanshiLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bottomPanel_3, self.zuanshiLabel)

	self.seniorDecButton = ccui.Button:create()
	setValue(self.seniorDecButton, "seniorDecButton", 5960, cc.size(153, 64), cc.p(160, 50.4), nil, nil, nil, nil, false)
	self.seniorDecButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.seniorDecButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.seniorDecButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.seniorDecButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.seniorDecButton:setTitleText([[Button]])
	self.seniorDecButton:setTitleFontSize(24)
	self.seniorDecButton:setTitleFontName(getFont())
	setClickEvent(self, self.seniorDecButton, "seniorDecButton")
	addChildForPre(self.bottomPanel_3, self.seniorDecButton)

	self.decButton = ccui.Button:create()
	setValue(self.decButton, "decButton", 5961, cc.size(153, 64), cc.p(480, 50.4), nil, nil, nil, nil, false)
	self.decButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.decButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.decButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.decButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.decButton:setTitleText([[Button]])
	self.decButton:setTitleFontSize(24)
	self.decButton:setTitleFontName(getFont())
	setClickEvent(self, self.decButton, "decButton")
	addChildForPre(self.bottomPanel_3, self.decButton)

	self.imageLine1 = ccui.ImageView:create()
	setValue(self.imageLine1, "WXN_imageLine1", 5959, cc.size(640, 30), cc.p(320, 126), nil, nil, nil, nil, nil)
	self.imageLine1:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	addChildForPre(self.bottomPanel_3, self.imageLine1)

	self.imageLine2 = ccui.ImageView:create()
	setValue(self.imageLine2, "WXY_imageLine2", 5311, cc.size(640, 8), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	self.imageLine2:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	addChildForPre(self.bottomPanel_3, self.imageLine2)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/icon.plist",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
}

return _M
