-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 234, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 279, cc.size(475, 130), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "dialogPanel", 354, cc.size(475, 130), cc.p(237.5, 65), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.iconPanel = ccui.Layout:create()
	setValue(self.iconPanel, "iconPanel", 90, cc.size(120, 120), cc.p(5, 7), nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.iconPanel)
	self.iconPanel_3 = self.iconPanel

	self.iconButton = ccui.Button:create()
	self.iconButton:setScale9Enabled(true)
	self.iconButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.iconButton:setContentSize(cc.size(130, 130))
	setValue(self.iconButton, "iconButton", 144, nil, cc.p(60, 60), nil, nil, nil, nil, false)
	self.iconButton:loadTextureNormal("ccs/UiImages/commonBtn/CommonClearBtn.png", 1)
	self.iconButton:loadTexturePressed("ccs/UiImages/commonBtn/CommonClearBtn.png", 1)
	self.iconButton:loadTextureDisabled("ccs/UiImages/commonBtn/CommonClearBtn.png", 1)
	self.iconButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.iconButton:setTitleText([[Button]])
	self.iconButton:setTitleColor(cc.c3b(65, 65, 70))
	self.iconButton:setTitleFontSize(14)
	self.iconButton:setTitleFontName(getFont())
	setClickEvent(self, self.iconButton, "iconButton")
	addChildForPre(self.iconPanel_3, self.iconButton)

	self.spriteBg = cc.Sprite:create()
	setValue(self.spriteBg, "spriteBg", 355, cc.size(80, 80), cc.p(60, 60), nil, nil, nil, nil, nil)
	self.spriteBg:setScale(1.5)
	self.spriteBg:setSpriteFrame("ccs/UiImages/qualityBg/qualityBg4_1.png")
	addChildForPre(self.iconPanel_3, self.spriteBg)

	self.spriteIcon = cc.Sprite:create()
	setValue(self.spriteIcon, "spriteIcon", 356, cc.size(100, 100), cc.p(60, 60), nil, nil, nil, nil, nil)
	self.spriteIcon:setScale(1.1)
	self.spriteIcon:setSpriteFrame("ccs/UiImages/officerIcon/officerHead_5015.png")
	addChildForPre(self.iconPanel_3, self.spriteIcon)

	self.spritePiece = cc.Sprite:create()
	setValue(self.spritePiece, "spritePiece", 46, cc.size(44, 44), cc.p(120, 120), cc.p(1, 1), nil, nil, nil, nil)
	self.spritePiece:setSpriteFrame("ccs/UiImages/commonIcon/Fragment2.png")
	addChildForPre(self.iconPanel_3, self.spritePiece)

	self.starPanel = ccui.Layout:create()
	setValue(self.starPanel, "starPanel", 47, cc.size(50, 20), cc.p(60, 4.8), nil, nil, nil, nil, nil)
	addChildForPre(self.iconPanel_3, self.starPanel)

	self.rightPanel = ccui.Layout:create()
	setValue(self.rightPanel, "rightPanel", 457, cc.size(345, 120), cc.p(475, 65), cc.p(1, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.rightPanel)
	self.rightPanel_3 = self.rightPanel

	self.imageBg = ccui.ImageView:create()
	setValue(self.imageBg, "imageBg", 381, cc.size(340, 120), cc.p(172.5, 60), nil, nil, nil, nil, false)
	self.imageBg:loadTexture("ccs/UiImages/commonIcon/bgTechIcon.png", 1)
	self.imageBg:setScale9Enabled(true)
	self.imageBg:setCapInsets(cc.rect(20, 20, 110, 110))
	addChildForPre(self.rightPanel_3, self.imageBg)

	self.spriteCountry = cc.Sprite:create()
	setValue(self.spriteCountry, "spriteCountry", 456, cc.size(124, 82), cc.p(17.25, 90), cc.p(0, 0.5), nil, nil, nil, nil)
	self.spriteCountry:setScale(0.25)
	self.spriteCountry:setTexture("ccs/BigImages/challenge/country_1.webp")
	addChildForPre(self.rightPanel_3, self.spriteCountry)

	self.labelName = createLabel({text=[[labelName]], font=getFont(), size=20,valign = 1})
	setValue(self.labelName, "labelName", 458, cc.size(95, 23), cc.p(86.25, 90), cc.p(0, 0.5), nil, nil, nil, nil)
	self.labelName:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightPanel_3, self.labelName)

	self.synPanel = ccui.Layout:create()
	setValue(self.synPanel, "synPanel", 48, cc.size(100, 20), cc.p(17.25, 60), cc.p(0, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rightPanel_3, self.synPanel)
	self.synPanel_4 = self.synPanel

	self.synLabelTitle = createLabel({text=[[Title]], font=getFont(), size=20,valign = 1})
	setValue(self.synLabelTitle, "synLabelTitle", 50, cc.size(37, 23), cc.p(0, 10), cc.p(0, 0.5), nil, nil, nil, nil)
	self.synLabelTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.synPanel_4, self.synLabelTitle)

	self.synLabel1 = createLabel({text=[[syn1]], font=getFont(), size=20,valign = 1})
	setValue(self.synLabel1, "synLabel1", 51, cc.size(42, 23), cc.p(50, 10), cc.p(0, 0.5), nil, nil, nil, nil)
	self.synLabel1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.synPanel_4, self.synLabel1)

	self.synLabel2 = createLabel({text=[[syn2]], font=getFont(), size=20,valign = 1})
	setValue(self.synLabel2, "synLabel2", 52, cc.size(42, 23), cc.p(100, 10), cc.p(0, 0.5), nil, nil, nil, nil)
	self.synLabel2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.synPanel_4, self.synLabel2)

	self.excPanel = ccui.Layout:create()
	setValue(self.excPanel, "excPanel", 49, cc.size(100, 20), cc.p(17.25, 60), cc.p(0, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rightPanel_3, self.excPanel)
	self.excPanel_4 = self.excPanel

	self.spriteItem = cc.Sprite:create()
	setValue(self.spriteItem, "spriteItem", 460, cc.size(150, 150), cc.p(0, 10), cc.p(0, 0.5), nil, nil, nil, nil)
	self.spriteItem:setScale(0.22)
	self.spriteItem:setSpriteFrame("ccs/UiImages/officer/TheSoulOrange.png")
	addChildForPre(self.excPanel_4, self.spriteItem)

	self.labelItemNum = createLabel({text=[[labelItemNum]], font=getFont(), size=20,valign = 1})
	setValue(self.labelItemNum, "labelItemNum", 461, cc.size(123, 23), cc.p(40, 10), cc.p(0, 0.5), nil, nil, nil, nil)
	self.labelItemNum:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.excPanel_4, self.labelItemNum)

	self.labelSpecialityTitle = createLabel({text=[[SpecialityTitle]], font=getFont(), size=20,valign = 1})
	setValue(self.labelSpecialityTitle, "labelSpecialityTitle", 462, cc.size(122, 23), cc.p(17.25, 30), cc.p(0, 0.5), nil, nil, nil, nil)
	self.labelSpecialityTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightPanel_3, self.labelSpecialityTitle)

	self.labelSpecialityDesc = createLabel({text=[[SpecialityDesc]], font=getFont(), size=20,valign = 1})
	setValue(self.labelSpecialityDesc, "labelSpecialityDesc", 463, cc.size(131, 23), cc.p(172.5, 30), cc.p(0, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.labelSpecialityDesc:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.labelSpecialityDesc:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.rightPanel_3, self.labelSpecialityDesc)

	self.reqButton = ccui.Button:create()
	self.reqButton:setScale9Enabled(true)
	self.reqButton:setCapInsets(cc.rect(0, 0, 150, 62))
	self.reqButton:setContentSize(cc.size(120, 50))
	setValue(self.reqButton, "reqButton", 459, nil, cc.p(269.1, 60.6), nil, nil, nil, nil, false)
	self.reqButton:loadTextureNormal("ccs/UiImages/commonBtn/CommonBtnGreen.png", 1)
	self.reqButton:loadTexturePressed("ccs/UiImages/commonBtn/CommonBtnGreenHover.png", 1)
	self.reqButton:loadTextureDisabled("ccs/UiImages/commonBtn/CommonBtnDisable.png", 1)
	self.reqButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.reqButton:setTitleText([[reqButton]])
	self.reqButton:setTitleFontSize(20)
	self.reqButton:setTitleFontName(getFont())
	setClickEvent(self, self.reqButton, "reqButton")
	addChildForPre(self.rightPanel_3, self.reqButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBtn.plist",
	"ccs/plist/qualityBg.plist",
	"ccs/plist/officerIcon.plist",
	"ccs/plist/commonIcon.plist",
	"ccs/BigImages/challenge/country_1.png",
	"ccs/plist/officer.plist",
}

return _M
