-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 605, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 606, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 617, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 636, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.tabTopPanel = ccui.Layout:create()
	setValue(self.tabTopPanel, "WTX_tabTopPanel", 725, cc.size(640, 50), cc.p(320, 853), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.tabTopPanel)
	self.tabTopPanel_3 = self.tabTopPanel

	self.tabTopPanelBg = cc.Sprite:create()
	setValue(self.tabTopPanelBg, "WXN_tabTopPanelBg", 814, cc.size(640, 62), cc.p(320, 25), nil, nil, nil, nil, nil)
	self.tabTopPanelBg:setSpriteFrame("ccs/UiImages/commonBg/common_img_diban00.png")
	addChildForPre(self.tabTopPanel_3, self.tabTopPanelBg)

	self.tabOfficerButton = ccui.Button:create()
	self.tabOfficerButton:setScale9Enabled(true)
	self.tabOfficerButton:setCapInsets(cc.rect(0, 0, 247, 91))
	self.tabOfficerButton:setContentSize(cc.size(123, 48))
	setValue(self.tabOfficerButton, "tabOfficerButton", 992, nil, cc.p(64, 26), nil, nil, nil, nil, false)
	self.tabOfficerButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.tabOfficerButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabOfficerButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabOfficerButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tabOfficerButton:setTitleText([[tabOfficer]])
	self.tabOfficerButton:setTitleFontSize(26)
	self.tabOfficerButton:setTitleFontName(getFont())
	setClickEvent(self, self.tabOfficerButton, "tabOfficerButton")
	addChildForPre(self.tabTopPanel_3, self.tabOfficerButton)
	self.tabOfficerButton_4 = self.tabOfficerButton

	self.REDPOINT_OFFICER_CHANGER = cc.Sprite:create()
	setValue(self.REDPOINT_OFFICER_CHANGER, "REDPOINT_OFFICER_CHANGER", 34, cc.size(24, 24), cc.p(118.08, 40.32), nil, nil, nil, nil, nil)
	self.REDPOINT_OFFICER_CHANGER:setVisible(false)
	self.REDPOINT_OFFICER_CHANGER:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.tabOfficerButton_4, self.REDPOINT_OFFICER_CHANGER)

	self.tabOfficerComposeButton = ccui.Button:create()
	self.tabOfficerComposeButton:setScale9Enabled(true)
	self.tabOfficerComposeButton:setCapInsets(cc.rect(0, 0, 247, 91))
	self.tabOfficerComposeButton:setContentSize(cc.size(123, 48))
	setValue(self.tabOfficerComposeButton, "tabOfficerComposeButton", 1081, nil, cc.p(192, 26), nil, nil, nil, nil, false)
	self.tabOfficerComposeButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.tabOfficerComposeButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabOfficerComposeButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabOfficerComposeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tabOfficerComposeButton:setTitleText([[tabOfficerCompose]])
	self.tabOfficerComposeButton:setTitleFontSize(26)
	self.tabOfficerComposeButton:setTitleFontName(getFont())
	setClickEvent(self, self.tabOfficerComposeButton, "tabOfficerComposeButton")
	addChildForPre(self.tabTopPanel_3, self.tabOfficerComposeButton)
	self.tabOfficerComposeButton_4 = self.tabOfficerComposeButton

	self.REDPOINT_OFFICER_COMPOSE = cc.Sprite:create()
	setValue(self.REDPOINT_OFFICER_COMPOSE, "REDPOINT_OFFICER_COMPOSE", 35, cc.size(24, 24), cc.p(119.31, 40.32), nil, nil, nil, nil, nil)
	self.REDPOINT_OFFICER_COMPOSE:setVisible(false)
	self.REDPOINT_OFFICER_COMPOSE:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.tabOfficerComposeButton_4, self.REDPOINT_OFFICER_COMPOSE)

	self.tabOfficerReduceButton = ccui.Button:create()
	self.tabOfficerReduceButton:setScale9Enabled(true)
	self.tabOfficerReduceButton:setCapInsets(cc.rect(0, 0, 247, 91))
	self.tabOfficerReduceButton:setContentSize(cc.size(123, 48))
	setValue(self.tabOfficerReduceButton, "tabOfficerReduceButton", 1128, nil, cc.p(320, 26), nil, nil, nil, nil, false)
	self.tabOfficerReduceButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.tabOfficerReduceButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabOfficerReduceButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabOfficerReduceButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tabOfficerReduceButton:setTitleText([[tabOfficerReduce]])
	self.tabOfficerReduceButton:setTitleFontSize(26)
	self.tabOfficerReduceButton:setTitleFontName(getFont())
	setClickEvent(self, self.tabOfficerReduceButton, "tabOfficerReduceButton")
	addChildForPre(self.tabTopPanel_3, self.tabOfficerReduceButton)

	self.tabOfficerredeemButton = ccui.Button:create()
	self.tabOfficerredeemButton:setScale9Enabled(true)
	self.tabOfficerredeemButton:setCapInsets(cc.rect(0, 0, 247, 91))
	self.tabOfficerredeemButton:setContentSize(cc.size(123, 48))
	setValue(self.tabOfficerredeemButton, "tabOfficerredeemButton", 1129, nil, cc.p(448, 26), nil, nil, nil, nil, false)
	self.tabOfficerredeemButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.tabOfficerredeemButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabOfficerredeemButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.tabOfficerredeemButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.tabOfficerredeemButton:setTitleText([[tabOfficerredeem]])
	self.tabOfficerredeemButton:setTitleFontSize(26)
	self.tabOfficerredeemButton:setTitleFontName(getFont())
	setClickEvent(self, self.tabOfficerredeemButton, "tabOfficerredeemButton")
	addChildForPre(self.tabTopPanel_3, self.tabOfficerredeemButton)

	self.getMoreButton = ccui.Button:create()
	self.getMoreButton:setScale9Enabled(true)
	self.getMoreButton:setCapInsets(cc.rect(0, 0, 68, 42))
	self.getMoreButton:setContentSize(cc.size(68, 42))
	setValue(self.getMoreButton, "getMoreButton", 947, nil, cc.p(600, 25), nil, nil, nil, nil, false)
	self.getMoreButton:loadTextureNormal("ccs/UiImages/image9/common_btn_xiangqing.png", 1)
	self.getMoreButton:loadTexturePressed("ccs/UiImages/image9/common_btn_xiangqing.png", 1)
	self.getMoreButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_xiangqing.png", 1)
	self.getMoreButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.getMoreButton:setTitleText([[]])
	self.getMoreButton:setTitleFontSize(26)
	self.getMoreButton:setTitleFontName(getFont())
	setClickEvent(self, self.getMoreButton, "getMoreButton")
	addChildForPre(self.tabTopPanel_3, self.getMoreButton)

	self.tabContentPanel = ccui.Layout:create()
	setValue(self.tabContentPanel, "tabContentPanel", 1218, cc.size(640, 821), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.tabContentPanel)

	if CommonDialogFrame1CloseUi then 
 		self.commonDialogFrame1CloseUi = CommonDialogFrame1CloseUi.new() 
 	else 
		self.commonDialogFrame1CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame1CloseUi, "commonDialogFrame1CloseUi", 612, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
}

return _M
