-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 72, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 73, cc.size(640, 210), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bigPanel = ccui.Layout:create()
	setValue(self.bigPanel, "bigPanel", 297, cc.size(640, 210), cc.p(320, 105), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.bigPanel)
	self.bigPanel_2 = self.bigPanel

	self.selectedImage = ccui.ImageView:create()
	setValue(self.selectedImage, "selectedImage", 369, cc.size(46, 46), cc.p(320, 105), nil, nil, nil, nil, nil)
	self.selectedImage:loadTexture("Default/ImageFile.png")
	addChildForPre(self.bigPanel_2, self.selectedImage)

	self.ImageBG = ccui.ImageView:create()
	setValue(self.ImageBG, "ImageBG", 166, cc.size(612, 209), cc.p(320, 105), nil, nil, nil, nil, nil)
	self.ImageBG:loadTexture("ccs/UiImages/commonBg/common_img_gaoditiao.png", 1)
	addChildForPre(self.bigPanel_2, self.ImageBG)

	self.officerNode = cc.Node:create()
	setValue(self.officerNode, "officerNode", 368, nil, cc.p(97.408, 147), nil, nil, nil, nil, nil)
	addChildForPre(self.bigPanel_2, self.officerNode)

	self.officerPanel = ccui.Layout:create()
	setValue(self.officerPanel, "officerPanel", 1077, cc.size(448, 105), cc.p(160, 90), nil, nil, nil, nil, nil)
	addChildForPre(self.bigPanel_2, self.officerPanel)
	self.officerPanel_3 = self.officerPanel

	self.nameLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.nameLabel, "nameLabel", 96, cc.size(109, 28), cc.p(49.6832, 72.387), cc.p(0, 0.5), nil, nil, nil, nil)
	self.nameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.officerPanel_3, self.nameLabel)

	self.gradeLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.gradeLabel, "gradeLabel", 1078, cc.size(109, 28), cc.p(4.1216, 31.164), cc.p(0, 0.5), nil, nil, nil, nil)
	self.gradeLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.officerPanel_3, self.gradeLabel)

	self.belongTo = createLabel({text=[[belongTo]], font=getFont(), size=20})
	setValue(self.belongTo, "belongTo", 1358, cc.size(81, 23), cc.p(299.4, 94), cc.p(0, 0.5), nil, nil, nil, nil)
	self.belongTo:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.officerPanel_3, self.belongTo)

	self.officialRankLabel = createLabel({text=[[Text Label]], font=getFont(), size=20,align = 2})
	setValue(self.officialRankLabel, "officialRankLabel", 1079, cc.size(91, 23), cc.p(299.4, 67.169), cc.p(0, 0.5), nil, nil, nil, nil)
	self.officialRankLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.officerPanel_3, self.officialRankLabel)

	self.militaryRanklabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.militaryRanklabel, "militaryRanklabel", 65, cc.size(109, 28), cc.p(166.8352, 72.387), cc.p(0, 0.5), nil, nil, nil, nil)
	self.militaryRanklabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.officerPanel_3, self.militaryRanklabel)

	self.spriteCountry = cc.Sprite:create()
	setValue(self.spriteCountry, "spriteCountry", 155, cc.size(70, 42), cc.p(4.1216, 72.387), cc.p(0, 0.5), nil, nil, nil, nil)
	self.spriteCountry:setScale(0.6)
	self.spriteCountry:setSpriteFrame("ccs/UiImages/common/common_img_guoqi01.png")
	addChildForPre(self.officerPanel_3, self.spriteCountry)

	self.mainButton = ccui.Button:create()
	setValue(self.mainButton, "mainButton", 5, cc.size(153, 64), cc.p(362.98, 22.8177), nil, nil, nil, nil, nil)
	self.mainButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.mainButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.mainButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.mainButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.mainButton:setTitleText([[]])
	self.mainButton:setTitleFontSize(24)
	self.mainButton:setTitleFontName(getFont())
	setClickEvent(self, self.mainButton, "mainButton")
	addChildForPre(self.officerPanel_3, self.mainButton)

	self.battleImage = ccui.ImageView:create()
	setValue(self.battleImage, "battleImage", 183, cc.size(46, 46), cc.p(396.704, 84.2625), nil, nil, nil, nil, nil)
	self.battleImage:setVisible(false)
	self.battleImage:loadTexture("Default/ImageFile.png")
	addChildForPre(self.officerPanel_3, self.battleImage)

	self.attributePanel = ccui.Layout:create()
	setValue(self.attributePanel, "attributePanel", 1080, cc.size(544, 56), cc.p(318, 22.1765), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.bigPanel_2, self.attributePanel)
	self.attributePanel_3 = self.attributePanel

	self.ImageOfficerBg = ccui.ImageView:create()
	setValue(self.ImageOfficerBg, "ImageOfficerBg", 339, cc.size(544, 56), cc.p(544, 0), cc.p(1, 0), nil, nil, nil, false)
	self.ImageOfficerBg:loadTexture("ccs/UiImages/image9/common_s9_diban1.png", 1)
	self.ImageOfficerBg:setScale9Enabled(true)
	self.ImageOfficerBg:setCapInsets(cc.rect(8, 8, 8, 8))
	addChildForPre(self.attributePanel_3, self.ImageOfficerBg)

	self.attributeAdditionOne = createLabel({text=[[Text Label]], font=getFont(), size=18})
	setValue(self.attributeAdditionOne, "attributeAdditionOne", 1081, cc.size(82, 21), cc.p(5.44, 42), cc.p(0, 0.5), nil, nil, nil, nil)
	self.attributeAdditionOne:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attributePanel_3, self.attributeAdditionOne)

	self.attributeAdditionTwo = createLabel({text=[[Text Label]], font=getFont(), size=18})
	setValue(self.attributeAdditionTwo, "attributeAdditionTwo", 1082, cc.size(82, 21), cc.p(5.44, 15.7778), cc.p(0, 0.5), nil, nil, nil, nil)
	self.attributeAdditionTwo:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attributePanel_3, self.attributeAdditionTwo)

	self.matchingDegreeOne = createLabel({text=[[Text Label]], font=getFont(), size=18})
	setValue(self.matchingDegreeOne, "matchingDegreeOne", 1083, cc.size(82, 21), cc.p(538.56, 42), cc.p(1, 0.5), nil, nil, nil, nil)
	self.matchingDegreeOne:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attributePanel_3, self.matchingDegreeOne)

	self.matchingDegreeTwo = createLabel({text=[[Text Label]], font=getFont(), size=18})
	setValue(self.matchingDegreeTwo, "matchingDegreeTwo", 1084, cc.size(82, 21), cc.p(538.5601, 15.7778), cc.p(1, 0.5), nil, nil, nil, nil)
	self.matchingDegreeTwo:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attributePanel_3, self.matchingDegreeTwo)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"Default/ImageFile.png",
	"ccs/plist/commonBg.plist",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
}

return _M
