-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 104, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 134, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 1183, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 155, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.officerHeadInfoPanel = ccui.Layout:create()
	setValue(self.officerHeadInfoPanel, "WTX_officerHeadInfoPanel", 256, cc.size(560, 235), cc.p(320, 758.4), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.officerHeadInfoPanel)
	self.officerHeadInfoPanel_3 = self.officerHeadInfoPanel

	self.BgImage = ccui.ImageView:create()
	setValue(self.BgImage, "BgImage", 531, cc.size(560, 235), cc.p(280, 117.5), nil, nil, nil, nil, false)
	self.BgImage:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.BgImage:setScale9Enabled(true)
	self.BgImage:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.officerHeadInfoPanel_3, self.BgImage)

	self.limitLine = ccui.ImageView:create()
	setValue(self.limitLine, "limitLine", 1391, cc.size(2.016, 235), cc.p(260, 117.5), nil, nil, nil, nil, false)
	self.limitLine:loadTexture("ccs/UiImages/common/common_img_16.png", 1)
	self.limitLine:setScale9Enabled(true)
	self.limitLine:setCapInsets(cc.rect(0, 0, 2, 613))
	addChildForPre(self.officerHeadInfoPanel_3, self.limitLine)

	if OfficerBigHeadUi then 
 		self.officerBigHeadUi = OfficerBigHeadUi.new() 
 	else 
		self.officerBigHeadUi = BaseUi.new("ccs/ui/officer/OfficerBigHeadUi.lua")
 	end 
	setValue(self.officerBigHeadUi, "officerBigHeadUi", 210, nil, cc.p(127.512, 131.365), nil, nil, nil, nil, nil)
	addChildForPre(self.officerHeadInfoPanel_3, self.officerBigHeadUi)

	self.officerName = createLabel({text=[[Text Label]], font=getFont(), size=25})
	setValue(self.officerName, "officerName", 257, cc.size(113, 29), cc.p(0, 223.25), cc.p(0, 0.5), nil, nil, nil, nil)
	self.officerName:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.officerHeadInfoPanel_3, self.officerName)

	self.officerMilltary = createLabel({text=[[Text Label]], font=getFont(), size=25})
	setValue(self.officerMilltary, "officerMilltary", 259, cc.size(113, 29), cc.p(0, 223.25), cc.p(0, 0.5), nil, nil, nil, nil)
	self.officerMilltary:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.officerHeadInfoPanel_3, self.officerMilltary)

	self.title8 = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.title8, "title8", 533, cc.size(100, 26), cc.p(280, 35.861), cc.p(0, 0.5), cc.c4b(52, 224, 255, 255), nil, nil, nil)
	self.title8:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.title8:setColor(cc.c4b(52, 224, 255, 255))
	addChildForPre(self.officerHeadInfoPanel_3, self.title8)

	self.levelNum1 = createLabel({text=[[1]], font=getFont(), size=22})
	setValue(self.levelNum1, "levelNum1", 1713, cc.size(12, 26), cc.p(350, 35.861), cc.p(0, 0.5), nil, nil, nil, nil)
	self.levelNum1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.officerHeadInfoPanel_3, self.levelNum1)

	self.ArrowGreenSp = cc.Sprite:create()
	setValue(self.ArrowGreenSp, "ArrowGreenSp", 1714, cc.size(22, 29), cc.p(392.392, 35.861), cc.p(0.5, 0), nil, nil, nil, nil)
	self.ArrowGreenSp:setRotationSkewX(90)
	self.ArrowGreenSp:setRotationSkewY(90)
	self.ArrowGreenSp:setSpriteFrame("ccs/UiImages/common/common_img_jiantou.png")
	addChildForPre(self.officerHeadInfoPanel_3, self.ArrowGreenSp)

	self.levelNum2 = createLabel({text=[[2]], font=getFont(), size=22})
	setValue(self.levelNum2, "levelNum2", 1715, cc.size(12, 26), cc.p(442.792, 35.861), cc.p(0, 0.5), nil, nil, nil, nil)
	self.levelNum2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.officerHeadInfoPanel_3, self.levelNum2)

	self.flagTitle = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.flagTitle, "flagTitle", 1427, cc.size(100, 26), cc.p(280, 198.998), cc.p(0, 0.5), cc.c4b(52, 224, 255, 255), nil, nil, nil)
	self.flagTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.flagTitle:setColor(cc.c4b(52, 224, 255, 255))
	addChildForPre(self.officerHeadInfoPanel_3, self.flagTitle)

	self.flagLabel = createLabel({text=[[--/--]], font=getFont(), size=22})
	setValue(self.flagLabel, "flagLabel", 1428, cc.size(35, 26), cc.p(350, 198.998), cc.p(0, 0.5), nil, nil, nil, nil)
	self.flagLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.officerHeadInfoPanel_3, self.flagLabel)

	self.flagSprite = cc.Sprite:create()
	setValue(self.flagSprite, "flagSprite", 1027, cc.size(70, 42), cc.p(397.6, 198.998), cc.p(0, 0.5), nil, nil, nil, nil)
	self.flagSprite:setScale(0.5)
	self.flagSprite:setSpriteFrame("ccs/UiImages/common/common_img_guoqi01.png")
	addChildForPre(self.officerHeadInfoPanel_3, self.flagSprite)

	self.typeTitle = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.typeTitle, "typeTitle", 1429, cc.size(100, 26), cc.p(280, 158.202), cc.p(0, 0.5), cc.c4b(52, 224, 255, 255), nil, nil, nil)
	self.typeTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.typeTitle:setColor(cc.c4b(52, 224, 255, 255))
	addChildForPre(self.officerHeadInfoPanel_3, self.typeTitle)

	self.typeLabel = createLabel({text=[[--/--]], font=getFont(), size=22})
	setValue(self.typeLabel, "typeLabel", 1477, cc.size(35, 26), cc.p(350, 158.202), cc.p(0, 0.5), nil, nil, nil, nil)
	self.typeLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.officerHeadInfoPanel_3, self.typeLabel)

	self.levelTitle = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.levelTitle, "levelTitle", 1478, cc.size(100, 26), cc.p(280, 117.4295), cc.p(0, 0.5), cc.c4b(52, 224, 255, 255), nil, nil, nil)
	self.levelTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.levelTitle:setColor(cc.c4b(52, 224, 255, 255))
	addChildForPre(self.officerHeadInfoPanel_3, self.levelTitle)

	self.levelLabel = createLabel({text=[[--/--]], font=getFont(), size=22})
	setValue(self.levelLabel, "levelLabel", 1479, cc.size(35, 26), cc.p(350, 117.4295), cc.p(0, 0.5), nil, nil, nil, nil)
	self.levelLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.officerHeadInfoPanel_3, self.levelLabel)

	self.beGoodAtTitle = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.beGoodAtTitle, "beGoodAtTitle", 1480, cc.size(100, 26), cc.p(280, 76.6335), cc.p(0, 0.5), cc.c4b(52, 224, 255, 255), nil, nil, nil)
	self.beGoodAtTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.beGoodAtTitle:setColor(cc.c4b(52, 224, 255, 255))
	addChildForPre(self.officerHeadInfoPanel_3, self.beGoodAtTitle)

	self.beGoodAtLable = createLabel({text=[[--/--]], font=getFont(), size=22})
	setValue(self.beGoodAtLable, "beGoodAtLable", 1563, cc.size(35, 26), cc.p(350, 76.6335), cc.p(0, 0.5), nil, nil, nil, nil)
	self.beGoodAtLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.officerHeadInfoPanel_3, self.beGoodAtLable)

	self.officerInfoPanel = ccui.Layout:create()
	setValue(self.officerInfoPanel, "WTX_officerInfoPanel", 1269, cc.size(560, 283), cc.p(320, 499.35), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.officerInfoPanel)
	self.officerInfoPanel_3 = self.officerInfoPanel

	self.officerInfoTitleImage = ccui.ImageView:create()
	setValue(self.officerInfoTitleImage, "officerInfoTitleImage", 1270, cc.size(480, 42), cc.p(280, 259), nil, nil, nil, nil, nil)
	self.officerInfoTitleImage:loadTexture("ccs/UiImages/common/arena_img_plate.png", 1)
	addChildForPre(self.officerInfoPanel_3, self.officerInfoTitleImage)

	self.officerInfoTitle = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.officerInfoTitle, "officerInfoTitle", 1358, cc.size(109, 28), cc.p(280, 259), nil, nil, nil, nil, nil)
	self.officerInfoTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.officerInfoPanel_3, self.officerInfoTitle)

	self.infoPanel = ccui.Layout:create()
	setValue(self.infoPanel, "infoPanel", 1359, cc.size(560, 231), cc.p(280, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.officerInfoPanel_3, self.infoPanel)
	self.infoPanel_4 = self.infoPanel

	self.Image_56 = ccui.ImageView:create()
	setValue(self.Image_56, "Image_56", 1385, cc.size(560, 231), cc.p(280, 115.5), nil, nil, nil, nil, false)
	self.Image_56:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.Image_56:setScale9Enabled(true)
	self.Image_56:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.infoPanel_4, self.Image_56)

	self.title1 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.title1, "title1", 1126, cc.size(109, 28), cc.p(274.4, 174.3819), cc.p(1, 0.5), cc.c4b(202, 192, 124, 255), nil, nil, nil)
	self.title1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.title1:setColor(cc.c4b(202, 192, 124, 255))
	addChildForPre(self.infoPanel_4, self.title1)

	self.contAdd5 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.contAdd5, "contAdd5", 1730, cc.size(109, 28), cc.p(336, 19.8891), cc.p(0, 0.5), cc.c4b(14, 182, 97, 255), nil, nil, nil)
	self.contAdd5:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.contAdd5:setColor(cc.c4b(14, 182, 97, 255))
	addChildForPre(self.infoPanel_4, self.contAdd5)

	self.cont5 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.cont5, "cont5", 1729, cc.size(109, 28), cc.p(285.6, 19.8891), cc.p(0, 0.5), nil, nil, nil, nil)
	self.cont5:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.infoPanel_4, self.cont5)

	self.title5 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.title5, "title5", 1728, cc.size(109, 28), cc.p(274.4, 19.8891), cc.p(1, 0.5), cc.c4b(202, 192, 124, 255), nil, nil, nil)
	self.title5:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.title5:setColor(cc.c4b(202, 192, 124, 255))
	addChildForPre(self.infoPanel_4, self.title5)

	self.contAdd4 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.contAdd4, "contAdd4", 1727, cc.size(109, 28), cc.p(335.608, 97.1355), cc.p(0, 0.5), cc.c4b(14, 182, 97, 255), nil, nil, nil)
	self.contAdd4:setRotationSkewX(0.4249)
	self.contAdd4:setRotationSkewY(0.4258)
	self.contAdd4:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.contAdd4:setColor(cc.c4b(14, 182, 97, 255))
	addChildForPre(self.infoPanel_4, self.contAdd4)

	self.cont4 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.cont4, "cont4", 1726, cc.size(109, 28), cc.p(285.6, 97.1355), cc.p(0, 0.5), nil, nil, nil, nil)
	self.cont4:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.infoPanel_4, self.cont4)

	self.title4 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.title4, "title4", 1725, cc.size(109, 28), cc.p(274.4, 97.1355), cc.p(1, 0.5), cc.c4b(202, 192, 124, 255), nil, nil, nil)
	self.title4:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.title4:setColor(cc.c4b(202, 192, 124, 255))
	addChildForPre(self.infoPanel_4, self.title4)

	self.contAdd3 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.contAdd3, "contAdd3", 1724, cc.size(109, 28), cc.p(336, 58.1196), cc.p(0, 0.5), cc.c4b(14, 182, 97, 255), nil, nil, nil)
	self.contAdd3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.contAdd3:setColor(cc.c4b(14, 182, 97, 255))
	addChildForPre(self.infoPanel_4, self.contAdd3)

	self.cont3 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.cont3, "cont3", 1723, cc.size(109, 28), cc.p(285.6, 58.5123), cc.p(0, 0.5), nil, nil, nil, nil)
	self.cont3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.infoPanel_4, self.cont3)

	self.title3 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.title3, "title3", 1722, cc.size(109, 28), cc.p(274.4, 58.5123), cc.p(1, 0.5), cc.c4b(202, 192, 124, 255), nil, nil, nil)
	self.title3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.title3:setColor(cc.c4b(202, 192, 124, 255))
	addChildForPre(self.infoPanel_4, self.title3)

	self.contAdd2 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.contAdd2, "contAdd2", 1721, cc.size(109, 28), cc.p(335.944, 136.1514), cc.p(0, 0.5), cc.c4b(14, 182, 97, 255), nil, nil, nil)
	self.contAdd2:setRotationSkewX(0.4249)
	self.contAdd2:setRotationSkewY(0.4258)
	self.contAdd2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.contAdd2:setColor(cc.c4b(14, 182, 97, 255))
	addChildForPre(self.infoPanel_4, self.contAdd2)

	self.cont2 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.cont2, "cont2", 1720, cc.size(109, 28), cc.p(285.6, 135.7587), cc.p(0, 0.5), nil, nil, nil, nil)
	self.cont2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.infoPanel_4, self.cont2)

	self.title2 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.title2, "title2", 1719, cc.size(109, 28), cc.p(274.4, 135.7587), cc.p(1, 0.5), cc.c4b(202, 192, 124, 255), nil, nil, nil)
	self.title2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.title2:setColor(cc.c4b(202, 192, 124, 255))
	addChildForPre(self.infoPanel_4, self.title2)

	self.contAdd1 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.contAdd1, "contAdd1", 1717, cc.size(109, 28), cc.p(336, 174.3819), cc.p(0, 0.5), cc.c4b(14, 182, 97, 255), nil, nil, nil)
	self.contAdd1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.contAdd1:setColor(cc.c4b(14, 182, 97, 255))
	addChildForPre(self.infoPanel_4, self.contAdd1)

	self.cont1 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.cont1, "cont1", 1718, cc.size(109, 28), cc.p(285.6, 174.3819), cc.p(0, 0.5), nil, nil, nil, nil)
	self.cont1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.infoPanel_4, self.cont1)

	self.title9 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.title9, "title9", 1386, cc.size(109, 28), cc.p(274.4, 213.0051), cc.p(1, 0.5), cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.title9:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.title9:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.infoPanel_4, self.title9)

	self.leveldescLable = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.leveldescLable, "leveldescLable", 1387, cc.size(109, 28), cc.p(285.6, 213.0051), cc.p(0, 0.5), cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.leveldescLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.leveldescLable:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.infoPanel_4, self.leveldescLable)

	self.nurturanceProAdd1 = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.nurturanceProAdd1, "nurturanceProAdd1", 1388, cc.size(109, 28), cc.p(336.392, 213.3978), cc.p(0, 0.5), cc.c4b(14, 182, 97, 255), nil, nil, nil)
	self.nurturanceProAdd1:setRotationSkewX(0.4249)
	self.nurturanceProAdd1:setRotationSkewY(0.4258)
	self.nurturanceProAdd1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.nurturanceProAdd1:setColor(cc.c4b(14, 182, 97, 255))
	addChildForPre(self.infoPanel_4, self.nurturanceProAdd1)

	self.officerUpBg = ccui.ImageView:create()
	setValue(self.officerUpBg, "WTX_officerUpBg", 1389, cc.size(480, 42), cc.p(320, 331.008), nil, nil, nil, nil, nil)
	self.officerUpBg:loadTexture("ccs/UiImages/common/arena_img_plate.png", 1)
	addChildForPre(self.dialogPanel_2, self.officerUpBg)
	self.officerUpBg_3 = self.officerUpBg

	self.officerUpTitle = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.officerUpTitle, "officerUpTitle", 1390, cc.size(109, 28), cc.p(240, 21), nil, nil, nil, nil, nil)
	self.officerUpTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.officerUpBg_3, self.officerUpTitle)

	self.leveleUpPanel = ccui.Layout:create()
	setValue(self.leveleUpPanel, "WTX_leveleUpPanel", 1731, cc.size(560, 130), cc.p(320, 234.432), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.leveleUpPanel)
	self.leveleUpPanel_3 = self.leveleUpPanel

	self.leveleUpPanelBg = ccui.ImageView:create()
	setValue(self.leveleUpPanelBg, "leveleUpPanelBg", 1021, cc.size(560, 130), cc.p(280, 65), nil, nil, nil, nil, false)
	self.leveleUpPanelBg:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.leveleUpPanelBg:setScale9Enabled(true)
	self.leveleUpPanelBg:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.leveleUpPanel_3, self.leveleUpPanelBg)

	self.EquipmentFrame1 = cc.Node:create()
	setValue(self.EquipmentFrame1, "EquipmentFrame1", 1899, nil, cc.p(106.4, 65), nil, nil, nil, nil, nil)
	addChildForPre(self.leveleUpPanel_3, self.EquipmentFrame1)

	self.EquipmentFrame2 = cc.Node:create()
	setValue(self.EquipmentFrame2, "EquipmentFrame2", 1960, nil, cc.p(280, 65), nil, nil, nil, nil, nil)
	addChildForPre(self.leveleUpPanel_3, self.EquipmentFrame2)

	self.EquipmentFrame3 = cc.Node:create()
	setValue(self.EquipmentFrame3, "EquipmentFrame3", 1961, nil, cc.p(453.6, 65), nil, nil, nil, nil, nil)
	addChildForPre(self.leveleUpPanel_3, self.EquipmentFrame3)

	self.glodTitle = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.glodTitle, "glodTitle", 1091, cc.size(91, 23), cc.p(0, -17.004), cc.p(0, 0.5), nil, nil, nil, nil)
	self.glodTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leveleUpPanel_3, self.glodTitle)

	self.glodCont = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.glodCont, "glodCont", 1092, cc.size(91, 23), cc.p(155.008, -17.004), cc.p(0, 0.5), nil, nil, nil, nil)
	self.glodCont:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leveleUpPanel_3, self.glodCont)

	self.goldSprite9 = cc.Sprite:create()
	setValue(self.goldSprite9, "goldSprite9", 1093, cc.size(35, 35), cc.p(101.976, -17.004), cc.p(0, 0.5), nil, nil, nil, nil)
	self.goldSprite9:setSpriteFrame("ccs/UiImages/common/commonIcon_icon_Gold_2.png")
	addChildForPre(self.leveleUpPanel_3, self.goldSprite9)

	self.leveleChangePanel = ccui.Layout:create()
	setValue(self.leveleChangePanel, "WTX_leveleChangePanel", 1962, cc.size(560, 130), cc.p(320, 234.4), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.leveleChangePanel)
	self.leveleChangePanel_3 = self.leveleChangePanel

	self.leveleChangePanelBg = ccui.ImageView:create()
	setValue(self.leveleChangePanelBg, "leveleChangePanelBg", 1022, cc.size(560, 130), cc.p(280, 65), nil, nil, nil, nil, false)
	self.leveleChangePanelBg:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.leveleChangePanelBg:setScale9Enabled(true)
	self.leveleChangePanelBg:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.leveleChangePanel_3, self.leveleChangePanelBg)

	self.title6 = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.title6, "title6", 1966, cc.size(91, 23), cc.p(134.4, 91), cc.p(1, 0.5), nil, nil, nil, nil)
	self.title6:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leveleChangePanel_3, self.title6)

	self.title7 = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.title7, "title7", 1967, cc.size(91, 23), cc.p(134.4, 26), cc.p(1, 0.5), nil, nil, nil, nil)
	self.title7:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leveleChangePanel_3, self.title7)

	self.cont7 = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.cont7, "cont7", 1968, cc.size(91, 23), cc.p(189.784, 26), cc.p(0, 0.5), nil, nil, nil, nil)
	self.cont7:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leveleChangePanel_3, self.cont7)

	self.goldSprite = cc.Sprite:create()
	setValue(self.goldSprite, "goldSprite", 1969, cc.size(35, 35), cc.p(144.816, 26), cc.p(0, 0.5), nil, nil, nil, nil)
	self.goldSprite:setSpriteFrame("ccs/UiImages/common/commonIcon_icon_Gold_2.png")
	addChildForPre(self.leveleChangePanel_3, self.goldSprite)

	self.linPos = cc.Node:create()
	setValue(self.linPos, "linPos", 133, nil, cc.p(330.4, 91), nil, nil, nil, nil, nil)
	addChildForPre(self.leveleChangePanel_3, self.linPos)

	self.infoButton = ccui.Button:create()
	setValue(self.infoButton, "infoButton", 869, cc.size(68, 42), cc.p(521.976, 91), nil, nil, nil, nil, nil)
	self.infoButton:setScale(0.8)
	self.infoButton:loadTextureNormal("ccs/UiImages/image9/common_btn_xiangqing.png", 1)
	self.infoButton:loadTexturePressed("ccs/UiImages/image9/common_btn_xiangqing.png", 1)
	self.infoButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_xiangqing.png", 1)
	self.infoButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.infoButton:setTitleText([[]])
	self.infoButton:setTitleColor(cc.c3b(65, 65, 70))
	self.infoButton:setTitleFontSize(14)
	self.infoButton:setTitleFontName(getFont())
	setClickEvent(self, self.infoButton, "infoButton")
	addChildForPre(self.leveleChangePanel_3, self.infoButton)

	self.glodTitle2 = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.glodTitle2, "glodTitle2", 1077, cc.size(91, 23), cc.p(414.008, 26), cc.p(1, 0.5), nil, nil, nil, nil)
	self.glodTitle2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leveleChangePanel_3, self.glodTitle2)

	self.glodCont2 = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.glodCont2, "glodCont2", 1078, cc.size(91, 23), cc.p(464.016, 26), cc.p(0, 0.5), nil, nil, nil, nil)
	self.glodCont2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leveleChangePanel_3, self.glodCont2)

	self.goldSprite2 = cc.Sprite:create()
	setValue(self.goldSprite2, "goldSprite2", 1079, cc.size(35, 35), cc.p(422.016, 26), cc.p(0, 0.5), nil, nil, nil, nil)
	self.goldSprite2:setSpriteFrame("ccs/UiImages/common/commonIcon_icon_Gold_2.png")
	addChildForPre(self.leveleChangePanel_3, self.goldSprite2)

	self.bottomBtnsPanel = ccui.Layout:create()
	setValue(self.bottomBtnsPanel, "WBX_bottomBtnsPanel", 1023, cc.size(640, 120), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.bottomBtnsPanel)
	self.bottomBtnsPanel_3 = self.bottomBtnsPanel

	self.imageLine1 = ccui.ImageView:create()
	setValue(self.imageLine1, "imageLine1", 1025, cc.size(640, 8), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	self.imageLine1:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	addChildForPre(self.bottomBtnsPanel_3, self.imageLine1)

	self.imageLine2 = ccui.ImageView:create()
	setValue(self.imageLine2, "imageLine2", 1024, cc.size(640, 30), cc.p(320, 120), nil, nil, nil, nil, nil)
	self.imageLine2:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	addChildForPre(self.bottomBtnsPanel_3, self.imageLine2)

	self.changeButton = ccui.Button:create()
	setValue(self.changeButton, "changeButton", 1970, cc.size(153, 64), cc.p(320, 60), nil, nil, nil, nil, false)
	self.changeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.changeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.changeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.changeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.changeButton:setTitleText([[Button]])
	self.changeButton:setTitleFontSize(26)
	self.changeButton:setTitleFontName(getFont())
	setClickEvent(self, self.changeButton, "changeButton")
	addChildForPre(self.bottomBtnsPanel_3, self.changeButton)

	self.autoUpButton = ccui.Button:create()
	setValue(self.autoUpButton, "autoUpButton", 1971, cc.size(153, 64), cc.p(128, 60), nil, nil, nil, nil, false)
	self.autoUpButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.autoUpButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.autoUpButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.autoUpButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.autoUpButton:setTitleText([[Button]])
	self.autoUpButton:setTitleFontSize(26)
	self.autoUpButton:setTitleFontName(getFont())
	setClickEvent(self, self.autoUpButton, "autoUpButton")
	addChildForPre(self.bottomBtnsPanel_3, self.autoUpButton)

	self.upButton = ccui.Button:create()
	setValue(self.upButton, "upButton", 1973, cc.size(153, 64), cc.p(512, 60), nil, nil, nil, nil, false)
	self.upButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.upButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.upButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.upButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.upButton:setTitleText([[Button]])
	self.upButton:setTitleFontSize(26)
	self.upButton:setTitleFontName(getFont())
	setClickEvent(self, self.upButton, "upButton")
	addChildForPre(self.bottomBtnsPanel_3, self.upButton)

	if CommonDialogFrame1CloseUi then 
 		self.commonDialogFrame1CloseUi = CommonDialogFrame1CloseUi.new() 
 	else 
		self.commonDialogFrame1CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame1CloseUi, "commonDialogFrame1CloseUi", 1198, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.commonDialogFrame1CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/battle.plist",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
}

return _M
