-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 173, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 174, cc.size(640, 325), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.adjustPanel = ccui.Layout:create()
	setValue(self.adjustPanel, "AXY_adjustPanel", 2656, cc.size(640, 325), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.adjustPanel)
	self.adjustPanel_2 = self.adjustPanel

	self.contentPanel = ccui.Layout:create()
	setValue(self.contentPanel, "contentPanel", 1163, cc.size(640, 350), cc.p(320, 455), cc.p(0.5, 1), nil, nil, nil, nil)
	addChildForPre(self.adjustPanel_2, self.contentPanel)
	self.contentPanel_3 = self.contentPanel

	self.spPathBg = cc.Sprite:create()
	setValue(self.spPathBg, "spPathBg", 343, cc.size(645, 155), cc.p(0, 20), cc.p(0, 0), nil, nil, nil, nil)
	self.spPathBg:setSpriteFrame("ccs/UiImages/painting/painting_path_bg.png")
	addChildForPre(self.contentPanel_3, self.spPathBg)
	self.spPathBg_4 = self.spPathBg

	self.imgPainting1 = ccui.ImageView:create()
	setValue(self.imgPainting1, "imgPainting1", 49, cc.size(178, 192), cc.p(323, 88), nil, nil, nil, nil, nil)
	self.imgPainting1:loadTexture("ccs/BigImages/userIcon/userIcon_img_meizi05.webp")
	addChildForPre(self.spPathBg_4, self.imgPainting1)

	self.imgPainting2 = ccui.ImageView:create()
	setValue(self.imgPainting2, "imgPainting2", 50, cc.size(178, 192), cc.p(523, 100), nil, nil, nil, nil, nil)
	self.imgPainting2:setScale(0.9)
	self.imgPainting2:loadTexture("ccs/BigImages/userIcon/userIcon_img_meizi05.webp")
	addChildForPre(self.spPathBg_4, self.imgPainting2)

	self.imgPainting3 = ccui.ImageView:create()
	setValue(self.imgPainting3, "imgPainting3", 51, cc.size(178, 192), cc.p(683, 149.047), nil, nil, nil, nil, nil)
	self.imgPainting3:setScale(0.8)
	self.imgPainting3:loadTexture("ccs/BigImages/userIcon/userIcon_img_meizi05.webp")
	addChildForPre(self.spPathBg_4, self.imgPainting3)

	self.imgPainting4 = ccui.ImageView:create()
	setValue(self.imgPainting4, "imgPainting4", 48, cc.size(178, 192), cc.p(783, 154.0462), nil, nil, nil, nil, nil)
	self.imgPainting4:setScale(0.8)
	self.imgPainting4:loadTexture("ccs/BigImages/userIcon/userIcon_img_meizi05.webp")
	addChildForPre(self.spPathBg_4, self.imgPainting4)

	self.imgTextBg = ccui.ImageView:create()
	setValue(self.imgTextBg, "imgTextBg", 346, cc.size(368, 42), cc.p(322.5, 0), nil, nil, nil, nil, nil)
	self.imgTextBg:loadTexture("ccs/UiImages/common/common_Partsimg_ditiao.png", 1)
	addChildForPre(self.spPathBg_4, self.imgTextBg)
	self.imgTextBg_5 = self.imgTextBg

	self.spLock = cc.Sprite:create()
	setValue(self.spLock, "spLock", 344, cc.size(31, 39), cc.p(110.4, 25.2), cc.p(1, 0.5), nil, nil, nil, nil)
	self.spLock:setSpriteFrame("ccs/UiImages/painting/lock.png")
	addChildForPre(self.imgTextBg_5, self.spLock)

	self.txtState = createLabel({text=[[未获得]], font=getFont(), size=30})
	setValue(self.txtState, "txtState", 347, cc.size(90, 34), cc.p(184, 21), nil, cc.c4b(229, 50, 50, 255), nil, nil, nil)
	self.txtState:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.txtState:setColor(cc.c4b(229, 50, 50, 255))
	addChildForPre(self.imgTextBg_5, self.txtState)

	self.txtEquipTo = createLabel({text=[[装备于]], font=getFont(), size=30})
	setValue(self.txtEquipTo, "txtEquipTo", 2621, cc.size(90, 34), cc.p(103.5993, 21.0005), nil, nil, nil, nil, nil)
	self.txtEquipTo:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.imgTextBg_5, self.txtEquipTo)

	self.txtTankName = createLabel({text=[[希佩尔海]], font=getFont(), size=30,align = 1})
	setValue(self.txtTankName, "txtTankName", 2622, cc.size(120, 34), cc.p(152.6046, 20), cc.p(0, 0.5), nil, nil, nil, nil)
	self.txtTankName:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.imgTextBg_5, self.txtTankName)

	self.txtProperty = createLabel({text=[[火炮防御+100 爆破防御+100]], font=getFont(), size=24,align = 1, dimensions = cc.size(600.0000, 23.0000)})
	setValue(self.txtProperty, "txtProperty", 175, cc.size(600, 23), cc.p(319.9993, 232.0152), cc.p(0.5, 1), cc.c4b(78, 194, 165, 255), nil, nil, false)
	self.txtProperty:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.txtProperty:setColor(cc.c4b(78, 194, 165, 255))
	addChildForPre(self.contentPanel_3, self.txtProperty)

	self.btnEquip = ccui.Button:create()
	setValue(self.btnEquip, "btnEquip", 559, cc.size(153, 64), cc.p(332.857, 36.9997), nil, nil, nil, nil, false)
	self.btnEquip:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.btnEquip:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.btnEquip:loadTextureDisabled("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.btnEquip:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.btnEquip:setTitleText([[装备涂装]])
	self.btnEquip:setTitleFontSize(30)
	self.btnEquip:setTitleFontName(getFont())
	setClickEvent(self, self.btnEquip, "btnEquip")
	addChildForPre(self.adjustPanel_2, self.btnEquip)

	self.btnReset = ccui.Button:create()
	setValue(self.btnReset, "btnReset", 560, cc.size(153, 64), cc.p(122.2856, 36.9997), nil, nil, nil, nil, false)
	self.btnReset:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.btnReset:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.btnReset:loadTextureDisabled("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.btnReset:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.btnReset:setTitleText([[还原初始]])
	self.btnReset:setTitleFontSize(30)
	self.btnReset:setTitleFontName(getFont())
	setClickEvent(self, self.btnReset, "btnReset")
	addChildForPre(self.adjustPanel_2, self.btnReset)

	self.btnRemould = ccui.Button:create()
	setValue(self.btnRemould, "btnRemould", 89, cc.size(153, 64), cc.p(543.4285, 36.9997), nil, nil, nil, nil, false)
	self.btnRemould:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.btnRemould:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.btnRemould:loadTextureDisabled("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.btnRemould:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.btnRemould:setTitleText([[改造]])
	self.btnRemould:setTitleFontSize(30)
	self.btnRemould:setTitleFontName(getFont())
	setClickEvent(self, self.btnRemould, "btnRemould")
	addChildForPre(self.adjustPanel_2, self.btnRemould)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/painting.plist",
	"ccs/BigImages/userIcon/userIcon_img_meizi05.png",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
}

return _M
