-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 315, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 316, cc.size(640, 325), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 258, cc.size(640, 325), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.contentPanel = ccui.Layout:create()
	setValue(self.contentPanel, "XYN_contentPanel", 304, cc.size(640, 325), cc.p(-1, 1), nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.contentPanel)
	self.contentPanel_3 = self.contentPanel

	self.txtProperty = createLabel({text=[[火炮防御+100 爆破防御+100]], font=getFont(), size=24,align = 1, dimensions = cc.size(600.0000, 32.0000)})
	setValue(self.txtProperty, "txtProperty", 317, cc.size(600, 32), cc.p(320, 287.495), cc.p(0.5, 1), cc.c4b(78, 194, 165, 255), nil, nil, false)
	self.txtProperty:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.txtProperty:setColor(cc.c4b(78, 194, 165, 255))
	addChildForPre(self.contentPanel_3, self.txtProperty)

	self.txtPiece = createLabel({text=[[碎片]], font=getFont(), size=30})
	setValue(self.txtPiece, "txtPiece", 318, cc.size(60, 34), cc.p(98.309, 211.25), nil, nil, nil, nil, nil)
	self.txtPiece:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.contentPanel_3, self.txtPiece)

	self.txtPieceTip = createLabel({text=[[收集50个涂装碎片可以合成完整的战舰涂装]], font=getFont(), size=21})
	setValue(self.txtPieceTip, "txtPieceTip", 320, cc.size(401, 24), cc.p(151.1661, 173.7613), cc.p(0, 0.5), cc.c4b(241, 183, 70, 255), nil, nil, nil)
	self.txtPieceTip:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.txtPieceTip:setColor(cc.c4b(241, 183, 70, 255))
	addChildForPre(self.contentPanel_3, self.txtPieceTip)

	self.spPrgBg = cc.Sprite:create()
	setValue(self.spPrgBg, "spPrgBg", 306, cc.size(92, 24), cc.p(358.4, 211.25), nil, nil, nil, nil, nil)
	self.spPrgBg:setScaleX(4.57)
	self.spPrgBg:setScaleY(1)
	self.spPrgBg:setSpriteFrame("ccs/UiImages/painting/prg_bg.png")
	addChildForPre(self.contentPanel_3, self.spPrgBg)

	local progressSprite = cc.Sprite:createWithSpriteFrameName("ccs/UiImages/painting/prg_pre.png")
	self.prgPiece = cc.ProgressTimer:create(progressSprite)
	setValue(self.prgPiece, "prgPiece", 1261, cc.size(92, 24), cc.p(358.4, 211.25), nil, nil, nil, nil, nil)
	self.prgPiece:setScaleX(4.57)
	self.prgPiece:setScaleY(1)
	self.prgPiece:setPercentage(100)
	self.prgPiece:setType(1)
	self.prgPiece:setBarChangeRate({x=1,y=0})
	self.prgPiece:setMidpoint({x = 0,y = 0})
	addChildForPre(self.contentPanel_3, self.prgPiece)

	self.txtNum = createLabel({text=[[100/100]], font=getFont(), size=20,align = 1, dimensions = cc.size(100.0000, 23.0000)})
	setValue(self.txtNum, "txtNum", 588, cc.size(100, 23), cc.p(358.4, 214.5), nil, nil, nil, nil, false)
	self.txtNum:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.contentPanel_3, self.txtNum)

	self.btnCombine = ccui.Button:create()
	setValue(self.btnCombine, "btnCombine", 561, cc.size(153, 64), cc.p(320, 92.7225), nil, nil, nil, nil, false)
	self.btnCombine:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.btnCombine:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.btnCombine:loadTextureDisabled("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.btnCombine:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.btnCombine:setTitleText([[合成]])
	self.btnCombine:setTitleFontSize(30)
	self.btnCombine:setTitleFontName(getFont())
	setClickEvent(self, self.btnCombine, "btnCombine")
	addChildForPre(self.contentPanel_3, self.btnCombine)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/painting.plist",
	"ccs/plist/image9.plist",
}

return _M
