-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 6, cc.size(640, 200), cc.p(0, -3), nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.spBao = cc.Sprite:create()
	setValue(self.spBao, "spBao", 7, cc.size(200, 200), cc.p(2.6429, 8.881), nil, nil, nil, nil, nil)
	self.spBao:setSpriteFrame("ccs/UiImages/paintingRemouldBao/Comp1_00009.png")
	addChildForPre(self.rootPanel_1, self.spBao)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(60)
	self.animation:setTimeSpeed(1)
	local timeLine
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(50, true, 2.6429, 8.8810, nil))
	timeLine:addFrame(CreatePositionFrame(60, true, 2.6429, 8.8810, nil))
	timeLine:setNode(self.spBao)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(50, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(60, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.spBao)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(50, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(60, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.spBao)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateTextureFrame(0, true, "ccs/UiImages/paintingRemouldBao/Comp1_00003.png", nil))
	timeLine:addFrame(CreateTextureFrame(6, true, "ccs/UiImages/paintingRemouldBao/Comp1_00004.png", nil))
	timeLine:addFrame(CreateTextureFrame(12, true, "ccs/UiImages/paintingRemouldBao/Comp1_00005.png", nil))
	timeLine:addFrame(CreateTextureFrame(18, true, "ccs/UiImages/paintingRemouldBao/Comp1_00006.png", nil))
	timeLine:addFrame(CreateTextureFrame(24, true, "ccs/UiImages/paintingRemouldBao/Comp1_00007.png", nil))
	timeLine:addFrame(CreateTextureFrame(30, true, "ccs/UiImages/paintingRemouldBao/Comp1_00008.png", nil))
	timeLine:addFrame(CreateTextureFrame(36, true, "ccs/UiImages/paintingRemouldBao/Comp1_00009.png", nil))
	timeLine:setNode(self.spBao)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateEventFrame(32, true, "feEnd", nil))
	timeLine:setNode(self.spBao)
	return self
end

_M.textures = {
	"ccs/plist/paintingRemouldBao.plist",
}

return _M
