-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 8, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 9, cc.size(640, 200), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.spLine = cc.Sprite:create()
	setValue(self.spLine, "spLine", 10, cc.size(300, 100), nil, nil, nil, nil, nil, nil)
	self.spLine:setSpriteFrame("ccs/UiImages/paintingRemouldLine/Comp1_00005.png")
	addChildForPre(self.rootPanel_1, self.spLine)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(40)
	self.animation:setTimeSpeed(1)
	local timeLine
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateTextureFrame(0, true, "ccs/UiImages/paintingRemouldLine/Comp1_00005.png", nil))
	timeLine:addFrame(CreateTextureFrame(8, true, "ccs/UiImages/paintingRemouldLine/Comp1_00006.png", nil))
	timeLine:addFrame(CreateTextureFrame(16, true, "ccs/UiImages/paintingRemouldLine/Comp1_00007.png", nil))
	timeLine:addFrame(CreateTextureFrame(24, true, "ccs/UiImages/paintingRemouldLine/Comp1_00008.png", nil))
	timeLine:addFrame(CreateTextureFrame(32, true, "ccs/UiImages/paintingRemouldLine/Comp1_00009.png", nil))
	timeLine:addFrame(CreateTextureFrame(40, true, "ccs/UiImages/paintingRemouldLine/Comp1_00010.png", nil))
	timeLine:setNode(self.spLine)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.spLine)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.spLine)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.spLine)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateEventFrame(40, true, "feEnd", nil))
	timeLine:setNode(self.spLine)
	return self
end

_M.textures = {
	"ccs/plist/paintingRemouldLine.plist",
}

return _M
