-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_1 = cc.Node:create()
	setValue(self.Node_1, "Node_1", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_1)
 	self.uiRootNode = self.Node_1
	self.Node_1_0 = self.Node_1

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 128, cc.size(640, 172), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_1_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "XNN_bgImage", 301, cc.size(612, 162), cc.p(320, 86), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/commonBg/common_img_ditiao.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(0, 0, 612, 167))
	addChildForPre(self.rootPanel_1, self.bgImage)

	self.Image_11 = ccui.ImageView:create()
	setValue(self.Image_11, "Image_11", 129, cc.size(177, 111), cc.p(121.6218, 83.3021), nil, nil, nil, nil, nil)
	self.Image_11:loadTexture("ccs/UiImages/common/commonPanelParts_img_iconbg_1.png", 1)
	addChildForPre(self.rootPanel_1, self.Image_11)

	self.rightPanel = ccui.Layout:create()
	setValue(self.rightPanel, "rightPanel", 4316, cc.size(420, 162), cc.p(412.032, 88.7176), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.rightPanel)
	self.rightPanel_2 = self.rightPanel

	self.labelBgImage = ccui.ImageView:create()
	setValue(self.labelBgImage, "labelBgImage", 315, cc.size(270, 40), cc.p(148.9181, 110.8614), nil, nil, nil, nil, false)
	self.labelBgImage:loadTexture("ccs/UiImages/image9/common_s9_diban.png", 1)
	self.labelBgImage:setScale9Enabled(true)
	self.labelBgImage:setCapInsets(cc.rect(10, 10, 4, 4))
	addChildForPre(self.rightPanel_2, self.labelBgImage)

	self.StarImage = cc.Sprite:create()
	setValue(self.StarImage, "StarImage", 4313, cc.size(40, 38), cc.p(61.4743, 56.9917), nil, nil, nil, nil, nil)
	self.StarImage:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.rightPanel_2, self.StarImage)

	self.composeButton = ccui.Button:create()
	setValue(self.composeButton, "composeButton", 318, cc.size(98, 51), cc.p(343.9, 34.5), nil, nil, nil, nil, false)
	self.composeButton:setScale(1.25)
	self.composeButton:loadTextureNormal("ccs/UiImages/image9/CommonPanel_btn_smallblue_0.png", 1)
	self.composeButton:loadTexturePressed("ccs/UiImages/image9/CommonPanel_btn_smallblue_1.png", 1)
	self.composeButton:loadTextureDisabled("ccs/UiImages/image9/CommonPanel_btn_small_2.png", 1)
	self.composeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.composeButton:setTitleText([[compose]])
	self.composeButton:setTitleFontSize(18)
	self.composeButton:setTitleFontName(getFont())
	setClickEvent(self, self.composeButton, "composeButton")
	addChildForPre(self.rightPanel_2, self.composeButton)

	self.qualityTitleLabel = createLabel({text=[[5]], font=getFont(), size=24,valign = 1})
	setValue(self.qualityTitleLabel, "qualityTitleLabel", 4311, cc.size(13, 28), cc.p(23.6602, 56.9918), cc.p(0, 0.5), nil, nil, nil, nil)
	self.qualityTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightPanel_2, self.qualityTitleLabel)

	self.countTitleLabel = createLabel({text=[[99/99]], font=getFont(), size=24,align = 2,valign = 1})
	setValue(self.countTitleLabel, "countTitleLabel", 4309, cc.size(60, 28), cc.p(340.9901, 89.6786), nil, nil, nil, nil, nil)
	self.countTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightPanel_2, self.countTitleLabel)

	self.tankNameLabel = createLabel({text=[[tankName]], font=getFont(), size=24,valign = 1})
	setValue(self.tankNameLabel, "tankNameLabel", 4308, cc.size(109, 28), cc.p(26.7038, 112.5414), cc.p(0, 0.5), cc.c4b(255, 127, 0, 255), nil, nil, nil)
	self.tankNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.tankNameLabel:setColor(cc.c4b(255, 127, 0, 255))
	addChildForPre(self.rightPanel_2, self.tankNameLabel)

	self.colourLabel = createLabel({text=[[rank]], font=getFont(), size=24,valign = 1})
	setValue(self.colourLabel, "colourLabel", 537, cc.size(46, 28), cc.p(88.9951, 56.9918), cc.p(0, 0.5), nil, nil, nil, nil)
	self.colourLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightPanel_2, self.colourLabel)

	self.desNumLabel = createLabel({text=[[收集进度]], font=getFont(), size=20})
	setValue(self.desNumLabel, "desNumLabel", 130, cc.size(80, 23), cc.p(340.9901, 125.7452), nil, nil, nil, nil, nil)
	self.desNumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightPanel_2, self.desNumLabel)

	self.proLabel = createLabel({text=[[数量不足]], font=getFont(), size=24})
	setValue(self.proLabel, "proLabel", 131, cc.size(96, 28), cc.p(340.9901, 51.1118), nil, cc.c4b(255, 0, 0, 255), nil, nil, nil)
	self.proLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.proLabel:setColor(cc.c4b(255, 0, 0, 255))
	addChildForPre(self.rightPanel_2, self.proLabel)

	if PaperIconUi then 
 		self.paperIconUi = PaperIconUi.new() 
 	else 
		self.paperIconUi = BaseUi.new("ccs/ui/paper/PaperIconUi.lua")
 	end 
	setValue(self.paperIconUi, "paperIconUi", 177, nil, cc.p(22.7963, 1.7669), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.paperIconUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/camp.plist",
}

return _M
