-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_1 = cc.Node:create()
	setValue(self.Node_1, "Node_1", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_1)
 	self.uiRootNode = self.Node_1
	self.Node_1_0 = self.Node_1

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 113, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_1_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonNewUi then 
 		self.CommonNewUi = CommonNewUi.new() 
 	else 
		self.CommonNewUi = BaseUi.new("ccs/ui/commonDialog/CommonNewUi.lua")
 	end 
	setValue(self.CommonNewUi, "CommonNewUi", 97, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.CommonNewUi)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 383, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.contentPanel = ccui.Layout:create()
	setValue(self.contentPanel, "AXY_contentPanel", 12, cc.size(640, 830), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.contentPanel)

	self.tabPanel = ccui.Layout:create()
	setValue(self.tabPanel, "TWX_tabPanel", 7, cc.size(640, 50), cc.p(320, 864), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.tabPanel)
	self.tabPanel_3 = self.tabPanel

	self.Image = ccui.ImageView:create()
	setValue(self.Image, "WTX_Image", 320, cc.size(640, 62), cc.p(320, 15.5), nil, nil, nil, nil, nil)
	self.Image:loadTexture("ccs/UiImages/commonBg/common_img_diban00.png", 1)
	addChildForPre(self.tabPanel_3, self.Image)

	self.shipDrawButton = ccui.Button:create()
	self.shipDrawButton:setScale9Enabled(true)
	self.shipDrawButton:setCapInsets(cc.rect(0, 0, 247, 91))
	self.shipDrawButton:setContentSize(cc.size(124, 48))
	setValue(self.shipDrawButton, "shipDrawButton", 68, nil, cc.p(66.432, 18.225), nil, nil, nil, nil, false)
	self.shipDrawButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.shipDrawButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.shipDrawButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.shipDrawButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.shipDrawButton:setTitleText([[舰队抽取]])
	self.shipDrawButton:setTitleFontSize(25)
	self.shipDrawButton:setTitleFontName(getFont())
	setClickEvent(self, self.shipDrawButton, "shipDrawButton")
	addChildForPre(self.tabPanel_3, self.shipDrawButton)
	self.shipDrawButton_4 = self.shipDrawButton

	self.REDPOINT_ADVANCE_EXCHANGE = cc.Sprite:create()
	setValue(self.REDPOINT_ADVANCE_EXCHANGE, "REDPOINT_ADVANCE_EXCHANGE", 1107, cc.size(24, 24), cc.p(115.32, 42.72), nil, nil, nil, nil, nil)
	self.REDPOINT_ADVANCE_EXCHANGE:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.shipDrawButton_4, self.REDPOINT_ADVANCE_EXCHANGE)

	self.shipStorageButton = ccui.Button:create()
	self.shipStorageButton:setScale9Enabled(true)
	self.shipStorageButton:setCapInsets(cc.rect(0, 0, 247, 91))
	self.shipStorageButton:setContentSize(cc.size(124, 48))
	setValue(self.shipStorageButton, "shipStorageButton", 70, nil, cc.p(200.96, 18.225), nil, nil, nil, nil, false)
	self.shipStorageButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.shipStorageButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.shipStorageButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.shipStorageButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.shipStorageButton:setTitleText([[舰船仓库]])
	self.shipStorageButton:setTitleFontSize(24)
	self.shipStorageButton:setTitleFontName(getFont())
	setClickEvent(self, self.shipStorageButton, "shipStorageButton")
	addChildForPre(self.tabPanel_3, self.shipStorageButton)
	self.shipStorageButton_4 = self.shipStorageButton

	self.REDPOINT_PAPER_COMPOSE = cc.Sprite:create()
	setValue(self.REDPOINT_PAPER_COMPOSE, "REDPOINT_PAPER_COMPOSE", 118, cc.size(20, 20), cc.p(115.32, 42.72), nil, nil, nil, nil, nil)
	self.REDPOINT_PAPER_COMPOSE:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.shipStorageButton_4, self.REDPOINT_PAPER_COMPOSE)

	self.composeButton = ccui.Button:create()
	self.composeButton:setScale9Enabled(true)
	self.composeButton:setCapInsets(cc.rect(0, 0, 247, 91))
	self.composeButton:setContentSize(cc.size(124, 48))
	setValue(self.composeButton, "composeButton", 10, nil, cc.p(335.488, 18.225), nil, nil, nil, nil, false)
	self.composeButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.composeButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.composeButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.composeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.composeButton:setTitleText([[舰船合成]])
	self.composeButton:setTitleFontSize(25)
	self.composeButton:setTitleFontName(getFont())
	setClickEvent(self, self.composeButton, "composeButton")
	addChildForPre(self.tabPanel_3, self.composeButton)

	self.retiredButton = ccui.Button:create()
	self.retiredButton:setScale9Enabled(true)
	self.retiredButton:setCapInsets(cc.rect(0, 0, 247, 91))
	self.retiredButton:setContentSize(cc.size(124, 48))
	setValue(self.retiredButton, "retiredButton", 155, nil, cc.p(470, 18.226), nil, nil, nil, nil, false)
	self.retiredButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.retiredButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.retiredButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.retiredButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.retiredButton:setTitleText([[舰船退役]])
	self.retiredButton:setTitleFontSize(24)
	self.retiredButton:setTitleFontName(getFont())
	setClickEvent(self, self.retiredButton, "retiredButton")
	addChildForPre(self.tabPanel_3, self.retiredButton)

	self.paperPanel = ccui.Layout:create()
	setValue(self.paperPanel, "TXN_paperPanel", 160, cc.size(200, 50), cc.p(465.5253, 838.7385), nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.paperPanel)
	self.paperPanel_3 = self.paperPanel

	self.paperNumSprite = cc.Sprite:create()
	setValue(self.paperNumSprite, "paperNumSprite", 159, cc.size(144, 102), cc.p(39.0763, 21.4919), nil, nil, nil, nil, nil)
	self.paperNumSprite:setScale(0.5)
	self.paperNumSprite:setSpriteFrame("ccs/UiImages/mall/Props_icon_1.png")
	addChildForPre(self.paperPanel_3, self.paperNumSprite)

	self.paperNumLabel = createLabel({text=[[0]], font=getFont(), size=24})
	setValue(self.paperNumLabel, "paperNumLabel", 161, cc.size(13, 28), cc.p(74.2449, 21.4919), cc.p(0, 0.5), nil, nil, nil, nil)
	self.paperNumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.paperPanel_3, self.paperNumLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/common.plist",
	"ccs/plist/mall.plist",
}

return _M
