-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_1 = cc.Node:create()
	setValue(self.Node_1, "Node_1", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_1)
 	self.uiRootNode = self.Node_1
	self.Node_1_0 = self.Node_1

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 128, cc.size(640, 172), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_1_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "XNN_bgImage", 1154, cc.size(612, 147), cc.p(320, 86), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/commonBg/common_img_ditiao.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(0, 0, 612, 167))
	addChildForPre(self.rootPanel_1, self.bgImage)

	self.bigPanel = ccui.Layout:create()
	setValue(self.bigPanel, "bigPanel", 131, cc.size(640, 162), cc.p(320, 86), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.bigPanel)
	self.bigPanel_2 = self.bigPanel

	self.Image = ccui.ImageView:create()
	setValue(self.Image, "Image", 120, cc.size(177, 111), cc.p(121.6218, 83.3028), nil, nil, nil, nil, nil)
	self.Image:loadTexture("ccs/UiImages/common/commonPanelParts_img_iconbg_1.png", 1)
	addChildForPre(self.bigPanel_2, self.Image)

	self.rightPanel = ccui.Layout:create()
	setValue(self.rightPanel, "rightPanel", 4316, cc.size(419, 162), cc.p(204.8, 0), nil, nil, nil, nil, nil)
	addChildForPre(self.bigPanel_2, self.rightPanel)
	self.rightPanel_3 = self.rightPanel

	self.Star = cc.Sprite:create()
	setValue(self.Star, "Star", 4313, cc.size(40, 38), cc.p(75.3362, 57.9474), cc.p(1, 0.5), nil, nil, nil, nil)
	self.Star:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.rightPanel_3, self.Star)

	self.exchangeButton = ccui.Button:create()
	setValue(self.exchangeButton, "exchangeButton", 337, cc.size(98, 51), cc.p(340.9403, 50.9976), nil, nil, nil, nil, false)
	self.exchangeButton:loadTextureNormal("ccs/UiImages/image9/CommonPanel_btn_smallblue_0.png", 1)
	self.exchangeButton:loadTexturePressed("ccs/UiImages/image9/CommonPanel_btn_smallblue_1.png", 1)
	self.exchangeButton:loadTextureDisabled("ccs/UiImages/image9/CommonPanel_btn_small_2.png", 1)
	self.exchangeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.exchangeButton:setTitleText([[exchange]])
	self.exchangeButton:setTitleFontSize(18)
	self.exchangeButton:setTitleFontName(getFont())
	setClickEvent(self, self.exchangeButton, "exchangeButton")
	addChildForPre(self.rightPanel_3, self.exchangeButton)

	self.rankLabel = createLabel({text=[[5]], font=getFont(), size=24,valign = 1})
	setValue(self.rankLabel, "rankLabel", 4311, cc.size(13, 28), cc.p(20.1958, 52.9416), cc.p(0, 0.5), nil, nil, nil, nil)
	self.rankLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightPanel_3, self.rankLabel)

	self.itemSprite = cc.Sprite:create()
	setValue(self.itemSprite, "itemSprite", 195, cc.size(144, 102), cc.p(263.8862, 119.1024), cc.p(0, 0.5), nil, nil, nil, nil)
	self.itemSprite:setScale(0.5)
	self.itemSprite:setSpriteFrame("ccs/UiImages/mall/Props_icon_1.png")
	addChildForPre(self.rightPanel_3, self.itemSprite)

	self.Image = ccui.ImageView:create()
	setValue(self.Image, "Image", 25, cc.size(240, 40), cc.p(11.2498, 119.9837), cc.p(0, 0.5), nil, nil, nil, false)
	self.Image:loadTexture("ccs/UiImages/image9/common_s9_diban.png", 1)
	self.Image:setScale9Enabled(true)
	self.Image:setCapInsets(cc.rect(10, 10, 14, 14))
	addChildForPre(self.rightPanel_3, self.Image)

	self.countLabel = createLabel({text=[[10]], font=getFont(), size=24,valign = 1})
	setValue(self.countLabel, "countLabel", 4310, cc.size(26, 28), cc.p(330.0044, 119.1024), cc.p(0, 0.5), nil, nil, nil, nil)
	self.countLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightPanel_3, self.countLabel)

	self.tankNameLabel = createLabel({text=[[tankName]], font=getFont(), size=24,valign = 1})
	setValue(self.tankNameLabel, "tankNameLabel", 4308, cc.size(109, 28), cc.p(23.045, 121.5), cc.p(0, 0.5), cc.c4b(255, 127, 0, 255), nil, nil, nil)
	self.tankNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.tankNameLabel:setColor(cc.c4b(255, 127, 0, 255))
	addChildForPre(self.rightPanel_3, self.tankNameLabel)

	self.colorLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.colorLabel, "colorLabel", 1251, cc.size(109, 28), cc.p(83.7077, 52.9492), cc.p(0, 0.5), nil, nil, nil, nil)
	self.colorLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightPanel_3, self.colorLabel)

	self.vipPanel = ccui.Layout:create()
	setValue(self.vipPanel, "vipPanel", 89, cc.size(200, 60), cc.p(196, 45), nil, nil, nil, nil, nil)
	addChildForPre(self.rightPanel_3, self.vipPanel)
	self.vipPanel_4 = self.vipPanel

	self.Sprite1 = cc.Sprite:create()
	setValue(self.Sprite1, "Sprite1", 90, cc.size(74, 37), cc.p(43.7428, 27.403), nil, nil, nil, nil, nil)
	self.Sprite1:setSpriteFrame("ccs/UiImages/common/vipnumber_txt_vip.png")
	addChildForPre(self.vipPanel_4, self.Sprite1)

	self.numsprite3 = cc.Sprite:create()
	setValue(self.numsprite3, "numsprite3", 92, cc.size(46, 46), cc.p(168.3658, 27.403), nil, nil, nil, nil, nil)
	self.numsprite3:setTexture("Default/Sprite.png")
	addChildForPre(self.vipPanel_4, self.numsprite3)

	self.numsprite1 = cc.Sprite:create()
	setValue(self.numsprite1, "numsprite1", 30, cc.size(46, 46), cc.p(105.36, 27.403), nil, nil, nil, nil, nil)
	self.numsprite1:setVisible(false)
	self.numsprite1:setTexture("Default/Sprite.png")
	addChildForPre(self.vipPanel_4, self.numsprite1)

	self.desLabel = createLabel({text=[[数量不足]], font=getFont(), size=24})
	setValue(self.desLabel, "desLabel", 31, cc.size(96, 28), cc.p(317.1015, 68), nil, cc.c4b(255, 0, 0, 255), nil, nil, nil)
	self.desLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.desLabel:setColor(cc.c4b(255, 0, 0, 255))
	addChildForPre(self.rightPanel_3, self.desLabel)

	if PaperIconUi then 
 		self.paperIconUi = PaperIconUi.new() 
 	else 
		self.paperIconUi = BaseUi.new("ccs/ui/paper/PaperIconUi.lua")
 	end 
	setValue(self.paperIconUi, "paperIconUi", 196, nil, cc.p(22.72, 1.3122), nil, nil, nil, nil, nil)
	addChildForPre(self.bigPanel_2, self.paperIconUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/mall.plist",
	"Default/Sprite.png",
}

return _M
