-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 477, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 478, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "XYN_dialogPanel", 479, cc.size(500, 340), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.lightBgImage = ccui.ImageView:create()
	setValue(self.lightBgImage, "lightBgImage", 49, cc.size(230, 230), cc.p(250, 170), nil, nil, nil, nil, nil)
	self.lightBgImage:setScale(2.8)
	self.lightBgImage:loadTexture("ccs/UiImages/commonBg/common_shipLight.png", 1)
	addChildForPre(self.dialogPanel_2, self.lightBgImage)

	self.shipBgImage = ccui.ImageView:create()
	setValue(self.shipBgImage, "shipBgImage", 48, cc.size(64, 63), cc.p(250, 170), nil, nil, nil, nil, nil)
	self.shipBgImage:setScaleX(18)
	self.shipBgImage:setScaleY(11.5713)
	self.shipBgImage:loadTexture("ccs/UiImages/commonBg/common_shipBg.png", 1)
	addChildForPre(self.dialogPanel_2, self.shipBgImage)

	self.shipTitle = cc.Sprite:create()
	setValue(self.shipTitle, "shipTitle", 47, cc.size(342, 135), cc.p(250, 329.8), nil, nil, nil, nil, nil)
	self.shipTitle:setSpriteFrame("ccs/UiImages/commonBg/common_shipTitle.png")
	addChildForPre(self.dialogPanel_2, self.shipTitle)

	self.shipSprite = cc.Sprite:create()
	setValue(self.shipSprite, "shipSprite", 50, cc.size(256, 128), cc.p(250, 170), nil, nil, nil, nil, nil)
	self.shipSprite:setScale(2)
	self.shipSprite:setTexture("ccs/BigImages/ship_fight/4_dg_zl_ks_zhan.webp")
	addChildForPre(self.dialogPanel_2, self.shipSprite)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/BigImages/ship_fight/4_dg_zl_ks_zhan.png",
}

return _M
