-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 85, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 86, cc.size(640, 85), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "BXN_Panel", 1731, cc.size(640, 85), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Panel)
	self.Panel_2 = self.Panel

	self.topPanel = ccui.Layout:create()
	setValue(self.topPanel, "BXN_topPanel", 563, cc.size(640, 85), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.topPanel)
	self.topPanel_3 = self.topPanel

	self.fourStarTankSp = cc.Sprite:create()
	setValue(self.fourStarTankSp, "fourStarTankSp", 574, cc.size(199, 59), cc.p(79.8928, 47.6825), nil, nil, nil, nil, nil)
	self.fourStarTankSp:setScaleX(0.79)
	self.fourStarTankSp:setScaleY(1)
	self.fourStarTankSp:setSpriteFrame("ccs/UiImages/commonBg/common_img_04.png")
	addChildForPre(self.topPanel_3, self.fourStarTankSp)

	self.threeStarTankSp = cc.Sprite:create()
	setValue(self.threeStarTankSp, "threeStarTankSp", 576, cc.size(199, 59), cc.p(239.6418, 47.6825), nil, nil, nil, nil, nil)
	self.threeStarTankSp:setScaleX(0.79)
	self.threeStarTankSp:setScaleY(1)
	self.threeStarTankSp:setSpriteFrame("ccs/UiImages/commonBg/common_img_03.png")
	addChildForPre(self.topPanel_3, self.threeStarTankSp)

	self.twoStarTankSp = cc.Sprite:create()
	setValue(self.twoStarTankSp, "twoStarTankSp", 578, cc.size(199, 59), cc.p(398.8884, 48.043), nil, nil, nil, nil, nil)
	self.twoStarTankSp:setScaleX(0.79)
	self.twoStarTankSp:setScaleY(1)
	self.twoStarTankSp:setSpriteFrame("ccs/UiImages/commonBg/common_img_02.png")
	addChildForPre(self.topPanel_3, self.twoStarTankSp)

	self.oneStarTankSp = cc.Sprite:create()
	setValue(self.oneStarTankSp, "oneStarTankSp", 572, cc.size(199, 59), cc.p(558.6403, 48.043), nil, nil, nil, nil, nil)
	self.oneStarTankSp:setScaleX(0.79)
	self.oneStarTankSp:setScaleY(1)
	self.oneStarTankSp:setSpriteFrame("ccs/UiImages/commonBg/common_img_01.png")
	addChildForPre(self.topPanel_3, self.oneStarTankSp)

	self.oneStarTankBox = ccui.CheckBox:create()
	setValue(self.oneStarTankBox, "oneStarTankBox", 565, cc.size(68, 68), cc.p(596.7002, 48.0433), nil, nil, nil, nil, nil)
	self.oneStarTankBox:setScale(0.8)
	self.oneStarTankBox:loadTextureBackGround("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.oneStarTankBox:loadTextureBackGroundSelected("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.oneStarTankBox:loadTextureBackGroundDisabled("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.oneStarTankBox:loadTextureFrontCross("ccs/UiImages/common/common_btn_xuanzhong_1.png", 1)
	self.oneStarTankBox:loadTextureFrontCrossDisabled("ccs/UiImages/common/common_btn_xuanzhong_1.png", 1)
	addChildForPre(self.topPanel_3, self.oneStarTankBox)

	self.twoStarTankBox = ccui.CheckBox:create()
	setValue(self.twoStarTankBox, "twoStarTankBox", 566, cc.size(68, 68), cc.p(437.8993, 48.0432), nil, nil, nil, nil, nil)
	self.twoStarTankBox:setScale(0.8)
	self.twoStarTankBox:loadTextureBackGround("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.twoStarTankBox:loadTextureBackGroundSelected("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.twoStarTankBox:loadTextureBackGroundDisabled("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.twoStarTankBox:loadTextureFrontCross("ccs/UiImages/common/common_btn_xuanzhong_1.png", 1)
	self.twoStarTankBox:loadTextureFrontCrossDisabled("ccs/UiImages/common/common_btn_xuanzhong_1.png", 1)
	addChildForPre(self.topPanel_3, self.twoStarTankBox)

	self.threeStarTankBox = ccui.CheckBox:create()
	setValue(self.threeStarTankBox, "threeStarTankBox", 567, cc.size(68, 68), cc.p(277.712, 47.6827), nil, nil, nil, nil, nil)
	self.threeStarTankBox:setScale(0.8)
	self.threeStarTankBox:loadTextureBackGround("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.threeStarTankBox:loadTextureBackGroundSelected("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.threeStarTankBox:loadTextureBackGroundDisabled("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.threeStarTankBox:loadTextureFrontCross("ccs/UiImages/common/common_btn_xuanzhong_1.png", 1)
	self.threeStarTankBox:loadTextureFrontCrossDisabled("ccs/UiImages/common/common_btn_xuanzhong_1.png", 1)
	addChildForPre(self.topPanel_3, self.threeStarTankBox)

	self.fourStarTankBox = ccui.CheckBox:create()
	setValue(self.fourStarTankBox, "fourStarTankBox", 568, cc.size(68, 68), cc.p(118.9023, 47.6824), nil, nil, nil, nil, nil)
	self.fourStarTankBox:setScale(0.8)
	self.fourStarTankBox:loadTextureBackGround("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.fourStarTankBox:loadTextureBackGroundSelected("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.fourStarTankBox:loadTextureBackGroundDisabled("ccs/UiImages/common/common_btn_xuanzhong_0.png", 1)
	self.fourStarTankBox:loadTextureFrontCross("ccs/UiImages/common/common_btn_xuanzhong_1.png", 1)
	self.fourStarTankBox:loadTextureFrontCrossDisabled("ccs/UiImages/common/common_btn_xuanzhong_1.png", 1)
	addChildForPre(self.topPanel_3, self.fourStarTankBox)

	self.oneStarTankLabel = createLabel({text=[[1]], font=getFont(), size=30})
	setValue(self.oneStarTankLabel, "oneStarTankLabel", 573, cc.size(16, 34), cc.p(505.1126, 48.0429), nil, nil, nil, nil, nil)
	self.oneStarTankLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.topPanel_3, self.oneStarTankLabel)

	self.twoStarTankLabel = createLabel({text=[[2]], font=getFont(), size=30})
	setValue(self.twoStarTankLabel, "twoStarTankLabel", 575, cc.size(16, 34), cc.p(340.8434, 48.0429), nil, nil, nil, nil, nil)
	self.twoStarTankLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.topPanel_3, self.twoStarTankLabel)

	self.threeStarTankLabel = createLabel({text=[[3]], font=getFont(), size=30})
	setValue(self.threeStarTankLabel, "threeStarTankLabel", 577, cc.size(16, 34), cc.p(186.1159, 47.6825), nil, nil, nil, nil, nil)
	self.threeStarTankLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.topPanel_3, self.threeStarTankLabel)

	self.fourStarTankLabel = createLabel({text=[[4]], font=getFont(), size=30})
	setValue(self.fourStarTankLabel, "fourStarTankLabel", 579, cc.size(16, 34), cc.p(21.8458, 47.6824), nil, nil, nil, nil, nil)
	self.fourStarTankLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.topPanel_3, self.fourStarTankLabel)

	self.star4Sp = cc.Sprite:create()
	setValue(self.star4Sp, "star4Sp", 584, cc.size(40, 38), cc.p(63.5403, 47.6824), nil, nil, nil, nil, nil)
	self.star4Sp:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.topPanel_3, self.star4Sp)

	self.star4Sp = cc.Sprite:create()
	setValue(self.star4Sp, "star4Sp", 585, cc.size(40, 38), cc.p(223.1467, 47.6824), nil, nil, nil, nil, nil)
	self.star4Sp:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.topPanel_3, self.star4Sp)

	self.star2Sp = cc.Sprite:create()
	setValue(self.star2Sp, "star2Sp", 586, cc.size(40, 38), cc.p(382.5387, 48.0429), nil, nil, nil, nil, nil)
	self.star2Sp:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.topPanel_3, self.star2Sp)

	self.star1Sp = cc.Sprite:create()
	setValue(self.star1Sp, "star1Sp", 587, cc.size(40, 38), cc.p(542.1437, 48.0429), nil, nil, nil, nil, nil)
	self.star1Sp:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.topPanel_3, self.star1Sp)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/common.plist",
}

return _M
