-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_1 = cc.Node:create()
	setValue(self.Node_1, "Node_1", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_1)
 	self.uiRootNode = self.Node_1
	self.Node_1_0 = self.Node_1

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 128, cc.size(640, 172), nil, nil, nil, nil, nil, nil)
	setBgColor(self.rootPanel, 1, 0, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.Node_1_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.addPanel = ccui.Layout:create()
	setValue(self.addPanel, "addPanel", 93, cc.size(640, 100), cc.p(0, 5), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.addPanel)

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "XNN_bgImage", 301, cc.size(612, 162), cc.p(320, 86), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/commonBg/common_img_ditiao.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(0, 0, 612, 167))
	addChildForPre(self.rootPanel_1, self.bgImage)

	self.rightPanel = ccui.Layout:create()
	setValue(self.rightPanel, "rightPanel", 4316, cc.size(420, 162), cc.p(412.032, 88.7176), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.rightPanel)
	self.rightPanel_2 = self.rightPanel

	self.labelBgImage = ccui.ImageView:create()
	setValue(self.labelBgImage, "labelBgImage", 315, cc.size(270, 40), cc.p(147.252, 115.02), nil, nil, nil, nil, false)
	self.labelBgImage:loadTexture("ccs/UiImages/image9/common_s9_diban.png", 1)
	self.labelBgImage:setScale9Enabled(true)
	self.labelBgImage:setCapInsets(cc.rect(10, 10, 14, 14))
	addChildForPre(self.rightPanel_2, self.labelBgImage)

	self.StarImage = cc.Sprite:create()
	setValue(self.StarImage, "StarImage", 4313, cc.size(40, 38), cc.p(77.196, 58.239), cc.p(1, 0.5), nil, nil, nil, nil)
	self.StarImage:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.rightPanel_2, self.StarImage)

	self.viewButton = ccui.Button:create()
	setValue(self.viewButton, "viewButton", 318, cc.size(196, 69), cc.p(301.4795, 47.3911), nil, nil, nil, nil, nil)
	self.viewButton:loadTextureNormal("ccs/UiImages/image9/CommonPanel_btn_bigblue_0.png", 1)
	self.viewButton:loadTexturePressed("ccs/UiImages/image9/CommonPanel_btn_bigblue_1.png", 1)
	self.viewButton:loadTextureDisabled("ccs/UiImages/image9/CommonPanel_btn_bigblue_0.png", 1)
	self.viewButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.viewButton:setTitleText([[]])
	self.viewButton:setTitleFontSize(18)
	self.viewButton:setTitleFontName(getFont())
	setClickEvent(self, self.viewButton, "viewButton")
	addChildForPre(self.rightPanel_2, self.viewButton)
	self.viewButton_3 = self.viewButton

	self.viewButtonRedSprite = cc.Sprite:create()
	setValue(self.viewButtonRedSprite, "viewButtonRedSprite", 525, cc.size(24, 24), cc.p(176.4, 55.2), nil, nil, nil, nil, nil)
	self.viewButtonRedSprite:setVisible(false)
	self.viewButtonRedSprite:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.viewButton_3, self.viewButtonRedSprite)

	self.btnNameLabel = createLabel({text=[[战舰培养]], font=getFont(), size=28})
	setValue(self.btnNameLabel, "btnNameLabel", 729, cc.size(112, 32), cc.p(80, 34), nil, nil, nil, nil, nil)
	self.btnNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.viewButton_3, self.btnNameLabel)

	self.arrowSprite = cc.Sprite:create()
	setValue(self.arrowSprite, "arrowSprite", 731, cc.size(39, 42), cc.p(159, 34), nil, nil, nil, nil, nil)
	self.arrowSprite:setFlippedY(true)
	self.arrowSprite:setSpriteFrame("ccs/UiImages/image9/commonBtn_jixu.png")
	addChildForPre(self.viewButton_3, self.arrowSprite)

	self.qualityTitleLabel = createLabel({text=[[5]], font=getFont(), size=24,valign = 1})
	setValue(self.qualityTitleLabel, "qualityTitleLabel", 4311, cc.size(13, 28), cc.p(20.328, 58.239), cc.p(0, 0.5), nil, nil, nil, nil)
	self.qualityTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rightPanel_2, self.qualityTitleLabel)

	self.tankNameLabel = createLabel({text=[[tankName]], font=getFont(), size=24,valign = 1})
	setValue(self.tankNameLabel, "tankNameLabel", 4308, cc.size(109, 28), cc.p(27.594, 115.02), cc.p(0, 0.5), cc.c4b(255, 127, 0, 255), nil, nil, nil)
	self.tankNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.tankNameLabel:setColor(cc.c4b(255, 127, 0, 255))
	addChildForPre(self.rightPanel_2, self.tankNameLabel)

	self.colourLabel = createLabel({text=[[tankName]], font=getFont(), size=24,valign = 1})
	setValue(self.colourLabel, "colourLabel", 477, cc.size(109, 28), cc.p(84, 58.239), cc.p(0, 0.5), cc.c4b(255, 127, 0, 255), nil, nil, nil)
	self.colourLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.colourLabel:setColor(cc.c4b(255, 127, 0, 255))
	addChildForPre(self.rightPanel_2, self.colourLabel)

	self.Image_6 = ccui.ImageView:create()
	setValue(self.Image_6, "Image_6", 79, cc.size(177, 111), cc.p(-79.9731, 79.9703), nil, nil, nil, nil, nil)
	self.Image_6:loadTexture("ccs/UiImages/common/commonPanelParts_img_iconbg_1.png", 1)
	addChildForPre(self.rightPanel_2, self.Image_6)

	self.uplineSprite = cc.Sprite:create()
	setValue(self.uplineSprite, "uplineSprite", 228, cc.size(46, 46), cc.p(346.0136, 126.398), nil, nil, nil, nil, nil)
	self.uplineSprite:setTexture("Default/Sprite.png")
	addChildForPre(self.rightPanel_2, self.uplineSprite)

	if PaperIconUi then 
 		self.paperIconUi = PaperIconUi.new() 
 	else 
		self.paperIconUi = BaseUi.new("ccs/ui/paper/PaperIconUi.lua")
 	end 
	setValue(self.paperIconUi, "paperIconUi", 177, nil, cc.p(23.616, 5.1084), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.paperIconUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/common.plist",
	"Default/Sprite.png",
}

return _M
