-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_0 = cc.Node:create()
	setValue(self.Node_0, "Node_0", 1174, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_0)
 	self.uiRootNode = self.Node_0
	self.Node_0_0 = self.Node_0

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 1361, cc.size(640, 960), cc.p(0.0004, 2.1115), nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.listViewPanel = ccui.Layout:create()
	setValue(self.listViewPanel, "NIX_listViewPanel", 1362, cc.size(640, 584), cc.p(320, 782.4), cc.p(0.5, 1), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.listViewPanel)

	self.buttonPanel = ccui.Layout:create()
	setValue(self.buttonPanel, "BXN_buttonPanel", 3027, cc.size(640, 200), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.buttonPanel)
	self.buttonPanel_2 = self.buttonPanel

	self.highButton = ccui.Button:create()
	setValue(self.highButton, "highButton", 3029, cc.size(153, 64), cc.p(317.6625, 40.96), nil, nil, nil, nil, false)
	self.highButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.highButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.highButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.highButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.highButton:setTitleText([[Button]])
	self.highButton:setTitleFontSize(24)
	self.highButton:setTitleFontName(getFont())
	setClickEvent(self, self.highButton, "highButton")
	addChildForPre(self.buttonPanel_2, self.highButton)

	self.lowButton = ccui.Button:create()
	setValue(self.lowButton, "lowButton", 3030, cc.size(153, 64), cc.p(513.664, 40.956), nil, nil, nil, nil, nil)
	self.lowButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.lowButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.lowButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.lowButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.lowButton:setTitleText([[]])
	self.lowButton:setTitleFontSize(24)
	self.lowButton:setTitleFontName(getFont())
	setClickEvent(self, self.lowButton, "lowButton")
	addChildForPre(self.buttonPanel_2, self.lowButton)

	self.btnTopImage = ccui.ImageView:create()
	setValue(self.btnTopImage, "WTX_btnTopImage", 3031, cc.size(640, 30), cc.p(320, 112.8), nil, nil, nil, nil, false)
	self.btnTopImage:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.btnTopImage:setScale9Enabled(true)
	self.btnTopImage:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.buttonPanel_2, self.btnTopImage)

	self.btnEndImage = ccui.ImageView:create()
	setValue(self.btnEndImage, "WBX_btnEndImage", 3032, cc.size(640, 8), cc.p(320, 0), nil, nil, nil, nil, false)
	self.btnEndImage:loadTexture("ccs/UiImages/image9/common_img_jiemian02.png", 1)
	self.btnEndImage:setScale9Enabled(true)
	self.btnEndImage:setCapInsets(cc.rect(0, 0, 640, 8))
	addChildForPre(self.buttonPanel_2, self.btnEndImage)

	self.zuanSprite = cc.Sprite:create()
	setValue(self.zuanSprite, "zuanSprite", 3112, cc.size(35, 35), cc.p(262.9799, 88.3292), nil, nil, nil, nil, nil)
	self.zuanSprite:setSpriteFrame("ccs/UiImages/common/commonIcon_icon_ZuanShi_2.png")
	addChildForPre(self.buttonPanel_2, self.zuanSprite)

	self.highTitleLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.highTitleLabel, "highTitleLabel", 3113, cc.size(109, 28), cc.p(282.688, 88.332), cc.p(0, 0.5), nil, nil, nil, nil)
	self.highTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.buttonPanel_2, self.highTitleLabel)

	self.lowTitleLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.lowTitleLabel, "lowTitleLabel", 3114, cc.size(109, 28), cc.p(513.9149, 88.3292), nil, nil, nil, nil, nil)
	self.lowTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.buttonPanel_2, self.lowTitleLabel)

	self.reductionButton = ccui.Button:create()
	setValue(self.reductionButton, "reductionButton", 477, cc.size(153, 64), cc.p(123, 40.96), nil, nil, nil, nil, false)
	self.reductionButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.reductionButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.reductionButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.reductionButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.reductionButton:setTitleText([[Button]])
	self.reductionButton:setTitleFontSize(24)
	self.reductionButton:setTitleFontName(getFont())
	setClickEvent(self, self.reductionButton, "reductionButton")
	addChildForPre(self.buttonPanel_2, self.reductionButton)

	self.reductionLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.reductionLabel, "reductionLabel", 478, cc.size(109, 28), cc.p(96.4, 88.332), cc.p(0, 0.5), nil, nil, nil, nil)
	self.reductionLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.buttonPanel_2, self.reductionLabel)

	self.zuan2Sprite = cc.Sprite:create()
	setValue(self.zuan2Sprite, "zuan2Sprite", 479, cc.size(35, 35), cc.p(77.2, 88.332), nil, nil, nil, nil, nil)
	self.zuan2Sprite:setSpriteFrame("ccs/UiImages/common/commonIcon_icon_ZuanShi_2.png")
	addChildForPre(self.buttonPanel_2, self.zuan2Sprite)

	if PaperSelectNewUi then 
 		self.paperSelectNewUi = PaperSelectNewUi.new() 
 	else 
		self.paperSelectNewUi = BaseUi.new("ccs/ui/paper/PaperSelectNewUi.lua")
 	end 
	setValue(self.paperSelectNewUi, "paperSelectNewUi", 132, nil, cc.p(0, 112.8), nil, nil, nil, nil, nil)
	addChildForPre(self.buttonPanel_2, self.paperSelectNewUi)

	self.paperPanel = ccui.Layout:create()
	setValue(self.paperPanel, "TXN_paperPanel", 3033, cc.size(640, 50), cc.p(0, 782.4), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.paperPanel)
	self.paperPanel_2 = self.paperPanel

	self.highSprite = cc.Sprite:create()
	setValue(self.highSprite, "highSprite", 3034, cc.size(135, 93), cc.p(50.1444, 17.636), nil, nil, nil, nil, nil)
	self.highSprite:setScale(0.5)
	self.highSprite:setSpriteFrame("ccs/UiImages/mall/Props_icon_2.png")
	addChildForPre(self.paperPanel_2, self.highSprite)

	self.lowSprite = cc.Sprite:create()
	setValue(self.lowSprite, "lowSprite", 3035, cc.size(144, 102), cc.p(189.289, 18.8457), nil, nil, nil, nil, nil)
	self.lowSprite:setScale(0.5)
	self.lowSprite:setSpriteFrame("ccs/UiImages/mall/Props_icon_1.png")
	addChildForPre(self.paperPanel_2, self.lowSprite)

	self.highLabel = createLabel({text=[[100]], font=getFont(), size=24})
	setValue(self.highLabel, "highLabel", 3036, cc.size(40, 28), cc.p(84.1509, 17.6356), cc.p(0, 0.5), nil, nil, nil, nil)
	self.highLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.paperPanel_2, self.highLabel)

	self.lowLabel = createLabel({text=[[100]], font=getFont(), size=24})
	setValue(self.lowLabel, "lowLabel", 3037, cc.size(40, 28), cc.p(226.011, 20.0551), cc.p(0, 0.5), nil, nil, nil, nil)
	self.lowLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.paperPanel_2, self.lowLabel)

	self.selectButton = ccui.Button:create()
	setValue(self.selectButton, "selectButton", 3028, cc.size(153, 64), cc.p(426.4319, 17.065), nil, nil, nil, nil, false)
	self.selectButton:setVisible(false)
	self.selectButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.selectButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.selectButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.selectButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.selectButton:setTitleText([[Button]])
	self.selectButton:setTitleFontSize(24)
	self.selectButton:setTitleFontName(getFont())
	setClickEvent(self, self.selectButton, "selectButton")
	addChildForPre(self.paperPanel_2, self.selectButton)

	self.exchangeButton = ccui.Button:create()
	setValue(self.exchangeButton, "exchangeButton", 3038, cc.size(81, 26), cc.p(563.2, 19), nil, cc.c4b(0, 187, 238, 255), nil, nil, false)
	self.exchangeButton:loadTextureNormal("ccs/UiImages/image9/Underline.png", 1)
	self.exchangeButton:loadTexturePressed("ccs/UiImages/image9/Underline.png", 1)
	self.exchangeButton:loadTextureDisabled("ccs/UiImages/image9/Underline.png", 1)
	self.exchangeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.exchangeButton:setTitleText([[Button]])
	self.exchangeButton:setTitleFontSize(24)
	self.exchangeButton:setTitleFontName(getFont())
	setClickEvent(self, self.exchangeButton, "exchangeButton")
	addChildForPre(self.paperPanel_2, self.exchangeButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/common.plist",
	"ccs/plist/mall.plist",
}

return _M
