-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 25, cc.size(604, 365), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.equipNameBg = cc.Sprite:create()
	setValue(self.equipNameBg, "equipNameBg", 714, cc.size(179, 42), cc.p(302, 328.5), nil, nil, nil, nil, nil)
	self.equipNameBg:setSpriteFrame("ccs/UiImages/common/longMarch_img_txtbg_2.png")
	addChildForPre(self.rootPanel_1, self.equipNameBg)
	self.equipNameBg_2 = self.equipNameBg

	self.equipNameLabel = createLabel({text=[[equipName]], font=getFont(), size=24})
	setValue(self.equipNameLabel, "equipNameLabel", 715, cc.size(122, 28), cc.p(89.5, 21), nil, nil, nil, nil, nil)
	self.equipNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.equipNameBg_2, self.equipNameLabel)

	self.equipIcon = cc.Sprite:create()
	setValue(self.equipIcon, "equipIcon", 242, cc.size(46, 46), cc.p(302, 182.5), nil, nil, nil, nil, nil)
	self.equipIcon:setTexture("Default/Sprite.png")
	addChildForPre(self.rootPanel_1, self.equipIcon)

	self.info1Button = ccui.Button:create()
	self.info1Button:setScale9Enabled(true)
	self.info1Button:setCapInsets(cc.rect(0, 0, 46, 36))
	self.info1Button:setContentSize(cc.size(200, 200))
	setValue(self.info1Button, "info1Button", 716, nil, cc.p(302, 182.5), nil, nil, 0, nil, false)
	self.info1Button:loadTextureNormal("Default/Button_Normal.png", 0)
	self.info1Button:loadTexturePressed("Default/Button_Press.png", 0)
	self.info1Button:loadTextureDisabled("Default/Button_Disable.png", 0)
	self.info1Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.info1Button:setTitleText([[Button]])
	self.info1Button:setTitleColor(cc.c3b(65, 65, 70))
	self.info1Button:setTitleFontSize(14)
	self.info1Button:setTitleFontName(getFont())
	setClickEvent(self, self.info1Button, "info1Button")
	addChildForPre(self.rootPanel_1, self.info1Button)

	if RobPiecePieceIconUi then 
 		self.piece1_RobPiecePieceIconUi = RobPiecePieceIconUi.new() 
 	else 
		self.piece1_RobPiecePieceIconUi = BaseUi.new("ccs/ui/robPiece/RobPiecePieceIconUi.lua")
 	end 
	setValue(self.piece1_RobPiecePieceIconUi, "piece1_RobPiecePieceIconUi", 30, nil, cc.p(90.6, 292), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.piece1_RobPiecePieceIconUi)

	if RobPiecePieceIconUi then 
 		self.piece2_RobPiecePieceIconUi = RobPiecePieceIconUi.new() 
 	else 
		self.piece2_RobPiecePieceIconUi = BaseUi.new("ccs/ui/robPiece/RobPiecePieceIconUi.lua")
 	end 
	setValue(self.piece2_RobPiecePieceIconUi, "piece2_RobPiecePieceIconUi", 36, nil, cc.p(90.6, 73), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.piece2_RobPiecePieceIconUi)

	if RobPiecePieceIconUi then 
 		self.piece3_RobPiecePieceIconUi = RobPiecePieceIconUi.new() 
 	else 
		self.piece3_RobPiecePieceIconUi = BaseUi.new("ccs/ui/robPiece/RobPiecePieceIconUi.lua")
 	end 
	setValue(self.piece3_RobPiecePieceIconUi, "piece3_RobPiecePieceIconUi", 42, nil, cc.p(513.4, 73), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.piece3_RobPiecePieceIconUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/common.plist",
	"Default/Sprite.png",
	"Default/Button_Disable.png",
	"Default/Button_Press.png",
	"Default/Button_Normal.png",
}

return _M
