-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 81, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "dialogPanel", 11, cc.size(495, 350), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.bigBGImage = ccui.ImageView:create()
	setValue(self.bigBGImage, "bigBGImage", 475, cc.size(495, 350), cc.p(247.5, 175), nil, nil, nil, nil, false)
	self.bigBGImage:loadTexture("ccs/UiImages/image9/commonPanel_s9_bg_1.png", 1)
	self.bigBGImage:setScale9Enabled(true)
	self.bigBGImage:setCapInsets(cc.rect(42, 30, 88, 10))
	addChildForPre(self.dialogPanel_2, self.bigBGImage)

	self.floorPanel = ccui.Layout:create()
	setValue(self.floorPanel, "floorPanel", 677, cc.size(470, 246), cc.p(247.5, 215.5), cc.p(0.5, 0.5), nil, nil, nil, nil)
	setBgColor(self.floorPanel, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.floorPanel)
	self.floorPanel_3 = self.floorPanel

	self.floorBg = ccui.ImageView:create()
	setValue(self.floorBg, "floorBg", 678, cc.size(470, 246), cc.p(235, 123), nil, nil, nil, nil, false)
	self.floorBg:loadTexture("ccs/UiImages/image9/CommonPanel_img_chuangkoubeijing_1.png", 1)
	self.floorBg:setScale9Enabled(true)
	self.floorBg:setCapInsets(cc.rect(0, 0, 470, 5))
	addChildForPre(self.floorPanel_3, self.floorBg)

	self.contentPanel = ccui.Layout:create()
	setValue(self.contentPanel, "contentPanel", 2647, cc.size(460, 160), cc.p(247.5, 199.5), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.contentPanel)
	self.contentPanel_3 = self.contentPanel

	self.contentImageBg = ccui.ImageView:create()
	setValue(self.contentImageBg, "contentImageBg", 2648, cc.size(460, 160), cc.p(230, 80), nil, nil, nil, nil, false)
	self.contentImageBg:loadTexture("ccs/UiImages/commonBg/common_img_ditiao.png", 1)
	self.contentImageBg:setScale9Enabled(true)
	self.contentImageBg:setCapInsets(cc.rect(0, 0, 612, 167))
	addChildForPre(self.contentPanel_3, self.contentImageBg)

	self.pieceIconBg = ccui.ImageView:create()
	setValue(self.pieceIconBg, "pieceIconBg", 2652, cc.size(107, 107), cc.p(64.4, 80), nil, nil, nil, nil, false)
	self.pieceIconBg:loadTexture("ccs/UiImages/image9/common_s9_diban.png", 1)
	self.pieceIconBg:setScale9Enabled(true)
	self.pieceIconBg:setCapInsets(cc.rect(10, 10, 14, 14))
	addChildForPre(self.contentPanel_3, self.pieceIconBg)

	self.pieceIcon = cc.Sprite:create()
	setValue(self.pieceIcon, "pieceIcon", 2654, cc.size(46, 46), cc.p(64.4, 80), nil, nil, nil, nil, nil)
	self.pieceIcon:setTexture("Default/Sprite.png")
	addChildForPre(self.contentPanel_3, self.pieceIcon)

	self.pieceNameBg = ccui.ImageView:create()
	setValue(self.pieceNameBg, "pieceNameBg", 2650, cc.size(325, 40), cc.p(283.084, 112.912), nil, nil, nil, nil, false)
	self.pieceNameBg:loadTexture("ccs/UiImages/image9/common_s9_diban.png", 1)
	self.pieceNameBg:setScale9Enabled(true)
	self.pieceNameBg:setCapInsets(cc.rect(10, 10, 14, 14))
	addChildForPre(self.contentPanel_3, self.pieceNameBg)
	self.pieceNameBg_4 = self.pieceNameBg

	self.pieceNameLabel = createLabel({text=[[pieceName]], font=getFont(), size=20,valign = 1, dimensions = cc.size(305.5000, 40.0000)})
	setValue(self.pieceNameLabel, "pieceNameLabel", 2651, cc.size(305.5, 40), cc.p(9.75, 20), cc.p(0, 0.5), nil, nil, nil, false)
	self.pieceNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.pieceNameBg_4, self.pieceNameLabel)

	self.descBGImage = ccui.ImageView:create()
	setValue(self.descBGImage, "descBGImage", 476, cc.size(325, 70), cc.p(283.084, 60.8), nil, nil, nil, nil, false)
	self.descBGImage:loadTexture("ccs/UiImages/image9/common_s9_diban.png", 1)
	self.descBGImage:setScale9Enabled(true)
	self.descBGImage:setCapInsets(cc.rect(10, 10, 14, 14))
	addChildForPre(self.contentPanel_3, self.descBGImage)
	self.descBGImage_4 = self.descBGImage

	self.pieceDescLabel = createLabel({text=[[碎片描述]], font=getFont(), size=20,valign = 1, dimensions = cc.size(305.5000, 70.0000)})
	setValue(self.pieceDescLabel, "pieceDescLabel", 15, cc.size(305.5, 70), cc.p(9.75, 35), cc.p(0, 0.5), nil, nil, nil, false)
	self.pieceDescLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.descBGImage_4, self.pieceDescLabel)

	self.imageTitle = ccui.ImageView:create()
	setValue(self.imageTitle, "imageTitle", 101, cc.size(462, 106), cc.p(247.5, 343), nil, nil, nil, nil, nil)
	self.imageTitle:setScale(0.6)
	self.imageTitle:loadTexture("ccs/UiImages/commonBg/CommonPanel_img_WinHeader_1.png", 1)
	addChildForPre(self.dialogPanel_2, self.imageTitle)

	self.pieceTitleLabel = createLabel({text=[[pieceTitle]], font=getFont(), size=28})
	setValue(self.pieceTitleLabel, "pieceTitleLabel", 14, cc.size(118, 32), cc.p(247.5, 345.505), nil, nil, nil, nil, nil)
	self.pieceTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.pieceTitleLabel)

	self.buttonsBg = ccui.ImageView:create()
	setValue(self.buttonsBg, "buttonsBg", 2781, cc.size(466, 79), cc.p(247.5, 52.5), nil, nil, nil, nil, nil)
	self.buttonsBg:loadTexture("ccs/UiImages/commonBg/CommonPanel_img_bg_1.jpg", 1)
	addChildForPre(self.dialogPanel_2, self.buttonsBg)

	self.robButton = ccui.Button:create()
	setValue(self.robButton, "robButton", 16, cc.size(153, 64), cc.p(371.25, 56), nil, nil, nil, nil, false)
	self.robButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.robButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.robButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.robButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.robButton:setTitleText([[掠夺*]])
	self.robButton:setTitleFontSize(25)
	self.robButton:setTitleFontName(getFont())
	setClickEvent(self, self.robButton, "robButton")
	addChildForPre(self.dialogPanel_2, self.robButton)

	self.closeBtButton = ccui.Button:create()
	setValue(self.closeBtButton, "closeBtButton", 17, cc.size(153, 64), cc.p(247.5, 56), nil, nil, nil, nil, false)
	self.closeBtButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.closeBtButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.closeBtButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.closeBtButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.closeBtButton:setTitleText([[关闭*]])
	self.closeBtButton:setTitleFontSize(25)
	self.closeBtButton:setTitleFontName(getFont())
	setClickEvent(self, self.closeBtButton, "closeBtButton")
	addChildForPre(self.dialogPanel_2, self.closeBtButton)

	self.cancelButton = ccui.Button:create()
	setValue(self.cancelButton, "cancelButton", 18, cc.size(153, 64), cc.p(123.75, 56), nil, nil, nil, nil, false)
	self.cancelButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.cancelButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.cancelButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.cancelButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.cancelButton:setTitleText([[取消*]])
	self.cancelButton:setTitleFontSize(25)
	self.cancelButton:setTitleFontName(getFont())
	setClickEvent(self, self.cancelButton, "cancelButton")
	addChildForPre(self.dialogPanel_2, self.cancelButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/commonBg.plist",
	"Default/Sprite.png",
}

return _M
