-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 16, cc.size(609, 170), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bigPanel = ccui.Layout:create()
	setValue(self.bigPanel, "bigPanel", 25, cc.size(609, 160), cc.p(304.5, 85), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.bigPanel)
	self.bigPanel_2 = self.bigPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 626, cc.size(612, 167), cc.p(304.5, 80), nil, nil, nil, nil, nil)
	self.bgImage:loadTexture("ccs/UiImages/commonBg/common_img_ditiao.png", 1)
	addChildForPre(self.bigPanel_2, self.bgImage)

	self.bgsprite = cc.Sprite:create()
	setValue(self.bgsprite, "bgsprite", 627, cc.size(462, 143), cc.p(223, 82), nil, nil, nil, nil, nil)
	self.bgsprite:setScale(0.9)
	self.bgsprite:setTexture("ccs/UiImages/commonBg/battle_img_paihang04.png")
	addChildForPre(self.bigPanel_2, self.bgsprite)

	self.tankIcon = cc.Sprite:create()
	setValue(self.tankIcon, "tankIcon", 2937, cc.size(46, 46), cc.p(268, 75), nil, nil, nil, nil, nil)
	self.tankIcon:setTexture("Default/Sprite.png")
	addChildForPre(self.bigPanel_2, self.tankIcon)

	self.tankNameLabel = createLabel({text=[[tankName]], font=getFont(), size=20})
	setValue(self.tankNameLabel, "tankNameLabel", 2938, cc.size(91, 23), cc.p(268, 36), nil, nil, nil, nil, nil)
	self.tankNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.tankNameLabel)

	self.userNameLabel = createLabel({text=[[玩家名字玩家名字]], font=getFont(), size=24})
	setValue(self.userNameLabel, "userNameLabel", 17, cc.size(192, 28), cc.p(67.8437, 123.6), cc.p(0, 0.5), nil, nil, nil, nil)
	self.userNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.userNameLabel)

	self.userLevelLabel = createLabel({text=[[Lv]], font=getFont(), size=24})
	setValue(self.userLevelLabel, "userLevelLabel", 18, cc.size(25, 28), cc.p(31.9029, 123.6), cc.p(0, 0.5), cc.c4b(255, 220, 0, 255), nil, nil, nil)
	self.userLevelLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.userLevelLabel:setColor(cc.c4b(255, 220, 0, 255))
	addChildForPre(self.bigPanel_2, self.userLevelLabel)

	self.allianceImage = ccui.ImageView:create()
	setValue(self.allianceImage, "allianceImage", 234, cc.size(46, 46), cc.p(85.0606, 65.992), nil, nil, nil, nil, nil)
	self.allianceImage:loadTexture("Default/ImageFile.png")
	addChildForPre(self.bigPanel_2, self.allianceImage)

	self.robTenButton = ccui.Button:create()
	setValue(self.robTenButton, "robTenButton", 12, cc.size(153, 64), cc.p(512.1221, 116), nil, nil, nil, nil, false)
	self.robTenButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.robTenButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.robTenButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.robTenButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.robTenButton:setTitleText([[robTen]])
	self.robTenButton:setTitleFontSize(25)
	self.robTenButton:setTitleFontName(getFont())
	setClickEvent(self, self.robTenButton, "robTenButton")
	addChildForPre(self.bigPanel_2, self.robTenButton)

	self.rob1Button = ccui.Button:create()
	setValue(self.rob1Button, "rob1Button", 235, cc.size(153, 64), cc.p(512.1221, 80), nil, nil, nil, nil, false)
	self.rob1Button:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.rob1Button:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.rob1Button:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.rob1Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.rob1Button:setTitleText([[rob]])
	self.rob1Button:setTitleFontSize(25)
	self.rob1Button:setTitleFontName(getFont())
	setClickEvent(self, self.rob1Button, "rob1Button")
	addChildForPre(self.bigPanel_2, self.rob1Button)

	self.rob2Button = ccui.Button:create()
	setValue(self.rob2Button, "rob2Button", 120, cc.size(153, 64), cc.p(512.1221, 47.2), nil, nil, nil, nil, false)
	self.rob2Button:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.rob2Button:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.rob2Button:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.rob2Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.rob2Button:setTitleText([[rob]])
	self.rob2Button:setTitleFontSize(25)
	self.rob2Button:setTitleFontName(getFont())
	setClickEvent(self, self.rob2Button, "rob2Button")
	addChildForPre(self.bigPanel_2, self.rob2Button)

	self.probabilityLabel = createLabel({text=[[probability]], font=getFont(), size=22,align = 1,valign = 1})
	setValue(self.probabilityLabel, "probabilityLabel", 604, cc.size(100, 26), cc.p(370.1103, 130.4), nil, cc.c4b(0, 255, 180, 255), nil, nil, nil)
	self.probabilityLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.probabilityLabel:setColor(cc.c4b(0, 255, 180, 255))
	addChildForPre(self.bigPanel_2, self.probabilityLabel)

	self.probabilitySprite = cc.Sprite:create()
	setValue(self.probabilitySprite, "probabilitySprite", 164, cc.size(139, 85), cc.p(362, 116), nil, nil, nil, nil, nil)
	self.probabilitySprite:setSpriteFrame("ccs/UiImages/common/longMarch_img_yinzhang1.png")
	addChildForPre(self.bigPanel_2, self.probabilitySprite)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/UiImages/commonBg/battle_img_paihang04.png",
	"Default/Sprite.png",
	"Default/ImageFile.png",
	"ccs/plist/image9.plist",
	"ccs/plist/common.plist",
}

return _M
