-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 94, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 97, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "dialogPanel", 98, cc.size(495, 350), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.imageBg = ccui.ImageView:create()
	setValue(self.imageBg, "imageBg", 974, cc.size(495, 350), cc.p(247.5, 175), nil, nil, nil, nil, false)
	self.imageBg:loadTexture("ccs/UiImages/image9/commonPanel_s9_bg_1.png", 1)
	self.imageBg:setScale9Enabled(true)
	self.imageBg:setCapInsets(cc.rect(42, 30, 88, 10))
	addChildForPre(self.dialogPanel_2, self.imageBg)

	self.floorPanel = ccui.Layout:create()
	setValue(self.floorPanel, "floorPanel", 692, cc.size(470, 200), cc.p(247.5, 238), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.floorPanel:setScaleX(1)
	self.floorPanel:setScaleY(1.01)
	setBgColor(self.floorPanel, 1, 102, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.floorPanel)
	self.floorPanel_3 = self.floorPanel

	self.florImage = ccui.ImageView:create()
	setValue(self.florImage, "florImage", 694, cc.size(470, 200), cc.p(235, 100), nil, nil, nil, nil, false)
	self.florImage:loadTexture("ccs/UiImages/image9/CommonPanel_img_chuangkoubeijing_1.png", 1)
	self.florImage:setScale9Enabled(true)
	self.florImage:setCapInsets(cc.rect(0, 0, 470, 5))
	addChildForPre(self.floorPanel_3, self.florImage)

	self.listViewPanel = ccui.Layout:create()
	setValue(self.listViewPanel, "listViewPanel", 261, cc.size(420, 160), cc.p(247.5, 224), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.listViewPanel)
	self.listViewPanel_3 = self.listViewPanel

	self.listViewBGImage = ccui.ImageView:create()
	setValue(self.listViewBGImage, "listViewBGImage", 343, cc.size(420, 160), cc.p(210, 80), nil, nil, nil, nil, false)
	self.listViewBGImage:loadTexture("ccs/UiImages/image9/common_s9_diban.png", 1)
	self.listViewBGImage:setScale9Enabled(true)
	self.listViewBGImage:setCapInsets(cc.rect(8, 8, 18, 18))
	addChildForPre(self.listViewPanel_3, self.listViewBGImage)

	self.buttonImageBg = ccui.ImageView:create()
	setValue(self.buttonImageBg, "buttonImageBg", 693, cc.size(466, 79), cc.p(247.5, 55), nil, nil, nil, nil, nil)
	self.buttonImageBg:loadTexture("ccs/UiImages/commonBg/CommonPanel_img_bg_1.jpg", 1)
	addChildForPre(self.dialogPanel_2, self.buttonImageBg)

	self.buyButton = ccui.Button:create()
	setValue(self.buyButton, "buyButton", 299, cc.size(153, 64), cc.p(123.75, 56), nil, nil, nil, nil, false)
	self.buyButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.buyButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.buyButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.buyButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.buyButton:setTitleText([[buy]])
	self.buyButton:setTitleFontSize(25)
	self.buyButton:setTitleFontName(getFont())
	setClickEvent(self, self.buyButton, "buyButton")
	addChildForPre(self.dialogPanel_2, self.buyButton)

	self.useButton = ccui.Button:create()
	setValue(self.useButton, "useButton", 672, cc.size(153, 64), cc.p(371.25, 56), nil, nil, nil, nil, false)
	self.useButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.useButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.useButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.useButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.useButton:setTitleText([[use]])
	self.useButton:setTitleFontSize(25)
	self.useButton:setTitleFontName(getFont())
	setClickEvent(self, self.useButton, "useButton")
	addChildForPre(self.dialogPanel_2, self.useButton)

	self.IconDiamond = cc.Sprite:create()
	setValue(self.IconDiamond, "IconDiamond", 130, cc.size(35, 35), cc.p(100.782, 113.505), nil, nil, nil, nil, nil)
	self.IconDiamond:setSpriteFrame("ccs/UiImages/common/commonIcon_icon_ZuanShi_2.png")
	addChildForPre(self.dialogPanel_2, self.IconDiamond)

	self.diamondLabel = createLabel({text=[[diamondLabel]], font=getFont(), size=24})
	setValue(self.diamondLabel, "diamondLabel", 131, cc.size(150, 28), cc.p(120.582, 113.505), cc.p(0, 0.5), nil, nil, nil, nil)
	self.diamondLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.diamondLabel)

	self.ownlabel = createLabel({text=[[ownlabel]], font=getFont(), size=24})
	setValue(self.ownlabel, "ownlabel", 132, cc.size(94, 28), cc.p(346.5, 111.51), nil, nil, nil, nil, nil)
	self.ownlabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.ownlabel)

	self.imageTitle = ccui.ImageView:create()
	setValue(self.imageTitle, "imageTitle", 975, cc.size(277, 64), cc.p(247.5, 346.01), nil, nil, nil, nil, false)
	self.imageTitle:loadTexture("ccs/UiImages/commonBg/CommonPanel_img_WinHeader_1.png", 1)
	self.imageTitle:setScale9Enabled(true)
	self.imageTitle:setCapInsets(cc.rect(0, 0, 462, 106))
	addChildForPre(self.dialogPanel_2, self.imageTitle)
	self.imageTitle_3 = self.imageTitle

	self.descLabel = createLabel({text=[[descLabel]], font=getFont(), size=24})
	setValue(self.descLabel, "descLabel", 133, cc.size(109, 28), cc.p(138.5, 32), nil, nil, nil, nil, nil)
	self.descLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.imageTitle_3, self.descLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/commonBg.plist",
	"ccs/plist/common.plist",
}

return _M
