-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 66, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 10, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "AXY_Panel", 199, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Panel)
	self.Panel_2 = self.Panel

	self.backButton = ccui.ImageView:create()
	setValue(self.backButton, "TRN_backButton", 34, cc.size(46, 46), cc.p(570.7999, 900.9896), nil, nil, nil, nil, nil)
	self.backButton:loadTexture("Default/ImageFile.png")
	addChildForPre(self.Panel_2, self.backButton)

	self.choicePanel1 = ccui.Layout:create()
	setValue(self.choicePanel1, "TXN_choicePanel1", 12, cc.size(640, 200), cc.p(320, 518.4), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.choicePanel1)
	self.choicePanel1_3 = self.choicePanel1

	self.sprite6 = cc.Sprite:create()
	setValue(self.sprite6, "sprite6", 38, cc.size(46, 46), cc.p(346.88, 108.46), nil, nil, nil, nil, nil)
	self.sprite6:setTexture("Default/Sprite.png")
	addChildForPre(self.choicePanel1_3, self.sprite6)

	self.sprite1 = cc.Sprite:create()
	setValue(self.sprite1, "sprite1", 14, cc.size(46, 46), cc.p(313.6, 212), nil, nil, nil, nil, nil)
	self.sprite1:setTexture("Default/Sprite.png")
	addChildForPre(self.choicePanel1_3, self.sprite1)

	self.sprite2 = cc.Sprite:create()
	setValue(self.sprite2, "sprite2", 16, cc.size(409, 50), cc.p(262.4, 18.08), nil, nil, nil, nil, nil)
	self.sprite2:setSpriteFrame("ccs/UiImages/mall/mall_icon_4.png")
	addChildForPre(self.choicePanel1_3, self.sprite2)

	self.sprite3 = cc.Sprite:create()
	setValue(self.sprite3, "sprite3", 22, cc.size(36, 35), cc.p(267.8467, 60.7143), nil, nil, nil, nil, nil)
	self.sprite3:setSpriteFrame("ccs/UiImages/mall/mall_img_star_1.png")
	addChildForPre(self.choicePanel1_3, self.sprite3)

	self.Label1 = createLabel({text=[[1~4]], font=getFont(), size=20})
	setValue(self.Label1, "Label1", 17, cc.size(33, 23), cc.p(212.1602, 60.7138), cc.p(0, 0.5), cc.c4b(0, 255, 0, 255), nil, nil, nil)
	self.Label1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.Label1:setColor(cc.c4b(0, 255, 0, 255))
	addChildForPre(self.choicePanel1_3, self.Label1)

	self.Label2 = createLabel({text=[[品质]], font=getFont(), size=20})
	setValue(self.Label2, "Label2", 18, cc.size(40, 23), cc.p(287.299, 60.7138), cc.p(0, 0.5), nil, nil, nil, nil)
	self.Label2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.choicePanel1_3, self.Label2)

	self.sprite5 = cc.Sprite:create()
	setValue(self.sprite5, "sprite5", 24, cc.size(46, 46), cc.p(234.5953, 15.15), nil, nil, nil, nil, nil)
	self.sprite5:setTexture("Default/Sprite.png")
	addChildForPre(self.choicePanel1_3, self.sprite5)

	self.itemButtonLocation = ccui.Button:create()
	self.itemButtonLocation:setScale9Enabled(true)
	self.itemButtonLocation:setCapInsets(cc.rect(0, 0, 10, 10))
	self.itemButtonLocation:setContentSize(cc.size(300, 424))
	setValue(self.itemButtonLocation, "itemButtonLocation", 34, nil, cc.p(291.01, 204.31), nil, nil, nil, nil, false)
	self.itemButtonLocation:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.itemButtonLocation:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.itemButtonLocation:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.itemButtonLocation:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.itemButtonLocation:setTitleText([[]])
	self.itemButtonLocation:setTitleColor(cc.c3b(65, 65, 70))
	self.itemButtonLocation:setTitleFontSize(14)
	self.itemButtonLocation:setTitleFontName(getFont())
	setClickEvent(self, self.itemButtonLocation, "itemButtonLocation")
	addChildForPre(self.choicePanel1_3, self.itemButtonLocation)

	self.itemButton1 = ccui.Button:create()
	self.itemButton1:setScale9Enabled(true)
	self.itemButton1:setCapInsets(cc.rect(0, 0, 10, 10))
	self.itemButton1:setContentSize(cc.size(640, 300))
	setValue(self.itemButton1, "itemButton1", 39, nil, cc.p(321.0093, 149.3075), nil, nil, nil, nil, false)
	self.itemButton1:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.itemButton1:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.itemButton1:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.itemButton1:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.itemButton1:setTitleText([[]])
	self.itemButton1:setTitleColor(cc.c3b(65, 65, 70))
	self.itemButton1:setTitleFontSize(14)
	self.itemButton1:setTitleFontName(getFont())
	setClickEvent(self, self.itemButton1, "itemButton1")
	addChildForPre(self.choicePanel1_3, self.itemButton1)

	self.labelPanel1 = ccui.Layout:create()
	setValue(self.labelPanel1, "labelPanel1", 613, cc.size(400, 50), cc.p(19.2, -11.22), nil, nil, nil, nil, nil)
	addChildForPre(self.choicePanel1_3, self.labelPanel1)
	self.labelPanel1_4 = self.labelPanel1

	self.Label4 = createLabel({text=[[X9]], font=getFont(), size=20})
	setValue(self.Label4, "Label4", 19, cc.size(24, 23), cc.p(213.2814, 23.94), cc.p(0, 0.5), cc.c4b(0, 255, 0, 255), nil, nil, nil)
	self.Label4:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.Label4:setColor(cc.c4b(0, 255, 0, 255))
	addChildForPre(self.labelPanel1_4, self.Label4)

	self.Label3 = createLabel({text=[[消耗]], font=getFont(), size=20})
	setValue(self.Label3, "Label3", 20, cc.size(40, 23), cc.p(127.3913, 23.94), cc.p(0, 0.5), nil, nil, nil, nil)
	self.Label3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel1_4, self.Label3)

	self.Label5 = createLabel({text=[[拥有999个]], font=getFont(), size=20})
	setValue(self.Label5, "Label5", 21, cc.size(93, 23), cc.p(249, 23.94), cc.p(0, 0.5), nil, nil, nil, nil)
	self.Label5:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.labelPanel1_4, self.Label5)

	self.sprite4 = cc.Sprite:create()
	setValue(self.sprite4, "sprite4", 23, cc.size(100, 100), cc.p(188.7927, 23.9399), nil, nil, nil, nil, nil)
	self.sprite4:setScale(0.5)
	self.sprite4:setSpriteFrame("ccs/UiImages/icon/tegongling.png")
	addChildForPre(self.labelPanel1_4, self.sprite4)

	self.choicePanel2 = ccui.Layout:create()
	setValue(self.choicePanel2, "TXN_choicePanel2", 25, cc.size(640, 200), cc.p(320, 76.8), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.choicePanel2)
	self.choicePanel2_3 = self.choicePanel2

	self.sprite7 = cc.Sprite:create()
	setValue(self.sprite7, "sprite7", 37, cc.size(46, 46), cc.p(346.8916, 112.7569), nil, nil, nil, nil, nil)
	self.sprite7:setTexture("Default/Sprite.png")
	addChildForPre(self.choicePanel2_3, self.sprite7)

	self.sprite1 = cc.Sprite:create()
	setValue(self.sprite1, "sprite1", 26, cc.size(46, 46), cc.p(309.1952, -7.2431), cc.p(0.5, 0), nil, nil, nil, nil)
	self.sprite1:setTexture("Default/Sprite.png")
	addChildForPre(self.choicePanel2_3, self.sprite1)

	self.sprite2 = cc.Sprite:create()
	setValue(self.sprite2, "sprite2", 27, cc.size(409, 50), cc.p(256.8562, 16.6387), nil, nil, nil, nil, nil)
	self.sprite2:setSpriteFrame("ccs/UiImages/mall/mall_icon_4.png")
	addChildForPre(self.choicePanel2_3, self.sprite2)

	self.sprite3 = cc.Sprite:create()
	setValue(self.sprite3, "sprite3", 28, cc.size(36, 35), cc.p(237.2863, 60.5955), nil, nil, nil, nil, nil)
	self.sprite3:setSpriteFrame("ccs/UiImages/mall/mall_img_star_1.png")
	addChildForPre(self.choicePanel2_3, self.sprite3)

	self.sprite4 = cc.Sprite:create()
	setValue(self.sprite4, "sprite4", 29, cc.size(100, 100), cc.p(173.8376, 13.964), nil, nil, nil, nil, nil)
	self.sprite4:setScale(0.5)
	self.sprite4:setSpriteFrame("ccs/UiImages/icon/tegongling.png")
	addChildForPre(self.choicePanel2_3, self.sprite4)

	self.Label1 = createLabel({text=[[1~4]], font=getFont(), size=20})
	setValue(self.Label1, "Label1", 31, cc.size(33, 23), cc.p(181.5986, 60.5954), cc.p(0, 0.5), cc.c4b(0, 255, 0, 255), nil, nil, nil)
	self.Label1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.Label1:setColor(cc.c4b(0, 255, 0, 255))
	addChildForPre(self.choicePanel2_3, self.Label1)

	self.Label2 = createLabel({text=[[品质]], font=getFont(), size=20})
	setValue(self.Label2, "Label2", 32, cc.size(40, 23), cc.p(256.7384, 60.5954), cc.p(0, 0.5), nil, nil, nil, nil)
	self.Label2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.choicePanel2_3, self.Label2)

	self.Label4 = createLabel({text=[[x10]], font=getFont(), size=20})
	setValue(self.Label4, "Label4", 33, cc.size(32, 23), cc.p(196.0464, 13.9624), cc.p(0, 0.5), cc.c4b(0, 255, 0, 255), nil, nil, nil)
	self.Label4:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.Label4:setColor(cc.c4b(0, 255, 0, 255))
	addChildForPre(self.choicePanel2_3, self.Label4)

	self.Label3 = createLabel({text=[[消耗]], font=getFont(), size=20})
	setValue(self.Label3, "Label3", 34, cc.size(40, 23), cc.p(112.4359, 13.9639), cc.p(0, 0.5), nil, nil, nil, nil)
	self.Label3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.choicePanel2_3, self.Label3)

	self.Label5 = createLabel({text=[[拥有999个]], font=getFont(), size=20})
	setValue(self.Label5, "Label5", 35, cc.size(93, 23), cc.p(234.0466, 13.9639), cc.p(0, 0.5), nil, nil, nil, nil)
	self.Label5:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.choicePanel2_3, self.Label5)

	self.sprite6 = cc.Sprite:create()
	setValue(self.sprite6, "sprite6", 36, cc.size(46, 46), cc.p(460.5319, 65.5971), nil, nil, nil, nil, nil)
	self.sprite6:setTexture("Default/Sprite.png")
	addChildForPre(self.choicePanel2_3, self.sprite6)

	self.itemButton2 = ccui.Button:create()
	self.itemButton2:setScale9Enabled(true)
	self.itemButton2:setCapInsets(cc.rect(0, 0, 10, 10))
	self.itemButton2:setContentSize(cc.size(640, 300))
	setValue(self.itemButton2, "itemButton2", 41, nil, cc.p(321.0078, 141.8408), nil, nil, nil, nil, false)
	self.itemButton2:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.itemButton2:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.itemButton2:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.itemButton2:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.itemButton2:setTitleText([[]])
	self.itemButton2:setTitleColor(cc.c3b(65, 65, 70))
	self.itemButton2:setTitleFontSize(14)
	self.itemButton2:setTitleFontName(getFont())
	setClickEvent(self, self.itemButton2, "itemButton2")
	addChildForPre(self.choicePanel2_3, self.itemButton2)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"Default/ImageFile.png",
	"Default/Sprite.png",
	"ccs/plist/mall.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/icon.plist",
}

return _M
