-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 1358, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 1359, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 8, cc.size(576, 492), nil, cc.p(0, 0), nil, nil, nil, nil)
	self.bgImage:setScale(2.3)
	self.bgImage:loadTexture("ccs/BigImages/background/draw_img_yun.webp")
	addChildForPre(self.rootPanel_1, self.bgImage)

	self.cloudPanel = ccui.Layout:create()
	setValue(self.cloudPanel, "ZNN_cloudPanel", 11, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	setBgColor(self.cloudPanel, 1, 0, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.cloudPanel)
	self.cloudPanel_2 = self.cloudPanel

	self.starImage1 = ccui.ImageView:create()
	setValue(self.starImage1, "starImage1", 9, cc.size(280, 508), nil, cc.p(0, 0), nil, nil, nil, nil)
	self.starImage1:setScale(2.5)
	self.starImage1:loadTexture("ccs/BigImages/background/draw_img_star.webp")
	addChildForPre(self.cloudPanel_2, self.starImage1)

	self.starImage2 = ccui.ImageView:create()
	setValue(self.starImage2, "starImage2", 10, cc.size(280, 508), cc.p(750, 0), cc.p(0, 0), nil, nil, nil, nil)
	self.starImage2:setScale(2.5)
	self.starImage2:loadTexture("ccs/BigImages/background/draw_img_star.webp")
	addChildForPre(self.cloudPanel_2, self.starImage2)

	self.starImage2_Copy = ccui.ImageView:create()
	setValue(self.starImage2_Copy, "starImage2_Copy", 273, cc.size(280, 508), cc.p(1476, 0), cc.p(0, 0), nil, nil, nil, nil)
	self.starImage2_Copy:setScale(2.5)
	self.starImage2_Copy:loadTexture("ccs/BigImages/background/draw_img_star.webp")
	addChildForPre(self.cloudPanel_2, self.starImage2_Copy)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(1500)
	self.animation:setTimeSpeed(1)
	local timeLine
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreatePositionFrame(1500, true, -630.0000, 0.0000, nil))
	timeLine:setNode(self.bgImage)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(1500, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.bgImage)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreatePositionFrame(1500, true, -1600.0000, 0.0000, nil))
	timeLine:setNode(self.cloudPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(1500, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.cloudPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(1500, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.cloudPanel)
	return self
end

_M.textures = {
	"ccs/BigImages/background/draw_img_yun.png",
	"ccs/BigImages/background/draw_img_star.png",
}

return _M
