-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 206, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 207, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	self.rootPanel:setClippingEnabled(true)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bgsprite = cc.Sprite:create()
	setValue(self.bgsprite, "AXY_bgsprite", 57, cc.size(46, 46), cc.p(320, 480), nil, nil, nil, nil, nil)
	self.bgsprite:setTexture("Default/Sprite.png")
	addChildForPre(self.rootPanel_1, self.bgsprite)

	self.starNode = cc.Node:create()
	setValue(self.starNode, "LTN_starNode", 224, nil, cc.p(76.8, 883.2), nil, nil, nil, nil, nil)
	self.starNode:setScale(2)
	addChildForPre(self.rootPanel_1, self.starNode)
	self.starNode_2 = self.starNode

	self.iconStar1 = cc.Sprite:create()
	setValue(self.iconStar1, "iconStar1", 225, cc.size(40, 38), cc.p(-0.6227, 0.0001), nil, nil, nil, nil, nil)
	self.iconStar1:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.starNode_2, self.iconStar1)

	self.iconStar2 = cc.Sprite:create()
	setValue(self.iconStar2, "iconStar2", 227, cc.size(40, 38), cc.p(-0.6227, -45.7499), nil, nil, nil, nil, nil)
	self.iconStar2:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.starNode_2, self.iconStar2)

	self.iconStar3 = cc.Sprite:create()
	setValue(self.iconStar3, "iconStar3", 226, cc.size(40, 38), cc.p(-0.6227, -91.4999), nil, nil, nil, nil, nil)
	self.iconStar3:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.starNode_2, self.iconStar3)

	self.iconStar4 = cc.Sprite:create()
	setValue(self.iconStar4, "iconStar4", 378, cc.size(40, 38), cc.p(-0.6227, -137.25), nil, nil, nil, nil, nil)
	self.iconStar4:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.starNode_2, self.iconStar4)

	self.iconStar5 = cc.Sprite:create()
	setValue(self.iconStar5, "iconStar5", 229, cc.size(40, 38), cc.p(-0.6227, -183), nil, nil, nil, nil, nil)
	self.iconStar5:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.starNode_2, self.iconStar5)

	self.titlePanel = ccui.Layout:create()
	setValue(self.titlePanel, "BXN_titlePanel", 278, cc.size(400, 60), cc.p(320, 56.928), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.titlePanel)
	self.titlePanel_2 = self.titlePanel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 329, cc.size(368, 42), cc.p(200, 30), nil, nil, nil, nil, nil)
	self.bgImage:setScale(1.6)
	self.bgImage:loadTexture("ccs/UiImages/common/common_Partsimg_ditiao.png", 1)
	addChildForPre(self.titlePanel_2, self.bgImage)

	self.shipTypeImage = ccui.ImageView:create()
	setValue(self.shipTypeImage, "shipTypeImage", 279, cc.size(46, 46), cc.p(0, 30), nil, nil, nil, nil, nil)
	self.shipTypeImage:loadTexture("Default/ImageFile.png")
	addChildForPre(self.titlePanel_2, self.shipTypeImage)

	self.shipNameLabel = createLabel({text=[[Text Label]], font=getFont(), size=40})
	setValue(self.shipNameLabel, "shipNameLabel", 328, cc.size(182, 45), cc.p(200, 30), nil, nil, nil, nil, nil)
	self.shipNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.titlePanel_2, self.shipNameLabel)

	self.showPanel = ccui.Layout:create()
	setValue(self.showPanel, "AXY_showPanel", 475, cc.size(640, 960), nil, nil, nil, 25, nil, nil)
	self.showPanel:setClippingEnabled(true)
	setBgColor(self.showPanel, 1, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.showPanel)

	self.shipSp = cc.Sprite:create()
	setValue(self.shipSp, "XYN_shipSp", 90, cc.size(46, 46), cc.p(320, 480), nil, nil, nil, nil, nil)
	self.shipSp:setTexture("Default/Sprite.png")
	addChildForPre(self.rootPanel_1, self.shipSp)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(48)
	self.animation:setTimeSpeed(1)
	local timeLine
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(40, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(48, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.showPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(0, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(40, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(48, true, cc.c3b(255,255,255), 0, nil))
	timeLine:setNode(self.showPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(40, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreatePositionFrame(48, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.showPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(40, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(48, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.showPanel)
	return self
end

_M.textures = {
	"Default/Sprite.png",
	"ccs/plist/common.plist",
	"Default/ImageFile.png",
}

return _M
