-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_1 = cc.Node:create()
	setValue(self.Node_1, "Node_1", 25, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_1)
 	self.uiRootNode = self.Node_1
	self.Node_1_0 = self.Node_1

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 106, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	self.rootPanel:setClippingEnabled(true)
	addChildForPre(self.Node_1_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonShopDialog then 
 		self.CommonShopDialog = CommonShopDialog.new() 
 	else 
		self.CommonShopDialog = BaseUi.new("ccs/ui/commonDialog/CommonShopDialog.lua")
 	end 
	setValue(self.CommonShopDialog, "CommonShopDialog", 209, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.CommonShopDialog)

	self.ContentTitlePanel = ccui.Layout:create()
	setValue(self.ContentTitlePanel, "TXN_ContentTitlePanel", 2011, cc.size(398, 67), cc.p(113.984, 796.8), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.ContentTitlePanel)
	self.ContentTitlePanel_2 = self.ContentTitlePanel

	self.ImageTitle = ccui.ImageView:create()
	setValue(self.ImageTitle, "ImageTitle", 434, cc.size(46, 46), cc.p(34.9842, 33.5), nil, nil, nil, nil, nil)
	self.ImageTitle:loadTexture("Default/ImageFile.png")
	addChildForPre(self.ContentTitlePanel_2, self.ImageTitle)

	self.ImageTitleBg = ccui.ImageView:create()
	setValue(self.ImageTitleBg, "ImageTitleBg", 874, cc.size(368, 42), cc.p(199.995, 33.5), nil, nil, nil, nil, nil)
	self.ImageTitleBg:loadTexture("ccs/UiImages/common/common_Partsimg_ditiao.png", 1)
	addChildForPre(self.ContentTitlePanel_2, self.ImageTitleBg)

	self.TextTitle = createLabel({text=[[舰船名字好几个字]], font=getFont(), size=24,align = 1,valign = 1})
	setValue(self.TextTitle, "TextTitle", 435, cc.size(192, 28), cc.p(205.0098, 33.5), nil, nil, nil, nil, nil)
	self.TextTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.ContentTitlePanel_2, self.TextTitle)

	self.starNode = cc.Node:create()
	setValue(self.starNode, "TXN_starNode", 630, nil, cc.p(129.6583, 714.5167), nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.starNode)
	self.starNode_2 = self.starNode

	self.iconStar1 = cc.Sprite:create()
	setValue(self.iconStar1, "iconStar1", 631, cc.size(40, 38), cc.p(0, 0.0004), nil, nil, nil, nil, nil)
	self.iconStar1:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.starNode_2, self.iconStar1)

	self.iconStar2 = cc.Sprite:create()
	setValue(self.iconStar2, "iconStar2", 632, cc.size(40, 38), cc.p(0, -45.7847), nil, nil, nil, nil, nil)
	self.iconStar2:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.starNode_2, self.iconStar2)

	self.iconStar3 = cc.Sprite:create()
	setValue(self.iconStar3, "iconStar3", 633, cc.size(40, 38), cc.p(0, -91.5699), nil, nil, nil, nil, nil)
	self.iconStar3:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.starNode_2, self.iconStar3)

	self.iconStar4 = cc.Sprite:create()
	setValue(self.iconStar4, "iconStar4", 634, cc.size(40, 38), cc.p(0, -137.3551), nil, nil, nil, nil, nil)
	self.iconStar4:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.starNode_2, self.iconStar4)

	self.iconStar5 = cc.Sprite:create()
	setValue(self.iconStar5, "iconStar5", 635, cc.size(40, 38), cc.p(0, -183.1403), nil, nil, nil, nil, nil)
	self.iconStar5:setSpriteFrame("ccs/UiImages/common/camp_img_star.png")
	addChildForPre(self.starNode_2, self.iconStar5)

	self.PanelButtom = ccui.Layout:create()
	setValue(self.PanelButtom, "WXB_PanelButtom", 875, cc.size(640, 156), nil, nil, nil, nil, nil, nil)
	setBgColor(self.PanelButtom, 1, nil, cc.c4b(31, 36, 44, 255), nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.PanelButtom)
	self.PanelButtom_2 = self.PanelButtom

	self.buttonTop = ccui.ImageView:create()
	setValue(self.buttonTop, "WXN_buttonTop", 915, cc.size(640, 30), cc.p(0, 129), cc.p(0, 0), nil, nil, nil, false)
	self.buttonTop:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.buttonTop:setScale9Enabled(true)
	self.buttonTop:setCapInsets(cc.rect(1, 0, 638, 30))
	addChildForPre(self.PanelButtom_2, self.buttonTop)

	self.PanelConsume = ccui.Layout:create()
	setValue(self.PanelConsume, "RYN_PanelConsume", 1713, cc.size(270, 65), cc.p(640, 84), cc.p(1, 0), nil, nil, nil, nil)
	addChildForPre(self.PanelButtom_2, self.PanelConsume)
	self.PanelConsume_3 = self.PanelConsume

	self.Textconsume = createLabel({text=[[消耗]], font=getFont(), size=24})
	setValue(self.Textconsume, "Textconsume", 916, cc.size(48, 28), cc.p(0, 28), cc.p(0, 0.5), nil, nil, nil, nil)
	self.Textconsume:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.PanelConsume_3, self.Textconsume)

	self.ImageIcon = cc.Sprite:create()
	setValue(self.ImageIcon, "ImageIcon", 116, cc.size(100, 100), cc.p(70.0001, 30), nil, nil, nil, nil, nil)
	self.ImageIcon:setScale(0.5)
	self.ImageIcon:setSpriteFrame("ccs/UiImages/icon/tegongling.png")
	addChildForPre(self.PanelConsume_3, self.ImageIcon)

	self.TextNum = createLabel({text=[[x1]], font=getFont(), size=24})
	setValue(self.TextNum, "TextNum", 1728, cc.size(25, 28), cc.p(97, 30), cc.p(0, 0.5), nil, nil, nil, nil)
	self.TextNum:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.PanelConsume_3, self.TextNum)

	self.TextHave = createLabel({text=[[拥有100个]], font=getFont(), size=24})
	setValue(self.TextHave, "TextHave", 1729, cc.size(112, 28), cc.p(148, 29), cc.p(0, 0.5), nil, nil, nil, nil)
	self.TextHave:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.PanelConsume_3, self.TextHave)

	self.BackButton = ccui.Button:create()
	setValue(self.BackButton, "WXN_BackButton", 1731, cc.size(153, 64), cc.p(120, 54), nil, nil, nil, nil, false)
	self.BackButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.BackButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.BackButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.BackButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.BackButton:setTitleText([[返回]])
	self.BackButton:setTitleFontSize(24)
	self.BackButton:setTitleFontName(getFont())
	setClickEvent(self, self.BackButton, "BackButton")
	addChildForPre(self.PanelButtom_2, self.BackButton)

	self.DetailButton = ccui.Button:create()
	setValue(self.DetailButton, "WXN_DetailButton", 2009, cc.size(153, 64), cc.p(318, 53), nil, nil, nil, nil, false)
	self.DetailButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.DetailButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.DetailButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.DetailButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.DetailButton:setTitleText([[查看详情]])
	self.DetailButton:setTitleFontSize(24)
	self.DetailButton:setTitleFontName(getFont())
	setClickEvent(self, self.DetailButton, "DetailButton")
	addChildForPre(self.PanelButtom_2, self.DetailButton)

	self.StepButton = ccui.Button:create()
	setValue(self.StepButton, "WXN_StepButton", 2010, cc.size(153, 64), cc.p(517, 53), nil, nil, nil, nil, false)
	self.StepButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.StepButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.StepButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.StepButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.StepButton:setTitleText([[继续建造]])
	self.StepButton:setTitleFontSize(24)
	self.StepButton:setTitleFontName(getFont())
	setClickEvent(self, self.StepButton, "StepButton")
	addChildForPre(self.PanelButtom_2, self.StepButton)

	self.showPanel = ccui.Layout:create()
	setValue(self.showPanel, "AXY_showPanel", 87, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	setBgColor(self.showPanel, 1, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.showPanel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(48)
	self.animation:setTimeSpeed(1)
	local timeLine
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreatePositionFrame(40, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.showPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(40, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.showPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(40, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.showPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateColorFrame(0, true, cc.c3b(255,255,255), 255, nil))
	timeLine:addFrame(CreateColorFrame(40, true, cc.c3b(255,255,255), 0, nil))
	timeLine:addFrame(CreateColorFrame(48, true, cc.c3b(255,255,255), 0, nil))
	timeLine:setNode(self.showPanel)
	return self
end

_M.textures = {
	"Default/ImageFile.png",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/icon.plist",
}

return _M
