-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 82, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 83, cc.size(112, 290), cc.p(0.6628, 1.3257), nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.cellPanel = ccui.Layout:create()
	setValue(self.cellPanel, "cellPanel", 626, cc.size(112, 290), cc.p(56, 290), cc.p(0.5, 1), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.cellPanel)
	self.cellPanel_2 = self.cellPanel

	self.selectBattle = cc.Sprite:create()
	setValue(self.selectBattle, "selectBattle", 84, cc.size(112, 284), cc.p(56, 145), nil, nil, nil, nil, nil)
	self.selectBattle:setSpriteFrame("ccs/UiImages/commonBg/madal_img_diban.png")
	addChildForPre(self.cellPanel_2, self.selectBattle)

	self.sceneLable = createLabel({text=[[Text Label]], font=getFont(), size=22})
	setValue(self.sceneLable, "sceneLable", 358, cc.size(100, 26), cc.p(56, 261), nil, nil, nil, nil, nil)
	self.sceneLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.cellPanel_2, self.sceneLable)

	self.battleSp = cc.Sprite:create()
	setValue(self.battleSp, "battleSp", 359, cc.size(64, 123), cc.p(56, 232), cc.p(0.5, 1), nil, nil, nil, nil)
	self.battleSp:setSpriteFrame("ccs/UiImages/icon/madal_img_xunzhang01.png")
	addChildForPre(self.cellPanel_2, self.battleSp)

	self.Particle_1 = cc.ParticleSystemQuad:create("ccs/Particle/zhuan.plist")
 	self.Particle_1:setPositionType(2) 
	setValue(self.Particle_1, "Particle_1", 361, nil, cc.p(56, 0), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.cellPanel_2, self.Particle_1)

	self.Particle_2 = cc.ParticleSystemQuad:create("ccs/Particle/zhuan.plist")
 	self.Particle_2:setPositionType(2) 
	setValue(self.Particle_2, "Particle_2", 63, nil, cc.p(0, 145), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.cellPanel_2, self.Particle_2)

	self.Particle_3 = cc.ParticleSystemQuad:create("ccs/Particle/zhuan.plist")
 	self.Particle_3:setPositionType(2) 
	setValue(self.Particle_3, "Particle_3", 64, nil, cc.p(56, 290), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.cellPanel_2, self.Particle_3)

	self.Particle_4 = cc.ParticleSystemQuad:create("ccs/Particle/zhuan.plist")
 	self.Particle_4:setPositionType(2) 
	setValue(self.Particle_4, "Particle_4", 65, nil, cc.p(112, 145), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.cellPanel_2, self.Particle_4)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(240)
	self.animation:setTimeSpeed(1)
	local timeLine
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 56.0000, 0.0000, nil))
	timeLine:addFrame(CreatePositionFrame(20, true, 112.0000, 0.0000, nil))
	timeLine:addFrame(CreatePositionFrame(100, true, 112.0000, 290.0000, nil))
	timeLine:addFrame(CreatePositionFrame(140, true, 0.0000, 290.0000, nil))
	timeLine:addFrame(CreatePositionFrame(220, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreatePositionFrame(240, true, 56.0000, 0.0000, nil))
	timeLine:setNode(self.Particle_1)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(240, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.Particle_1)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(240, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.Particle_1)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 0.0000, 145.0000, nil))
	timeLine:addFrame(CreatePositionFrame(40, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreatePositionFrame(80, true, 112.0000, 0.0000, nil))
	timeLine:addFrame(CreatePositionFrame(160, true, 112.0000, 290.0000, nil))
	timeLine:addFrame(CreatePositionFrame(200, true, 0.0000, 290.0000, nil))
	timeLine:addFrame(CreatePositionFrame(240, true, 0.0000, 145.0000, nil))
	timeLine:setNode(self.Particle_2)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 56.0000, 290.0000, nil))
	timeLine:addFrame(CreatePositionFrame(20, true, 0.0000, 290.0000, nil))
	timeLine:addFrame(CreatePositionFrame(100, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreatePositionFrame(140, true, 112.0000, 0.0000, nil))
	timeLine:addFrame(CreatePositionFrame(220, true, 112.0000, 290.0000, nil))
	timeLine:addFrame(CreatePositionFrame(240, true, 56.0000, 290.0000, nil))
	timeLine:setNode(self.Particle_3)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 112.0000, 145.0000, nil))
	timeLine:addFrame(CreatePositionFrame(40, true, 112.0000, 290.0000, nil))
	timeLine:addFrame(CreatePositionFrame(80, true, 0.0000, 290.0000, nil))
	timeLine:addFrame(CreatePositionFrame(160, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreatePositionFrame(200, true, 112.0000, 0.0000, nil))
	timeLine:addFrame(CreatePositionFrame(240, true, 112.0000, 145.0000, nil))
	timeLine:setNode(self.Particle_4)
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/icon.plist",
}

return _M
