-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 265, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 279, cc.size(470, 134), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bgsp = ccui.ImageView:create()
	setValue(self.bgsp, "bgsp", 314, cc.size(458, 125), cc.p(235, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.bgsp:loadTexture("ccs/UiImages/commonBg/common_img_ditiao.png", 1)
	self.bgsp:setScale9Enabled(true)
	self.bgsp:setCapInsets(cc.rect(0, 0, 612, 167))
	addChildForPre(self.rootPanel_1, self.bgsp)

	self.buyPanel = ccui.Layout:create()
	setValue(self.buyPanel, "buyPanel", 101, cc.size(458, 125), cc.p(235, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.buyPanel)
	self.buyPanel_2 = self.buyPanel

	self.buyButton = ccui.Button:create()
	setValue(self.buyButton, "buyButton", 351, cc.size(98, 51), cc.p(384.2515, 41.3005), nil, nil, nil, nil, false)
	self.buyButton:loadTextureNormal("ccs/UiImages/image9/CommonPanel_btn_smallgreen_0.png", 1)
	self.buyButton:loadTexturePressed("ccs/UiImages/image9/CommonPanel_btn_smallgreen_1.png", 1)
	self.buyButton:loadTextureDisabled("ccs/UiImages/image9/CommonPanel_btn_small_2.png", 1)
	self.buyButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.buyButton:setTitleText([[购买]])
	self.buyButton:setTitleFontSize(24)
	self.buyButton:setTitleFontName(getFont())
	setClickEvent(self, self.buyButton, "buyButton")
	addChildForPre(self.buyPanel_2, self.buyButton)

	self.desBgImage = ccui.ImageView:create()
	setValue(self.desBgImage, "desBgImage", 320, cc.size(288, 111), cc.p(169.46, 65), nil, nil, nil, nil, false)
	self.desBgImage:loadTexture("ccs/UiImages/image9/common_s9_diban.png", 1)
	self.desBgImage:setScale9Enabled(true)
	self.desBgImage:setCapInsets(cc.rect(5, 5, 19, 19))
	addChildForPre(self.buyPanel_2, self.desBgImage)

	self.itemSp = cc.Sprite:create()
	setValue(self.itemSp, "itemSp", 1020, cc.size(288, 109), cc.p(169.46, 65), nil, nil, nil, nil, nil)
	self.itemSp:setSpriteFrame("ccs/UiImages/mall/mall_img_itembg1.png")
	addChildForPre(self.buyPanel_2, self.itemSp)

	self.discountsprite = cc.Sprite:create()
	setValue(self.discountsprite, "discountsprite", 873, cc.size(87, 88), cc.p(268.0049, 73.4931), nil, nil, nil, nil, nil)
	self.discountsprite:setFlippedX(true)
	self.discountsprite:setSpriteFrame("ccs/UiImages/newactivity/newactivity_jiaobiao.png")
	addChildForPre(self.buyPanel_2, self.discountsprite)

	self.nameLable = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.nameLable, "nameLable", 319, cc.size(109, 28), cc.p(36, 100), cc.p(0, 0.5), cc.c4b(255, 0, 255, 255), nil, nil, nil)
	self.nameLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.nameLable:setColor(cc.c4b(255, 0, 255, 255))
	addChildForPre(self.buyPanel_2, self.nameLable)

	self.Sprite1 = cc.Sprite:create()
	setValue(self.Sprite1, "Sprite1", 11, cc.size(46, 38), cc.p(352.2587, 87.9546), nil, nil, nil, nil, nil)
	self.Sprite1:setSpriteFrame("ccs/UiImages/mainUiFeeling/mainUi_zuanshi.png")
	addChildForPre(self.buyPanel_2, self.Sprite1)

	self.costLabel = createLabel({text=[[X10]], font=getFont(), size=20})
	setValue(self.costLabel, "costLabel", 12, cc.size(35, 23), cc.p(381.1901, 87.9546), cc.p(0, 0.5), nil, nil, nil, nil)
	self.costLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.buyPanel_2, self.costLabel)

	self.labelImage = ccui.ImageView:create()
	setValue(self.labelImage, "labelImage", 872, cc.size(280, 25), cc.p(168.5454, 26), nil, nil, nil, nil, false)
	self.labelImage:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.labelImage:setScale9Enabled(true)
	self.labelImage:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.buyPanel_2, self.labelImage)

	self.desLabel = createLabel({text=[[Text LabelText LabelText Labelel]], font=getFont(), size=20})
	setValue(self.desLabel, "desLabel", 350, cc.size(289, 23), cc.p(27.8464, 13), cc.p(0, 0), cc.c4b(0, 132, 255, 255), nil, nil, nil)
	self.desLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.desLabel:setColor(cc.c4b(0, 132, 255, 255))
	addChildForPre(self.buyPanel_2, self.desLabel)

	self.discountLabel = createLabel({text=[[折扣]], font=getFont(), size=20})
	setValue(self.discountLabel, "discountLabel", 874, cc.size(40, 23), cc.p(277.3152, 87.212), nil, nil, nil, nil, nil)
	self.discountLabel:setRotationSkewX(45)
	self.discountLabel:setRotationSkewY(45)
	self.discountLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.buyPanel_2, self.discountLabel)

	self.countSprite = cc.Sprite:create()
	setValue(self.countSprite, "countSprite", 199, cc.size(82, 82), cc.p(269.214, 75.5917), nil, nil, nil, nil, nil)
	self.countSprite:setSpriteFrame("ccs/UiImages/newactivity/newactivity_8zhe.png")
	addChildForPre(self.buyPanel_2, self.countSprite)

	self.countLabel = createLabel({text=[[折扣]], font=getFont(), size=20})
	setValue(self.countLabel, "countLabel", 200, cc.size(40, 23), cc.p(278.5, 92.8333), nil, nil, nil, nil, nil)
	self.countLabel:setRotationSkewX(45)
	self.countLabel:setRotationSkewY(45)
	self.countLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.buyPanel_2, self.countLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/mall.plist",
	"ccs/plist/newactivity.plist",
	"ccs/plist/mainUiFeeling.plist",
	"ccs/plist/battle.plist",
}

return _M
