-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 265, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 279, cc.size(640, 150), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bgsp = ccui.ImageView:create()
	setValue(self.bgsp, "bgsp", 314, cc.size(608, 145), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.bgsp:loadTexture("ccs/UiImages/commonBg/common_img_ditiao.png", 1)
	self.bgsp:setScale9Enabled(true)
	self.bgsp:setCapInsets(cc.rect(0, 0, 612, 167))
	addChildForPre(self.rootPanel_1, self.bgsp)

	self.itemqualityImage = cc.Sprite:create()
	setValue(self.itemqualityImage, "itemqualityImage", 317, cc.size(100, 100), cc.p(76.5381, 85.1904), nil, nil, nil, nil, nil)
	self.itemqualityImage:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.rootPanel_1, self.itemqualityImage)

	self.itemImage = cc.Sprite:create()
	setValue(self.itemImage, "itemImage", 316, cc.size(46, 46), cc.p(76.5382, 85.1904), nil, nil, nil, nil, nil)
	self.itemImage:setTexture("Default/Sprite.png")
	addChildForPre(self.rootPanel_1, self.itemImage)

	self.itemButton = ccui.Button:create()
	self.itemButton:setScale9Enabled(true)
	self.itemButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.itemButton:setContentSize(cc.size(100, 100))
	setValue(self.itemButton, "itemButton", 315, nil, cc.p(76.5382, 85.1904), nil, nil, nil, nil, false)
	self.itemButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.itemButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.itemButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.itemButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.itemButton:setTitleText([[]])
	self.itemButton:setTitleColor(cc.c3b(65, 65, 70))
	self.itemButton:setTitleFontSize(14)
	self.itemButton:setTitleFontName(getFont())
	setClickEvent(self, self.itemButton, "itemButton")
	addChildForPre(self.rootPanel_1, self.itemButton)

	self.numLable = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.numLable, "numLable", 318, cc.size(91, 23), cc.p(76.8, 22.5), nil, nil, nil, nil, nil)
	self.numLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.numLable)

	self.nameLable = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.nameLable, "nameLable", 319, cc.size(109, 28), cc.p(135, 124), cc.p(0, 0.5), nil, nil, nil, nil)
	self.nameLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.nameLable)

	self.desBgImage = ccui.ImageView:create()
	setValue(self.desBgImage, "desBgImage", 320, cc.size(320, 90), cc.p(294.3654, 60.574), nil, nil, nil, nil, false)
	self.desBgImage:loadTexture("ccs/UiImages/image9/common_s9_diban.png", 1)
	self.desBgImage:setScale9Enabled(true)
	self.desBgImage:setCapInsets(cc.rect(10, 10, 14, 14))
	addChildForPre(self.rootPanel_1, self.desBgImage)

	self.desLabel = createLabel({text=[[Text LabelText LabelText LabelelT
extLabDDDDd
]], font=getFont(), size=20, dimensions = cc.size(306.0000, 84.0000)})
	setValue(self.desLabel, "desLabel", 350, cc.size(306, 84), cc.p(140.8, 60.69), cc.p(0, 0.5), nil, nil, nil, false)
	self.desLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.desLabel)

	self.buyButton = ccui.Button:create()
	setValue(self.buyButton, "buyButton", 351, cc.size(153, 64), cc.p(534.2942, 47.0344), nil, nil, nil, nil, false)
	self.buyButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.buyButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.buyButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.buyButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.buyButton:setTitleText([[购买]])
	self.buyButton:setTitleFontSize(24)
	self.buyButton:setTitleFontName(getFont())
	setClickEvent(self, self.buyButton, "buyButton")
	addChildForPre(self.rootPanel_1, self.buyButton)

	self.dioNumLable = createLabel({text=[[XXX]], font=getFont(), size=24})
	setValue(self.dioNumLable, "dioNumLable", 352, cc.size(48, 28), cc.p(525, 101.0063), cc.p(0, 0.5), nil, nil, nil, nil)
	self.dioNumLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.dioNumLable)

	self.dioSprite = cc.Sprite:create()
	setValue(self.dioSprite, "dioSprite", 353, cc.size(35, 35), cc.p(482, 101.0063), cc.p(0, 0.5), nil, nil, nil, nil)
	self.dioSprite:setSpriteFrame("ccs/UiImages/common/commonIcon_icon_ZuanShi_2.png")
	addChildForPre(self.rootPanel_1, self.dioSprite)

	self.reqlevLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.reqlevLabel, "reqlevLabel", 278, cc.size(109, 28), cc.p(534.91, 98.2679), nil, cc.c4b(255, 0, 0, 255), nil, nil, nil)
	self.reqlevLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.reqlevLabel:setColor(cc.c4b(255, 0, 0, 255))
	addChildForPre(self.rootPanel_1, self.reqlevLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"Default/Sprite.png",
	"ccs/plist/image9.plist",
	"ccs/plist/common.plist",
}

return _M
