-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 200, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 260, cc.size(161, 230), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.drawPanel = ccui.Layout:create()
	setValue(self.drawPanel, "drawPanel", 239, cc.size(161, 190), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.drawPanel)
	self.drawPanel_2 = self.drawPanel

	self.framequalitySprite = cc.Sprite:create()
	setValue(self.framequalitySprite, "framequalitySprite", 189, cc.size(46, 46), cc.p(80.5, 95), nil, nil, nil, nil, nil)
	self.framequalitySprite:setVisible(false)
	self.framequalitySprite:setTexture("Default/Sprite.png")
	addChildForPre(self.drawPanel_2, self.framequalitySprite)

	self.qualityBgImage = cc.Sprite:create()
	setValue(self.qualityBgImage, "qualityBgImage", 103, cc.size(158, 187), cc.p(80.5, 95), nil, nil, nil, nil, nil)
	self.qualityBgImage:setSpriteFrame("ccs/UiImages/commonBg/qualityBg10.png")
	addChildForPre(self.drawPanel_2, self.qualityBgImage)

	self.tankSprite = cc.Sprite:create()
	setValue(self.tankSprite, "tankSprite", 263, cc.size(46, 46), cc.p(80.5, 95), nil, nil, nil, nil, nil)
	self.tankSprite:setTexture("Default/Sprite.png")
	addChildForPre(self.drawPanel_2, self.tankSprite)

	self.shiptypeSp = cc.Sprite:create()
	setValue(self.shiptypeSp, "shiptypeSp", 859, cc.size(46, 46), cc.p(20.93, 169.1), nil, nil, nil, nil, nil)
	self.shiptypeSp:setScale(0.6)
	self.shiptypeSp:setTexture("Default/Sprite.png")
	addChildForPre(self.drawPanel_2, self.shiptypeSp)

	self.paintIconSprite = cc.Sprite:create()
	setValue(self.paintIconSprite, "paintIconSprite", 1597, cc.size(178, 192), cc.p(116, 35), nil, nil, nil, nil, nil)
	self.paintIconSprite:setScale(0.4)
	self.paintIconSprite:setVisible(false)
	self.paintIconSprite:setTexture("ccs/BigImages/userIcon/userIcon_img_meizi01.webp")
	addChildForPre(self.drawPanel_2, self.paintIconSprite)

	self.shipLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.shipLabel, "shipLabel", 240, cc.size(109, 28), cc.p(80.5, 213.9), nil, nil, nil, nil, nil)
	self.shipLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rootPanel_1, self.shipLabel)

	self.detailButton = ccui.Button:create()
	self.detailButton:setScale9Enabled(true)
	self.detailButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.detailButton:setContentSize(cc.size(161, 188))
	setValue(self.detailButton, "detailButton", 245, nil, cc.p(80.5, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.detailButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.detailButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.detailButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.detailButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.detailButton:setTitleText([[]])
	self.detailButton:setTitleColor(cc.c3b(65, 65, 70))
	self.detailButton:setTitleFontSize(14)
	self.detailButton:setTitleFontName(getFont())
	setClickEvent(self, self.detailButton, "detailButton")
	addChildForPre(self.rootPanel_1, self.detailButton)

	self.lockPanel = ccui.Layout:create()
	setValue(self.lockPanel, "lockPanel", 938, cc.size(161, 190), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.lockPanel)
	self.lockPanel_2 = self.lockPanel

	self.lockLabel = createLabel({text=[[未获得]], font=getFont(), size=24})
	setValue(self.lockLabel, "lockLabel", 939, cc.size(72, 28), cc.p(80.5, 117.8), nil, nil, nil, nil, nil)
	self.lockLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.lockPanel_2, self.lockLabel)

	self.lockSprite = cc.Sprite:create()
	setValue(self.lockSprite, "lockSprite", 940, cc.size(119, 46), cc.p(80.8428, 84.9537), nil, nil, nil, nil, nil)
	self.lockSprite:setSpriteFrame("ccs/UiImages/common/camp_img_suo.png")
	addChildForPre(self.lockPanel_2, self.lockSprite)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"Default/Sprite.png",
	"ccs/plist/commonBg.plist",
	"ccs/BigImages/userIcon/userIcon_img_meizi01.png",
	"ccs/plist/image9.plist",
	"ccs/plist/common.plist",
}

return _M
