-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 86, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 87, cc.size(640, 900), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "Panel", 89, cc.size(640, 860), cc.p(0, 900), cc.p(0, 1), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Panel)
	self.Panel_2 = self.Panel

	self.spritePanel1 = ccui.Layout:create()
	setValue(self.spritePanel1, "spritePanel1", 121, cc.size(200, 200), cc.p(-435, 432.98), cc.p(0, 0.1329), nil, nil, nil, nil)
	self.spritePanel1:setScaleX(1)
	self.spritePanel1:setScaleY(0.97)
	addChildForPre(self.Panel_2, self.spritePanel1)
	self.spritePanel1_3 = self.spritePanel1

	self.bgSpriteFrame1 = cc.Sprite:create()
	setValue(self.bgSpriteFrame1, "bgSpriteFrame1", 146, cc.size(458, 334), cc.p(206.2972, 143.7499), nil, nil, nil, nil, nil)
	self.bgSpriteFrame1:setSpriteFrame("ccs/UiImages/commonBg/qualityBg2.png")
	addChildForPre(self.spritePanel1_3, self.bgSpriteFrame1)

	self.bgSprite1 = cc.Sprite:create()
	setValue(self.bgSprite1, "bgSprite1", 88, cc.size(46, 46), cc.p(233.02, 218.76), nil, nil, nil, nil, nil)
	self.bgSprite1:setTexture("Default/Sprite.png")
	addChildForPre(self.spritePanel1_3, self.bgSprite1)

	self.Button1 = ccui.Button:create()
	self.Button1:setScale9Enabled(true)
	self.Button1:setCapInsets(cc.rect(0, 0, 10, 10))
	self.Button1:setContentSize(cc.size(300, 200))
	setValue(self.Button1, "Button1", 191, nil, cc.p(206.4044, 188.709), nil, nil, nil, nil, false)
	self.Button1:setRotationSkewX(-60.002)
	self.Button1:setRotationSkewY(-60.0029)
	self.Button1:setScaleX(0.9742)
	self.Button1:setScaleY(1.309)
	self.Button1:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.Button1:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.Button1:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.Button1:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.Button1:setTitleText([[]])
	self.Button1:setTitleColor(cc.c3b(65, 65, 70))
	self.Button1:setTitleFontSize(14)
	self.Button1:setTitleFontName(getFont())
	setClickEvent(self, self.Button1, "Button1")
	addChildForPre(self.spritePanel1_3, self.Button1)

	self.Panel1 = ccui.Layout:create()
	setValue(self.Panel1, "Panel1", 147, cc.size(200, 44), cc.p(45.09, 1.768), nil, nil, nil, nil, nil)
	addChildForPre(self.spritePanel1_3, self.Panel1)
	self.Panel1_4 = self.Panel1

	self.starSprite = cc.Sprite:create()
	setValue(self.starSprite, "starSprite", 139, cc.size(36, 35), cc.p(133.4434, 99.3797), nil, nil, nil, nil, nil)
	self.starSprite:setSpriteFrame("ccs/UiImages/mall/mall_img_star_1.png")
	addChildForPre(self.Panel1_4, self.starSprite)

	self.itemSprite = cc.Sprite:create()
	setValue(self.itemSprite, "itemSprite", 142, cc.size(100, 100), cc.p(90.7403, 57.5509), nil, nil, nil, nil, nil)
	self.itemSprite:setScale(0.5)
	self.itemSprite:setSpriteFrame("ccs/UiImages/icon/tegongling.png")
	addChildForPre(self.Panel1_4, self.itemSprite)

	self.label1 = createLabel({text=[[1~4]], font=getFont(), size=20})
	setValue(self.label1, "label1", 138, cc.size(33, 23), cc.p(79.78, 99.3784), cc.p(0, 0.5), cc.c4b(0, 255, 0, 255), nil, nil, nil)
	self.label1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.label1:setColor(cc.c4b(0, 255, 0, 255))
	addChildForPre(self.Panel1_4, self.label1)

	self.label2 = createLabel({text=[[品质]], font=getFont(), size=20})
	setValue(self.label2, "label2", 140, cc.size(40, 23), cc.p(151.4916, 98.1703), cc.p(0, 0.5), cc.c4b(0, 255, 0, 255), nil, nil, nil)
	self.label2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.label2:setColor(cc.c4b(0, 255, 0, 255))
	addChildForPre(self.Panel1_4, self.label2)

	self.label3 = createLabel({text=[[消耗]], font=getFont(), size=20})
	setValue(self.label3, "label3", 141, cc.size(40, 23), cc.p(30.8373, 57.5509), cc.p(0, 0.5), nil, nil, nil, nil)
	self.label3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel1_4, self.label3)

	self.label4 = createLabel({text=[[X1]], font=getFont(), size=20})
	setValue(self.label4, "label4", 143, cc.size(24, 23), cc.p(125.5093, 57.5509), nil, cc.c4b(0, 255, 0, 255), nil, nil, nil)
	self.label4:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.label4:setColor(cc.c4b(0, 255, 0, 255))
	addChildForPre(self.Panel1_4, self.label4)

	self.label5 = createLabel({text=[[拥有999个]], font=getFont(), size=20})
	setValue(self.label5, "label5", 144, cc.size(93, 23), cc.p(141.0411, 57.5509), cc.p(0, 0.5), nil, nil, nil, nil)
	self.label5:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel1_4, self.label5)

	self.labelSprite = cc.Sprite:create()
	setValue(self.labelSprite, "labelSprite", 148, cc.size(46, 46), cc.p(118.7579, 21.1606), nil, nil, nil, nil, nil)
	self.labelSprite:setTexture("Default/Sprite.png")
	addChildForPre(self.Panel1_4, self.labelSprite)

	self.spritePanel2 = ccui.Layout:create()
	setValue(self.spritePanel2, "spritePanel2", 98, cc.size(200, 200), cc.p(616.34, 399.9), nil, nil, nil, nil, nil)
	self.spritePanel2:setScaleX(1)
	self.spritePanel2:setScaleY(0.97)
	addChildForPre(self.Panel_2, self.spritePanel2)
	self.spritePanel2_3 = self.spritePanel2

	self.bgSpriteFrame2 = cc.Sprite:create()
	setValue(self.bgSpriteFrame2, "bgSpriteFrame2", 158, cc.size(458, 334), cc.p(238.49, 147.0846), nil, nil, nil, nil, nil)
	self.bgSpriteFrame2:setSpriteFrame("ccs/UiImages/commonBg/qualityBg2.png")
	addChildForPre(self.spritePanel2_3, self.bgSpriteFrame2)

	self.bgSprite2 = cc.Sprite:create()
	setValue(self.bgSprite2, "bgSprite2", 92, cc.size(46, 46), cc.p(266.65, 225.5908), nil, nil, nil, nil, nil)
	self.bgSprite2:setTexture("Default/Sprite.png")
	addChildForPre(self.spritePanel2_3, self.bgSprite2)

	self.Button2 = ccui.Button:create()
	self.Button2:setScale9Enabled(true)
	self.Button2:setCapInsets(cc.rect(0, 0, 10, 10))
	self.Button2:setContentSize(cc.size(300, 200))
	setValue(self.Button2, "Button2", 194, nil, cc.p(282, 217), nil, nil, nil, nil, false)
	self.Button2:setRotationSkewX(-60.002)
	self.Button2:setRotationSkewY(-60.0029)
	self.Button2:setScaleX(1.4248)
	self.Button2:setScaleY(1.0654)
	self.Button2:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.Button2:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.Button2:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.Button2:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.Button2:setTitleText([[]])
	self.Button2:setTitleColor(cc.c3b(65, 65, 70))
	self.Button2:setTitleFontSize(14)
	self.Button2:setTitleFontName(getFont())
	setClickEvent(self, self.Button2, "Button2")
	addChildForPre(self.spritePanel2_3, self.Button2)

	self.shopleadButton = ccui.Button:create()
	self.shopleadButton:setScale9Enabled(true)
	self.shopleadButton:setCapInsets(cc.rect(0, 0, 10, 10))
	self.shopleadButton:setContentSize(cc.size(285, 445))
	setValue(self.shopleadButton, "shopleadButton", 122, nil, cc.p(273.9999, 228.5394), nil, nil, nil, nil, false)
	self.shopleadButton:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.shopleadButton:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.shopleadButton:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.shopleadButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.shopleadButton:setTitleText([[]])
	self.shopleadButton:setTitleColor(cc.c3b(65, 65, 70))
	self.shopleadButton:setTitleFontSize(14)
	self.shopleadButton:setTitleFontName(getFont())
	setClickEvent(self, self.shopleadButton, "shopleadButton")
	addChildForPre(self.spritePanel2_3, self.shopleadButton)

	self.Panel2 = ccui.Layout:create()
	setValue(self.Panel2, "Panel2", 159, cc.size(200, 44), cc.p(181.2, 29.94), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.spritePanel2_3, self.Panel2)
	self.Panel2_4 = self.Panel2

	self.starSprite = cc.Sprite:create()
	setValue(self.starSprite, "starSprite", 161, cc.size(36, 35), cc.p(133.4434, 99.3797), nil, nil, nil, nil, nil)
	self.starSprite:setSpriteFrame("ccs/UiImages/mall/mall_img_star_1.png")
	addChildForPre(self.Panel2_4, self.starSprite)

	self.itemSprite = cc.Sprite:create()
	setValue(self.itemSprite, "itemSprite", 162, cc.size(100, 100), cc.p(90.7403, 57.5509), nil, nil, nil, nil, nil)
	self.itemSprite:setScale(0.5)
	self.itemSprite:setSpriteFrame("ccs/UiImages/icon/zhongjitegongling.png")
	addChildForPre(self.Panel2_4, self.itemSprite)

	self.label1 = createLabel({text=[[2~5]], font=getFont(), size=20})
	setValue(self.label1, "label1", 163, cc.size(33, 23), cc.p(80.28, 99), cc.p(0, 0.5), cc.c4b(0, 255, 0, 255), nil, nil, nil)
	self.label1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.label1:setColor(cc.c4b(0, 255, 0, 255))
	addChildForPre(self.Panel2_4, self.label1)

	self.label2 = createLabel({text=[[品质]], font=getFont(), size=20})
	setValue(self.label2, "label2", 164, cc.size(40, 23), cc.p(151.4916, 98.1703), cc.p(0, 0.5), cc.c4b(0, 255, 0, 255), nil, nil, nil)
	self.label2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.label2:setColor(cc.c4b(0, 255, 0, 255))
	addChildForPre(self.Panel2_4, self.label2)

	self.label3 = createLabel({text=[[消耗]], font=getFont(), size=20})
	setValue(self.label3, "label3", 165, cc.size(40, 23), cc.p(30.8373, 57.5509), cc.p(0, 0.5), nil, nil, nil, nil)
	self.label3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel2_4, self.label3)

	self.label4 = createLabel({text=[[X1]], font=getFont(), size=20})
	setValue(self.label4, "label4", 166, cc.size(24, 23), cc.p(125.5093, 57.5509), nil, cc.c4b(0, 255, 0, 255), nil, nil, nil)
	self.label4:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.label4:setColor(cc.c4b(0, 255, 0, 255))
	addChildForPre(self.Panel2_4, self.label4)

	self.label5 = createLabel({text=[[拥有999个]], font=getFont(), size=20})
	setValue(self.label5, "label5", 167, cc.size(93, 23), cc.p(141.0411, 57.5509), cc.p(0, 0.5), nil, nil, nil, nil)
	self.label5:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel2_4, self.label5)

	self.labelSprite = cc.Sprite:create()
	setValue(self.labelSprite, "labelSprite", 168, cc.size(46, 46), cc.p(113.84, 18.0247), nil, nil, nil, nil, nil)
	self.labelSprite:setTexture("Default/Sprite.png")
	addChildForPre(self.Panel2_4, self.labelSprite)

	self.spritePanel3 = ccui.Layout:create()
	setValue(self.spritePanel3, "spritePanel3", 99, cc.size(200, 200), cc.p(-439.4, 2.45), nil, nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.spritePanel3)
	self.spritePanel3_3 = self.spritePanel3

	self.bgSpriteFrame3 = cc.Sprite:create()
	setValue(self.bgSpriteFrame3, "bgSpriteFrame3", 190, cc.size(458, 334), cc.p(219.49, 135), nil, nil, nil, nil, nil)
	self.bgSpriteFrame3:setSpriteFrame("ccs/UiImages/commonBg/qualityBg2.png")
	addChildForPre(self.spritePanel3_3, self.bgSpriteFrame3)

	self.bgSprite3 = cc.Sprite:create()
	setValue(self.bgSprite3, "bgSprite3", 91, cc.size(46, 46), cc.p(214.8163, 202.7789), cc.p(0.4415, 0.4825), nil, nil, nil, nil)
	self.bgSprite3:setTexture("Default/Sprite.png")
	addChildForPre(self.spritePanel3_3, self.bgSprite3)

	self.Button3 = ccui.Button:create()
	self.Button3:setScale9Enabled(true)
	self.Button3:setCapInsets(cc.rect(0, 0, 10, 10))
	self.Button3:setContentSize(cc.size(300, 200))
	setValue(self.Button3, "Button3", 195, nil, cc.p(206, 144.4656), nil, nil, nil, nil, false)
	self.Button3:setRotationSkewX(-60.002)
	self.Button3:setRotationSkewY(-60.0029)
	self.Button3:setScaleX(1.2136)
	self.Button3:setScaleY(1.309)
	self.Button3:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.Button3:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.Button3:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.Button3:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.Button3:setTitleText([[]])
	self.Button3:setTitleColor(cc.c3b(65, 65, 70))
	self.Button3:setTitleFontSize(14)
	self.Button3:setTitleFontName(getFont())
	setClickEvent(self, self.Button3, "Button3")
	addChildForPre(self.spritePanel3_3, self.Button3)

	self.shop3Button = ccui.Button:create()
	self.shop3Button:setScale9Enabled(true)
	self.shop3Button:setCapInsets(cc.rect(0, 0, 10, 10))
	self.shop3Button:setContentSize(cc.size(285, 445))
	setValue(self.shop3Button, "shop3Button", 1160, nil, cc.p(210, -42), cc.p(0.5, 0), nil, nil, nil, false)
	self.shop3Button:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.shop3Button:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.shop3Button:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.shop3Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.shop3Button:setTitleText([[]])
	self.shop3Button:setTitleFontSize(14)
	self.shop3Button:setTitleFontName(getFont())
	setClickEvent(self, self.shop3Button, "shop3Button")
	addChildForPre(self.spritePanel3_3, self.shop3Button)

	self.Panel3 = ccui.Layout:create()
	setValue(self.Panel3, "Panel3", 169, cc.size(200, 44), cc.p(130, 16), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.spritePanel3_3, self.Panel3)
	self.Panel3_4 = self.Panel3

	self.starSprite = cc.Sprite:create()
	setValue(self.starSprite, "starSprite", 171, cc.size(36, 35), cc.p(133.4434, 99.3797), nil, nil, nil, nil, nil)
	self.starSprite:setSpriteFrame("ccs/UiImages/mall/mall_img_star_1.png")
	addChildForPre(self.Panel3_4, self.starSprite)

	self.itemSprite = cc.Sprite:create()
	setValue(self.itemSprite, "itemSprite", 172, cc.size(100, 100), cc.p(90.7403, 57.5509), nil, nil, nil, nil, nil)
	self.itemSprite:setScale(0.5)
	self.itemSprite:setSpriteFrame("ccs/UiImages/icon/gaojitegongling.png")
	addChildForPre(self.Panel3_4, self.itemSprite)

	self.label1 = createLabel({text=[[1~4]], font=getFont(), size=20})
	setValue(self.label1, "label1", 173, cc.size(33, 23), cc.p(80.28, 98.802), cc.p(0, 0.5), cc.c4b(0, 255, 0, 255), nil, nil, nil)
	self.label1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.label1:setColor(cc.c4b(0, 255, 0, 255))
	addChildForPre(self.Panel3_4, self.label1)

	self.label2 = createLabel({text=[[品质]], font=getFont(), size=20})
	setValue(self.label2, "label2", 174, cc.size(40, 23), cc.p(151.4916, 98.1703), cc.p(0, 0.5), cc.c4b(0, 255, 0, 255), nil, nil, nil)
	self.label2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.label2:setColor(cc.c4b(0, 255, 0, 255))
	addChildForPre(self.Panel3_4, self.label2)

	self.label3 = createLabel({text=[[消耗]], font=getFont(), size=20})
	setValue(self.label3, "label3", 175, cc.size(40, 23), cc.p(30.8373, 57.5509), cc.p(0, 0.5), nil, nil, nil, nil)
	self.label3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel3_4, self.label3)

	self.label4 = createLabel({text=[[X1]], font=getFont(), size=20})
	setValue(self.label4, "label4", 176, cc.size(24, 23), cc.p(125.5093, 57.5509), nil, cc.c4b(0, 255, 0, 255), nil, nil, nil)
	self.label4:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.label4:setColor(cc.c4b(0, 255, 0, 255))
	addChildForPre(self.Panel3_4, self.label4)

	self.label5 = createLabel({text=[[拥有999个]], font=getFont(), size=20})
	setValue(self.label5, "label5", 177, cc.size(93, 23), cc.p(141.0411, 57.5509), cc.p(0, 0.5), nil, nil, nil, nil)
	self.label5:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel3_4, self.label5)

	self.labelSprite = cc.Sprite:create()
	setValue(self.labelSprite, "labelSprite", 178, cc.size(46, 46), cc.p(122.0465, 17.1612), nil, nil, nil, nil, nil)
	self.labelSprite:setTexture("Default/Sprite.png")
	addChildForPre(self.Panel3_4, self.labelSprite)

	self.spritePanel4 = ccui.Layout:create()
	setValue(self.spritePanel4, "spritePanel4", 100, cc.size(200, 200), cc.p(683, -1.55), nil, nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.spritePanel4)
	self.spritePanel4_3 = self.spritePanel4

	self.bgSpriteFrame4 = cc.Sprite:create()
	setValue(self.bgSpriteFrame4, "bgSpriteFrame4", 189, cc.size(458, 334), cc.p(219.8719, 138.899), nil, nil, nil, nil, nil)
	self.bgSpriteFrame4:setSpriteFrame("ccs/UiImages/commonBg/qualityBg2.png")
	addChildForPre(self.spritePanel4_3, self.bgSpriteFrame4)

	self.bgSprite4 = cc.Sprite:create()
	setValue(self.bgSprite4, "bgSprite4", 90, cc.size(46, 46), cc.p(-39.08, -3.9078), cc.p(0, 0), nil, nil, nil, nil)
	self.bgSprite4:setTexture("Default/Sprite.png")
	addChildForPre(self.spritePanel4_3, self.bgSprite4)

	self.Button4 = ccui.Button:create()
	self.Button4:setScale9Enabled(true)
	self.Button4:setCapInsets(cc.rect(0, 0, 10, 10))
	self.Button4:setContentSize(cc.size(300, 200))
	setValue(self.Button4, "Button4", 196, nil, cc.p(213.1547, 146.1306), nil, nil, nil, nil, false)
	self.Button4:setRotationSkewX(-60.002)
	self.Button4:setRotationSkewY(-60.0029)
	self.Button4:setScaleX(1.4248)
	self.Button4:setScaleY(1.0654)
	self.Button4:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.Button4:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.Button4:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.Button4:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.Button4:setTitleText([[]])
	self.Button4:setTitleColor(cc.c3b(65, 65, 70))
	self.Button4:setTitleFontSize(14)
	self.Button4:setTitleFontName(getFont())
	setClickEvent(self, self.Button4, "Button4")
	addChildForPre(self.spritePanel4_3, self.Button4)

	self.Panel4 = ccui.Layout:create()
	setValue(self.Panel4, "Panel4", 179, cc.size(200, 44), cc.p(49.68, 1.7245), nil, nil, nil, nil, nil)
	addChildForPre(self.spritePanel4_3, self.Panel4)
	self.Panel4_4 = self.Panel4

	self.starSprite = cc.Sprite:create()
	setValue(self.starSprite, "starSprite", 181, cc.size(36, 35), cc.p(133.4434, 99.3797), nil, nil, nil, nil, nil)
	self.starSprite:setSpriteFrame("ccs/UiImages/mall/mall_img_star_1.png")
	addChildForPre(self.Panel4_4, self.starSprite)

	self.itemSprite = cc.Sprite:create()
	setValue(self.itemSprite, "itemSprite", 182, cc.size(100, 100), cc.p(90.7403, 57.5509), nil, nil, nil, nil, nil)
	self.itemSprite:setScale(0.5)
	self.itemSprite:setSpriteFrame("ccs/UiImages/icon/wangpaitegongling.png")
	addChildForPre(self.Panel4_4, self.itemSprite)

	self.label1 = createLabel({text=[[1~4]], font=getFont(), size=20})
	setValue(self.label1, "label1", 183, cc.size(33, 23), cc.p(81.82, 98.802), cc.p(0, 0.5), cc.c4b(0, 255, 0, 255), nil, nil, nil)
	self.label1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.label1:setColor(cc.c4b(0, 255, 0, 255))
	addChildForPre(self.Panel4_4, self.label1)

	self.label2 = createLabel({text=[[品质]], font=getFont(), size=20})
	setValue(self.label2, "label2", 184, cc.size(40, 23), cc.p(151.4916, 98.1703), cc.p(0, 0.5), cc.c4b(0, 255, 0, 255), nil, nil, nil)
	self.label2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.label2:setColor(cc.c4b(0, 255, 0, 255))
	addChildForPre(self.Panel4_4, self.label2)

	self.label3 = createLabel({text=[[消耗]], font=getFont(), size=20})
	setValue(self.label3, "label3", 185, cc.size(40, 23), cc.p(30.8373, 57.5509), cc.p(0, 0.5), nil, nil, nil, nil)
	self.label3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel4_4, self.label3)

	self.label4 = createLabel({text=[[X1]], font=getFont(), size=20})
	setValue(self.label4, "label4", 186, cc.size(24, 23), cc.p(125.5093, 57.5509), nil, cc.c4b(0, 255, 0, 255), nil, nil, nil)
	self.label4:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.label4:setColor(cc.c4b(0, 255, 0, 255))
	addChildForPre(self.Panel4_4, self.label4)

	self.label5 = createLabel({text=[[拥有999个]], font=getFont(), size=20})
	setValue(self.label5, "label5", 187, cc.size(93, 23), cc.p(141.0411, 57.5509), cc.p(0, 0.5), nil, nil, nil, nil)
	self.label5:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel4_4, self.label5)

	self.labelSprite = cc.Sprite:create()
	setValue(self.labelSprite, "labelSprite", 188, cc.size(46, 46), cc.p(126.6118, 15.6381), nil, nil, nil, nil, nil)
	self.labelSprite:setTexture("Default/Sprite.png")
	addChildForPre(self.Panel4_4, self.labelSprite)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(65)
	self.animation:setTimeSpeed(1)
	local timeLine
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(10, true, -435.0000, 432.9800, nil))
	timeLine:addFrame(CreatePositionFrame(20, true, -10.0000, 432.9800, nil))
	timeLine:addFrame(CreatePositionFrame(45, true, -10.0000, 432.9800, nil))
	timeLine:addFrame(CreatePositionFrame(49, true, -2.0000, 464.9800, nil))
	timeLine:addFrame(CreatePositionFrame(65, true, -2.0000, 464.9800, nil))
	timeLine:setNode(self.spritePanel1)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(10, true, 1.0000, 0.9700, nil))
	timeLine:addFrame(CreateScaleFrame(20, true, 1.0000, 0.9700, nil))
	timeLine:addFrame(CreateScaleFrame(45, true, 1.0000, 0.9700, nil))
	timeLine:setNode(self.spritePanel1)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(10, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(20, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(45, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.spritePanel1)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(10, true, 616.3400, 399.9000, nil))
	timeLine:addFrame(CreatePositionFrame(20, true, 205.4000, 399.9000, nil))
	timeLine:addFrame(CreatePositionFrame(45, true, 205.4000, 399.9000, nil))
	timeLine:addFrame(CreatePositionFrame(49, true, 199.4000, 376.9400, nil))
	timeLine:addFrame(CreatePositionFrame(65, true, 199.4000, 376.9400, nil))
	timeLine:setNode(self.spritePanel2)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(10, true, 1.0000, 0.9700, nil))
	timeLine:addFrame(CreateScaleFrame(20, true, 1.0000, 0.9700, nil))
	timeLine:addFrame(CreateScaleFrame(45, true, 1.0000, 0.9700, nil))
	timeLine:setNode(self.spritePanel2)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(10, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(20, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(45, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.spritePanel2)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(10, true, -439.4000, 2.4500, nil))
	timeLine:addFrame(CreatePositionFrame(20, true, -60.0000, 2.4500, nil))
	timeLine:addFrame(CreatePositionFrame(45, true, -60.0000, 2.4500, nil))
	timeLine:addFrame(CreatePositionFrame(49, true, -55.0000, 31.4500, nil))
	timeLine:addFrame(CreatePositionFrame(65, true, -55.0000, 31.4500, nil))
	timeLine:setNode(self.spritePanel3)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(10, true, 683.0000, -1.5500, nil))
	timeLine:addFrame(CreatePositionFrame(20, true, 196.0000, -1.5500, nil))
	timeLine:addFrame(CreatePositionFrame(45, true, 196.0000, -1.5500, nil))
	timeLine:addFrame(CreatePositionFrame(49, true, 193.0000, -27.5500, nil))
	timeLine:addFrame(CreatePositionFrame(65, true, 193.0000, -27.5500, nil))
	timeLine:setNode(self.spritePanel4)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(10, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(20, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(45, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.spritePanel4)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(10, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(20, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(45, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.spritePanel4)
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"Default/Sprite.png",
	"ccs/plist/image9.plist",
	"ccs/plist/mall.plist",
	"ccs/plist/icon.plist",
}

return _M
