-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 26, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 42, cc.size(640, 960), cc.p(0, -0.0003), nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if SkillEffectBg then 
 		self.SkillEffectBg = SkillEffectBg.new() 
 	else 
		self.SkillEffectBg = BaseUi.new("ccs/ui/skill/SkillEffectBg.lua")
 	end 
	setValue(self.SkillEffectBg, "SkillEffectBg", 91, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.SkillEffectBg)

	self.tankPanel = ccui.Layout:create()
	setValue(self.tankPanel, "tankPanel", 43, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.tankPanel)
	self.tankPanel_2 = self.tankPanel

	self.carrierPanel = ccui.Layout:create()
	setValue(self.carrierPanel, "carrierPanel", 100, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.tankPanel_2, self.carrierPanel)
	self.carrierPanel_3 = self.carrierPanel

	self.shipPanel = ccui.Layout:create()
	setValue(self.shipPanel, "shipPanel", 1110, cc.size(512, 512), cc.p(268.8, 384), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.shipPanel:setScale(0.92)
	addChildForPre(self.carrierPanel_3, self.shipPanel)
	self.shipPanel_4 = self.shipPanel

	self.shipSprite = cc.Sprite:create()
	setValue(self.shipSprite, "shipSprite", 117, cc.size(46, 46), cc.p(358.4, 256), nil, nil, nil, nil, nil)
	self.shipSprite:setTexture("Default/Sprite.png")
	addChildForPre(self.shipPanel_4, self.shipSprite)

	self.Panel_35 = ccui.Layout:create()
	setValue(self.Panel_35, "Panel_35", 99, cc.size(200, 200), cc.p(-315.61, 121.9613), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Panel_35:setScale(0.9)
	addChildForPre(self.carrierPanel_3, self.Panel_35)
	self.Panel_35_4 = self.Panel_35

	self.planeShadow03 = cc.Sprite:create()
	setValue(self.planeShadow03, "planeShadow03", 124, cc.size(100, 100), cc.p(295, 75.001), nil, nil, nil, nil, nil)
	self.planeShadow03:setScale(0.8)
	self.planeShadow03:setSpriteFrame("ccs/UiImages/mainUiFeeling/plane_shadow.png")
	addChildForPre(self.Panel_35_4, self.planeShadow03)

	self.plane03 = cc.Sprite:create()
	setValue(self.plane03, "plane03", 121, cc.size(150, 150), cc.p(322.5001, 150.0007), nil, nil, nil, nil, nil)
	self.plane03:setScale(0.8)
	self.plane03:setSpriteFrame("ccs/UiImages/mainUiFeeling/plane.png")
	addChildForPre(self.Panel_35_4, self.plane03)

	self.Panel_34 = ccui.Layout:create()
	setValue(self.Panel_34, "Panel_34", 98, cc.size(200, 200), cc.p(-312.6108, 211.9606), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Panel_34:setScale(0.8)
	addChildForPre(self.carrierPanel_3, self.Panel_34)
	self.Panel_34_4 = self.Panel_34

	self.planeShadow02 = cc.Sprite:create()
	setValue(self.planeShadow02, "planeShadow02", 123, cc.size(100, 100), cc.p(60.0004, 245.0007), nil, nil, nil, nil, nil)
	self.planeShadow02:setScale(0.8)
	self.planeShadow02:setSpriteFrame("ccs/UiImages/mainUiFeeling/plane_shadow.png")
	addChildForPre(self.Panel_34_4, self.planeShadow02)

	self.plane02 = cc.Sprite:create()
	setValue(self.plane02, "plane02", 120, cc.size(150, 150), cc.p(108.5007, 305.5012), nil, nil, nil, nil, nil)
	self.plane02:setScale(0.8)
	self.plane02:setSpriteFrame("ccs/UiImages/mainUiFeeling/plane.png")
	addChildForPre(self.Panel_34_4, self.plane02)

	self.Panel_33 = ccui.Layout:create()
	setValue(self.Panel_33, "Panel_33", 97, cc.size(200, 200), cc.p(-464.0856, 35.9744), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.carrierPanel_3, self.Panel_33)
	self.Panel_33_4 = self.Panel_33

	self.planeShadow01 = cc.Sprite:create()
	setValue(self.planeShadow01, "planeShadow01", 122, cc.size(100, 100), cc.p(55.0004, 45.0007), nil, nil, nil, nil, nil)
	self.planeShadow01:setSpriteFrame("ccs/UiImages/mainUiFeeling/plane_shadow.png")
	addChildForPre(self.Panel_33_4, self.planeShadow01)

	self.plane01 = cc.Sprite:create()
	setValue(self.plane01, "plane01", 119, cc.size(150, 150), cc.p(107.5002, 122.5007), nil, nil, nil, nil, nil)
	self.plane01:setSpriteFrame("ccs/UiImages/mainUiFeeling/plane.png")
	addChildForPre(self.Panel_33_4, self.plane01)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(100)
	self.animation:setTimeSpeed(1)
	local timeLine
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 729.6000, 796.8000, nil))
	timeLine:addFrame(CreatePositionFrame(20, true, 230.4000, 345.6000, nil))
	timeLine:addFrame(CreatePositionFrame(28, true, 268.8000, 384.0000, nil))
	timeLine:setNode(self.shipPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 0.5000, 0.5000, nil))
	timeLine:addFrame(CreateScaleFrame(20, true, 0.9800, 0.9800, nil))
	timeLine:addFrame(CreateScaleFrame(28, true, 0.9200, 0.9200, nil))
	timeLine:setNode(self.shipPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(20, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(28, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.shipPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(35, true, 887.6127, 843.6494, nil))
	timeLine:addFrame(CreatePositionFrame(85, true, -315.6100, 121.9613, nil))
	timeLine:setNode(self.Panel_35)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(35, true, 0.4000, 0.4000, nil))
	timeLine:addFrame(CreateScaleFrame(85, true, 0.9000, 0.9000, nil))
	timeLine:setNode(self.Panel_35)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(35, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.Panel_35)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(35, true, 860.9458, 901.9795, nil))
	timeLine:addFrame(CreatePositionFrame(85, true, -312.6108, 211.9606, nil))
	timeLine:setNode(self.Panel_34)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(35, true, 0.2500, 0.2500, nil))
	timeLine:addFrame(CreateScaleFrame(85, true, 0.8000, 0.8000, nil))
	timeLine:setNode(self.Panel_34)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(35, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.Panel_34)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(35, true, 775.9460, 796.9825, nil))
	timeLine:addFrame(CreatePositionFrame(85, true, -464.0856, 35.9744, nil))
	timeLine:setNode(self.Panel_33)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(35, true, 0.5000, 0.5000, nil))
	timeLine:addFrame(CreateScaleFrame(85, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.Panel_33)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(35, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.Panel_33)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, 0.0000, -0.0003, nil))
	timeLine:addFrame(CreatePositionFrame(32, true, 0.0000, -0.0003, nil))
	timeLine:addFrame(CreatePositionFrame(44, true, 0.0000, -0.0003, nil))
	timeLine:addFrame(CreatePositionFrame(100, true, 0.0000, -0.0003, nil))
	timeLine:setNode(self.rootPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(32, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(44, true, 1.0000, 1.0000, nil))
	timeLine:addFrame(CreateScaleFrame(100, true, 1.0000, 1.0000, nil))
	timeLine:setNode(self.rootPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(32, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(44, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(100, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.rootPanel)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateEventFrame(0, true, "", nil))
	timeLine:addFrame(CreateEventFrame(32, true, "Fire1", nil))
	timeLine:addFrame(CreateEventFrame(44, true, "Fire2", nil))
	timeLine:addFrame(CreateEventFrame(100, true, "skillDone_2", nil))
	timeLine:setNode(self.rootPanel)
	return self
end

_M.textures = {
	"Default/Sprite.png",
	"ccs/plist/mainUiFeeling.plist",
}

return _M
