-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 26, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 42, cc.size(640, 960), cc.p(0, -0.0003), nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.tankPanel = ccui.Layout:create()
	setValue(self.tankPanel, "tankPanel", 43, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.tankPanel)
	self.tankPanel_2 = self.tankPanel

	self.actionPanel = ccui.Layout:create()
	setValue(self.actionPanel, "actionPanel", 22, cc.size(750, 714), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.tankPanel_2, self.actionPanel)
	self.actionPanel_3 = self.actionPanel

	self.skillEffectBg = cc.Sprite:create()
	setValue(self.skillEffectBg, "skillEffectBg", 23, cc.size(750, 348), cc.p(375, 356.286), cc.p(0.5, 0), nil, nil, nil, nil)
	self.skillEffectBg:setSpriteFrame("ccs/UiImages/skill/skillLight.png")
	addChildForPre(self.actionPanel_3, self.skillEffectBg)

	self.skillEffectBg2 = cc.Sprite:create()
	setValue(self.skillEffectBg2, "skillEffectBg2", 57, cc.size(750, 348), cc.p(375, 357.714), cc.p(0.5, 1), nil, nil, nil, nil)
	self.skillEffectBg2:setFlippedY(true)
	self.skillEffectBg2:setSpriteFrame("ccs/UiImages/skill/skillLight.png")
	addChildForPre(self.actionPanel_3, self.skillEffectBg2)

	self.lightSprite = cc.Sprite:create()
	setValue(self.lightSprite, "lightSprite", 14, cc.size(512, 120), cc.p(375, 357), nil, nil, nil, nil, nil)
	self.lightSprite:setScale(1.5)
	self.lightSprite:setSpriteFrame("ccs/UiImages/skill/dazhaoshandian001.png")
	addChildForPre(self.actionPanel_3, self.lightSprite)

	self.skillLine01 = cc.Sprite:create()
	setValue(self.skillLine01, "skillLine01", 68, cc.size(380, 80), cc.p(-347.8599, 225.002), nil, nil, 204, nil, nil)
	self.skillLine01:setRotationSkewX(180)
	self.skillLine01:setRotationSkewY(180)
	self.skillLine01:setScaleX(2)
	self.skillLine01:setScaleY(1)
	self.skillLine01:setSpriteFrame("ccs/UiImages/skill/xian.png")
	addChildForPre(self.actionPanel_3, self.skillLine01)

	self.skillLine02 = cc.Sprite:create()
	setValue(self.skillLine02, "skillLine02", 69, cc.size(380, 80), cc.p(-209.2886, 486.9015), nil, nil, 204, nil, nil)
	self.skillLine02:setRotationSkewX(180)
	self.skillLine02:setRotationSkewY(180)
	self.skillLine02:setScaleX(2)
	self.skillLine02:setScaleY(1)
	self.skillLine02:setSpriteFrame("ccs/UiImages/skill/xian.png")
	addChildForPre(self.actionPanel_3, self.skillLine02)

	self.skillLine03 = cc.Sprite:create()
	setValue(self.skillLine03, "skillLine03", 70, cc.size(380, 80), cc.p(-294.3, 308.3334), nil, nil, 204, nil, nil)
	self.skillLine03:setRotationSkewX(180)
	self.skillLine03:setRotationSkewY(180)
	self.skillLine03:setScaleX(2)
	self.skillLine03:setScaleY(1)
	self.skillLine03:setSpriteFrame("ccs/UiImages/skill/xian.png")
	addChildForPre(self.actionPanel_3, self.skillLine03)

	self.skillParticle01 = ccui.Layout:create()
	setValue(self.skillParticle01, "skillParticle01", 1574, cc.size(200, 200), cc.p(-100, 470), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.actionPanel_3, self.skillParticle01)
	self.skillParticle01_4 = self.skillParticle01

	self.Particle_1 = cc.ParticleSystemQuad:create("ccs/Particle/skill_lizi.plist")
 	self.Particle_1:setPositionType(2) 
	setValue(self.Particle_1, "Particle_1", 1576, nil, cc.p(100, 100), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.skillParticle01_4, self.Particle_1)

	self.skillParticle02 = ccui.Layout:create()
	setValue(self.skillParticle02, "skillParticle02", 15, cc.size(200, 200), cc.p(849, 220), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.skillParticle02:setRotationSkewX(180)
	self.skillParticle02:setRotationSkewY(180)
	addChildForPre(self.actionPanel_3, self.skillParticle02)
	self.skillParticle02_4 = self.skillParticle02

	self.Particle_1_Copy = cc.ParticleSystemQuad:create("ccs/Particle/skill_lizi.plist")
 	self.Particle_1_Copy:setPositionType(2) 
	setValue(self.Particle_1_Copy, "Particle_1_Copy", 17, nil, cc.p(100, 100), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.skillParticle02_4, self.Particle_1_Copy)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(25)
	self.animation:setTimeSpeed(1)
	local timeLine
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(5, true, 375.0000, 357.0000, nil))
	timeLine:addFrame(CreatePositionFrame(10, true, 375.0000, 357.0000, nil))
	timeLine:addFrame(CreatePositionFrame(15, true, 375.0000, 357.0000, nil))
	timeLine:addFrame(CreatePositionFrame(20, true, 375.0000, 357.0000, nil))
	timeLine:addFrame(CreatePositionFrame(25, true, 375.0000, 357.0000, nil))
	timeLine:setNode(self.lightSprite)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 1.5000, 1.5000, nil))
	timeLine:addFrame(CreateScaleFrame(5, true, 1.5000, 1.5000, nil))
	timeLine:addFrame(CreateScaleFrame(10, true, 1.5000, 1.5000, nil))
	timeLine:addFrame(CreateScaleFrame(15, true, 1.5000, 1.5000, nil))
	timeLine:addFrame(CreateScaleFrame(20, true, 1.5000, 1.5000, nil))
	timeLine:addFrame(CreateScaleFrame(25, true, 1.5000, 1.5000, nil))
	timeLine:setNode(self.lightSprite)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(5, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(10, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(15, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(20, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(25, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.lightSprite)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateTextureFrame(0, true, "ccs/UiImages/skill/dazhaoshandian001.png", nil))
	timeLine:addFrame(CreateTextureFrame(5, true, "ccs/UiImages/skill/dazhaoshandian002.png", nil))
	timeLine:addFrame(CreateTextureFrame(10, true, "ccs/UiImages/skill/dazhaoshandian003.png", nil))
	timeLine:addFrame(CreateTextureFrame(15, true, "ccs/UiImages/skill/dazhaoshandian004.png", nil))
	timeLine:addFrame(CreateTextureFrame(20, true, "ccs/UiImages/skill/dazhaoshandian005.png", nil))
	timeLine:addFrame(CreateTextureFrame(25, true, "ccs/UiImages/skill/dazhaoshandian006.png", nil))
	timeLine:setNode(self.lightSprite)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(0, true, -347.8599, 225.0020, nil))
	timeLine:addFrame(CreatePositionFrame(15, true, 1039.6499, 225.0020, nil))
	timeLine:setNode(self.skillLine01)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(0, true, 2.0000, 1.0000, nil))
	timeLine:setNode(self.skillLine01)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 180.0000, 180.0000, nil))
	timeLine:setNode(self.skillLine01)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(5, true, -209.2886, 486.9015, nil))
	timeLine:addFrame(CreatePositionFrame(20, true, 1013.1749, 486.9015, nil))
	timeLine:setNode(self.skillLine02)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(5, true, 2.0000, 1.0000, nil))
	timeLine:setNode(self.skillLine02)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(5, true, 180.0000, 180.0000, nil))
	timeLine:setNode(self.skillLine02)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreatePositionFrame(10, true, -294.3000, 308.3334, nil))
	timeLine:addFrame(CreatePositionFrame(25, true, 1123.2000, 308.3334, nil))
	timeLine:setNode(self.skillLine03)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateScaleFrame(10, true, 2.0000, 1.0000, nil))
	timeLine:setNode(self.skillLine03)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(10, true, 180.0000, 180.0000, nil))
	timeLine:setNode(self.skillLine03)
	timeLine = ccs.Timeline:create()
	self.animation:addTimeline(timeLine)
	timeLine:addFrame(CreateRotationSkewFrame(0, true, 0.0000, 0.0000, nil))
	timeLine:addFrame(CreateRotationSkewFrame(25, true, 0.0000, 0.0000, nil))
	timeLine:setNode(self.actionPanel)
	return self
end

_M.textures = {
	"ccs/plist/skill.plist",
}

return _M
