-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 24, cc.size(640, 960), cc.p(0, 1.25), nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bigPanel = ccui.Layout:create()
	setValue(self.bigPanel, "AXY_bigPanel", 57, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.bigPanel)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 25, cc.size(500.032, 400.032), cc.p(320, 499.2), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.TileSpriteBg = ccui.ImageView:create()
	setValue(self.TileSpriteBg, "TileSpriteBg", 124, cc.size(500, 350), cc.p(250.016, 200.016), nil, nil, nil, nil, false)
	self.TileSpriteBg:loadTexture("ccs/UiImages/image9/commonPanel_s9_bg_1.png", 1)
	self.TileSpriteBg:setScale9Enabled(true)
	self.TileSpriteBg:setCapInsets(cc.rect(30, 30, 112, 10))
	addChildForPre(self.dialogPanel_2, self.TileSpriteBg)

	self.Image_7 = ccui.ImageView:create()
	setValue(self.Image_7, "Image_7", 815, cc.size(470, 320), cc.p(250.016, 200.016), nil, nil, nil, nil, false)
	self.Image_7:loadTexture("ccs/UiImages/image9/CommonPanel_img_chuangkoubeijing_1.png", 1)
	self.Image_7:setScale9Enabled(true)
	self.Image_7:setCapInsets(cc.rect(0, 0, 470, 5))
	addChildForPre(self.dialogPanel_2, self.Image_7)

	self.Image_4 = ccui.ImageView:create()
	setValue(self.Image_4, "Image_4", 1042, cc.size(466, 79), cc.p(249.9999, 76.0001), nil, nil, nil, nil, nil)
	self.Image_4:loadTexture("ccs/UiImages/commonBg/CommonPanel_img_bg_1.jpg", 1)
	addChildForPre(self.dialogPanel_2, self.Image_4)

	self.needPanel = ccui.Layout:create()
	setValue(self.needPanel, "needPanel", 285, cc.size(480.0307, 108.0086), cc.p(250.016, 88.01), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.needPanel:setVisible(false)
	self.needPanel:setClippingEnabled(true)
	addChildForPre(self.dialogPanel_2, self.needPanel)
	self.needPanel_3 = self.needPanel

	self.Image_22 = ccui.ImageView:create()
	setValue(self.Image_22, "Image_22", 286, cc.size(482, 100), cc.p(240.0154, 54.0043), nil, nil, nil, nil, false)
	self.Image_22:loadTexture("ccs/UiImages/commonBg/CommonPanel_img_bg_2.png", 1)
	self.Image_22:setScale9Enabled(true)
	self.Image_22:setCapInsets(cc.rect(0, 0, 466, 100))
	addChildForPre(self.needPanel_3, self.Image_22)

	self.needZanshiTitle = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.needZanshiTitle, "needZanshiTitle", 287, cc.size(91, 23), cc.p(332.2293, 83.7715), cc.p(1, 0.5), nil, nil, nil, nil)
	self.needZanshiTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.needPanel_3, self.needZanshiTitle)

	self.zuanShiSprite = cc.Sprite:create()
	setValue(self.zuanShiSprite, "zuanShiSprite", 177, cc.size(35, 35), cc.p(351.4305, 83.7715), nil, nil, nil, nil, nil)
	self.zuanShiSprite:setSpriteFrame("ccs/UiImages/common/commonIcon_icon_ZuanShi_2.png")
	addChildForPre(self.needPanel_3, self.zuanShiSprite)

	self.needZanshiLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.needZanshiLabel, "needZanshiLabel", 176, cc.size(91, 23), cc.p(370.9197, 84.506), cc.p(0, 0.5), nil, nil, nil, nil)
	self.needZanshiLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.needPanel_3, self.needZanshiLabel)

	self.btnAgain = ccui.Button:create()
	setValue(self.btnAgain, "btnAgain", 57, cc.size(153, 64), cc.p(145.0093, 74.0059), nil, nil, nil, nil, false)
	self.btnAgain:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.btnAgain:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.btnAgain:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.btnAgain:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.btnAgain:setTitleText([[Button]])
	self.btnAgain:setTitleFontSize(24)
	self.btnAgain:setTitleFontName(getFont())
	setClickEvent(self, self.btnAgain, "btnAgain")
	addChildForPre(self.dialogPanel_2, self.btnAgain)

	self.btnOk = ccui.Button:create()
	setValue(self.btnOk, "btnOk", 58, cc.size(153, 64), cc.p(354.0227, 75.006), nil, nil, nil, nil, false)
	self.btnOk:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.btnOk:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.btnOk:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.btnOk:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.btnOk:setTitleText([[Button]])
	self.btnOk:setTitleFontSize(24)
	self.btnOk:setTitleFontName(getFont())
	setClickEvent(self, self.btnOk, "btnOk")
	addChildForPre(self.dialogPanel_2, self.btnOk)

	self.lbDesc = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.lbDesc, "lbDesc", 59, cc.size(91, 23), cc.p(250.016, 300.024), nil, nil, nil, nil, nil)
	self.lbDesc:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.lbDesc)

	self.titlePanel = ccui.Layout:create()
	setValue(self.titlePanel, "titlePanel", 910, cc.size(500.032, 66.2453), cc.p(250.016, 400.032), cc.p(0.5, 1), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.titlePanel)
	self.titlePanel_3 = self.titlePanel

	self.PanelCommonHeader = cc.Sprite:create()
	setValue(self.PanelCommonHeader, "PanelCommonHeader", 309, cc.size(462, 106), cc.p(250.016, 33.1227), nil, nil, nil, nil, nil)
	self.PanelCommonHeader:setScale(0.5)
	self.PanelCommonHeader:setSpriteFrame("ccs/UiImages/commonBg/CommonPanel_img_WinHeader_1.png")
	addChildForPre(self.titlePanel_3, self.PanelCommonHeader)

	self.dialogTitleLabel = createLabel({text=[[Text Label]], font=getFont(), size=30})
	setValue(self.dialogTitleLabel, "dialogTitleLabel", 133, cc.size(136, 34), cc.p(250.016, 33.1227), nil, nil, nil, nil, nil)
	self.dialogTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.titlePanel_3, self.dialogTitleLabel)

	self.btnClose = ccui.Button:create()
	setValue(self.btnClose, "btnClose", 816, cc.size(80, 60), cc.p(450.0288, 33.1227), nil, nil, nil, nil, nil)
	self.btnClose:setVisible(false)
	self.btnClose:loadTextureNormal("ccs/UiImages/image9/common_btn_close_0.png", 1)
	self.btnClose:loadTexturePressed("ccs/UiImages/image9/common_btn_close_1.png", 1)
	self.btnClose:loadTextureDisabled("ccs/UiImages/image9/common_btn_close_0.png", 1)
	self.btnClose:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.btnClose:setTitleText([[]])
	self.btnClose:setTitleColor(cc.c3b(65, 65, 70))
	self.btnClose:setTitleFontSize(14)
	self.btnClose:setTitleFontName(getFont())
	setClickEvent(self, self.btnClose, "btnClose")
	addChildForPre(self.titlePanel_3, self.btnClose)

	self.Panel_7 = ccui.Layout:create()
	setValue(self.Panel_7, "Panel_7", 50, cc.size(465, 126), cc.p(250.016, 200.016), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.Panel_7)
	self.Panel_7_3 = self.Panel_7

	self.Image_5 = ccui.ImageView:create()
	setValue(self.Image_5, "Image_5", 51, cc.size(465, 126), cc.p(232.5, 63), nil, nil, nil, nil, false)
	self.Image_5:loadTexture("ccs/UiImages/commonBg/common_img_ditiao.png", 1)
	self.Image_5:setScale9Enabled(true)
	self.Image_5:setCapInsets(cc.rect(0, 0, 612, 167))
	addChildForPre(self.Panel_7_3, self.Image_5)

	self.itemName = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.itemName, "itemName", 53, cc.size(109, 28), cc.p(122, 101), cc.p(0, 0.5), nil, nil, nil, nil)
	self.itemName:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_7_3, self.itemName)

	self.Image_6 = ccui.ImageView:create()
	setValue(self.Image_6, "Image_6", 54, cc.size(328, 70), cc.p(286, 52), nil, nil, nil, nil, false)
	self.Image_6:loadTexture("ccs/UiImages/image9/common_s9_diban.png", 1)
	self.Image_6:setScale9Enabled(true)
	self.Image_6:setCapInsets(cc.rect(5, 5, 19, 24))
	addChildForPre(self.Panel_7_3, self.Image_6)

	if CommonItemCellIconUi then 
 		self.commonItemCellIconUi = CommonItemCellIconUi.new() 
 	else 
		self.commonItemCellIconUi = BaseUi.new("ccs/ui/commonDialog/CommonItemCellIconUi.lua")
 	end 
	setValue(self.commonItemCellIconUi, "commonItemCellIconUi", 381, nil, cc.p(14.1723, 15), nil, nil, nil, nil, nil)
	addChildForPre(self.Panel_7_3, self.commonItemCellIconUi)

	self.itemCount = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.itemCount, "itemCount", 56, cc.size(91, 23), cc.p(450, 101), cc.p(1, 0.5), cc.c4b(255, 239, 0, 255), nil, nil, nil)
	self.itemCount:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.itemCount:setColor(cc.c4b(255, 239, 0, 255))
	addChildForPre(self.Panel_7_3, self.itemCount)

	self.itemDesc = createLabel({text=[[Text Label]], font=getFont(), size=20, dimensions = cc.size(310.0000, 70.0000)})
	setValue(self.itemDesc, "itemDesc", 55, cc.size(310, 70), cc.p(130, 82), cc.p(0, 1), nil, nil, nil, false)
	self.itemDesc:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.Panel_7_3, self.itemDesc)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/commonBg.plist",
	"ccs/plist/common.plist",
}

return _M
