-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 24, cc.size(640, 960), cc.p(0, 1.25), nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bigPanel = ccui.Layout:create()
	setValue(self.bigPanel, "AXY_bigPanel", 57, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.bigPanel)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 25, cc.size(500.032, 720), cc.p(320, 499.2), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.TileSpriteBg = ccui.ImageView:create()
	setValue(self.TileSpriteBg, "TileSpriteBg", 124, cc.size(500, 700), cc.p(250.016, 360), nil, nil, nil, nil, false)
	self.TileSpriteBg:loadTexture("ccs/UiImages/image9/commonPanel_s9_bg_1.png", 1)
	self.TileSpriteBg:setScale9Enabled(true)
	self.TileSpriteBg:setCapInsets(cc.rect(30, 30, 112, 10))
	addChildForPre(self.dialogPanel_2, self.TileSpriteBg)

	self.Image_5 = ccui.ImageView:create()
	setValue(self.Image_5, "Image_5", 257, cc.size(470, 679), cc.p(250.016, 360), nil, nil, nil, nil, false)
	self.Image_5:loadTexture("ccs/UiImages/image9/CommonPanel_img_chuangkoubeijing_1.png", 1)
	self.Image_5:setScale9Enabled(true)
	self.Image_5:setCapInsets(cc.rect(0, 0, 470, 5))
	addChildForPre(self.dialogPanel_2, self.Image_5)

	self.Image_4 = ccui.ImageView:create()
	setValue(self.Image_4, "Image_4", 1042, cc.size(466, 79), cc.p(249.9998, 66.0001), nil, nil, nil, nil, nil)
	self.Image_4:loadTexture("ccs/UiImages/commonBg/CommonPanel_img_bg_1.jpg", 1)
	addChildForPre(self.dialogPanel_2, self.Image_4)

	self.btnAgain = ccui.Button:create()
	setValue(self.btnAgain, "btnAgain", 57, cc.size(153, 64), cc.p(125.008, 63), nil, nil, nil, nil, false)
	self.btnAgain:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.btnAgain:loadTexturePressed("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.btnAgain:loadTextureDisabled("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.btnAgain:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.btnAgain:setTitleText([[Button]])
	self.btnAgain:setTitleFontSize(24)
	self.btnAgain:setTitleFontName(getFont())
	setClickEvent(self, self.btnAgain, "btnAgain")
	addChildForPre(self.dialogPanel_2, self.btnAgain)

	self.btnOk = ccui.Button:create()
	setValue(self.btnOk, "btnOk", 58, cc.size(153, 64), cc.p(375.024, 63), nil, nil, nil, nil, false)
	self.btnOk:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.btnOk:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.btnOk:loadTextureDisabled("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.btnOk:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.btnOk:setTitleText([[Button]])
	self.btnOk:setTitleFontSize(24)
	self.btnOk:setTitleFontName(getFont())
	setClickEvent(self, self.btnOk, "btnOk")
	addChildForPre(self.dialogPanel_2, self.btnOk)

	self.titlePanel = ccui.Layout:create()
	setValue(self.titlePanel, "titlePanel", 910, cc.size(500, 60), cc.p(250.016, 720), cc.p(0.5, 0.8), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.titlePanel)
	self.titlePanel_3 = self.titlePanel

	self.PanelCommonHeader = cc.Sprite:create()
	setValue(self.PanelCommonHeader, "PanelCommonHeader", 309, cc.size(462, 106), cc.p(250, 30), nil, nil, nil, nil, nil)
	self.PanelCommonHeader:setScale(0.5)
	self.PanelCommonHeader:setSpriteFrame("ccs/UiImages/commonBg/CommonPanel_img_WinHeader_1.png")
	addChildForPre(self.titlePanel_3, self.PanelCommonHeader)

	self.dialogTitleLabel = createLabel({text=[[Text Label]], font=getFont(), size=30})
	setValue(self.dialogTitleLabel, "dialogTitleLabel", 133, cc.size(136, 34), cc.p(250, 30), nil, nil, nil, nil, nil)
	self.dialogTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.titlePanel_3, self.dialogTitleLabel)

	self.imageMid = cc.Sprite:create()
	setValue(self.imageMid, "imageMid", 153, cc.size(470, 225), cc.p(250.016, 360), nil, nil, nil, nil, nil)
	self.imageMid:setSpriteFrame("ccs/UiImages/common/luckDraw_img_mall_1.png")
	addChildForPre(self.dialogPanel_2, self.imageMid)

	if StorageItemCell then 
 		self.StorageCellUi1 = StorageItemCell.new() 
 	else 
		self.StorageCellUi1 = BaseUi.new("ccs/ui/storage/StorageItemCell.lua")
 	end 
	setValue(self.StorageCellUi1, "StorageCellUi1", 87, nil, cc.p(52.173, 510.9661), nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.StorageCellUi1)

	if StorageItemCell then 
 		self.StorageCellUi2 = StorageItemCell.new() 
 	else 
		self.StorageCellUi2 = BaseUi.new("ccs/ui/storage/StorageItemCell.lua")
 	end 
	setValue(self.StorageCellUi2, "StorageCellUi2", 93, nil, cc.p(200.4337, 510.9662), nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.StorageCellUi2)

	if StorageItemCell then 
 		self.StorageCellUi3 = StorageItemCell.new() 
 	else 
		self.StorageCellUi3 = BaseUi.new("ccs/ui/storage/StorageItemCell.lua")
 	end 
	setValue(self.StorageCellUi3, "StorageCellUi3", 99, nil, cc.p(348.6944, 510.9661), nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.StorageCellUi3)

	if StorageItemCell then 
 		self.StorageCellUi4 = StorageItemCell.new() 
 	else 
		self.StorageCellUi4 = BaseUi.new("ccs/ui/storage/StorageItemCell.lua")
 	end 
	setValue(self.StorageCellUi4, "StorageCellUi4", 105, nil, cc.p(52.173, 376.3144), nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.StorageCellUi4)

	if StorageItemCell then 
 		self.StorageCellUi5 = StorageItemCell.new() 
 	else 
		self.StorageCellUi5 = BaseUi.new("ccs/ui/storage/StorageItemCell.lua")
 	end 
	setValue(self.StorageCellUi5, "StorageCellUi5", 111, nil, cc.p(348.6944, 241.6626), nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.StorageCellUi5)

	if StorageItemCell then 
 		self.StorageCellUi6 = StorageItemCell.new() 
 	else 
		self.StorageCellUi6 = BaseUi.new("ccs/ui/storage/StorageItemCell.lua")
 	end 
	setValue(self.StorageCellUi6, "StorageCellUi6", 117, nil, cc.p(348.6944, 376.3144), nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.StorageCellUi6)

	if StorageItemCell then 
 		self.StorageCellUi7 = StorageItemCell.new() 
 	else 
		self.StorageCellUi7 = BaseUi.new("ccs/ui/storage/StorageItemCell.lua")
 	end 
	setValue(self.StorageCellUi7, "StorageCellUi7", 129, nil, cc.p(52.173, 241.6626), nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.StorageCellUi7)

	if StorageItemCell then 
 		self.StorageCellUi8 = StorageItemCell.new() 
 	else 
		self.StorageCellUi8 = BaseUi.new("ccs/ui/storage/StorageItemCell.lua")
 	end 
	setValue(self.StorageCellUi8, "StorageCellUi8", 135, nil, cc.p(52.173, 107.0108), nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.StorageCellUi8)

	if StorageItemCell then 
 		self.StorageCellUi9 = StorageItemCell.new() 
 	else 
		self.StorageCellUi9 = BaseUi.new("ccs/ui/storage/StorageItemCell.lua")
 	end 
	setValue(self.StorageCellUi9, "StorageCellUi9", 141, nil, cc.p(200.4337, 107.0108), nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.StorageCellUi9)

	if StorageItemCell then 
 		self.StorageCellUi10 = StorageItemCell.new() 
 	else 
		self.StorageCellUi10 = BaseUi.new("ccs/ui/storage/StorageItemCell.lua")
 	end 
	setValue(self.StorageCellUi10, "StorageCellUi10", 147, nil, cc.p(348.6943, 107.0108), nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.StorageCellUi10)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/commonBg.plist",
	"ccs/plist/common.plist",
}

return _M
