-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 34, cc.size(640, 175), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.intelPanel = ccui.Layout:create()
	setValue(self.intelPanel, "WXN_intelPanel", 1353, cc.size(640, 150), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.intelPanel)
	self.intelPanel_2 = self.intelPanel

	self.CommonChildGreen = ccui.ImageView:create()
	setValue(self.CommonChildGreen, "CommonChildGreen", 204, cc.size(610, 160), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.CommonChildGreen:loadTexture("ccs/UiImages/commonBg/common_img_ditiao.png", 1)
	self.CommonChildGreen:setScale9Enabled(true)
	self.CommonChildGreen:setCapInsets(cc.rect(30, 30, 552, 107))
	addChildForPre(self.intelPanel_2, self.CommonChildGreen)

	self.lablebgImage = ccui.ImageView:create()
	setValue(self.lablebgImage, "lablebgImage", 186, cc.size(330, 40), cc.p(140.8, 123.3192), cc.p(0, 0.5), nil, nil, nil, false)
	self.lablebgImage:loadTexture("ccs/UiImages/image9/common_s9_diban.png", 1)
	self.lablebgImage:setScale9Enabled(true)
	self.lablebgImage:setCapInsets(cc.rect(10, 10, 14, 14))
	addChildForPre(self.intelPanel_2, self.lablebgImage)

	self.itembgSprite = cc.Sprite:create()
	setValue(self.itembgSprite, "itembgSprite", 187, cc.size(100, 100), cc.p(80.843, 83.583), nil, nil, nil, nil, nil)
	self.itembgSprite:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.intelPanel_2, self.itembgSprite)

	self.getRewardButton = ccui.Button:create()
	setValue(self.getRewardButton, "getRewardButton", 132, cc.size(153, 64), cc.p(534.1769, 53.7979), nil, nil, nil, nil, false)
	self.getRewardButton:loadTextureNormal("ccs/UiImages/image9/common_btn_yellow_0.png", 1)
	self.getRewardButton:loadTexturePressed("ccs/UiImages/image9/common_btn_yellow_1.png", 1)
	self.getRewardButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.getRewardButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.getRewardButton:setTitleText([[getReward]])
	self.getRewardButton:setTitleFontSize(25)
	self.getRewardButton:setTitleFontName(getFont())
	setClickEvent(self, self.getRewardButton, "getRewardButton")
	addChildForPre(self.intelPanel_2, self.getRewardButton)

	self.jumpButton = ccui.Button:create()
	setValue(self.jumpButton, "jumpButton", 133, cc.size(153, 64), cc.p(534.1769, 53.7979), nil, nil, nil, nil, false)
	self.jumpButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.jumpButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.jumpButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.jumpButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.jumpButton:setTitleText([[jump]])
	self.jumpButton:setTitleFontSize(25)
	self.jumpButton:setTitleFontName(getFont())
	setClickEvent(self, self.jumpButton, "jumpButton")
	addChildForPre(self.intelPanel_2, self.jumpButton)

	self.taskImage = ccui.ImageView:create()
	setValue(self.taskImage, "taskImage", 558, cc.size(46, 46), cc.p(80.843, 83.583), nil, nil, nil, nil, nil)
	self.taskImage:loadTexture("Default/ImageFile.png")
	addChildForPre(self.intelPanel_2, self.taskImage)

	self.rewardNum1Label = createLabel({text=[[x5]], font=getFont(), size=24})
	setValue(self.rewardNum1Label, "rewardNum1Label", 138, cc.size(25, 28), cc.p(249.6, 37.425), cc.p(0, 0.5), cc.c4b(255, 240, 0, 255), nil, nil, nil)
	self.rewardNum1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rewardNum1Label:setColor(cc.c4b(255, 240, 0, 255))
	addChildForPre(self.intelPanel_2, self.rewardNum1Label)

	self.rewardTtileLabel = createLabel({text=[[奖励:]], font=getFont(), size=24})
	setValue(self.rewardTtileLabel, "rewardTtileLabel", 137, cc.size(54, 28), cc.p(147.2, 37.425), cc.p(0, 0.5), cc.c4b(255, 240, 0, 255), nil, nil, nil)
	self.rewardTtileLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rewardTtileLabel:setColor(cc.c4b(255, 240, 0, 255))
	addChildForPre(self.intelPanel_2, self.rewardTtileLabel)

	self.taskInfoLabel = createLabel({text=[[taskInfoLabel]], font=getFont(), size=24})
	setValue(self.taskInfoLabel, "taskInfoLabel", 136, cc.size(142, 28), cc.p(147.2, 81.03), cc.p(0, 0.5), nil, nil, nil, nil)
	self.taskInfoLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.intelPanel_2, self.taskInfoLabel)

	self.taskTitleLabel = createLabel({text=[[taskTitleLabel]], font=getFont(), size=24})
	setValue(self.taskTitleLabel, "taskTitleLabel", 135, cc.size(147, 28), cc.p(153.6, 123.3192), cc.p(0, 0.5), nil, nil, nil, nil)
	self.taskTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.intelPanel_2, self.taskTitleLabel)

	self.taskNumLabel = createLabel({text=[[进度:5/5]], font=getFont(), size=24})
	setValue(self.taskNumLabel, "taskNumLabel", 134, cc.size(88, 28), cc.p(537.6, 112.5), nil, cc.c4b(255, 255, 240, 255), nil, nil, nil)
	self.taskNumLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.taskNumLabel:setColor(cc.c4b(255, 255, 240, 255))
	addChildForPre(self.intelPanel_2, self.taskNumLabel)

	self.scoreLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.scoreLabel, "scoreLabel", 1352, cc.size(109, 28), cc.p(358.4, 37.425), cc.p(0, 0.5), cc.c4b(12, 255, 0, 255), nil, nil, nil)
	self.scoreLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.scoreLabel:setColor(cc.c4b(12, 255, 0, 255))
	addChildForPre(self.intelPanel_2, self.scoreLabel)

	self.reward1Sprite = cc.Sprite:create()
	setValue(self.reward1Sprite, "reward1Sprite", 234, cc.size(46, 46), cc.p(227.2, 37.425), nil, nil, nil, nil, nil)
	self.reward1Sprite:setScale(0.5)
	self.reward1Sprite:setTexture("Default/Sprite.png")
	addChildForPre(self.intelPanel_2, self.reward1Sprite)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/image9.plist",
	"Default/ImageFile.png",
	"Default/Sprite.png",
}

return _M
