-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 4, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	if CommonDialogFrame1Ui then 
 		self.commonDialogFrame1Ui = CommonDialogFrame1Ui.new() 
 	else 
		self.commonDialogFrame1Ui = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1Ui.lua")
 	end 
	setValue(self.commonDialogFrame1Ui, "commonDialogFrame1Ui", 5, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1Ui)

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 29, cc.size(640, 960), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.CommonArticleBox = ccui.ImageView:create()
	setValue(self.CommonArticleBox, "WTX_CommonArticleBox", 538, cc.size(640, 62), cc.p(316.7999, 851.6), nil, nil, nil, nil, nil)
	self.CommonArticleBox:loadTexture("ccs/UiImages/commonBg/common_img_diban00.png", 1)
	addChildForPre(self.dialogPanel_2, self.CommonArticleBox)

	self.contentPanel = ccui.Layout:create()
	setValue(self.contentPanel, "WIX_contentPanel", 175, cc.size(640, 675), cc.p(320, 484.8), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.contentPanel)

	self.tabPanel = ccui.Layout:create()
	setValue(self.tabPanel, "WTX_tabPanel", 110, cc.size(640, 50), cc.p(320, 854.4), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.tabPanel)
	self.tabPanel_3 = self.tabPanel

	self.dailyTaskButton = ccui.Button:create()
	self.dailyTaskButton:setScale9Enabled(true)
	self.dailyTaskButton:setCapInsets(cc.rect(0, 0, 247, 91))
	self.dailyTaskButton:setContentSize(cc.size(124, 48))
	setValue(self.dailyTaskButton, "dailyTaskButton", 30, nil, cc.p(83.2, 25), nil, nil, nil, nil, false)
	self.dailyTaskButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.dailyTaskButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.dailyTaskButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.dailyTaskButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.dailyTaskButton:setTitleText([[task]])
	self.dailyTaskButton:setTitleFontSize(25)
	self.dailyTaskButton:setTitleFontName(getFont())
	setClickEvent(self, self.dailyTaskButton, "dailyTaskButton")
	addChildForPre(self.tabPanel_3, self.dailyTaskButton)
	self.dailyTaskButton_4 = self.dailyTaskButton

	self.REDPOINT_DAILYTASKS = cc.Sprite:create()
	setValue(self.REDPOINT_DAILYTASKS, "REDPOINT_DAILYTASKS", 78, cc.size(17, 17), cc.p(112.5001, 40), nil, nil, nil, nil, nil)
	self.REDPOINT_DAILYTASKS:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.dailyTaskButton_4, self.REDPOINT_DAILYTASKS)

	self.taskButton = ccui.Button:create()
	self.taskButton:setScale9Enabled(true)
	self.taskButton:setCapInsets(cc.rect(0, 0, 247, 91))
	self.taskButton:setContentSize(cc.size(124, 48))
	setValue(self.taskButton, "taskButton", 31, nil, cc.p(230.4, 25), nil, nil, nil, nil, false)
	self.taskButton:loadTextureNormal("ccs/UiImages/common/commonPanel_btn_yeqian_up_1.png", 1)
	self.taskButton:loadTexturePressed("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.taskButton:loadTextureDisabled("ccs/UiImages/common/commonPanel_btn_yeqian_select_1.png", 1)
	self.taskButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.taskButton:setTitleText([[dailyTask]])
	self.taskButton:setTitleFontSize(25)
	self.taskButton:setTitleFontName(getFont())
	setClickEvent(self, self.taskButton, "taskButton")
	addChildForPre(self.tabPanel_3, self.taskButton)
	self.taskButton_4 = self.taskButton

	self.REDPOINT_DAILYTASKS = cc.Sprite:create()
	setValue(self.REDPOINT_DAILYTASKS, "REDPOINT_DAILYTASKS", 79, cc.size(17, 17), cc.p(113.7501, 41.25), nil, nil, 0, nil, nil)
	self.REDPOINT_DAILYTASKS:setSpriteFrame("ccs/UiImages/common/commonPanel_tips_red_1.png")
	addChildForPre(self.taskButton_4, self.REDPOINT_DAILYTASKS)

	self.processPanel = ccui.Layout:create()
	setValue(self.processPanel, "WXI_processPanel", 657, cc.size(640, 148), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.processPanel)
	self.processPanel_3 = self.processPanel

	self.rewardAllLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.rewardAllLabel, "rewardAllLabel", 659, cc.size(109, 28), cc.p(32, 103.5852), cc.p(0, 0.5), cc.c4b(30, 30, 217, 255), nil, nil, nil)
	self.rewardAllLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rewardAllLabel:setColor(cc.c4b(30, 30, 217, 255))
	addChildForPre(self.processPanel_3, self.rewardAllLabel)

	self.rewardBgImage = ccui.ImageView:create()
	setValue(self.rewardBgImage, "rewardBgImage", 686, cc.size(600, 31), cc.p(326.7145, 56.3295), nil, nil, nil, nil, false)
	self.rewardBgImage:loadTexture("ccs/UiImages/mall/vipPay_bar_02.png", 1)
	self.rewardBgImage:setScale9Enabled(true)
	self.rewardBgImage:setCapInsets(cc.rect(10, 10, 237, 11))
	addChildForPre(self.processPanel_3, self.rewardBgImage)

	local progressSprite = cc.Sprite:createWithSpriteFrameName("ccs/UiImages/mall/vipPay_bar_01.png")
	self.rewardBar = cc.ProgressTimer:create(progressSprite)
	setValue(self.rewardBar, "rewardBar", 685, cc.size(241, 21), cc.p(326.72, 57.72), nil, nil, nil, nil, nil)
	self.rewardBar:setScaleX(2.45)
	self.rewardBar:setScaleY(1.2)
	self.rewardBar:setPercentage(100)
	self.rewardBar:setType(1)
	self.rewardBar:setBarChangeRate({x=1,y=0})
	self.rewardBar:setMidpoint({x = 0,y = 0})
	addChildForPre(self.processPanel_3, self.rewardBar)

	self.rewardLabel1 = createLabel({text=[[30]], font=getFont(), size=24})
	setValue(self.rewardLabel1, "rewardLabel1", 718, cc.size(26, 28), cc.p(211.2, 21.2528), nil, cc.c4b(30, 30, 217, 255), nil, nil, nil)
	self.rewardLabel1:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rewardLabel1:setColor(cc.c4b(30, 30, 217, 255))
	addChildForPre(self.processPanel_3, self.rewardLabel1)

	self.rewardLabel2 = createLabel({text=[[60]], font=getFont(), size=24})
	setValue(self.rewardLabel2, "rewardLabel2", 719, cc.size(26, 28), cc.p(396.8, 21.2528), nil, cc.c4b(143, 84, 254, 255), nil, nil, nil)
	self.rewardLabel2:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rewardLabel2:setColor(cc.c4b(143, 84, 254, 255))
	addChildForPre(self.processPanel_3, self.rewardLabel2)

	self.rewardLabel3 = createLabel({text=[[100]], font=getFont(), size=24})
	setValue(self.rewardLabel3, "rewardLabel3", 720, cc.size(40, 28), cc.p(593.2452, 25.2051), nil, cc.c4b(253, 132, 53, 255), nil, nil, nil)
	self.rewardLabel3:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rewardLabel3:setColor(cc.c4b(253, 132, 53, 255))
	addChildForPre(self.processPanel_3, self.rewardLabel3)

	self.rewardSprite1 = cc.Sprite:create()
	setValue(self.rewardSprite1, "rewardSprite1", 1972, cc.size(133, 114), cc.p(210.8635, 76.8105), nil, nil, nil, nil, nil)
	self.rewardSprite1:setSpriteFrame("ccs/UiImages/battle/icon_box02.png")
	addChildForPre(self.processPanel_3, self.rewardSprite1)

	self.rewardSprite2 = cc.Sprite:create()
	setValue(self.rewardSprite2, "rewardSprite2", 1973, cc.size(133, 114), cc.p(399.8982, 76.8105), nil, nil, nil, nil, nil)
	self.rewardSprite2:setSpriteFrame("ccs/UiImages/battle/icon_box02.png")
	addChildForPre(self.processPanel_3, self.rewardSprite2)

	self.rewardSprite3 = cc.Sprite:create()
	setValue(self.rewardSprite3, "rewardSprite3", 1974, cc.size(133, 114), cc.p(587.6063, 76.8105), nil, nil, nil, nil, nil)
	self.rewardSprite3:setSpriteFrame("ccs/UiImages/battle/icon_box02.png")
	addChildForPre(self.processPanel_3, self.rewardSprite3)

	self.rewardButton1 = ccui.Button:create()
	self.rewardButton1:setScale9Enabled(true)
	self.rewardButton1:setCapInsets(cc.rect(0, 0, 10, 10))
	self.rewardButton1:setContentSize(cc.size(100, 100))
	setValue(self.rewardButton1, "rewardButton1", 715, nil, cc.p(211.2, 72.3868), nil, nil, nil, nil, false)
	self.rewardButton1:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.rewardButton1:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.rewardButton1:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.rewardButton1:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.rewardButton1:setTitleText([[]])
	self.rewardButton1:setTitleColor(cc.c3b(65, 65, 70))
	self.rewardButton1:setTitleFontSize(14)
	self.rewardButton1:setTitleFontName(getFont())
	setClickEvent(self, self.rewardButton1, "rewardButton1")
	addChildForPre(self.processPanel_3, self.rewardButton1)

	self.rewardButton2 = ccui.Button:create()
	self.rewardButton2:setScale9Enabled(true)
	self.rewardButton2:setCapInsets(cc.rect(0, 0, 10, 10))
	self.rewardButton2:setContentSize(cc.size(100, 100))
	setValue(self.rewardButton2, "rewardButton2", 716, nil, cc.p(400.256, 72.3868), nil, nil, nil, nil, false)
	self.rewardButton2:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.rewardButton2:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.rewardButton2:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.rewardButton2:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.rewardButton2:setTitleText([[]])
	self.rewardButton2:setTitleColor(cc.c3b(65, 65, 70))
	self.rewardButton2:setTitleFontSize(14)
	self.rewardButton2:setTitleFontName(getFont())
	setClickEvent(self, self.rewardButton2, "rewardButton2")
	addChildForPre(self.processPanel_3, self.rewardButton2)

	self.rewardButton3 = ccui.Button:create()
	self.rewardButton3:setScale9Enabled(true)
	self.rewardButton3:setCapInsets(cc.rect(0, 0, 10, 10))
	self.rewardButton3:setContentSize(cc.size(100, 100))
	setValue(self.rewardButton3, "rewardButton3", 717, nil, cc.p(589.2894, 72.3881), nil, nil, nil, nil, false)
	self.rewardButton3:loadTextureNormal("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.rewardButton3:loadTexturePressed("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.rewardButton3:loadTextureDisabled("ccs/UiImages/image9/CommonClearBtn.png", 1)
	self.rewardButton3:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.rewardButton3:setTitleText([[]])
	self.rewardButton3:setTitleColor(cc.c3b(65, 65, 70))
	self.rewardButton3:setTitleFontSize(14)
	self.rewardButton3:setTitleFontName(getFont())
	setClickEvent(self, self.rewardButton3, "rewardButton3")
	addChildForPre(self.processPanel_3, self.rewardButton3)

	self.topImage = ccui.ImageView:create()
	setValue(self.topImage, "WXB_topImage", 539, cc.size(640, 30), cc.p(319.9999, 139.12), nil, nil, nil, nil, false)
	self.topImage:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.topImage:setScale9Enabled(true)
	self.topImage:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.processPanel_3, self.topImage)

	if CommonDialogFrame1CloseUi then 
 		self.commonDialogFrame1CloseUi = CommonDialogFrame1CloseUi.new() 
 	else 
		self.commonDialogFrame1CloseUi = BaseUi.new("ccs/ui/commonDialogFrame/CommonDialogFrame1CloseUi.lua")
 	end 
	setValue(self.commonDialogFrame1CloseUi, "commonDialogFrame1CloseUi", 24, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.commonDialogFrame1CloseUi)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/common.plist",
	"ccs/plist/mall.plist",
	"ccs/plist/battle.plist",
	"ccs/plist/image9.plist",
}

return _M
