-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node_1 = cc.Node:create()
	setValue(self.Node_1, "Node_1", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node_1)
 	self.uiRootNode = self.Node_1
	self.Node_1_0 = self.Node_1

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 12, cc.size(640, 170), nil, nil, nil, nil, nil, nil)
	setBgColor(self.rootPanel, 1, 0, cc.c4b(150, 200, 255, 255), nil, nil, nil)
	addChildForPre(self.Node_1_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.bigPanel = ccui.Layout:create()
	setValue(self.bigPanel, "bigPanel", 21, cc.size(612, 170), cc.p(320, 85), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.bigPanel)
	self.bigPanel_2 = self.bigPanel

	self.panelBg1 = ccui.ImageView:create()
	setValue(self.panelBg1, "panelBg1", 713, cc.size(612, 167), cc.p(306, 85), nil, nil, nil, nil, nil)
	self.panelBg1:loadTexture("ccs/UiImages/commonBg/common_img_ditiao.png", 1)
	addChildForPre(self.bigPanel_2, self.panelBg1)

	self.Image_15 = ccui.ImageView:create()
	setValue(self.Image_15, "Image_15", 1065, cc.size(267, 66), cc.p(282.7448, 57.808), nil, nil, nil, nil, false)
	self.Image_15:loadTexture("ccs/UiImages/image9/common_s9_diban.png", 1)
	self.Image_15:setScale9Enabled(true)
	self.Image_15:setCapInsets(cc.rect(5, 5, 19, 24))
	addChildForPre(self.bigPanel_2, self.Image_15)

	self.techIconSpriteBg = cc.Sprite:create()
	setValue(self.techIconSpriteBg, "techIconSpriteBg", 75, cc.size(100, 100), cc.p(73.8072, 99.773), nil, nil, nil, nil, nil)
	self.techIconSpriteBg:setSpriteFrame("ccs/UiImages/commonBg/qualityBg1.png")
	addChildForPre(self.bigPanel_2, self.techIconSpriteBg)

	self.techIconSprite = cc.Sprite:create()
	setValue(self.techIconSprite, "techIconSprite", 1064, cc.size(100, 100), cc.p(73.8072, 99.773), nil, nil, nil, nil, nil)
	self.techIconSprite:setTexture("Default/Sprite.png")
	addChildForPre(self.bigPanel_2, self.techIconSprite)

	self.levelLabel = createLabel({text=[[99]], font=getFont(), size=24,align = 1,valign = 1})
	setValue(self.levelLabel, "levelLabel", 14, cc.size(26, 28), cc.p(149.0435, 134.945), cc.p(0, 0.5), nil, nil, nil, nil)
	self.levelLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.levelLabel)

	self.levelLabelValue = createLabel({text=[[99]], font=getFont(), size=24,align = 1,valign = 1})
	setValue(self.levelLabelValue, "levelLabelValue", 1162, cc.size(26, 28), cc.p(196.1765, 134.945), cc.p(0, 0.5), cc.c4b(255, 234, 0, 255), nil, nil, nil)
	self.levelLabelValue:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.levelLabelValue:setColor(cc.c4b(255, 234, 0, 255))
	addChildForPre(self.bigPanel_2, self.levelLabelValue)

	self.upgradeButton = ccui.Button:create()
	self.upgradeButton:setScale9Enabled(true)
	self.upgradeButton:setCapInsets(cc.rect(30, 10, 93, 44))
	self.upgradeButton:setContentSize(cc.size(148, 58))
	setValue(self.upgradeButton, "upgradeButton", 19, nil, cc.p(507.042, 56.508), nil, nil, nil, nil, false)
	self.upgradeButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.upgradeButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.upgradeButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.upgradeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.upgradeButton:setTitleText([[upgrade]])
	self.upgradeButton:setTitleFontSize(25)
	self.upgradeButton:setTitleFontName(getFont())
	setClickEvent(self, self.upgradeButton, "upgradeButton")
	addChildForPre(self.bigPanel_2, self.upgradeButton)

	self.goldCostLabel = createLabel({text=[[1234k]], font=getFont(), size=20})
	setValue(self.goldCostLabel, "goldCostLabel", 18, cc.size(54, 23), cc.p(482.1948, 137.445), cc.p(0, 0.5), nil, nil, nil, nil)
	self.goldCostLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.goldCostLabel)

	self.addLabel = createLabel({text=[[+1000000]], font=getFont(), size=30})
	setValue(self.addLabel, "addLabel", 16, cc.size(134, 34), cc.p(252.8172, 59.3432), cc.p(0, 0.4791), cc.c4b(0, 255, 9, 255), nil, nil, nil)
	self.addLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.addLabel:setColor(cc.c4b(0, 255, 9, 255))
	addChildForPre(self.bigPanel_2, self.addLabel)

	self.storageCostLabel = createLabel({text=[[123]], font=getFont(), size=20})
	setValue(self.storageCostLabel, "storageCostLabel", 23, cc.size(33, 23), cc.p(482.1948, 105.995), cc.p(0, 0.5), nil, nil, nil, nil)
	self.storageCostLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.storageCostLabel)

	self.IconGold = cc.Sprite:create()
	setValue(self.IconGold, "IconGold", 1334, cc.size(34, 28), cc.p(440.028, 137.445), cc.p(0, 0.5), nil, nil, nil, nil)
	self.IconGold:setSpriteFrame("ccs/UiImages/common/icon_gold.png")
	addChildForPre(self.bigPanel_2, self.IconGold)

	self.IconPaper = cc.Sprite:create()
	setValue(self.IconPaper, "IconPaper", 256, cc.size(35, 35), cc.p(440.028, 106.437), cc.p(0, 0.5), nil, nil, nil, nil)
	self.IconPaper:setSpriteFrame("ccs/UiImages/common/commonIcon_img_tuzhi_small_1.png")
	addChildForPre(self.bigPanel_2, self.IconPaper)

	self.lbCost = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.lbCost, "lbCost", 1066, cc.size(91, 23), cc.p(435.6134, 137.445), cc.p(1, 0.5), nil, nil, nil, nil)
	self.lbCost:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bigPanel_2, self.lbCost)

	self.itemName = createLabel({text=[[name]], font=getFont(), size=24,align = 1})
	setValue(self.itemName, "itemName", 1396, cc.size(60, 28), cc.p(74.358, 32.997), nil, cc.c4b(247, 239, 7, 255), nil, nil, nil)
	self.itemName:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.itemName:setColor(cc.c4b(247, 239, 7, 255))
	addChildForPre(self.bigPanel_2, self.itemName)

	self.techDescriptionLabel = createLabel({text=[[type:]], font=getFont(), size=30})
	setValue(self.techDescriptionLabel, "techDescriptionLabel", 55, cc.size(65, 34), cc.p(175.8276, 61.0538), cc.p(0, 0.5), cc.c4b(255, 143, 0, 255), nil, nil, nil)
	self.techDescriptionLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.techDescriptionLabel:setColor(cc.c4b(255, 143, 0, 255))
	addChildForPre(self.bigPanel_2, self.techDescriptionLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/image9.plist",
	"Default/Sprite.png",
	"ccs/plist/common.plist",
}

return _M
