-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 214, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 273, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "XYN_dialogPanel", 454, cc.size(575, 633), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.PanelCommonBg = ccui.ImageView:create()
	setValue(self.PanelCommonBg, "PanelCommonBg", 127, cc.size(575, 633), cc.p(287.5, 307.005), nil, nil, nil, nil, false)
	self.PanelCommonBg:loadTexture("ccs/UiImages/image9/commonPanel_s9_bg_1.png", 1)
	self.PanelCommonBg:setScale9Enabled(true)
	self.PanelCommonBg:setCapInsets(cc.rect(30, 30, 112, 10))
	addChildForPre(self.dialogPanel_2, self.PanelCommonBg)

	self.PanelCommonHeader = cc.Sprite:create()
	setValue(self.PanelCommonHeader, "PanelCommonHeader", 228, cc.size(342, 135), cc.p(287.5, 614.01), nil, nil, nil, nil, nil)
	self.PanelCommonHeader:setSpriteFrame("ccs/UiImages/commonBg/common_shipTitle.png")
	addChildForPre(self.dialogPanel_2, self.PanelCommonHeader)

	self.titleLabelText = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.titleLabelText, "XYN_titleLabelText", 606, cc.size(109, 28), cc.p(287.5, 614.01), nil, nil, nil, nil, nil)
	self.titleLabelText:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.dialogPanel_2, self.titleLabelText)

	self.titleLabel = createLabel({text=[[titleLabel]], font=getFont(), size=25,align = 1})
	setValue(self.titleLabel, "XYN_titleLabel", 591, cc.size(100, 29), cc.p(51.75, 532.0365), cc.p(0, 0.5), cc.c4b(255, 210, 0, 255), nil, nil, nil)
	self.titleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.titleLabel:setColor(cc.c4b(255, 210, 0, 255))
	addChildForPre(self.dialogPanel_2, self.titleLabel)

	if TommorrowTankGroupUi then 
 		self.addtommorrowTankGroupUi = TommorrowTankGroupUi.new() 
 	else 
		self.addtommorrowTankGroupUi = BaseUi.new("ccs/ui/tomorrow/TommorrowTankGroupUi.lua")
 	end 
	setValue(self.addtommorrowTankGroupUi, "addtommorrowTankGroupUi", 549, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.addtommorrowTankGroupUi)

	self.Image_12 = ccui.ImageView:create()
	setValue(self.Image_12, "Image_12", 269, cc.size(546.25, 70), cc.p(287.5, 37.98), nil, nil, nil, nil, false)
	self.Image_12:loadTexture("ccs/UiImages/commonBg/CommonPanel_img_bg_1.jpg", 1)
	self.Image_12:setScale9Enabled(true)
	self.Image_12:setCapInsets(cc.rect(0, 0, 466, 79))
	addChildForPre(self.dialogPanel_2, self.Image_12)

	self.closeButton = ccui.Button:create()
	setValue(self.closeButton, "closeButton", 377, cc.size(86, 55), cc.p(534.75, 607.68), nil, nil, nil, nil, nil)
	self.closeButton:loadTextureNormal("ccs/UiImages/image9/CommonPanel_btn_X_0.png", 1)
	self.closeButton:loadTexturePressed("ccs/UiImages/image9/CommonPanel_btn_X_1.png", 1)
	self.closeButton:loadTextureDisabled("ccs/UiImages/image9/CommonPanel_btn_X_1.png", 1)
	self.closeButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.closeButton:setTitleText([[]])
	self.closeButton:setTitleColor(cc.c3b(65, 65, 70))
	self.closeButton:setTitleFontSize(14)
	self.closeButton:setTitleFontName(getFont())
	setClickEvent(self, self.closeButton, "closeButton")
	addChildForPre(self.dialogPanel_2, self.closeButton)

	self.receiveButton = ccui.Button:create()
	setValue(self.receiveButton, "XYN_receiveButton", 592, cc.size(153, 64), cc.p(287.5, 37.98), nil, nil, nil, nil, false)
	self.receiveButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.receiveButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.receiveButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.receiveButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.receiveButton:setTitleText([[receiveButton]])
	self.receiveButton:setTitleFontSize(25)
	self.receiveButton:setTitleFontName(getFont())
	setClickEvent(self, self.receiveButton, "receiveButton")
	addChildForPre(self.dialogPanel_2, self.receiveButton)

	self.rewardInfo1Panel = ccui.Layout:create()
	setValue(self.rewardInfo1Panel, "XYN_rewardInfo1Panel", 593, cc.size(100, 50), cc.p(287.5, 101.28), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.rewardInfo1Panel)
	self.rewardInfo1Panel_3 = self.rewardInfo1Panel

	self.Info1LabelTitle = createLabel({text=[[Info1LabelTitle]], font=getFont(), size=25,align = 2})
	setValue(self.Info1LabelTitle, "Info1LabelTitle", 179, cc.size(163, 29), cc.p(50, 25), cc.p(1, 0.5), cc.c4b(255, 216, 0, 255), nil, nil, nil)
	self.Info1LabelTitle:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.Info1LabelTitle:setColor(cc.c4b(255, 216, 0, 255))
	addChildForPre(self.rewardInfo1Panel_3, self.Info1LabelTitle)

	self.Info1LabelTime = createLabel({text=[[Info1LabelTime]], font=getFont(), size=25})
	setValue(self.Info1LabelTime, "Info1LabelTime", 180, cc.size(171, 29), cc.p(50, 25), cc.p(0, 0.5), cc.c4b(227, 35, 20, 255), nil, nil, nil)
	self.Info1LabelTime:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.Info1LabelTime:setColor(cc.c4b(227, 35, 20, 255))
	addChildForPre(self.rewardInfo1Panel_3, self.Info1LabelTime)

	self.rewardInfo2Panel = ccui.Layout:create()
	setValue(self.rewardInfo2Panel, "XYN_rewardInfo2Panel", 594, cc.size(100, 50), cc.p(287.5, 101.28), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.rewardInfo2Panel)
	self.rewardInfo2Panel_3 = self.rewardInfo2Panel

	self.Info2Label = createLabel({text=[[Info2Label]], font=getFont(), size=25,align = 1})
	setValue(self.Info2Label, "Info2Label", 181, cc.size(116, 29), cc.p(50, 25), nil, cc.c4b(227, 35, 20, 255), nil, nil, nil)
	self.Info2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.Info2Label:setColor(cc.c4b(227, 35, 20, 255))
	addChildForPre(self.rewardInfo2Panel_3, self.Info2Label)

	self.particlePanel = ccui.Layout:create()
	setValue(self.particlePanel, "AXY_particlePanel", 282, cc.size(569.25, 584.3223), cc.p(287.5, 303.84), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.particlePanel:setClippingEnabled(true)
	addChildForPre(self.dialogPanel_2, self.particlePanel)
	self.particlePanel_3 = self.particlePanel

	self.Particle_3 = cc.ParticleSystemQuad:create("ccs/Particle/Spark_01Particle.plist")
 	self.Particle_3:setPositionType(2) 
	setValue(self.Particle_3, "Particle_3", 259, nil, cc.p(284.625, 292.1612), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle_3:setScale(2)
	addChildForPre(self.particlePanel_3, self.Particle_3)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/commonBg.plist",
}

return _M
