-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 427, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.uiPanel = ccui.Layout:create()
	setValue(self.uiPanel, "AXY_uiPanel", 203, cc.size(640, 750), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.uiPanel)
	self.uiPanel_2 = self.uiPanel

	self.Image_79 = ccui.ImageView:create()
	setValue(self.Image_79, "AXY_Image_79", 654, cc.size(499.2, 390), cc.p(320.2997, 550.5), nil, nil, nil, nil, false)
	self.Image_79:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.Image_79:setScale9Enabled(true)
	self.Image_79:setCapInsets(cc.rect(5, 5, 20, 20))
	addChildForPre(self.uiPanel_2, self.Image_79)

	self.ImageDown = ccui.ImageView:create()
	setValue(self.ImageDown, "AXY_ImageDown", 655, cc.size(499.2, 330), cc.p(320, 180), nil, nil, nil, nil, false)
	self.ImageDown:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.ImageDown:setScale9Enabled(true)
	self.ImageDown:setCapInsets(cc.rect(5, 5, 20, 20))
	addChildForPre(self.uiPanel_2, self.ImageDown)

	self.vipInfoListView = ccui.Layout:create()
	setValue(self.vipInfoListView, "AXY_vipInfoListView", 893, cc.size(480, 320), cc.p(320, 523.5), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.uiPanel_2, self.vipInfoListView)

	self.vipListView = ccui.Layout:create()
	setValue(self.vipListView, "WXY_vipListView", 472, cc.size(490, 327), cc.p(320, 180), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.uiPanel_2, self.vipListView)

	self.lbgImage = cc.Sprite:create()
	setValue(self.lbgImage, "YXN_lbgImage", 652, cc.size(244, 48), cc.p(320.9999, 712.4998), cc.p(1, 0.5), nil, nil, nil, nil)
	self.lbgImage:setSpriteFrame("ccs/UiImages/mall/vipPay_img_dituao2.png")
	addChildForPre(self.uiPanel_2, self.lbgImage)

	self.lbgImageR = cc.Sprite:create()
	setValue(self.lbgImageR, "YXN_lbgImageR", 653, cc.size(244, 48), cc.p(318.9999, 712.4998), cc.p(0, 0.5), nil, nil, nil, nil)
	self.lbgImageR:setFlippedX(true)
	self.lbgImageR:setSpriteFrame("ccs/UiImages/mall/vipPay_img_dituao2.png")
	addChildForPre(self.uiPanel_2, self.lbgImageR)

	self.vipCellTitleLabel = createLabel({text=[[vipCellTitleLabel]], font=getFont(), size=30})
	setValue(self.vipCellTitleLabel, "XYN_vipCellTitleLabel", 892, cc.size(218, 34), cc.p(320, 712.5), nil, nil, nil, nil, nil)
	self.vipCellTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.uiPanel_2, self.vipCellTitleLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/battle.plist",
	"ccs/plist/mall.plist",
}

return _M
