-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.2.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 1, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.dialogPanel = ccui.Layout:create()
	setValue(self.dialogPanel, "AXY_dialogPanel", 6, cc.size(640, 960), cc.p(321.0933, 504.4647), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.dialogPanel)
	self.dialogPanel_2 = self.dialogPanel

	self.contentPanel = ccui.Layout:create()
	setValue(self.contentPanel, "XYN_contentPanel", 454, cc.size(490, 480), cc.p(320, 480), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.dialogPanel_2, self.contentPanel)
	self.contentPanel_3 = self.contentPanel

	self.panelBgImage = ccui.ImageView:create()
	setValue(self.panelBgImage, "panelBgImage", 453, cc.size(490, 480), cc.p(245, 240), nil, nil, nil, nil, false)
	self.panelBgImage:loadTexture("ccs/UiImages/image9/commonPanel_s9_bg_1.png", 1)
	self.panelBgImage:setScale9Enabled(true)
	self.panelBgImage:setCapInsets(cc.rect(80, 30, 12, 10))
	addChildForPre(self.contentPanel_3, self.panelBgImage)

	self.floorPanel = ccui.Layout:create()
	setValue(self.floorPanel, "floorPanel", 455, cc.size(455.7, 446.4), cc.p(245, 240), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.contentPanel_3, self.floorPanel)
	self.floorPanel_4 = self.floorPanel

	self.floorImage = ccui.ImageView:create()
	setValue(self.floorImage, "floorImage", 456, cc.size(455.7, 446.4), cc.p(227.85, 223.2), nil, nil, nil, nil, false)
	self.floorImage:loadTexture("ccs/UiImages/image9/CommonPanel_img_chuangkoubeijing_1.png", 1)
	self.floorImage:setScale9Enabled(true)
	self.floorImage:setCapInsets(cc.rect(0, 0, 470, 5))
	addChildForPre(self.floorPanel_4, self.floorImage)

	self.imageTitle = ccui.ImageView:create()
	setValue(self.imageTitle, "imageTitle", 471, cc.size(462, 106), cc.p(245, 470.4), nil, nil, nil, nil, nil)
	self.imageTitle:setScale(0.65)
	self.imageTitle:loadTexture("ccs/UiImages/commonBg/CommonPanel_img_WinHeader_1.png", 1)
	addChildForPre(self.contentPanel_3, self.imageTitle)

	self.titleLabel = createLabel({text=[[Text Label]], font=getFont(), size=28})
	setValue(self.titleLabel, "titleLabel", 472, cc.size(127, 32), cc.p(245, 471.984), nil, nil, nil, nil, nil)
	self.titleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.contentPanel_3, self.titleLabel)

	self.infoPanel = ccui.Layout:create()
	setValue(self.infoPanel, "infoPanel", 313, cc.size(460, 100), cc.p(244.0625, 362.4857), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.contentPanel_3, self.infoPanel)

	self.rewardTitleLabel = createLabel({text=[[rewardTitleLabel]], font=getFont(), size=26})
	setValue(self.rewardTitleLabel, "rewardTitleLabel", 489, cc.size(191, 31), cc.p(18.0625, 282.5428), cc.p(0, 0.5), cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.rewardTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.rewardTitleLabel:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.contentPanel_3, self.rewardTitleLabel)

	self.listViewPanel = ccui.Layout:create()
	setValue(self.listViewPanel, "listViewPanel", 11, cc.size(460, 150), cc.p(245, 177.6), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.contentPanel_3, self.listViewPanel)
	self.listViewPanel_4 = self.listViewPanel

	self.ImageBg = ccui.ImageView:create()
	setValue(self.ImageBg, "ImageBg", 68, cc.size(450, 140), cc.p(230, 75), nil, nil, nil, nil, false)
	self.ImageBg:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.ImageBg:setScale9Enabled(true)
	self.ImageBg:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.listViewPanel_4, self.ImageBg)

	self.Image_16 = ccui.ImageView:create()
	setValue(self.Image_16, "Image_16", 470, cc.size(466, 79), cc.p(245, 57), nil, nil, nil, nil, nil)
	self.Image_16:loadTexture("ccs/UiImages/commonBg/CommonPanel_img_bg_1.jpg", 1)
	addChildForPre(self.contentPanel_3, self.Image_16)

	self.okButton = ccui.Button:create()
	setValue(self.okButton, "okButton", 272, cc.size(153, 64), cc.p(245, 51.3386), nil, nil, nil, nil, false)
	self.okButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.okButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.okButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.okButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.okButton:setTitleText([[okButton]])
	self.okButton:setTitleFontSize(25)
	self.okButton:setTitleFontName(getFont())
	setClickEvent(self, self.okButton, "okButton")
	addChildForPre(self.contentPanel_3, self.okButton)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/image9.plist",
	"ccs/plist/commonBg.plist",
	"ccs/plist/battle.plist",
}

return _M
