-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", 248, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 275, cc.size(640, 220), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.backgroundSprite = ccui.ImageView:create()
	setValue(self.backgroundSprite, "backgroundSprite", 226, cc.size(612, 200), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, false)
	self.backgroundSprite:loadTexture("ccs/UiImages/commonBg/common_img_ditiao.png", 1)
	self.backgroundSprite:setScale9Enabled(true)
	self.backgroundSprite:setCapInsets(cc.rect(30, 30, 552, 107))
	addChildForPre(self.rootPanel_1, self.backgroundSprite)

	self.leftPanel = ccui.Layout:create()
	setValue(self.leftPanel, "leftPanel", 470, cc.size(640, 220), cc.p(320, 111.518), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.leftPanel)
	self.leftPanel_2 = self.leftPanel

	self.titleLabel = createLabel({text=[[titleLabel]], font=getFont(), size=24,align = 1,valign = 1})
	setValue(self.titleLabel, "titleLabel", 495, cc.size(96, 28), cc.p(63.8245, 161.724), cc.p(0, 0), nil, nil, nil, nil)
	self.titleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftPanel_2, self.titleLabel)

	self.descLable = createLabel({text=[[descLable]], font=getFont(), size=24,align = 1,valign = 1})
	setValue(self.descLable, "descLable", 496, cc.size(109, 28), cc.p(-216.6852, 190.5071), cc.p(0.5, 1), nil, nil, nil, nil)
	self.descLable:setVisible(false)
	self.descLable:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.leftPanel_2, self.descLable)

	self.lineImage = ccui.ImageView:create()
	setValue(self.lineImage, "lineImage", 493, cc.size(520, 140), cc.p(320, 89.425), nil, nil, nil, nil, false)
	self.lineImage:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.lineImage:setScale9Enabled(true)
	self.lineImage:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.leftPanel_2, self.lineImage)

	self.centerPanel = ccui.Layout:create()
	setValue(self.centerPanel, "centerPanel", 471, cc.size(520, 140), cc.p(320, 89.425), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.leftPanel_2, self.centerPanel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"ccs/plist/commonBg.plist",
	"ccs/plist/battle.plist",
}

return _M
