-- exported by csd2lua tools: https://github.com/liangX-cn/csd2lua

local _L = require("ccext.LuaResHelper")	

local _M = { CCSVER = "2.0.6.0" }

function _M.create(self)
	local cc, ccui, ccs = cc, ccui, ccs
	local ccspc = cc.SpriteFrameCache:getInstance()
	local ccsam = ccs.ArmatureDataManager:getInstance()
	
	local setValue, bind, addChildForPre, createLabel = _L.setValue, _L.bind, _L.addChildForPre, _L.createLabel
	local setBgColor, setBgImage = _L.setBgColor, _L.setBgImage
	local setClickEvent, setTouchEvent = _L.setClickEvent, _L.setTouchEvent
	local loadPlist = _L.loadPlist
	local CreatePositionFrame,CreateVisibleFrame,CreateColorFrame,CreateEventFrame,CreateInnerActionFrame,CreateScaleFrame,CreateRotationSkewFrame,CreateTextureFrame = _L.CreatePositionFrame,_L.CreateVisibleFrame,_L.CreateColorFrame,_L.CreateEventFrame,_L.CreateInnerActionFrame,_L.CreateScaleFrame,_L.CreateRotationSkewFrame,_L.CreateTextureFrame
	
	local roots, obj, inc = {}
	loadPlist(_M.textures)
	if not self then self = cc.Node:create() end
	self.Node = cc.Node:create()
	setValue(self.Node, "Node", nil, nil, nil, nil, nil, nil, nil, nil)
	self:addChild(self.Node)
 	self.uiRootNode = self.Node
	self.Node_0 = self.Node

	self.rootPanel = ccui.Layout:create()
	setValue(self.rootPanel, "rootPanel", 283, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Node_0, self.rootPanel)
	self.rootPanel_1 = self.rootPanel

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "AXY_Panel", 511, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.rootPanel_1, self.Panel)
	self.Panel_2 = self.Panel

	if CommonNewUi then 
 		self.CommonNewUi = CommonNewUi.new() 
 	else 
		self.CommonNewUi = BaseUi.new("ccs/ui/commonDialog/CommonNewUi.lua")
 	end 
	setValue(self.CommonNewUi, "CommonNewUi", 587, nil, nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.CommonNewUi)

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 671, cc.size(46, 46), cc.p(320, 720), nil, nil, nil, nil, nil)
	self.bgImage:setVisible(false)
	self.bgImage:loadTexture("Default/ImageFile.png")
	addChildForPre(self.Panel_2, self.bgImage)

	self.tankPositionPrePanel = ccui.Layout:create()
	setValue(self.tankPositionPrePanel, "tankPositionPrePanel", 127, cc.size(640, 960), nil, nil, nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.tankPositionPrePanel)

	self.chatPanel = ccui.Layout:create()
	setValue(self.chatPanel, "LBN_chatPanel", 586, cc.size(362, 70), cc.p(19.2, 316.8), nil, nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.chatPanel)

	self.bossPanel = ccui.Layout:create()
	setValue(self.bossPanel, "AXY_bossPanel", 62, cc.size(640, 400), cc.p(320, 564.768), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.bossPanel)
	self.bossPanel_3 = self.bossPanel

	self.Particle = cc.ParticleSystemQuad:create("ccs/Particle/chuan.plist")
 	self.Particle:setPositionType(2) 
	setValue(self.Particle, "XYN_Particle", 306, nil, cc.p(281.088, 170.72), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.Particle:setRotationSkewX(-72)
	self.Particle:setRotationSkewY(-72)
	self.Particle:setScale(1.2)
	addChildForPre(self.bossPanel_3, self.Particle)

	self.worldBoss = cc.Sprite:create()
	setValue(self.worldBoss, "XYN_worldBoss", 63, cc.size(584, 192), cc.p(327.613, 193.7848), nil, nil, nil, nil, nil)
	self.worldBoss:setTexture("ccs/BigImages/sprites/worldBoss.webp")
	addChildForPre(self.bossPanel_3, self.worldBoss)
	self.worldBoss_4 = self.worldBoss

	self.lightParticle1 = cc.ParticleSystemQuad:create("ccs/Particle/mo2.plist")
 	self.lightParticle1:setPositionType(2) 
	setValue(self.lightParticle1, "XYN_lightParticle1", 69, nil, cc.p(35.3713, 172.028), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.worldBoss_4, self.lightParticle1)

	self.lightParticle2 = cc.ParticleSystemQuad:create("ccs/Particle/mo2.plist")
 	self.lightParticle2:setPositionType(2) 
	setValue(self.lightParticle2, "XYN_lightParticle2", 70, nil, cc.p(552.2477, 28.8943), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.worldBoss_4, self.lightParticle2)

	self.lightParticle3 = cc.ParticleSystemQuad:create("ccs/Particle/mo2.plist")
 	self.lightParticle3:setPositionType(2) 
	setValue(self.lightParticle3, "XYN_lightParticle3", 71, nil, cc.p(289.362, 149.8682), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.worldBoss_4, self.lightParticle3)

	self.bossHpButton = ccui.Button:create()
	setValue(self.bossHpButton, "RTN_bossHpButton", 323, cc.size(68, 42), cc.p(531.2, 353.4), nil, nil, nil, nil, nil)
	self.bossHpButton:loadTextureNormal("ccs/UiImages/common/worldboss_btn_shuaxin.png", 1)
	self.bossHpButton:loadTexturePressed("ccs/UiImages/common/worldboss_btn_shuaxin.png", 1)
	self.bossHpButton:loadTextureDisabled("ccs/UiImages/common/worldboss_btn_shuaxin.png", 1)
	self.bossHpButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.bossHpButton:setTitleText([[]])
	self.bossHpButton:setTitleColor(cc.c3b(65, 65, 70))
	self.bossHpButton:setTitleFontSize(14)
	self.bossHpButton:setTitleFontName(getFont())
	setClickEvent(self, self.bossHpButton, "bossHpButton")
	addChildForPre(self.bossPanel_3, self.bossHpButton)

	self.lifebarBgsprite = cc.Sprite:create()
	setValue(self.lifebarBgsprite, "TXN_lifebarBgsprite", 156, cc.size(110, 6), cc.p(326.784, 353.4), nil, nil, nil, nil, nil)
	self.lifebarBgsprite:setScale(3)
	self.lifebarBgsprite:setSpriteFrame("ccs/UiImages/common/tank_blood_plate.png")
	addChildForPre(self.bossPanel_3, self.lifebarBgsprite)

	self.lifebarLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.lifebarLabel, "TXN_lifebarLabel", 157, cc.size(91, 23), cc.p(339.0833, 351.7366), nil, nil, nil, nil, nil)
	self.lifebarLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.bossPanel_3, self.lifebarLabel)

	self.smokeParticle = cc.ParticleSystemQuad:create("ccs/Particle/mo.plist")
 	self.smokeParticle:setPositionType(2) 
	setValue(self.smokeParticle, "XYN_smokeParticle", 68, nil, cc.p(333.0437, 187.6337), cc.p(0.5, 0.5), nil, nil, nil, nil)
	self.smokeParticle:setRotationSkewX(13)
	self.smokeParticle:setRotationSkewY(13)
	self.smokeParticle:setScaleX(2)
	self.smokeParticle:setScaleY(1)
	addChildForPre(self.bossPanel_3, self.smokeParticle)

	self.bossicon = cc.Sprite:create()
	setValue(self.bossicon, "LYN_bossicon", 77, cc.size(91, 78), cc.p(128, 356), nil, nil, nil, nil, nil)
	self.bossicon:setScale(0.8)
	self.bossicon:setSpriteFrame("ccs/UiImages/common/worldboss_icon.png")
	addChildForPre(self.bossPanel_3, self.bossicon)

	self.Panel = ccui.Layout:create()
	setValue(self.Panel, "TXN_Panel", 284, cc.size(440, 50), cc.p(320, 796.8), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.Panel)
	self.Panel_3 = self.Panel

	self.bgImage = ccui.ImageView:create()
	setValue(self.bgImage, "bgImage", 286, cc.size(480, 42), cc.p(220, 25), nil, nil, nil, nil, false)
	self.bgImage:loadTexture("ccs/UiImages/common/arena_img_plate.png", 1)
	self.bgImage:setScale9Enabled(true)
	self.bgImage:setCapInsets(cc.rect(0, 0, 480, 42))
	addChildForPre(self.Panel_3, self.bgImage)

	self.bossNameLabel = createLabel({text=[[Text Label]], font=getFont(), size=24})
	setValue(self.bossNameLabel, "bossNameLabel", 285, cc.size(109, 28), cc.p(194.5564, 24.9891), nil, cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.bossNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.bossNameLabel:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.Panel_3, self.bossNameLabel)

	self.infoButton = ccui.Button:create()
	setValue(self.infoButton, "infoButton", 322, cc.size(68, 42), cc.p(406.164, 25), nil, nil, nil, nil, nil)
	self.infoButton:loadTextureNormal("ccs/UiImages/image9/common_btn_xiangqing.png", 1)
	self.infoButton:loadTexturePressed("ccs/UiImages/image9/common_btn_xiangqing.png", 1)
	self.infoButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_xiangqing.png", 1)
	self.infoButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.infoButton:setTitleText([[]])
	self.infoButton:setTitleColor(cc.c3b(65, 65, 70))
	self.infoButton:setTitleFontSize(14)
	self.infoButton:setTitleFontName(getFont())
	setClickEvent(self, self.infoButton, "infoButton")
	addChildForPre(self.Panel_3, self.infoButton)

	self.featuresInfoPanel = ccui.Layout:create()
	setValue(self.featuresInfoPanel, "LYN_featuresInfoPanel", 520, cc.size(255, 354), cc.p(-238, 576), cc.p(0, 0.5), nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.featuresInfoPanel)
	self.featuresInfoPanel_3 = self.featuresInfoPanel

	self.Image = ccui.ImageView:create()
	setValue(self.Image, "Image", 303, cc.size(255, 354), cc.p(127.5, 177), nil, nil, nil, nil, nil)
	self.Image:loadTexture("ccs/UiImages/commonBg/worldboss_img_diban.png", 1)
	addChildForPre(self.featuresInfoPanel_3, self.Image)

	self.infoLabel = createLabel({text=[[infoLabel]], font=getFont(), size=24})
	setValue(self.infoLabel, "infoLabel", 1012, cc.size(97, 28), cc.p(26.5455, 317.3964), cc.p(0, 0.5), nil, nil, nil, nil)
	self.infoLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.featuresInfoPanel_3, self.infoLabel)

	self.offStateButton = ccui.Button:create()
	setValue(self.offStateButton, "offStateButton", 234, cc.size(36, 123), cc.p(256.5045, 177), nil, nil, nil, nil, nil)
	self.offStateButton:loadTextureNormal("ccs/UiImages/common/worldboss_btn_left.png", 1)
	self.offStateButton:loadTexturePressed("ccs/UiImages/common/worldboss_btn_left.png", 1)
	self.offStateButton:loadTextureDisabled("ccs/UiImages/common/worldboss_btn_left.png", 1)
	self.offStateButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.offStateButton:setTitleText([[]])
	self.offStateButton:setTitleColor(cc.c3b(65, 65, 70))
	self.offStateButton:setTitleFontSize(14)
	self.offStateButton:setTitleFontName(getFont())
	setClickEvent(self, self.offStateButton, "offStateButton")
	addChildForPre(self.featuresInfoPanel_3, self.offStateButton)

	self.openStateButton = ccui.Button:create()
	setValue(self.openStateButton, "openStateButton", 235, cc.size(36, 123), cc.p(256.5045, 177), nil, nil, nil, nil, nil)
	self.openStateButton:loadTextureNormal("ccs/UiImages/common/worldboss_btn_right.png", 1)
	self.openStateButton:loadTexturePressed("ccs/UiImages/common/worldboss_btn_right.png", 1)
	self.openStateButton:loadTextureDisabled("ccs/UiImages/common/worldboss_btn_right.png", 1)
	self.openStateButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.openStateButton:setTitleText([[]])
	self.openStateButton:setTitleColor(cc.c3b(65, 65, 70))
	self.openStateButton:setTitleFontSize(14)
	self.openStateButton:setTitleFontName(getFont())
	setClickEvent(self, self.openStateButton, "openStateButton")
	addChildForPre(self.featuresInfoPanel_3, self.openStateButton)

	self.detailButton = ccui.Button:create()
	setValue(self.detailButton, "detailButton", 580, cc.size(153, 64), cc.p(115, 43), nil, nil, nil, nil, false)
	self.detailButton:loadTextureNormal("ccs/UiImages/image9/common_btn_green_0.png", 1)
	self.detailButton:loadTexturePressed("ccs/UiImages/image9/common_btn_green_1.png", 1)
	self.detailButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.detailButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.detailButton:setTitleText([[Button]])
	self.detailButton:setTitleFontSize(24)
	self.detailButton:setTitleFontName(getFont())
	setClickEvent(self, self.detailButton, "detailButton")
	addChildForPre(self.featuresInfoPanel_3, self.detailButton)

	self.bottomPanel = ccui.Layout:create()
	setValue(self.bottomPanel, "WBX_bottomPanel", 748, cc.size(640, 286), cc.p(320, 3.456), cc.p(0.5, 0), nil, nil, nil, nil)
	setBgColor(self.bottomPanel, 1, nil, cc.c4b(20, 31, 44, 255), nil, nil, nil)
	addChildForPre(self.Panel_2, self.bottomPanel)
	self.bottomPanel_3 = self.bottomPanel

	self.Image = ccui.ImageView:create()
	setValue(self.Image, "WTX_Image", 755, cc.size(640, 30), cc.p(320, 280.28), nil, nil, nil, nil, false)
	self.Image:loadTexture("ccs/UiImages/image9/common_img_jiemian03.png", 1)
	self.Image:setScale9Enabled(true)
	self.Image:setCapInsets(cc.rect(0, 0, 640, 30))
	addChildForPre(self.bottomPanel_3, self.Image)

	self.timePanel = ccui.Layout:create()
	setValue(self.timePanel, "XYN_timePanel", 513, cc.size(400, 50), cc.p(320, 225.94), cc.p(0.5, 0.5), nil, nil, nil, nil)
	addChildForPre(self.bottomPanel_3, self.timePanel)
	self.timePanel_4 = self.timePanel

	self.timeBgSprite = ccui.ImageView:create()
	setValue(self.timeBgSprite, "timeBgSprite", 600, cc.size(480, 42), cc.p(200, 25), nil, nil, nil, nil, false)
	self.timeBgSprite:loadTexture("ccs/UiImages/common/arena_img_plate.png", 1)
	self.timeBgSprite:setScale9Enabled(true)
	self.timeBgSprite:setCapInsets(cc.rect(0, 0, 480, 42))
	addChildForPre(self.timePanel_4, self.timeBgSprite)

	self.timeEndTitleLabel = createLabel({text=[[xxx]], font=getFont(), size=26})
	setValue(self.timeEndTitleLabel, "timeEndTitleLabel", 514, cc.size(39, 31), cc.p(204, 25), cc.p(1, 0.5), nil, nil, nil, nil)
	self.timeEndTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.timePanel_4, self.timeEndTitleLabel)

	self.timeEndLabel = createLabel({text=[[timeEndLabel]], font=getFont(), size=26})
	setValue(self.timeEndLabel, "timeEndLabel", 515, cc.size(158, 31), cc.p(213.72, 25), cc.p(0, 0.5), cc.c4b(255, 0, 0, 255), nil, nil, nil)
	self.timeEndLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.timeEndLabel:setColor(cc.c4b(255, 0, 0, 255))
	addChildForPre(self.timePanel_4, self.timeEndLabel)

	self.addBuffPanel = ccui.Layout:create()
	setValue(self.addBuffPanel, "XYN_addBuffPanel", 62, cc.size(640, 75), cc.p(320, 108.68), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.bottomPanel_3, self.addBuffPanel)
	self.addBuffPanel_4 = self.addBuffPanel

	self.buff1BgSprite = ccui.ImageView:create()
	setValue(self.buff1BgSprite, "buff1BgSprite", 753, cc.size(300, 75), cc.p(163.2, 37.5), nil, nil, nil, nil, false)
	self.buff1BgSprite:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.buff1BgSprite:setScale9Enabled(true)
	self.buff1BgSprite:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.addBuffPanel_4, self.buff1BgSprite)

	self.buff2BgSprite = ccui.ImageView:create()
	setValue(self.buff2BgSprite, "buff2BgSprite", 754, cc.size(300, 75), cc.p(476.8, 37.5), nil, nil, nil, nil, false)
	self.buff2BgSprite:loadTexture("ccs/UiImages/battle/battle_s9_diban.png", 1)
	self.buff2BgSprite:setScale9Enabled(true)
	self.buff2BgSprite:setCapInsets(cc.rect(10, 10, 10, 10))
	addChildForPre(self.addBuffPanel_4, self.buff2BgSprite)

	self.buff1Button = ccui.Button:create()
	setValue(self.buff1Button, "buff1Button", 63, cc.size(98, 51), cc.p(230.208, 29.535), nil, nil, nil, nil, false)
	self.buff1Button:loadTextureNormal("ccs/UiImages/image9/CommonPanel_btn_smallgreen_0.png", 1)
	self.buff1Button:loadTexturePressed("ccs/UiImages/image9/CommonPanel_btn_smallgreen_1.png", 1)
	self.buff1Button:loadTextureDisabled("ccs/UiImages/image9/CommonPanel_btn_small_2.png", 1)
	self.buff1Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.buff1Button:setTitleText([[buff1Button]])
	self.buff1Button:setTitleFontSize(25)
	self.buff1Button:setTitleFontName(getFont())
	setClickEvent(self, self.buff1Button, "buff1Button")
	addChildForPre(self.addBuffPanel_4, self.buff1Button)

	self.buff2Button = ccui.Button:create()
	setValue(self.buff2Button, "buff2Button", 64, cc.size(98, 51), cc.p(537.664, 29.535), nil, nil, nil, nil, false)
	self.buff2Button:loadTextureNormal("ccs/UiImages/image9/CommonPanel_btn_smallgreen_0.png", 1)
	self.buff2Button:loadTexturePressed("ccs/UiImages/image9/CommonPanel_btn_smallgreen_1.png", 1)
	self.buff2Button:loadTextureDisabled("ccs/UiImages/image9/CommonPanel_btn_small_2.png", 1)
	self.buff2Button:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.buff2Button:setTitleText([[buff2Button]])
	self.buff2Button:setTitleFontSize(25)
	self.buff2Button:setTitleFontName(getFont())
	setClickEvent(self, self.buff2Button, "buff2Button")
	addChildForPre(self.addBuffPanel_4, self.buff2Button)

	self.buff1Label = createLabel({text=[[buff1Label]], font=getFont(), size=22,align = 1})
	setValue(self.buff1Label, "buff1Label", 65, cc.size(102, 26), cc.p(107.008, 54.3975), nil, cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.buff1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.buff1Label:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.addBuffPanel_4, self.buff1Label)

	self.buff2Label = createLabel({text=[[buff2Label]], font=getFont(), size=22,align = 1})
	setValue(self.buff2Label, "buff2Label", 66, cc.size(102, 26), cc.p(417.92, 49.2675), nil, cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.buff2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.buff2Label:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.addBuffPanel_4, self.buff2Label)

	self.buffNum1Label = createLabel({text=[[buffNum1Label]], font=getFont(), size=22,align = 1})
	setValue(self.buffNum1Label, "buffNum1Label", 67, cc.size(148, 26), cc.p(112.128, 21.87), nil, cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.buffNum1Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.buffNum1Label:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.addBuffPanel_4, self.buffNum1Label)

	self.buffNum2Label = createLabel({text=[[buffNum2Label]], font=getFont(), size=22,align = 1})
	setValue(self.buffNum2Label, "buffNum2Label", 68, cc.size(148, 26), cc.p(424.768, 20.1525), nil, cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.buffNum2Label:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.buffNum2Label:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.addBuffPanel_4, self.buffNum2Label)

	self.endPanel = ccui.Layout:create()
	setValue(self.endPanel, "XYN_endPanel", 557, cc.size(640, 80), cc.p(320, 0), cc.p(0.5, 0), nil, nil, nil, nil)
	addChildForPre(self.bottomPanel_3, self.endPanel)
	self.endPanel_4 = self.endPanel

	self.adjustmentButton = ccui.Button:create()
	setValue(self.adjustmentButton, "adjustmentButton", 200, cc.size(153, 64), cc.p(110.464, 37.928), nil, nil, nil, nil, false)
	self.adjustmentButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.adjustmentButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.adjustmentButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.adjustmentButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.adjustmentButton:setTitleText([[xxxxxx]])
	self.adjustmentButton:setTitleFontSize(24)
	self.adjustmentButton:setTitleFontName(getFont())
	setClickEvent(self, self.adjustmentButton, "adjustmentButton")
	addChildForPre(self.endPanel_4, self.adjustmentButton)

	self.attButton = ccui.Button:create()
	setValue(self.attButton, "attButton", 749, cc.size(153, 64), cc.p(531.0141, 37.9244), nil, nil, nil, nil, false)
	self.attButton:loadTextureNormal("ccs/UiImages/image9/common_btn_red_0.png", 1)
	self.attButton:loadTexturePressed("ccs/UiImages/image9/common_btn_red_1.png", 1)
	self.attButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.attButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.attButton:setTitleText([[B]])
	self.attButton:setTitleFontSize(24)
	self.attButton:setTitleFontName(getFont())
	setClickEvent(self, self.attButton, "attButton")
	addChildForPre(self.endPanel_4, self.attButton)

	self.autoButton = ccui.Button:create()
	setValue(self.autoButton, "autoButton", 751, cc.size(153, 64), cc.p(279.6321, 37.9244), nil, nil, nil, nil, false)
	self.autoButton:loadTextureNormal("ccs/UiImages/image9/common_btn_blue_0.png", 1)
	self.autoButton:loadTexturePressed("ccs/UiImages/image9/common_btn_blue_1.png", 1)
	self.autoButton:loadTextureDisabled("ccs/UiImages/image9/common_btn_2.png", 1)
	self.autoButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.autoButton:setTitleText([[Button]])
	self.autoButton:setTitleFontSize(24)
	self.autoButton:setTitleFontName(getFont())
	setClickEvent(self, self.autoButton, "autoButton")
	addChildForPre(self.endPanel_4, self.autoButton)

	self.gemIconSpr = cc.Sprite:create()
	setValue(self.gemIconSpr, "gemIconSpr", 668, cc.size(35, 35), cc.p(401.856, 40.192), nil, nil, nil, nil, nil)
	self.gemIconSpr:setSpriteFrame("ccs/UiImages/common/commonIcon_icon_ZuanShi_2.png")
	addChildForPre(self.endPanel_4, self.gemIconSpr)

	self.vipLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.vipLabel, "vipLabel", 444, cc.size(91, 23), cc.p(283.3122, 84.4), nil, nil, nil, nil, nil)
	self.vipLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.endPanel_4, self.vipLabel)

	self.priceGemLabel = createLabel({text=[[30]], font=getFont(), size=26})
	setValue(self.priceGemLabel, "priceGemLabel", 669, cc.size(28, 31), cc.p(421.504, 41.592), cc.p(0, 0.5), nil, nil, nil, nil)
	self.priceGemLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.endPanel_4, self.priceGemLabel)

	self.alterInfoPanel = ccui.Layout:create()
	setValue(self.alterInfoPanel, "alterInfoPanel", 670, cc.size(200, 50), cc.p(597.568, 61.312), cc.p(1, 0), nil, nil, nil, nil)
	addChildForPre(self.endPanel_4, self.alterInfoPanel)
	self.alterInfoPanel_5 = self.alterInfoPanel

	self.alterTimeLabel = createLabel({text=[[alterTimeLabel]], font=getFont(), size=24,valign = 1})
	setValue(self.alterTimeLabel, "alterTimeLabel", 1185, cc.size(157, 28), cc.p(149.18, 19.86), cc.p(0, 0.5), cc.c4b(255, 0, 0, 255), nil, nil, nil)
	self.alterTimeLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.alterTimeLabel:setColor(cc.c4b(255, 0, 0, 255))
	addChildForPre(self.alterInfoPanel_5, self.alterTimeLabel)

	self.alterTitleLabel = createLabel({text=[[alterTitleLabel]], font=getFont(), size=24,align = 2,valign = 1})
	setValue(self.alterTitleLabel, "alterTitleLabel", 1184, cc.size(149, 28), cc.p(141.86, 19.86), cc.p(1, 0.5), nil, nil, nil, nil)
	self.alterTitleLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.alterInfoPanel_5, self.alterTitleLabel)

	self.attackPanel = ccui.Layout:create()
	setValue(self.attackPanel, "attackPanel", 589, cc.size(480, 70), cc.p(640, -76.8), cc.p(1, 0), nil, nil, nil, nil)
	self.attackPanel:setVisible(false)
	addChildForPre(self.Panel_2, self.attackPanel)
	self.attackPanel_3 = self.attackPanel

	self.autoCheckBox = ccui.CheckBox:create()
	setValue(self.autoCheckBox, "autoCheckBox", 657, cc.size(65, 66), cc.p(38.4, 31.899), nil, nil, nil, nil, nil)
	self.autoCheckBox:setVisible(false)
	self.autoCheckBox:loadTextureBackGround("ccs/UiImages/image9/common_btn_xuanzhong_0.png", 1)
	self.autoCheckBox:loadTextureBackGroundSelected("ccs/UiImages/image9/common_btn_xuanzhong_0.png", 1)
	self.autoCheckBox:loadTextureBackGroundDisabled("ccs/UiImages/image9/common_btn_xuanzhong_0.png", 1)
	self.autoCheckBox:loadTextureFrontCross("ccs/UiImages/image9/common_btn_xuanzhong_1.png", 1)
	self.autoCheckBox:loadTextureFrontCrossDisabled("ccs/UiImages/image9/common_btn_xuanzhong_1.png", 1)
	addChildForPre(self.attackPanel_3, self.autoCheckBox)

	self.autoLabel = createLabel({text=[[autoLabel]], font=getFont(), size=26})
	setValue(self.autoLabel, "autoLabel", 658, cc.size(114, 31), cc.p(324.816, 73.724), cc.p(0, 0.5), nil, nil, nil, nil)
	self.autoLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.attackPanel_3, self.autoLabel)

	self.rankbuttonPanel = ccui.Layout:create()
	setValue(self.rankbuttonPanel, "RBN_rankbuttonPanel", 237, cc.size(100, 100), cc.p(507.5621, 311.0866), nil, nil, nil, nil, nil)
	addChildForPre(self.Panel_2, self.rankbuttonPanel)
	self.rankbuttonPanel_3 = self.rankbuttonPanel

	self.hurtRankButton = ccui.Button:create()
	setValue(self.hurtRankButton, "hurtRankButton", 236, cc.size(100, 80), cc.p(49.1347, 59.4191), nil, nil, nil, nil, false)
	self.hurtRankButton:loadTextureNormal("ccs/UiImages/common/worldboss_btn_lingjiang.png", 1)
	self.hurtRankButton:loadTexturePressed("ccs/UiImages/common/worldboss_btn_lingjiang.png", 1)
	self.hurtRankButton:loadTextureDisabled("ccs/UiImages/common/worldboss_btn_lingjiang.png", 1)
	self.hurtRankButton:getTitleRenderer():enableShadow({ 0, 0, 0, 255}, cc.size(3, -3), 1)
	self.hurtRankButton:setTitleText([[Button]])
	self.hurtRankButton:setTitleColor(cc.c3b(65, 65, 70))
	self.hurtRankButton:setTitleFontSize(14)
	self.hurtRankButton:setTitleFontName(getFont())
	setClickEvent(self, self.hurtRankButton, "hurtRankButton")
	addChildForPre(self.rankbuttonPanel_3, self.hurtRankButton)

	self.buttonNameLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.buttonNameLabel, "buttonNameLabel", 238, cc.size(91, 23), cc.p(50, 18.28), nil, nil, nil, nil, nil)
	self.buttonNameLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	addChildForPre(self.rankbuttonPanel_3, self.buttonNameLabel)

	self.myRankLabel = createLabel({text=[[Text Label]], font=getFont(), size=20})
	setValue(self.myRankLabel, "myRankLabel", 239, cc.size(91, 23), cc.p(50, -2.0011), nil, cc.c4b(255, 255, 0, 255), nil, nil, nil)
	self.myRankLabel:enableShadow(cc.c4b(0, 0, 0, 255), cc.size(3, -3), 1)
	self.myRankLabel:setColor(cc.c4b(255, 255, 0, 255))
	addChildForPre(self.rankbuttonPanel_3, self.myRankLabel)

	self.animation = ccs.ActionTimeline:create()
	self.animation:setDuration(0)
	self.animation:setTimeSpeed(1)
	local timeLine
	return self
end

_M.textures = {
	"Default/ImageFile.png",
	"ccs/BigImages/sprites/worldBoss.png",
	"ccs/plist/common.plist",
	"ccs/plist/image9.plist",
	"ccs/plist/commonBg.plist",
	"ccs/plist/battle.plist",
}

return _M
